Home

E5063A Network Analyzer
Help

Welcome

  • Using this Help (Read me first)
  • Precautions
  • Revision History
  • Quick Start
  • Measurement
  • Test Wizard
  • Setting Control Functions
  • Using Windows
  • Product Information
  • Programming

The E5063A help provides an easy access to the information related to the use of Keysight E5063A Network Analyzer. Pressing Help key on the front panel displays the topic related to the selected softkey.

You can navigate this help system through the navigation tools provided in the left or you can directly access the chapters:

E5063A Firmware Revision | A.03.0x
Help Edition No. | 2.00
Help Revision Date | July 16,2015

© Keysight Technologies, 2012-2015


Using this Help

This help provides the user and programming documentation in an searchable electronic format for the E5063A Network Analyzer. This section describes the usage of this help system.

  • Opening E5063A Help

  • Context Sensitive Help

  • Closing E5063A Help

  • Viewing E5063A Help on PC

  • Switching between E5063A Help and Measurement View

  • Navigating E5063A Help

  • Conventions used in E5063A Help

Opening E5063A Help

This help system is provided in Microsoft Compressed HTML Help format (.chm). This help can be also be viewed on a normal PC.

To open E5063A help, use either of the following methods:

  • By pressing the Help key located in the ENTRY Block.

  • By pressing the F1 key on a keyboard attached with the E5063A.

  • By double-clicking E5063A_Help.chm (located in C:\Program Files (x86)\Agilent\E5063\Help).

Context Sensitive Help

Context sensitive help is a great feature of the E5063A help. It allows you to get information about the selected softkey by pressing the Help key in the E5063A or by pressing F1 in a keyboard attached to the E5063A or by clicking the help button in a dialog box. It provides information relevant to the task that needs to be accomplished and reduces the time to search relevant information required to complete a task.

Closing E5063A Help

To close the E5063A help, click [image], located on the top right of the E5063A help viewer.

Viewing E5063A Help on your PC

The E5063A help can be opened and viewed on a normal PC. The help file (E5063A_Help.chm) is located in the E5063A Network Analyzer storage at C:\Program Files (x86)\Agilent\E5063\Help. Copy it to the local storage drive on your PC, then double-click it to view.

A web help is also available at http://www.keysight.com/find/e5063a-manual.

  • Do not locate E5063A_Help.chm in a network drive because the topics is not displayed.

Switching between E5063A Help and Measurement View

The Foc Key, located in the Entry Block, can be used to switch between the E5063A Measurement View and Help View.

Navigating E5063A Help

The E5063A help system provides several ways to navigate through the information related to the use of E5063A Network Analyzer. These sections describe the navigation system of the E5063A help which consists of:

  • Navigation bar

  • Quick Access

  • Toolbar

Navigation bar

Navigation bar comprises of tabs related to Contents, Index, Search and Glossary. The Contents tab contains the main navigational structure of the E5063A help. The Glossary tab contains explanation of the terms significant to the E5063A Network Analyzer. The Index tab is an additional tool that can be used to navigate different topics according to their alphabetical listing. The Search tab can be used to search any term/phrase used in the E5063A online Help.

Toolbar

The toolbar can be used to navigate through the help. The Home option can be used to return to the home page of the E5063A help which contains Quick Access to chapters in the help. The Back and Forward options can be used to toggle between visited topics. The Print option can be used to print the selected, or all the topics of the E5063A help.

Quick Access

Quick access, located on the Home Page of the E5063A help, is a convenient and quick way to access the contents of the E5063A help.

Conventions used in E5063A Help

Naming Conventions Used in this Help

Convention

Description

Example

File Name/Path

File names and path associated with them as displayed as Bold in Arial with 12 pt size.

C:\Documents and Settings\test.txt

example2.xls

Hard keys

Hard Keys (Keys located on the Front panel of E5063A) are displayed in Blue color, Bold in Verdana with 12 pt size.

Trace Max

Foc

Marker

Softkeys

Also known as menu keys, are the names of menu that appear in the Firmware (Software) of E5063A and are displayed as Bold in Arial with 12 pt size.

Auto Scale All

S22

BLOCK Names

E5063A Front Panel is divided into 7 blocks. These blocks are displayed in ALL CAPS, Green Color, Bold in Arial with 12 pt size, followed by the word 'Block'.

RESPONSE Block

ENTRY Block

STIMULUS Block

Note

This Note sign denotes important information. It calls attention to a condition that is essential for the user to understand.

  • This is a Note.

Caution

This Caution sign denotes a hazard. It calls attention to a procedure, practice, or condition that, if not correctly performed or adhered to, could result in damage to or destruction of part or all of the instrument.

  • This is a Caution.

Warning

This warning sign denotes a hazard. It calls attention to a procedure, practice, or condition that, if not correctly performed or adhered to, could result in injury or death to personnel.

  • This is a Warning.


Precautions

  • Safety

  • Notices

  • Installing Software

  • Protecting the E5063A

  • Before Contacting us


Installing Software

Updating Pre-Installed Software

Do not update pre-installed software in except when Keysight recommends to do so. Before updating or installing software refer to Windows Support Information in http://www.keysight.com/find/ena_support for more information.

Installing User Application Software

Users can install commercial application software for Windows on the E5063A at their own risk. Some application software may affect the measurement performance, especially measurement speed.


Protecting the E5063A

To protect your E5063A, follow the instructions below:

Read the warning labels and specifications

Do not exceed the values provided in the specifications guide or as indicated by the yellow warning labels on the front panel of the E5063A. Refer to the specifications for the conditions required to meet the listed specifications. There will be information regarding E5063A settings, and calibration requirements.

Do NOT press keys on the front panel, rotate RPG knob, or connect a USB device during boot up.

During boot up of windows or of the Network Analyzer application program, do NOT press keys on the front panel, rotate RPG knob, or connect a USB device. Doing so MAY lead to a front panel lockup state. To clear this state, shutdown and restart the E5063A.

Do NOT Plug off Power Cable during Shutdown Process

Do Not Plug off Power cable until completing the shutdown process.

If you directly interrupt the power supply to the power cable receptacle when the power supply is on, or while turning off the Line Switch (Always ON), the shutdown process will not work. This could damage the HDD of the E5063A.

Do NOT Modify or Reconfigure the Operating System

The Microsoft Windows operating system has been modified and optimized by Keysight to improve the performance of the E5061.

  • Do NOT install standard version of the Windows operating system on the E5063A.

  • Do NOT change advanced performance settings or group policies.

  • Do NOT add or delete any storage drive partitions on the E5063A.

  • Do NOT delete the Keysight user account.

  • Do NOT modify any of the Keysight software registry entries.

  • Do NOT change the settings of Standards and Formats in Regional Options and Languages from default setting (English).

  • DO NOT change the display property.

Install Antivirus Protection

The E5063A does NOT have antivirus protection when shipped. Use of an antivirus program is strongly recommended if you connect the E5063A to the LAN (Internet).

In addition, the use of a firewall could help to protect the E5063A from viruses. However, some firewalls could limit DCOM connectivity of the E5063A.

Install Windows Critical Updates

The E5063A is always shipped with the latest service packs and critical updates that were available at the time when firmware is updated. Keysight recommends you to maintain the latest available protection for your E5063A by automatically accepting and installing the latest critical security patches from the Microsoft Windows Update website: http://windowsupdate.microsoft.com

Run Error Check and Disk Defragmenter

When the E5063A is shutdown unexpectedly or power is removed without properly shutting down, large amounts of storage Drive space is rendered unusable. If shutdown is done in this manner a number of times, the E5063A could become unstable and no longer work.

This HDD space can be recovered by first running Windows Error-checking to find and correct errors on the disk, and then the Disk Defragmenter to recover storage Drive space. See the Windows Help file for more information about Disk Defragmenter.

To run error check and defragmenter follow the procedures below:

  1. Click Windows Start Menu > My Computer.

  2. Select the drive you want to perform defragmentation or Error-checking.

  3. Click File, then Properties.

  4. Click the Tools tab.

Error-checking

  1. Click Check Now.

  2. Check Automatically fix file system errors.

  3. Click Start.

  4. Click Yes to run disk check on next restart.

  5. Manually restart the E5063A. The disk check will run before Windows restarts.

Periodically, check the second box in addition to the first box. The error-checking process takes longer time, but performs a complete check.

Defragmentation

  1. Click Defragment Now...

  2. Click Defragment to begin the defragment process.

  3. Click Close when defragmentation is complete.

Precaution for Use of Storage

Do NOT modify or delete any Files and Folders in the drives other than D drive. Doing so will result in malfunctioning of the device. It is required to execute the System recovery if there is any trouble with the above operations.

Precaution for input connector and cable

  • Do not apply excessive DC voltage or current to the test port. Applying excessive DC voltage or current may lead to device failure. In particular, the capacitor might remain charged. Connect the measurement sample (DUT) to the test port (or the test fixture, cables, etc. connected to the test port) after the analyzer has been completely discharged. The damage level is described in the data sheet.

  • Do NOT bend, bump or flex any device under test (DUT) connected to the input of the E5063A (such as filters, couplers etc). This will reduce the amount of strain placed on the input connector and the mounting hardware. Make sure externally connected items are properly supported (not freely suspended) from the input.

  • Do NOT bend cables repeatedly, as this may damage the cables instantly. Limit the number of connections and disconnections to reduce wear and tear. Inspect connectors prior to use; look for dirt, nicks, and other signs of damage or wear. A bad connector can ruin a good connector instantly. Clean dirty connectors to prevent poor electrical connections and damage to the connector. For more information on cable and connector care, refer to http://www.keysight.com/find/cable_care

Precautions for Electrostatic Discharge (ESD)

ESD can damage or destroy electronic components. Whenever possible, conduct testing at a static-safe workstation. Keep static-generating materials at least one meter away from all components. Before connecting any coaxial cable to an analyzer, momentarily short the center and outer conductors of the cable together.

Maintain working environment condition

Control your environment. Maintain temperature & humidity with a satisfactory range within the instruments specification and prevent large fluctuations.

Precautions for transportation

  • Do NOT lift the instrument with your hands at the front panel. If the instrument slips, damage may occur to the keypad, knob, or input connectors. Lift the Instrument by the handles when transporting.

  • Do NOT use styrene pellets as packaging materials as these may cause damage to E5063A by generating static electricity.

Check for Proper Ventilation

Periodically check and clean the cooling vents of the E5063A. Inadequate airflow can result in excessive operating temperatures which can lead to instrument failures. When installing the product in a cabinet, the convection in and out of the instrument must not be restricted.

See the installation guide for details.

Precautions for Proper Grounding

  • Proper grounding prevents building-up of static charge which may be harmful to the E5063A.

  • Do NOT defeat the earth-grounding protection by using an extension cable, power cable, or autotransformer without a protective ground conductor.


Before Contacting us

If you encounter the following problems during startup or operation of the E5063A, in which initial registration of the Windows Operating System has been properly performed, execute system recovery and update the Firmware revision.

The system starts up, but the normal measurement screen does not appear

  • The system automatically shuts down immediately after the startup, or the startup process stops.

  • The measurement screen appears, but "Power on test fail" or "Calibration data lost" is displayed in the instrument message/warning area against a red background in the lower-left part of the screen. The system enters the service mode. (The instrument status bar in the lower-right displays SVC in red).

Unstable Operation

  • The system hangs while the instrument is controlled from an external PCs.

  • The blue screen appears and the system hangs.

  • The response is much slower than usual.

When execution of system recovery does not result in normal operation, it indicates that failure may have occurred. Contact Keysight customer contacts.

For other problems, refer to Troubleshooting.


Safety

Safety Summary

The following general safety precautions must be observed during all phases of operation, service, and repair of this instrument. Failure to comply with these precautions or with specific WARNINGS elsewhere in this manual may impair the protection provided by the equipment. Such noncompliance would also violate safety standards of design, manufacture, and intended use of the instrument. Keysight Technologies assumes no liability for the customer's failure to comply with these precautions.

  • The E5063A complies with INSTALLATION CATEGORY II as well as POLLUTION DEGREE 2 in IEC61010-1. The E5063A is an INDOOR USE product.

  • The LEDs in the E5063A are Class 1 in accordance with IEC60825-1, CLASS 1 LED PRODUCT

  • Ground the Instrument

    To avoid electric shock, the instrument chassis and cabinet must be grounded with the supplied power cable's grounding prong.

  • DO NOT Operate in an Explosive Atmosphere

    Do not operate the instrument in the presence of inflammable gasses or fumes. Operation of any electrical instrument in such an environment clearly constitutes a safety hazard.

  • Keep Away from Live Circuits

    Operators must not remove instrument covers. Component replacement and internal adjustments must be made by qualified maintenance personnel. Do not replace components with the power cable connected. Under certain conditions, dangerous voltage levels may remain even after the power cable has been disconnected. To avoid injuries, always disconnect the power and discharge circuits before touching them.

  • DO NOT Service or Adjust the Instrument Alone

    Do not attempt internal service or adjustment unless another person, capable of rendering first aid and resuscitation, is present.

  • DO NOT Substitute Parts or Modify the Instrument

    To avoid the danger of introducing additional hazards, do not install substitute parts or perform unauthorized modifications to the instrument. Return the instrument to an Keysight Technologies Sales and Service Office for service and repair to ensure that safety features are maintained in operational condition.

  • Dangerous Procedure Warnings

    Warnings, such as the example below, precede potentially dangerous procedures throughout this manual. Instructions contained in the warnings must be followed.

  • Dangerous voltage levels, capable of causing death, are present in this instrument. Use extreme caution when handling, testing, and adjusting this instrument.

Safety Symbols

Instruction Manual symbol: the product is marked with this symbol when it is necessary for the user to refer to the instrument manual.

Alternating current.

Direct current.

On (Supply).

Off (Supply).

A chassis terminal; a connection to the instrument's chassis, which includes all exposed metal structure.

Stand-by.


Notices

The information contained in this document is subject to change without notice.

This document contains proprietary information that is protected by copyright. All rights are reserved. No part of this document may be photocopied, reproduced, or translated to another language without the prior written consent of Keysight Technologies.

Microsoft®,MS-DOS®,Windows®,Visual C++®,Visual Basic®,VBA® and Excel® are registered trademarks of Microsoft Corporation.

Java® is registered trademark of Sun Microsystems Corporation.

© Copyright 2015 Keysight Technologies. All rights reserved.

Certification

Keysight Technologies certifies that this product met its published specifications at the time of shipment from the factory. Keysight Technologies further certifies that its calibration measurements are traceable to the United States National Institute of Standards and Technology, to the extent allowed by the Institution's calibration facility or by the calibration facilities of other International Standards Organization members.

Documentation Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement will control.

Exclusive Remedies

The remedies provided herein are Buyer's sole and exclusive remedies. Keysight Technologies shall not be liable for any direct, indirect, special, incidental, or consequential damages, whether based on contract, tort, or any other legal theory.

Assistance

Product maintenance agreements and other customer assistance agreements are available for Keysight Technologies products.

For any assistance, contact your nearest Keysight Technologies Sales and Service Office.

Sample Program

The customer shall have the personal, non-transferable rights to use, copy, or modify SAMPLE PROGRAMS in this manual for the customer's internal operations. The customer shall use the SAMPLE PROGRAMS solely and exclusively for their own purposes and shall not license, lease, market, or distribute the SAMPLE PROGRAMS or modification of any part thereof.

Keysight Technologies shall not be liable for the quality, performance, or behavior of the SAMPLE PROGRAMS. Keysight Technologies especially disclaims any responsibility for the operation of the SAMPLE PROGRAMS to be uninterrupted or error-free. The SAMPLE PROGRAMS are provided AS IS.

AGILENT TECHNOLOGIES DISCLAIMS ANY IMPLIED WARRANTY OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Keysight Technologies shall not be liable for any infringement of any patent, trademark, copyright, or other proprietary right by the SAMPLE PROGRAMS or their use. Keysight Technologies does not warrant that the SAMPLE PROGRAMS are free from infringements of such rights of third parties. However, Keysight Technologies will not knowingly infringe or deliver software that infringes the patent, trademark, copyright, or other proprietary right of a third party.

Useful sample program library for ENA Series Network Analyzers are available at http://www.keysight.com/find/ena_support.


Quick Start

Quick Start helps you to understand the E5063A operation quickly.

  • Overview

    • Front Panel

    • Rear Panel

    • Screen Area

  • Three Methods of Operation

    • Basic Measurement Procedures

    • Measurement Example of a Bandpass Filter


Overview

  • Front Panel

  • Rear Panel

  • Screen Area


Front Panel

Front Panel: Names and Functions of Parts

Ground Terminal

Ground terminal is provided with the E5063A and is connected to the chassis of the E5063A. You can connect a banana-type plug to this terminal for grounding.

Hardkeys

ACTIVE CH/TRACE Block

A group of keys for selecting active channels and traces. For more on the concepts of channels and traces, see Setting Channels and Traces.

Hardkey Name | Description
Channel Next | Selects the next channel as the active channel. (Each time the key is pressed, the active channel steps up from the current channel to the channel with one number larger than the current channel number). A channel must be active before you can define such parameters as the sweep range. To change the settings of a channel, use this key to first make the channel active.
Channel Prev | Selects the previous channel as the active channel. (Each time the key is pressed,the active channel steps down from the current channel to the channel with one number smaller than the current channel number).
Trace Next | Selects the next trace as the active trace. (Each time the key is pressed, the active trace steps up from the current trace to the trace with one number larger than the current trace number). A trace must be active before you can define measurement parameters and other settings. To change the settings of a trace, use this key to first make the trace active.
Trace Prev | Selects the previous trace as the active trace. (Each time the key is pressed, active trace steps down from the current trace to the trace with one number smaller than the current trace number).

ENTRY Block

A group of keys used for entering numeric data is provided on the front panel of the E5063A.

Hardkey Name | Description
0, 1, 2, 3 ..... 9 , . Keys (numeric keys) | Type numeric characters or a decimal point at the position of the cursor in the data entry area.
+/- | +/- alternately changes the sign (+, - ) of a numeric value in the data entry area.
G/n, M/u, k/m, x1 | Adds a prefix to the numeric data typed by using the numeric key and +/- key. One of the two prefixes written on the surface of the key is automatically selected depending on the parameter to be entered. x1 is entered without a prefix.
Softkey On/Off , Entry Off | Turns off the data entry bar if it is displayed. If the dialog box is displayed, it cancels the entry and closes the dialog box. If the data entry bar and dialog box are not displayed, it turns the softkey menu display on/off.
Bk Sp | Backspace key.
Foc | Changes the selection (focus) among the objects to be manipulated by the NAVIGATION Block keys and ENTRY Block keys. The objects to be manipulated by the NAVIGATION Block keys and ENTRY Block keys include softkey menus, data entry areas, tables (e.g., segment tables, limit tables, and marker tables), and dialog boxes. When two or more of these objects are displayed on the screen and need selecting, use this key to change the selection (focus) among the objects to be manipulated. When a softkey menu is selected, the menu name area at the top of the menu is displayed in blue. When a data entry area is selected, the data entry bar is displayed in blue. When a table is selected, the frame of the table window is displayed in light gray. While a dialog box is displayed, the focus is fixed on the dialog box and cannot be changed.
Help | Displays help for E5063A.

INSTR STATE Block

A group of keys related to the macro function, store and call function, control/management function, and presetting of the E5063A (returning it to the preset state).

Hardkey Name | Description
Macro Setup | Displays the Macro Setup Menu in Softkey Menu Bar. Manipulating the Macro Setup Menu enables you to start up the Macro Setup dialog.
Macro Menu | Displays the Macro Menu Softkey Menu Bar. Executes a registered macro. Manipulating the Macro Menu enables you to select and execute the defined executable program.
Macro Run | Executes the selected executable program such as VB script.
Save/Recall | Displays the Save/Recall Menu in Softkey Menu Bar. Manipulating the Save/Recall Menu enables you to store the setup conditions to or read from the storage devices, calibration data, and trace data of the analyzer.
Capture/System | First, temporarily saves the data for the image displayed on the LCD screen the moment this key is pressed to the internal memory (clipboard). Immediately after that, displays the System Menu in Softkey Menu Bar. Manipulating the System Menu enables you to define the setup for the limit test and then execute it, or to define the setup for the control and management of the analyzer. Using the Dump Screen Image option enables you to store the image data in the clipboard to a file on the storage devices. Also, using the Print option in the System menu enables you to print the image data in the clipboard to a printer.
Preset | Displays the Preset Menu in Softkey Menu Bar. Clicking OK in the Preset Menu enables you to return the analyzer to the initial setup state, called the preset setup.

MKR/ANALYSIS Block

A group of keys used for analyzing the measurement results by using the markers and etc.

Hardkey Name | Description
Marker | Displays the Marker Menu in Softkey Menu Bar. Manipulating the Marker Menu enables you to turn the markers on/off and move them by entering stimulus values. You can place up to 10 markers on each trace.
Marker Search | Displays the Marker Search Menu in Softkey Menu Bar. Manipulating the Marker Search Menu enables you to move a marker to a specific point (maximum, minimum, peak, and a point with a target value) on a trace. You can also find the bandwidth parameters (up to six) and display them.
Marker Fctn | Displays the Marker Function Menu in Softkey Menu Bar. Manipulating the Marker Function Menu enables you to not only specify the marker sweep range and the coupling of markers on a channel but also to display statistics data on traces.
Analysis | Displays the Analysis Menu in Softkey Menu Bar. Manipulating the Analysis Menu enables you to use the analytical function of the fixture simulator, time domain Option 011), Test Wizard (Option 011), and each limit test.

NAVIGATION Block (No Label on Front Panel)

The keys and Rotary knob in the NAVIGATION Block are used to navigate between softkey menus, tables (limit table, segment table, etc.), or selected (highlighted) areas in a dialog box as well as to change a numeric value in the data entry area by stepping up or down. When selecting one of two or more objects (softkey menus, data entry areas, etc.) to manipulate with the NAVIGATION Block keys displayed on the screen, first press the Foc (Focus) key in the ENTRY Block to select the object to be manipulated (placing focus on the object) and then manipulate the NAVIGATION Block keys (knob) to move among selected (highlighted) objects or change numeric values.

The following descriptions show how the NAVIGATION Block keys work both when the focus is on a softkey menu and when the focus is on the data entry area. For more on tables and dialog boxes manipulation, refer to the manipulation procedure for each of these functions.

  • When the focus is on a softkey menu (softkey menu is selected)

    When the focus is placed on a softkey menu (the menu title area in the uppermost part is displayed in blue), the NAVIGATION Block keys work as described below.

    Hard Key Name

    Description

    Rotary Knob
    (turned clockwise or counterclockwise)

    Moves the softkey selection (highlighted display) up or down.

    Up/Down Arrow keys

    Moves the softkey selection (highlighted display) up or down.

    Right Arrow key

    Displays the softkey menu one layer above.

    Left Arrow keys

    Displays the softkey menu one layer below.

    Enter or [image] Rotary Knob (pressed)

    Executes the function of the selected softkey.

    After pressing the data entry softkey, the focus automatically moves to the data entry area.

  • When the focus is on the data entry area (data entry area is selected)

    When the focus is placed on the data entry area (the data entry bar is displayed in blue), the NAVIGATION Block keys work as described below.

    Hard Key Name

    Description

    Rotary Knob
    (turned clockwise or counterclockwise)

    Increases or decreases the numeric value in the data entry area in small steps.

    Up/Down Arrow keys

    Increases or decreases the numeric value in the data entry area in large steps.

    Right/Left Arrow keys

    Moves the cursor (|) in the data entry area laterally back and forth. Use it together with the ENTRY Block keys to change data one character at a time.

    Enter or [image] Rotary Knob (pressed)

    Finishes the entry in the data entry area and moves the focus to the softkey menu.

RESPONSE Block

A group of keys used mainly for setting up response measurements on the E5063A.

Hardkey Name | Description
Channel Max | Changes between normal and maximum display of the active channel window. In normal display, all of the defined channel windows (both active and non-active) are displayed in split views on the screen. In maximum display, only the active channel window is displayed over the entire area, with non-active windows not displayed. To maximize the active channel, double-click the channel window frame. Measurements are also carried out on the non-active channels that are not displayed.
Trace Max | Changes between normal and maximum display of the active trace window. In normal display, all of the defined trace windows (both active and non-active) are displayed in split views on the screen. In maximum display, only the active trace is displayed over the entire channel window, with non-active traces not displayed. To maximize the trace, double-click anywhere in the channel window. Measurements are also carried out on the non-active traces that are not displayed.
Meas | Displays the Measurement Menu in Softkey Menu Bar. Manipulating the Measurement Menu enables you to specify the measurement parameters (types of S-parameters) for each trace.
Format | Displays the Format Menu in Softkey Menu Bar. Manipulating the Format Menu enables you to specify the data format (data transformation and graph formats) for each trace.
Scale | Displays the Scale Menu in Softkey Menu Bar. Manipulating the Scale Menu enables you to specify the scale for displaying a trace (magnitude per division, value of the reference line, etc.) for each trace. You can also specify the electrical delay and phase offset for each trace.
Display | Displays the Display Menu in Softkey Menu Bar. Manipulating the Display Menu enables you to specify the number of channels and the channel window array, the number and arrangement of traces, the setup for data math, etc.
Avg | Displays the Average Menu in Softkey Menu Bar. Manipulating the Average Menu enables you to define the averaging, smoothing, and IF bandwidth.
Cal | Displays the Calibration Menu in Softkey Menu Bar. Manipulating the Calibration Menu enables you to turn the calibration and error correction on/off and change definitions for calibration kits.

STIMULUS Block

A group of keys for defining the stimulus values (signal sources and triggers).

Hardkey Name | Description
Start | Displays the data entry bar for specifying the start value of the sweep range in the upper part of the screen. (It also displays the Stimulus Menu for specifying the sweep range in Softkey Menu Bar.)
Stop | Displays the data entry bar for specifying the stop value of the sweep range in the upper part of the screen. (It also displays the Stimulus Menu in the same way as Start.)
Center | Displays the data entry bar for specifying the center value of the sweep range in the upper part of the screen. (It also displays the Stimulus Menu in the same way as Start.)
Span | Displays the data entry bar for specifying the span value of the sweep range in the upper part of the screen. (It also displays the Stimulus Menu in the same way as Start.)
Sweep Setup | Displays the Sweep Setup Menu in Softkey Menu Bar. Manipulating the Sweep Setup Menu enables you to specify the signal source power level, sweep time, number of points, sweep type, etc.
Trigger | Displays the Trigger Menu in Softkey Menu Bar. Manipulating the Trigger Menu enables you to specify the trigger mode and trigger source. You can specify the trigger mode for each channel.

LCD Screen

The E5063A is equipped with a 10.4-inch TFT color, touch-sensitive LCD screen for displaying traces, scales, settings, softkeys and other measurement related information. The touch screen LCD allows you to manipulate softkeys by touching the LCD screen directly with a finger. For more on the LCD screen, see Screen Area: Names and Functions of Parts.

  • Do not press the surface of the LCD screen with a sharp object (e.g., nail, pen, or screwdriver). Pressing the surface with a sharp-pointed object will damage the LCD screen surface or cause the screen to fail.

  • Valid pixels are 99.998 % and more. Below 0.002 % of fixed points of black, blue, green or red are not regarded as failure.

Standby Switch

This switch can turn on/off the E5063A. The color on the button shows the status as shown below:

Indicator Color | Description
Green | Normal power on status.
Orange | Standby status.
Red | Illegal power on status.

To turn off the power of the E5063A, be sure to follow the steps described below:

  1. First, press this standby switch or send a shutdown command from the external controller to activate the shutdown process (the processing of software and hardware necessary to turn off the power supply). This will put the E5063A into the standby state.

  2. Next, if necessary, turn off power supply to the Power Cable Receptacle (to LINE) on the rear panel.

  3. Under normal use, never directly interrupt the power supply to the power cable receptacle on the rear panel when the power supply is on. Always keep the Line Switch (Always ON) at (|). Never turn it off (O).

    If you directly interrupt the power supply to the power cable receptacle when the power supply is on, or turn off the Line Switch (Always ON), the shutdown process will not work. This could damage the software and hardware of the E5063A and lead to device failure.

    Turning on the power supply after a faulty shutdown may cause the system to start up in a condition called "safe mode." If this occurs, first shut down the system to set it to the standby state and then turn on the power supply again to start up the system in normal mode.

Test Ports

Port 1 and Port 2

Port 1 and Port 2 are for S-parameter measurement. While signals are being output from a test port, the yellow LED above the test port is lit.

The test ports comply with Installation Category I of IEC 61010-1.

USB Ports

Two USB (Universal Serial Bus) Ports are provided that can be used for connecting to ECal (Electronic Calibration) module, USB keyboard, USB mouse, USB memory or a printer. Connecting a designated ECal module to this port enables ECal measurements to be taken. Connecting a compatible printer to this port enables screen information on the E5063A to be printed. See Using USB for more detail.


Rear Panel

Rear Panel: Names and Functions of Parts

24 Bit (Handler) I/O Port

The terminal to which an automatic machine (handler) used on a production line is connected. See 24 Bit (Handler) I/O Port.

Connector type: 36-pin Ribbon (Centronics) connector

Certificate of Authenticity Label

The label shows the licence information of the Windows Operating System

Ethernet Port

A terminal for connecting the E5063A to a LAN (Local Area Network). Connecting this instrument to a LAN enables you to access the storage of this instrument from an external PC or to control this instrument by using SICL-LAN or telnet.

Specification | Value
Connector type | 8-pin RJ-45 connector
Base standard | 10Base-T/100Base-TX/1000Base-T

External Monitor Output Port (VIDEO)

A terminal to which an external color monitor (display device) can be connected. By connecting a color monitor to this terminal, the same information shown on the LCD screen of the main body can be displayed on an external color monitor.

Connector type: 15-pin VGA connector, female

External Trigger (EXT TRIG)

Input

A connector to which external trigger signals are input. This connector detects the downward transition from the HIGH state in TTL signals as the trigger signal. To use this connector to generate a trigger, you must set the trigger source to the "external" side. The connector type is BNC, female.

Output

The External Trigger Output Port can output the pulse with the specified polarity and position either before or after the measurement of each point. The connector type is BNC, female.

Parameter | Typical Value | Condition
HIGH Level Output Voltage | 5 V | Iout=-50µA
LOW Level Output Voltage | 0 V | Iout=50µA

  • The External Trigger Output Port can safely handle a maximum output current of 50 mA.

GPIB Port

The connection of an external controller through General Purpose Interface Bus (GPIB) connector allows you to configure an automatic measurement system.

This GPIB port is used only for controlling the E5063A from an external controller. Use USB/GPIB interface to control other devices from the E5063A. You cannot control other devices from the E5063A through this GPIB port.

Solid State Drive (SSD)

Built in Solid State Drive

Reference Signal Ports (10MHz)

The specification for the signals is specified in the data sheet.

Input (REF IN)

The reference signal input connector is used for phase-locking the measurement signal from the E5063A to the external frequency reference signal. Inputting reference signal to this connector improves the accuracy and frequency stability of the measurement signal from the E5063A. When the frequency reference signal is input to this connector, the measurement signal from the E5063A is automatically phase-locked to the reference signal. When an input signal is not present, the frequency reference signal inside the E5063A is automatically used. The ExtRef on the instrument status bar is displayed in blue when the system is phase-locked to the external reference signal and in gray when not phase-locked.

Output (REF OUT)

A connector for outputting the internal frequency reference signal from the E5063A. By connecting this output connector to the external reference signal input connector of another device, the device can be phase-locked to the internal reference signal of the E5063A and used under this condition.

Line Switch (Always ON)

Always keep this switch on (|).

  • Do not use this switch to turn off (O) the mains. Doing so may cause the analyzer to fail. For more information, see the description of the Standby Switch.

Power Cable Receptacle (to LINE)

The receptacle (outlet) to which the power cable is connected.

  • To connect the device to a power source (outlet), use the supplied three-prong power cable with a ground conductor. The plug attached to the power cable (on the power outlet side or device side of the cable) serves as the disconnecting device (device that cuts off power supply) of the E5063A. When the power supply must be cut off to avoid such danger as electric shock, pull out the power cable plug (on the power outlet side or device side of the cable). For the procedure for turning off the main in normal use, see the description in Standby Switch.

For more on the power supply, see the Installation Guide.

Serial Number Plate

The label showing the product number, serial number and the installed option number. The accessary and system rack options are not listed on this label. (CFGxxx or ATOxxx in the first line is Keysight Use Only.)

USB Interface Port (USBTMC)

Through this port, you can control the E5063A from external controllers. For more information on the measurement system using the USB port, see the USB Remote Control System.

Specification | Value
Connector type | Universal serial bus (USB), type B (4 contact positions), Female (jack)
Compliance Standards | USBTMC-USB488 and USB2.0

USB Ports

Four USB (Universal Serial Bus) ports are provided that can be used for connecting to ECal (Electronic Calibration) module, USB keyboard, USB mouse, USB memory or a printer. Connecting a designated ECal module to this port enables ECal measurements to be obtained. Connecting a compatible printer to this port enables screen information on the E5063A to be printed. See Using USB for more detail.


Screen Area

Screen Area: Names and Functions of Parts

Click on the name or area for details of the topic.

  • Menu Bar

  • Data Entry Bar

  • Softkey Menu Bar

  • Instrument Status Bar

  • Channel Window


Channel Window

Window for displaying the traces. Because a channel corresponds to a window, it is called a channel window. When the outer frame of a channel window is displayed in light gray, it shows that the channel is an active channel (the channel for which setup is being performed). In the following figure, Channel 1 (the upper window) is the active channel. To make a channel active, use Channel Next or Channel Prev. Clicking inside a channel window will also make the channel active.

Channel 1 Window and Channel 2 Window describes different measurement parameters available in the channel measurement window. The measurement parameters described in the Channel 1 and 2 Window correspond to the same channel measurement window and are displayed in separate windows for ease of read.

Channel 1 Window

Channel 2 Window

Fixture Simulator

Bandwidth Parameters

Turning on the bandwidth search function displays the bandwidth parameters here.

Channel Number

Indicates the channel number.

Channel Status Bar

The status of each channel is displayed here.

Averaging Status

Displays the averaging factor and averaging count when averaging is turned on.

n/m (displayed in blue) | Averaging: ON (m: averaging factor; n: averaging count)
(not displayed) | Averaging: OFF

Channel Measurement Status

Displays the update status of traces on the channel.

! | Measurement in progress. When the sweep time exceeds 1.5 seconds, ↑ is displayed at the point on the trace.
# | Invalid traces. The measurement conditions have changed, but the traces on the channel currently displayed have not been updated to match the new conditions.
(No display) | The measurement has not been executed.

Error Correction Status

Displays the execution status of error correction on the channel.

IF Bandwidth

Indicates the IF bandwidth when the sweep type is linear/log frequency.

Port Extension Status

Shows whether the port extension is turned ON or OFF.

PExt (displayed in blue) | Port extension: ON
(not displayed) | Port extension: OFF

Sweep Range

Indicates the sweep range by using the start/stop or center/span.

Channel Title Bar

You can assign a title to each channel and have the title displayed on the bar.

Data Format

The data format of each trace is displayed here.

Graticule Labels

Y-axis divisions in the rectangular display format. When traces in the rectangular display format are overlaid, the Y-axis divisions for the active trace are displayed. The value of the reference line (the division line between [image] and [image]) is entered numerically by opening the data entry bar using the keys: Scale > Reference Value. You can change values of the reference line at one-division intervals by placing the mouse pointer in the area of the graticule label (the pointer changes from [image] to [image]), moving the pointer vertically with the left mouse button pressed, and then releasing the button at the desired location.

Fixture Simulator

Fixture Simulator Status indicates that the Fixture Simulator function has been turned ON. To turn ON/OFF Fixture Simulator :

Analysis > Fixture Simulator > ON | OFF

Marker Indicators

Indicates the positions of markers on the stimulus axis.

Active marker indicator

Non-active marker indicator

You can also move a marker to the desired position by placing the mouse pointer on the marker indicator or position of the marker itself (the pointer changes from [image] to [image]), moving the indicator vertically with the left mouse button pressed, and then releasing the button at the desired location.

Marker Numbers

Displayed marker number is listed. For the active marker (the one for which setup and analysis are being performed), > is displayed at the left of the marker number. For the reference marker, [image] is displayed instead of the marker number.

Marker Response Values

The marker response value for each marker (the measurement value at the marker point) is displayed here. Two (or three) response values are displayed for data in Smith chart or polar display format.

Markers

The markers used for reading values on a trace. Up to 10 markers can be displayed for each trace.

Active marker (the one for which setup and analysis are being performed)

Non-active marker

Here, "n" denotes a marker number. For the reference marker, however, nothing is displayed at the location of n. Clicking the marker or one of the Marker Indicators makes the marker active.

Marker Stimulus Values

The marker stimulus value for each marker (the frequency/power level at the marker point) is displayed here.

Properties

Displays the status of the obtained calibration coefficients on the channel.

Reference Line Indicators

The indicators that indicate the position of the reference line for the Y-axis scale in the rectangular display format. One indicator is to the right and the other is to the left of the scale ( [image] and [image]). To enter a numeric value for the position of the reference line, open the data entry bar using the keys: Scale > Reference Position. You can also move the position of the reference line by placing the mouse pointer on either of the two reference line indicators (the pointer changes from [image] to [image].), moving the indicator vertically with the left mouse button kept pressed, and then releasing the button at the desired location (i.e., a drag-and-drop operation).

Scale Settings

The scale setting for each trace is displayed here. This example shows that "10.00dB/" corresponds to 10 dB per division. "Ref 0.000dB" shows that the value of the reference line is 0 dB.

Statistics Data

Turning on the statistics data function displays statistics data here.

Trace Name/Measurement Parameter

The names of the traces, such as Tr1, on the channel and their measurement parameters are displayed here. to the right of the trace name indicates the active trace (the trace for which setup is being performed). To make a trace active, use Trace Next or Trace Prev. Clicking the line where the trace name is placed (the mouse pointer changes from [image] to [image]) also makes a trace active.

Trace Number

In the rectangular display format, the trace number is displayed in the same color as the trace at the right end of each trace.

Trace Status Area

The setup for each trace is displayed here.

Trace status display

Classification | Contents inside [ ] | Meaning
Error correction | RO | Error correction: ON (OPEN (n) response calibration)
 | RS | Error correction: ON (SHORT (n) response calibration)
 | RT | Error correction: ON (THRU (n) response calibration)
 | ER | Error correction: ON (Enhanced response calibration)
 | F1 | Error correction: ON (1-port calibration )
 | F2 | Error correction: ON (Full 2-port calibration)
Turning on/off traces | Nothing | Data trace: ON, Memory trace: OFF
 | M | Data trace: OFF, Memory trace: ON
 | D&M | Data trace: ON, Memory trace: ON
 | off | Data trace: OFF, Memory trace: OFF
Performing data math | D+M (D+M&M) | Execution of Data+Mem math
When a memory trace is ON, see the contents inside () | D- M (D- M&M) | Execution of Data- Mem math
 | D*M (D*M&M) | Execution of Data*Mem math
 | D/M (D/M&M) | Execution of Data/Mem math
Electrical delay | Del | A numeric value other than 0 (zero) is specified as the electrical delay or phase offset.
Smoothing | Smo | Smoothing: ON
Gating | Gat | Gating: ON
Time Domain | FL | Fault location: ON
Parameter conversion | Zr | Conversion: ON (Impedance: Reflection measurement)
 | Zt | Conversion: ON (Impedance: Transmission measurement)
 | Ztsh | Conversion: ON (Impedance: Transmission-Shunt measurement)
 | Yr | Conversion: ON (Admittance: Reflection measurement)
 | Yt | Conversion: ON (Admittance: Transmission measurement)
 | Ytsh | Conversion: ON (Admittance: Transmission-Shunt measurement)
 | 1/S | Conversion: ON (Inverse S-parameter)
 | Conj | Conversion: ON (Conjugation)
Equation Editor | Equ | Equation Editor: ON


Data Entry Bar

Used to enter numeric data into the E5063A. Press a hardkey or softkey to enter data, and the data entry bar will appear at the top of the screen. To assign a title to a channel window, an entry bar that allows you to enter letters and symbols by using the front panel keys or mouse is displayed.

Data entry bar

  • To manipulate the data entry bar by using the front panel keys, the data entry bar must be selected as the object to manipulate (with the focus placed on it). When the focus is placed on the data entry bar, the entire bar is displayed in blue. Pressing or clicking Foc Key in the ENTRY Block enables you to move the focus to the desired object.

Close Button

Closes the data entry area (turns off the display). Use mouse to manipulate this button.

Data Entry Area

When the data entry bar is displayed for the first time, the current settings are displayed on it. You can change numeric values by typing from the keyboard or in the ENTRY block on the front panel.

You can hide the frequency information in order to ensure its confidentiality or for other reasons. For detailed information, see Hiding Softkey's Frequency Information.

Parameter Name

Displays the name of the parameter for which data will be entered.

Step Button (Small)

Increases or decreases the numeric value in the data entry area in small steps. Use the mouse to manipulate this button.

Step Button (Large)

Increases or decreases the numeric value in the data entry area in large steps. Use the mouse to manipulate this button.


Instrument Status Bar

The instrument status bar displays the status of the entire instrument.

Date and Time

Displays the date and time generated by the internal clock. The display format is as follows:

YYYY-MM-DD HH:MM

Where:

YYYY: Year (AD)
MM: Month
DD: Day
HH: MM: Time (0:00 to 23:59)

  • You can turn the date and time display on/off by: System > Misc Setup > Clock Setup > Show Clock.

Display Update OFF Indicator

When information update display on the LCD screen is turned off, this indicator is displayed.

External Reference Signal Phase Lock

When the frequency reference signal is input to the Reference Signal Input (REF IN) on the rear panel and the measurement signal of the E5063A is phase-locked to the reference signal, ExtRef is displayed in blue.

Value | Description
ExtRef (displayed in blue) | Measurement signal is phase-locked to the external reference signal.
ExtRef (displayed in gray) | Measurement signal is not phase-locked to the external reference signal.

Instrument Message/Warning

Displays instrument messages and warnings. Instrument messages are displayed in gray and warnings in red.

Measurement Status

Displays the measurement status of the E5063A.

Value | Description
Setup | Setup for measurement in progress
Hold | Measurement on hold (idling)
Init | Measurement being initialized
Man | The trigger source is set to "Manual" and waiting for trigger.
Ext | The trigger source is set to "External" and waiting for trigger.
Bus | The trigger source is set to "Bus" and waiting for trigger.
Meas | A measurement is in progress.

Overload Protection Indicator

Displays when the overload is detected.

RF Output OFF Indicator

When RF signal output is turned off, this indicator is displayed.

Service Mode Indicator

Indicates the service mode status. The service mode indicator is displayed when E5063A enters the following state.

Value | Description
SVC (displayed in blue) | The E5063A is in service mode, which is used for self-diagnosis and repair of the E5063A or 8 term calibration mode. Therefore, measurement performance will not be guaranteed according to the specifications. If, under normal use, the system remains in the service mode and does not return to normal operating mode, there is a possibility that the instrument is out of order.
SVC (displayed in red) | An abnormal condition has been detected inside the E5063A. The unit may be damaged. Notify the Customer Contact listed at the end of this manual or the distributor from whom the unit was purchased.


Menu Bar

By using the mouse and keyboard to manipulate the menu bar, you can perform interface operations that are equivalent to those of the keys in the ACTIVE CH/TRACE Block, RESPONSE Block, STIMULUS Block, MKR/ANALYSIS Block, and INSTR STATE Block on the front panel of the E5063A. The menus on the menu bar correspond to the key blocks, and their submenus to the hardkeys inside the key blocks.


Softkey Menu Bar

A group of keys on the screen called by the softkeys and menu bars. You can manipulate these keys by using the NAVIGATION Block keys on the front panel, the mouse, or the keyboard. You can perform manipulations by directly touching the screen with your finger instead of using a mouse.

Softkey Menu Bar

  • To manipulate a menu bar, it has to be selected as the object to manipulate (with the focus placed on it). When the focus is placed on a menu bar, the menu title area at the top is displayed in blue. Pressing or clicking on Foc Key in the ENTRY Block enables you to move the focus to the desired object.

Highlighted Softkey

Pressing [image] and Enter key on the front panel or pressing Enter key on the keyboard causes the highlighted (selected) softkey to be executed. You can change which softkey in the menu is highlighted by turning [image] or pressing [image] [image] on the front panel or by pressing [image] [image] on the keyboard. Pressing the [image] key on the front panel or the [image] key on the keyboard brings up the upper level softkey menu, and pressing the [image] key on the front panel or the [image] key on the keyboard brings up the lower level softkey menu.

Scroll Arrow (Large)

When the softkeys in a menu overflow the screen, use this key to enable you to scroll the menu page by page. Both upward and downward scroll arrows are available. Use the mouse to manipulate these buttons.

Scroll Arrow (Small)

Using this button, you can scroll the menu one softkey at a time. Both upward and downward scroll arrows are available. Use the mouse to manipulate these buttons.

Scroll Bar

When the softkeys in a menu overflow the screen, clicking on the blank part of the scroll bar enables you to scroll the softkey menu up or down.

Scroll Box

You can scroll the softkey menu up or down by using the mouse to select and drag the scroll box (pressing the button on the object to be moved and then releasing the button at the desired location). The length and position of the scroll box indicate the length and position of the currently displayed part of the softkey menu relative to the entire menu.

Selection Mark

Shows which softkey function is currently selected.

Softkeys

These are the actual keys you would use to perform setup. A [image] displayed to the right of a softkey indicates that pressing that softkey displays the lower layer of softkeys.

Softkey Menu Title

The title of the softkey menu is displayed here. Double-clicking on this part of the menu bar displays the top layer of softkeys.

Softkey Status Display

Displays a softkey's setup status.

Some softkeys like Start/Stop/Center/Span include the frequency information. You can hide the frequency information in order to ensure its confidentiality or for other reasons. See Hiding Softkey's Frequency Information .


Three Methods of Operation

You can operate the E5063A using one of three operating methods: using keys on the front panel, using a mouse and keyboard, and using the touch screen. This section illustrates these three operating methods through the example in which the channel window layout is set to four-channel display as shown in the following figure.

In the next section and those following it, a series of operations is expressed as follows:

Display > Allocate Traces >

Four-Trace Display

Operating Method Using Keys

  1. Press the DISPLAY key in the RESPONSE Block.

  2. Press [image] or [image] key to move the cursor to the Allocate Traces, then press Enter or ( [image] ) key.

  3. Press [image] or [image] key to move the cursor to [image] , then press Enter key.

Operation Method Using a Mouse

  1. From the Response menu, press Display key.

  2. Click Allocate Traces.

  3. Click

Operation Method Using the Touch Screen

  1. Press Display key after presetting the E5063A (Executing Preset key).

  2. Click/Press Allocate Traces.

  3. Click/Press any desired setting.


Basic Measurement Procedures

This section describes the basic measurement procedure using the E5063A and presents an example of the transmission measurement of a bandpass filter, for better understanding of how to use the E5063A.

Basic Measurement Flow

  1. Determining measurement conditions

  • Initializing Parameters

  • Select:

    • Measurement Parameter

    • Data format

    • Sweep Type and range

    • Power level

    • IF bandwidth

  2. Calibration

  • Select calibration kit

  • Make a calibration

  3. Connecting the Device Under Test (DUT)

  • Connect DUT

  • Adjust the scale

  4. Analyzing measurement results

  • Analysis using markers

  5. Outputting measurement results

  • Store measurement result into a file


Measurement Example of a Bandpass Filter

This section describes how to measure the transmission characteristics of a 947.5 MHz bandpass filter. The measurement conditions for this measurement example are those suitable for a 947.5 MHz bandpass filter. To measure another device under test (DUT), change the measurement conditions to suit the particular DUT.

STEP 1. Determining Measurement Conditions

  1. Preset the E5063A.

    Preset     > OK

  2. Set the S-parameter to S21.

    Meas     > S21

  3. When measuring the reverse transmission characteristics, set the S-parameter to S12.

  3. Set the data format to the log magnitude format

    Format     > Log Mag

  4. Set the center frequency to the bandpass filter center frequency. Next, specify the span frequency, which is set to 200 MHz in this measurement example.

    Center     > 9 > 4 > 7 > . > 5 > M/m
    Span     > 2 > 0 > 0 > M/m

  3. When entering the frequency unit using the keyboard, type "G" for GHz, "M" for MHz, and "k" for kHz.

  5. Specify the number of measurement points per sweep. The number of measurement points in this measurement example is set to 401.

    Sweep Setup     > Points > 4 > 0 > 1 > x1

  6. Specify the power level of the signal source. The power level in this measurement example is set to -10 dBm.

    Sweep Setup     > Power > +/- > 1 > 0 > x1

  7. Specify the IF bandwidth of the receiver as necessary. In this measurement example, the IF bandwidth is set to 10 kHz because of the need to lower the noise floor.

    Avg     > IF Bandwidth > 1 > 0 > k/m

STEP 2. Calibration

To turn the error correction ON, set the calibration type to the full 2-port calibration and measure the calibration data.

For details about calibration, see Calibration.

  1. Select the calibration kit suitable for the measurement cable. In this measurement example, Calibration Kit 85032F is selected.

Cal > Cal Kit > 85032F

  2. Set the calibration type to the full 2-port calibration using the test port 1 and 2.

Cal > Calibrate > 2-Port Cal

  3. Connect the OPEN standard (included in the calibration kit) to the other end of the measurement cable that is connected to the test port 1 as shown in the following figure, and measure the open calibration data at the test port 1. After measuring the open calibration data, a checkmark [image] is displayed to the left of the Port 1 Open menu.

Cal > Calibrate > 2-Port Cal > Reflection > Port1 Open

In the same way, measure the calibration data for the SHORT/LOAD standards at the test port 1.

Connecting the OPEN/SHORT/LOAD standards

  4. In the same way as described above, measure the calibration data for the OPEN/SHORT/LOAD standards at the test port 2.

  5. Connect the measurement cables as shown in the figure below, and measure the thru calibration. After measuring the thru calibration data, a checkmark [image] is displayed to the left of the Port 1-2 Thru button.

Cal > Calibrate > 2-Port Cal > Transmission > Port 1-2 Thru

Making the through calibration

  6. Set the full 2-port calibration measurement to DONE. The calibration factor is calculated based on the calibration data acquired, and the error correction is turned ON.

Cal > Calibrate > 2-Port Cal > Done

  7. Select the type in which the data is to be saved before saving the calibration factor (calculated based on the calibration data).

Save/Recall > Save Type > State & Cal

  8. Store the calibration file to the disk of the E5063A. The symbol "X" appearing in the operations below represent the assigned numbers to be used when the file is saved.

Save/Recall > Save State > State 0X

STEP 3. Connecting the Device Under Test (DUT)

  1. Connect to the DUT to the E5063A. (See the below figure)

    Connecting the DUT

  2. Set the appropriate scale by executing the auto scale. (See the below figure)

    Scale     > Auto Scale

    You can also adjust the scale by entering arbitrary values in the Scale/Div button, Reference Position button, and Reference Value.

S21 trace after executing the auto scale

STEP 4. Analyzing Measurement Results

This section describes how to use the marker function to read out important parameters for the transmission measurement of the bandpass filter (insertion loss, -3 dB bandwidth).

Measuring the Insertion Loss

  1. Display a marker.

Marker > Marker 1

  2. Using one of the following methods to move the marker to the center frequency of the bandpass filter.

  • On the entry bar, press 9> 4 > 7 > . > 5 > M/m

  • Turn the rotary knob [image] on the front panel to set it to the center frequency (947.5 MHz).

  3. Read the marker value displayed as shown in the figure below. In this example, the response value denotes the insertion loss.

Measuring an Insertion Loss

Measuring the -3 dB Bandwidth

Using the marker bandwidth search function, the bandwidth, center frequency between two cutoff frequency points, Q value, and insertion loss are all read out. These parameters are described in the following table.

  1. If the two cutoff frequency points are not found, all data items except the insertion loss revert to zero.

    Parameter

    Description

    BW (Bandwidth)

    Stimulus width between two cutoff frequency points (low and high)

    cent (Center Frequency)

    Center point between cutoff frequency points (low and high)

    low (Left-side Cutoff Frequency)

    The lower frequency of the two cutoff frequency points

    high (Right-side Cutoff Frequency)

    The higher frequency of the two cutoff frequency points

    Q (Q Value)

    Q = cent/BW

    loss (Insertion Loss)

    The measured value of the active marker.

  2. Display a marker.

Marker > Marker 1

  2. Using one of the following methods to move the marker to the center frequency of the bandpass filter.

  • On the entry bar, press 9 > 4 > 7 > . > 5 > M/m

  • Turn the rotary knob [image] on the front panel to set it to the center frequency (947.5 MHz).

  3. Specify the bandwidth definition value that defines the pass band of the filter. In this measurement example, it is set to -3 dB.

Marker Search > Bandwidth Value > +/- > 3 > x 1

  4. Set the bandwidth search function ON.

Marker Search > Bandwidth

  5. The bandwidth data items (BW, cent, low, high, Q, loss) is displayed. (See the following figure.)

Measuring the -3 dB Bandwidth

STEP 5. Outputting Measurement Results (Save)

You can save not only the internal data but also the measurement results such as trace data and display screens to the disk.

Saving the Trace Data(in CSV format)

You can save the trace data to the disk of the E5063A in CSV file format (extension: .csv). Since the CSV-formatted data to be saved is a text file, you can analyze the data using Microsoft Excel.

Follow the step below to save the trace data:

Save/Recall > Save Trace Data

Saving the Display Screen

You can save the screen displayed on the E5063A to the disk of the E5063A in Windows bitmap file format (extension: .bmp) or Portable Network Graphics format (extension: .png).

Follow the step below to save the display screen:

System > Dump Screen Image

  • The image on the LCD display memorized in the volatile memory (clipboard) (the image on the LCD display when the Capture/System key is pressed) is saved.


Measurement

This chapter provides information related to the measurements done through E5063A.

  • Setting Measurement Conditions

  • Calibration

  • Making Measurements

  • Analyzing Data

  • Fixture Simulator

  • Time Domain Analysis

  • Outputting Data

  • Optimizing Measurements


Setting Measurement Conditions

  • Initializing Parameters

  • Setting the System Z0

  • Setting Channels and Traces

  • Selecting Measurement Parameters

  • Setting Stimulus Conditions

  • Selecting a Data Format

  • Setting the Scales

  • Setting Window Displays


Initializing Parameters

The E5063A has three different initial settings as shown below.

Initial setting | Restore method
Preset state | Press Preset > OK the front panel or Execute the :SYST:PRES command
*RST state | Execute the *RST command
Factory default setting | E5063A factory (default) settings

The user can set items to be preset freely. For more information, see Setting the user preset function.

Other topics about Setting Measurement Conditions


Setting the System Z0

The procedure for setting the system characteristic impedance (Z0) is as follows:

  1. Press Cal key.

  2. Click Set Z0, then input the system Z0.

Other topics about Setting Measurement Conditions


Setting Channels and Traces

  • Overview of Channel and Trace

  • Number of Channels Traces

  • Setting Channel Display (Layout of Channels)

  • Setting Trace Display

  • Active Channel

Other topics about Setting Measurement Conditions

Overview of Channel and Trace

The E5063A allows you to setup multiple channels to perform measurement under different stimulus conditions.

As multiple traces (measurement parameters) can be displayed for each channel, no feature is provided to link the stimulus conditions between channels, and each channel is always independent of the others. In other words, you need to set the measurement conditions and execute calibration for each channel you use for measurement.

When you set items whose setting target is channels/traces (refer to Parameter setting for each setup item), the target is the selected (active) channel/trace. You can specify only the displayed channels/traces as active channels/traces. Therefore, set the display of channels/traces before setting the measurement conditions.

Setting Parameter for each Setup Item (Analyzer, Channel, Trace)

The following table lists the setting parameters and indicates the setup item (analyzer, channel, or trace) that each parameter controls along with the applicable setup key(s).

Parameter | Controlled Setup Items |  |  | Setup Key(s)
 | Analyzer | Channel | Trace
Stimulus Settings |  |  |  |
Sweep range |  | x |  | Start, Stop, Center, Span
Power |  | x |  | Sweep Setup > Power
Sweep time/Sweep delay time |  | x |  | Sweep Setup > Sweep Time, Sweep Delay
Number of points |  | x |  | Sweep Setup > Points
Segment sweep |  | x |  | Sweep Setup > Sweep Type, Edit Segment Table, Segment Display
Trigger Settings |  |  |  |
Trigger mode |  | x |  | Trigger > Hold/Single/ Continuous
 | x |  |  | Hold All Channels/Continuous Disp Channels
Trigger source, Trigger Event, Trigger Scope | x |  |  | Trigger > Trigger Source, Trigger Event, Trigger Scope
Trigger | x |  |  | Trigger > Restart/Trigger
Ext Trigger Input, Trigger Delay | x |  |  | Trigger > Ext Trig Input, Trigger Delay
Ext Trigger Output, Polarity, Position, Pulse Width | x |  |  | Trigger > Ext Trig Output, Polarity, Position, Pulse Width
Response Settings |  |  |  |
Measurement parameter |  |  | x | Meas
Data format |  |  | x | Format
Scale, Electrical delay, Phase offset |  |  | x | Scale
Memory trace and data math |  |  | x | Display > Display/Data-> Mem/ Data Math
Equation Editor |  | x |  | Display > Equation Editor/Equation (ON/OFF)
Window title |  | x |  | Display > Edit Title Label/ Title Label (ON/OFF)
Graticule label in rectangular form |  | x |  | Display > Graticule Label (ON/OFF)
Color inversion | x |  |  | Display > Invert Color
Frequency display | x |  |  | Display > Frequency (ON/OFF)
Display update | x |  |  | Display > Update (ON/OFF)
Averaging |  | x |  | Avg > Averaging Restart/ Avg Factor/Averaging (ON/OFF)
Averaging Trigger | x |  |  | Avg > Avg Trigger (ON/OFF)
Smoothing |  |  | x | Avg > Smo Aperture/ Smoothing (ON/OFF)
IF bandwidth, IF BW Auto, IF BW Auto Limit |  | x |  | Avg > IF Bandwidth, IFBW Auto, IFBW Auto Limit
Calibration |  | x |  | Cal
System Impedance | x |  |  | Cal > Set Z0
Marker |  |  | x | Marker, Marker Search, Maker Fctn
Market Table | x |  |  | Maker Fctn > Maker Table
Analysis |  |  |  |
Time domain |  |  | x | Analysis > Gating, Transform
Parameter conversion |  |  | x | Analysis > Conversion
Limit test, Ripple Test, Bandwidth Test, Point Limit |  |  | x | Analysis > Limit Test, Ripple Test, Bandwidth Limit, Point Limit
Saving and recalling data | x |  |  | Save/Recall
Macro | x |  |  | Macro Setup, Macro Menu, Macro Run
System |  |  |  |
Printing/Saving display Screen/Beeper/GPIB settings/Network Settings/Date & Time/Key Lock/Backlight/Firmware Revision/Service menu | x |  |  | System
Preset | x |  |  | Preset

Number of Channels/Traces

You can select the upper limits of the number of channels and the number of traces from the following combinations.

  • 12 Channel, 4 Traces, 10001 Points

  • 32 Channel, 16 Traces, 1601 Points

Procedure

  1. Press System > Misc Setup > Channel/Trace Setup.

  2. Press the desired softkey to select the upper limits of the number of channels and the number of traces.

  3. The dialog box that prompts "New Channel/Trace configuration will take effect after firmware restart." appears.

  4. Click OK.

  5. Press any softkeys or hardkeys besides Preset key.

  6. The dialog box that prompts "Do you want to restart now?" appears.

  7. Click Yes.

Setting Channel Display (Layout of Channels)

The measurement result for each channel is displayed in its dedicated window (channel window). You cannot have a single window to display the measurement results from more than one channel. This means that the setting of the window layout determines the number of channels displayed on screen.

  • The execution of measurement for each channel does not depend on how the channel is displayed (channels that are not displayed can be measured). For information on executing measurement for each channel (trigger mode and trigger source), refer to Making Measurements.

The procedure for setting the window layout is as follows:

  1. Press Display > Allocate Channels.

  2. Press the desired softkey to select the window layout.

Setting Trace Display

Setting the number of traces

Depending on the measurement parameters of the traces displayed for each channel, the sweep necessary for each channel is executed. For more information, refer to Sweep Order in Each Channel.

You specify the trace display by setting the number of traces (upper limit of displayed trace numbers). For example, if you set the number of traces to 3, traces 1 through 3 are displayed.

The procedure for setting the number of traces is as follows:

  1. Press Channel Next (or Channel Prev) to select the channel for which you want to set the number of traces.

  2. Press Display > Number of Traces.

  3. Press the desired softkey to set the number of traces.

Setting trace layout (graph layout)

Traces are laid out and displayed in the order of the trace number from graph 1 according to the graph layout in the channel window.

You can select the graph layout from the windows layout.

If the number of traces is less than the number of graphs, nothing is displayed in the remaining area. If the number of traces you set exceeds the number of graphs, excess traces are superimposed from the first graph. For example, if you select [image] as the graph layout and set the number of traces to 4, the first graph from top display traces 1 and 4, respectively, by superimposing, and the second graph and third graph displays trace 2 and trace 3 as shown in the figure below.

The procedure for setting the graph layout is as follows:

  1. Press Channel Next (or Channel Prev) to select the channel for which you want to set the graph layout.

  2. Press Display > Allocate Traces.

  3. Press the desired softkey to select the graph layout.

Active Channel

The active channel is the one whose settings can currently be changed. The window frame of the active channel is displayed brighter than the window frames of the other channels. To change the settings specific to a certain channel, you must first activate the channel.

To change the active channel, use the following hardkeys:

Hardkey | Function
Channel Next | Change the active channel to the next channel with the larger channel number.
Channel Prev | Change the active channel to the previous channel with the smaller channel number.

Active trace

The active trace is the one whose settings can currently be changed. The trace name on the screen (for example, Tr2) of the current active trace is highlighted and indicated with [image] to the left. To change the settings specific to a certain trace, you must first activate the trace.

To select the active trace, use the following hardkeys:

Hardkey | Function
Trace Next | Change the active trace to the next trace with the larger trace number.
Trace Prev | Change the active trace to the previous trace with the smaller trace number.


Selecting Measurement Parameters

The E5063A allows users to evaluate the DUT (device under test) characteristics by using the following measurement parameters.

  • S-parameters

Other topics about Setting Measurement Conditions

S-parameters

S-parameters (scattering parameters) are used to evaluate how signals are reflected by and transferred through the DUT. An S-parameter is defined by the ratio of two complex numbers and contains information on the magnitude and phase of the signal. S-parameters are typically expressed as follows:

Sout in

out: port number of the DUT from which the signal is output

in: port number of the DUT to which the signal is input

For example, S-parameter S21 is the ratio of the output signal of port 2 on the DUT with the input signal of port 1 on the DUT, both expressed in complex numbers.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace.

  2. Select a softkey that corresponds to the desired measurement parameter. Press Meas > S11 | S21 | S12 | S22.


Setting Stimulus Conditions

You can set the stimulus condition for each channel independently.

  • Setting Sweep Type

  • Setting Sweep Range

  • Enable Stimulus Signal Output

  • Setting Power Level

  • Setting Number of Measurement Points

  • Setting Sweep Delay and Sweep Time

  • Measuring in Time Series (Time Sweep)

Other topics about Setting Measurement Conditions

Setting Sweep Type

You can select the sweep type from the following types.

SoftKey | Description
Linear Freq | Sweeps frequencies in linear scale.
Log Freq | Sweeps frequencies in logarithmic scale.
Segment | Performs a sweep with linear sweep conditions (segments) combined. For more information, refer to Performing a Segment-by-Segment Sweep (segment sweep).

The procedure for selecting the sweep type is as follows:

  1. Press Channel Next (or Channel Prev) to select the channel for which you want to set the sweep type.

  2. Press Sweep Setup > Sweep Type.

  3. Press the desired softkey to select the sweep type.

  4. The time sweep is shown in Measuring in Time Series. This allows you to display the measurement parameter versus time.

Setting Sweep Range

There are two ways to set the sweep range: by specifying the lowest and the highest values and by specifying the center value and a span. Once the sweep range is set, it is possible to change the range by substituting the lowest value, the highest value, or the center value with a value (stimulus value) represented by a marker on the trace.

Setting the Sweep Range with the Lowest and Highest Values

  1. Press Channel Next (or Channel Prev) to select the channel of which sweep range will be set.

  2. Click Start, then input the lowest value.

  3. Click Stop, then input the highest value.

Setting the Sweep Range with the Center Value and a Span

  1. Press Channel Next (or Channel Prev) to select the channel of which sweep range will be set.

  2. Click Center, then input the center value.

  3. Click Span, then input the span value.

Setting Sweep Range Using the Marker

  1. In the channel window of which range must be set, place the active marker on the active trace to a position that corresponds to the new range (to the lowest, highest, or center value).

  2. Press Marker Fctn.

  3. Click the softkey that corresponds to each value.

    SoftKey

    Function

    Marker -> Start

    Sets the lowest value to the stimulus value of the active marker on the currently active trace.

    Marker -> Stop

    Sets the highest value to the stimulus value of the active marker on the currently active trace.

    Marker -> Center

    Sets the center value to the stimulus value of the active marker on the currently active trace.

  • If the reference marker is on and the stimulus value of the active marker is expressed by a value relative to the reference marker, the absolute stimulus value will be used to set the new sweep range.

Enable Stimulus Signal Output

You can turn on/off the stimulus signal output, but this prevents you from performing the measurement. Therefore, normally this feature will not be used. This feature is mainly used to turn the output ON back after it has been turned OFF by the power trip feature (System > Service Menu > Overload Detect).

Follow these steps to turn the stimulus signal output on/off:

  1. Press Sweep Setup.

  2. Click Power > RF Out (Each press toggles between on/off).

When set to OFF, "RF OFF" is displayed in Instrument Status Bar.

Power trip

The power trip is a feature that the instrument uses to automatically turn OFF the output of the stimulus signal to protect the instrument when a signal of which level exceeds the upper limit is inputted to the test port.

If the power output is automatically turned off by the power trip feature, remove the cause of the over-input and turn ON the power output according to the above steps to restart the measurement.

Setting Power Level

  1. Press Channel Next (or Channel Prev) to select the desired channel.

  2. Press Sweep Setup key.

  3. Click Power > Port Couple, then select the on/off setting of the level coupling for all the ports.

    Softkey

    Description

    ON

    The same power level is outputted to all ports.

    OFF

    A specific power level is outputted to each port independently.

  • The power level of port 1 is coupled with the power level for all ports.

  5. If you change the on/off setting of the level coupling, all ports are automatically changed to the same level value as that of port 1.

  4. Follow the procedure below according to the Port Couple.

  • When setting level for all ports (Port Couple ON)

    1. Click Power, then enter the power level.

  • When setting level for each port (Port Couple OFF)

    1. Press Port Power, then click the softkey corresponding to each port (Port 1 Power, Port 2 Power)

    2. Enter the power level.

Setting Number of Measurement Points

  • The number of points is the number of data items collected in one sweep. It can be set to any number from 2 to 10001 for each channel independently.

  • To obtain a higher trace resolution against the stimulus value, choose a larger value for the number of points.

  • To obtain higher throughput, keep the number of points to a smaller value within an allowable trace resolution.

  • To obtain higher measurement accuracy after calibration, perform calibration using the same number of points as in actual measurements.

  1. Press Channel Next (or Channel Prev) to select the desired channel.

  2. Press Sweep Setup key.

  3. Click Points, then input the desired number of points.

Setting Sweep Delay and Sweep Time

Sweep time is the time taken to complete a sweep for each stimulus (source) port. Two modes are available for setting the sweep time: manual sweep time mode and automatic sweep time mode.

Sweep Time Mode | Description
Manual | In this mode, the sweep time is set manually. Once the sweep time is set, changes in the measurement conditions do not affect the sweep time as long as it is within the analyzer's capability. If the sweep time becomes lower than the analyzer's lower sweep time limit, the sweep time is reset to the shortest time within the conditions. If the sweep time exceeds the analyzer's upper sweep time limit, the sweep time is reset to the longest time within the conditions.
Auto (Default) | The sweep time is always kept to the shortest time possible with the current measurement conditions.

The following figure shows the definitions of the sweep time and the sweep delay time.

Sweep delay is time before starting a sweep for each stimulus (source) port. Sweep time does not include the sweep delay.

Timing Chart for Sweep

When the trigger mode is set at "On Sweep".

When the trigger mode is set at "On Point".

  • Trigger delay is available when the trigger source is set at external.
    Sweep time is the total of point delay and measurement time in all measurement points when the trigger mode set at "On Point".

Setting Sweep Delay Time

  1. Press Channel Next (or Channel Prev) to select the desired channel.

  2. Press Sweep Setup > Sweep Delay.

  3. Using the ENTRY block keys on the front panel, input the desired sweep delay time (in seconds).

Setting Up Sweep Time (Manual Sweep Time Mode)

  1. Press Channel Next (or Channel Prev) to select the desired channel.

  2. Press Sweep Setup > Sweep Time Auto to turn OFF.

  3. The softkey named Sweep Time is activated. Press Sweep Time.

  4. Using the ENTRY block keys on the front panel, input the desired sweep time (in seconds).

Measuring in Time-Series (Time Sweep)

The following procedure allows you to time sweep and the measurement parameter is displayed versus time.

  1. Press Channel Next (or Channel Prev) to select the channel of which sweep range will be set.

  2. Press Span > 0 > x1 to set the span value to 0 (zero span).

  3. Press Center, then input the desired value.

  4. Press Sweep Setup > Sweep Time Auto to turn OFF.

  5. Press Sweep Time, then input the duration of the sweep which is displayed on X-axis.

  6. Press Marker to display the marker 1. The time at the marker shows as the marker position value at the upper left corner on the screen.


Selecting a Data Format

The E5063A allows you to display the measured S-parameters by using the following data formats. The data format can be preset to factory settings using the Preset option.

  • Rectangular display formats

  • Polar format

  • Smith chart format

Other topics about Setting Measurement Conditions

Rectangular display formats

Rectangular display formats draw traces by assigning stimulus values (linear scale) to the X-axis and response values to the Y-axis. Several different formats are available depending on the selection of data for the Y-axis.

Type

Y-axis Data Type

Y-axis Unit

Application Examples

Log magnitude format

Magnitude

dB

  • Return loss measurement

  • Insertion loss measurement (or gain measurement)

Phase format

Phase (displayed in range from -180° to +180° )

Degrees (° )

Measurement of deviation from linear phase

Expanded phase format

Phase (can be displayed above +180° and below -180° )

Degrees (° )

Measurement of deviation from linear phase

Positive phase format

Phase (displayed in range from 0° to +360° )

Degrees (° )

Measurement of deviation from linear phase

Group delay format

Signal transfer delays within the DUT

Seconds (s)

Group delay measurement

Linear magnitude format

Magnitude

(Abstract number)

Reflection coefficient measurement

SWR format

(ρ: reflection coefficient)

(Abstract number)

Measurement of standing wave ratio

Real format

Real part of measured complex parameter

(Abstract number)

Imaginary format

Imaginary part of the measured complex parameter

(Abstract number)

Polar format

In the polar format, traces are drawn by expressing the magnitude as a displacement from the origin (linear) and phase in an angle counterclockwise from the positive X-axis. This data format does not have a stimulus axis, so frequencies must be read by using the marker. The polar format allows users to select one of the following three data groups to display the marker response values.

  • Linear magnitude and phase (° )

  • Log magnitude and phase (° )

  • Real and imaginary parts

Smith chart format

The Smith chart format is used to display impedances based on reflection measurement data of the DUT. In this format, traces are plotted at the same spots as in the polar format. The Smith chart format allows users to select one of the following five data groups to display the marker response values.

  • Linear magnitude and phase (° )

  • Log magnitude and phase (° )

  • Real and imaginary parts

  • Resistance (ohm), Reactance (ohm), and inductance (H) or capacitance (F)

  • Conductance (S), susceptance (S), and capacitance (F) or inductance (H)

Use the following procedure to select a data format:

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace for which the data format will be set.

  2. Press Format.

  3. Press the softkey that corresponds to the desired data format.

Softkey | Function
Log Mag | Selects the log magnitude format
Phase | Selects the phase format
Group Delay | Selects the group delay format
Smith > Lin / Phase | Selects the Smith chart format (with linear magnitude and phase as the marker response values)
Smith > Log / Phase | Selects the Smith chart format (with log magnitude and phase as the marker response values)
Smith > Real / Imag | Selects the Smith chart format (with the real and imaginary parts as the marker response values)
Smith > R + jX | Selects the Smith chart format (with resistance and reactance as the marker response values)
Smith > G + jB | Selects the Smith chart format (with conductance and susceptance as the marker response values)
Polar > Lin / Phase | Selects the polar format (with linear magnitude and phase as the marker response values)
Polar > Log / Phase | Selects the polar format (with log magnitude and phase as the marker response values)
Polar > Real / Imag | Selects the polar format (with the real and imaginary parts as the marker response values)
Lin Mag | Selects the linear magnitude format
SWR | Selects the SWR (standing wave ratio) format
Real | Selects the real format
Imaginary | Selects the imaginary format
Expand Phase | Selects the expanded phase format
Positive Phase | Selects the positive phase format


Setting the Scales

  • Auto Scale

  • Manual Scale Adjustment

  • Setting Reference Line Value Using Marker

Other topics about Setting Measurement Conditions

Auto Scale

The auto scale function is used to tailor each scale (scale/division and the reference line value) automatically in such a way that traces will appear at the proper size on the screen for easy observation.

Single Trace Auto Scale

Follow the procedure below to perform the auto scale function on a specific trace.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace of which the auto scale function will be performed.

  2. Press Scale > Auto Scale.

Auto Scale on All Traces Within a Channel

  1. Press Channel Next (or Channel Prev) to select the channel of which the auto scale function will be performed.

  2. Press Scale > Auto Scale All.

Manual Scale Adjustment

Manual scale adjustment on the rectangular display format

For a rectangular display format, four parameters are used to manually adjust the scales.

Adjustable feature | Description
Divisions | Defines the number of divisions on the Y-axis. An even number from 4 to 30 must be used. Once set, it is commonly applied to all traces displayed in any rectangular format within that channel.
Scale/Division (Scale/Div) | Defines the number of increments per division on the Y-axis. The value applies only to the active trace.
Reference position | Defines the position of the reference line. The position must be specified using the number assigned to each division on the Y-axis starting at 0 (the least significant) running up to the number of divisions being used (the most significant). The position applies only to the active trace. The reference position is indicated by horizontal triangles at both edge of the reference position line.
Reference line value (Reference Value) | Defines the value corresponding to the reference line. It must be set using the unit on the Y-axis. The reference line value applies only to the active trace.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace of which scale features will be adjusted.

  2. Press Scale.

  3. Select the softkey that corresponds to the particular feature that needs to be adjusted.

    Softkey

    Function

    Divisions

    Defines the number of divisions on the Y-axis.

    Scale/Div

    Defines the number of increments per division on the Y-axis.

    Reference Position

    Defines the position of the reference line.

    Reference Value

    Defines the value corresponding to the reference line.

  4. It is also possible to turn off the display of graticule labels. For details, refer to Turning off the display of graticule labels.

Manual scale adjustment on the Smith chart/polar format

Manual scale adjustment on the Smith chart format or the polar format is done by using the displacement (Scale/Div of the outermost circle).

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace for which the scale will be adjusted.

  2. Press Scale.

  3. Click Scale/Div, then input the displacement of the outermost circle.

Setting Reference Line Value using Marker

When using a rectangular display format, it is possible to change the reference line value to be equal to the response value of the active marker on the active trace.

  1. Place the active marker on the active trace on the position that corresponds to the new reference line value.

  2. Press Scale or Marker Fctn.

  3. Click Marker -> Reference to change the reference line value to the marker response value.

  4. If the reference marker is ON and the stimulus value of the active marker is expressed using a value relative to the reference marker, the absolute stimulus value is used to set the new reference line value.


Setting Window Displays

  • Maximizing the specified window trace display

  • Turning off the display of graticule labels

  • Hiding Frequency Information

  • Labeling a Window

  • Setting display colors

  • Setting display magnification

  • Resizing the screen

Other topics about Setting Measurement Conditions

Maximizing the specified window/trace display

When using multiple channels, it is possible to maximize a specific channel window on the screen. When multiple traces are displayed in a channel window, it is also possible to maximize a specific trace displayed within that channel window.

Maximizing a window

  1. Press Channel Next (or Channel Prev) to select the channel of which window will be maximized.

  2. Press Channel Max to maximize the channel window.

  3. Press Channel Max one more time to reduce the window to its previous size.

Maximizing a trace display

  1. Press Channel Next (or Channel Prev) to select the channel to which the trace belongs.

  2. Press Trace Next (or Trace Prev) to select the trace of which display will be maximized.

  3. Press Trace Max to maximize the trace display.

  4. Press Trace Max one more time to reduce the display to its previous size.

Turning off the display of graticule labels

When using a rectangular display format, the graph area can be expanded to the left by turning OFF the display of graticule labels.

Turning OFF graticule label display

  1. Press Channel Next (or Channel Prev) to select the channel of which graticule label display will be turned ON or OFF.

  2. Press Display.

  3. Click Graticule Label to turn graticule label display ON or OFF.

Hiding frequency information

You can hide the frequency information from the screen in order to ensure its confidentiality or for other reasons.

Hiding Frequency Information on the Screen

Follow the steps below to hide frequency information on the measurement screen.

  1. Press Display key.

  2. Click Frequency to turn OFF the frequency display.

  3. Turning OFF the frequency display using Display > Frequency key does not erase the frequency display within the Stimulus softkey, which is turned on by pressing Start, Stop, Center, and Span. The display of the softkey bar itself can be switched ON or OFF by pressing Softkey On/Off.

Hiding Softkey's Frequency Information

You can delete the frequency information from the measurement screen, which changes the frequency information displayed in the Stimulus softkey and the data entry area for Hz unit to asterisks (***).

  1. Press System key.

  2. Click Service Menu, then click Security Level and select any of the following options for the frequency display.

    Softkey

    Function

    None

    Displays the frequency information.

    Low

    Hides the frequency information with a series of asterisks.

    Save/Recall > Save Trace Data and Save SnP are inactive.

    This can be turned OFF by the Security Level menu.

    High

    Hides the frequency information with a series of asterisks.

    Save/Recall > Save Trace Data and Save SnP are inactive.

    This cannot be turned OFF by the Security Level menu.

    Resetting to OFF is only possible by executing Preset or Recall.

Labeling a window

It is possible to assign a unique name to a channel and display it on the screen. This feature is useful in saving and/or printing measurement results for future reference.

Labeling a window

  1. Press Channel Next (or Channel Prev) to select the channel to be labeled.

  2. Press Display > Edit Title Label, and the title label input dialog box appears.

  3. Using the keys in the dialog box, type a label and click Enter.

  4. Click Title Label to turn ON the title display. The title appears within a frame at the top of the channel window.

Setting display colors

Selecting display mode

You can select the display mode of the LCD display from two modes: normal display (background: black) or inverted display (background: white). In normal display, the colors of items are preset so that you can recognize them easily on the display of the instrument. On the other hand, in inverted display, they are preset to colors obtained by inverting the default settings to the normal display so that you can use data easily when storing it into a graphic file.

The selection procedure is as follows:

  1. Press Display.

  2. Click Invert Color to select the display color. OFF indicates the normal display; ON the inverted display.

Setting display color for each item

You can set the display color to the normal display or inverted display separately for each of the following items:

  • Data/memory trace

  • Labels and lines of graphs

  • File display of the limit test and limit lines

  • Background

Set the color of each item by specifying the amounts of red (R), green (G), and blue (B) contained in the color. You can specify each level of R, G, and B in 6 steps (0 to 5). Therefore, total of 216 colors are available by combining them. The table below shows the R, G, and B values for the main colors as a reference.

 | R | G | B |  | R | G | B |  | R | G | B
White | 5 | 5 | 5 | Gray | 2 | 2 | 2 | Black | 0 | 0 | 0
Light red | 5 | 3 | 3 | Red | 5 | 0 | 0 | Dark Red | 2 | 0 | 0
Light yellow | 5 | 5 | 3 | Yellow | 5 | 5 | 0 | Dark Yellow | 2 | 2 | 0
Light green | 3 | 5 | 3 | Green | 0 | 5 | 0 | Dark Green | 0 | 2 | 0
Light cyan | 3 | 5 | 5 | Cyan | 0 | 5 | 5 | Dark cyan | 0 | 2 | 2
Light blue | 3 | 3 | 5 | Blue | 0 | 0 | 5 | Dark Blue | 0 | 0 | 2
Light magenta | 5 | 3 | 5 | Magenta | 5 | 0 | 5 | Dark Magenta | 2 | 0 | 2

The setting procedure is as follows:

  1. Press System > Misc Setup > Display Setup > Color Setup.

  2. Click Normal (for normal display) or Invert (for inverted display).

  3. Click the softkey corresponding to the item of which you want to set the display color.

    Softkey

    Function

    Data Trace 1 to 4

    Specifies the data trace of traces 1 to 4

    Mem Trace 1 to 4

    Specifies the memory trace of traces 1 to 4

    Graticule Main

    Specifies the graticule label and the outer lines of graphs

    Graticule Sub

    Specifies the grid of graphs

    Limit Fail

    Specifies the fail display in the limit test result

    Limit Line

    Specifies the limit line

    Background

    Specifies the background

  4. Click Red (or, Green, or Blue).

  5. Select the amount of the selected color from 0 to 5.

Resetting the display colors to the factory state

You can reset the display colors in normal display and inverted display to the preset factory state.

The selection procedure is as follows:

  1. Press System > Misc Setup > Display Setup > Color Setup.

  2. Click Normal (for normal display) or Invert (for inverted display).

  3. Click Reset Color > OK.

Setting display magnification

You can reset the display magnification to Small, Normal or Large.

The selection procedure is as follows:

  1. Press System > Misc Setup > Display Setup > Magnification.

  2. Click Normal,Small or Large.

Resizing the screen

You can resize the E5063A screen by minimizing, maximizing or restoring it to its original size.

The resizing procedure is as follows:

  1. Click Resize at the top right corner of the screen.

  2. A drop-down menu prompts and the available options are:

Softkey | Function
Restore | Restores the screen to its default size.
Minimize | Minimizes the screen.
Maximize | Displays the screen in full page size.

  3. Click Restore,Minimize or Maximize.

  4. When the screen is resized according to an option, its the related softkey is disabled. For example, when the screen is displayed in full page size, Maximize is disabled.

Another option to minimize the E5063A screen is by using the Menu Bar and the procedure is as follows:

  1. Press Display.

  2. Click Minimize E5063A.

You can also hide and restore the title bar of the E5063A screen and the procedure is as follows:

  1. Press Display.

  2. Click E5063A Title bar.

  3. Click ON to restore the title bar.

  4. Click OFF to hide the title bar.


Calibration

Overview

  • Measurement Errors and their Characteristics

  • Calibration Types and Characteristics

  • Checking Calibration Status

Basic Calibration

  • Selecting Calibration Kit

  • OPEN/SHORT Response Calibration (reflection test)

  • THRU Response Calibration (transmission test)

  • Enhanced Response Calibration

  • 1-Port Calibration (reflection test)

  • Full 2-Port Calibration

  • Clear Calibration

Calibration with ECal (Electronic Calibration)

  • ECal (Electronic Calibration)

  • ECal Driver Installation

  • Calibration Using ECal Module

Advanced Calibration with ECal

  • Improving Calibration Accuracy along with ECal

  • Confidence Check on Calibration Coefficients Using ECal

  • Turning off ECal Auto-detect Function

Advanced Calibration

  • Modifying Calibration Kit Definition

  • Specifying Different Standard for Each Frequency

  • Partial Overwrite Calibration

  • Unknown Thru Calibration

  • Adapter Removal-Insertion

  • 2-port TRL Calibration

  • Sliding Offset Load Calibration


Calibration Types and Characteristics

The table shows the different types of calibrations and the features of each method.

Calibration Method

Standard (s) Used

Corrected Error Factor

Measurement Parameters

Characteristics

No calibration

None

None

All parameters

  • Low accuracy

  • Calibration not required

Response Calibration

  • OPEN or SHORT

  • LOAD

Following 2 error terms:

  • Reflection Tracking (Er)

  • Directivity (Ed)

S11(Reflection characteristics at 1 port)

  • Medium-level accuracy

  • Quick calibration

  • Isolation calibration improves the accuracy in a reflection measurement of a DUT with high return loss

  • THRU

  • LOAD

Following 2 error terms:

  • Transmission Tracking (Et)

  • Isolation (Ex)

S21
(1 direction transmission characteristics at 2 ports)

  • Medium-level accuracy

  • Quick calibration

  • Isolation calibration improves the accuracy in a transmission measurement of a device with high insertion loss

1-Port Calibration

ECal module (2-port/4-port)

Following 3 error terms:

  • Directivity (Ed)

  • Source Match (Es)

  • Reflection Tracking (Er)

S11
(Reflection characteristics at 1 port)

  • 1-port measurement with the highest degree of accuracy

  • Quick calibration with low chance of operator error

  • OPEN

  • SHORT

  • LOAD

  • Highly accurate 1-port measurement

Enhanced Response Calibration

Ecal module (2-port/4-port)

Following 5 error terms:

  • Directivity (Ed1)

  • Isolation (Ex21)

  • Source Match (Es1)

  • Transmission Tracking (Et21)

  • Reflection Tracking (Er1)

S11, S21 (1 direction transmission/Reflection characteristics at 2 ports)

  • Highly accurate 2-port measurement (higher than response calibration)

  • Quick calibration with low chance of operator error

  • OPEN

  • SHORT

  • LOAD

  • THRU

  • Highly accurate 2-port measurement (higher than response calibration)

Full 2-Port Calibration

ECal module (2-port/4-port)

Following 12 error terms:

  • Directivity (Ed1,Ed2)

  • Isolation (Ex21,Ex12)

  • Source Match (Es1,Es2)

  • Load Match (El12,El21)

  • Transmission Tracking (Et21,Et12)

  • Reflection Tracking (Er1,Er2)

S11,S21,S12,S22
(All S-parameters at 2 ports)

  • Highly accurate 2-port measurement

  • Quick calibration with low chance of operator error

  • OPEN

  • SHORT

  • LOAD

  • THRU

  • Highly accurate 2-port measurement

2-Port TRL Calibration

  • Reflection (OPEN or SHORT)

  • THRU

  • LINE

  • MATCH

Following 12 error terms:

  • Directivity (Ed1,Ed2)

  • Source Match (Es1,Es2)

  • Load Match (El1,El2)

  • Transmission Tracking
    (Et21,Et12)

  • Reflection Tracking
    (Er1,Er2)

S11,S21,S12,S22
(All S-parameters at 2 ports)

  • Highly accurate 2-port measurement

  • Effective for non-coaxial device measurement

Other topics about Calibration


Measurement Errors and their Characteristics

  • Overview

  • Drift Errors

  • Random Errors

  • Systematic Errors

Other topics about Calibration

Overview

It is important to understand the factors contributing to measurement errors in order to determine the appropriate measures that should be taken to improve accuracy. Measurement errors are classified into three categories:

Drift Errors

Drift errors are caused by deviations in the performance of the measuring instrument (measurement system) that occur after calibration. Major causes are the thermal expansion of connecting cables and thermal drift of the frequency converter within the measuring instrument. These errors may be reduced by carrying out frequent calibrations as the ambient temperature changes or by maintaining a stable ambient temperature during the course of a measurement.

Random Errors

Random errors occur irregularly in the course of using the instrument. Since random errors are unpredictable, they cannot be eliminated by calibration. These errors are further classified into the following sub-categories depending on their causes.

  • Instrument noise errors

  • Switch repeatability errors

  • Connector repeatability errors

Instrument noise errors

Instrument noise errors are caused by electric fluctuations within components used in the measuring instrument. These errors may be reduced by increasing the power of the signal supplied to the DUT, narrowing the IF bandwidth, or enabling sweep averaging.

Switch repeatability errors

Switch repeatability errors occur due to the fact that the electrical characteristics of the mechanical RF switch used in the measuring instrument change every time it is switched ON. These errors may be reduced by carrying out measurements under conditions in which no switching operation takes place.
(You don't need to worry about these errors since the E5063A does not have mechanical RF switches).

Connector repeatability errors

Connector repeatability errors are caused by fluctuations in the electrical characteristics of connectors due to wear. These errors may be reduced by handling connectors with care.

Systematic Errors

Systematic errors are caused by imperfections in the measuring instrument and the test setup (cables, connectors, fixtures, etc.). Assuming that these errors are repeatable (i.e., predictable) and their characteristics do not change over time, it is possible to eliminate them mathematically at the time of measurement by determining the characteristics of these errors through calibration. There are six types of systematic errors, as follows.

Errors caused by signal leaks in the measuring system:

  • Directivity

  • Isolation (cross-talk)

Errors caused by reflections in the measuring system:

  • Source match

  • Load match

Errors caused by the frequency response of the receiver within the measuring instrument:

  • Reflection tracking

  • Transmission tracking

The E5063A has two receivers for each test port: the reference receiver and the test receiver (transmission measurement or reflection measurement). You can perform measurements with both of these receivers at the same time.

E5063A port architecture and systematic errors

Directivity error (Ed)

Directivity errors are caused by the fact that, in a reflection measurement, signals other than the reflection signal from the DUT are received by receiver T1 through the directivity coupler. When a certain port is a stimulus port, this error can be defined as a constant value for each stimulus port because the state of the termination at the other ports does not change. The number of directivity errors of the E5063A is the number of stimulus ports you use.

Ed1 | Directivity error of port 1
Ed2 | Directivity error of port 2

Isolation error (Ex)

An isolation error (crosstalk error) is caused by signals other than the transmission signal of the DUT leaking to the test receiver of the transmission measurement port in transmission measurements. When a certain port is a stimulus port, an isolation error is defined for each of the other ports. Therefore, the number of isolation errors for the E5063A is the total number of combinations of stimulus ports and response ports.

Ex21 | Isolation error when port 1 is a stimulus port
Ex12 | Isolation error when port 2 is a stimulus port

Source match error (Es)

A source match error is caused when the reflection signal of the DUT reflects at the signal source and enters the DUT again. When a certain port is a stimulus port, this error can be defined as a constant value for each stimulus port because the state of the signal source switch does not change. The number of source match errors in the E5063A is equivalent to the number of stimulus ports you use.

Es1 | Source match error of port 1
Es2 | Source match error of port 2

Load match error (El)

A load match error is caused when part, but not all, of the signal transmitted in the DUT reflects at a response port is measured by the receiver of the response port. When a certain port is a stimulus port, a load match error is defined for each of the other ports. Therefore, the number of load match errors for the E5063A is the total number of combinations of stimulus ports and response ports.

El21 | Load match error when port 1 is a stimulus port
El12 | Load match error when port 2 is a stimulus port

Reflection tracking error (Er)

A reflection tracking error is caused by the difference in frequency response between the test receiver and the reference receiver of a stimulus port in reflection measurements. This error can be defined as a constant value for each stimulus port because the combination of the test receiver and the reference receiver of a stimulus port is always the same. The number of reflection tracking errors for the E5063A is simply the number of stimulus ports you use.

Er1 | Reflection tracking error of port 1
Er2 | Reflection tracking error of port 2

Transmission tracking error (Et)

A transmission tracking error is caused by the difference in frequency response between the test receiver of a response port and the reference receiver of a stimulus port in transmission measurements. When a certain port is a stimulus port, a transmission tracking error is defined for each of the other ports. Therefore, the number of transmission tracking errors for the E5063A is the total number of combinations of stimulus ports and response ports.

Et21 | Transmission tracking error when port 1 is a stimulus port
Et12 | Transmission tracking error when port 2 is a stimulus port


Checking Calibration Status

  • Execution Status of Error Correction for Each Channel

  • Execution Status of Error Correction for Each Trace

  • Acquisition Status of Calibration Coefficient for Each Channel

Other topics about Calibration

Execution Status of Error Correction for Each Channel

You can check the execution status of error correction for each channel with the error correction status.

The error correction status is indicated in the channel status bar in the lower part of the window by the symbols in the below table.

Symbol | Execution status of error correction
Cor (displayed in blue) | Error correction: ON (enabled for all traces)
Cor (displayed in gray) | Error correction: ON (enabled for some traces)
Off (displayed in gray) | Error correction: OFF
--- (displayed in gray) | Error correction: ON (no calibration data)
C? (displayed in blue) | Error correction: ON (Interpolation is being executed or the IF bandwidth, power level, power range, sweep time, sweep delay time, or sweep type is different from that when the calibration was executed.)
C! (displayed in blue) | Error correction: ON (Extrapolation is being executed).

An asterisk (*) at the upper-right of the softkey indicates that the existing calibration coefficient will be cleared if you select the test port and execute acquisition of the calibration coefficient (clicking Done).

Execution Status of Error Correction for Each Trace

You can check the status of the actually executed error correction for each trace at the trace status area.

For a trace for which error correction is executed, the applied calibration type is indicated at the trace status area by the symbols shown in the table below.

Symbol | Calibration type
RO | Open response calibration
RS | Short response calibration
RT | Thru response calibration
ER | Enhanced response calibration
F1 | 1-port calibration
F2 | Full 2-port calibration/2-port TRL calibration

If none of the symbols described above is displayed, error correction is not executed for the trace.

Acquisition Status of Calibration Coefficient for Each Channel

You can check the acquisition status of the calibration coefficient for each channel with the calibration property.

The calibration property displays the acquisition status of the calibration coefficient between test ports for each channel in matrix format. The following figure shows an example of when the calibration coefficients have been acquired for the 1-port calibration for test port 1 and response calibration for test port 2.

Example of calibration property display

Procedure to turn ON/OFF calibration property display

Follow these steps to turn ON/OFF the calibration property display.

  1. Press Channel Next/Channel Prev to select the channel for which you want to turn ON/OFF the calibration property display.

  2. Press Cal.

  3. Click Property. Each press toggles the ON/OFF setting.

Conditions for clearing already acquired calibration coefficients

In the following cases, already acquired calibration coefficients are cleared.

  • Executing preset clears all calibration coefficients.

  • If S-Parameter is required to calculate the calibration coefficient for the specified calibration type and test ports and those required for the existing calibration coefficient overlap, executing the acquisition of the calibration coefficient (measuring necessary data and then clicking the Done softkey) clears the calibration coefficient of the overlapping S-Parameter. Take the Example of calibration property display as an example: If you acquire the calibration coefficient of the 1-port calibration for test port 2, neither calibration coefficient is cleared. On the other hand, if you acquire the calibration coefficient for the full 2-port calibration between test ports 1 and 2, the already acquired calibration coefficient of the full 2-port calibration between test ports 1 and 2 are cleared.


Selecting Calibration Kit

  • Overview

  • Procedure

Other topics about Basic Calibration

Overview

Before performing calibration, you need to select a calibration kit.

If you use a calibration kit other than a predefined one, you need to define it. If the connector type of the standard calibration kit you use has polarity (the distinction between male and female), you need to change the standard class definition of the calibration kit depending on the standard you actually use. For more information, see Modifying Calibration Kit Definition.

  • If you select a predefined calibration kit, (m) and (f) in the name (label) of the standard displayed in the softkey indicate male (m) and female (f) for the analyzer's connector, respectively.

Procedure

  1. Press Channel Next (or Channel Prev) to select the channel of which you want to select the calibration kit.

  2. Press Cal > Cal Kit, then select the calibration kit.

  3. If the name (label) of the calibration kit has been changed, the label is displayed as the softkey.

  4. An asterisk (*) on the upper right of the softkey corresponding to a predefined calibration kit indicates that its definition value has been changed from the factory setting by the user.


OPEN/SHORT Response Calibration (reflection test)

  • Overview

  • Procedure

Other topics about Basic Calibration

Overview

In OPEN or SHORT response calibration, calibration data are measured by connecting an OPEN or SHORT standard, respectively, to the desired test port. For frequency response, these calibrations effectively eliminate the reflection tracking error from the test setup reflection test using that port.

1-Port error model (OPEN/SHORT response)

It is also possible to carry out isolation calibration with a LOAD standard during OPEN/SHORT response calibration. An isolation calibration eliminates the directivity error from the test setup in a reflection test using that port.

1-Port error model (OPEN/SHORT response + isolation)

  • System Z0 should be changed to 1 ohm before calibration when using waveguide calibration kit and measuring waveguide devices.

Procedure

  1. Press Channel Next (or Channel Prev) to select the channel for which you want to perform the calibration. Confirm if your required setup is set to the channel.

  2. Press Cal > Calibrate.

  3. Select Response (Open) or Response (Short) calibration.

    Softkey

    Function

    Response (Open)

    Displays softkeys for performing an OPEN response calibration (response calibration with an OPEN standard)

    Response (Short)

    Displays softkeys for performing a SHORT response calibration (response calibration with a SHORT standard)

  4. Click Select Port.

  5. Select the test port upon which you will perform OPEN/SHORT response calibration.

  6. Connect a calibration standard (OPEN or SHORT) to the selected test port (connector to which the DUT is to be connected).

  7. Click Open or Short to start the calibration measurement.

  8. If an isolation calibration must be performed using a LOAD standard, follow the procedure below.

  9. Connect a LOAD standard to the selected test port (connector to which the DUT is to be connected).

  10. Click Load (Optional) to start the measurement on the LOAD standard.

  11. Click Done to terminate the response calibration (and the LOAD isolation calibration) process. Upon pressing this key, calibration coefficients are calculated and saved. The error correction function is also enabled automatically.

Connecting standards in OPEN/SHORT Response calibration


THRU Response Calibration (transmission test)

  • Overview

  • Procedure

Other topics about Basic Calibration

Overview

In THRU response calibration, calibration data are measured by connecting a THRU standard to the desired test port. This calibration effectively eliminates the frequency response transmission tracking error from the test setup in a transmission test using that port.

2-Port error model (THRU response)

It is also possible to carry out an isolation calibration using a LOAD standard in the process of THRU response calibration. An isolation calibration eliminate sisolation error (crosstalk error) from the test setup in a transmission test using that port.

2-Port Error model (THRU response + isolation)

  • System Z0 should be changed to 1 ohm before calibration when using waveguide calibration kit and measuring waveguide devices.

Procedure

  1. Press Channel Next (or Channel Prev) to select the channel for which you want to perform the calibration. Confirm if your required setup is set at the channel.

  2. Press Cal > Calibrate > Response (Thru) > Select Ports.

  3. Select the test ports (and corresponding S parameters) upon which a THRU response calibration is performed.

  4. Make a connection between the selected test ports (between the connectors to which the DUT will be connected).

  5. Click Thru to start the calibration measurement.

  6. If an isolation calibration must be performed using a LOAD standard, follow the procedure below:

    1. Connect a LOAD standard to each of the two selected test ports (connectors to which the DUT is to be connected).

    2. Click Isolation (Optional) to start the calibration measurement.

  7. Click Done to terminate the response calibration (and the LOAD isolation calibration) process. Upon pressing this key, calibration coefficients are calculated and saved. The error correction function is also enabled automatically.


Enhanced Response Calibration

  • Overview

  • Procedure

Other topics about Basic Calibration

Overview

In enhanced response calibration, calibration data are measured by connecting an OPEN standard, a SHORT standard, or a LOAD standard to the output port (or a THRU standard between two ports). This calibration effectively eliminates the directivity error, crosstalk, source match error, frequency response reflection tracking error, and frequency response transmission tracking error from the test setup in a transmission or reflection test that uses those ports.

  • System Z0 should be changed to 1 ohm before calibration when using waveguide calibration kit and measuring waveguide devices.

2-Port Error Model (Enhanced Response)

Procedure

Connecting the Standard at Enhanced Response Calibration

  1. Press Channel Next (or Channel Prev) to select the channel of which you want to perform the calibration. Confirm if your required setup is set to the channel.

  2. Press Cal > Calibrate > Enhanced Response > Ports to select the test ports on which an enhanced response calibration is performed.

  3. Connect an OPEN calibration standard to the output port.

  4. Click Open to start the calibration measurement.

  5. Disconnect the OPEN calibration standard and replace it with a SHORT calibration standard.

  6. Click Short to start the calibration measurement.

  7. Disconnect the SHORT calibration standard and replace it with a LOAD standard.

  8. Click Load to start the calibration measurement.

  9. Make a THRU connection between the two ports.

  10. Click Thru to start the calibration measurement.

  11. If an isolation calibration must be performed using a LOAD standard, follow the procedure below:

    1. Connect a LOAD standard to the two test ports.

    2. Click Isolation (Optional) to start the calibration measurement.

  12. Click Done to terminate the enhanced response calibration process. Upon pressing the key, calibration coefficients are calculated and saved. The error correction function is also enabled automatically.


1-Port Calibration (reflection test)

  • Overview

  • Procedure

Other topics about Basic Calibration

Overview

In 1-port calibration, calibration data are measured by connecting an OPEN standard, a SHORT standard, and a LOAD standard to the desired test port. This calibration effectively eliminates the frequency response reflection tracking error, directivity error, and source match error from the test setup in a reflection test using that port.

1-Port error model (1-port calibration)

  • System Z0 should be changed to 1 ohm before calibration when using waveguide calibration kit and measuring waveguide devices.

Procedure

  1. Press Channel Next (or Channel Prev) to select the channel of which you want to perform the calibration. Confirm if your required setup is set to the channel.

  2. Press Cal > Calibrate > 1-Port Cal > Select Port.

  3. Select a test port (and corresponding S parameter) on which 1-port calibration will be performed.

  4. Connect an OPEN calibration standard to the selected test port (connector to which the DUT is to be connected).

  5. Click Open to start the calibration measurement.

  6. Connect a SHORT calibration standard to the selected test port (connector to which the DUT is to be connected).

  7. Click Short to start the calibration measurement.

  8. Connect a LOAD calibration standard to the selected test port (connector to which the DUT is to be connected).

  9. Click Load to start the calibration measurement.

  10. Click Done to terminate the 1-port calibration process. Upon pressing this key, calibration coefficients are calculated and saved. The error correction function is also enabled automatically.

Connecting the standard for 1-port calibration


Full 2-Port Calibration

  • Overview

  • Procedure

Other topics about Basic Calibration

Overview

In full 2-port calibration, calibration data are measured by connecting an OPEN standard, a SHORT standard, or a LOAD standard on ports 1 and 2 for S-parameter (or a THRU standard between two ports).This calibration effectively eliminates the directivity error, crosstalk, source match error, frequency response reflection tracking error, and frequency response transmission tracking error from the test setup in a transmission or reflection test tat uses those ports. This calibration makes it possible to perform measurements with the highest possible accuracy. A total of twelve error terms, six each in the forward direction and the reverse direction, are used in the calibration.

  • System Z0 should be changed to 1 ohm before calibration when using waveguide calibration kit and measuring waveguide devices.

Procedure

  1. Press Channel Next (or Channel Prev) to select the channel fof which you want to perform the calibration.

  2. Press Cal > Calibrate > 2-Port Cal.

  3. Click Reflection.

  4. Connect an OPEN calibration standard to test port x (the connector to which the DUT is to be connected).

  5. Click Port x Open to start the calibration measurement (x denotes the test port to which the standard is connected).

  6. Disconnect the OPEN calibration standard and replace it with a SHORT calibration standard.

  7. Click Port x Short to start the calibration measurement (x denotes the test port to which the standard is connected).

  8. Disconnect the SHORT calibration standard and replace it with a LOAD standard.

  9. Click Port x Load to start the calibration measurement (x denotes the test port to which the standard is connected).

  10. Repeat the above procedure for port y.

  11. Click Return.

  12. Click Transmission.

  13. Make a THRU connection between ports x and y (between the connectors to which the DUT is to be connected).

  14. Click Port 1-2 Thru to start the calibration measurement.

  15. Click Return.

  16. If an isolation calibration must be performed using a LOAD standard, follow the procedure below.

  17. Click Isolation (Optional).

  18. Connect a LOAD standard to each of the two test ports (connectors to which the DUT is to be connected).

  19. Click Port 1-2 Isol to start the calibration measurement.

  20. Click Return.

  21. Click Done to terminate the full 2-port calibration process. Upon pressing this key, calibration coefficients are calculated and saved. The error correction function is also enabled automatically.

Connecting standards in full 2-port calibration


Clear Calibration

This softkey clears the user calibration data. When Calibration is done for a particular DUT, the data get stored in the E5063A. To clear this data, Clear Calibration function (Cal > Clear > OK) can be used which removes the calibration data from the E5063A.

Other topics about Calibration


ECal (electronic calibration)

ECal is a calibration method that uses solid-state circuit technology. ECal offers the following advantages:

  • Simplified calibration process.

  • Shorter time required for calibration.

  • Reduced chance of erroneous operation.

  • Little degradation of performance due to wear ad tear because the ECal module employs PIN diodes and FET switches.

  • If the frequency sweep range exceeds the frequency range of the ECal, the calibration data for the minimum frequency or maximum frequency is used for the exceeding frequency range and extrapolation is executed.

Refer the following section for ECal calibration.

  • ECal Driver Installation

  • Calibration Using Ecal Module

  • Improving Calibration Accuracy along with ECal

  • Confidence Check on Calibration Coefficients Using ECal

  • Turning off ECal auto-detect function

Other topics about Calibration with ECal


ECal Driver Installation

When the ECal is connected t USB ports at the first time, ECal driver installation is required.

  1. Connect an ECal to the USB port of the E5063A.

  2. "Keysight USB ECal Module : Device driver software installed successfully" message box prompts at the right end of the task bar.

  3. ECal is now ready to be used.

Other topics about Calibration with ECal


Calibration Using Ecal Module

  • Overview

  • Procedure

Other topics about Calibration with ECal

Overview

The E5063A allows you to perform calibration using the 2 or 4-port ECal module in S-parameter measurement.

Procedure

  1. Connect the USB cable between the USB port of the 2 or 4-port ECal module and the USB port of the E5063A. You can make this connection while the E5063A's power is on.

  2. Allows the ECal module to warm up for up to 20 minutes until the module indicator changes from WAIT to READY. Warm up time depends on the ECal module.

  3. Connect the ports of the ECal module to the test ports you want to calibrate.

  4. If you don't use all of the ECal module's ports, connect terminations to the unused ports.

  5. Press Channel Next (or Channel Prev) to select the channel of which you want to perform the calibration.

  6. Press Cal > Ecal.

  7. Select the calibration type.

    Softkey

    Function

    1-Port Cal

    Selects 1-port calibration

    2-Port Cal

    Selects full 2-port calibration

    Response (Thru)

    Selects THRU calibration

    Enhanced Response

    Selects Enhanced Response calibration

  8. If you must select a port, the softkey for making this selection is displayed. Select a port and start calibration. If you do not have to select a port, skip this step.

  9. The E5063A detects the test ports connected to the ECal and then measurement starts. If the test ports to be calibrated are not connected to the ECal module, error occurs.

Connecting 4-port ECal module (for full 2-port calibration)

  • You can connect the ports of the ECal and the test ports of the E5063A arbitrarily. Connected ports can be manually specified although they are automatically detected before the data measurement. For more information, see Turning off ECal auto-detect function.


Improving Calibration Accuracy along with ECal

Inaccuracy caused by Thru calibration in the ECal can be reduced by using the following methods.

  • Partial Overwrite

  • Unknown Thru Calibration

Other topics about Calibration with ECal

Partial Overwrite

Using the partial overwrite function allows you to improve the calibration accuracy. For example, follow these steps for full 2-port calibration.

  1. Execute full 2-port calibration with ECal and save the calibration coefficients.

  2. Execute Partial overwrite procedure with the Thru standard of the calibration kit

Unknown Thru Calibration

E5063A allows you to perform Thru calibration of ECal as the unknown Thru calibration. In this function, the Thru calibration is performed with the Thru standard in ECal, however, the stored Thru calibration data in ECal is not used. E5063A performs the Thru calibration as an unknown Thru calibration.

  1. Press Cal,then click ECal > Unknown Thru to turn it ON.

  2. Perform your desired ECal calibration.


Confidence Check on Calibration Coefficients Using ECal

  • Overview

  • Procedure

Other topics about Calibration with ECal

Overview

By using the ECal module, the E5063A allows you to verify the obtained calibration coefficients to determine whether correct measurement is possible with them.

The E5063A is able to set ECal to the state used to verify the measurement parameters and then copy the appropriate characteristics of that verification state to the memory trace from the ECal's built-in memory. This is done according to the measurement parameters of the active trace of the active channel. While measuring ECal in this specified state, you can compare the measurement results with those of the E5063A and with the appropriate measurement results stored in ECal in several different ways. These include simultaneously displaying the data and memory traces or displaying the math operation results between the data and memory traces. This enables you to verify the correctness of measurement for each measurement parameter when the obtained calibration coefficients are used.

Procedure

  1. Connect the USB cable between the USB port of the ECal module and that of the E5063A. You can make this connection while the E5063A's power is ON.

  2. Allows the ECal module to warm up for up to 20 minutes until the module indicator changes from WAIT to READY.

  3. Press Channel Next (or Channel Prev) to select the channel of which you want to perform the verification.

  4. Press Meas key.

  5. Select the S-parameter you want to verify. You cannot verify the mixed mode S-parameter.

  6. Connect the test ports of the E5063A corresponding to the selected S-parameter (for example, ports 1 and 2 when the S-parameter is S21) and the ports of the ECal module.

  7. If you do not use all of the ECal module's ports, terminate connections to the unused ports.

  8. Press Cal > ECal.

  9. When using an adapter to the ECal, click Characterization and then press the softkey corresponding to the characterization of the adapter you are using.

  10. Click Confidence Check.

  11. Compare the data trace and memory trace and verify whether measurement is correct.

  12. The following is the procedure for comparison when simultaneously displaying the data trace and the memory trace.

    1. Press Display > Display > Data & Mem.

    2. Press Scale > Auto Scale.

    3. Determine whether the differences between the traces are acceptable. The differences should be read in terms of linear values instead of dB error. If you compare the magnitude of the linear error with the dB delta, the value is very small. So to evaluate the difference between the traces, a linear error scale should be used for comparison instead of the dB error scale.

  13. For all of the parameters you want to verify, repeat the procedure.

Connecting ECal module (for verification of S21)


Turning off ECal auto-detect function

The ECal module automatically detects the connection between E5063A's test ports and ECal module's ports. You can turn off this function to set ports manually.

  1. Press Channel Next (or Channel Prev) to select the channel of which you want to turn off the auto-detect function.

  2. Press Cal > ECal > Orientation > Manual.

  3. Specify a test port of the E5063A.

  4. Specify an Ecal port for the port of the E5063A you specified.

  5. If the auto-detect function is turned off, no error is displayed even if the connection is wrong.

Other topics about Calibration with ECal


User-characterized ECal

  • Overview

  • Executing User characterized ECal

Other topics about Calibration with ECal

Overview

The E5063A allows you to execute ECal calibration with user-defined characteristics instead of the ECal characteristics defined as the factory default. This feature is called User-characterized ECal, and it is used to execute ECal calibration when an adapter is connected to the ECal module.

The E5063A cannot define the User-characterized ECal and cannot save them to the built-in flash memory of the ECal module as the user characteristics. To do that, other ENA network analyzers are required.

Executing User-characterized ECal

The execution procedure for the User-characterized ECal is the same as for normal ECal except that it requires the user characteristics to be selected in advance.

  1. Press Channel Next/Channel Prev keys to select the channel for which you want to execute calibration.

  2. Press Cal > ECal > Characterization.

  3. Select a user characteristic.

  4. To check the information on the user characteristics you have selected, click Characterization Info. The following dialog box appears.

1: | The date when the user characteristics were measured
2: | The information you entered in Characterization
3: | The stimulus conditions when the user characteristics were measured
4: | The information you entered in Adapter Description
5: | The information you entered in Connectors


Advanced Calibrations

  • Modifying Calibration Kit Definition

  • Specifying Different Standard for Each Frequency

  • Partial Overwrite Calibration

  • Unknown Thru Calibration

  • Adapter Removal-Insertion

  • 2-port TRL Calibration

  • Sliding Offset Load Calibration

  • Performing 8 term Calibration using External PC


Modifying Calibration Kit Definition

  • Definition of Terms

  • Defining Parameters for Standards

  • Redefining a Calibration Kit

  • Setting Options for TRL Calibration

  • Defining Calibration Kit Gender

  • Saving Definition File of Calibration Kit

  • Loading Definition File of Calibration Kit

  • Restoring Definition File of Calibration Kit

Other topics about Advanced Calibration

In most measurements, the user can use pre-defined calibration kits as they are. However, it may be necessary to change the definition of a calibration kit (or create a new one) when changing the pre-defined connector between male and female (e.g. from OPEN (f) to OPEN (m)) or when a special standard is used or a high degree of accuracy is demanded. When it is necessary to change the definition of a calibration kit that contains a calibration device but no calibration kit model, the user must fully understand error correction and the system error model.

A user-defined calibration kit may be used in the following circumstances.

  • When the user wants to use connectors other than those pre-defined in the calibration kits for the E5063A (e.g., a SMA connector).

  • When the user wants to use different standards in place of one or more standards pre-defined in the E5063A. For example, when three offset SHORT standards are used instead of OPEN, SHORT, and LOAD standards.

  • When the user wants to modify the standard model of a pre-defined calibration kit and turn it into a more accurate model. It is possible to perform better calibration if the performance of the actual standard is better reflected in the standard model. For example, you may need to define the 7-mm LOAD standard as 50.4 Ω instead of 50.0 Ω.

Definition of Terms

The terms used in this section are defined as follows:

Standard

An accurate physical device, for which the model is clearly defined, used to determine system errors. With the E5063A, the user may define up to 30 standards per calibration kit. Each standard is numbered from 1 through 30. For example, standard 1 for the 85033E 3.5-mm calibration kit is a SHORT standard.

Standard type

The type of standard used to classify a standard model based on its form and construction. Six standard types are available: SHORT, OPEN, LOAD, delay/THRU, Unknown Through, and arbitrary impedance.

Standard coefficient

The numeric characteristics of the standard used in the selected model. For example, the offset delay (32 ps) of the SHORT standard in the 3.5-mm calibration kit is a standard coefficient.

Standard class

A group of standards used in a calibration process. For each class, the user must select the standards to use from the 30 available standards.

Subclass

You can register up to 8 standard types. This capability lets you specify a different standard for each frequency range. You must assign standards to subclasses you use.

Defining Parameters for Standards

The following figures show the parameters used in defining standards.

Reflection Standard Model (SHORT, OPEN, or LOAD)

Transmission Standard Model (THRU)

Offset Z0

The offset impedance between the standard to be defined and the actual measurement plane. Normally, this is set to the system's characteristic impedance.

Offset Delay

The delay that occurs depending on the length of the transmission line between the standard to be defined and the actual measurement plane. In an OPEN, SHORT, or LOAD standard, the delay is defined as one-way propagation time (sec.) from the measurement plane to the standard. In a THRU standard, it is defined as one-way propagation time (sec.) from one measurement plane to the other. The delay can be determined through measurement or by dividing the exact physical length of the standard by the velocity coefficient.

Offset Loss

This is used to determine the energy loss caused by the skin effect along the length (one-way) of the coaxial cable. Loss is defined using the unit of ohm/s at 1 GHz. If you select waveguide as the media type, this parameter is ignored. In many applications, using the value 0 for the loss should not result in significant error. The loss of a standard is determined by measuring the delay (sec.) and the loss at 1 GHz and then substituting them in the formula below.

C0, C1, C2, C3

It is extremely rare for an OPEN standard to have perfect reflection characteristics at high frequencies. This is because the fringe capacitance of the standard causes a phase shift that varies along with the frequency. For internal calculation of the analyzer, an OPEN capacitance model is used. This model is described as a function of frequency, which is a polynomial of the third degree. Coefficients in the polynomial may be defined by the user. The formula for the capacitance model is shown below:

F: measurement frequency
C0 unit: (Farads) (constant in the polynomial)
C1 unit: (Farads/Hz)
C2 unit: (Farads/Hz2)
C3 unit: (Farads/Hz3)

L0, L1, L2, L3

It is extremely rare for a SHORT standard to have perfect reflection characteristics at high frequencies. This is because the residual inductance of the standard causes a phase shift that varies along with the frequency. It is not possible to eliminate this effect. For internal calculation of the analyzer, a short-circuit inductance model is used. This model is described as a function of frequency, which is a polynomial of the third degree. Coefficients in the polynomial may be defined by the user. The formula for the inductance model is shown below.

F: Measurement frequency
L0 unit: [Henry] (the constant in the polynomial)
L1 unit: [Henry/Hz]
L2 unit: [Henry/Hz2]
L3 unit: [Henry/Hz3]

In most existing calibration kits, THRU standards are defined as "zero-length THRU," i.e., the delay and loss are both "0". Such a THRU standard does not exist, however. Calibration must be done with two test ports interconnected directly.

  • The measurement accuracy depends on the conformity of the calibration standard to its definition. If the calibration standard (components in the calibration kit) has been damaged or worn out, the accuracy will decrease.

Redefining a Calibration Kit

This section provides the procedure to change the definition of a calibration kit.

  • Procedure to select and define a calibration kit

  • Procedure to select the standard type and define standard coefficient

  • Procedure to define standard class

  • The calibration kit definition are stored in the D:\Agilent\CalKit. Redefined calibration kit data are stored into the files.

Procedure to select and define a calibration kit

  1. Press Cal.

  2. Click Cal Kit, then select the calibration kit to be redefined. If the names (labels) of calibration kits were changed prior to operation, the new names will appear on the respective softkeys.

  3. Click Modify Cal Kit. To change the pre-defined connector type (e.g. OPEN(f) to OPEN (m)) skip to the specify classes.

  4. Click Define STDs.

  5. Select the standard to be redefined from among standards numbered 1 through 21.

  6. Click No Name > Label and input a new label for the standard using the keypad displayed on the screen.

Procedure to select the standard type and define standard coefficient

  1. Press Cal.

  2. Click Modify Cal Kit.

  3. Click Define STDs and select the standard to be redefined from among standards numbered 1 through 21.

  4. Click STD Type, then select the type of standard.

    Softkey

    Function

    Open

    Selects the OPEN standard

    Short

    Selects the SHORT standard

    Load

    Selects the LOAD standard

    Delay/Thru

    Selects the delay/THRU standard

    Unknown Thru

    Selects the Unknown THRU standard

    Arbitrary

    Selects the arbitrary impedance

    None

    Selects no standard type

  5. Set the standard coefficient.

    Softkey

    Function

    C0

    Sets C0

    C1

    Sets C1

    C2

    Sets C2

    C3

    Sets C3

    L0

    Sets L0

    L1

    Sets L1

    L2

    Sets L2

    L3

    Sets L3

    Offset Delay

    Sets the offset delay

    Offset Z0

    Sets the offset Z0. Specify 1 ohm when Waveguide is set for the media type.

    Offset Loss

    Sets the offset loss

    Arb. Impedance

    Sets an arbitrary impedance

    Min. Frequency

    Sets a start frequency. Specify cutoff frequency when Waveguide is set for the media type.

    Max. Frequency

    Sets a stop frequency. Specify cutoff frequency when Waveguide is set for the media type.

    Media

    Selects a media type, Coaxial or Waveguide.

    Length Type

    When the standard type is Load, this softkey can be selected from Fixed, Sliding or Offset.

  6. Repeat step 1 to step 5 to redefine all standards for which changes are necessary, then click Return.

Procedure to define standard class

  1. Press Cal.

  2. Click Modify Cal Kit.

  3. Click Specify CLSs, then select the class.

    Softkey

    Function

    Sub Class

    Selects a subclass you want to use.

    Open

    Selects the OPEN class

    Short

    Selects the SHORT class

    Load

    Selects the LOAD class

    Thru

    Selects the THRU class

    TRL Reflect

    Selects TRL Reflect.

    TRL Line/Match

    Selcts TRL Line/Match.

  4. Select the test port. Select Set All to use the same standards for all the test ports.

  5. Select the standards to be registered in the class from among standards numbered 1 through 30. To change the connectors between male and female (e.g. OPEN (f) to OPEN (m)), select the appropriately labeled standards here. For more information on changing the gender, refer to Defining Calibration Kit Gender.

  6. Repeat the procedure until classes are defined for all the test ports that need to be redefined, then click Return.

  7. Repeat the procedure to redefine all classes that need to be modified, then click Return.

  8. Click Label Kit and input a new label for the calibration kit by using the keypad displayed on the screen.

You can save the definition. See Saving Definition File of Calibration Kit.

Example of defining the TRL calibration kit

You need to enter the definition of the TRL calibration kit to perform TRL calibration. Follow these steps to define the following calibration kit given as an example.

  • THRU (Delay 0 ps, Offset Loss 1.3 GΩ /s)

  • REFLECT (SHORT, Delay 0 ps)

  • MATCH (@0 to 2GHz)

  • LINE1 (50-ohm transmission line, Delay 54.0 ps @ 2G to 7GHz)

  • LINE2 (50-ohm transmission line, Delay 13.0 ps @ 7G to 32GHz)

Procedure to define the name of the calibration kit

  1. Press Cal.

  2. Click Cal Kit , then select a User kit that has not been registered.

  3. Click Modify Cal Kit > Label Kit [User], then enter your desired name.

Procedure to define Thru and Reflect

  1. Click Define STDs.

  2. Click 1:No Name > Label > THRU.

  3. Select STD Type > Delay/Thru.

  4. Set Offset Loss to 1.3Gohm/s, and Offset Delay to 0.

  5. Click Return.

  6. In the same way, repeat the procedure to enter the definition of REFLECT to No. 2.

  7. Select SHORT for STD Type.

Procedure to define Match

  1. Click 3:No Name > Label.

  2. Type in MATCH <2G.

  3. Click STD Type > Load.

  4. Set Max Frequency to 2GHz.

  5. Click Return to return to the Define Std menu.

Procedure to define Line 1/2

  1. Click 4:No Name - Label.

  2. Type in LINE <7G.

  3. Click STD Type - Thru.

  4. Set Offset Delay to 54 ps.

  5. Set Min Frequency to 2 GHz.

  6. Set Max Frequency to 7 GHz.

  7. Click Return to return to the Define Std menu.

  8. Click 5:No Name - Label.

  9. Type in LINE >7G.

  10. Click STD Type > Thru.

  11. Set Offset Delay to 13 ps.

  12. Set Min Frequency to 7 GHz.

  13. Click Return twice.

Procedure to register Thru/Reflect/Match to sub class 1

  1. Click Specify CLSs > Sub Class.

  2. Select Sub Class1.

  3. Click TRL Thru > Port 1-2 > THRU > Return.

  4. Click TRL Reflect > REFLECT.

  5. Click TRL Line/Match > Port 1-2 > MATCH <2G > Return.

Procedure to register Line 1/2 to subclass 2/3

  1. Click Sub Class2.

  2. Click TRL Line/Match > Port 1-2 > LINE <7G > Return.

  3. Click Sub Class3.

  4. Click TRL Line/Match > Port 1-2 > LINE >7G > Return.

  5. Press Cal and check that the name you specified is selected as Cal Kit.

By assigning Match and Line 1/2 to subclass 1/2/3 respectively, you can calibrate 3 standards with different frequency bands for TRL line/match calibration.

Setting Options for TRL Calibration

This section describes how to set the reference impedance and measurement data of the standard used for calculating the calibration plane for TRL calibration.

  1. Press Cal.

  2. Click Cal Kit, then select a calibration kit.

  3. Click Modify Cal Kit > TRL Option.

  4. Click Impedance to select the reference impedance.

    Softkey

    Function

    Line

    Calculates the calibration coefficient using the characteristic impedance of the line standard as the reference impedance. The impedance of the line standard is used as the center of the Smith chart, and the calibration coefficient is calculated using the line standard's as the direction.

    System

    Calculates the calibration coefficient using the system impedance as the reference impedance. Select this when the line impedance and the test port impedance differ.

  5. Click Reference Plane to select the measurement data of the standard used for calculating the reference plane.

    Softkey

    Function

    Thru

    Uses the length of the thru/line standard to calculate the calibration plane.

    Reflect

    Uses the reflection coefficient of the reflection standard to calculate the calibration plane.

Setting a media type for the calibration kit

You can set a media type for the standard you use.

  1. Press Cal.

  2. Click Cal Kit, then select a calibration kit.

  3. Click Modify Cal Kit > Modify Cal Kit.

  4. Click Define STDs, and select a standard.

  5. Click Media, and select a media type.

    Softkey

    Function

    Coaxial

    Selects coaxial as the media type.

    Waveguide

    Selects waveguide as the media type.

  6. If you select waveguide as the media type, set the system impedance and the characteristic impedance to 1ohm.

  7. Depending on the media type you use, the calculation method of the electrical delay, which is required to correct the phase delay, differs.

You can save the definition. See Saving Definition File of Calibration Kit.

Defining Calibration Kit Gender (m/f)

The gender of a calibration can be set using the subclass function in the E5063A. For example, subclass 1 can be used as "male" and subclass 2 can be used as "female" or vice-versa. The display label, for example "Open (f)" or "Open (m)", is just a display label and can be edited using Cal > Modify Cal Kit > Define STDs and hence cannot be used to change the gender of the calibration kit. To change the gender of the calibration kit, the E5063A subclass function must be used.

For example, the gender of the default calibration kit (85032F) can be checked using the following procedure:

  1. Press Cal.

  2. Click Cal Kit and select 85032F.

  3. Select Cal > Modify Cal Kit > Specify CLSs > Sub Class.

The subclass gender is set from the E5063A side and not from the Calibration kit side.

  • The gender setting option using subclass is defined from the E5063A connector type and not from the standard calibration kit gender type.

Saving Definition File of Calibration Kit

You can save the definition file of the calibration kit for each standard into a file on a storage device, then recall it later to reproduce the definition.

  1. Press Cal.

  2. Click Cal Kit, then select a calibration kit.

  3. Click Modify Cal Kit > Export Cal Kit... to open the dialog box.

  4. Specify a folder, enter a file name, and click Save.

  5. The file is saved with the (.ckx) extension. Do not open and modify it directly.

  • Do not modify any files and folders in drives other than drive D:. Modifying the contents of drives other than drive D may give serous damage to the functions and performance of the analyzer. Even in drive D, do not change the files and folders other than you created.

Loading Definition File of Calibration Kit

  1. Press Cal > Cal Kit, then select a calibration kit.

  2. Click Modify Cal Kit > Import Cal Kit... to open the dialog box.

  3. Specify a folder, enter a file name, and click Open.

Restoring Definition File of Calibration Kit

  1. Press Cal > Cal Kit, then select a calibration kit.

  2. Click Modify Cal Kit > Restore Cal Kit....

  3. Click OK to restore the definition of the calibration kit selected by Cal Kit to factory default settings.


Specifying Different Standard for Each Frequency

Specifying Different Standards for Each Frequency

  • Overview

  • Defining Standards for Each Subclass

  • Disabling Standards Defined for a Subclass

  • Possible Cases of Frequency Ranges Using Subclasses

Other topics about Advanced Calibration

Overview

This section demonstrates the procedure to define a different open standard for each frequency band, based on the following information:

Standard | Label name | Frequencies to be defined
Open | Open 3G | 1 GHz - 3 GHz
Open | Open 6G | 3 GHz - 6 GHz

  1. Press Cal.

  2. Click Cal Kit, then select a calibration kit you want to define.

  3. Click Modify Cal Kit > Define STDs, then select #1, click Label, and enter Open 3G using the character input pad that appears on the screen.

  4. Click Open as the standard type (STD Type).

  5. Set a necessary standard coefficient.

  6. Enter 1G as the minimum frequency for Min Frequency.

  7. Enter 3G as the maximum frequency for Max Frequency.

  8. Click Return.

  9. In the same way, select #2, press Label, and enter Open 6G using the character input pad that appears on the screen.

  10. Select Open as the standard type (STD Type).

  11. Set a necessary standard coefficient.

  12. Enter 3G as the minimum frequency for Min Frequency.

  13. Enter 6G as the maximum frequency for Max Frequency.

  14. Click Return.

Defining Standards for Each Subclass

This section demonstrates the procedure to specify a different OPEN standard for each frequency band, using subclasses #1 and #2. In this example, the standards created in defining different standard for each frequency band are used.

  1. Press Cal.

  2. Click Cal Kit, then select a calibration kit you want to use.

  3. Click Modify Cal Kit > Specify CLSs.

  4. Click Sub Class > Sub Class 1.

  5. Click Open > Set All to set OPEN standard type for all the ports.

  6. Select #1 (Open 3G).

  7. Click Return.

  8. Click Sub Class > Sub Class 2.

  9. Click Open > Set All to set OPEN standard type for all the ports.

  10. Select #2 (Open 6G).

  11. Click Return.

Disabling Standards Defined for a Subclass

The following procedure shows how to disable a standard defined for a subclass. You cannot disable subclass 1 because at least one standard must exist. The following procedure shows how to disable an OPEN standard of subclass 2.

  1. Press Cal.

  2. Click Cal Kit, then select a calibration kit you want to use.

  3. Click Modify Cal Kit > Specify CLSs.

  4. Click Sub Class > Sub Class 2.

  5. Click Open > Set All to set OPEN standard type for all the ports.

  6. Click None> Return.

Possible Cases of Frequency Ranges Using Subclasses

By using several subclasses, you can set a different standard for each frequency, but note the following about the frequency ranges. The following table shows possible cases and whether calibration is possible.

Possible cases of frequency ranges | Execution of calibration
Example 1, When frequency ranges specified with subclasses overlap | Possible
Example 2, When frequency ranges specified with subclasses do not cover a part of a measurement frequency range | Impossible
Example 3, When a frequency range specified with a subclass lies outside the measurement frequency range | Possible
Example 4, When a part of a frequency range specified with a subclass lies outside the measurement frequency range | Possible

Example 1, When frequency ranges specified with subclasses overlap

For the measurement frequency range (1 GHz - 8 GHz), if you execute calibration with a standard of subclass 1 (1 GHz-5 GHz) and then with a standard of subclass 2 (4 GHz-8 GHz), the standard last executed is applied for the overlapping portion (4 GHz-5 GHz).

Example 2, When frequency ranges specified with subclasses do not cover a part of a measurement frequency range

For a measurement frequency range (1 GHz to 8 GHz), if you execute calibration with a standard of subclass 1 (1 GHz to 5 GHz) and then with a standard of subclass 2 (6 GHz to 8 GHz), Done is NOT available for the undefined portion (5 GHz-6 GHz).

Example 3, When a frequency range specified with a subclass lies outside the measurement frequency range

For a measurement frequency range (1 GHz to 5 GHz), if you define a standard of subclass 1 (1 GHz to 5 GHz) and a standard of subclass 2 (5 GHz to 8 GHz), calibration is possible for subclass 2 although it is out of the measurement frequency range. The calibration coefficients, however, are disregarded. (There is no check mark on the softkey.) Note that, because the standard of subclass 1 covers the measurement frequency range, Done is available.

Example 4, When a part of a frequency range specified with a subclass lies outside the measurement frequency range

For a measurement frequency range (1 GHz to 6 GHz), if you define a standard of subclass 1 (1 GHz - 5 GHz) and a standard of subclass 2 (5 GHz to 8 GHz), a part of subclass 2 (6 GHz to 8 GHz) lies outside the measurement frequency range, but the other part (5 GHz to 6 GHz) lies within it, so calibration is possible.


Partial Overwrite Calibration

  • Overview

  • Procedure

Other topics about Advanced Calibration

Overview

The partial overwrite function is used to perform partial measurement after the execution of calibration, and it overwrites the calibration coefficients.

There are three types of calibration coefficients: Er, Es, Ed for reflection, Et for transmission, and Ex for isolation. If some of them do not provide satisfactory calibration, you can use this function to re-calculate the calibration coefficients by measuring an applicable standard only instead of measuring all the standards again.

  • When the calibration coefficients change over time, or the status on the E5063A side from the calibration surface changes due to replacement of a cable or connector, you also need to perform thru measurement when partial overwrite is required for reflection or isolation measurement.

  • The adapter removal and partial overwrite function is only available when calibration status is [Cor] and not for [C?] or [C!].

    Partial overwrite is not available if no calibration has been done. You cannot append calibration coefficients to previous calibrations. For example, you cannot realize 2-port calibration by performing additional calibration for 1 port after the execution of full 1-port calibration. The partial overwrite function is used to make measurements for previous calibration coefficients and overwrite them.

Procedure

Follow these steps to execute the partial overwrite function. The example demonstrates re-calibration thru calibration only for exiting 2 port full calibration:

  1. Press Channel Next (or Channel Prev) to select the channel of which you already have performed full 2 port calibration.

  2. Press Cal >Calibrate > 2-Port Cal.

  3. Click Transmission.

  4. Make a thru connection between the ports 1 and 2.

  5. Click Port 1-2 Thru.

  6. Click Return.

  7. Click Overwrite to finish the re-calibration for the full 2-port calibration. At this point, the calibration coefficients are re-calculated with the new thru calibration and saved.

.


Unknown Thru Calibration

  • Overview

  • Procedure

Other topics about Advanced Calibration

Overview

Unknown Thru Cal is the preferred THRU method of calibrating the E5063A to measure a non-insertable device. The major benefits of using a unknown Thru calibration are:

  • It is easy to perform.

  • Provides better accuracy than Defined Thru and is usually better than Adapter Removal.

  • Does not rely on the existing standard definitions that may no longer be accurate.

  • Causes minimal cable movement if the THRU standard has the same footprint as the DUT. In fact, the DUT can often be treated as the THRU standard.

The Thru must satisfy the following requirements:

  1. Thru must be Reciprocal (with S21 and S12 equal) in nature. It should have a consistent behavior, independent of the direction from which it is used.

  2. The electrical length of the Thru should be known at an accuracy of ±1 /4 of the wavelength.

  3. Unknown Thru is NOT supported during the TRL calibration.

Procedure

To measure the nominal electrical delay of the Unknown Thru standard:

  1. With port 1 configured, perform a simple S11 response calibration at port 1 by using a short circuit.

    Press Cal > Calibrate > Response (Short) > Short.

  2. Connect the Unknown Thru standard to port 1 and terminate the standard with a short circuit.

  3. Measure the electrical delay of the Unknown Thru standard.

    Press Cal > Port Extensions > Auto Port Extension > Measure SHORT > Port 1.

    The electrical delay is automatically measured and can be confirmed.

    Press Cal > Port Extensions > Extension Port 1 {Value}.

  4. If there is an offset in the short circuit used to terminate the Unknown Thru standard, remember to subtract its electrical length from the measurement result.

To perform the unknown Thru Calibration, follow the procedure below:

  1. Press Cal > Calkit , then select the desired calibration kit (e.g. 85033D or User Kit).

  2. Press Cal > Modify Cal Kit > Define STDs > No Name > Label.

  3. Type a name for unknown Thru Cal standard e.g. {Unknown Thru1}.

    • By changing the label to a different name (e.g. Unknown Thru1), the 'No Name' standard adopts to the specified new name.

  4. Press Cal > Modify Cal Kit > Define STDs > {Defined Name} > STD Type > Unknown Thru.

  5. Click Offset Delay, then enter the approximate offset delay value of the unknown Thru standard.

  6. Press Cal > Modify Cal Kit > Specify CLSs > Thru > Port 1-2 > {Defined Name}.

    • Different Unknown Thru can be used for different ports.

  7. Press Cal > Calibrate > 2-Port Cal > Transmission > {Defined Name} to execute mechanical Unknown Thru calibration.

  8. Complete Reflection, and Isolation (optional) calibration for 2 full port Cal.


Adapter Removal-Insertion

  • About Adapter Removal

  • About Adapter Insertion

  • About Adapter Waveguide & Rotate

  • Performing Adapter Waveguide Calibration

  • Procedure for Adapter Removal/Insertion

    • Adapter Removal

    • Adapter Insertion

  • Difference between Traditional Network Analyzer & E5063A Adapter Calibration

Other topics about Advanced Calibration

About Adapter Removal

Adapter Removal is a technique used to remove any adapter characteristics from the calibration plane. The E5063A uses the following adapter removal process to remove the adapter characteristics:

  1. Perform calibration with the adapter in use.

  2. Remove the adapter from the port and measure Open, Short, and Load values to determine the adapter's characteristics.

  3. Remove the obtained adapter characteristics from the error coefficients in a de-embedding fashion.

Open, Short, and Load values measured with the adapter removed

  • The adapter removal and partial overwrite function is only available when the calibration status is [Cor] and not for [C?] or [C!].

About Adapter Insertion

The above described method also makes it possible to add adapter characteristics to a port with n-port full calibration. This allows you to make a measurement with the adapter. E5063A uses the following adapter insertion process to insert the adapter characteristics:

  1. Perform calibration without adapter in use.

  2. Insert the adapter to the port and measure Open, Short, and Load values to determine the adapter's characteristics.

  3. Insert the obtained adapter characteristics to the error coefficients in an embedding fashion.

Open, Short, and Load values measured with adapter attached

In order to determine the adapter characteristics (with four unknown parameters) by making three measurements (Open, Short, and Load), the adapter must satisfy the following requirements:

  1. Adapter must be Reciprocal (with S21 and S12 equal) in nature. It should have a consistent behavior, and independent of the direction from which it is used.

  2. The electrical length of the adapter should be known with the accuracy of ±1/4 of wavelength.

About Adapter Waveguide & Rotate

E5063A has the functionality related to adapter waveguide and adapter rotation. Adapter waveguide length and Cut off frequency can be set using the following commands:

:SENS:CORR:COLL:ADAP:WAV:LENG

:SENS:CORR:COLL:ADAP:WAV:CUT

Coaxial length can be set using Cal > Calibrate > Adapter Removal > Coaxial Length

Rotate command executes Adapter Removal/Insertion along with moving the phase of adapter (which is removed or inserted) to 180 degrees. This command is useful in cases where auto judgement of phase fails. This command can be executed several times while the calibration remains valid.

:SENS:CORR:COLL:ADAP:ROT

  • System Z0 should be changed to 1 ohm before calibration when using waveguide calibration kit and measuring waveguide devices.
  • Some calibration kits such as the waveguide calibration kit have operational frequency range defined by Minimum and Maximum frequency. When the E5063A stimulus setting is out of the operational frequency range, you cannot click the Done key or finish the calibration by remote control. In this case, use a calibration kit that has proper frequency range, or change the E5063A stimulus setting to proper range that the calibration kit can cover. Refer to the calibration kit manual or definition in the E5063A with Cal > Modify Cal Kit > Define STDs for the Maximum & Minimum frequency of the calibration kit.

Performing Adapter Waveguide Calibration

This section provides an example of performing adapter waveguide calibration to perform a Full 2-port calibration plane between Port 1 (3.5mm) & Port 2 (P-band wave guide).

  1. Using Adapter Insertion:

    1. Perform a SOLT F2P Calibration at Port 1 (3.5mm) using Z0=50 ohm

    2. Perform Adapter insertion at Port 2 (Z0=1) using P11644A

  2. Using Adaptor Removal:

    1. Perform a SOLT/TRL F2P Calibration at P band WG (Z0 = 1)

    2. Perform Adapter removal at port 1 (Z0=50) using 85052D

  3. Using Port Extension:

    1. Perform a SOLT F2P calibration at Port 1 (3.5mm) with Z0 = 50

    2. Perform Port extension calibration at Port 2 (manual with Coax length, WG length, Cut off). System Z0 can be either 1 oh or 50 ohm; both are fine to use.

Procedure for Adapter Removal/Insertion

Example of scenario where adapter removal/insertion is required: When the DUT is an SMA (female) -to-Type N (male) whereas the test ports are two SMA (male) cables. In such cases, an adapter of Type N (female)-to-SMA (female) is required to perform adapter removal/insertion.

The S parameter of a reciprocal adapter can be determined when the following data is available:

  • Open, Short, and Load measurements.

  • Actual values derived from the CalKit definitions.

  • An approximate length of the adapter.

  • Nature of the intended operation: removal or insertion.

    • If the frequency setting is not Zero Span, an approximate length of the adapter should be provided otherwise an error might be generated in the measurement.

    • For Adapter Removal, the adapter length is (+) Positive. For Adapter Insertion, the Adapter length is (-) Negative.

The diagram below shows summary of the adapter removal and insertion procedure:

To use Adapter Removal:

  1. Perform a full n-Port calibration using your calibration kit so that the port used to conduct adapter removal is calibrated.

    • When you need to remove an adapter from the calibration plane (adapter removal) to connect your DUT, perform the calibration with an adapter so that you can make a calibration with your calibration kit.

  2. Open the Adapter Removal menu: Cal > Calibrate > Adapter Removal.

  3. Select the Port from which you want to remove Adapter characteristics from. Select Port (e.g. 1) (1 in the above figure). A * sign appears in front of the port indicates that this is a valid port to conduct adapter removal (as well as insertion) as the full n-port calibration has been performed on the port.

  4. Select the proper standard Calkit you need to use from the options available at CalKit (e.g. 85033E) (2 in the above figure) to characterize the adapter. The calibration kit is used at the plane from which adapter is removed.

  5. If you are using a Waveguide or a mixed adapter:

    1. Set the Coaxial length as Auto for Automatic Removal or with a (+) Positive value.

    2. Select the Cutoff Frequency of the waveguide you want to enter (6 in the above figure). The Cutoff Frequency is defined by the waveguide calibration kit in use.

    3. Without entering the value of Cutoff Frequency, the Waveguide Length cannot be entered.

    3. Set the Waveguide Length as Auto for Automatic Removal or if you want to input a manual Waveguide Length, type a value with a (+) Positive value, which indicates removal.

        • When using waveguide calibration kit and measuring waveguide devices, ensure that you change the system Z0 to 1 ohm prior to calibration.

If you are using Coaxial extension:

  1. Set the Coaxial length as Auto for Automatic Removal or with a (+) Positive value.

  2. Omit the Cutoff Frequency and Waveguide Length selection.

  6. Connect Open, Short, and Load of the selected Calkit (e.g. 85033E) with the selected port respectively and click/press Open, Short, and Load respectively. E5063A measures the cal kit standard, calculates the adapter characteristics, and then conducts adapter removal/insertion.

      1. A checkmark [image] appears in (Open, Short, and Load) menu after each type of calibration is completed.

  7. Click Done to complete the process (7 in the above figure).

      • Some calibration kits such as the waveguide calibration kit have operational frequency range defined by Minimum and Maximum frequency. When the E5063A stimulus setting is out of the operational frequency range, you cannot click Done or finish the calibration by remote control. In this case, use a calibration kit that has proper frequency range, or change the E5063A stimulus setting to proper range that the calibration kit can cover. Refer to the calibration kit manual or definition in the E5063A with Cal > Modify Cal Kit > Define STDs for the Maximum & Minimum frequency of the calibration kit.

      • In cases where auto judgement of phase fails, select Rotate Adapter to move the phase of adapter (which is removed) to 180 degrees.

To use Adapter Insertion:

  1. Perform a full n-Port calibration using your calibration kit so that the port used to conduct adapter insertion is calibrated.

    • When you need to add an adapter into the calibration plane (adapter insertion) to connect your DUT, perform the calibration without an adapter.

  2. Open the Adapter Removal menu:

Cal > Calibrate > Adapter Removal

  3. Select the Port in which you want to insert the Adapter characteristics from Select Port (e.g. 1) (1 in the above figure. A * sign appears in front of the port is a valid port to conduct adapter insertion (as well as removal) as the full n-port calibration has been performed on the port.

  4. Select the proper standard Calkit you need to use from the options available at CalKit (e.g. 85033E) (2 in the above figure) to characterize the adapter. The calibration kit is used at the plane in which adapter is inserted.

  5. If you are using a Waveguide or a mixed adapter:

    1. Set the Coaxial length as Auto for Automatic Insertion or with a (-) Negative value.

    2. Select the Cutoff Frequency of the waveguide you want to enter (6 in the above figure). The Cutoff Frequency is defined by the waveguide calibration kit in use.

      • Without entering the value of Cutoff Frequency, the Waveguide Length cannot be entered.

    3. Set the Waveguide Length as Auto for Automatic Insertion or if you want to input a manual Waveguide Length, type a value with a (-) Negative value, which indicates insertion.

      • When using waveguide calibration kit and measuring waveguide devices, ensure that you change the system Z0 to 1 ohm prior to calibration.

If you are using Coaxial extension:

  1. Set the Coaxial length as Auto for Automatic Insertion or with a (-) Negative value.

  2. Omit the Cutoff Frequency and Waveguide Length selection.

  6. Connect Open, Short, and Load of the selected Calkit (e.g. 85033E)with the selected port respectively and select Open, Short, and Load respectively. ENA measures the cal kit standard, calculates the adapter characteristics, and then conducts adapter insertion.

    • A checkmark [image] appears in (Open, Short, and Load) menu after each type of calibration is completed, respectively.

  7. Click Done to complete the process (7 in the above figure).

    • Some calibration kits such as the waveguide calibration kit have operational frequency range defined by Minimum and Maximum frequency. When the E5063A stimulus setting is out of the operational frequency range, you cannot click Done or finish the calibration by remote control. In this case, use a calibration kit that has proper frequency range, or change the E5063A stimulus setting to proper range that the calibration kit can cover. Refer to the calibration kit manual or definition in the E5063A with Cal > Modify Cal Kit > Define STDs for the Maximum & Minimum frequency of the calibration kit.

    • In cases where auto judgement of phase fails, select Rotate Adapter to move the phase of adapter (which is inserted) to 180 degrees.

Difference between Traditional Network Analyzer & E5063A Adapter Calibration

Usually, two-port network analyzers remove the adapter characteristics by performing two sets of Full 2 Port Calibration as shown below:

Calibration performed with the adapter connected to Port2

Calibration performed with the adapter connected to Port1

Removing adapter characteristics using two (above) sets of calibration

However, this method is not suitable for a multi-port network analyzer because it requires Full 2 Port Calibration as many as twice the number of port combinations. Therefore, the E5063A uses an advanced method to remove the Adapter characteristics described in About Adapter Insertion.


2-port TRL Calibration

  • Overview

  • Procedure

Other topics about Advance Calibration

Overview

The 2-port TRL calibration function lets you measure calibration data by connecting thru, reflection (open or short), line, or match calibration standards to (between) 2 desired test ports. This calibration provides the most accurate measurement for non-coaxial parts, using 12 error terms model in total for calibration in the same way as full 2-port calibration.

Before executing TRL calibration, you need to modify the calibration kit definition you use (or create a new one). For more information, see Changing the Calibration Kit Definition.

Procedure

  1. Press Channel Next/Channel Prev keys to select the channel for which you want to perform the calibration.

  2. Press Cal key.

  3. Click Calibrate > 2-Port TRL Cal.

  4. Connect the port.(In the following procedure, test ports you select here are expressed as test ports x and y.)

Thru/Line

  1. Make a THRU or Line connection between ports x and y (between the connectors to which the DUT is to be connected).

  2. Click Thru/Line > Port x-y Thru to execute a Thru/Line measurement.

  3. Click Return.

Reflection

  1. Click Reflect > Port x Reflect to execute a reflection calibration for test port x.

  2. Click Reflect > Port y Reflect to execute a reflection calibration for test port y.

  3. Click Return.

Line/Match

  1. Click Line/Match.

  2. Click softkey to execute Line/Match calibration.

    Softkey

    Function

    x-y Line/Match

    Executes line/match calibration for test ports x and y. Use this to perform forward-direction measurement and reverse-direction measurement at the same time. This is equivalent to measuring both x-y Fwd (Syx) and x-y Rvs (Sxy).

    x-y Fwd (Syx)

    Executes line/match calibration for test ports x and y. Use this to perform forward-direction measurement only.

    x-y Rvs (Sxy)

    Executes line/match calibration for test ports x and y. Use this to perform reverse-direction measurement only.

  3. Click Return.

  4. Click Done to complete TRL 2-port calibration. At this point, the calibration coefficient is calculated and saved. The error correction function is automatically turned ON.


Sliding Offset Load Calibration

Sliding and Offset Load Calibration

  • Supported Calibration

  • Sliding Load Calibration

  • Offset Load Calibration

Other topics about Advanced Calibration

Supported Calibration

The following table shows the supported calibration for the sliding load and offset load.

Calibration | SOLT | Response | Enhanced Response | TRL-Line | Adapter Removal | Scalar Mixer | Vector Mixer (VBA)
Sliding Load | Yes | Yes | Yes | Yes | Yes | No | No
Offset Load | Yes | No | Yes | No | No | No | No

Sliding Load Calibration

A sliding load is defined by making multiple measurements of the device with the sliding load element positioned at various marked positions of a long transmission line. The transmission line is assumed to have zero reflections and the load element has a finite reflection that can be mathematically removed using a least squares circle fitting method.

A sliding load calibration can be very accurate when performed perfectly. It can also be very inaccurate when not using proper technique. For accurate results, follow the users manual instructions closely.

The following calibration kits are supported:

  • 85050B 7 mm Calibration Kit

  • 85052B 3.5 mm Calibration Kit

  • 85054B 50 Ω Type-N Calibration Kit

  • 85056A 2.4 mm Calibration Kit

Procedure

Follow these steps to perform calibration using sliding load. The example demonstrates re-calibration for full 1-port calibration.

  1. Press Channel Next/Channel Prev to select the channel for which you want to perform the calibration.

  2. Press Cal.

  3. Click Calibrate > Cal Kit.

  4. Select the calibration kit with sliding load, for example, 85052B.

  5. Press Cal.

  6. Click Calibrate > 1-Port Cal > Select Ports.

  7. Select the test ports for which you want to perform re-calibration for full 1-port calibration.

  8. Make an OPEN connection on the selected test port.

  9. Click Open.

  10. Make a SHORT connection on the selected test port.

  11. Click Short.

  12. Make a LOAD connection on the selected test port with a sliding load.

  13. Click Calibrate > 1-Port Cal > Load > Load 2 Sliding for female load OR Calibrate > 1-Port Cal > Load > Load 5 for male load. The assignment of female and male loads varies from one calibration kit to another. In the case of 85052B, load 2 is a female and load 5 is a male load.

  14. Slide the load to the desired position and click Sliding Load. Repeat this step for at least 5 times (till Sliding Load 5), then click Done. This step can be repeated at most 10 times only.

  15. Click Return.

  16. Now, all Short, Open and Load should have check mark on their left.

  17. Click Done.

The sweep range setting should match the frequency range of the sliding load. Else, the load process is not executed, hence no check mark appear on the Load softkey. Similarly, if the frequency range is extended, the load process is also not executed. Refer to redefining a calibration kit to learn more about it.

Offset Load Calibration

An offset load is a compound standard consisting of a load element and two known offset elements (transmission lines) of different length. The shorter offset element can be a zero-length (Flush-thru) offset. The load element is defined as a 1-port reflection standard. An offset load standard is used when the response of the offset elements are more precisely known than the response of the load element. This is the case with waveguide. Measurement of an offset load standard consists of two measurements, one with each of the two offset elements terminated by the load element. The frequency range of the offset load standard should be set so that there will be at least a 20 degree separation between the expected response of each measurement.

To specify more than two offset elements, define multiple offset load standards.

The following calibration kits are supported:

  • X11644A X Band 90 Calibration Kit

  • P11644A P Band WG 62 Calibration Kit

  • K11644A K Band WG 42 Calibration Kit

  • The K11644A K Band WG 42 Calibration Kit is not verified.

Procedure

Follow these steps to perform calibration using offset load. The example demonstrates re-calibration for full 1-port calibration.

  1. Press Channel Next/Channel Prev to select the channel for which you want to perform the calibration.

  2. Press Cal.

  3. Click Calibrate > Cal Kit.

  4. Select the calibration kit with sliding load, for example, X11644A.

  5. Press Cal.

  6. Click Calibrate > 1-Port Cal > Select Ports.

  7. Select the test ports for which you want to perform re-calibration for full 1-port calibration.

  8. Make a OPEN connection on the selected test port.

  9. Click Open.

  10. Make a SHORT connection on the selected test port.

  11. Click Short.

  12. Click Calibrate > 1-Port Cal > Load > Load 2 Offset Load.

  13. Make a LOAD connection on the selected test port with a offset load (Thru).

  14. Click Offset Line 1 Thru.

  15. Make a LOAD connection on the selected test port with a offset load (X-band Delay line).

  16. Click X-band Delay Line > Done > Return twice.

  17. Now, all Short, Open and Load should have check mark on their left.

  18. Click Done.

The sweep range setting and Thru Offset frequency range should match the frequency range of the offset load. Else, the load process is not executed, hence no check mark appear on the Load softkey. Similarly, if the frequency range is extended, the load process is also not executed. Refer to redefining a calibration kit to learn more about it.


Performing 8 term Calibration using External PC

  • Overview

  • Procedure

Other topics about Advanced Calibration

Overview

To perform 8-term error model calibration using an external PC (measuring raw measurement data using the E5063A, calculating error term using external PC and then performing correction with calculated error terms and measured raw data), the procedure described in this section must be followed. When you use this method, the measurement specification is not satisfied.

  • In most cases, users do NOT need to follow the below procedure as these considerations have already been performed on 8-term error model calibration in the E5063A.

  • When users perform 12-term error model calibration using external computer such as SOLT calibration, users do NOT need to perform the following procedure.

Procedure

Turning OFF the "System Correction"

In its default setting, the E5063A applies "system correction" to the measured S-Parameter data. As the "system correction" is applied only to the S-Parameter measurement data and not to the absolute value measurement data, it interferes with 8-term error model calibration when calculating error coefficients on the external computer. You need to turn OFF this state all the time for calibration and measurement.

The system calibration can be turned OFF by:

  • System > Service Menu > System Correction

  • :SYST:CORR

The setting of system correction is kept until preset. This state is saved in the state file.


Making Measurements

  • Setting Up Trigger

  • Making Averaging Measurement with Single Trigger

  • Distributing Trigger to External Device

  • Making Trigger


Setting Up Trigger

  • Overview

  • Selecting Trigger Source

  • Setting Trigger Mode (Single/Continuous)

  • Makin g Trigger to Active Channel Only (Trigger Scope)

  • Making One Point Measurement with Single Trigger (Point Trigger)

  • Setting Trigger Delay

Other topics about Making Measurement

Overview

The E5063A has one trigger source. When this trigger source detects a trigger signal that has occurred, a sweep or point measurement is performed for channels.

The execution of measurement for each channel does not depend on whether the channel is displayed. Channels that have been activated can be measured even if they are not displayed.

For each channel, a sweep is performed only for the stimulus ports required to update the parameters of the displayed trace.

Selecting Trigger Source

The trigger source generates a cue signal that initiates a measurement process. Four types of trigger sources are available:

  1. Press Trigger > Trigger Source, then select the desired trigger source.

    Trigger Sources

    Function

    Internal (Internal)

    Uses a consecutive signal generated by the firmware as a trigger source. Triggers are sent immediately following the completion of each measurement.

    External (External)

    Uses the external trigger input terminal (BNC) or 24 Bit I/O (Pin No. 18) as a trigger source.

    Manual (Manual)

    A trigger is generated by pressing Trigger > Trigger.

    Bus (Bus)

    A trigger is generated through GPIB/LAN/USB.

  2. When External is selected as a trigger source, click Ext Trig Input to select trigger polarity.

    Softkey Label

    Function

    Negative Edge

    Detect external trigger with negative edge.

    Positive Edge

    Detect external trigger with positive edge.

  3. The setting for trigger polarity is NOT valid for the external trigger from the 24 Bit I/O (Hander).

Setting Trigger Mode (Single/Continuous)

You can set the trigger mode for each channel independently. This allows you to control the operation of each channel after a trigger signal is detected by setting the channel's status with the trigger mode.

  1. Press Channel Next (or Channel Prev) to select the channel for which the trigger mode will be set.

  2. Press Trigger, then select the desired trigger mode.

    Softkey

    Function

    Hold

    Sets active channel trigger mode to hold

    Single

    Sets active channel trigger mode to single sweep

    Continuous

    Sets active channel trigger mode to continuous sweep

    Hold All Channels

    Sets all channel trigger modes to hold

    Continuous Disp Channels

    Sets trigger modes of all displayed channels (Display > Allocate Channels) to continuous sweep

  3. Repeat the procedure until each channel is set to its trigger mode.

Making Trigger to Active Channel Only (Trigger Scope)

The trigger scope specifies the scope of the triggering, whether it is for all channels or for the active channel.

For example, when Trigger > Continuous is selected for all the channels and the trigger scope is set to active channel, a measurement channel is automatically changed by changing an active channel.

  1. Press Trigger > Trigger Scope, then select the desired trigger scope.

    Softkey Label

    Function

    All Channel

    Triggers ALL channels

    Active Channel

    Triggers Active channel alone.

Making One Point Measurement with Single Trigger (Point Trigger)

The point trigger provides a point measurement at every trigger, and it can be used to change the trigger event to point trigger mode.

  1. Press Trigger > Trigger Event, then select the desired trigger event.

    Softkey Label

    Function

    On Point

    Measures at each measurement point

    On Sweep

    Measures all measurement points

  2. When the trigger source is the internal trigger, the point trigger does not work.

Setting Trigger Delay

Set the external trigger delay time at each point. The trigger delay works when the trigger source is set to external.

  1. Press Trigger > Trig Delay.

  2. Enter an external trigger delay time.

See the timing chart for sweep.

Trigger Delay Time and Point Trigger Interval

External trigger pulses which are supplied until the next measurement becomes ready after the start of a one-point measurement, are ignored, and the next trigger is generated by a pulse supplied after the completion of the one-point measurement.

The time until the next trigger can be accepted after the start of a one-point measurement depends on the IFBW and other settings of the analyzer. For example, in the case of a frequency's zero-span measurement, the time until the next measurement is ready after the start of a one-point measurement is obtained by dividing the time required for a single sweep in On Sweep mode, instead of On Point mode, by the number of measurement points. If you use the point trigger function with external trigger pulses that are wider than this time, point trigger measurement is performed at each pulse input.

The figure below shows the timing chart of an external trigger when the point trigger function is on.

Timing chart of external trigger (trigger source = external)

The table below describes signals and time as shown in the above figure.

Signal, time | Description
External Trig | External trigger signal to be supplied.
Sampling | Time while the E5063A is actually performing measurement.
Index | Index signal of the handler I/O port. When the point trigger function is ON, it goes to the High level only before starting the measurement of the first sweep point and returns to the Low level after completing the measurement of all the measurement points.
Point Trigger Period | Time until the E5063A is ready to accept a trigger for the next measurement point. The value depends on the measurement conditions and the settings of the E5063A.
td1 | Time set as the external trigger delay time.
td2 | Time for sweep delay


Making Averaging Measurement with Single Trigger

  • Overview

  • Averaging Trigger Function

Other topics about Making Measurement

Overview

The averaging trigger function is used to execute the sweep the number of times specified by the averaging factor with a single trigger when the sweep averaging function is ON.

Averaging Trigger | Function
ON | Performs the sweep the number of times specified by the averaging factor with a single trigger.
OFF | Performs the sweep once with a single trigger.

The averaging factor is cleared before the start of measurement.

  • When the point trigger function is ON, its setting has priority, and you need to generate triggers based on "(number of measurement points) × (averaging factor)".

  • When the sweep averaging function is OFF, sweep is performed only once even if the averaging trigger function is set to ON.

  • The averaging trigger function is valid for all the channels. Note that you can set the sweep averaging function for each channel.

Averaging Trigger Function

Setting Averaging Trigger Function

When the sweep averaging function is ON, follow these steps to set the averaging trigger function.

  1. Press Avg > Avg Trigger.

  2. Click ON to activate the averaging trigger.

Executing Averaging Measurement

  1. Press Trigger.

  2. Click Single. The averaging factor is cleared before the start of measurement, the sweep is executed the number of times specified by the averaging factor, and then the instrument waits for the next trigger.


Distributing Trigger to External Device

  • Overview

  • Setting External Trigger Output

Other topics about Making Measurement

Overview

The External Trigger Output port (located at the rear panel) can be used to provide trigger to an external device. This is useful in cases where an external device needs to be triggered through the E5063A.

Setting External Trigger Output

  1. Press Trigger key, and then set the value of Ext Trig Output as ON.

  2. Click Polarity, and then select polarity.

    Softkey

    Description

    Positive Pulse

    Generates a Positive Pulse as a trigger.

    Negative Pulse

    Generates a Negative Pulse as a trigger.

  3. Click Position, and then select position.

    Softkey

    Description

    After Point

    Generates a Pulse (trigger) after the measurement points.

    Before Point

    Generates a Pulse (trigger) before the measurement points.

  4. Click Pulse Width to define the pulse width of the signal.

Difference between After and Before Point Settings

External trigger output function displays the difference in results by setting the Point trigger as follows:


Making Trigger

  • Generating the Trigger

  • Sweep Order in Each Channel

Other topics about Making Measurement

Generating the Trigger

To make a measurement, it is necessary to generate a trigger by using the selected trigger source. Once the internal trigger is selected, a series of triggers is continuously generated as soon as the setting becomes effective.

Pressing Trigger > Restart during a sweep forces the analyzer to abort the sweep.

Sweep Order in Each Channel

In a channel, each test port is set to a stimulus port in the order of port number, and updates each trace accordingly.

Sweep Order | Stimulus Port | Updated Trace
1 | Port 1 | S11, S21
2 | Port 2 | S12, S22

  • If full 2-port error correction is in effect, no trace between calibrated ports is updated until the last calibrated port is swept as the stimulus port.

  • Sweep is not executed for stimulus ports that are not required for updating traces.


Analyzing Data

  • Analyzing Data on the Trace Using the Marker

  • Searching for Positions that Match Specified Criteria

  • Determining the Bandwidth of the Trace (Bandwidth Search)

  • Determining the Bandwidth of the Trace (Notch Search)

  • Determining the Mean, Standard Deviation, and p-p of the Trace

  • Comparing Traces/Performing Data Math

  • Performing Parameter Conversion of Measurement Results

  • Using Limit Test

  • Using Bandwidth Test

  • Using Ripple Test

  • Using Point Limit

  • Using Equation Editor

  • Holding Max/Min Points for the Trace


Analyzing Data on the Trace Using the Marker

  • About Marker Functions

  • Reading Marker Values on Trace

  • Reading Relative Value from Reference Point on Trace

  • Reading Actual Measurement Point/Value Interpolated between Measurement Points

  • Setting up Markers for Each Trace/Setting up Markers for Coupled Operation between Traces

  • Listing Marker Values in All Displayed Channels

  • Specifying Display Position of Marker Values

  • Aligning Marker Value Display

  • Displaying All Marker Values for Displayed Traces

Other topics about Data Analysis

About Marker Functions

The marker can be used in the following ways:

  • Reading a measured value as numerical data (as an absolute value or a relative value from the reference point)

  • Moving the marker to a specific point on the trace (marker search)

  • Analyzing trace data to determine a specific parameter

  • Using the value of the marker to change the stimulus (sweep range) and scale (value of the reference line)

For the procedure used to change the sweep range and scale by using the marker, refer to Setting the Sweep Range Using the Marker and Setting the value of a reference line using the marker.

The E5063A is capable of displaying up to 10 markers including the reference marker on each trace. Each marker has a stimulus value (the value on the X-axis in rectangular display format) and a response value (the value on the Y-axis in rectangular display format). The Smith chart and polar formats have two marker response values each (log amplitude and phase).

Reading Marker Values on Trace

You can read the value of a marker displayed on the trace.

In rectangular display format, the marker response value is always in the same data format as that of the Y-axis. On the contrary, one format of the marker response values (two values: main and auxiliary) can be selected from several types. The selection is performed in the data format.

Softkey for selecting data format | Marker response value
 | Main | Auxiliary
Smith > Lin / Phase | Linear amplitude | Phase
Smith > Log / Phase | Log amplitude | Phase
Smith > Real / Imag | Real component | Imaginary component
Smith > R + jX | Resistance | Reactance
Smith > G + jB | Conductance | Susceptance
Polar > Lin / Phase | Linear amplitude | Phase
Polar > Log / Phase | Log amplitude | Phase
Polar > Real / Imag | Real component | Imaginary component

To set up data formats, refer to Selecting a Data Format.

Activating the marker on the Trace

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the channel on which a marker is used.

  2. Press Marker key. At this point, marker 1 is turned on and becomes active (you can operate the marker). When using marker 1, you can omit the next step.

  3. Select a marker and turn it ON. The softkey used to turn on a marker is also used to activate that marker.

Moving the marker

  1. Change the marker stimulus value. This operation enables you to move the marker to a point on the selected trace.

  2. Read the marker stimulus value and marker response value displayed in the upper-left part of the trace screen.

Turning off the marker

  1. Press Marker key.

  2. Click Clear Marker Menu and then click one of the options.

  • In the preset configuration, the marker settings on traces in a channel are coupled (Marker Couple is turned on). For marker coupling, refer to Setting up markers for each trace/Setting up markers for coupled operations between traces.

Reading Relative Value from Reference Point on Trace

You can convert the marker reading into a relative value from the reference point.

Converting From a Reference Point to a Relative Value

  1. Activate the reference marker.

  2. Move the reference marker at the point to be used as the reference.

  3. Click Ref Marker Mode to turn on the reference mode.

  4. With the reference mode turned ON, the stimulus values and response values are indicated in relative values referred to by the position of the reference marker.

  5. Activate your desired marker, then move it to your desired position.

  6. Pressing Marker > Marker -> Ref Marker enables you to place the reference marker at the position of the currently active marker. The reference mode then turns ON automatically.

Reading Actual Measurement Point/Value Interpolated between Measurement Points

The point on the trace on which a marker can be placed differs depending on how the discrete marker mode is set up.

Value | Description
Turning on discrete mode (Discrete ON) | A marker moves only between actual measurement points. When a specific marker's stimulus value is specified as a numerical value, the marker is placed at the measurement point closest to the specified value. A marker placed between interpolated points with the discrete mode OFF automatically moves to the nearest measurement point when the discrete mode is turned ON.
Turning off discrete mode (Discrete OFF) | The marker can move from one actual measurement point to another. Because it is interpolated, it can also move in the space between measurement points.

Turning Discrete Mode On or Off

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace on which the discrete mode is set up.

  2. Press Marker Fctn.

  3. Click Discrete to turn the discrete mode ON or OFF.

Setting up Markers for Each Trace/Setting up Markers for Coupled Operation between Traces

Makers can be set up and moved either in coupled operation for all traces in a channel or independently for each trace.

Value | Description
Marker Couple is ON (Coupling ON) | Markers are set up and moved in coupled operation on all the traces in a channel.
Marker Couple is OFF (Coupling OFF) | Markers are set up and moved independently for each trace.

Turning Marker Coupling On or Off

  1. Press Channel Next (or Channel Prev) to activate the channel on which the marker couple is set.

  2. Press Marker Fctn.

  3. Click Couple to turn the marker coupling ON or OFF.

Listing all Marker Values in all Displayed Channels

You can list all of the marker values in all of the displayed channels on the screen.

Turning ON the Marker Table Display

  1. Press Marker Fctn.

  2. Click Marker Table to turn ON the marker table display.

The marker table appears in the lower part of the screen.

Specifying Display Position of Marker Values

This section describes how to specify the marker value display position for each active trace.

Value | Description
Marker Info X Pos | Specifies the horizontal display position by the width of the display area as a percentage.
Marker Info Y Pos | Specifies the vertical display position by the height of the display area as a percentage.

Operational procedure

  1. Press Channel Next (or Channel Prev) to activate the channel for which you want to set the marker coupling.

  2. Press Marker Fctn > Annotation Options.

  3. Click Marker Info X Pos to set the horizontal display position.

  4. Click Marker Info Y Pos to set the vertical display position.

Aligning Marker Value Display

This section describes how to align maker value displays.

Value | Description
On (Align ON) | Displays marker values to align to the display position of trace 1.
Off (Align OFF) | Displays marker values in the display position defined for each trace.

  1. Press Marker Fctn > Annotation Options.

  2. Click Align to toggle ON/OFF.

Displaying All Marker Values for Displayed Traces

This section describes how to display all marker values for the displayed traces.

Value | Description
Displays all (Active Only OFF) | Displays all marker values for displayed traces.
Displays active markers (Active Only ON) | Displays markers for the active trace only.

  1. Press Marker Fctn > Annotation Options.

  2. Click Active Only to toggle ON/OFF.


Searching for Positions that Match Specified Criteria

  • Overview

  • Setting Search Range

    • Setting Multiple Search Range

  • Automatically Executing a Search (Search Tracking)

  • Searching for Maximum and Minimum Values

  • Searching for the Peak

    • Searching all peaks at one time (Multiple Peak)

  • Searching for the Target Value (Target search)

Other topics about Data Analysis

Overview

You can search for a position that matches your specified criteria by using the Marker Search feature. Marker Search allows you to search for a position that matches any of the following criteria.

  • Maximum value

  • Minimum value

  • Peak

  • Maximum peak (for a positive peak), minimum peak (for a negative peak)

  • Peak on the left or right-hand side nearest to marker position

  • Multiple Peak (Searching all peak points at one time)

  • Target (a point that has a target measurement value)

  • Target nearest to the marker position

  • Target on the left or right-hand side nearest to marker position

  • Multiple Target (Searching all target points at one time)

Setting Search Range

The Marker Search feature allows you to set part of the sweep range as the search target (Partial Search feature) as well as the entire search range. For the Partial Search feature, you can select whether to couple traces in the channel.

Procedure to Turn ON/OFF Trace Coupling within Search Range

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace for which you want to set the search range.

  2. Press Marker Search > Search Range.

  3. Click Couple to toggle ON/OFF trace coupling within the search range.

Procedure to Set Search Range

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace for which you want to set the search range.

  2. Press Marker Search > Search Range.

  3. Click Search Range to turn ON the Partial Search feature.

  4. Click Start, then enter the start value (lower limit) of the search range.

  5. Click Stop, then enter the stop value (upper limit) of the search range.

Setting Multiple Search Range

The Multiple Range feature allows you to set up to 16 search range in a channel. You can select more than one marker in a search range. You can select to couple the search range among the traces in the channel.

The Marker Statistics value is calculated by using the search range of the active marker. If no active marker is selected, by default the search range of marker 1 is used.

Procedure to Place Multiple Markers within a Search Range (in Multiple Search Range)

The below example shows how to place multiple markers within several search range on two traces. In this example, stimulus is set for two. Then, two multiple ranges are set and two markers are assigned to each search range as min and max. The effect of search range coupling and trace coupling on multiple range is also shown in this example.

Setting up traces and stimulus

  1. Display > Num of Traces > 2.

  2. Display > Allocate Traces > [image].

  3. Start > 2.0000 GHz.

  4. Stop > 8.0000 GHz.

  5. Scale > Autoscale All.

Turning ON and setting up multiple range

  1. Select Trace 1.

  2. Press Marker Search key.

  3. Click Search Range > Search Range > ON to turn ON the partial search feature.

  4. Click Multiple Range > Multiple Range > ON to turn ON the multiple search range feature.

  5. Click Target Range and select within 1 to 16 which represents the search range number. In this example, select 1 which represents Search Range 1.

  6. Click Start, then enter 3.0000 GHz, the start value (lower limit) of the search range.

  7. Click Stop, then enter 4.5000 GHz, the stop value (upper limit) of the search range.

  8. Similarly, click Target Range > 2.

  9. Start > 5.0000 GHz.

  10. Stop > 6.5000 GHz.

  11. The search range is set for both, Trace 1 and Trace 2. Note that the search range is not displayed as no Marker is assigned to these search range.

Assigning markers to search range

  1. Marker > Marker 1 to turn it ON.

  2. Marker Search > Search Range > Multiple Range > Target Range > 1 to activate search range 1.

  3. Similarly, turn ON Marker 2.

  4. Activate search range 1, by following Step 2.

  5. Note that now, search range 1 is displayed, and marker 1 and marker 2 are placed within search range 1.

Moving markers to min or max

  1. Marker > Marker 1 to activate it.

  2. Marker Search > Max. Marker 1 is placed at the maximum point within search range 1.

  3. Marker > Marker 2 to activate it.

  4. Marker Search > Min. Marker 2 is placed at the minimum point within search range 1.

Using search range coupling and marker coupling in multiple search range

  1. Select Trace 2.

  2. By default, search range coupling is turned ON. Marker Search > Search Range > Couple > OFF to turn OFF search range coupling.

  3. Marker > Marker 3 to activate it.

  4. Activate search range 2.

  5. Note that Trace 1 displays search range 1 while Trace 2 displays search range 2.

  6. Marker Search > Max. Marker 3 is now placed at the maximum point within search range 2. Marker 3 at Trace 1 is in parallel with Marker 3 at Trace 2. However, Trace 1 still displays search range 1 while Trace 2 displays search range 2.

  7. By default, marker coupling is turned ON. Marker Fctn > Couple > OFF to turn OFF marker coupling.

  8. Marker > Marker 4 to activate it. As marker coupling is turned OFF, marker 4 is activated for Trace 2 only. To learn more about marker coupling, refer to Setting up markers for each trace/Setting up markers for coupled operations between traces.

  9. Activate search range 2.

  10. Marker Search > Min. Marker 4 is now placed at the minimum point within search range 2. However, note that Marker 4 is not shown at Trace 1.

Procedure to Show Statistics Value of the Active Search Range

  1. Click Search Range > Multiple Range > Target Range.

  2. Select the search range number which you want its statistics value to be calculated and shown on the screen.

  3. Press Marker Fctn key.

  4. Click Statistics to turn ON the display of statistics data.

Automatically Executing a Search (Search Tracking)

Search tracking is a function that sets a search to be repeated every time a sweep is done even if the execution key for the search (maximum, minimum, peak, and target) is not pressed. This function facilitates observation of measurement results such as the maximum value of traces (e.g., the insertion loss of a band pass filter).

Performing Search Tracking

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace on which you want to set up the search tracking.

  2. Press Marker Search key.

  3. Click Tracking and turn the search tracking function ON/OFF.

Searching for Maximum and Minimum Values

You can search for the maximum or minimum measured value on the trace and move a marker to that point.

Search for maximum (Max) | Move active marker to point on the trace where measured value is the greatest
Search for minimum (Min) | Move active marker to point on the trace where measured value is the lowest

Procedure

  1. Activate the marker you are using to search for the maximum and minimum values.

  2. Press Marker Search key.

  3. Click the corresponding softkey to move the marker to the maximum or minimum measured value.

  • When the data format is in Smith chart or polar format, execute the search only for the main response value.

Searching for the peak

The peak search function enables you to move the marker to the peak on the trace.

Definition of the peak

A peak is a measurement point of which the value is greater or smaller than the adjoining measurement points on its right and left sides. Peaks are classified into the following two types depending on the differences in magnitude from the measurement points on either side of it.

Positive peak (Positive) | A peak of which the measured value is greater than the measurement points on either side of it (peak polarity: positive)
Negative peak (Negative) | A peak of which the measured value is smaller than the measurement points on either side of it (peak polarity: negative)

About Peak Excursion Value

The peak excursion value is smaller among the differences in the measured values from the adjoining peaks of the opposite polarity.

Executing a Peak Search

The following three methods are available for executing the peak search:

Peak search (Search Peak) | Moves the marker to the maximum peak when peak polarity is Positive or Both. Moves the marker to the minimum peak when peak polarity is Negative.
Left search (Search Left) | Executes the search from current marker position to the smaller stimulus values and moves the marker to first peak encountered.
Right search (Search Right) | Execute the search from current marker position to the larger stimulus values and moves the marker to first peak encountered.

Procedure

  1. Activate the marker you are using for the peak search.

  2. Press Marker Search key.

  3. Click Peak > Peak Excursion.

  4. Enter the lower limit for the peak excursion value. This sets the peak search to be executed based on the definitions of the newly set lower limit for the peak excursion value and the currently set peak polarity.

  5. Click Peak Polarity, then select a Peak Polarity.

  6. Select a peak polarity. This sets the peak search to be executed based on the definitions of the currently set lower limit for the peak excursion value and the newly set peak polarity.

  7. Click the corresponding softkey to move the marker to the peak.

  8. When the data format is in Smith chart or polar format, execute the search for the main response value of the two marker response values.

Searching all peaks at one time (Multiple Peak Search)

The multi-peak search function enables you to display markers on multiple peaks on traces. Depending on the number of detected peaks, markers 1 through 9 are displayed from the start frequency. The reference marker is not affected.

When the multiple peak search is executed, search and tracking settings for markers 1 through 9 are ignored and the settings for the multiple peak search are used.

Multi Peak and Multi Major Peak

When you execute the multi-peak for the trace with small ripples, some peaks may not be detected. In the following example, P2 is not detected due to the ripple of a and b, because a-P2 and b-P2 are smaller than the specified Peak Excursion. Multi Major Peak Search will detect the P2.

Procedure

  1. Press Marker Search > Multi Peak > Peak Excursion, then enter the lower limit for the peak excursion value.

  2. Click Peak Polarity, then select a Peak Polarity.

  3. Click Search Multi Peak or Search Multi Major Peak to show the markers on the multiple peaks.

  4. Changing the settings of peak excursion value or peak polarity executes new search for multiple peak.

  5. Press Marker > Clear Marker Menu > All OFF to clear all markers.

  6. Search Range is applied for multiple peak search, however Multiple Search Range is not applied.

  7. Search tracking is valid for multiple peak search.

Searching for the target value (target search)

The target search is a function that searches for a target that matches the pre-defined target value and transition type(s) (positive, negative, or both positive and negative) and then moves the marker to that target.

Target and Transition Types

A target is a point that has a specific measured value on the trace. Targets can be divided into the two groups shown below depending on their transition type.

Transition type: Positive (Positive) | When the value of the target is larger than the measured value that immediately precedes it (on the left side)
Transition type: Negative (Negative) | When the value of the target is smaller than the measured value that immediately precedes it (on the left side)

Executing a Target Search

The following three methods are available for executing the target search:

Target search (Search Peak) | The marker moves to the peak with maximum response value if the peak polarity is Positive or Both or to the peak with minimum response value if the peak polarity is Negative.
Search left (Search Left) | Executes the search from the current marker position to the smaller stimulus values and moves the marker to first encountered target.
Search right (Search Right) | Executes the search from the current marker position to the larger stimulus values and moves the marker to first encountered target.

Procedure

  1. Activate the marker you are using for the target search.

  2. Press Marker Search key.

  3. Click Target > Target Value

  4. Enter the target value in the entry area that appears. This causes the target search to be executed based on the definitions of the newly set target value and the currently set transition type.

  5. Click Target Transition.

  6. Select a transition type. This sets the target search to be executed based on the definitions of the currently set target value and the newly set transition type.

  7. Press the corresponding softkey to move the marker to the target.

  • When the data format is in Smith chart or polar format, execute the search for the main response value of the two marker response values.

Searching all target points at one time (Multiple Target Search)

The multi-target search is a function that searches for targets that match to pre-defined target value and transition type(s) (positive, negative, or both of positive and negative) and displays markers on the targets being searched.

Depending on the number of detected targets, markers 1 through 9 are displayed from the start frequency. The reference marker is not affected.

When the multi-target search is executed, search and tracking settings for markers 1 through 9 are ignored and the settings for the multi-target search are used.

Procedure

  1. Press Marker Search > Multi Target > Target Value, then enter the target value.

  2. Click Target Transition, then select a transition type.

  3. Click Search Multi Target to show the markers on the multiple target.

  4. Changing the settings of target value or transition type executes new search for multiple target.

  5. Press Marker > Clear Marker Menu > All OFF to clear all markers.

  6. Search Range is applied for multiple target search, however Multiple Search Range is not applied.

  7. Search tracking is valid for multiple peak search.


Determining the Bandwidth of the Trace (Bandwidth Search)

  • Overview

  • Executing a Bandwidth Search

Other topics about Data Analysis

Overview

The bandwidth search is a function for determining the bandwidth of the trace, center frequency, cut-off points (on the higher frequency and the lower frequency sides), Q, and insertion loss based on the position of the active marker. The definitions of the parameters determined through the bandwidth search are shown below.

Bandwidth Parameter | Definition
Insertion loss (loss) | The measured value of the position of the active marker at the time the bandwidth search is executed.
Lower frequency cut-off point (low) | Lowest frequency within two measurement points, both separated by the defined bandwidth value from the active marker position.
Higher frequency cut-off point (high) | Highest frequency within two measurement points, both separated by the defined bandwidth value from the active marker position.
Center frequency (cent) | Frequency at the midpoint between the lower frequency cut-off and higher frequency cut-off points. (high+low)/2
Bandwidth (BW) | The difference in frequency between the higher frequency cut-off and lower frequency cut-off points. (high-low)
Q | Value obtained by dividing the center frequency by the bandwidth.(cent/BW)

Executing a Bandwidth Search

  1. Place the active marker at the desired point on the trace on which the bandwidth search is executed. The response value of this active marker itself is the insertion loss in the bandwidth search (loss).

  2. Press Marker Search > Bandwidth Value.

  3. Enter the defined bandwidth value in the entry area that appears.

  4. Click Bandwidth to turn ON the bandwidth search. In the upper left of the trace display, six bandwidth parameters are displayed.

Bandwidth search results


Determining the Bandwidth of the Trace (Notch Search)

  • Overview

  • Executing a Notch Search

Other topics about Data Analysis

Overview

The notch search function is used to obtain the bandwidth, center frequency, cutoff points (high-frequency side and low-frequency side), Q, and insertion loss of a trace based on the active marker position. The notch search function starts from the left side of the active marker position, and ends when the points meet the conditions.

The figure and table below shows the definition of parameters obtained by notch search function. The notch value in figure below must be specified by the user.

Bandwidth Parameters

Definition of bandwidth parameters

Bandwidth parameter name | Definition
Insertion loss (loss) | Measurement value at the active marker position when the notch search is executed.
Lower cutoff point (low) | Lower frequency of the 2 points on both sides that have the measurement value apart from the active marker position by the notch value.
Higher cutoff point (high) | Higher frequency of the 2 points on both sides that have the measurement value apart from the active marker position by the notch value.
Center frequency (cent) | Frequency of the middle point between the lower cutoff point and the higher cutoff point (high + low)/2.
Bandwidth (BW) | Frequency difference between the higher cutoff point and the lower cutoff point ( high – low ).
Q | Value obtained by dividing the center frequency by the bandwidth (cent/BW).

Executing a Notch Search

  1. Place the active marker on the desired point on the trace on which the notch search is executed. The response value of this active marker itself is the insertion loss in the notch search (loss).

  2. Press Marker Search > Notch Value and enter the notch value in the entry area that appears.

  3. Press Notch to turn ON the notch search. In the upper left of the trace display, six bandwidth parameters are displayed (see the figure below).

  4. For more information on displaying the notch search result, see Notch Search


Determining the Mean, Standard Deviation, and p-p of the Trace

  • Overview

  • Displaying Statistical Data

Other topics about Data Analysis

Overview

You can easily determine the statistics data for a trace (mean, standard deviation, and peak-to-peak). The definitions for the statistics data elements are shown below. It is calculated within the marker search range.

Statistics data element | Definition
Mean (mean) | (n: number of points between markers 1 and 2; xi: measured value at the i-th measurement point between markers 1 and 2.)
Standard deviation (s. dev) | (n: number of points between markers 1 and 2; xi: measured value at the i-th measurement point between markers 1 and 2.; mean: Mean)
Peak-to-peak (p - p) | Max - Min (Max: greatest measured value between markers 1 and 2.; Min: smallest measured value between markers 1 and 2.)

  • The search range does not affect this result.

Displaying Statistical Data

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace of which the statistical data is required.

  2. Press Marker Fctn > Statistics to turn ON the display of statistics data.

  3. The markers 1 and 2 are activated automatically. Move markers 1 and 2 to the position of the measurement.


Comparing Traces/Performing Data Math

  • Overview

  • Performing Data Math Operations

Other topics about Data Analysis

Overview

Each of the traces for which measured data is displayed is provided with an additional trace, called a memory trace, that temporarily stores measured data. You can use the memory trace to compare traces on the screen or to perform complex data math between the memory trace and measured data.

The following data math operations are available:

Value | Description
Data / Memory | Divides the measured data by the data in the memory trace. This function can be used to evaluate the ratio of two traces (e.g., evaluating gain or attenuation).
Data * Memory | Multiplies the measured data by a memory trace.
Data - Memory | Subtracts a memory trace from the measured data. This function can be used, for example, to subtract a vector error that has been measured and stored (e.g., directivity) from data subsequently measured on a device.
Data + Memory | Adds the measured data and the data in the memory trace.

Performing Data Math Operations

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace to be stored in memory.

  2. Press Display > Data -> Mem to store the measured data in memory.

  3. Press Data Math.

  4. Select the data math operation to perform.

    Softkey

    Function

    OFF

    Turns off data math functions (Do not perform data math)

    Data / Mem

    Divides measured data by memory trace and stores result in data trace

    Data * Mem

    Multiplies data trace by memory trace and stores result in data trace

    Data - Mem

    Subtracts memory trace from data trace and stores result in data trace

    Data + Mem

    Adds data trace and memory trace and stores result in data trace

  5. Press Display.

  6. Select the type of data to display ON the screen.

    Softkey

    Function

    Data

    Displays only data trace on the screen

    Mem

    Displays only memory trace stored by Data -> Mem operation on the screen

    Data & Mem

    Displays data trace and memory trace on the screen. You can now easily compare the data trace and memory trace on the screen.

    Off

    Trace is not displayed

  7. Send the trigger to make measurements.


Performing Parameter Conversion of Measurement Results

  • Overview

  • Turning Conversion ON

  • Selecting Conversion Target Parameter

Other topics about Data Analysis

Overview

You can use the parameter conversion function to convert the measurement results of the S-parameter (Sab) to the following parameters.

  • Equivalent impedance (Zr) and equivalent admittance (Yr) in reflection measurement

  • Equivalent impedance (Zt) and equivalent admittance (Yt) in transmission measurement

  • Inverse S-parameter (1/Sab)

where:

Z0a: Characteristic impedance of port a

Z0b: Characteristic impedance of port b

  • Z/Y Transmission Shunt

  • Conjugation

    Conjugation converts the measurement value to complex conjugate number.

When the fixture simulator function is ON and the port impedance function is ON, the value set in the port impedance conversion is used. In other cases, the system Z0 (preset value: 50 Ω) is used.

Turning Conversion ON

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate a trace of which you want to use the marker.

  2. Press Analysis > Conversion.

  3. Click Conversion to turn ON the conversion function.

Selecting Conversion Target Parameter

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate a trace of which you want to use the marker.

  2. Press Analysis > Conversion > Function.

  3. Select the parameter to which you want to convert the result.

    Softkey

    Function

    Z:Reflection

    Impedance (Zr) in reflection measurement

    Z:Transmission

    Impedance (Zt) in transmission measurement

    Z:Trans-Shunt

    Impedance (Zt) Transmission Shunt

    Y:Reflection

    Admittance (Yr) in reflection measurement

    Y:Transmission

    Admittance (Yt) in transmission measurement

    Y:Trans-Shunt

    Admittance (Yt) Transmission Shunt

    1/S

    Inverse S-paramete

    Conjugation

    Complex conjugate number

When the conversion function is ON, the selected parameter is displayed in Trace Status Area.


Using Limit Test

  • Overview

  • Concept of Limit Test

  • Displaying Judgement Result of Limit Test

  • Defining Limit Line

  • Adding Offset to Limit Line

  • Initializing the Limit Table

Other topics about Data Analysis

Overview

The limit test feature allows you to set the limit line for each trace and then perform the pass/fail judgment for the measurement result.

Concept of Limit Test

The limit test is a function to perform pass/fail judgment based on the limit line you set with the limit table.

In the limit test, if the upper limit or lower limit indicated by the limit line is not exceeded, the judgment result is pass; if it is exceeds, the judgment result is fail for all measurement points on the trace. Measurement points in a stimulus range with no limit line are judged as pass.

  • The targets of the pass/fail judgment are measurement points only. Parts interpolated between the measurement points are not judged.

You define the limit line by specifying the stimulus value (Begin Stimulus) and response value (Begin Response) of the begin point, the stimulus value (End Stimulus) and response value (End Response) of the end point, and the type (lower limit/upper limit). For more information, refer to Defining the limit line.

When the limit test is ON, measurement points that fail are displayed in red on the screen and the trace's pass/fail judgment result based on the results of individual measurement points (fail if one or more measurement points on the trace fail) is also displayed. You can check the pass/fail judgment result for the channel (fail if one or more traces fail in any of the limit test, the ripple test or the bandwidth test within the channel) on the screen as well. For more information, refer to Displaying judgment result of limit test.

In addition to viewing the screen, you can check the judgment result of the limit test with the following methods.

  • Beep that occurs when the judgment result fails.

  • Using the status register.

Displaying Judgment Result of Limit Test

Judgment result of measurement points and trace

Measurement points that fail are displayed in red on the screen. The judgment result of the trace is indicated by Pass or Fail displayed in the upper right section of the graph.

Judgment result of channels

If a channel has a judgment result of fail, the message below appears on the screen (it will be judged as fail if one or more unsatisfactory trace exist in any of the limit test, the ripple test or the bandwidth test within the channel.)

Follow these steps to turn ON/OFF the display of the channel fail message.

  1. Press Analysis > Limit Test.

  2. Click Fail Sign. Each press toggles between ON/OFF.

Defining Limit Line

To use the limit test, you must first define the limit line. You can define a limit table for each trace, and you can define up to 100 limit lines (segments) in a limit table.

Defining a segment

The following steps describe how to define a segment.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace on which the limit test function is used.

  2. Press Analysis > Limit Test.

  3. Click Edit Limit Line to display the limit table.

  4. Using the limit table, create/edit a segment. Initially, no segments are entered in the limit table. At the same time, the Edit Limit Line menu used to create/edit the limit table is displayed.

  5. Click Add to add a segment to the limit table and then specify the segment parameter values shown below.

    Segment Parameter

    Description

    Type

    Select the type of segment from the following:

    OFF

    Segment not used for the limit test

    MIN

    Segment at which the minimum is specified

    MAX

    Segment at which the maximum is specified

    Begin Stimulus

    Specify starting point for stimulus value on the limit line

    End Stimulus

    Specify ending point for stimulus value on the limit line

    Begin Response

    Specify starting point for response value on the limit line

    End Response

    Specify ending point for response value on the limit line

  • The range in which stimulus values can be specified is from -500 G to +500 G. When a value outside the range is entered, a suitable value within the range is specified. Once the stimulus value is specified, changing the sweep range of the E5063A does not affect the stimulus value.

  • The range in which response values can be specified is from -500 M to +500 M. When a value outside this range is entered, a suitable value within the range is specified. After the response value is specified, changing formats results in changing the units but not the value.

  • You can define a limit line that is able to freely overlap the stimulus range of another limit line.

    Defining one limit line that has the same type as a second limit line whose stimulus range overlaps with the first one results in two or more limit values at the same measurement point. In this case, the limit value to be used in the limit test is defined as follows:

    • When two or more limit values of which the type is set to maximum (MAX) exist, the smallest one is used as the maximum.

    • When two or more limit values of which the type is set to minimum (MIN) exist, the largest one is used as the minimum.

  • Even if the span of the sweep range on the E5063A is set to 0, enter the two parameters of Begin Stimulus and End Stimulus.

  • When two or more response values are returned as a result of using the Smith or polar chart format, the first response value of the marker provides the object of the limit test.

Saving/calling the limit table

You can save the limit table to a file that you can then freely bring up on the screen later and use. You can import a file saved in CSV format (extension: *.csv) into spreadsheet software on a PC for later use (a numerical value is saved as strings that includes its unit).

  1. Display the limit table.

  2. In the Edit Limit Line menu, press Export to CSV File to open the Save As dialog box. In this step, CSV (extension: *.csv) is selected as the file type.

  3. Specify the folder in which to save the file and enter the file name. Press Save to save the limit table displayed on the screen to the file.

  4. Conversely, to recall a saved limit table, press Import from CSV File in the Edit Limit Line menu to display the Open dialog box. In this step, CSV (extension: *.csv) is selected as the file type.

  5. After specifying the folder containing the file, select the file. Press Open to display the limit table on the screen.

  6. The limit table can be called from any trace of any channel, regardless of the channel or trace.

Limit Table Saved in CSV Format

The limit table is saved in the following format.

  • On the first line, the channel number of the active channel that is valid when the saved file is the output.

  • On the second line, the trace number of the active trace that is valid when the saved file is the output.

  • The third line provides the header showing the items for the segments to be output on the fourth and later lines.

  • Data on segments are output on the fourth and later lines.

"# Channel 1"

"# Trace 1"

Type, Begin Stimulus, End Stimulus, Begin Response, End Response

MAX, 200.0000000 MHz, 400.0000000 MHz, -100 dB, -100 dB

MAX, 490.0000000 MHz, 510.0000000 MHz, -10 dB, -10 dB

MIN, 490.0000000 MHz, 510.0000000 MHz, -20 dB, -20 dB

MIN, 600.0000000 MHz, 800.0000000 MHz, -100 dB, -100 dB

Turning the limit test ON/OFF

You can set the limit test ON/OFF for each trace individually.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace on which the limit test function is used.

  2. Press Analysis > Limit Test to display the Limit Test menu.

  3. Press Limit Test to set the limit test ON/OFF.

  4. Press Limit Line to set the limit line display ON/OFF.

Adding Offset to Limit Line

By adding a certain offset to the limit value, you can adjust the limit line so that it conforms to the device output.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the channel/trace on which the limit test function is used.

  2. Press Analysis > Limit Test to display the softkeys for the limit test.

  3. Click Limit Line Offsets to display the limit line offset function menu.

    Softkey

    Function

    Stimulus Offset

    Adds a certain offset to the stimulus value of the entire segment in the limit table. (Stimulus offset)

    Amplitude Offset

    Adds a certain offset to the response value of the entire segment in the limit table. (Amplitude offset)

    Marker -> Amp. Ofs.

    Adds the amplitude offset by the same amount as the retrieved value of the active marker. You can confirm the current value set for the amplitude offset by pressing Amplitude Offset. (Marker amplitude offset)

Stimulus offset

Amplitude offset

Initializing the Limit Table

The following operations initialize the limit table.

  • At power-on

  • When presetting

  • When calling a limit table with zero segments

  • When Clear Limit Table > OK is pressed in the Edit Limit Line menu


Using Bandwidth Test

  • Overview

  • Displaying Bandwidth Test Results

  • Bandwidth Test Setup

  • Turning Bandwidth Test and Displaying Results ON/OFF

Other topics about Data Analysis

Overview

The bandwidth test function can be used to test bandwidth for the band-pass filters.

The bandwidth test find the peak of a signal in the passband and locates a point on each side of the passband at an amplitude below the peak specified in test setup. The frequency between these two points is the bandwidth of the filter. Then the obtained bandwidth is compared to minimum and maximum allowable bandwidth that you specify beforehand.

Displaying Bandwidth Test Results

Test Result for Trace

The test result of the trace is indicated in the upper-right section of the graph for each trace, following BWn:. "n" denotes the trace number. The results are shown as Pass, Wide, Narrow, or >Span (Fail). You can also choose to display the bandwidth value.

For information on how to display the results, see Turning On/Off Bandwidth Test and Displaying Results.

Test Results for Channel

If any channel is unsatisfactory, a message is displayed as shown in Judgment result of channels. (It is judged as failed if one or more failed traces are found for the limit test, ripple test, or bandwidth test within the channel.)

You can also specify this ON/OFF setting from the Fail Sign, which is provided in the limit test menu and ripple test menu. From the bandwidth test menu, follow the steps below to turn it ON/OFF.

  1. Press Analysis key.

  2. Click Bandwidth Limit.

  3. Click Fail Sign. This menu toggles between ON and OFF.

In addition to the screen, the following features also let you confirm the test results:

  • Beep notifying that the result is unsatisfactory

  • Status register

Bandwidth Test Setup

You must set up the bandwidth threshold and the upper and lower limits before you can use the bandwidth test function. You can specify the threshold, upper limit, and lower limit for each trace.

Follow the steps below to set up the bandwidth test.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace for which you want to apply the bandwidth test function.

  2. Press Analysis key to display the Analysis menu.

  3. Click Bandwidth Limit > N dB Points to specify the bandwidth threshold. The unit is dB.

  4. Press Min Bandwidth to enter the lower limit for the bandwidth. Similarly, press Max Bandwidth to enter the upper limit for the bandwidth. The unit is Hz for both Min and Max bandwidths.

  5. If the data format is Smith chart or polar, the limit test is performed for the main response value among the two marker response values.

Turning Bandwidth Test and Displaying Results ON/OFF

You can configure the ON/OFF setting of the bandwidth test function for each trace independently.

Follow the steps below to configure the ON/OFF setting of the bandwidth test.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to activate the trace of which you want to apply the bandwidth test function.

  2. Press Analysis key to display the Analysis menu.

  3. Click Bandwidth Limit > BW Test to turn ON the bandwidth test.

  4. Click BW Marker to turn ON so that the bandwidth marker is displayed on the screen.

  5. Click BW Display to turn ON so that the bandwidth value is displayed.


Using Ripple Test

  • Overview

  • Concept of Ripple Test

  • Displaying Ripple Test Results

  • Configuring Ripple Limit

  • Saving/Recalling Ripple Limit Table

  • Turning ON/OFF Ripple Test and Result Display

  • Initializing Limit Table

Other topics about Data Analysis

Overview

Independent of the limit test, you can evaluate the measurement results on a pass/fail basis by setting a limit for the ripple. This function is called the ripple test.

Concept of Ripple Test

The ripple test is a function for evaluating the results on a pass/fail basis based on the ripple limit, which is set using the ripple limit table. You can specify up to 12 frequency bands, which permits a test for each frequency band.

The ripple test judges the measurement as "Pass" when the ripple value specified with the ripple limit does not exceed any of the measurement points on the trace; otherwise, it judges the measurement as "Fail." For the measurement points in a stimulus range without a specified ripple limit, the test judges the measurement as "Pass."

  • The measurement point alone is the target of evaluation for pass/fail. The interpolated part between measurement points is not evaluated.

The ripple limit is defined with the start point stimulus value, end point stimulus value, ripple limit value, and type (ON/OFF). For detailed information, see Configuring ripple limit.

While the ripple test function is turned ON, the measurement points corresponding to a "fail" judgment is indicated in red on the screen, and the trace's test results based on the results of each measurement point is displayed (judged as "fail" if one or more red measurement point exist on the trace). For information on how to display the results, see Turning ON/OFF ripple test and displaying results. You can also confirm the channel test results on the screen (judged as "fail" if one or more failed traces appear in the limit test, ripple test, or bandwidth test within the channel).

Displaying Ripple Test Results

Measurement point and test results

Failed measurement points is displayed in red on the screen. The test result for the trace is indicated as Pass or Fail in the upper-right section of the graph. You can also display the ripple value at the selected frequency band.

The result is displayed as Ripln:Pass (or Fail) for each trace. n denotes the trace number. Bn is followed by the ripple value (if the ripple display is turned OFF, only Bn is displayed without the ripple value).

For example, in the following figure, Ripl1:Pass in the first line indicates the result for trace 1. The value following B1 is the ripple value at the first frequency band specified in the ripple test. Similarly, the second line indicates the test result for trace 2, showing the ripple value at the first frequency band.

For information on how to display the results, see Turning ON/OFF ripple test and displaying results.

Test result for channel

If a channel has a judgment result of "fail", the message is displayed as shown in Test Result for Trace. (It is judged as failed if one or more failed traces are found in the limit test, ripple test, or bandwidth test within the channel.)

You can also specify the ON/OFF setting for the Fail Sign in the limit test menu and as well as in the bandwidth test menu. From the ripple test menu, follow the steps below to turn it ON/OFF.

  1. Press Analysis > Ripple Limit.

  2. Click Fail Sign. This menu toggles between ON and OFF.

In addition to the screen, the following features also let you confirm the test results:

  • Beep notifying that the result is "fail"

  • Status register

Configuring Ripple Limit

You must configure the ripple limit before you can use the ripple test function. You can specify a ripple limit table for each trace, where up to 12 ripple limit bands (frequency bands) can be configured.

Operational procedure

Follow the steps below to configure the ripple limits.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace on which you want to apply the ripple test function.

  2. Press Analysis > Ripple Limit.

  3. Click Edit Ripple Limit to display the ripple limit table shown below.

  4. Click Add to add a frequency band to the ripple limit table and then specify the parameters for the frequency band. Note that no frequency band is provided in the ripple limit table by default.
    Click Delete to delete the selected frequency band and Clear Ripple Limit Table to clear the table setting.

    Parameter

    Description

    Type

    Selects a frequency type.

    ON: Band used for the ripple test.
    OFF: Band not used for the ripple test.

    Begin Stimulus

    Specifies the start point for the stimulus value in the ripple test.

    End Stimulus

    Specifies the end point for the stimulus value in the ripple test.

    Max Ripple

    Specifies the ripple limit value.

  • Acceptable range for the stimulus value: -500G to +500G. If any outranging value is specified, it is reset to fall within the range.

  • Even if the E5063A's sweep range is changed after the stimulus value has been set, the stimulus value is not susceptible.

Example of ripple limit configuration

  • The individual frequency bands for the ripple test can overlap each other; in this case, the ripple limit test is performed for each frequency band.

  • Even if the E5063A's span value is set to zero, you must enter a parameter for both Begin Stimulus and End Stimulus.

  • If the data format is Smith chart or polar, the limit test is performed for the main response value among the two marker response values.

Saving/Recalling Ripple Limit Table

The ripple limit table can be saved in a file and recalled later for use on the screen. The file is saved in the csv format (with the extension *.csv), and values are saved as a character string with the unit. The csv formatted file can also be reused in spreadsheet software made for PCs.

Follow the steps below to save/recall the ripple limit table. This operation should be done by using the external keyboard and/or mouse.

  1. Display the ripple limit table.

  2. Click Export to CSV File from the Edit Ripple Limit menu to open the dialog box. At this time, CSV file (with the extension *.csv) is selected as the file type.

  3. Specify any folder in which you want to save the file, and enter the file name. Click Save to save the ripple limit table displayed on the screen to a file.

  4. To recall the saved ripple limit table, click Import from CSV File from the Edit RippleLimit menu to display the Open dialog box. At this time, CSV file (with the extension *.csv) is selected as the file type.

  5. Specify the folder that contains the file, and then select the file. Click Open to recall the saved limit table on the screen.

  6. You can recall a limit table from a trace on any channel independently of the channel and trace that are active when the limit table is saved to the file.

The ripple limit table is saved in the following format:

  • In the first line, the channel number for the active channel at the time of file saving will be output.

  • In the second line, the trace number for the active trace at the time of file saving will be output.

  • The third line is a header indicating the segment items that are output from the fourth line onwards.

  • From the fourth line onwards, the segment data are output.

Operational procedure

"# Channel 1"

"# Trace 1"

Type, Begin Stimulus, End Stimulus, MaxRipple

ON, 933.0000000 MHz, 964.0000000 MHz, 1.5 dB

ON, 938.0000000 MHz, 953.0000000 MHz, 500 mdB

ON, 953.0000000 MHz, 960.0000000 MHz, 300 mdB

Turning ON/OFF Ripple Test and Result Display

You can set the limit test ON/OFF for each trace individually.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace Prev) to select the trace on which you want to apply the ripple test function.

  2. Press Analysis > Ripple Limit.

  3. Press Ripple Limit Test to set the ripple test ON.

  4. Press Ripple Limit to display the ripple limit line.

  5. Press Ripple Value to shows how the ripple values are displayed, then select Absolute (difference between maximum and minimum values within the band), Margin (difference between absolute value of ripple and ripple limit), or OFF.

  6. Press Ripple Value Band to select the band for which you want to display the ripple value.

Initializing Limit Table

The following operations initialize the limit table.

  • At power-on

  • When presetting

  • When calling a Ripple table with zero segments

  • When Clear Ripple Limit Table > OK is clicked in the Edit Ripple Limit menu


Using Point Limit

  • Overview

  • Turning ON/OFF Point Limit

  • Importing/Exporting Point Limit Data File

Other topics about Data Analysis

Overview

The point limit function allows you to define the upper and lower limits at a certain frequency point. Limits are defined in segments, where each segment is a portion of the stimulus span. Each limit segment has an upper and a lower starting limit value.

This function compares the measured data with the defined limits, and provides pass or fail information for each measured data point.

Turning ON/OFF Point Limit

Follow the steps below to set the point limit segment and turn it ON/OFF:

  1. Press Analysis > Point Limit > Edit Point Limit.

  2. At the entry table at the bottom of the screen, enter the stimulus, lower limit and upper limit value of the desired segment.

  3. Click Type ON/OFF to toggle between turning ON and OFF the segment.

To enter a new segment:

  1. Click Edit Point Limit > Add.

  2. A new row is added to the entry table with information identical to the previous row.

  3. Change the stimulus, lower limit, upper limit value and type of the desired segment.

To delete a segment:

  1. Click or highlight the segment to be deleted.

  2. Click Edit Point Limit > Delete.

To delete all the point limit segments:

  1. Click Edit Point Limit > Clear Point Limit Table > OK.

  2. A new row is added to the entry table with information identical to the previous row.

The point limit and limit test can be used simultaneously or independently. If the Point Limit is turned ON and the Point Limit Test is turned OFF, the point limit segments (segments with TYPE set to ON) are displayed on the screen for visual comparison and adjustment of the measurement trace. However, no pass or fail status is provided. If the Point Limit is turned OFF and Point Limit Test is turned ON, the specified limits are still valid and the pass or fail status is indicated even though the point limit lines are not displayed on the screen. If both Point Limit and Point Limit Test are turned ON, the point limit segments (segments with TYPE set to ON) and the pass or fail status are displayed on the screen.

When the Point Limit > Fail Sign is set to ON, a fail sign is displayed at the centre of the screen if the measurement data point is out of the specified segment range and the test has failed.

  • If the stimulus of the point limit test is not the same as the measurement points, the closest measurement point is used for judgement. In such cases, interpolation between the measurement points is not applied. However, if the stimulus of the point limit test is the center of the two measurement points, the measurement point on the right side is used for judgement.
  • If the stimulus of the point limit test is out of the measurement span, it will not be considered.

Importing/Exporting Point Limit Data File

The test point limit data can be saved in *.csv format and recalled as well.

To export the test point limit data:

  1. Click Edit Point Limit > Export to CSV File...

  2. Default file name is LimitXX.csv.

  3. Click Save to save the file at your preferred location.

To import the test point limit data:

  1. Click Edit Point Limit > Import from CSV File...

  2. Select the desired data file.

  3. Click Open to open and load the data file.


Equation Editor

Using Equation Editor

  • Overview

  • Using Equation Editor

  • Equation Editor Examples

  • Equation History

  • Functions and Constants

  • Converting S Parameters to H, Y, Z, F & T Parameters

  • Operators used in Equation Editor

Other topics about Data Analysis

Overview

Equation Editor allows you to enter an algebraic equation of standard mathematical operators and functions, referencing data that is available in the E5063A. Once a valid equation is entered and enabled, the display of the active trace is replaced with the results of the equation, and updated in real-time as new data is acquired. For equations that can be expressed with Equation Editor's supported functions, operators, and data, there is no need for off-line processing in a separate program.

For example, on entering the equation "Example=S21/(1-S11)" in the E5063A Equation Editor (4 in the Figure below), the resulting trace is computed as each S21 data point divided by one minus the corresponding S11 data point. For a 201 point sweep setup, the computation is repeated 201 times, once for each point.

Using Equation Editor

The step-by-step procedure of using Equation Editor is described below:

    • The parameter of Z is available in Ch Param Data.

Equation Editor Dialog box

  1. Select a trace in which you want to enter the equation and activate the trace.

  2. Activating a trace is required as Equation Editor works on traces.

  3. Follow the steps below to enter an equation:

    1. Press Display.

    2. Click Equation Editor (1 in the figure above). The Equation Editor dialog box appears.

    3. Enter an equation in the equation field (4 in the figure above).

  4. Referring to traces in a different channel is NOT available with Equation Editor on the ENA.

  5. The equation can be entered with the software keyboard enabled by selecting Keyboard... (3 and 3a in the figure above).

  4. Follow the steps below to apply the defined equation. When a valid equation is entered, the Equation Enabled check box becomes available for checking.

    1. Check Equation Enabled check box (2a in the figure above).

    2. Click Apply. The equation becomes visible and annotation of [Equ] (2b in the figure above) is displayed in the trace title area.

    3. Click Close to hide the dialog box.

    4. The equation can also be applied by selecting Display > Equation ON.

    5. If error correction is not turned ON, then the raw, uncorrected data is used in the equation trace.

    6. If an equation is NOT valid (i.e. referring to a trace that is not measured in the measured channel), annotation of [Equ!] is displayed in the trace title area instead.

Equation Editor Examples

The following examples may help you in getting started with Equation Editor. Input the equation example in the equation field (4 in Equation Editor dialog box).

Description | Equation Example
Offset each data point in trace 2 from trace 1 by XdB | Offset= data(1)*pow(10,X/20)
Multiplying by X-times in log format | XTimes= pow(data,X)
Differential Return Loss | Sdd11= (S11-S21-S12+S22)/2)
CMRR of a Balanced Component | CMRR = data(2) / data (1) where: data (1) - a trace that measures Scc21 with Fixture Simulator data (2) - a trace that measures Sdd21 with Fixture Simulator

Equation History

Equation Editor has the capability to save and recall all previously defined equations. All equations can be viewed in the Equation History dialog box.

To view the equations in the list, follow this procedure:

  1. Open Equation Editor by Display > Equation Editor

  2. Enter an equation and click Apply in the Equation Editor dialog box to save the defined equation in the directory of the E5063A. To view a list of saved equations, click the ... button (5 in Equation Editor Dialog box) to open the Equation History dialog box.

  3. To store an equation in the History List, the equation must be applied first. This can be done by clicking on the Apply button.

  4. To edit the equations in the list, click Edit History. The text file of history list is opened with Notepad.

  5. The History List is stored as a text file D:\Agilent\Equation\history.txt and can save a maximum of 50 lines (equations) with a maximum of 254 character per line (equation).

Functions and Constants

The following table describes the different functions and constant available in the E5063A Equation Editor. In the following table:

  • Function(scalar x) means that the function requires a scalar value. If a complex value is entered, it is automatically converted to a scalar value; complex(x,y) -> scalar(x)

  • Function(complex x) means that the function requires a complex value. If a scalar value is entered, it is automatically converted to a complex value; scalar(x) -> complex(x, 0)

  • a,b are arguments that are used in the function.

Basic Math Functions

Function

Description

abs(complex a)

returns the sqrt(a.re2+a.im2)

acos(scalar a)

returns the arc cosine of a in radians

asin(scalar a)

returns the arc sine of a in radians

atan(scalar a)

returns the arc tangent of a in radians

atan2(complex a)

returns the phase of a = (re, im) in radians

atan2(scalar a, scalar b)

returns the phase of (a, b) in radians

conj(complex a)

returns the conjugate of a

cos(complex a)

takes a in radians and returns the cosine

cpx(scalar a, scalar b)

returns a complex value (a+ib) from two scalar values

exp(complex a)

returns the exponential of a

im(complex a)

returns the imaginary part of a as the scalar part of the result (zeroes the imaginary part)

ln(complex a)

returns the natural logarithm of a

log10(complex a)

returns the base 10 logarithm of a

mag(complex a)

returns sqrt(a.re2+a.im2)

phase(complex a)

returns atan2(a) in degrees

pow(complex a,complex b)

returns a to the power b

re(complex a)

returns the scalar part of a (zeroes the imaginary part)

sin(complex a)

takes a in radians and returns the sine

sgn(complex a)

returns

  • a/abs(a): a<>0
  • 0: a=0

sqrt(complex a)

returns the square root of a, with phase angle in the half-open interval (-π/2, π/2)

tan(complex a)

takes a in radians and returns the tangent

Constants

e

2.71828182845904523536

PI

3.14159265358979323846

  • Mutual transformation is automatically made for scalar and complex.

    scalar(x) -> complex(x, 0)
    complex(x, y) -> scalar(x)

Advanced Math Functions

In the following table: a,b,c,d are arguments of complex value that are used in the function. For 2-port network measurement: a,b,c,d correspond to Sii,Sji, Sij, Sjj respectively.

  • The functions can also be defined by scalar arguments with port numbers of the E5063A. For example, the function, kfac(1,2) returns the K-factor of 2-port measurement between port 1 and port 2.

Z0 refers ti the system characteristic impedance which can be accessed under Cal.

Function | Description
A(complex a, complex b, complex c, complex d) | F11 conversion = ((1+a)×(1-d) + b×c)/(2×b)
A(scalar i, scalar j) | returns A(Sii, Sji, Sij, Sjj)
B(complex a, complex b, complex c, complex d) | F12 conversion = Z0 × ((1+a)×(1+d) - b×c)/(2×b)
B(scalar i, scalar j) | returns B(Sii, Sji, Sij, Sjj)
C(complex a, complex b, complex c, complex d) | F21 conversion = (1/Z0)×((1-a)×(1-d) - b×c)/(2×b)
C(scalar i, scalar j) | returns C(Sii, Sji, Sij, Sjj)
D(complex a, complex b, complex c, complex d) | F22 conversion = ((1-a)×(1+d) + b×c)/(2×b)
D(scalar i, scalar j) | returns D(Sii, Sji, Sij, Sjj)
H11(complex a, complex b, complex c, complex d) | H11 conversion = Z0×((1+a)×(1+d) - b×c)/((1-a)×(1+d) + b*c)
H11(scalar i, scalar j) | returns H11(Sii, Sji, Sij, Sjj)
H12(complex a, complex b, complex c, complex d) | H12 conversion = 2×c/((1-a)×(1+d) + b×c)
H12(scalar i, scalar j) | returns H12(Sii, Sji, Sij, Sjj)
H21(complex a, complex b, complex c, complex d) | H21 conversion = -2×b/((1-a)×(1+d) + b×c)
H21(scalar i, scalar j) | returns H21(Sii, Sji, Sij, Sjj)
H22(complex a, complex b, complex c, complex d) | H22 conversion = (1/Z0)×((1-a)×(1-d) - b×c)/((1-a)×(1+d) + b×c)
H22(scalar i, scalar j) | returns H22(Sii, Sji, Sij, Sjj)
kfac(complex a, complex b, complex c, complex d) | k-factor = (1 - abs(a)2 - abs(d)2 + (abs(a×d - b×c)2)/(2×abs(b×c))
kfac(scalar i, scalar j) | returns kfac(Sii, Sji, Sij, Sjj)
MAPG(complex a, complex b, complex c, complex d) | maximum available power gain = abs(b/c)×(kfac(a,b,c,d) - sqrt(kfac(a,b,c,d)2 - 1))
MAPG(scalar i, scalar j) | returns MAPG(Sii, Sji, Sij, Sjj)
MSG(complex a, complex b, complex c, complex d) | maximum stable power gain = abs(b)/abs(c)
MSG(scalar i, scalar j) | returns MSG(Sii, Sji, Sij, Sjj)
mu1(complex a, complex b, complex c, complex d) | µ-factor = (1 - abs(a)2) / (abs(d - conj(a) × (a×d-b×c)) + abs(b×c))
mu1(scalar i, scalar j) | returns mu1(Sii, Sji, Sij, Sjj)
mu2(complex a, complex b, complex c, complex d) | µ-factor = (1 - abs(d)2) / (abs(a - conj(d) × (a×d-b×c)) + abs(b×c))
mu2(scalar i, scalar j) | returns mu2(Sii, Sji, Sij, Sjj)
T11(complex a, complex b, complex c, complex d) | T11 conversion = -(a×d - b×c)/b
T11(scalar i, scalar j) | returns T11(Sii, Sji, Sij, Sjj)
T12(complex a, complex b, complex c, complex d) | T12 conversion = a/b
T12(scalar i, scalar j) | returns T12(Sii, Sji, Sij, Sjj)
T21(complex a, complex b, complex c, complex d) | T21 conversion = -d/b
T21(scalar i, scalar j) | returns T21(Sii, Sji, Sij, Sjj)
T22(complex a, complex b, complex c, complex d) | T22 conversion = 1/b
T22(scalar i, scalar j) | returns T22(Sii, Sji, Sij, Sjj)
Y11(complex a, complex b, complex c, complex d) | Y11 conversion = (1/Z0)×((1-a)×(1+d) + b×c)/((1+a)×(1+d) - b×c)
Y11(scalar i, scalar j) | returns Y11(Sii, Sji, Sij, Sjj)
Y12(complex a, complex b, complex c, complex d) | Y12 conversion = (1/Z0)×(-2×c)/((1+a)×(1+d) - b×c)
Y12(scalar i, scalar j) | returns Y12(Sii, Sji, Sij, Sjj)
Y21(complex a, complex b, complex c, complex d) | Y21 conversion = (1/Z0)×(-2×b)/((1+a)×(1+d) - b×c)
Y21(scalar i, scalar j) | returns Y21(Sii, Sji, Sij, Sjj)
Y22(complex a, complex b, complex c, complex d) | Y22 conversion = (1/Z00)×((1+a)×(1-d) + b×c)/((1+a)×(1+d) - b×c)
Y22(scalar i, scalar j) | returns Y22(Sii, Sji, Sij, Sjj)
Z11(complex a, complex b, complex c, complex d) | Z11 conversion = Z0×((1+a)×(1-d) + b×c)/((1-a)×(1-d) - b×c)
Z11(scalar i, scalar j) | returns Z11(Sii, Sji, Sij, Sjj)
Z12(complex a, complex b, complex c, complex d) | Z12 conversion = Z0×(2×c)/((1-a)×(1-d) - b×c)
Z12(scalar i, scalar j) | returns Z12(Sii, Sji, Sij, Sjj)
Z21(complex a, complex b, complex c, complex d) | Z21 conversion = Z0×(2×b)/((1-a)×(1-d) - b×c)
Z21(scalar i, scalar j) | returns Z21(Sii, Sji, Sij, Sjj)
Z22(complex a, complex b, complex c, complex d) | Z22 conversion = Z0×((1-a)×(1+d) + b×c)/((1-a)×(1-d) - b*c)
Z22(scalar i, scalar j) | returns Z22(Sii, Sji, Sij, Sjj)

  1. For both mu1 and mu2, conj is the complex conjugate. For scalars a and b, conj(a+ib)=(a-ib).

Channel Parameter Data
data | corrected data
data(scalar i) | corrected data of trace i (trace number)
mem | memory data
mem(scalar i) | memory data of trace i (trace number)
xAxis | x-axis data
xAxis(scalar i) | x-axis data of trace i (trace number)
S11 - S22 | S-parameter data

  • When a trace number is out of range, the E5063A indicates an error message, “Equation runtime error” and equation is not reflected on the trace.

Converting S-Parameters to H, Y, Z, F & T-Parameters

The following section provides definition of the two port parameters in Equation Editor.

  1. Hybrid parameters (H)

  2. Admittance parameters (Y)

  3. Impedance parameters (Z)

Fundamental parameters (F)

  5. Scattering transfer parameters (T)

S-parameters of 2-port network can be converted to Hybrid parameters (H), Admittance parameters (Y), Impedance parameters (Z), Fundamental parameters (F) and Scattering transfer parameters (T) using the following functions:

  1. Converting S-parameters to H-parameters

  2. Converting S-parameters to Y-parameters

  3. Converting S-parameters to Z-parameters

  4. Converting S-parameters to F-parameters

  5. Converting S-parameters to T-parameters

    Where:

    D    s=S11S22 - S12S21

Operators used in Equation Editor

Operator | Description
+ | Addition
- | Subtraction
* | Multiplication
/ | Division
^ | Power
( | Open parenthesis
) | Close parenthesis
, | Comma - separator for arguments
= | Equal (optional)
E | Exponent (as in 23.45E6)

  • Priority of operators is:

    1. ^
    2. *, /
    3. +, -


Holding Max/Min Points for the Trace

Maximum/Minimum trace hold function allows you to hold the active trace at the maximum or minimum point.

The procedure for setting the maximum/minimum trace hold function is as follows:

  1. Press Display > Data Hold > OFF|Minimum|Maximum

  2. Restart resets the trace.

    • Restart is only activated when Minimum or Maximum is selected. When OFF is selected, Restart is grayed out.

Maximum/Minimum trace hold can be applied with several conditions:

  • It cannot be applied to the memory trace.

  • This function is applied on complex data. As such:

    • For Smith and Polar formats: Maximum/Minimum trace hold is applied on Absolute data and not on Phase.

    • For other formats: Maximum/Minimum trace hold is applied on both Real and Imaginary.

  • When you change the setting that requires the sweep parameter change, for example Number of Points, Start and Stop, all the maximum/minimum hold on traces are cleared.

  • The maximum/minimum hold on traces is also cleared when the following settings are changed:

    • Smoothing On/Off

    • Smoothing Aperture

    • Gating On/Off

    • Transform On/Off

    • Data Math Function (Data/Mem) changed

    • Conversion On/Off

    • Conversion Type changed

    • Equation On/Off

    • Equation formula changed

    • Measurement Parameter changed

Maximum/Minimum trace hold cannot be saved or recalled. Even when the maximum/minimum trace hold is turned ON and trace is saved, only the normal trace (Hold is OFF) is stored as trace data.


Outputting Data

  • Saving and Recalling Instrument State

  • Saving/Recalling Instrument State for Each Channel into/from Memory

  • Compatibility of State File

  • Saving Trace Data to a File

  • Saving the Screen Image to a File

  • Printing Displayed Screen


Saving and Recalling Instrument State

  • Overview

  • Saving Data

  • Recall Procedure

  • Recall Procedure Using "Recall by File Name"

  • Priority of Recalling Configuration File at Startup

Other topics about Data Output

Overview

You can save the instrument state of the E5063A into a file on mass storage and then recall it later to reproduce that state. You can select the stored data from the following four types.

Type | Stored data and usage
State only (State Only) | Saves the setting of the E5063A and reproduces the state when it is saved by recalling it later into the E5063A.
State and calibration data (State & Cal) | Saves the setting of the E5063A and calibration data (calibration coefficient array) to reproduce the state when it was saved by recalling it later into the E5063A. At this time, you can perform error correction of measured values by using the recalled calibration data.
State and trace (State & Trace) | Saves the setting of the E5063A and traces (error-corrected data array and error-corrected memory array) to reproduce the state when it was saved by recalling it later into the E5063A. At this time, the traces are also recalled and displayed on the screen.
State, calibration data, and traces (All) | Saves the setting of the E5063A, calibration data, and traces to reproduce the state when it was saved by recalling it later into the E5063A. At this time, the calibration data and traces are also recalled.

In addition, the user-preset function is provided to allow the user to freely set up an instrument state recalled when the preset function is executed.

Saving Data

Selecting Content to be Saved

  • This setting takes effect both, when saving the entire instrument state into a file and when saving the instrument state for each channel into memory.

  1. Press Save/Recall > Save Type.

  2. Click the softkey corresponding to the content of the instrument state you want to save.

Selecting Save Target Channel/Trace

  1. Press Save/Recall key.

  2. Click Channel/Trace and select the save target from all channels/traces (All) or displayed channel/traces only (Disp Only).

If you specify the displayed channel/traces only as the save target, you can reduce the file size. However, for channels/traces that are not displayed, you cannot recall and reproduce the instrument state separately held for each channel/trace at a later time.

Saving Instrument State

Follow the procedure below to save internal data from the E5063A.

  1. Press Save/Recall > Save State.

  2. Click the softkey corresponding to the destination you want to save.

    Softkey

    Description

    State01 to State08

    Save the instrument state into the state number.

    Autorec

    Save the instrument state as the auto recall setting. The E5063A is automatically configured with this state at the startup.

    This key saves the state into the "D:Autorec.sta".

    When Autorec.sta file is found on the D: drive at startup, the E5063A is automatically configured using the saved settings. To disable the auto recall function, delete the Autorec.sta files.

    User Pres

    Save the instrument state as user preset. The user can preset the analyzer at user saved status.

    File Dialog...

    Save the instrument state as your desired file name. You can enter a file name using the Input from the front panel buttons on the dialog box when storing a file.

  • If D:\Autorec.sta is found on the system at startup, the E5063A is automatically configured using the saved settings. When the external floppy disk drive is connected as A: drive, then if A:\Autorec.sta is found at startup, the E5063A is also automatically configured using the saved settings. If both files are found, A:\Autorec.sta is recalled. To disable the auto recall function, delete the Autorec.sta files.

  • An asterisk (*) in the upper right of the softkey indicates that the corresponding file of the softkey already exists. If you save into the existing file, the existing file is copied as backup.sta and then overwritten.

Recall Procedure

Follow the procedure below to recall internal data from the E5063A.

  1. If you recall a file that includes traces (its content was set to State &Trace or All when it was saved), the trigger source is automatically set to Manual.

  1. Press Save/Recall > Recall State.

When you want to recall State01.sta - State08.sta, Autorec.sta

  1. Press State01 - State08 or Autorec.

When you want to recall other files

  1. Press File Dialog... to open the Open dialog box.

  2. Select the folder and the file using the external keyboard and mouse.

  3. Click Open.

The warning messages may appear when recall fails:

  • When a user file is used in Extending the Calibration Plane Using Network De-embedding, Determining Characteristics After Adding a Matching Circuit, or Determining the Characteristics that Result from Adding a Matching Circuit to a Differential Port and the setup status is saved, a recall error occurs if the user file is not located in the same folder as when the state is saved.

  • Pressing Save/Recall > Explorer executes Windows Explorer. This helps you to browse the files in the storage.

Recall Procedure Using "Recall by File Name" Feature

You can use the recall feature with the Recall by File Name softkey for files you have named freely and save in the D:\State folder. This function lets you recall a file you have named freely and save by simple softkey operation, eliminating annoying operation using the Open dialog box.

  • Although there is no limit to the number of files saved in a folder, only up to 50 files are displayed on the softkeys. If more than 50 files are saved in a folder, they are sorted in the order of numbers 0 to 9 and alphabetic characters A to Z and the first 50 files are displayed as softkeys.

    Although there is no limit to the number of characters of a file name, only up to 12 characters are displayed on the softkey. If a file name exceeds 12 characters, the first 12 characters are displayed on the softkey and the remaining characters are omitted and replaced with "...".

  • Different files may be displayed on softkeys with the same name or a saved file is not displayed on any softkey because of the above limitations.

  1. Press Save/Recall > Recall by File Name.

  2. Files that have been named and saved in the D:\State folder are displayed on softkeys. Press the key for the file you want to recall.

Priority of Recalling Configuration File at Startup

If several instrument configuration files exist at the startup of the E5063A, only one file is recalled and set at a time in the following order of priority.

If these files do not exist, the normal preset (factory preset) is executed.

Priority | Recalled file
1 | Configuration file for the auto-recall function in the A drive (If external floppy disk drive is connected.)
2 | Configuration file for the auto-recall function in the D drive
3 | Configuration file for the user-preset function in the D drive. Executed when the preset operation mode is User and the file (D:\UserPreset.sta) exists.


Saving/Recalling Instrument State for Each Channel into/from Memory

  • Overview

  • Saving Instrument State for Each Channel

  • Recalling Instrument State for Each Channel

  • Deleting Saved Instrument State (Clearing all Registers)

Other topics about Data Output

Overview

The E5063A allows you to save/recall the instrument state for each channel independently. This function allows you to save the instrument state of the active channel independently into one of the four registers (A to D, volatile memory) and to recall the instrument state from the register to restore it as the state of the currently active channel. As in the case of saving the entire state of the instrument into a file, you can select items to be saved from four kinds.

Since you can recall the instrument state for each channel that was saved with this function from a different channel that the one used to save it, this function is very useful for copying an instrument state between channels.

  • Unlike when saving the entire instrument state, the instrument state for each channel is saved into volatile memory instead of a file, so if you turn off the power, this state is lost.

Saving Instrument State for Each Channel

  1. Press Channel Next (or Channel Prev) to activate a channel of which the state you want to save.

  2. Press Save/Recall > Save Channel.

  3. Click one of State Only A to D, State & Cal A to D, State & Trace A to D or All A to D, to save the (instrument state and) calibration data of the active channel to the specified register.

  4. For registers having saved data, the * symbol is displayed to the right of their softkey label. If you specify one of these, its content is overwritten.

Recalling Instrument State for Each Channel

  1. Press Channel Next (or Channel Prev) to activate a channel of which the state you want to recall and restore.

  2. Press Save/Recall > Recall Channel.

  3. Click the softkey of the register in which the state you want to restore is saved. This instrument state is recalled to the active channel.

Deleting Saved Instrument State (Clearing all Registers)

  1. Press Save/Recall > Save Channel.

  2. Click Clear States. The contents of all the registers are deleted.


Compatibility of State File

  • Overview

  • Compatibility of Files (Saving and Recalling)

Other topics about Data Output

Overview

As mentioned in Saving and Recalling Instrument State, you can save the instrument state of the E5063A into a file on the mass storage and then recall it later to reproduce that state.

Compatibility of Files (Saving and Recalling)

Compatibility from other ENA 6/7 series products

There is no compatibility with other ENA series products.

Compatibility between different options

  • The E5063A with option 011 (Time domain/Test wizard ) can recall the files saved by the E5063A without option 011.

  • The E5063A without option 011 (Time domain/Test wizard ) can recall the files saved by the E5063A with option 011. The settings for Transform /Gating are not used but they are kept.

Compatibility between different frequency models

 |  | Recalling by E5063A
 |  | 245 | 285 | 2H5
Saved file by E5063A | 245 | Y | Y | Y
 | 285 | Y# | Y | Y
 | 2H5 | Y# | Y# | Y

Y: Recall is possible, Y# Warning message prompts "Incompatible recall file". Some state data may be lost.

Compatibility when the Firmware revision is different

  • Files that are saved with later firmware revisions may not be recalled by prior firmware revisions.

Compatibility when the system spec. version (available with ":SERV:SREV?") is different

  • When files that are saved with different system spec. versions include calibration data, only states and trace data are recalled.

  • If you recall an incompatible file, an error occurs and the device recovers to the default setting.


Saving Trace Data to a File

  • Saving Data in CSV Format

  • Saving Data in Touchstone Format

Other topics about Data Output

Saving Data in CSV Format

The E5063A allows the user to save data for the active trace on the active channel to a CSV file (file extension *.csv) and to load the data into PC application software for further processing.

Trace data are saved in the format shown below.

Example of saved trace data

"# Channel 1"

"# Trace 1"

Frequency, Formatted Data, Formatted Data

+3.00000000000E+005, +1.41837599227E-002, +1.43446459328E-006

+4.27985000000E+007, +1.41275293412E-002, +2.02407834551E-004

+8.52970000000E+007, +1.41334093048E-002, +4.00643331604E-004

+1.27795500000E+008, +1.41240661092E-002, +6.09250514670E-004

+1.70294000000E+008, +1.41402155348E-002, +8.05620003993E-004

The first line shows the number of the active channel at the time the data is saved.

The second line shows the number of the active trace at the time the data is saved.

The third line is a header line indicating the contents of each item of trace data written on the fourth line onward.

The fourth line onward shows the trace data. The amount of data is determined by the number of points (frequency) assigned to the trace.

Saving Trace Data

Follow the procedure below to save trace data from the E5063A.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace prev) to select the trace to be saved.

  2. Press Save/Recall > Save Trace Data to open the Save As dialog box.

  3. Select the destination folder and input a file name.

  4. Click Save to save the file.

  5. This function is inactive when the security level is set at low/high.

Saving Data in Touchstone Format

You can also save trace data of a E5063A active channel of S-parameter to a Touchstone format file.

Touchstone file data format

You can save data in "log magnitude - angle", "linear magnitude - angle", or "real number - imaginary number."

When AUTO is selected, the data format is automatically set according to the display format of the active trace. However, when the display format of the active trace is set to one other than the log magnitude format (LogMag), linear magnitude format (LinMag), or real-imaginary number format (Real/Imag), the data format is automatically set to real-imaginary number.

You can use data saved in Touchstone format for a circuit simulator such as Keysight Advanced Design System (ADS) on your PC (personal computer) or workstation. For more information on the ADS, refer to the operation manual that comes with the system.

File types of Touchstone files

File types of the E5063A Touchstone files are s1p and s2p. The file type indicates the number of ports of the data structure that is output to the Touchstone file.

Data structure in Touchstone file

Data structure of the Touchstone file consists of a header part and a data part. The contents of the file is text data, which is ready to be read with a general text editor.

The header part consists of the returned value of *IDN?, file created date, calibration state, list of all S parameters of a specified port, and format information.

The header parts of s1p and s2p are shown below.

Header of s1p

!Keysight Technologies,E5063A,<ID>,<FW Revision>
!Date <Date>
!Data & Calibration Information
!Freq Syy:Method(Stat)
# Hz S FMT R Z0

Header of s2p

!Keysight Technologies,E5063A,<ID>,<FW Revision>
!Date <Date>
!Data & Calibration Information
!Freq Syy:Method(Stat) Syz:Method(Stat) Szy:Method(Stat) Szz:Method(Stat)
# Hz S FMT R Z0

Each item has the following meaning:

Parameter

Description

Syy to Szz

S parameters of the selected test port; corresponds in ascending order, beginning with y to z.

Method

Calibration type applied to S parameter.

Stat

State of S parameter calibration and error correction setting (ON, OFF, or --)

ON = Error correction is set to ON
OFF =Error correction is set to OFF
-- = Calibration is not performed

FMT

Data format

RI = Real number - imaginary number
MA = Linear magnitude - angle
DB = Log magnitude - angle

Z0

Reference impedance value

The structure of the data part depends on the combination of the selected file type and specified port.

  • When the S parameter of a port on which calibration is not performed is specified, if the data measured with the S parameter exists, that data are output to a Touchstone file. If no measurement data exists, 0 (for log magnitude - angle, log magnitude = -200 dB) is output in the corresponding field.

The following figures show the data structures of files saved in Touchstone format.

1-port Touchstone file

2-port Touchstone file

Restrictions when saving data in Touchstone format

The following restrictions apply in saving measurement data into Touchstone format.

  • When both fixture simulation and port impedance conversion are ON, all Z0 of the ports to be saved must be set to the same value. If Z0 is different among the ports, no error occurs, but only the Z0 of the smallest port number is output to the header.

  • When the time domain function is ON, the saved data are not the displayed data but the data of the S parameter before conversion.

  • For data saved in touchstone format, data operation, time domain, parameter conversion, data format, electrical delay, equation editor, and smoothing are not reflected in the output data.

Saving procedure

Follow the steps below to save trace data in Touchstone format.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace prev) to select the trace to be saved.

  2. Press Save/Recall > SnP > SnP Format.

  3. Click the softkey that corresponds to the data format you want to save.

    Softkey

    Function

    Auto

    Data format is automatically set according to the display format of the active trace. When the display format of the active trace is set to one other than log magnitude format (LogMag), linear magnitude format (LinMag), or real-imaginary number format (Real/Imag), the data format is automatically set to real-imaginary number.

    LogMag/Angle

    Select "log magnitude - angle" data format

    LinMag/Angle

    Select "linear magnitude - angle" data format

    Real/Imaginary

    Select "real - imaginary number" data format

  5. Click the softkey for s1p or s2p according to the file type you want to save.

  6. Click the softkey that corresponds to the combination of ports that you want to save.

  7. SaveAs dialog box opens. For its operations, use an external keyboard and mouse.

  8. Specify the folder to which the file should be saved, enter a file name, and then press Save to save the file.

  9. When saving data in a sweep process, the data during sweep is saved into a Touchstone file. That is, the previous sweep data is saved as data that has not been swept; or, if sweep was not performed previously, zero data might be saved. Therefore, you should set the active channel to the HOLD state when saving data into a Touchstone file.

  10. This function is inactive when the security level is set at low/high.


Saving the Screen Image to a File

  • Overview

  • Saving Screen Image as File

Other topics about Data Output

Overview

Along with printing, the E5063A allows the user to save screen images as bitmap (.bmp) or portable network graphics (.png) files. Saved files can be loaded into PC application software for further processing.

Saving Screen Image as File

Follow the procedure below to save a screen image to a file.

  1. Display the screen to be saved as a file. If you want to save the screen with a white background, set the display mode to inverted display before saving the screen. For details about display mode, see Setting Display Colors.

  2. Press System key. The screen image at the time System key is pressed is the image that will be saved.

  3. Press Dump Screen Image to open the Save As dialog box.

  4. Select the file type from "24-Bit Bitmap (*.bmp)" or "Portable Network Graphics (*.png)".

  5. Select the destination folder and type a file name. (Clicking Input from the front panel on the Save As dialog box activates the on screen keyboard.)

  6. Press Save to save the screen image of E5063A to a file.


Printing Displayed Screen

  • Overview

  • Printed/Saved Images

  • Print Procedure

Other topics about Data Output

Overview

By connecting a printer to the USB port of the E5063A, you can print the displayed screen of the E5063A.

Printed/Saved Images

The display image saved in the volatile memory (clipboard) is printed/saved. If no image is saved in the clipboard, the image displayed at the time of print execution is printed/saved.

Saving image to clipboard

The System key also has a screen capture feature. When you press System key, the image displayed on the screen immediately before pressing is saved in the clipboard.

  • The image in the clipboard is cleared when you execute print/save.

Print Procedure

Preparation before printing

Follow these steps to prepare for printing:

  1. Turns OFF the E5063A.

  2. Turn ON the printer and connect it to E5063A.

  3. Turn ON the E5063A.

  4. Press System > Printer Setup.

  5. The Printers window opens. The icons of the printers that have been connected are displayed in the window. When you connect a print for the first time, it is automatically registered and its icon is added in the window.

  6. The printer with the check mark ( [image]) on its icon is selected as the default printer for printing. If you want to change it, select (highlight) the icon of your preferred printer in the Printers window and then click Set as Default Printer in the File menu.

  7. Click Printing Preferences... in the File menu. The Printing Preferences dialog box for the selected printer appears. Set items necessary before printing such as Page Size and then click the OK button .

  8. Click Close in the File menu.

Executing print

Follow these steps to print the screen information:

  1. Display the screen you want to print.

  2. Press System key to save the currently displayed screen onto the clipboard.

  3. As necessary, press Invert Image to toggle between [OFF] for printing in colors close to the actually displayed screen and [ON] for printing in inverse colors.

  4. Click Print to start printing.

  5. If you start printing when the printer is not ready (for example, it is not turned ON) by mistake, the Printers Folder dialog box may appear. In this case, click Cancel to close the Printers Folder dialog box, prepare your printer, and then start printing again.


Fixture Simulator

  • Overview of Fixture Simulator

  • Extending the Calibration Plane using Network De-embedding

  • Converting the Port Impedance of the Measurement Result

  • Determining Characteristics After Adding a Matching Circuit

  • Evaluating Balanced Devices (balance-unbalance conversion function)

  • Converting Reference Impedance of Balanced Port

  • Determining the Characteristics that Result from Adding a Matching Circuit to a Differential Port

  • Example of Using Fixture Simulator


Overview of Fixture Simulator

  • Overview

  • Functions for Single-Ended (Unbalanced) Port

Other topics about Fixture Simulator

Overview

The Fixture Simulator is a function that uses software in the E5063A to simulate various measurement conditions based on the measurement results. The functions available in Fixture Simulator are as follows:

  • Network de-embedding

  • Port reference impedance conversion

  • Matching circuit embedding

Data processing flow diagram of fixture simulator

  • The E5063A adopts the power wave definition for its S-parameter calculation. Reference document: "Power waves and Scattering Matrix. K. Kurokawa"

Port extension is an independent function from the fixture simulator, but if the fixture simulator function is on, data processing is automatically executed as a function of the fixture simulator to improve the data processing efficiency. (Measurement result is the same as when the fixture simulator is turned off.) Port extension moves the calibration reference location by setting an electrical delay for a single-ended port. Port extension can eliminate only electrical delay (phase shift) for each single-ended port. Loss or mismatch cannot be eliminated by this function.

Functions for Single-Ended (Unbalanced) Port

The following three functions are applied to single-ended ports (unbalanced ports). Balance-unbalance conversion can additionally be applied to single-ended ports.

Network de-embedding

A function that uses software to remove an arbitrary network (50 Ω system) defined by a two-port Touchstone data file from each test port (single-ended) and to extend the calibration plane. This makes it possible to remove networks that create error elements between the calibration plane and the DUT, thereby enabling a more realistic evaluation of the DUT.

For the setup procedure of the network de-embedding function, see Extending the Calibration Plane Using Network De-embedding.

Port reference impedance conversion

A function that uses software to convert an S-parameter measured with a 50 Ω port reference impedance into a value measured with an arbitrary impedance.

For the setup procedure of port reference impedance conversion, see Converting the Port Impedance of the Measurement Result.

Matching circuit embedding

A function for converting an original measurement result into a characteristic determined under the condition of inserting a matching circuit between the DUT and the test port (single-ended). The matching circuit to be inserted is either selected from the five predetermined circuit models or provided by a designated arbitrary circuit defined in a two-port Touchstone file.

For the setup procedure used for matching circuit embedding, see Determining Characteristics After Adding a Matching Circuit.


Extending the Calibration Plane Using Network De-embedding

  • Overview

  • Using Network De-embedding Function

Other topics about Fixture Simulator

Overview

Network de-embedding is a function for performing measurements, test port by test port, by removing the characteristics of an arbitrary network defined by a Touchstone data file. By removing the characteristics of the cable, test fixtures, etc. between the actual calibration plane and the DUT, the calibration plane can be correspondingly extended. The network de-embedding function can be used together with the port extension function.

Port extension and calibration plane extension using network de-embedding

Using Network De-embedding Function

  1. Prepare a two-port Touchstone data file (.s2p format) corresponding to the network to be removed.

  2. Press Analysis > Fixture Simulator > De-Embedding.

  3. Click Select Port.

  4. Click 1, or 2 to select the test port to perform network de-embedding.

  5. Click User File.

  6. Using the dialog box that appears, select the Touchstone data file defining the characteristics of the network to be removed. Once the file is selected, the selection of Select Type automatically changes to User. To cancel a user-defined file that has been set up, click Select Type > None.

  7. Repeat the procedure to set up the Touchstone data file for each port from which a network is to be removed.

  8. Click De-Embedding > ON.

  9. Click Return.

  10. If Fixture Simulator is OFF, press the key again to turn it ON.


Converting the Port Impedance of the Measurement Result

  • Overview

  • Converting Port Impedance

Other topics about Fixture Simulator

Overview

The measured value obtained by using a port impedance of 50 Ω can be converted into a measured value at an arbitrary port impedance.

Port impedance conversion function

Converting Port Impedance

  1. Press Analysis > Fixture Simulator > Port ZConversion.

  2. Specify the port reference impedance for the required port.

    • Select Port 1 Z0 Real, or Port 2 Z0 Real to set the port reference impedance in Real format.

    • Select Port 1 Z0 Real and Port 1 Z0 Imag, or Port 2 Z0 Real and Port2 Z0 Imag to set the port reference impedance in Complex format.

  3. Click Port ZConversion > ON.

  4. Click Return.

  5. If Fixture Simulator is OFF, click the key again to turn it ON.


Determining Characteristics After Adding a Matching Circuit

  • Overview

  • Using Matching Circuit Function

Other topics about Fixture Simulator

Overview

Using the matching circuit embedding function, you can easily obtain the resulting characteristics after adding a matching circuit for each test port.

Matching circuit function

Define the matching circuit to be added by one of the following methods:

  • Select one of the five predetermined circuit models and specify the values for the elements in the circuit model.

  • Use a user file (in two-port Touchstone data format) that defines the matching circuit to be added.

The circuit models used for defining matching circuits are shown below.

Circuit models for defining matching circuits

  • In the 2-port matching circuit embedding or the 2-port network de-embedding feature, if the normalized impedance value specified in the user file (2-port Touchstone data file) is different from the port reference impedance setting value of the analyzer, it is automatically converted to adapt to the analyzer setting.

    When a 2-port Touchstone data file is read in, data for up to 3202 frequency points are read in using interpolation according to the measurement frequency point setting of the analyzer. If the number of frequency points in the file is greater than 3202, excess data are ignored.

    For a network defined in the user file, it is assumed that port 1 is connected to the test port and port 2 is connected to the DUT.

Using Matching Circuit Function

  1. Press Analysis.

  2. Click Fixture Simulator > Port Matching > Select Port.

  3. Click 1, or 2 to select the port to add a matching circuit.

  4. Click Select Circuit.

  5. Select a matching circuit model.

    Softkey

    Function

    None

    No matching circuit is added.

    Series L - Shunt C

    Selects a circuit model consisting of a series inductor and a shunt capacitor

    Shunt C - Series L

    Selects a circuit model consisting of a shunt capacitor and a series inductor

    Shunt L - Series C

    Selects a circuit model consisting of a shunt inductor and a series capacitor

    Series C - Shunt L

    Selects a circuit model consisting of a series capacitor and a shunt inductor

    Shunt L - Shunt C

    Selects a circuit model consisting of a shunt inductor and a shunt capacitor

    Series C - Shunt C

    Selects a circuit model consisting of a series capacitor and a shunt capacitor

    Shunt C - Series C

    Selects a circuit model consisting of a shunt capacitor and a series capacitor

    Series L - Shunt L

    Selects a circuit model consisting of a series inductor and a shunt inductor

    Shunt L - Series L

    Selects a circuit model consisting of a shunt inductor and a series inductor

    User

    Selects the circuit model defined in the user file imported.

    To add a matching circuit defined in a user file, execute the following operations before selecting this softkey:

    1. Press User File.

    2. In the dialog box that appears, select the two-port Touchstone data file (.s2p format) for the matching circuit to be added.

    Once a user file is specified, the selection of Select Circuit automatically changes to User.

  6. For the circuit models, see Circuit models for defining matching circuits.

  7. Specify the values of the elements in the selected circuit model.

    Softkey

    Function

    C (C1)

    Specifies capacitance [F]

    G (G1)

    Specifies conductance [S]

    L (L1)

    Specifies inductance [H]

    R (R1)

    Specifies resistance [Ω]

    C2

    Specifies capacitance [F]

    G2

    Specifies conductance [S]

    L2

    Specifies inductance [H]

    R2

    Specifies resistance [Ω]

    • When either of the two components of Series-C, "C" and "G", is set to 0, the component is defined as "Open"; when both components are set to 0, they are defined as "Short."
      When either of the two components of Shunt-L, "L" and "R", is set to 0, the component is defined as "Short"; when both components are set to 0, they are defined as "Open."

  8. Repeat the procedure above to set up the matching circuit for each port used.

  9. Click Port Matching to turn the matching circuit function ON.

  10. Click Return.

  11. If Fixture Simulator is OFF, press the key again to turn it ON.


Evaluating Balanced Devices (Balance-Unbalance Conversion Function)

  • Overview

  • Measurement Parameters of Balanced Devices

  • Procedure for Balance-Unbalance Conversion

  • Measurement Parameter Setup

  • Checking Device Type and Port Assignment

Other topics about Fixture Simulator

Overview

The balance-unbalance conversion function simulates a measurement under a balanced state based on measurement results obtained in an unbalanced state. This function enables you to evaluate devices with balanced ports.

  • Be sure to set equal impedances for the two unbalanced ports. For more details on setting up port impedance for unbalanced ports, refer to Converting the Port Impedance of the Measurement Result.

Balance-unbalance conversion

The types of devices that can be evaluated using the E5063A are shown below.

Types of balanced devices that can be evaluated with E5063A

In the terminology of the E5063A, ports after the balance conversion are called logical ports (or DUT ports).

Measurement Parameters of Balanced Devices

Turn on the balance-unbalance conversion function to measure the following parameters.

  • Mixed mode S-parameter

Mixed mode S-parameter

By turning on the balance-unbalance conversion function, you can obtain the S-parameter of the balanced port separately for two modes, the differential mode and the common mode. The following figure shows the notation of the S-parameter in balance measurement (mixed mode S-parameter).

Notation of mixed mode S-parameter

Mixed mode S-parameter when measuring a balanced device

Procedure for Balance-Unbalance Conversion

  • Extend the calibration plane, if necessary, by using the port extension function or network de-embedding function. For more on the port extension and network de-embedding functions, see Extending the Calibration Plane Using Network De-embedding.

  1. Press Analysis key.

  2. Click Fixture Simulator > Topology > Device.

  3. Select the balanced/unbalanced topology. Only Bal can be selected.

    Softkey

    Function

    Bal

    Establishes port 1 on the DUT as balanced ports

  4. Select each port on the analyzer to which a port on the DUT is connected.

Softkey | Function
Port 1 (bal) | Selects two ports on the analyzer from between 1-2 and 2-1 for connection to logical port 1 (Port a)

  5. Click Return.

  6. Click BalUn to turn on the balanced/unbalanced state conversion function.

  7. Click Fixture Simulator to turn on the fixture simulator function.

Measurement Parameter Setup

Performing balance-unbalance conversion enables you to make measurements with mixed mode S-parameters. Parameters that can be used differ depending on the balance-unbalance topology specified in Balance-Unbalance Conversion.

  1. Press Meas key (or Analysis > Fixture Simulator > Measurement).

  2. Select the measurement parameter.

Checking Device Type and Port Assignment

You can check the device type and the port assignment for the balance-unbalance conversion by displaying the balance measurement topology property as shown below.

Procedure to Turn On/Off Balance Measurement Topology Property Display

Follow these steps to turn on/off the balance measurement topology property display.

  1. Press Analysis key.

  2. Click Fixture Simulator > Topology

  3. Click Property. Each press toggles between on/off.


Converting Reference Impedance of Balanced Port

  • Overview

  • Converting Port Reference Impedance in Differential Mode

  • Converting Port Reference Impedance in Common Mode

Other topics about Fixture Simulator

Overview

By using the port impedance conversion function, you can specify the impedance of each test port. As a result of this conversion, the impedance of the balanced port in differential mode is set to a value twice as large as the impedance of the two unbalanced ports before conversion, and in common mode to a value one-half as large.

  • When the port reference Z conversion is a complex, you cannot use the differential/common port Z conversion.

  • Be sure to set the impedances of the two unbalanced ports equal to each other. For more details on setting up port impedance for unbalanced ports, refer to Converting the Port Impedance of the Measurement Result.

Port impedance after a balance-unbalance conversion

As described above, the impedance of the balanced port is automatically specified as the result of specifying the impedance of the two unbalanced ports prior to balance-unbalance conversion. However, the port impedance can be changed to an arbitrary value by using the differential port impedance conversion function and the common port impedance conversion function.

Converting Port Reference Impedance in Differential Mode

If you turn on the differential port impedance conversion function, the port reference impedance in the differential mode is converted to an arbitrary value specified with this function instead of the value in the above figure.

Procedure to Turn On/Off Differential Port Reference Impedance Conversion Function

  1. Press Analysis > Fixture Simulator > Diff ZConversion.

  2. Click Diff ZConversion > ON.

You can only turn on or off Differential Port Impedance Conversion for all of the balanced ports together, not for each port individually. If you want to turn off only a specific port, set the reference impedance of the port to the value in the above figure.

Procedure to Set Differential Port Reference Impedance

  1. Press Analysis > Fixture Simulator > Diff ZConversion.

  2. Click Port 1 (bal) Real to specify the port reference impedance in "Real" format for differential mode.

  3. Click Port 1 (bal) Real and Port 1 (bal) Imag to set the differential port reference impedance in "Complex" format.

Converting Port Reference Impedance in Common Mode

If you turn on the common port impedance conversion function, the port reference impedance in the common mode is converted to an arbitrary value specified with this function instead of the value the above figure.

Procedure to Turn On/Off Common Port Reference Impedance Conversion

  1. Press Analysis > Fixture Simulator > Cmn ZConversion.

  2. Click Cmn ZConversion > ON.

You can only turn on or off Common Port Impedance Conversion for all of the ports together, not for each port individually. If you want to turn off only a specific port, set the impedance of the port to the value in the above figure

Procedure to set common port reference impedance

  1. Press Analysis > Fixture Simulator > Cmn Z Conversion.

  2. Click Port 1 (bal) Real to specify the port reference impedance in "Real" format for common mode.

  3. Click Port 1 (bal) Real and Port 1 (bal) Imag to set the common port reference impedance in "Complex" format.


Determining the Characteristics that Result from Adding a Matching Circuit to a Differential Port

  • Overview

  • Procedure

Other topics about Fixture Simulator

Overview

You can obtain the characteristics resulting from the pseudo addition of a balance matching circuit to a balanced port created by balance-unbalance conversion. By using the matching circuit function, you can obtain the characteristics resulting from the addition of an arbitrary matching circuit for each test port.

  • When the port reference Z conversion is a complex, you cannot use the differential matching circuit embedding.

Balance matching circuit function

  • The balance matching circuit (Differential matching circuit embedding) is not applied to single-ended S-parameter results. For example, the balance matching circuit is not applied to the imbalance parameter as it is derived from single-ended S-parameters.

Procedure

Define the matching circuit to be added by one of the following methods:

  • Use a predetermined circuit model and specify the values for the elements in the circuit model.

  • Use a user file (in two-port Touchstone format) to define the matching circuit to be added.

The following figure shows the circuit models used in defining a balance matching circuit.

Circuit models used to define balance matching circuit

  • For a network defined in a user file, it is assumed that port 1 is connected to the test port and port 2 is connected to the DUT.

The setup steps are shown below.

  1. Press Analysis > Fixture Simulator > Diff. Matching.

  2. To add a matching circuit defined in a user file, perform the following operations:

    1. Press User File.

    2. Using the dialog box that appears, select the 2-port Touchstone data file (.s2p format) for the matching circuit to be added.

    3. Once you have specified the user file, the selection of Select Circuit automatically changes to User. In this case, you do not have to execute Step 5 and Step 6.

  3. Click Select Circuit.

  4. Select a differential matching circuit model.

    Softkey

    Function

    None

    The matching circuit is not added.

    Shunt L - Shunt C

    Selects a circuit model consisting of a shunt inductor and a shunt capacitor

    User

    Selects the circuit model defined in the user file imported in Step4.

  5. Specify the values for the elements in the circuit model selected.

    Softkey

    Function

    C

    Specifies the capacitance [F]

    G

    Specifies the conductance [S]

    L

    Specifies the inductance [H]

    R

    Specifies the resistance [Ω]

    • When either of the two components of Shunt-L, "L" and "R", is set to 0, the component is defined as "Short"; when both components are set to 0, they are defined as "Open."

  6. Repeat the procedure to set up the differential matching circuit to be added to the selected ports on the DUT.

  7. Click Diff. Matching to turn the differential matching circuit ON.

  8. Click Return.

  9. If Fixture Simulator is OFF, press the key again to turn it ON.


Example of Using Fixture Simulator

  • Overview

  • Measurement Circuit Example: DUT with Balanced Port

  • Evaluation Using Actual Test Fixture

  • Problems in Measurement with Actual Test Fixture

  • DUT Evaluation using Fixture Simulator

  • Advantages of Balanced DUT Evaluation using Fixture Simulator

Other topics about Fixture Simulator

Overview

In this section, the fixture simulation function is explained based on an evaluation example for a DUT (balanced SAW filter) with a balanced port.

  • This example can not be performed by the E5063A which has only two ports. This section provides the general information of fixture simulator.

Measurement Circuit Example: DUT with Balanced Port

The following figure shows an example of a measurement circuit used to evaluate a balanced SAW filter. DUT port 1 is an unbalanced port connected to source impedance Rs and input matching circuit L1. DUT port 2 is a balanced port connected to an output matching circuit (C1, C2, and L2) and load resistance RL.

Measurement circuit of balance SAW filter

Evaluation Using Actual Test Fixture

Generally, a test fixture as shown in the following figure is fabricated for evaluating the characteristics of a DUT in a measurement circuit by using a network analyzer.

In typical use, a network analyzer performs measurements at a 50 Ω port reference impedance and in a single-ended (unbalanced) state. Therefore, DUT port 1 can be connected directly to the test port of the network analyzer.

On the other hand, DUT port 2 is a balanced port that cannot be connected directly to the test port of the network analyzer. Usually, a balun (BALance-UNbalance transformer) is used to convert the DUT's balanced port to an unbalanced port and to connect the converted port to the test port of the network analyzer. Matching circuits are mounted in the test fixture as shown in the following figure.

DUT evaluation using an actual test fixture

Problems in Measurement with Actual Test Fixture

Evaluating a balanced device with an actual test fixture involves the following problems:

  • Calibration cannot be performed at the DUT's terminals. (A DUT's terminals are in the test fixture and calibration standards cannot be connected to them. In addition, it is very difficult to obtain calibration standards that can be used to calibrate a balanced port.) As a result, calibration is performed at appropriate connectors connected to the test fixture, and the network between the calibration reference plane and the DUT's terminals induces measurement errors.

  • Different test fixtures must be fabricated for evaluating different types of DUTs because they require different characteristic impedances and matching circuits.

  • An actual balun does not have ideal characteristics, so measurement errors cannot be avoided. Furthermore, a common mode signal evaluation cannot be performed when an actual balun is used.

DUT Evaluation using Fixture Simulator

The fixture simulator function simulates a test fixture by using internal software instead of using an actual test fixture for evaluating DUTs.

The following figure shows an example connection for evaluating a DUT with the network analyzer's fixture simulator function. The unbalanced port of the DUT should be directly connected to a test port of the network analyzer, and the balanced port of the DUT should be connected to two other test ports of the network analyzer. The actual measurement by the is performed at single-ended ports with a 50 Ω port reference impedance.

DUT connection when fixture simulator is used

The following figure shows the measurement circuit simulated by the fixture simulator based on actual measurement with the test fixture shown in figure above.

Measurement circuit simulated by fixture simulator

First, the effect of an undesired network can be eliminated by port extension and/or network de-embedding. In the above figure (DUT connection when fixture simulator is used), since calibration standards cannot be connected to the DUT terminals to perform calibration, calibration should be performed at the connectors to the test fixture. Using port extension and/or network de-embedding enables you to remove an undesired network by using data processing and moving the calibration reference plane to the DUT's side equivalently. This function is performed for a single-ended port even if balance-unbalance conversion is applied to the port.

Port reference impedance conversion converts measured S-parameters to those at arbitrary port reference impedance. In the above figure (Measurement circuit simulated by fixture simulator), since the single-ended port of the DUT is connected to the network analyzer's test port (50 Ω , single-ended), port reference impedance conversion is not required. This function is performed for a single-ended port even if balance-unbalance conversion is applied to the port.

Matching circuit embedding converts measured S-parameters to those when a matching circuit is added to the DUT's terminal. This function is performed for a single-ended port even if balance-unbalance conversion is applied to the port.

Balance-unbalance conversion converts S-parameters measured at an unbalanced state to mixed-mode S-parameters measured at a balanced state. The balanced port signal can be evaluated by using differential mode and common mode signals.

Differential matching circuit embedding converts measured S-parameters to those when a matching circuit is added to the DUT's differential mode port.(L2 in there figure Measurement circuit simulated by fixture simulator)

Differential port reference impedance conversion converts a differential port reference impedance to an arbitrary impedance. Port reference impedance Z [Ω] at the two single-ended ports before balance conversion is automatically converted to 2Z [Ω] for differential mode port and Z/2 [Ω] for common mode port after balance conversion. Accordingly, if port reference impedance conversion is not performed for the two single-ended ports before balance conversion, differential mode port reference impedance Zd becomes 50 Ω × 2 = 100 Ω , and common mode port reference impedance Zc becomes 50 Ω / 2 = 25 Ω . Since the differential port is terminated with 200 Ω in the figure,Measurement circuit of balance SAW filter, differential port reference impedance Zd should be set to 200 Ω.

Advantages of Balanced DUT Evaluation using Fixture Simulator

Balanced device evaluation using the fixture simulator offers the following advantages:

  • Calibration reference plane can be easily moved to the DUT's terminal after calibration is performed at the connectors where calibration standards can be connected. Undesired network can be removed to eliminate measurement errors (port extension, network de-embedding).

  • Characteristics of a DUT, including desired matching circuits, can be obtained easily (matching circuit embedding, differential matching circuit embedding). Port reference impedance can be set freely (port reference impedance conversion, differential port reference impedance conversion).

  • Differential mode and common mode signal evaluation (mixed-mode S-parameter evaluation) can be performed easily (balance-unbalance conversion).


Time Domain Analysis

Time Domain Analysis (Opt.010/011)

Test Domain Analysis is available when option 010 or 011 is installed.

  • Overview

  • Characteristics of Response in Time Domain

  • Transformation to Time Domain

  • Deleting Unnecessary Data in Time Domain (Gating)

Other topics about Measurement


Overview of Time Domain Measurement

  • Overview

  • Comparison to Time Domain Reflectometry (TDR) Measurement

  • Time Domain Function of E5063A

Other topics about Time Domain Analysis

Overview

The E5063A provides the time domain function, which is used to mathematically transform waveforms in the frequency domain that can be measured with a general network analyzer to waveforms in the time domain.

The following figure shows waveforms in the frequency domain and in the time domain when using the same cable. The waveform in the frequency domain shows ripples due to mismatches, but it is difficult to estimate their locations. On the other hand, from the waveform in the time domain, you can determine the locations and magnitudes of mismatches.

Comparison to Time Domain Reflectometry (TDR) Measurement

The time domain function of the E5063A is similar to the time domain reflectometry (TDR) measurement in that it displays the response in the time domain.

In the TDR measurement, a pulse or step signal is inputted to the DUT and the change of the reflected wave over time is measured.

On the other hand, the time domain function of the E5063A changes the frequency of the input signal to the DUT, performs measurement in the frequency domain, and transforms the result to the response in the time domain using the inverse Fourier transform.

Time Domain Function of E5063A

The time domain function of the E5063A is divided into the following two types of functions. You can use them at the same time.

Transformation function

Transforms measurement data in the frequency domain to data in the time domain. For more information, refer to Transformation to time domain.

Gating function

Deletes unnecessary data in the time domain from original data in the time domain. For more information, refer to Deleting Unnecessary Data in Time Domain (Gating).


Characteristics of Response in Time Domain

  • Overview

  • Masking

  • Mismatch Type

Other topics about Time Domain Analysis

Overview

This section describes masking and the identification of the mismatch type, which are important for analyzing the response in the time domain.

Masking

Masking is a phenomenon in which a mismatch at a location near the calibration surface affects the response at the next mismatch location. This occurs because energy reflected by a mismatch at the location nearest to the calibration surface does not reach the next mismatch location. For example, when you measure the reflection of a cable that has 2 mismatch locations reflecting 50% of the input voltage, the first mismatch reflects 50% of the measurement signal. The remaining 50% reaches the next mismatch and its 50%, which is 25% of the entire measurement signal, is reflected. Therefore, in the response in the time domain, the second mismatch looks smaller.

  • In this example, the transmission line is assumed to have no loss. However, because there actually is loss, the signal is attenuated as the distance from the calibration surface becomes greater.

The following figure shows an example of masking due to loss. It compares masking when a short termination is directly connected to the calibration surface and masking when a 6-dB attenuator is inserted. In either case, total reflection occurs at the short termination. In the latter case, the signal is attenuated in both ways, and the return loss appears to be - 12 dB.

Example of masking

Mismatch Type

The transformation in the low pass mode simulates the response in the TDR measurement. In addition to mismatch locations, the response includes information on the mismatch type.

The following shows each mismatch type and the response waveform corresponding to it. In the low pass mode, you can simulate the response of the step signal and the impulse signal. From the viewpoint of mathematics, the response of the impulse signal is the waveform obtained by differentiating the response of the step signal.


Deleting Unnecessary Data in Time Domain (Gating)

  • Measurement Flow

  • Setting Gate Type

  • Setting Gate Shape

  • Setting Gate Range

  • Setting Unit for X-Axis

  • Enabling Gating Function

Other topics about Time Domain Analysis

Measurement Flow

Item

Description

1. Measurement in frequency domain

Executes measurement in frequency domain

2. Transformation to time domain

Enables transformation function and transforms measurement data to data in time domain

3. Setting the gate

Makes the following settings of the gate to select the necessary domain:

  • Gate type

  • Gate shape

  • Gate range

4. Transformation back to frequency domain

Disables transformation function and displays response in frequency domain corresponding to the data selected with the gate

The following figure shows the change in the waveform at each step of the flow.

Setting Gate Type

The E5063A allows you to choose from the following two gate types:

Gate type | Description
Band pass | Deletes response outside the gate range
Notch | Deletes response inside the gate range

Operational procedure

  1. Press Channel Next/Channel Prev and Trace Next/Trace Prev to activate the trace for which you want to set the gate type.

  2. Press Analysis, then click Gating to display the Gating menu.

  3. Click Type to toggle between band pass (Bandpass) and notch (Notch).

Setting Gate Shape

The gate is a filter whose shape looks like a band pass filter. There are several parameters that indicate the gate shape. The following figure shows the definition of the gate shape parameters.

The following table compares the characteristics according to the gate shape. When the shape is "minimum," the cut-off time is shorter and the response is deleted abruptly, but the sidelobe level and band pass ripples become larger. When it is "maximum," cut-off is gentler, but the sidelobe level and the band pass ripple become smaller. The minimum gate span in the following table is the minimum gate range you can set. This value is defined as the minimum gate span necessary for the existence of the pass band and is equal to 2 times the cut-off time.

Gate shape | Passband ripple | Sidelobe level | Cutoff time | Minimum gate span
Minimum | ± 0.13 dB | - 48 dB | 1.4/frequency span | 2.8/frequency span
Normal | ± 0.01 dB | - 68 dB | 2.8/frequency span | 5.6/frequency span
Wide | ± 0.01 dB | - 57 dB | 4.4/frequency span | 8.8/frequency span
Maximum | ± 0.01 dB | - 70 dB | 12.7/frequency span | 25.4/frequency span

Operational procedure

  1. Press Channel Next/Channel Prev and Trace Next/Trace Prev to activate the trace for which you want to set the gate shape.

  2. Press Analysis, then click Gating to display the Gating menu.

  3. Press Shape and then select the gate shape.

Setting Gate Range

Specify the gate range in time. The ends of the range are defined as the - 6 dB attenuation points shown in the figure above. You can set the gate range by specifying the start and stop times or the center and span. The E5063A has the following limitations on the gate range you can set.

Lower limit -Tspan

Upper limit Tspan

Tspan is the measurement range expressed in time obtained in Measurement range.

Operational procedure

  1. Press Channel Next/Channel Prev and Trace Next/Trace Prev to activate the trace for which you want to set the gate range.

  2. Press Analysis, then click Gating to display the "Gating" menu.

  3. Press each of the following softkeys to specify the gate range. Distance corresponding to the setting time is displayed at the side of the set value area in the data entry bar. The displayed distance is a value that takes the velocity factor into consideration.

Softkey | Function
Start | Sets the start time
Stop | Sets the stop time
Center | Sets the center of the gate in time
Span | Sets the gate span in time

  • No Hardkey is provided for this setting. The hardkeys are dedicated to setting the sweep range.

  • You can set the center and span by dragging and dropping flags indicating the gate range.

Setting Unit for X-Axis

Operational procedure

  1. Press Channel Next/Channel Prev and Trace Next/Trace Prev to activate the trace for which you want to set the gate range.

  2. Press Analysis, then click Gating to display the "Gating" menu.

  3. Click Units. The following options are available. These options will represent the X-axis of the graph. Meters, feet and inches are calculated by taking velocity factor into consideration.

Softkey | Function
Seconds | Sets the x-axis to seconds.
Meter | Sets the x-axis to meter (distance).
Feet | Sets the x-axis to feet (distance).
Inches | Sets the x-axis to inches (distance).

Enabling Gating Function

When you enable the gating function, data within the specified range is deleted. When the transformation function is enabled, the flags indicating the gate range is displayed as shown in the following figure.

  • In the figure, the gate type is set to band pass. When it is set to notch, the directions of the flags indicating the ends of the gate range are reversed.

Operational procedure

  1. Press Channel Next/Channel Prev keys and Trace Next/Trace prev keys to activate the trace for which you want to use the gate function.

  2. Press Analysis key, then click Gating to display the "Gating" menu.

  3. Use Gating to enable (ON) the gate function.


Transformation to time domain

  • Overview

  • Measurement Flow

Other topics about Time Domain Analysis

Overview

The transformation function lets you transform a response in the frequency domain to the corresponding response in the time domain.

Measurement Flow

Item

Description

Selecting a type

Selects the transformation type from the following:

  • Band pass mode

You can set the sweep range arbitrarily. This is suitable for devices through which signals within a certain frequency range pass such as filters.

  • Low pass mode

Simulates the TDR measurement. This mode is suitable for devices through which dc current or signals of many frequencies pass, such as cables.

The low pass mode provides two types of modes: low pass step and low pass impulse.

Setting the window

Sets the window to reduce the ringing phenomenon, in which a waveform's waves are caused due to the fact that the frequency domain is finite.

Calculating necessary measurement conditions

Calculates the following values to obtain the necessary resolution and measurement range in the time domain:

  • Sweep range

  • Number of points

  • Window width

Setting the frequency range and the number of points

Sets the sweep range and the number of points to the values calculated above.

Setting display range

Sets the range displayed on the graph.

Enabling transformation function

Enables the transformation function.

Selecting a type

There are two types of transformation to the time domain: band pass and low pass. The appropriate transformation type depends on the DUT.

Comparison between band pass mode and low pass mode

Item

Band pass

Low pass

Appropriate DUT

DUTs that do not operate with dc current such as band pass filters.

DUTs that operate with dc current such as cables.

Input signal

You can simulate the response to the impulse signal.

You can simulate the TDR measurement. You can simulate the response to both the impulse signal and step signal.

Selection of the sweep range

You can select the sweep range arbitrarily.

Because dc data are estimated from the first few points, the frequencies of measurement points must be multiples of the start frequency.

Transmission/

reflection measurement

You can perform both transmission and reflection measurements.

You can perform both transmission and reflection measurements.

Identification of mismatches

You can identify the locations of mismatches.

You can identify the locations of mismatches and the type of impedance (capacitive or inductive).

Resolution

The resolution in the time domain increases by two times over that in the band pass mode.

Available data format

  • Liner magnitude format

  • In the reflection measurement, it indicates the mean of the reflection coefficient within the frequency sweep range.

    In the transmission measurement, it indicates the mean of the transmission coefficient within the frequency sweep range.

  • Log magnitude format

  • In the reflection measurement, it indicates the mean of the return loss within the frequency sweep range.

    In the transmission measurement, it indicates the mean of the transmission gain within the frequency sweep range.

  • SWR format

  • In the reflection measurement, it indicates the mean of SWR (standing wave ratio) within the frequency sweep range.

Real format

In the low pass mode, the real format is useful because the time axis data do not have phase information.

Impulse signal and step signal

The E5063A lets you simulate the response from the DUT to two types of signals: impulse signal and step signal. The impulse signal is a pulse-shape signal in which the voltage rises from 0 to a certain value and returns to 0 again. The pulse width depends on the frequency sweep range. The step signal is a signal in which the voltage rises from 0 to a certain value. The rise time depends on the maximum frequency within the frequency sweep range.

  • For more information on how the frequency span setting affects the pulse width and the rise time, refer to Calculating necessary measurement conditions.

Step signal and impulse signal

Operation

  1. Press Channel Next/Channel Prev and Trace Next/Trace Prev to activate a trace for which you want to set the transformation type.

  2. Press Analysis > Transform to display the Transform menu.

  3. Click Type, then select one of the softkeys to specify the type.

    Softkey

    Function

    Bandpass

    Sets the transformation type to "band pass."

    Lowpass Step

    Sets the transformation type to "lowpass step."

    Lowpass Imp

    Sets the transformation type to "lowpass impulse."

  4. Press Format key to display the "Format" menu, then select the data format.

Setting the window

Because the transforms data within a finite frequency domain to data in the time domain, an unnatural change of data at the end points within the frequency domain occurs. For this reason, the following phenomena occur.

  • Width of impulse signal and rise time of step signal
    A time width occurs in the impulse signal and a rise time occurs in the step signal.

  • Sidelobe
    Sidelobes (small peaks around the maximum peak) occur in the impulse signal and the step signal. Ringing occurs on the trace due to sidelobes, which reduces the dynamic range.

By using the window function, you can lower the level of sidelobes. However, the width of the impulse and the rise time of the step become larger as a penalty. You can select from three types of windows: maximum, normal, and minimum. The following table shows the approximate relation between the window and the sidelobe/impulse width.

Window | Sidelobe level of impulse signal | Width of impulse (50% in low pass mode) | Sidelobe level of step signal | Rise time of step signal (10 - 90%)
Minimum | - 13 dB | 0.60/frequency span | - 21 dB | 0.45/frequency span
Normal | - 44 dB | 0.98/frequency span | - 60 dB | 0.99/frequency span
Maximum | - 75 dB | 1.39/frequency span | - 70 dB | 1.466/frequency span

The window function is available only when the response in the time domain is displayed. It does not have any effect when the response in frequency domain is displayed. The following figure shows the effect of the window when measuring the reflection of a short circuit in the time domain.

Operation

  1. Press Channel Next/Channel Prev and Trace Next/Trace Prev to activate a trace for which you want to set the window.

  2. Press Analysis, then click Transform to display the Transform menu.

  3. Press Window and then select a window type.

    Softkey

    Function

    Maximum

    Sets the window type to maximum. b of the Kaiser Bessel function is set to 13.

    Normal

    Sets the window type to normal. b of the Kaiser Bessel function is set to 6.

    Minimum

    Sets the window type to minimum. b of the Kaiser Bessel function is set to 0.

    Impulse Width

    Sets the window by specifying the impulse width or the step rise time. The lower limit can be set to the value when the window is set to minimum, the upper limit when the window is set to maximum.

    Kaiser Beta

    Sets the window by specifying the b value of the Kaiser Bessel function. The Kaiser Bessel function determines the shape of the window. The allowable setting range is 0 to 13.

  • By specifying Kaiser Beta, or Impulse Width, you can specify a window that is not classified into the three window types. Conversely, when you specify a window type, these values are set automatically.

Calculating necessary measurement conditions

To use the transformation function efficiently, you need to make the following three settings appropriately.

  • Resolution of the response

  • Measurement range

  • Sidelobe

This section describes the details of these settings.

Effect of frequency sweep range on response resolution

The following figure shows an example when measuring the same cable while changing the sweep span. When measured in a narrower sweep range, the overlap between two peaks is larger than when measured in a wider sweep range. By performing measurement in a wider sweep range, adjacent peaks can be clearly separated, which means that the response resolution is smaller.

Effect of frequency sweep range on resolution

The sweep range affects the width of the impulse signal and the rise time of the step signal. The width of the impulse signal and the rise time of the step signal are inversely proportional to the sweep range. Therefore, the wider the sweep range is, the shorter these times are.

The resolution is equal to the width defined at the point of 50% of the impulse signal or the rise time defined at the points of 10% and 90% of the step signal.

Definitions of impulse width and step rise time

Effect of the window function on the response resolution

Lowering the sidelobe level with the window function elongates the width of the impulse signal and the rise time of the step signal. As described in Effect of frequency sweep range on response resolution, because the response resolution is equal to the width of the impulse signal and the rise time of the step signal, lowering the sidelobe level enlarges the response resolution. The following table shows the approximate relationship between the response resolution and the window setting.

Correspondence of Window setting and response resolution

Window | Low pass step | Low pass impulse | Band pass
Minimum | 0.45/stop frequency | 0.60/stop frequency | 1.20/frequency span
Normal | 0.99/stop frequency | 0.98/stop frequency | 1.95/frequency span
Maximum | 1.46/stop frequency | 1.39/stop frequency | 2.77/frequency span

The following figure shows how the response changes as the window shape changes. If the magnitudes of adjacent peaks are comparable, you need to make the resolution higher; if they differ significantly, you need to set the window so that smaller peaks with lower sidelobes appear.

Effect of window on response resolution

Effect of the transformation type on the response resolution

Although both transformation types, band pass and low pass impulse, simulate the response of the impulse signal, the impulse width in the low pass impulse mode is half the width of that in the band pass mode as shown in the table above. Therefore, the resolution is better in the low pass mode. If the DUT can be measured in the low pass mode, response data with better resolution is obtained in the low pass mode.

Measurement range

In the time domain function, the measurement range means the range within which the response can be measured without repetition. The repetition of the response occurs because measurement in the frequency domain is performed discretely instead of continuously. The measurement range is inversely proportional to the frequency difference between adjacent measurement points. The frequency difference between measurement points Delta F is expressed as follows by using the span of the sweep frequency Fspan and the number of points Nmeas.

Therefore, the measurement range is proportional to the number of points-1 and inversely proportional to the span of the sweep range. To enlarge the measurement range, use one of the following methods:

  • Increase the number of points.

  • Narrow the span of the sweep range.

  • When you change the above settings after performing calibration, you need to perform calibration again.

The sweep range is expressed as time or distance. The time of the measurement range Tspanis as follows:

The distance of the measurement range Lspan is expressed as follows using the velocity factor V and the speed of light in a vacuum c (3*E8 m/s).

  • The maximum length of the DUT that can be measured in the transmission measurement is Lspan. On the other hand, in the reflection measurement, because the signal that applies returns, it is 1/2 of Lspan.

The velocity factor varies depending on the material through which the signal propagates: 0.66 for polyethylene and 0.7 for PTFE.

Changes in the settings and changes in the response

The following table shows the effect of changes in the measurement conditions on the response resolution and measurement range.

Change in setting | Response resolution | Measurement range | Sidelobe
Widening the sweep range | Becomes smaller | Becomes narrower | Does not change
Setting the window type to maximum | Becomes larger | Does not change | Becomes lower
Increasing the number of points | Does not change | Becomes wider | Does not change

Setting the frequency range and the number of points

Operation

  1. Press Channel Next/Channel Prev to activate the channel you want to set. The frequency range and the number of points are common to all of the traces in the channel. If you want to use different settings, make them on another channel.

  2. Press Sweep Setup, then click Sweep Type > Lin Freq to set the sweep type to linear sweep. When the sweep type is set to other than the linear sweep, the time domain function is not available.

  3. Set the sweep range using the Start/Stop or Center/Span.

  4. Press Sweep Setup, then click Points and enter the number of points. When performing measurement in the low pass mode, select Analysis > Transform > Set Freq Low Pass to adjust the frequency range so that it is appropriate for the low pass mode. The frequency changes depending on the stop frequency as shown below.

    Condition of stop frequency

    Frequency setting

    >= Flow * the number of points

    Start frequency = stop frequency/number of points

    < Flow * the number of points

    Start frequency: Flow

    Stop frequency = Flow * Number of points

  5. Flow =9 kHz or 100 KHz (Depending upon the installed option)

When the frequency settings satisfy the conditions shown above, the Set Freq Low Pass key is displayed in gray.

Setting display range

The E5063A has the following limitations on the display range you can set.

  • Lower limit: -Tspan

  • Upper limit: Tspan

Tspan is the measurement range expressed in time obtained in Measurement range.

The number of response points displayed on the graph is the same as the number of points regardless of the response resolution.

Operation

  1. Press Channel Next/Channel Prev and Trace Next/Trace Prev to activate the trace for which you want to set the display range.

  2. Press Analysis, then click Transform to display the "Transform" menu.

  3. Press each of the following softkeys and then specify the display range. Distance corresponding to the setting time is displayed at the side of the set value in the data entry bar. The displayed distance is a value taking the velocity factor into consideration.

    Softkey

    Function

    Start

    Sets the start value of the display range in time

    Stop

    Sets the stop value of the display range in time

    Center

    Sets the center value of the display range in time

    Span

    Sets the span of the display range in time

  • You cannot use hardkeys to set the display. The hardkeys are dedicated to specifying the sweep range.

Setting Unit for X-Axis

Operational procedure

  1. Press Channel Next/Channel Prev and Trace Next/Trace Prev to activate the trace for which you want to set the gate range.

  2. Press Analysis, then click Transform to display the "Transform" menu.

  3. Click Units. The following options are available. These options will represent the X-axis of the graph. Meters, feet and inches are calculated by taking velocity factor into consideration.

Softkey | Function
Seconds | Sets the x-axis to seconds.
Meters | Sets the x-axis to meter (distance).
Feet | Sets the x-axis to feet (distance).
Inches | Sets the x-axis to inches (distance).

Enabling transformation function

Operation

  1. Press Channel Next/Channel Prev and Trace Next/Trace Prev to activate the trace for which you want to use the transformation type.

  2. Press Analysis, then click Transform to display the "Transform" menu.

  3. Click Transform to turn ON the transformation function.

  4. The following requirements must be met to enable the transformation function.

    • The sweep mode is the linear sweep.

    • There are three or more measurement points.


Optimizing Measurements

  • Expanding Dynamic Range

  • Reducing Trace Noise

  • Improving Phase Measurement Accuracy

  • Improving Measurement Throughput

  • Performing Segment-by-Segment Sweep (segment sweep)


Expanding Dynamic Range

  • Overview

  • Lowering Receiver Noise Floor

Other topics about Optimizing Measurement

Overview

The dynamic range is the finite difference between the maximum input power level and the minimum measurement power level (noise floor) of the analyzer. In evaluating a characteristic accompanied by a large change in the amplitude (the pass band and stop band of a filter, for example), it is important to increase the dynamic range.

Lowering Receiver Noise Floor

Lowering the noise floor of the receiver enables you to expand the dynamic range. The following methods can be used to lower the receiver noise floor.

  • Narrowing the IF bandwidth

  • Turning on Sweep Averaging

Narrowing the IF bandwidth

Narrowing the receiver IF bandwidth enables you to reduce the effect of random noise on measurements. Narrowing the IF bandwidth to 1/10 the original bandwidth causes the receiver noise floor to decrease by 10 dB.

To specify the IF bandwidth, follow the steps described below.

  1. Press Channel Next (or Channel Prev) to select a channel on which to specify the IF bandwidth.

  2. Press Avg key.

  3. Click IF Bandwidth, then change the IF bandwidth in the data entry area.

Setting IF Bandwidth Automatically

The IF bandwidth auto mode helps you to improve the measurement speed, when the sweep mode is set at log especially. When you make a measurement with wide span from lower frequency and the IF bandwidth is set at fixed frequency, the measurement would be slow or higher noise floor in lower frequency. This function allows you to measure narrower IF bandwidth (lower noise) in lower frequency and wider IF bandwidth (faster ) in higher frequency.

  1. Press Avg key.

  2. Click IFBW Auto to turn ON the IF bandwidth auto mode.

  3. If you want to set an upper limit of IF bandwidth in auto mode, press IFBW Auto Limit, and enter the upper limit with enter keys.

  4. In IF bandwidth auto mode, the IF bandwidth is automatically set to equal to or less than 1/5 of each measurement frequency. (The E5063A does not change IFBW for each test points in IF BW auto mode. The E5063A divides its measurement span into several segments which are defined internally. The IFBW is set at equal to or less than 1/5 of the start frequency of each segment.)

  5. IFBW Auto On may make the sweep time be longer than IFBW Auto Off. This is because IFBW auto operation requires some additional time.

Turning ON Sweep Averaging

Using sweep averaging also enables you to reduce the effects of random noise on the measurements.

Sweep averaging averages data from each point (vector quantity) based on the exponential average of a continuous sweep weighted by the averaging factor specified by the user. Sweep averaging is expressed in the following equation.

where:

  • An = Result of the calculation of sweep averaging for the nth sweep operation at the point in question (a vector quantity)

  • Sn = Measurement value obtained at the nth sweep operation at the point in question (a vector quantity)

  • F = Sweep averaging factor (an integer between 1 and 999)

Define the sweep averaging by following the steps below.

  1. Press Channel Next (or Channel Prev) to select the channel on which you want to define the sweep averaging.

  2. Press Avg > Avg Factor, then change the averaging factor in the data entry area.

  3. Click Averaging to turn ON the averaging.

  4. Clicking Averaging Restart resets n to 1 in Sweep Averaging equation in Turning on Sweep Averaging


Reducing Trace Noise

Any of the following methods can be used to lower the trace noise. This section provides the description of Turning on Smoothing.

  • Turning on Smoothing

  • Turning on Sweep Averaging

  • Narrowing IF Bandwidth

Other topics about Optimizing Measurements

Turning on Smoothing

Smoothing can be used to reduce noise that has relatively small peaks. By turning on smoothing, the value of each point on a trace is represented by the moving average over the values of several nearby points. The smoothing aperture (percentage of sweep span) defines the range of points to be included in the calculation of the moving average.

  • You can define the smoothing trace by trace.

Setting up smoothing

Set up the smoothing operation by following the steps below:

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace prev) to activate the trace on which smoothing will be defined.

  2. Press Avg.

  3. Click Smo Aperture, then change the smoothing aperture (%) in the data entry area.

  4. Click Smoothing to turn ON smoothing. Smo is displayed at the trace status area.


Improving Phase Measurement Accuracy

This section describes the following functions that can be used to improve phase measurement accuracy.

  • Electrical Delay

  • Velocity Factor

  • Phase Offset

  • Port Extensions and Loss Values

Other topics about Optimizing Measurements

Electrical Delay

Electrical Delay is a function that adds or removes a pseudo-lossless transmission line with a variable length corresponding to the receiver input. Using this function enables you to improve the resolution in phase measurement and thereby measure the deviation from the linear phase. You can specify the electrical delay trace by trace.

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace prev) to activate the phase trace of which you want to specify the electrical delay.

  2. Press Scale > Electrical Delay.

  3. Change the electrical delay (in seconds) in the data entry area.

  4. Click Media, and select a media type for calculating the electrical delay. If the electrical delay is 0 second, the calculation result is always the same regardless of media type.

Softkey | Function
Coaxial | Selects Coaxial as the media type.
Waveguide | Selects Waveguide as the media type.

  5. If you have selected Waveguide as the media type, click Cutoff Frequency, and specify a cutoff frequency.

  6. The cutoff frequency is available only when the media type is Waveguide.

Procedure using marker

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace prev) to activate the trace of which you want to set the electrical delay.

  2. Place the active marker in an appropriate position.

  3. Press Maker Fctn.

  4. Click Marker -> Delay to set the electrical delay to the group delay value at the position of the active marker (a value smoothed with the aperture of 20% regardless of the smoothing setting).

Phase offset

Phase offset is a function used to add or subtract a predetermined value relative to the frequency to and from the trace. Using this function enables you to simulate the phase offset which occurs as a result of, say, adding a cable.

The phase offset can be specified from -360° to +360° .

Using the Phase Offset Function

  1. Press Channel Next (or Channel Prev) and Trace Next (or Trace prev) to activate the trace of which you want to specify the phase offset.

  2. Press Scale > Phase Offset, then enter the phase offset (° ) in the data entry area.

Velocity factor

The velocity factor is the ratio of the propagation velocity of a signal in a coaxial cable to the propagation velocity of that signal in free space. The velocity factor for a common cable is about 0.66. The propagation velocity depends on the dielectric constant (εr) of the dielectric substance the cable.

By specifying the velocity factor, you can match the equivalent length (in meters) appearing in the data entry area to the actual physical length when using the Electrical Delay or Setting port extensions to specify the electrical delay (in seconds).

You can define the velocity factor channel by channel.

Using the velocity factor

  1. Press Channel Next (or Channel Prev) to activate the channel for which you want to specify the velocity factor.

  2. Press Cal > Velocity Factor, then the velocity factor in the data entry area.

Port Extensions and Loss Values

Overview

Port Extension is a function for moving the calibration reference plane by specifying the electrical delay. This function is useful, for example, when you cannot directly perform calibration at the DUT terminal because the DUT is inside the test fixture. In such a case, this function enables you to first perform calibration at the test fixture terminal and then move the calibration plane to the DUT terminal by extending the port.

Port extension corrects the electrical delay of each test port (phase shift) only. It cannot remove errors caused by the loss in and incorrect matching of cables, adapters, or test fixtures.

In addition to port extension, you can set loss values for each port. By correcting loss due to port extension, more accurate measurement results are obtained.

There are two types of loss value settings: loss values at two frequency points for a specified port, and a DC loss value. You can make these settings at the same time for each port.

The port extension is not available for the Gain-Phase measurement.

  • You can set loss values channel by channel. Setting loss values for one particular channel does not affect other channels.

  • You can define port extension channel by channel. Setting port extension for one particular channel does not affect other channels.

Enabling port extensions and loss values

  1. Press Channel Next (or Channel Prev) to activate the channel for which you want to enable port extension.

  2. Press Cal > Port Extensions.

  3. Turn ON Extensions.

Setting port extension and Loss values manually.

Setting electrical delay

Follow the steps below to set the delay for coaxial cable:

  1. Press Channel Next (or Channel Prev) to activate the channel for which you want to set port extension.

  2. Press Cal > Port Extensions.

  3. Click Extension Port 1 or Extension Port 2 to select the port.

  4. Click Extension to set the extension in sec.

Setting coaxial delay, waveguide delay and cut off frequency

Follow the steps below to set coaxial or waveguide delay:

  1. Press Channel Next/Channel Prev keys to activate the channel for which you want to set port extension.

  2. Press Cal key.

  3. Click Port Extensions.

Softkey | Function
Auto Port Extension | Sets the Auto Port Extension
Extension Port 1 | Sets port extension (in seconds) for test port 1.
Extension Port 2 | Sets port extension (in seconds) for test port 2.

  4. Click Extension Port n where n can be from 1 to 2.

  5. Click Waveguide to set delay in sec.

  6. Click Cutoff Frequency to set cut off frequency of selected port.

  7. Click Coax. Extension to set the coaxial extension in sec.

  8. If you want to use waveguide port extension, then setting of coaxial delay is not necessary. If only waveguide measurement is needed, coaxial delay should be set to zero. Coaxial extension value should be set while measuring adapters between coaxial and waveguide.

Waveguide delay and Cut off frequency can be set using the following commands:

:SENS:CORR:EXT:PORT:WAV:CUT

:SENS:CORR:EXT:PORT:WAV:TIME

  • System Z0 should be changed to 1 ohm before calibration when using waveguide calibration kit and measuring waveguide devices.

  • Some calibration kits such as the waveguide calibration kit have operational frequency range defined by Minimum and Maximum frequency. When the E5063A stimulus setting is out of the operational frequency range, you cannot click Done key or finish the calibration by remote control. In this case, use a calibration kit that has proper frequency range, or change the E5063A stimulus setting to proper range that the calibration kit can cover. Refer to the calibration kit manual or definition in the E5063A with Cal > Modify Cal Kit > Define STDs for the Maximum & Minimum frequency of the calibration kit.

Setting loss values

  1. Press Channel Next (or Channel Prev) to activate the channel for which you want to set loss values.

  2. Press Cal > Port Extensions.

  3. Click Extension Port 1 or Extension Port 2 to select the port.

  4. Click Loss to set a loss value.

  5. Click Loss1 [OFF] to toggle to Loss1 [ON] (enabled), and enter a loss value (Loss1) and a frequency (Freq1).

  6. If you want to set loss at two frequency points, press Loss2 [OFF] to toggle to Loss [ON] (enabled), and enter a loss value (Loss2) and a frequency (Freq2).

  • Expression to calculate loss using Loss 1:

  • Expression to calculate loss using Loss 1 and Loss 2:

  • When you specify two frequency points, set the lower frequency to Loss1, and the higher one to Loss2.

Setting a DC loss value

  1. Click Cal > Port Extensions > Extension Port 1 or Extension Port 2 to select the port.

  2. Click Loss > Loss1 [OFF] to toggle to Loss1 [ON] (enabled).

  3. Click Loss at DC, then enter a DC loss value.

Using the auto port extension function

The auto port extension function measures port extension and loss values for each port using the OPEN/SHORT standard connected to the port, automatically calculates and sets them.

When the auto port extension function is completed, the port extensions and loss values are updated to the calculated values.

You can use both open and short measurement values in the auto port extension function. Note that in this case, the average value of the calculation results is used for updating.

You can set the auto port extension function channel by channel. Setting the auto port extension function for one particular channel does not affect other channels.

A. Selecting a port(s)

Select the port(s) of which you want to use the auto port extension function.

  1. Press Channel Next (or Channel Prev) to activate the channel of which you want to set auto port extension.

  2. Press Cal > Port Extensions > Auto Port Extension > Select Ports to select the port(s) of which you want to use the auto port extension function.

B. Setting frequencies used for calculation

Set the frequency points ofh which you want to calculate a loss value.

  1. Press Cal > Port Extensions > Auto Port Extension > Select Ports > Method to set the frequencies used for calculation.

    Softkey

    Function

    Current Span

    Executed using the frequency range set currently.

    Active Marker

    Executed using the frequency at the active marker. In this case, the result is applied to Loss1. Loss2 is ignored.

    User Span

    Executed using a start value and a stop value you set.

  2. If you have selected User Span, use User Span Start and User Span Stop to set a start value and a stop value.

  3. For Current Span and User Span, a frequency point at 1/4 of the frequency range is set to Freq1; a frequency point at 3/4 of the frequency range is set to Freq2.

  4. If the setting is not made before starting OPEN/SHORT standard measurement, it does not affect the calculation result.

C. Specifying a loss value as a calculation target

Specify whether you want to include a loss value in the calculation result.

  1. Press Cal > Port Extensions > Auto Port Extension > Select Ports > Include Loss to turn it ON.

  • If the setting is not made before starting the measurement of the OPEN/SHORT standard, it does not affect the calculation result.

D. Specifying a DC loss value as a calculation target

Specify whether you want to include a DC loss value in the calculation result.

  1. Press Cal > Port Extensions > Auto Port Extension > Adjust Mismatch to turn it ON.

  • If the setting is not made before starting the measurement of the OPEN/SHORT standard, it does not affect the calculation result.

E. Measuring the OPEN/SHORT standard and executing calculation

Calculate port extensions and loss values based on the calculation results using the OPEN/SHORT standard.

  1. Press Cal > Port Extensions > Auto Port Extension.

  2. If you use the OPEN standard, click Measure OPEN, and select the port(s) of which you want to execute measurement. Execution is restricted to ports selected in Selecting a port(s)

  3. If you use the SHORT standard, click Measure SHORT, and select the port(s) of which you want to execute measurement. Execution is restricted to ports selected in Selecting a port(s).

  • If a port extension value or loss value has been set, the value is updated to the calculated result.

  • If you execute both open measurement and short measurement, the average of the calculation results is reflected to the port extension and loss value.

F. Deleting the result of open/short measurement

When you exit from the softkey menu in the same level after open/short measurement, the measurement results are deleted. Note that you can use a GPIB command.

  • Port extension and loss values that have been calculated are not cleared.


Improving Measurement Throughput

This section explains the methods to improve measurement throughput.

  • Turning OFF the updating of information displayed on the LCD screen

Other topics about Optimizing Measurements

Turning OFF the updating of information displayed on the LCD screen

Turning OFF the updating information feature displayed on the LCD screen eliminates the processing time required to update displays within the analyzer, hence improves the measurement throughput. If it is not necessary to check displayed information during measurements, turning OFF real-time updating is an effective means of improving throughput.

The updating of information displayed on the LCD screen can be switched using the following procedure:

Turning OFF the updating of information

  1. Press Display.

  2. Click Update to switch the updating of displayed information on the LCD screen ON/OFF.

When the LCD screen update is turned OFF, Update Off appears on Instrument Status Bar.


Performing Segment-by-Segment Sweep (segment sweep)

Performing a Segment-by-Segment Sweep

This section describes the concept of the segment sweep and how to perform it.

  • Concept of Segment Sweep

  • Conditions for Setting Segment Sweep

  • Items that can be set for Each Segment

  • Sweep Delay/Sweep Time in Segment Sweep

  • Frequency/Order Base Display

Other topics about Optimizing Measurements

Concept of Segment Sweep

To perform a segment sweep, you must define two or more frequency ranges, called segments, and then specify the number of points, IF bandwidth, power level, sweep delay time, and sweep time for each segment. All segments are swept sequentially as if swept in one sweep operation.

  • By skipping the frequency range, which does not need to be measured, you can sweep and measure only the portions you need.

  • You can define the optimum measurement conditions for each of the segments you designate. For example, you can specify as many points as possible in a segment requiring high trace resolution and as few points as possible in a segment not requiring high resolution. This shortens the measurement time, enabling you to optimize the overall measurement throughput by not having to perform the entire operation under the same measurement conditions of a particular frequency range.

To evaluate a band pass filter that has the transmission characteristics shown in the following figure, for example, you can select the frequency ranges you need from A through G and determine the measurement conditions shown in the table below. This enables you to measure them simultaneously in one sweep operation.

Frequency ranges (segments) from the figure above and their measurement conditions
 | Start frequency | Stop frequency | Number of points | IF Bandwidth
A | 440 MHz | 915 MHz | 50 | 50 kHz
B | 915 MHz | 980 MHz | 130 | 70 kHz
C | 980 MHz | 1.035 GHz | 60 | 50 kHz
E | 1.07 GHz | 2 GHz | 100 | 70 kHz
G | 2.6 GHz | 3 GHz | 40 | 70 kHz

Conditions for Setting Segment Sweep

The following conditions apply in setting up a segment sweep.

  • The frequency range of a segment must not overlap with that of another segment. (The start frequency of a segment must be higher than the stop frequency of the immediately preceding segment).

  • The start frequency of segment 1 must be greater than 100 kHz and the stop frequency of the last segment less than highest frequency, as per the range of the Network Analyzer (depending on the Option, e.g. 4.5 GHz, 8.5 GHz or 18 GHz).

  • When the start frequency and stop frequency of a segment are not the same, you can define from 2 to the maximum points in a segment.

  • When the start frequency and stop frequency of a segment are the same, you can define from 1 to the maximum points in a segment.

  • You can set the total number of points in the segment table from 2 to the maximum points.

  • You can set the number of segments in the segment table to between 1 and 201.

Items that can be set for Each Segment

For the segment sweep, you can set the sweep range, the number of points, IF bandwidth, power level, sweep delay time, and sweep time for each segment.

You can set the items in the following table to ON/OFF for each segment. If you enable the segment-by-segment setting, you can make the setting for each segment in the segment table; if you disable it, the setting in the following table is used.

Item | When segment-by-segment setting is disabled
IF bandwidth | For all segments, the IF bandwidth (set with Avg > IF Bandwidth) is set even if IFBW AUTO is turned ON.
Power level | For all segments, the power level for the linear/log sweep (set with Sweep Setup > Power) is set.
Sweep delay time | For all segments, 0 is set.
Sweep time | For all segments, the auto sweep time mode is set.

Sweep Delay/Sweep Time in Segment Sweep

The definitions for sweep delay time and sweep time, which you can specify in the segment sweep, are shown in below figures.

The definitions for sweep delay time and sweep time when trigger mode is "On Sweep".

The definitions for sweep delay time and sweep time when trigger mode is "On Point".

  • The segment trigger delay is not included in the segment sweep time.

Frequency/Order Base Display

You can choose between frequency-based and order-based display as the method of displaying traces when executing a segment sweep.

Procedure

Creating a segment table

  1. Press Channel Next (or Channel Prev) to select the channel of which you want to create the segment table.

  2. Press Sweep Setup.

  3. Click Edit Segment Table. The segment table appears in the lower section of the screen.

  4. Select the softkey to change the frequency range setting mode or to set the IF bandwidth, power level, sweep delay time, and sweep time for each segment.

    Softkey

    Function

    Freq Mode

    Switches the frequency range setting mode (start/stop or center/span)

    List IFBW

    Toggles ON/OFF the IF bandwidth setting for each segment; the row for setting (IFBW) only appears in the segment table when this is ON

    List Power

    Toggles ON/OFF the power level setting for each segment; the row for setting (Power) only appears in the segment table when this is ON

    List Delay

    Toggles ON/OFF the sweep delay time setting for each segment; the row for setting (Delay) only appears in the segment table when this is ON

    List Time

    Toggles ON/OFF the sweep time setting for each segment; the row for setting (Time) only appears in the segment table when this is ON

    1. When setting the segment table using the front panel keys or keyboard, you need to place focus on (select) the operation target (segment table of softkey) first. You can change the focus by pressing Foc key in the ENTRY Block. When the focus is placed on the segment table, the window frame of the segment table is displayed as bright as the window frame of the active channel. When the focus is placed on the softkey menu, the softkey menu title area is displayed in blue.

  5. Enter each item in the following table for each added segment (line) to create the segment table. To create the segment table, use the hardkeys and softkeys.

    Start

    Sets the start value of the sweep range

    Stop

    Sets the stop value of the sweep range

    Center

    Sets the center value of the sweep range

    Span

    Sets the span value of the sweep range

    Points

    Sets the number of points

    IFBW

    Sets the IF bandwidth

    Power

    Sets the power level; the power range is common to the settings for the linear/log sweep (Sweep Setup > Power Ranges)

    Delay

    Sets the sweep delay time

    Time

    Sets the sweep time; to specify the auto setting (AUTO), enter 0 as the sweep time

Useful functions when using a mouse

  • You can copy/paste/insert/delete the cell by right-clicking on the selected cell.

    Shortcut

    Function

    Copy

    Copies the value in the selected cell into the clipboard (internal temporary storage memory)

    Paste

    Pastes the value data in the clipboard to a newly selected cell

    Insert

    Adds a new line above the selected cell

    Delete

    Deletes the line containing the selected cell

  • In the character-by-character edit mode, you can undo/cut/copy/paste/delete/select all by right-clicking in the cell.

    Shortcut

    Function

    Undo

    Undoes the change and restore the value before the change

    Cut

    Cuts the selected string and store it into the clipboard (temporary memory)

    Copy

    Copies the selected string into the clipboard

    Paste

    Pastes the string in the clipboard to a newly selected cell

    Delete

    Deletes the selected string

    Select All

    Selects the entire string in the cell

Executing segment sweep

To execute a segment sweep by using the segment table you have created, you must specify the sweep type for that sweep operation by following the steps below.

  1. Press Channel Next (or Channel Prev) to select the channel on which you execute the segment sweep operation.

  2. Press Sweep Setup > Sweep Type > Segment.

Setting up the segment display

Define the method of displaying traces when the segment sweep is executed by following the steps described below.

  1. Press Channel Next (or Channel Prev) to select the channel on which you define the segment display.

  2. Press Sweep Setup > Segment Display.

  3. Select the segment display.

    Softkey

    Function

    Freq Base

    Displays the X-axis as the axis for linear frequencies (frequency-based display)

    Order Base

    Displays the X-axis as the axis for the points (order-based display)

Saving a newly created segment table in CSV format

As discussed in Creating a segment table, you can export the newly created segment table as a CSV (comma-separated value) formatted file (so it can be used easily in software that requires a different format).

  1. Press Sweep Setup.

  2. Click Edit Segment Table > Export to CSV File to open the Save As dialog box. Note that CSV files (*.csv) is already selected as the file type when the dialog box first opens.

  3. Type the file name in the File Name area and Click Save to save the segment table.

Calling a segment table saved in CSV Format

By importing a segment table file saved by E5063A, you can set up the segment table.

  • It is possible to recall a file from a different channel where it is saved.

  1. Press Sweep Setup.

  2. Click Edit Segment Table > Import from CSV File to open the Open dialog box. Note that CSV files (*.csv) is already selected as the file type when the dialog box first opens.

  3. Select the CSV format file to be imported, and click Open to call up the segment table.

  • You cannot import a CSV-formatted file created/edited in spreadsheet software into the E5063A.


Test Wizard

Test Wizard (Opt.011)

Test wizard is available when option 011 is installed.

  • Overview

    • Introduction

    • Test Wizard Screen Navigation

  • Setting Up Test Sequence

  • Executing Test


Overview

  • Introduction

  • Test Wizard Screen Navigation

Other topics about Test Wizard


Introduction

  • Overview

  • Turning ON Test Wizard

  • Introduction to the Screen Area

  • Front Panel and Other Softkey Functionality

Overview

The E5063A with the installation of Option 011 Test Wizard is designed to perform automated manufacturing go/no-go test of the characteristics impedance of Printed Circuit Boards (PCB). It is highly suitable for in circuit testing, wider bandwidth instruments and PCB antennas testing. It could perform single-ended and differential impedance measurement.

Apart from the PCB manufacturing use, the E5063A Test Wizard is also designed for other manufacturing testing such as for S-parameter and impedance measurement.

E5063A Test Wizard Manufacturing Test Procedure

Though the characteristics impedance measurement can be performed without the Test Wizard it requires complicated test process/steps. For example, instrument configuration and error correction takes several extra steps and there is no option to set and distinguish between administrator login and operator login. With the Test Wizard, users are guided through the instrument/DUT configuration, error correction and calibration and test sequence arrangement.

Moreover, the Test Wizard also allows the setting of measurement requirement and configuration to be saved with administrator login, allowing only authorized personal to perform and edit the test and measurement configuration. The configured test can be performed as either automated or manual test by any non-skilled operator.

Define Test Parameters/Sequence (Edit Test Mode)

By using the Test Wizard, users have the option to configure and define the test sequence or execute a test sequence. Considering a typical manufacturing environment, the engineer, by using administrator login, which is the Design Mode, could edit the instrument configuration, perform calibration and error correction, edit test sequence as well as edit test list. The Test Wizard guides easy to follow step by step procedure to configure the instrument as per the physical connection and then perform calibration according to the configuration. In Edit Test mode, the test sequence can be set as well; either manual or automatic, the type and location of the output and some advance setting that can help the non-technical operators perform the test easily. The type of measurement and format can also be set at this mode.

The Edit test mode allows users to set and perform several different test limits including absolute test, average and multi-segment in time domain measurement. In S-Parameter measurement, only multi-segment test-limit is allowed.

Production Test Mode (Execute Test Mode)

In Execute Test mode, operators can perform the test measurement according to the sequence defined in the Edit mode. With password, the users of this mode have limitation of the screen they can access to. This prevents the non-skilled operators from changing the settings by mistake. With the configuration being set in the Design Mode, the users at the production only need to execute the test as defined. As the tests are being executed, the Test Wizard shows whether a test or series of tests have passed or failed. The users can save measurement result with the serial number of the DUT to ease future retrieval.

The structure of the Test Wizard is as shown below.

Turning ON Test Wizard

To turn ON the Test Wizard, select Analysis > Start Test Wizard.

Introduction to the Screen Area

Graph Area

The test result of the Time Domain and S-Parameter is displayed here. Only one trace is displayed. Multiple trace display is not supported.

Navigation Bar

The active menu is shown here. You can toggle from one menu to the other by clicking on the arrows.

Setting Area

The setting area changes and is displayed according to the selected menu.

Function Area

Available operation key for the active menu is displayed here.

Front Panel & Other Softkey Functionality

Front Panel Lock and Softkey

The hardkeys highlighted above and softkeys associated with them become inactive when Test Wizard is running active. However, when the Advanced Mode is turned ON, these hardkeys and softkeys are activated.

  • Some keys activated under the Advanced Mode may collide with some functions under the Test Wizard. Hence, use the keys activated under Advanced Mode with attention.

Entry Box

When numeric entry box is clicked, the Entry Box as shown above is displayed.

The units displayed on the Entry Box (right most) varies depending on the numeric entry box.


Setting Up Test Sequence

  • Selecting Language

  • Setting Up New State and Recalling State

  • Configuring Instrument

  • Configuring Error Correction

  • Configuring Test Sequence

  • Configuring Test List

Other topics about Test Wizard


Selecting Language

The drop-down button below Select Language label, provides you option between English, Traditional Chinese, Simplified Chinese, Korean or Japanese language. The language selection determines the language in which the Test Wizard will be displayed. However, the labels in the measurement screen and the softkey menu displayed in the Advanced Mode are in default English language.

This language selection is applied only to the Test Wizard area. The language for other area including soft keys, cannot be changed.

  • Do NOT change the settings of the Standards and Formats in Regional Options and Languages of Windows OS from default setting (English).

Other topics about Setting Up Test Sequence


Setting Up New State and Recalling State

  • New Test

  • Recall Test

  • Other Home Menu

Other topics about Setting Up Test Sequence

New Test

Begins a new test. Previous test data will be lost once New Test is selected.

  1. Click on New Test button.
  2. Below dialog box appears. Click OK to continue.

  3. The earlier test data will be lost and all settings are changed to default settings.

Recall Test

Recall test setting state file saved earlier. The supported test wizard state file format is *.twz.

  1. Click on the Recall Test button.
  2. Below open file dialog box appears.
  3. Select the desired state file and click Open.
  4. The earlier test data will be lost and all settings are changed to the recalled state file settings.

Other Home Menu

Save Test

Saving the existing test setting and overwriting earlier test setting.

Save Test As

Saving the existing test setting by assigning a filename.

Home

Returns to main menu.

About Box

Displays About E5063A Test Wizard box, which shows the test wizard and firmware revision, serial number and build date.

Information

Displays the test setting information - test file name, topology setup, number of tests, type of error correction selected and the test option.


Configuring Instrument

  • Selecting DUT Topology

  • Configuring More Function

Other topics about Setting Up Test Sequence

The display of Edit Menu depends on the security mode. In Administrator Security Mode, password is required to enter the Edit Test and perform changes.

Selecting DUT Topology

To select the DUT Topology:

  1. Click Edit Test at Home menu.

  2. Click Modify at Edit Test page.

  3. Instrument Configuration Wizard is executed and Select DUT Topology dialog box appears.

  4. Define the external switch connection setup (U1810B switch) as well as DUT topology, click on the option matching the physical connection and click Finish.

U1810B USB Coaxial Switch SPDT (Single-Pole Double-Throw)

Test Wizard can connect up to 4 ports when you use U1810B switch. However, you can make only 2 port-measurement at any one time.

You can connect up to 2 switches to E5063A,which means you may make, up to 4 DUT port measurement. When you connect only one switch, you must connect it to port 1 of the E5063A.

If the number of connected U1810B switch is set at 2 but only 1 switch is connected:

  • In Edit menu: Warning message pops up.

  • In Executed Test menu: Error message pops up.

To learn more about U18010B USB Coaxial Switch SPDT, visit www.keysight.com.

In the Test Wizard, DUT port number is assigned to physical DUT port number is used for control purpose.

Correlation of number of switch with the maximum number of ports is shown in the below table:

DUT port number assignment

Figure # | No. of U1810B switches | Maximum no. of DUT ports | DUT Port 1 | DUT Port 2 | DUT Port 3 | DUT Port 4
1 | 0 | 2 | E5063A Port 1 | E5063A Port 2 | N/A | N/A
2 | 1 | 3 | U1810B Port 1 | E5063A Port 2 | U1810B Port 2 | N/A
3 | 2 | 4 | U1810B Switch 1 Port 1 | U1810B Switch 2 Port 1 | U1810B Switch 1 Port 2 | U1810B Switch 2 Port 2

Typical Configuration and DUT Topology

Number of your DUTs |  |  | Required Number of USB Switch | Port Connection (DUT Port Number: Px)
Single-end 1-Port DUT | Single-end 2-Port DUT | Differential 1-Port DUT (Physical 2 Port) |  | Single-end 1-Port DUT | Single-end 2-Port DUT | Differential 1-Port DUT
1 | 0 | 0 | 0 | P1 or P2 | - | -
1 | 1 | 0 | 1 | P3 | P1-P2 | -
1 | 0 | 1 | 1 | P3 | - | P1-P2
2 | 0 | 0 | 0 | P1,P2 | - | -
2 | 1 | 0 | 2 | P3 | P1-P2 | -
2 | 0 | 1 | 2 | P3,P4 | - | P1-P2
3 | 0 | 0 | 1 | P1,P2,P3 | - | -
4 | 0 | 0 | 2 | P1,P2,P3, P4 | - | -
0 | 1 | 0 | 0 | - | P1-P2 | -
0 | 0 | 1 | 0 | - | - | P1-P2
0 | 2 | 0 | 2 | - | P1-P2, P3-P4 | -
0 | 0 | 2 | 2 | - | - | P1-P2, P3-P4

Single Ended 1-Port Topology with no Switch connected

Single Ended 2-Port Topology with no Switch connected

Differential 1 Port Topology with no Switch connected

Single Ended 1-Port Topology with 1 Switch

Single Ended 1-Port and Single Ended 2-Port Topology with 1 Switch

Single Ended 1-Port and Differential 1-Port Topology with 1 Switch

Single Ended 1-Port Topology with 2 Switches

Single Ended 2-Port Topology with 2 Switches

Single Ended 1-Port and Single Ended 2-Port Topology with 2 Switches

Differential Single Ended 1-Port with 2 Switches

Single Ended 1-Port & Differential 1-Port Topology with 2 Switches

Configuring More Function

Ref.Z

Reference Impedance

Dielectric Constant

Editing dielectric constant changes the value of velocity factor automatically.

Velocity Factor

Related to dielectric constant, hence, editing dielectric constant automatically changes the value of velocity factor and vise versa.

X-Axis Unit

The unit of X-axis. Selection choices are Second, Meters or Inches.

Couple Rise Time

Couples the rise time between test items.

Advanced Mode

Activates the advanced mode, where the E5063A softkey menu are activated.

Consideration in Advanced Mode

In the Advanced Mode, you can access all setting of E5063A. The setting you changed may affect the measurement unexpectedly. The measurement may not be correct if you have such a case. Therefore, the measurement performance is not guaranteed in the Advanced Mode.

It is known that changing the following setting causes incorrect measurement.

Hard key | Do not use
Meas | Do not change the parameter
Sweep Setup | Start/Stop/Center/Span Points Sweep Type
Marker Function | Marker -> Start, Marker -> Stop

Here is another caution in the Advanced Mode.

Function |  | Note
Display | Increasing Num of Trace | This may cause to tilt the wave form in the time domain.
Analysis | Fixture Simulator | This may cause to tilt the wave form in the time domain.
 | Transform > Window > Impulse width | This may cause the setting change.
Calibration | Increasing Port Extension | This may cause to exceed the DUT length limitation.
Scale | Increasing Electrical Delay | This may cause to exceed the DUT length limitation.
Ave | IF Bandwidth | Even if you have narrow IF Bandwidth, you may not have noise reduction at lower frequency.
Display | Data Math, Equation Editor | The data and memory positions in data processing are different.

To configure more functions:

  1. Click Edit Test at Home menu.

  2. List of functions are found under More Functions group. Enter or select the desired value:

    • Reference impedance - by default its set to 50 W.

    • Dielectric constant & Velocity Factor - when you change the dielectric constant, the velocity factor is changed automatically according to the below formula. This value is used to convert from electrical length to physical length at X-Axis and Marker reading:

      • Velocity Factor = 1/sqrt(Dielectric Constant)

    • X-Axis Unit - can be toggled between time and length. Length can be defined in meters or inches.

    • Couple Rise Time - check this option to couple Rise Time between test items.

    • Advanced Mode -

      1. Click on this button and below dialog box appears.

      2. When you want to perform any calibration such as 8 term-calibration in Advanced Mode, select the check box named Use Advanced Calibration Methods in dialog box.

        • In advance calibration methods:

          • Deskew and DLC can not be used because its accuracy becomes worse.

          • The calibration you did in basic mode is cleared.

      3. Click Yes to start the Advanced Mode.

      4. The following settings are changed.

        • Softkeys are displayed on the right side of screen.

        • All hard keys are unlocked.

        • SVC in the instrument status bar turns in blue.

      5. Once Advanced Mode is activated, the button is replaced by Basic Mode button as shown below. Click on the this button to return to normal mode, which presets the firmware.


Configuring Error Correction

  • Performing Error Correction with Wizard

  • Performing Manual Error Correction

Other topics about Setting Up Test Sequence

Performing Error Correction with Wizard

Refer to Error Correction Menu for brief explanation of the Error Correction Wizard dialog box. Below is an example of performing error correction by using wizard. In this example, error correction for 2 Single Ended 1 Port (SE1P) setup is performed, where Port one with Deskew & Loss and Port 2 with ECal. :

  1. Click the Error Correction Wizard button to execute the Error Correction Wizard.
  2. The pages shown varies according to the error correction method selected. At the Select Method page, select the error correction method for the active ports, in this example, both Port 1 (Deskew & Loss) and Port 2 (ECal).

  3. At Deskew page, connect all cables and probes to the instrument, however, ensure to disconnect DUT from cables and probes. Then, press the Deskew Port [ ] button.

  4. At Measure Open page, connect thru to the relevant port, in this example, Port 1 and click Measure Port [ ] button.

  5. At Measure Load page, connect load to the relevant port, in this example, Port 1 and click Measure Port [ ] button.

  6. At ECal page, connect ECal module to the relevant port, in this example, Port 2 and click Calibrate Port [ ] button.

  7. At Fixture Comp page, once again, connect all cables and probes to the instrument, however, ensure to disconnect DUT from cables and probes. Then click the Fixture Comp Port [ ] button.

  7. Upon completion, click the Finish button which completes the Error Correction performance.

Performing Manual Error Correction

Instead of using the Error Correction Wizard, you can also perform error correction manually. Refer to Error Correction Menu for brief explanation of the screen.

Below is an example of performing error correction manually. In the same example as above, error correction for 2 Single Ended 1 Port (SE1P) setup is performed, where Port one with Deskew & Loss and Port 2 with ECal. :

Topology & Port(s)

Topology and Port(s) are display only elements. Topology setup and Ports setup are performed at Instrument Configuration Menu.

Correction Method

Click on this button to select correction method between the given option - Deskew, Deskew & Loss and ECal. Once correction method is selected, Correction Status is highlighted in red indicating that its yet to be corrected.

Correction Status

By default, the Correction Status indicator is Off, in black. When the Correction Method is selected but Error Correction is not performed, the indicator change to Off, in red. When the Error Correction is performed with the selected Correction Method, the indicator change to On, in black.

Perform Correction

Performs Error Correction only for the corresponding DUT.

Require after Recall Test

Once checked, Error Correction should be performed once a test is recalled. If unchecked, Error Correction is not required.

Load Impedance, IFBW & Averaging Factor

Allows you to determine load impedance, frequency bandwidth and averaging factor.

  1. For each port, click on the correction method drop-down button and select accordingly. In this example, for Port 1, select Deskew & Loss and for Port 2, select Ecal.

  2. Select correction method for all the ports prior performing correction. If you select correction method for the next port after performing correction for one port, you may lose the error correction data.

  2. Once correction method is collected, correction status is highlighted in red as Off and Perform Correction buttons are activated.

  3. Click on the Perform Correction button and Error Correction Wizard prompts, similar to the above.

  4. Other factors that you can configure manually are:

    • If error correction is required to be performed when a test is recalled.

    • Load impedance

    • frequency bandwidth

    • averaging factor


Configuring Test Sequence

  • Setting Up Test Sequence

  • Setting Up File Output

  • System Security

Other topics about Setting Up Test Sequence

Upon completion of error correction performance, perform test sequence configuration, at the Test Sequence Menu page.

Setting Up Test Sequence

At Test Sequence area, set the below properties:

  • Auto Advance: On | On Pass | Off - If On is selected, next test is selected automatically and executed once the earlier test is completed. If On Pass is selected, next test is selected only when the earlier test has passed. If Off is selected, next test has to be manually selected to be executed once the earlier test is completed.

  • Beep: On | On Pass | On Fail | Off - If On is selected, the beeper goes off once a test is completed. Other options include turning off the beeper, beeper goes off when a test pass and beeper goes off when a test fails.

  • Auto Scale: On | Off - When turned On, performs auto scale after measurement is completed.

  • Fail Sign: On | Off - When turned On, displays fail sign on the graph area.

  • Operator Instruction Window: On | Off - When turned On: Enlarge/popup the operator instruction dialog when users move to the next test item or enter to Execute Test. When turned Off: Does not show the operator instruction dialog.

Setting Up File Output

At the File Output area, set the below properties:

  • Output File Path - Path where result file is saved. Select the path by clicking the Browse button.

  • Auto Save Results - Prompts the save dialog box automatically after all test is done.

  • Auto Save Trace - Saves the trace data after all the test are executed and completed.

  • Auto Save Touchstone - Saves the SnP file after all the test are executed and completed.

  • Auto Save Image - Saves the bitmap image file after all the test are executed and completed.

System Security

At the System Security area, set the below properties:

  • Operator - Allows you to open Edit Test menu without any password.

  • Administrator - Password is required to open Edit Test Menu.

  • Password - Password for Administrator mode.


Configuring Test List

  • Introduction

  • Editing/Adding/Deleting Each Test Sequence

  • Defining Each Test

  • Defining Test Limit

  • Making Measurement for Confirming Result

Other topics about Setting Up Test Sequence

Introduction

Test List Display

Displays the test information as below:

  • Test No - The test index number.

  • Description - Test description as entered by user. If description is not specified, "Test N" is displayed, where N is number.

  • DUT - Selected DUT topology.

  • Parameter - Measurement parameter.

  • Format - Measurement format, e.g. Impedance, Linear, Log Mag etc.

  • Limit Type - Absolute Limit when Time Domain is selected and Multi Segment when S-Parameter is selected.

Others

  • Add - Adds a new test at the end of the test list.

  • Delete - Deletes the selected test.

  • Edit - Edits the selected test. Opens the Measurement Setup Menu where the test configuration is edited.

Editing/Adding/Deleting Each Test Sequence

Editing Test Sequence

  1. Select on the test you intend to edit.

  2. Click the Edit button.

  3. Measurement Setup Menu opens where the test configuration is edited. Refer to Defining Each Test and Defining Test Limit.

Adding Test Sequence

  1. Click the Add button.

  2. A new line of test is added below the last row of test.

  3. Select the new test.

  4. Click the Edit button to configure the new test.

Deleting Test Sequence

  1. Select on the test you intend to delete.

  2. Click the Delete button.

  3. The test is removed from the test list.

Defining Each Test

You can define each test at Measurement Setup Menu page.

Test Description

  • Test No displays the sequence number of the test.

  • Description entry box allows you to enter the descriptive statement about the test. By default, "Test N" is displayed, where N is number.

Operator Instruction

  • Operator Instruction - Click on the Setup button and the Operator Instruction Wizard shows where you can select the instruction type (default, text and picture) and edit accordingly. The operator instructions dialog box is displayed at the beginning of each test. As for picture, you can select *.png file of any size however, 512 × 320 pixel picture fits the frame well. Picture of other sizes is resized automatically if its larger or smaller than 512 × 320 pixel.

  • The operator instructions dialog box can be disabled with Operator Instruction Window: On | Off .

Contact Check

  • Contact Check - Check this box to make a continuous trigger measurement at Execute Test. This allows you to monitor the measurement waveform continuously and you can check if contact is made correctly before execute actual test.

Measurement

  • Measure - Allows you to select between Time Domain and S-Parameter measurement. The measurement selection determines the limit selection, located at the right side of the Measurement Setup Menu.

  • Parameter - Parameter selection is also determined by the measurement selection. Parameter options for Time Domain selection are T11, T21, T12, T22, Tdd11, Tdc11, Tcd11 and Tcc11. S11, S21, S12, S22, Sdd11, Sdc11, Scd11 and Scc11 are for S-Parameter measurement. The available selection is depend on the DUT Topology.

  • Format - Allows you to select the format type. The list of available format is determined by the measurement selection.

  • Averaging - Check this box to trigger the averaging function, where a number of sweep is executed with a single trigger. The number of sweep is determined by the averaging factor.

  • Averaging Factor - Determines the number of sweep executed with a single trigger when averaging function is activated.

  • IFBW (Frequency Bandwidth) - Determine the frequency bandwidth. The default value is 70 kHz.

Time Domain/S-Parameter

This section is determined by the measurement selection:

Time Domain

  • DUT Length - DUT length can be specified for each test independently. The DUT length is used to calculate the limit test range and auto scale for X axis. The longest DUT length in each test is used for actual measurement setting. The DUT length is displayed at the Test List Menu. When the longest DUT length is changed to above 6.96 ns(*), the memory trace in all the Time Domain tests are cleared. However, when the longest DUT length is set within the range below 6.96 ns(*), the memory trace are not cleared and remain unchanged. To automatically set the DUT Length, click on the Auto button to execute the DUT Length Wizard.

    • (*) This value is depending on the frequency option. 6.96 ns (Opt. 2H5), 14.8 ns (Opt. 285), 27.9 ns (Opt. 245).

    • Connect the DUT to cables and probes.

    • Click the Measure button.

    • Once done, click Finish.

  • Rise Time - Allows you to set the rise time and its threshold, with the option of 10%-90% or 20%-80% of the step signal.

  • Peeling - If checked, allows peeling analysis to be applied.

S-Parameter

  • Start &Stop - Allows you to enter start and stop frequency limit in S-Parameter measurement to set the sweep range.

  • Points - Allows you to enter the number of points. Default value is 201.

  • Center/Span - Allows you to enter the center and span value, another way to set the sweep range, other than using the Start and Stop value.

Defining Test Limit

Limit Type Overview

The limit test feature allows you to set the limit line for each trace and then perform the pass/fail judgment for the measurement result. In the limit test, if the upper limit or lower limit indicated by the limit line is not exceeded, the judgment result is pass; if it is exceeded, the judgment result is fail for all measurement points on the trace. Measurement points in a stimulus range with no limit line are judged as pass.

There are 3 types of test limit available: Absolute Limit | Average Limit | Multi Segment. During Time Domain measurement, all 3 test limits are available. However, during S-Parameter measurement, only Multi Segment is available.

Test Limit can be defined at Edit Limit Menu page.

Absolute Limit Test - In Absolute Limit test, the limit test zone is defined by Begin Ratio and End Ratio, and the position of markers 1 and 2. For example, where Marker 1 = 0s, Marker 2 = 100ns, Begin Ratio is 30% and End Ratio is 70%. Hence, 30ns to 70ns is the zone for the Limit Test. Lower and Upper limit can be specified by nominal and range (abs or %). If any measured point is out of limit line, then the test has failed.

Average Limit Test - The limit line is the same as Absolute Limit Test. If averaged measured result within limit line range is out of limit line, then the test has failed.

Multi Segment Limit Test - This test is the same as E5063A limit test. You can specify Max, Min, Off, Begin Stimulus, End Stimulus, Begin Response and End Response for one segment. You can specify up to 100 segments. If any measured point is out of limit line, then the test has failed.

Absolute Limit / Average Limit

Both absolute limit and average limit have similar selection option. To set the absolute limit, set the below variables:

  • Begin Stimulus Ratio - Set the lower limit in percentage of the full span of Marker 1 to 2.

  • End Stimulus Ratio - Set the upper limit in percentage of the full span of Marker 1 to 2.

  • Tolerance - Can be set either with ratio in percentage or unit depending on format such as impedance in ohm.

Multi Segment

More than one frequency range (segments) can be set. To set the multi segment limits:

  • Add - Add a new segment where you can add the upper and lower limit of the segment.

  • Delete - Delete the selected (highlighted) segment.

  • Export - Export the segment data (all of segments) in *.csv format.

  • Import - Import segment data file (*.csv file).

Making Measurement for Confirming Result

In order to define the test limit, you can perform measurement and observe the waveform of your reference DUT. To learn more, see Measurement Setup and Edit Limit at Test Wizard Screen Navigation.

Making Trigger

  1. Click Edit Test > Test List and select the test you would like to perform.

  2. At Edit Measurement or Edit Limit page, click on the Measure button to perform the trigger.
  3. You will notice changes on the display screen.

Continuous Trigger

Run/Stop button allows you to a continuous measurement. Click once, the trigger is made continuously. Click one more time, the trigger stops.

Using Auto Scale

  1. Select the trace which you want to change the scale.

  2. Click on the Auto Scale button on the tool bar or right-click in the graph plot area.

  3. Select the desired scale. Refer to the table below for the details of each selection.

Scale | Details
Auto Scale X | Auto scaling X axis only, on the active trace
Auto Scale Y | Auto scaling Y axis only, on the active trace
Auto Scale X & Y | Auto scaling both X & Y axis, on the active trace
Auto Scale All | Auto scaling both X & Y axis, on all traces

Changing Scale Manually

Horizontal and vertical scale adjustment operation can be performed by using the virtual knob. Scale adjustment operation changes the display screen in real time. The scale setting is independent of each test.

Changing Horizontal Scale

  1. Select the trace which you want to change the scale.

  2. Go to Edit Limit Menu.

  3. Using Virtual knob:

    1. Click the left knob under Horizontal Scale. The centre of the knob turns blue.

    2. Scroll up or down the wheel mouse button to change the scale.

  4. Type in Entry box:

    1. Click the box below the left knob under Horizontal Scale. An Entry dialog box appears.

    2. Type the precise value.

  5. Clicking Wave icons:

    1. Click the wave icons above the left knob under Horizontal Scale. Details are as table below:

Function Icon | Details
 | Click to increase the scale in a 1-2-5 sequence. The width of the waveform compresses. The default value for basic time units is 1.0 ns/div.
 | Click to decrease the scale in a 1-2-5 sequence. The width of the waveform expands.

Reference Position for Horizontal Axis

The reference point of horizontal axis can be selected from the center line or left edge of the displayed graticule.

Click the icon as shown in table below under Horizontal Scale to change the reference point:

Function Icon | Details
 | Reference point of the display graticule to the left edge. The position of left edge is not changed even if you change the scale.
 | Reference point of the display graticule to the center. The position of center is not changed even if you change the scale.

Changing Horizontal Position

  1. Select the trace which you want to change the horizontal position.

  2. Go to Edit Limit Menu.

  3. Using Virtual knob:

    1. Click the right knob under Horizontal Scale. The centre of the knob turns blue.

    2. Scroll up or down the wheel mouse button to change the position.

  4. Type in Entry box:

    1. Click the box below the right knob under Horizontal Scale. An Entry dialog box appears.

    2. Type the precise value.

  5. Clicking Arrow icons:

    1. Click the arrow icons above the right knob under Horizontal Scale. Details are as table below:

Function Icon | Details
 | Click to increase the delay from trigger; the waveform moves to the left of the display.
 | Click to decrease the delay from trigger; the waveform moves to the right of the display.

Changing Vertical Scale

  1. Select the trace which you want to change the scale.

  2. Go to Edit Limit Menu.

  3. Using Virtual knob:

    1. Click the left knob under Vertical Scale. The centre of the knob turns blue.

    2. Scroll up or down the wheel mouse button to change the scale.

  4. Type in Entry box:

    1. Click the box below the left knob under Vertical Scale. An Entry dialog box appears.

    2. Type the precise value.

  5. Clicking Wave icons:

    1. Click the wave icons above the left knob under Vertical Scale. Details are as table below:

Function Icon | Details
 | Click to increase the scale in a 1-2-5 sequence; the waveform height compress.
 | Click to decrease the scale in a 1-2-5 sequence; the waveform height will expand.

Changing Vertical Position

  1. Select the trace which you want to change the vertical position.

  2. Go to Edit Limit Menu.

  3. Using Virtual knob:

    1. Click the right knob under Vertical Scale. The centre of the knob turns blue.

    2. Scroll up or down the wheel mouse button to change the position.

  4. Type in Entry box:

    1. Click the box below the right knob under Vertical Scale. An Entry dialog box appears.

    2. Type the precise value.

  5. Clicking the Arrow icons

    1. Click the arrow icons above the right knob under Vertical Scale. Details are as table below:

Function Icon | Details
 | Click to increase the offset value; the waveform shift downward.
 | Click to decrease the offset value; the waveform shift upward.

  6. Drag and drop:

    1. Click and hold the y-axis of the graph plot.

    2. Drag up or down to the desired position and release the button.

Using Marker

Activating Marker

  1. Click on the Marker button.

  2. Select 3 from the list to activate Marker 3.

  • You can use the markers 3 to 9. The test wizard uses the markers 1 and 2 for DUT length.

  • Active marker has an arrow head pointing down. Inactive markers have an arrow head pointing up. Only markers 1 and 2 have vertical dotted lines. All marker values are displayed at the upper left corner of the graph view. There are a maximum of 9 markers that can be activated.

Moving Marker

Click and hold on the marker, drag the marker to the desired point and release the mouse button.

Using Marker Search

Searching Max point on trace

  1. Click on the desired trace.

  2. Click on the Marker Search button.

  3. Select Max from the drop-down menu.

Searching Min point on trace

  1. Click on the desired trace.

  2. Click on the Marker Search button.

  3. Select Min from the drop-down menu.

  • The marker is constantly on tracking mode when Max or Min is selected. Even moving the marker with the mouse, the marker tracks the Max or Min of the trace and points to it.

Measuring Rise Time

  1. Click on the desired trace.

  2. Click on the Marker Search button.

  3. Select Rise Time (10-90%) or Rise Time (20-80%)from the drop-down menu.

The data is displayed at the top left corner of the graph plot.

Using Data Memory

Storing Data Traces to Memory

  1. Click on the Data Mem button.

  2. Select Data -> Mem from the drop-down menu.

Display the Memory Traces

  1. Click on the Data Mem button.

  2. Select Memory from the drop-down menu.

Table below explains other functions in the Data Mem list:

Function | Details
Data -> Mem | Save Data traces to Memory
Off | Display off
Data | Display Data traces only
Memory | Display Memory traces only
Data & Memory | Display Data and Memory traces


Executing Test

  • Testing DUT

  • Confirming Test Result

Other topics about Test Wizard


Testing DUTs

  • Instruction Window

  • Save Test Result

  • Auto Save Results/Trace/Touchstone

Other topics about Test Wizard

After pressing the Execute Test button, the test starts.

Instruction Window

  1. The instruction dialog box prompts to guide you on the DUT connection. The instruction on this box can be customized at Measurement Setup Menu. The dialog box is displayed at the beginning of each test.

  2. Follow the instruction.

  3. When you want to check the measurement waveform before actual test measurement, such as contact check purpose, click Run/Stop, then the trigger is made continuously. Cliick one more time, the trigger stops.

  4. Once done, click on Measure button to execute the test.

  5. The test sequence options are as below:

    • Auto Advance = On: Next test is selected after a test is done.

    • Auto Advance = Off: You need to select the next test manually. Click the Finish button to move to the next DUT test.

    • Auto Advance = On Pass: Next test is selected after a test is done and it has passed.

    • Auto Scale = On: Auto Scale X&Y is executed after a test is done.

    • Auto Save Results/Trace/Touchstone - when turned ON, a folder is created under Output File Path, then result/trace/touchstone file is created(*). If the Test Description is null, Testxxx is used as the file name. If the Test Description has characters which cannot be used for the file name, the character will be replaced with "-".

      • (*) The Test Description is used as the file name.

  6. Upon measurement completion, the Test List will indicate the test result in brief, as shown below.

  5. Click the Finish button to save the test results.

Save Test Result

Upon test completion, the Save Test Result dialog box as shown below appears.

  • When you input a Serial Number, the folder name is displayed. You cannot modify the file name on the dialog box. Serial number can be either numbers or letters or combination of both.

  • The following items cannot be entered as Serial Number: Null, "AutoSave" or serial number which are already used/entered.

  • When an unacceptable serial number is entered, warning is displayed and Finish button is grayed out.

Save Test Result dialog box is displayed under the following conditions:

  • At the Execute Test menu, click the Finish button OR

  • When all the following conditions are met:

    • Auto Save Result = On

    • Auto Advance = On OR Auto Advance = On Pass, when the test has passed

    • All the tests are measured

When there is test that is not executed, the Save Test Result dialog cannot be displayed.


Confirming Test Result

If you have set the File Output preference during test sequence configuration, the test results are saved automatically upon test completion. Alternatively, you can choose to save the test results after the test completion as below:

  • Trace Data

  • Touchstone

  • Image

When Auto Save Trace/Touchstone is turned on, the output folder is automatically created under Output File Path and the trace file/touch stone is created and saved here as Result file.

Full Path = [Output File Path]/[Serial No.]/[Test Description].[extension]

When the test description is null, TestXXX is used for file name. If the Test Description has characteristics which cannot be used for file name, the character is replaced with "_".

Trace Data

When you select to save the result as Trace Data file, the result is saved in extension *.csv, as shown in the below example.

Touchstone

When you select to save the result as Touchstone file, the result is saved in one of the following extensions:

  • *.s1p (for DUT = Single Ended 1 Port, SE1P)
  • *.s2p (for DUT = Single Ended 2 Port, SE2P or Differential 1 Port, DIFF1P)

Below is an example of touchstone file.

Image

When you select to save the result as Image, the screen shot of the result is saved with extension *.png. Below is an example of test result image.

Result File

When you select Save Test Result and save the test result, Summary.csv file is created in the output folder, as shown below.


WPT Analysis

Wireless Power Transfer (WPT) Analysis (Option 006)

  • Overview

  • Quick Start

  • Measurement Parameters

  • Measurement Example

  • Limitations

The firmware revision A.03.0x or above is required for WPT application.


Overview

  • Precautions
  • Theory of Operation
  • Display of Analysis(Mode-1 and -2)
  • Basic and Advanced Modes

Precautions

  • This application is a tool to calculate the parameter related with wireless power transfer from S-parameter measurement of network analysis. This does not provide an error free measurement and not guarantee the measurement accuracy.

  • This application calculates the parameter related with wireless power transfer from S-parameter measurement of network analysis. The measurement result may include the error of S-parameter measurement. Users should consider to eliminate the measurement error.

Theory of Operation

The Wireless Power Transfer (WPT) analysis application (Option 006) converts 50 Ω based S-parameters measurements to Voltage, Current, Power and Efficiency of the voltage driving circuit with arbitrary load impedance. These key parameters for WPT circuit design are displayed on display in real-time.

Parameters specified by the user are the voltage value applied to DUT (Vin) and, Load impedance connected to the output (Z = R + jX).

This application performs calculations and displays the results of measurement on the assumption that the load and voltage source is connected with a DUT.

When the Zin (Ohm), S11 are selected as Set Trace, the calculation is performed under assumption of the following circuit. This application calculates the impedance Zin (Ω) which is viewed from the Port1 side when the port 2 is terminated with R+jX, not 50 Ω. This also calculates the reflection coefficient S11 at the 50Ω system which is viewed from the Port1 side when the port 2 is terminated with R+jX.

When the Zout (Ohm), S22 are selected as Set Trace, the calculation is performed under assumption of the following circuit. This calculates the impedance Zout (Ω) which is viewed from the Port2 side when the port 1 is terminated with short 0 Ω, not 50 Ω. This also calculates the reflection coefficient S22 at the 50Ω system which is viewed from the Port2 side when the port 1 is terminated with short 0 Ω.

Display of Analysis (Mode-1 and -2)

There are two modes for the display of analysis, mode-1 and -2.

  • Mode-1: Real-time analysis
    Default mode after the start-up. Display real-time measurement results including power transfer efficiency(%). Other parameters such as Zin, Zout, S11, S22 are available. Load impedance, R and X, can be defined by user.

  • Mode-2: 2D/3D simulation
    Displays simulated results sweeping one (2D) or two (3D) of the three parameters (Load R, Load X, Frequency). The measurement result in Mode-1 is used for simulation. It’s useful for evaluation of the dependency to the Load impedance.

Basic and Advanced Modes

  • Basic Mode
    2-Port Cal is required in advance of the WPT application launch. Perform 2 Port Calibration at the end of coaxial test cables. Then, connect the DUT to the test cables. Do not change any settings in the Basic Mode. If you change any settings, the software will require you to go to the Advanced Mode, or will be stopped.

  • Advanced Mode
    2-Port Cal is not required in advance of the application launch. You can change any settings in the Advanced Mode, however, the measurement performance is not guaranteed in this mode.

The following picture shows the transition between Basic and Advanced modes.

 | Basic Mode | Advanced Mode*1
Calibration in advance of the application launch | 2 port cal is required | Not required
Setting change after application launch *2 | Not allowed | Allowed
  • *1 The measurement performance is not guaranteed in the Advanced Mode. Some functions are still not allowed to be used. See Precautions and limitations.
  • *2 Setting in this context are Start Freq., Stop Freq., NOP, Sweep Type.
  • *3 Available only when Sweep Type setting is Lin Freq
  • *4 Back to Mode-1 when the following setting changed in Mode-2; Start frequency, stop frequency, NOP and Sweep Type.


Quick Start

This quick start shows the basic operation of WPT application.

Presetting Analyzer

  1. Press Preset.

Performing 2 Port Calibration

2 Port Calibration is required for WPT analysis. It is recommended to perform before you start the WPT application. Otherwise, the application is operated in Advanced Mode.

  1. Specify the frequency range by using Start, Stop, Center or Span.

  2. Press Cal > Calibrate > 2 Port Cal or Cal > ECal > 2 Port Cal to perform 2 port calibration.

Starting Application

  1. Press Analysis > Start WPT Analysis to execute the WPT application.

  2. The dialog box which describes Basic and Advanced modes will be displayed. Click Ok to proceed.

  3. The WPT application GUI is displayed at the bottom of screen.

Making measurements in real-time (Mode-1)

In Mode-1, you can measure various parameters related with wireless power transfer in real time.

  1. Specify User Defined Parameters.

  • Vin - Input voltage. Select Vrms or Vpeak as unit.

  • Load R (Ohm) - Real part of impedance of Load which is connected with output (Port 2)

  • Load X (Ohm) - Imaginary part of impedance of load which is connected with output (Port 2)

  2. After you input the value for these three parameters, click Set Parameter to apply the specified values.

  3. These three parameters are applied to all traces. Traces defined by Math Function are not updated even if Set Parameter is clicked.

  4. Specify Trace Setting.

    • Trace No. - Trace No to set the parameter and format

    • Parameter - Measurement parameter required.

    • Format - See Selecting a Data Format

  5. After you input the value for these three parameters, click Set Trace to apply the specified values.

  6. The measurement result will be displayed on the trace at each sweep.

  7. If you require scaling, click Auto Scale for selected trace or Auto Scale All for all traces.

  8. Show Circuit shows the simulation model which is described in Theory of Operation.

Math Function

Math function allows you to perform complex data math (+,-,×,÷) between two traces (Tr1 and Tr2).

  1. Select Math function from Tr1+Tr2, Tr1-Tr2, Tr1*Tr2 or Tr1/Tr2.

  2. Select Format.

  3. Click Calculation to perform math function.

  4. The parameter of the trace4 is changed to Math formula you specified. The result is displayed in the trace 4 (Tr4). The result is updated only when the Calculation is pressed. (It is not updated at each sweep.)

  5. Math function is calculated as vector parameter. The formats of Tr1 and Tr2 affect the calculation as show below. Where Tr1=a+jb, Tr2=c+jd:

      • When the format of both Tr1 and Tr2 is set at Polar (Real/Imag), Tr1+Tr2=(a+b)+j(c+d)

      • When the format of both Tr1 and Tr2 is set at Imag, Tr1 real=b, Tr1 imag=0, Tr2 real=d and Tr2 imag=0, then Tr1+Tr2 is calculated as (b+d)+j(0+0).

      • When the format of both Tr1 and Tr2 is set at phase, Tr1 real=Tr1 phase, Tr1 imag=0, Tr2 real=Tr2 phase and Tr2 imag=0, then Tr1+Tr2 is calculated as (Tr1 phase+Tr2 phase)+j(0+0).

Using other functions

The following standard functions may be useful to analyze measurements.

  • Marker

  • Marker Search

Simulating result with sweeping one or two parameters (Mode-2)

In Mode-2, you can simulate the measurement results with sweeping one (2D) or two (3D) of the three parameters (Load R, Load X, Frequency). The measurement result of Mode-1 is used to simulate.

  1. Get the desired measurement result in Mode 1.

  2. Click Go to Mode-2 from Mode 1 menu. Trigger (Sweep) is hold in Mode-2. Do not change Trigger setting in Mode-2.

  3. Specify Sweep Mode.

    • 2D: Sweep R (Fix Freq & X) - Sweep Load R while fixing Frequency and Load X

    • 2D: Sweep X (Fix Freq & R) - Sweep Load X while fixing Frequency and Load R

    • 3D: Sweep R & X (Fix Freq) - Sweep Load R and X while fixing Frequency

    • 3D: Sweep Freq & R (Fix X) - Sweep Frequency and Load R while fixing Load X

    • 3D: Sweep Freq & X (Fix R) - Sweep Frequency and Load X while fixing Load R

  4. Specify either Fix or Start/Stop in Frequency.

  5. Specify either Fix or Start/Stop/NOP for R and/or X in Sweep Parameter.

    • Large numbers in NOP causes long calculation time especially for 3D. Less than 101 is recommended.

  6. Specify the trace parameter and its format in Trace Parameter.

    • Polar and Smith (R+jX) formats cannot be selected in Mode-2.

  7. Check Log-Y if you want to have Log scale in Y axis.

  8. Check Save if you want to save the result in .csv file. This check box is available only when 2D is selected in Sweep Mode. The .csv file is stored in root directory of the D drive.

  9. Click Calculation to simulate the result. The 2D or 3D simulated result is displayed in the screen.

    • The new window is opened each time you click Calculation. Close unnecessary windows by clicking x button at the right upper of each window. Opening many windows, especially 3D results may degrade the speed performance and cause the hung-up due to memory shortage.

  10. If you require a screen shot, at the upper left of graph windows, click File > Save as to save the graph image.

  11. When you want to return Mode-1 in order to make a measurement again, click Go To Mode-1. Trigger Mode is changed from hold to continuous. If Keep Trigger Hold is checked, trigger is kept in hold mode.


Measurement Parameters

The following table explains about the each parameters

Parameters

Description

Vector

  • Iin (Arms)

  • Iin (Apeak)

  • Current of input

  • Vector value

  • The reference of Phase is Vin

  • Iout (Arms)

  • Iout (Apeak)

  • Current of output

  • Vector value

  • The reference of Phase is Vin

  • Iout (Relative to Vout Phase)(Arms)

  • Iout (Relative to Vout Phase)(Apeak)

  • Current of output

  • Vector value

  • The reference of Phase is Vout

  • Vout (Vrms)

  • Vout (Vpeak)

  • Voltage of output

  • Vector value

  • The reference of Phase is Vin

  • Vout(Zero Phase)(Vrms)

  • Vout(Zero Phase)(Vpeak)

  • Absolute Voltage of output

  • Vector value

  • Phase is 0

  • Pin

  • Power consumed at input

  • Pin=conj[Vin(Vrms)]× Iin(Arms), conj[Vin(Vrms)] is a complex conjugate

  • Vin, Iin, Pin are vector values.

  • You can display the following parameters by selecting format.

  • Lin Mag: Apparent Power [VA: volt-ampere]

  • Real: Effective Power [W: watt]

  • Imag: Reactive Power [Var: volt-ampere reactive]

  • Pout

  • Power consumed at output

  • Pin=conj[Vout(Vrms)]× Iout(Arms), conj[Vout(Vrms)] is a complex conjugate

  • Vout, Iout, Pout are vector values.

  • You can display the following parameters by selecting format.

  • Lin Mag: Apparent Power [VA: volt-ampere]

  • Real: Effective Power [W: watt]

  • Imag: Reactive Power [Var: volt-ampere reactive]

  • Efficiency(real(Pout)/real(Pin))(%)

  • Ratio of real part of output and input power in percent

  • Result is vector value but imaginary part is always 0.

  • Vector(Pout/Pin)

  • Pout/Pin in vector value

  • where Pout=a+jb、Pin=c+jd,
    Vector(Pout/Pin)=(a+jb)/(c+jd)=(ac+bd)/(c2+d2)+j(bc-ad)/(c2+d2)

  • PFin (%)

  • Power factor at input power in percent

  • where phase of Pin is Φ,
    PFin(%)=cosΦ×100

  • Result is vector value but imaginary part is always 0.

  • PFout (%)

  • Power factor at outout power in percent

  • where phase of Pout is Φ,
    PFout(%)=cosΦ×100

  • Result is vector value but imaginary part is always 0.

  • Zin (Ω)

  • Impedance of port 1 when Port2 is terminated with R+jX

  • Zout (Ω)

  • Impedance of port 2 when Port1 is terminated with 0Ω

  • S11

  • Reflection S11 of port 1 when Port2 is terminated with R+jX

  • S22

  • Reflection S22 of port 2 when Port1 is terminated with 0Ω

RCE

Optimum resonator coupling efficiency representing maximum power transfer efficiency between transmitting and receiving resonators.

N/A

RCE (%)

Display RCE in percentage.

N/A

Z21 (Imag) (Ω)

Imaginary component of open circuit forward transfer impedance defined in the Z-parameter matrix for the two-port network.

N/A


Measurement Example

This shows an example of WPT measurement.

Used of Instrument, Option, Test Accessories

  • VNA: E5063A with firmware revision A.03.0x or above

  • WPT Analysis Software: Option 006

  • Cal Kit: N4433A ECal (or any other Cal Kit support around 1 MHz to 10 MHz)

  • Adapter: N(m)-SMA(f), 2 ea

  • Test Cable: any lab quality cables with SMA(m) connectors, 2 ea.

  • DUT: A pair of coils, or resonators (Tx & Rx)

    • In this demo guide, resonators (resonance at 6.78 MHz) are used

Measurement Example Procedure

Using Mode-1 in Basic Mode

  1. Preset

    1. Press Preset > OK to preset the analyzer.

  2. Stimulus/Sweep Setup

    1. Press Center and input 6.78 MHz in entry bar.

    2. Press Span and input 2MHz in entry bar.

    3. Press Avg > IFBW and input 1 kHz in entry bar.

  3. Calibration using ECal (e.g., N4433A) at the end of test cables

    1. Press Cal > ECal > 2-Port Cal.

  4. Start WPT Analysis Software

    1. Press Analysis > Start WPT Analysis.

    2. Click OK.

  5. Setup for Measurement

    1. Set User Defined Parameters and Change Trace Setting as needed (default setting works fine for demo).

  6. Measurement

    1. Connect DUT on Port1 and Port2.

    2. Click Auto Scale All.

  7. Data Analysis (Marker Function).

    1. Click area on trace 4 or use Trace Prev/Trace Next to activate Tr4.

    2. Press Marker and input 6.78 MHz in entry bar.

    3. Read the marker value.

    4. Marker can be moved by rotating the rotary knob.

Using Mode 2 in Basic Mode

Continued from Demo#01

  1. Go to Mode-2

    1. Click Go to Mode-2.

  2. Sweep Mode

    1. Select 3D:Sweep R & X (Fix Freq).

  3. Frequency

    1. Set Fix Frequency to 6.78 MHz.

  4. Trace Parameter

    1. Select Efficiency(real(Pout)/real(Pin))(%).

  5. Calculation

    1. Click Calculation, and wait for a computation.

    2. Get insight from the figure.

Using Mode-1 in Advance Mode

  1. Preset

    1. Press Preset > OK to preset the analyzer.

  2. Start WPT Analysis Software

    1. Press Analysis > Start WPT Analysis.

    2. Click OK.

    3. Check User Advanced Mode and click Yes.

  3. Stimulus/Sweep Setup

    1. Press Center and input 6.78 MHz in entry bar.

    2. Press Span and input 2MHz in entry bar.

    3. Press Avg > IFBW and input 1 kHz in entry bar.

  4. Calibration using ECal (e.g., N4433A) at the end of test cables

    1. Press Cal > ECal > 2-Port Cal (same procedure as described in Demo#01).

  5. Setup for Measurement

    1. Change Trace3 Parameter to RCE(%).

    2. RCE stands for Resonator Coupling Efficiency; Optimum resonator coupling efficiency representing maximum power transfer efficiency between transmitting and receiving resonators.

  6. Measurement

    1. Connect DUT (Port1 and Port2).

    2. Click Auto Scale All.

  7. Data Analysis (Marker Function)

    1. Click area on trace 4 or use Trace Prev/Trace Next to activate Tr4.

    2. Press Marker and input 6.78 MHz in entry bar.

    3. Read the marker value.

    4. Marker can be moved by rotating the rotary knob.


Limitations

Limitations in Basic Mode Only

  • Zero span can not be used.

  • Do not change frequency setting and number of points.

Limitations for All Modes

  • Do not use softkey (on the right side of screen) excepts Marker and Marker Search functions.

  • Do not change number of channel. This application uses the other channels other than channel 1 in order to calculate the parameters.

  • Do not change the number of trace other than 4.

  • Do not change sweep type from Lin Freq.

  • Do not turn on "Gating", "Conversion", "Time Domain", and "Frequency Offset" functions.

  • Sweep restarts if setting is changed during sweep. When the average function is on, the averaging count may not be the same as the actual averaging.

  • When data entry bar is opened, you cannot input the value in GUI entry. Press Entry Off to close the data entry bar.

  • The cable, fixture and measurement environment influence measurement accuracy. If their influences are big, the measurement may have a big error or be impossible.

  • Only Single-end measurement is supported. Balanced measurement is not supported.

  • The outer conductor of coaxial connector on the analyzer ports is terminated with chassis ground.

  • This application calculates the result from the S-pamameter analysis. The specified Vin is not actually applied to the DUT and the physical load (Load R and X) is not connected.

  • If the specified values in GUI are too big or small, the application may not operate correctly.

  • If the calculation includes "divided by 0" or is impossible, the result, marker reading, and data in saved file may not be correct.

  • If each result is almost the same in Mode-2, the graph may not be displayed.

  • If result includes both + and - values or 0, the log-y scale may not work and graph may not be displayed.

  • 3D data cannot be saved as trace data.

  • Save the analyzer setting before the application launch. Select State Only or State & Cal as Save Type. Select ALL for Channel/Trace setting.

  • When recalling a state file, press preset and recall the state file before this application launch.

  • "U" is displayed as the unit of trace due to analyzer unit display limitation.


Setting Control Functions

Remote Control

  • Setting the GPIB

  • Remote Control Using HTTP (Web Browser)

Display

  • Turning off the Date/Time Display

  • Turning off the LCD Screen Backlight

  • Calibration of the Touch Screen

Others

  • Checking the Product Information

  • Source ON only during measurement (Initial Source Port Control Function)

  • Wait Time at Power Level Change

  • Locking the Front Keys, Keyboard, and/or Mouse (Touch Screen)

  • Setting USB Switch

  • Setting the Beeper (Built-in Speaker)

  • Setting the preset function

  • Exit/Restart E5063A Measurement Application

  • Overload Detection and Power Trip Function

  • Selecting Language


Setting the GPIB

  • Setting talker/listener GPIB address of E5063A

  • Setting system controller (USB/GPIB interface)

Other topics about Setting Control Functions

This section describes how to set the interface necessary to use the GPIB (General Purpose Interface Bus) of the E5063A.

Setting talker/listener GPIB address of E5063A

When controlling the E5063A using GPIB commands from the external controller connected to the GPIB connector, you need to set the talker/listener GPIB address of the E5063A.

Follow these steps to make this setting:

  1. Press System > Misc Setup > GPIB Setup> Talker/Listener Address.

  2. Enter the address using the ENTRY block keys on the front panel.

Setting system controller (USB/GPIB interface)

When controlling an external device from the E5063A, connect the USB port of the E5063A and the GPIB port of the external device through the USB/GPIB interface.

  • Do not connect two or more USB/GPIB interfaces.

Follow these steps to set the USB/GPIB interface:

  1. Connect the USB port of the E5063A to the USB/GPIB interface.

  2. The driver installation and connection is performed automatically.

Changing the setting of the USB/GPIB interface

If you need to check/change the setting of the USB/GPIB interface after connecting the USB/GPIB interface, follow these steps:

  1. Press System > Misc Setup > GPIB Setup > System Controller Configuration.

  2. The Keysight Connection Expert appears. (You can also execute Keysight Connection Expert from Task bar or Start menu in Windows.)

    Need update

  3. Select USB/GPIB (GPIBx)

  4. Click Change Propetries....

  5. Change the setting of USB/GPIB interface.


Remote Control Using HTTP (Web Browser)

  • Enabling Web Server

  • Browser Web Control

Other topics about Setting Control Functions

You can access the web page installed in the E5063A by using the hypertext transfer protocol (http) and the E5063A's IP address from the external PC's web browser. This function is called web-enabled analyzer. Through the built-in web page, you can control the E5063A remotely and display the measurement screen on external PCs.

The following browsers are recommended:

  • Internet Explorer 8.0 and later

Enabling Web Server

Network Configuration

To use web server, you have to configure the E5063A's network correctly. For detailed information on configuration and notes, see Configuring the Network.

Enabling Web Server

Enable the web server for the E5063A so that it may allow access from an external PC. Follow these steps:

  1. Press System > Misc Setup > Network Setup > Enable [ON].

  2. Press System > Misc Setup > Network Setup > Mode > Web Server.

  3. It is not possible to turn on both Web server and Socket server at the same time.

Access from an external PC

  1. Check IP address of the E5063A by pressing System > Misc Setup > Network Setup > LAN Dialog....

  2. Execute web browser on your PC.

  3. Enter IP address of the E5063A in the address bar and press Enter.

To change LAN (TCP/IP) configration of you ENA.

  1. On the web page shown in above, click View & Modify Configuration > Modify Configuration . Modifying this setup affects the Windows Internet Protocol (TCP/IP) property. The following screen appears:

  2. Enter the password (Default: "keysight") in the Password field (1 in the figure above) and click OK (2 in the figure above).

Browser Web Control

Browser Web Control function allows you to control your E5063A from web browser. This function is executed by the VNC server.

  • The external PC must have the Java Runtime Environment installed otherwise the Browser Web Control function might not work properly. To install Java Runtime Environment, see http://www.java.com.

The following is a description of how to start the VNC server configuration. Visit the web site at http://www.realvnc.com for information on the password setting procedure and VNC server.

  1. Press System > Misc Setup > Network Setup > VNC Server Configuration to start the VNC Server Properties.

  2. To restrict external access, set a password for the VNC server configuration. The default password at factory shipment is blank.

About VNC License

Redistribution of VNC is licensed under the General Public License version 2. Source code of VNC and a copy of the GPLv2 may be found in the directory of \opensource\vnc.

Portions of this software are distributed under one or more Open Source terms and are not warranted and supported by Keysight. This disclaimer does not affect any statutory rights that may exist in any country of distribution. The disclaimed Open Source software portions include the following software package(s): VNC. The text of the license for each software package is contained in a directory reflecting the name of the Open Source software that is found in the "\opensource" directory. The author and not Keysight grants a license to use and further distribute the Open Source software. Any license to use and further distribute the Open Source software is granted by the author(s) of such Open Source software in their Open Source license, not by Keysight in this license instrument. The author(s)’s license terms, if any, are found in text files and, if applicable, the source code of the separate Open Source software packages.

TO THE EXTENT PERMITTED BY LOCAL LAW:

Keysight provides the Open Source software listed above "as is" and any express or implied warranties, including, but not limited to any warranty of non-infringement, the implied warranties of merchantability, satisfactory quality, reasonable care and skill, and fitness for a particular purpose are expressly disclaimed; and

Keysight shall not be liable for any direct, indirect, incidental, special, exemplary, or consequential damages (including: procurement of substitute goods or services; loss of use, data, or profits; or business interruption) arising from the use of open source software, however caused and regardless of whether such claims are based upon contract, strict liability or tort (except gross negligence or willful misconduct of Keysight), or any other legal theory even if advised of the possibility of such damage and even if it has been ensured that such data can be reconstructed with reasonable expenditure from data material provided in machine-readable form.


Turning on/off the Date/Time Display

The date/time display in the instrument status bar can be switched ON/OFF using the following procedure.

  1. Press System > Misc Setup > Clock Setup.

  2. Click Show Clock to toggle the date/time display ON/OFF.

Refer to Change Date/Time Settings

Other topics about Setting Control Functions


Turning off the LCD Screen Backlight

You can switch OFF the backlight (illumination) of the LCD screen of the E5063A. This extends the life of the backlight when it is used continuously over a long period.

Turning OFF the LCD Screen Backlight

  1. Press System > Backlight to switch the backlight ON/OFF.

  2. Switching OFF the backlight causes the indications on the LCD screen to be almost invisible.

  3. The backlight that has been switched OFF can be turned ON again by pressing any key from the front panel.

Other topics about Setting Control Functions


Calibration of the Touch Screen

When you have executed system recovery on the E5063A, you have to calibrate the touch screen. Follow the procedure described below to calibrate the touch screen.

  1. Press System > Service Menu > Test Menu > Adjust Touch Screen.

  2. The touch panel device properties dialog appears. Press Calibration.

  3. The touch screen calibration screen appears.

  4. Touch the x mark on the upper left with your finger. The mark x also appears on the lower left, upper right, and lower right. Touch the x marks in that order with your finger.

  5. Touching all the four locations described above with your finger automatically concludes the touch screen calibration.

  6. With no operation on the touch screen calibration screen for a preset time, it automatically closes and the previous measurement screen reappears.

Other topics about Setting Control Functions


Checking the product information

  • Overview

  • Procedure

Other topics about Setting Control Functions

Overview

Items | Description | When the number changes for your unit after shipment
Serial Number | Product Serial Number. The first 5 letters expresses the prefix. | Immutable number
Storage Revision | Storage Revision. The first two letters express the prefix. The last three letters express the revision number at the factory shipment. | The prefix is immutable number. The last three letters may change by a storage replacement at repair.
Settable Frequency range | Settable Frequency range from lowest to highest depending option. | Highest frequency can be upgrade by the upgrade kit. After September 2015 shipment, the settable lowest frequency is changed to 50 kHz. (The specification is applied from 100 kHz and above.)
Firmware Revision | Firmware revision. The formt is A.xx.xx. | The number is changed at firmware update.
Option | Installed Options Number. This is managed by the license key. | The upgrade kit adds the option.
OS ID | Windows License Description | Immutable ID
IP Address | IP adress when the unit is connected with LAN | It is depending on LAN configuration.
MAC Address | MAC Address of LAN interface connection. | Immutable address unless the CPU board is replaced at repair.
USB ID | USB ID for VISA connection | Immutable ID

Procedure

Follow the procedure below to get the product information.

  1. Press System > Firmware Revision.

  2. The Firmware Revision dialog is displayed.

  3. Pressing PC Info shows the PC hardware information.


Activating Software Option

  • Activating Option

  • Backing Up License Key File

Other topics about Setting Control Functions

Activating Option

The software options can be purchased separately to enhance the E5063A measurement functionality. When you purchase the software option upgrade kit, Keysight provides the software entitlement certificate.

Procedure

  1. Get the license number at http://www.keysight.com/find/softwarelicense.

  2. Press System > Service Menu > Enable Options, then select option which you want to activate.

  3. Type the relevant 12 character long license key sent by Keysight in the Key Code entry dialog box, then click Enter.

  4. Check the installed option.

Backing Up License Key File

The license key are kept in a text file (.lic) located at Factory(E:)\LICENSE\. The E5063A refers to the license codes in all of .lic files under the directory.

If there is no license code, an error occurs and the E5063A measurement application works as simulator only.

When you change the storage, copy the .lic files as back up. You can re-create the license number at http://www.keysight.com/find/softwarelicense with your software entitlement certificate if the option is added with the upgrade kit.


Source ON only during measurement (Initial Source Port Control Function)

Source ON only during measurement (Initial Source Control Function)

The E5063A does not output the RF signal source while the measurement is hold. (when Initial Source Control is ON, default setting). This function allows you to output the signal source even while the measurement status is in hold.

    1. Press System > Service Menu > Init Src Ctrl to turn OFF.

Other topics about Setting Control Functions


Wait Time at Power Level Change

The E5063A have a wait time in measurement when the power level is changed in the following conditions.

  • Different power level setting in channel

  • Port couple off, different power level setting for each port

  • In List Power of Segment Power Sweep, different power level setting for each segment

This wait time function can be turned off.

  • System > Service Menu > Pow. Chg. Wait

The time can be adjusted. At default, it is 50 ms.

  • System > Service Menu > Pow. Chg. Wait Time

These setting are saved/recalled by state files.

Other topics about Setting Control Functions


Locking the Front Keys, Keyboard, and/or Mouse (Touch Screen)

You can lock (disable) the front keys, keyboard, and/or mouse (touch screen). This feature prevents erroneous operation caused by inadvertently touching any of these devices.

Locking the Front Keys, Keyboard, and/or Mouse

  1. Press System > Misc Setup > Key Lock.

  2. Click the corresponding key to switch the lock ON/OFF.

    Softkey

    Function

    Front Panel & Keyboard Lock

    Switches the lock of the front panel keys and keyboard ON/OFF.

    Touch Screen & Mouse Lock

    Switches the lock ofr the touch screen and mouse ON/OFF.

  • You cannot use a locked device to unlock that same device. To unlock the front panel keys, keyboard, touch screen and mouse that have been locked, press the Standby switch to turn OFF the power supply and then turn it ON again. When setting at power-on, the front panel keys, keyboard, touch screen and mouse are all in unlocked condition.

Other topics about Setting Control Functions


Setting USB Switch

  • Introduction

  • Setting USB Switch

Other topics about Setting Control Functions

Introduction

With USB coaxial switch, the E5063A can be used for multi-port testing. At any one time, maximum of 6 USB coaxial switches can be connected to the E5063A. However, in practice, up to two switches are connected. By connecting the single-ended or differential probe to the USB switch and the DUT on the other end, depending on the desired measurement, the test can now be performed.

Supported Model

  • U1810B

Setting USB Switch

  1. Connect the USB switch(es) to the ports of E5063A.
  2. Connect the USB cable, one end to E5063A and another to the USB switch.
  3. Press System > USB Switch Setup.
  4. Once the USB switch is connected, the model name of the USB switch is shown beneath the USB Switch number. If no USB switch is connected, None appears beneath the USB Switch number.
  5. To change the Ports. System > USB Switch Setup > Path 1 | Path 2 (U1816A/C only) > {port number}.
  6. For the U1810B, press System > USB Switch Setup > Lock Local Control > ON to disable the toggle switch on the U1810B unit.

Switching Cycle

System > USB Switch Setup > USB Switch 1 | USB Switch 2 > Switch Cycle shows the cycle counts which is installed in the U1810B memory. The counts is incremented per each path 2 to path 1 transition. This function is available only for the U1810B.


Setting the Beeper (Built-in Speaker)

  • Setting the Operation Complete Beeper

  • Setting the Warning Beeper

Other topics about Setting Control Functions

The E5063A has a built-in speaker that emits a beep tone. The beeper allows you to make two types of settings.

Type

Function

Operation complete beeper

Emits a beep tone to inform the user that operations have completed.

  • When calibration data measurements are done

  • When data storage has completed

Warning beeper

Emits a beep tone to prompt the user to use caution.

  • When an instrument error occurs (An error message appears at the same time.)

  • When a limit test fails

The operations complete beeper emits slightly longer than the warning beeper.

Setting the Operation Complete Beeper

  1. Press System > Misc Setup > Beeper > Beep Complete to switch the operation complete beeper ON/OFF.

  2. Clicking Test Beep Complete allows you to hear and check the beep tone of the operation complete beeper.

Setting the Warning Beeper

  1. Press System > Misc Setup > Beeper > Beep Warning to switch the warning beeper ON/OFF.

  2. Clicking Test Beep Warning allows you to hear and check the beep tone of the warning beeper.


Setting the preset function

  • Showing/hiding the confirmation buttons when presetting

  • Setting the user preset function

  • Saving a user-preset instrument state

Other topics about Setting Control Functions

Showing/hiding the confirmation buttons when presetting

The preset function can be executed without displaying the OK and Cancel softkey buttons when pressing the preset button of the E5063A.

  1. Press System > Misc Setup > Preset Setup.

  2. Confirm to toggle ON (show)/OFF (hide) the confirmation buttons.

Setting the user preset function

You can save the instrument state of the E5063A into a file in the mass storage, and then recall it with the preset function to reproduce that state.

If no user preset instrument state is stored, you cannot set the user preset function.

  1. Press System > Misc Setup > Preset Setup > State.

  2. Use one of the following keys for the desired setting.

    Softkey

    Function

    Factory

    Specifies the normal preset function.

    User

    Specifies the user-preset function.

    Cancel

    Returns to the softkey display in one upper level.

Saving a user-preset instrument state

To execute the user-preset function, you must have a preset setting file that has been saved. Follow these steps to save a preset instrument state of the E5063A.

  1. Press Save/Recall > Save State > User Pres.


Exit/Restart E5063A Measurement Application

Pressing System > Service Menu > Exit shuts down the firmware of E5063A.

Pressing System > Service Menu > Restart Firmware restarts the firmware of the E5063A.

Other topics about Setting Control Functions


Overload Detection and Power Trip Function

An overload detection and Power Trip function is a safety feature to protect your E5063A from over-input. The overload occurs when RF input is over 20 dBm. When an overload is detected, the measurement is aborted and the RF source signal is turned OFF, then the "Ovld Protection" is displayed on the instrument status bar.

Other topics about Setting Control Functions


Selecting Language

  • Softkey

  • Help

Other topics about Setting Control Functions

Softkey

You can select the language of softkey.

  • Press System > Misc Setup > Language > Softkey, then select your desired language.

  • The error messages, indicator in the display are in English even you select the other language.

Help

When you install the additional language help, it will be available when you press Help. The installer packages for additional language help are available from http://www.keysight.com/find/e5063a.

  1. Install the language package.

  2. Press System > Misc Setup > Language > Help, then select your desired language.


Using Windows

  • Windows Consideration

  • Change Date/Time Settings

  • User Account and Password

  • On-Screen Keyboard

  • Configuring Network

  • Windows Firewall

  • Enabling/Disabling USB Storage

  • Connecting External Accessories


Windows Consideration

  • Storage

  • Using USB

  • Plug & Play Stability and Security

  • LAN Connections

  • Single and Double Click option

  • Printing

Other topics about Using Windows

Storage

The E5063A storage contains several partitions. The following table explains the different partitions of the E5063A.

Drive | Description
KAxxx (C:) | The system drive is replaced with the original image when system recovery is executed. Do not change any files and folders in this.
USER (D:) | User can keep their files, in this drive. This drive is not replaced even when system recovery is executed.
Factory (E:) | This drive contains license information and back up data for syscal. The drive is not replaced even when system recovery is executed. Do not change any files in this.

Using USB

The E5063A has six USB ports for connecting devices: two in the front panel and four on the rear panel. The main advantages of USB are instant connect and disconnect, and faster data transfer speed.

The first time you plug a device into a USB port there is some wait time. Windows reports that it is identifying the hardware, then searching for the correct driver, then installing the driver (if it is found).

Connecting that same device back into that same port later is quick and easy, but if you move the device to a different USB port, you will have to wait through the hardware ID and driver search again.

  • Some USB memory may not operate on the E5063A. In that case, try the other kind of USB memory. There is some USB memories which do not work on the front panel USB port, but work on the rear panel USB port.

  • Keysight Technologies shall not be responsible for, nor assume any liability for data loss in your USB memory device after using it with the E5063A.

Plug & Play Stability and Security

Plug & Play capabilities provide both a stable and secured operating environment. You may also notice that it greatly reduces the number of required reboots.

LAN Connections

Windows supports DHCP and fixed IP addressing. Also, instant connect and disconnect of the LAN cable, as well as a visual indicator of LAN status in system tray area, makes LAN connections more intuitive. In addition, the Hardware Wizard helps users with system hardware configuration.

Single and Double Click option

By default, Windows allows a double-click method of launching icons. To revert to single-clicking, see the Windows help.

Printing

Adding a printer should be done as Windows operation. See Connecting Printer.


Change Date/Time Settings

The E5063A has the built-in clock that keeps track of the date and time. This clock is used for the following functions.

  • To display the current date and time in the instrument status bar at the lower part of the screen

  • To write date and time information when saving internal data

Below are the options to change the Date & Time of E5063A:

  • Double-click the clock at the bottom right of the taskbar. Click on the Change date and time settings. The Date and Time dialog box appears. Click on the Change date and time settings button. Perform the desired changes.

  • System > Misc Setup > Clock Setup > Set Date and Time....Similar to the earlier option, the Date and Time dialog box appears. Click on the Change date and time button. Perform the desired changes.

  • The administrator password is required to change the time and date setting when login as standard user.

Other topics about Using Windows


User Account and Password

  • Account Settings

  • To Change Password

  • To Add and Remove User

Other topics about Using Windows

Account Settings

The E5063A measurement application can be executed with both administrator and standard user type of account with windows.

The below account settings are available:

User Name

Password

Type

Description

Instrument

measure4u

Administrator

Auto Log On is activated by default.

Administrator

keysight4u

Built-in Administrator

For user maintenance purpose.

To be determined by user

To be determined by user

Administrator or Standard user

Not a default account setting. However, can be added by user.

KeysightOnly

Not disclosed to user

Administrator

This account is used by Keysight Service in case of repair/maintenance.

  • Do not remove this account.

  • Refer to Add and Remove User to learn on how to add and remove standard user and administrator.

Standard User Limitation

The standard user account has some limitation in access, especially in performing the below tasks. These are only allowed with administrator account:

  • Change date and time settings
  • Firmware update
  • Enable and disable USB storage
  • Enable Web Server
  • Saving file under specified directories (such as the root directory) determined by Windows
  • Change User Account Control settings

User Account Control

With administrator account, you are allowed to modify the User Account Control settings. To access the User Account Control setting, open Control Panel, click on User Accounts > Change User Account Control settings. The default setting is Notify me only when programs try to make changes to my computer. With this selection, you are notified each time a program tries to make any changes to your computer. Other available settings are not guaranteed in the E5063A operation.

With a standard user account, default setting (Notify me only when programs try to make changes to my computer) should be selected before you leave from an administrator account.

To Change Password

You are allowed to change an account's password.

Change Password

  1. Open User Accounts in Control Panel.

  2. Click Add or remove user accounts.

  3. Click on the account you would like to change password from the Choose the account you would like to change.

  4. Click Change the password.

  5. Enter new password, confirm new password and password hint.

  6. Click Change Password button.

To Add and Remove User

Adding new user and removing existing user can be done via Control Panel.

Add New User

  1. Open User Accounts in Control Panel.

  2. Click Add or remove user accounts.

  3. Click Create a new account.

  4. Enter the new account name.

  5. Select either Standard user or Administrator.

  6. Click Create Account button.

  7. The administrator authority is necessary for some of function in E5063A. Select computer administrator when you make the user account.

Remove Existing User

  1. Open User Accounts in Control Panel.

  2. Click Add or remove user accounts.

  3. Click on the account you would like to remove from the Choose the account you would like to change.

  4. Click Delete the account.

  5. Window message confirming if you would like to keep or delete the account's files prompts.

  6. Click either Delete Files or Keep Files button.

  7. Next windows message prompts seeking confirmation if you are sure of deleting the selected account.

  8. Click on Delete Account button.


On-Screen Keyboard

  • On-Screen Keyboard overview

  • To open Windows On-Screen Keyboard

Other topics about Using Windows

On-Screen Keyboard overview

On-Screen Keyboard is a utility provided by Windows that displays a virtual keyboard on the screen. It allows the users of the E5063A to input characters without the need of a keyboard.

  • The E5063A does not requires an external keyboard for its operation. Users can input characters using an on-screen keyboard in-built with the E5063A firmware.

On-screen keyboard in-built with the E5063A firmware

To open Windows On-Screen Keyboard

You can use Windows native on-screen keyboard as well.

To open On-Screen Keyboard: click Start > Accessibility On-Screen Keyboard.

On-screen keyboard provided by windows OS


Configuring Network

  • When you use the E5063A by connecting it to your LAN, consult your network administrator and make the setting of the LAN correctly.

This section describes how to set the following basic items necessary to connect the E5063A to the LAN (Local Area Network).

  • Enabling/Disabling network

  • Check/Reset IP Address

  • Setting IP address

  • Checking computer name

If you need detail network settings, consult your network administrator and perform operation in the same way as the Windows PC.

Other topics about Using Windows

Enabling/Disabling Network

You can enable/disable the network connection function of the E5063A.

To enable/disable the network connection function

  1. Use the LAN cable to connect the E5063A to the LAN.

  2. Press System > Misc Setup > Network Setup > Network Configuration to open Network Connections window.

  3. Perform either of the following:

  • When switching from disable to enable:

Double-click the Local Area Connection icon in the Network Connections window to enable the network connection function.

  • When switching from enable to disable:

Double-click the Local Area Connection icon in the Network Connections window. The Local Area Connection Status screen appears. Click the Disable button to disable the network connection function.

  4. Close Network Connections window.

Check/Reset IP Address

The IP address of the E5063A can be checked/reset by System > Misc Setup > Network Setup > LAN Dialog.

Setting IP address

Follow these steps to set the IP address:

  1. Press System > Misc Setup > Network Setup > Network Configuration.

  2. Double-click the Local Area Connection icon in the Network Connections window. The Local Area Connection Status screen appears.

  3. Click Properties. The Local Area Connection Properties screen appears.

  4. Select (highlight) Internet Protocol (TCP/IP), and then click Properties.

  5. The Internet Protocol (TCP/IP) Properties appears. Click (select) Use the following IP address and then enter the IP address, subnet mask and gateway address.

  6. If the IP address can be obtained automatically (if the DHCP server can be used), click (select) Obtain an IP address automatically.

  7. In Internet Protocol (TCP/IP) Properties, click OK.

  8. In Local Area Connection Properties, click OK.

  9. In Local Area Connection Status, click Close.

  10. Close Network Connections window.

Checking Computer Name

Follow these steps to check the computer name:

  1. Press System > Misc Setup > Network Setup > Network Identification.

  2. See the desired computer name in Computer description in Computer Name tab.


Windows Firewall

  • To Turn Windows Firewall ON or OFF

Other topics about Using Windows

To Turn Windows Firewall ON or OFF

  1. Open Windows Firewall. To open Windows Firewall, open Control Panel, and then double-click Windows Firewall.

  2. From the right column, select either Change notification settings or Turn Windows Firewall on or off option.

  3. You may select one of the below options:

    • Turn on Windows Firewall - this is the default and recommended option.

      • Block all incoming connections, including those in the list of allowed programs - this is not a preferred option.

      • Notify me when Windows Firewall blocks new program - this option blocks new program and notifies you, so that you can choose to block or unblock the program after reviewing it.

    • Turn off Windows Firewall (not recommended) - this is not a recommended option. Turning OFF Windows Firewall might make your computer (and your network, if you have one) more vulnerable to damage from viruses.

  4. To restore to default settings, select Restore defaults from the fight field and click on the Restore defaults button.


Enabling/Disabling USB Storage

  • Local Group Policy Editor

  • Enabling & Disabling USB Storage

Other topics about Using Windows

Local Group Policy Editor

Group Policy Editor is a part of Windows operating system that allows you to control your machine. One of its feature is the ability to turn ON and OFF access to USB storage.

Group Policy Editor is a Microsoft Management Console snap-in that provides a single user interface through which all the Computer Configuration and User Configuration settings of Local Group Policy objects can be managed.

  • Computer Configuration

Administrators can use Computer Configuration to set policies that are applied to computer, regardless of who logs on to the computers. Computer Configuration typically contains sub-items for software settings, Windows settings, and administrative templates.

  • User Configuration

Administrators can use User Configuration to set policies that apply to users, regardless of which computer they log on to. User Configuration typically contains sub-items for software settings, Windows settings, and administrative templates.

To launch the Local Group Policy Editor:

  1. Click on the Start menu.

  2. In the Search programs and files entry, type GPEDIT.MSC.

  3. The below screen appears, with as per below

Enabling & Disabling USB Storage

  1. In the left field, open Computer Configuration > Administrator Templates > System > Removable Storage Access.

  2. Table below shows the possible settings for the USB storage access:

Setting Option | Enable USB Storage (Default) | Read Only Storage | Disable USB Storage
Removable Disk: Deny execute access | Not configured | Not configured | Enable
Removable Disk: Deny read access | Not configured | Not configured | Enable
Removable Disk: Deny write access | Not configured | Enable | Enable

  3. Double click on the desired setting option and the below dialog appears. As you select the desired option between Not Configured, Enabled and Disabled, the Help column at the bottom right corner displays the details of the option.

  4. Select the desired option and click Apply > OK or just OK.

  5. For example if your setting selection is Removable Disk: Deny read access and:

    • Not Configured option is selected (default selection) - allows read access to removable storage disks.

    • Disable option is selected - allows read access to removable storage disks.

    • Enabled option is selected - read access to removable disks is denied.


Connecting External Accessories

The E5063A can be connected to external input/output devices such as printer, monitor, keyboard and mouse.

  • Connecting a Printer

  • Connecting a Mouse/Keyboard

  • Connecting a Monitor

Other topics about Using Windows

Connecting a Printer

A printer can be connected to the E5063A through any USB ports on the front or rear panels. Its driver may be required to install.

Connecting a Mouse/Keyboard

A USB mouse and USB keyboard can be connected to the E5063A through any USB ports on the front or rear panels.

Connecting a Monitor

A monitor can be connected to the E5063A using the External Monitor Output Terminal (Video) located in the rear panel of the E5063A.

  • An external monitor needs to be connected to the analyzer and turned ON before the analyzer is turned ON so that the analyzer recognizes the monitor properly.


Product Information

  • Options

  • Documentations

  • Specifications

  • Customer Contacts

  • Error Messages (Warning Message)

  • Default Conditions

  • Troubleshooting

  • Maintenance

  • Measurement Accessories

  • General Principles of Operation

  • Revision History


Options

Options for E5063A

The following list shows available options. Some options can be retrofitted on your E5063A. For upgrade (retrofit) kits, refer to http://www.keysight.com/find/ena_support and configuration guide.

  • Test Set Options

  • Software Options

  • Accessary Options

  • Calibration Option

  • System Rack Options

Other topics about Product Information

Test Set Options

Option Number | Description
205 | Network Analyzer 100 kHz to 500 MHz, S-parameter test set, 50 Ω system impedance
215 | Network Analyzer 100 kHz to 1.5 GHz, S-parameter test set, 50 Ω system impedance
235 | Network Analyzer 100 kHz to 3 GHz, S-parameter test set, 50 Ω system impedance
245 | Network Analyzer 100 kHz to 4.5 GHz, S-parameter test set, 50 Ω system impedance
265 | Network Analyzer 100 kHz to 6.5 GHz, S-parameter test set, 50 Ω system impedance
285 | Network Analyzer 100 kHz to 8.5 GHz, S-parameter test set, 50 Ω system impedance
2D5 | Network Analyzer 100 kHz to 14 GHz, S-parameter test set, 50 Ω system impedance
2H5 | Network Analyzer 100 kHz to 18 GHz, S-parameter test set, 50 Ω system impedance

  • Options 205/215/235/265/2D5 require the firmware revision A.2.1x and above.

  • The units are shipped after September 2015 extends the lowest frequency at 50 kHz, however the specification is applied from 100 kHz and above as the same as before.

Software Options

Option Number | Description
006 | Wireless Power Transfer Analysis
010 | Time Domain
011 | Time Domain/Test wizard

  • Options 006 and 010 require the firmware revision A.2.1x and above.

Accessary Options

Option Number | Description
810 | Add Keyboard
820 | Add Mouse

These options are not displayed at the option information.

Calibration Option

Option Number | Description
A6J | ANSI Z540 Compliant Calibration
1A7 | ISO 17025 Compliant Calibration

These options are not displayed at the option information.

System Rack Options

Option Number | Description | Equivalent Keysight Part Number
1CM | Rack Mount Kit | 5063-9216
1CN | Front Handle Kit | 5063-9229
1CP | Rack Mount and Front Handle Kit | 5188-4430

These options are not displayed at the option information.


Documentations

Documentations for E5063A

  • Manuals

  • Sales Literature

Other topics about Product Information

Manuals

The following documentations are provided with the E5063A.

Name | Description
Help (This file) | Provides the information about the measurement operation, programming, I/O interface.
Installation Guide | Provides information about start up setup and system recovery information when the Windows cannot be boot up. This is furnished with the E5063A as a hardcopy manual.
Service Guide | Provides information about the parts, troubleshooting, performance test, adjustment and service menu.

Both Installation Guide and Service Guide can be downloaded from http://www.keysight.com/find/e5063a-manual. The latest revision of Help System, Help in PDF and WebHelp formats are also available at the site.

Sales Literature

The following sales literatures are available on http://www.keysight.com/find/e5063a.

  • Brochure, Brochure for PCB test

  • Data sheet

  • Configuration Guide (Ordering information)

  • Application notes


Specifications

The Data Sheet which shows the E5063A specification is available at http://literature.cdn.keysight.com/litweb/pdf/5991-3615EN.pdf

The reader is required to see the PDF format.

Other topics about Product Information


Customer Contacts

For assistance on E5063A, refer to http://www.keysight.com/find/assist for your regional customer contacts.

Other topics about Product Information


Error Messages

An error message is displayed against a red background in the instrument message/warning area in the lower left part of the screen. Pushing a front panel key or executing :DISP:CCL command clears the error message. Errors caused by the operation of a front panel key simply appear on the display. They are not stored in the error queue with some exceptions.

An error with a positive error number is uniquely defined for this instrument. On the other hand, an error with a negative error number is basically defined for common GPIB devices in IEEE488.2.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

No.

Message

Description

20

Additional standard needed

The GPIB command that turns ON the calibration function has been sent before to all of the data measurements needed to calculate the calibration factor that has been completed. In 1-port calibration, for example, when measurements are completed for OPEN and SHORT standards but not yet for LOAD standard:

Try to turn ON the calibration function by calculating 1-port calibration coefficient using SENS:CORR:COLL:SAVE. Be sure to measure all necessary calibration data before sending the commands. This error is not generated by front key operations.

B

No. | Message | Description
-168 | Block data not allowed | An block-data element has been received at a position where this instrument does not accept one.

C

No. | Message | Description
240 | Calibration data lost | This error occurs when a file containing the system calibration data is not found or in a damaged state at time of the startup of this instrument, indicating a failure of this instrument. Contact the Keysight Technology sales office or the company from which you bought the instrument.
22 | Calibration method not selected | This error occurs when the command for validating the calibration data, SENS:CORR:COLL:SAVE is executed before the command for selecting a calibration type, SENS:CORR:COLL:METH:xxxx, is executed. This error is not generated by front key operations.
-148 | Character data not allowed | A character data element (not violating the standard) has been received at a position where this instrument does not accept one. Double quotes (") are omitted where it is necessary to place a parameter in double quotes ("), for example.
-100 | Command error | A comprehensive syntax error has occurred showing that this instrument cannot detect a more detailed error. This code simply shows that a command error defined in 11.5.1.1.4, IEEE488.2 has occurred.

D

No.

Message

Description

-222

Data out of range

A data element (not violating the standard) outside the range defined by this instrument has been received. This error occurs when an integer-based command for which the parameter can be rounded exceeds the range of -65536 to +65536 or when a real-number-based command for which the parameter can be rounded exceeds the range of -9.9e37 to +9.9e37, for example.

This error occurs also when a numeric value other than a specified one is entered into a command in which the "port number" and "CalKit number" are specified as parameters and hence the parameters are not rounded. Such commands are, for example, SENS:CORR:COLL:ACQ:OPEN, SENS:CORR:COLL:ECAL:SOLT2, SENS:CORR:COLL:CKIT:ORD:LOAD, etc.

-104

Data type error

The parser has recognized a data element that must not exist. Block data is sent instead of numeric value data or character string data that had been expected, for example.

E

No.

Message

Description

32

ECal module not in appropriate RF path

This error occurs when an ECal command, SENS:CORR:COLL:ECAL:SOLTn, is executed with the port on the ECal module not connected correctly to the instrument. When the auto-detect function is turned OFF, (SENS:CORR:COLL:ECAL:ORI OFF), however, this error does not occur even when the port on the ECal module is not connected correctly to the instrument.

502

Equation runtime error

This error occurs under the following conditions:

  • The trace number in data(tr)/mem(tr)/xAxis(tr) is out of range

  • The port number in Advanced math function is out of range
    # of port available depends on the model option

-200

Execution error

An error associated with execution has been generated for which this instrument cannot specify the error message. This code shows that an error associated with execution defined in 11.5.1.1.5, IEEE488.2 has occurred. This error also occurs when a calibration measurement is aborted.

-123

Exponent too large

The absolute value of the exponent exceeds 32,000 (see 7.7.2.4.1, IEEE488.2).

-178

Expression data not allowed

An expression-data element has been received at a position where this instrument does not accept one.

-170

Expression error

When the expression data is put to syntactic analysis, an error not corresponding to one of Error Numbers -171 through -179 occurs.

F

No. | Message | Description
31 | Failed to configure ECal module | This error occurs when the control of the ECal module fails at the time of executing an ECal command, SENS:CORR:COLL:ECAL:SOLTn. The failure results are from the failure to connect the ECal module to the USB port, failure of the ECal module, etc.
102 | Failed to copy file | This error occurs when copying a file (MMEM:COPY command) fails.
104 | Failed to create directory | This error occurs when creating a directory (MMEM:MDIR command) fails.
103 | Failed to delete file | This error occurs when deleting a file (MMEM:DEL command) fails.
100 | Failed to read file | This error occurs when the formatted data array (MMEM:LOAD:FDAT command) and limit table (MMEM:STOR:LIM command) for the active trace on the active channel, segment sweep table (MMEM:LOAD:SEGM command) for the active channel, etc. cannot be read normally.
101 | Failed to write file | This error occurs when the formatted data array (MMEM:STOR:FDATcommand) and limit table (MMEM:STOR:LIM command) for the active trace on the active channel, segment sweep table (MMEM:STOR:SEGM command) for the active channel, display image (MMEM:STOR:IMAG command) for the LCD screen, etc. cannot be written normally.
-257 | File name error | A file name error. This message appears when an error exists in the file name and hence a command is not executed correctly. This error occurs when you try to copy to an unsuitable file name, for example.
-256 | File name not found | The specified file name is not found and hence the command is not executed correctly. This error occurs when you try to read a file that does not exist in a disk or a disk is not correctly inserted into the drive to read or write a file, for example.
107 | File transfer failed | This error occurs when writing data into or reading data from a file (MMEM:TRAN command) fails.
201 | Firmware license not found | Frequency option or/and Generation code license codes do not exist in .lic file. See the Backing_Up_License_Key_File.

G

No. | Message | Description
-105 | GET not allowed | A group execution trigger (GET) has been received in the program message (see 7.7, IEEE488.2).

H

No. | Message | Description
-240 | Hardware error | When hardware error occurs, this error is displayed.
-114 | Header suffix out of range | The unit of the header is outside the range. The header is invalid in the unit for numeric parameters following a SCPI command.

I

No. | Message | Description
-224 | Illegal parameter value | The parameter value is not suitable. This error occurs when the CALC:PAR:DEF command is used to specify an S-parameter that does not exist in the model (specify S44), for example.
-213 | Init ignored | Because another measurement is in progress, the request for initiating a measurement ("INIT" command) is ignored.
35 | Insufficient ECal module memory | This error occurs when the embedded memory is insufficient to save the user property in ECal module during the user definition ECal processing.
243 | Insufficient privileges | Logged-in Windows account does not have administrator privileges. Re-Log-in with administrator account.
-161 | Invalid block data | Block data has been expected, but the block data that appears is invalid for some reason (see 7.7.6.2, IEEE488.2). The END message is received before the length of block data has been filled, for example.
28 | Invalid calibration method | If the type of calibration is not specified or not correct when partial overwrite is executed with the GPIB command, this error occurs. This error does not occur for operation with front keys.
-101 | Invalid character | An invalid character exists in the program message character string.
-141 | Invalid character data | An invalid character is found in the character data element, or the parameter received is not valid.
-121 | Invalid character in number | A character that is invalid for the data type subject to syntactic analysis has been received. For example, a letter is found in a decimal numeric value or a numeric character "9" in octal data.
500 | Invalid equation expression | The equation expression used in Equation Editor is not valid.
501 | Invalid equation label | The equation label used in Equation Editor is not valid.
-171 | Invalid expression | The expression-data element is invalid (see 7.7.7.2, IEEE488.2). For example, parentheses are not paired, or illegal characters are used.
-232 | Invalid Format | A legal program data element was parsed but could not be executed because the data format or structure is inappropriate. For example when loading memory tables or when sending a :SYST:SET parameter from an unknown instrument.
-103 | Invalid separator | The parser (a syntactic analysis program) had been expecting a delimiter, but a character that is not a delimiter has been sent.
-151 | Invalid string data | Character string data has been expected, but the character string data that appears is invalid for some reason (see 7.7.5.2, IEEE488.2). The END message is received before the ending quotation mark character appears, for example.
-131 | Invalid suffix | The suffix does not comply with the syntax defined in 7.7.3.2, IEEE488.2. Or it does not suit E5063A.

L

No.

Message

Description

53

Log sweep requires 2 octave minimum span

The span of sweep range did not satisfy the requirement for logarithmic sweep. The sweep type is automatically changed to linear sweep when this error occurs.

For example, this error occurs when, with the start and stop frequency are set 1 MHz and 2 MHz respectively, the sweep type is changed to logarithmic sweep.

Set the stop frequency to more than four times as many as the start frequency. And then select logarithmic sweep.

M

No. | Message | Description
-109 | Missing parameter | The number of parameters is less than that required for the command, or the parameter has not been entered. For example, the :SENS:SWE:POIN command requires one more parameter. Therefore, when a message "SENS:SWE:POIN" is sent, this error is returned.
-270 | Macro error | An error occurring when macro is executed.

N

No.

Message

Description

70

No GPIB system controller

The GPIB system controller is not set properly.

This error occurs when USB/GPIB interface is not connected or the interface setting is improper, during the measurement for power calibration data or for that in scalar-mixer calibration.

It also occurs when USB/GPIB interface is not connected or the interface setting is improper, though the control of the external signal source is enabled.

Ensure the connection of USB/GPIB interface and its setting.

52

No valid memory trace

This error occurs when you have executed either DISP:WIND:TRAC:MEM ON command to display memory trace, or any other command to enable data calculation using memory trace (CALC:MATH:FUNC command with other than NORM is specified), though no valid data exists in memory trace. This error is not generated by front key operations.

-120

Numeric data error

An error resulting from the numeric value data (including numeric value data having no decimal point representation) has occurred. A numeric value error other than Errors -121 through -129 has occurred.

-128

Numeric data not allowed

An numeric-value-data element (not violating the standard) has been received at a position where this instrument does not accept one.

O

No.

Message

Description

200

Option not installed

The received command has been ignored because of the mismatch between the contents of an option for this instrument and the command.

It also occurs when you try to enable the fault location function in a model not having the fault location option. This holds true for the SRL (Structural Return Loss) option.

This error is not generated by front key operations.

-225

Out of memory

Insufficient memory is available in this instrument to perform the required operation.

P

No.

Message

Description

-220

Parameter error

When a parameter-related error other than Errors -221 through -229 occurs, that error is displayed.

-108

Parameter not allowed

The number of parameters exceeds the one required for the command.

For instance, when a program message ":SENS1:SWE:TYPE LIN, SEGM" is sent instead of a correct program message with a command ":SENS1:SWE:TYPE LIN" which requires a parameter, the instrument receives the message as the number of parameters is invalid. See the command reference to confirm the required number of parameters.

41

Peak not found

This error occurs when, after specifying a peak and executing the CALC:MARK:FUNC:EXEC and CALC:FUNC:EXEC commands, the specified peak is not found in the marker search analysis.

220

Phase lock loop unlocked

This error occurs when the PLL circuit of this instrument becomes unlocked while the measurement is in progress. The measurement value is not correct. This error may occur when an external reference out of specification is connected to this instrument. Should an error occur with an external reference not connected, this instrument is faulty. Contact an Keysight Technology sales office or the company from which you bought the instrument.

221

Port 1 receiver overload

The excessive signal has been input on port 1. When this error occurs, signal source is turned OFF. Check the input signal level on port 1.

222

Port 2 receiver overload

The excessive signal has been input on port 2. When this error occurs, signal source is turned OFF. Check the input signal level on port 2.

241

Power on test failed

This error occurs when the power-on test fails, indicating a failure of this instrument. Contact an Keysight Technology sales office or the company from which you bought the instrument.

61

Power unleveled

The out power level exceeds available range.

For example, if the level after correction exceeds the power level that can be outputted when correcting the power level with the power slope feature, this error occurs.

Check that the power level is set correctly and the correction value of the power slope is set correctly.

121

Print failed

This error occurs when printing fails for reasons other than Error 120, Printer error.

120

Printer error

This error occurs when the previous printing is still in progress or the printer fails (offline, short of paper, etc.) at the time of outputting the display image on the LCD screen to the printer (:HCOP command).

-112

Program mnemonic too long

The length of the header exceeds 12 characters (see 7.6.1.4.1, IEEE488.2).

Q

No. | Message | Description
-430 | Query DEADLOCKED | The state that generates a "DEADLOCKED" Query error (see 6.3.1.7, IEEE488.2). This error occurs when both input and output buffers have become full, preventing the instrument from continuing processing, for example.
-400 | Query error | A comprehensive query error has occurred showing that this instrument cannot detect a more detailed error. This code simply shows that a query error defined in 11.5.1.1.7 and 6.3, IEEE488.2 has occurred.
-410 | Query INTERRUPTED | The state that generates a "INTERRUPTED" Query error (see 6.3.2.3, IEEE488.2). This error occurs when data bytes (DAB) or GET are received before the transmission of the response when a query is not completed, for example.
-420 | Query UNTERMINATED | The state that generates an "UNTERMINATED" Query error (see 6.3.2, IEEE488.2). This error occurs when this instrument is designated as the talker and an incomplete program message is received, for example.
-440 | Query UNTERMINATED after indefinite response | After a query asking for an indefinite response has been run, another query is received in the same program message (See 6.5.7.5.7, IEEE488.2).
-350 | Queue overflow | The queue contains a specific code in place of the code which caused this error. The code indicates that the error occurred because of no space is available in the queue, but the error is not recorded.

R

No. | Message | Description
105 | Recall failed | This error occurs when reading an instrument status file (State01.sta, etc.) (MMEM:LOAD:STAT command) fails.

S

No. | Message | Description
106 | Save failed | This error occurs when writing an instrument status file (State01.sta, etc.) (MMEM:STOR:STAT command) fails.
33 | Selected parameter not valid for confidence check | This error occurs when the parameter except S-parameter has been selected, while using the confidence check function for calibration coefficient. Select S-parameter (S11, S21, S12 or S22).
57 | SnP request not valid | This error occurs when you try to save data to a Touchstone file but no measurement has been executed.
50 | Specified channel hidden | This error occurs when an attempt is made to activate a channel not on display using the DISP:WIND:ACT command. This error is not generated by front key operations.
23 | Specified error term does not exist | The error occurs when the calibration coefficient type of the parameter specified in the read/write command of the calibration coefficient (SENS:CORR:COEF) is invalid for the calibration type selected by the calibration type selection command (SENS:CORR:COEF:METH:xxxx.) This error is not generated by front key operations.
21 | Specified ports overlapped | This error occurs when a port number is duplicated in a command requiring two or more port numbers as parameters. Such commands are, for example, SENS:CORR:COLL:THRU 2,2. Specify port setup correctly to avoid duplication of ports. This error is not generated by front key operations.
51 | Specified trace dose not exist | This error occurs when CALC:PAR:SEL command is executed to activate more traces than specified by CALC:PAR:COUN command. This error is not generated by front key operations.
26 | Standard not selected | This error occurs when you execute the measurement under the condition that the standard is not selected for the subclass (the standard number is set to 0).
-150 | String data error | When a character-string-data element is put to syntactic analysis, an error not corresponding to one of Error Numbers -151 through -159 occurs.
-158 | String data not allowed | A character-string-data element has been received at a position where this instrument does not accept one.
-138 | Suffix not allowed | A suffix is attached to a numeric value element to which a suffix is not allowed to be attached.
-134 | Suffix too long | The unit is too long. The unit is expressed in 12 or more characters (see 7.7.3.4, IEEE488.2).
-102 | Syntax error | A command or data type that is not recognized exists.
-310 | System error | One of the errors designated as "system errors" in this instrument has occurred.

T

No.

Message

Description

40

Target value not found

This error occurs when the target is not found during the marker search analysis after specifying the target and executing the CALC:MARK:FUNC:EXEC and CALC:FUNC:EXEC commands. This error occurs also when the bandwidth is not found after executing the bandwidth marker command, CALC:MARK:BWID:DATA?

-124

Too many digits

The number of digits of the argument of the decimal numeric-value-data element exceeds 255 with the preceding 0 removed (see 7.7.2.4.1, IEEE488.2).

-223

Too much data

The block-, expression-, or character-string-type program data that has been received conforms with the standard. But it exceeds the amount that can be processed under the condition of the memory or conditions specific to memory-related devices. In this instrument, this error occurs when the number of characters exceeds 254 in a character-string parameter.

54

Transform, Gate not allowed

This message appears when you turn ON the transform/gating function of the time domain feature, while measurement points are set to two, or sweep type is set to other than linear sweep

Set the measurement points to three or more and the sweep type to linear sweep, and then turn ON the transform and/or gating conversion function.

-211

Trigger ignored

This instrument receives and detects a trigger command (":TRIG") or an external trigger signal. But it is ignored due to the timing condition (This instrument is not in the wait-for-trigger state, for example). Change the setup so that a trigger command or an external trigger signal can be sent after the instrument has entered the wait-for-trigger state.

U

No.

Message

Description

-113

Undefined header

A command not defined in this instrument, though not illegal in the syntactic structure, has been received. For example, when a message ":DISP:WIND1:TABL:MEM ON" is sent to a correct program message ":DISP:WIND1:TRAC1:MEM ON," the message sent is received as an undefined command by this instrument. See the command reference and use correct commands.

This error occurs also when a port that does not exist in this model is specified in a command specifying a port number as an index. Such commands are SENS:CORR:EXT:AUTO:PORTn, SENS:CORR:COLL:ADAPn:xxxx, CALC:SRL:CONNn:xxxx, and SENS:CORR:EXT:PORTn:xxxx; they include "n" as a part.

34

User characterization not found in module

This error occurs when the selected user profile is not detected in the ECal memory, while reading it from the ECal module, written by the user definition ECal.

V

No. | Message | Description
30 | Valid Ecal module not found | This error occurs when a required ECal module is not connected on the E5063A. This error occurs, for example, when the Ecal characterization is executed with 4 port Ecal. Use 2 port Ecal in this case.
81 | Valid USB switch not found | This error occurs when a required USB switch is not connected on the E5063A.


Warning Message

A warning message is displayed in the instrument message/Warning area in the lower left part of the display against a gray background. Pushing a front panel key or executing :DISP:CCL command clears the message.

This message simply appears on the display, being not known to a remote environment such as a GPIB. This message is not displayed when another error (against a red background) is already displayed in the instrument message/Warning area.

Warning Messages during Measurement

Messages

Description

Calibration data lost ([parameter])/

One or more of the below calibration data is lost. The lost parameter is indicated in the message, for example, calibration data lost (band information):

(nominal value), (band information), (local gain), (source output power), (virtual bridge), (receiver if range), (port characteristics), (absolute gain), (mixer current), (constants for sweep controller), (reference frequency),(receiver if flatness), (PLL cpc).

Calibration extrapolated

The frequency range that can be calibrated with the ECal module is exceeded. In this case, the calibration data for the minimum frequency or maximum frequency are used instead of the data exceeding the allowable frequency range for calibration.

Fixture Simulator failed to read user file

This warning occurs when the recalling files is not proper format.

Incompatible recall file

The recall state file is stored by the unit with upper frequency model. Some setting may be lost.

Invalid key code

The key code entered to enable or disable an option is incorrect. Enter the correct key code to proceed.

Peak not found

This warning message is displayed when, with the tracking turned ON, the peak specified by the marker search has not been found by the time the sweep is finished (with the tracking executed).

Segment table changed

This warning message is displayed when the setting specified segment by segment in the segment table is automatically changed by a change in the other setting.

For example, this warning message is displayed when, with the power specified segment by segment in the segment table, the power setting for a segment is adjusted by a change in the power range setting.

Target value not found

This warning message is displayed when, with the tracking turned ON, the target specified by the marker search has not been found by the time the sweep is finished (with the tracking executed).

This warning message is displayed also when, with the bandwidth marker displayed, the setting for the bandwidth marker is changed at the end of the sweep, or when, with the active marker changed or moved, the bandwidth is not found.

Transform, Gate not allowed

This message appears when you have set the measurement points to two, sweep type to other than linear sweep, or frequency offset to enabled, while the gating/conversion function of the time domain feature is turned on.

If this message is displayed, the gating/conversion function is automatically turned off.

Unknown SSD image

This message appears when wrong SSD is installed.

Unknown system revision

This message appears when wrong SSD is installed.

Unable to find help file

This warning message appears when Help file could not be executed when you press the Help key. The file is either corrupted or unavailable.

Re-install the firmware.

Unable to find help id file

This warning message appears when Help file could not be executed when you click a button at the menu bar and press the Help key to execute a help topic related to the button. The help id file is either corrupted or unavailable.

User Preset File not found

This warning message is displayed if no user preset file (D:\UserPreset.sta) exists when executing the SYST:UPR command.

If this message is displayed, a normal preset (:SYST:PRES) will be performed


Test Wizard Error Messages

An error message is displayed on a dialog box. In the Test Wizard application on PC (remote control), the error message is displayed at the Error Message area of the application.

An error with a positive error number is uniquely defined for this instrument. On the other hand, an error with a negative error number is basically defined for common GPIB devices in IEEE488.2.

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z

A

No.

Message

Description

20

Additional standard needed

The GPIB command that turns ON the calibration function has been sent before to all of the data measurements needed to calculate the calibration factor that has been completed. In 1-port calibration, for example, when measurements are completed for OPEN and SHORT standards but not yet for LOAD standard:

Try to turn ON the calibration function by calculating 1-port calibration coefficient using SENS:CORR:COLL:SAVE. Be sure to measure all necessary calibration data before sending the commands. This error is not generated by front key operations.

B

No. | Message | Description
-168 | Block data not allowed | An block-data element has been received at a position where this instrument does not accept one.

C

No. | Message | Description
-148 | Character data not allowed | A character data element (not violating the standard) has been received at a position where this instrument does not accept one. Double quotes (") are omitted where it is necessary to place a parameter in double quotes ("), for example.
-100 | Command error | A comprehensive syntax error has occurred showing that this instrument cannot detect a more detailed error. This code simply shows that a command error defined in 11.5.1.1.4, IEEE488.2 has occurred.

D

No.

Message

Description

-222

Data out of range

A data element (not violating the standard) outside the range defined by this instrument has been received. This error occurs when an integer-based command for which the parameter can be rounded exceeds the range of -65536 to +65536 or when a real-number-based command for which the parameter can be rounded exceeds the range of -9.9e37 to +9.9e37, for example.

This error occurs also when a numeric value other than a specified one is entered into a command in which the "port number" and "CalKit number" are specified as parameters and hence the parameters are not rounded. Such commands are, for example, SENS:CORR:COLL:ACQ:OPEN, SENS:CORR:COLL:ECAL:SOLT2, SENS:CORR:COLL:CKIT:ORD:LOAD, etc.

-104

Data type error

The parser has recognized a data element that must not exist. Block data is sent instead of numeric value data or character string data that had been expected, for example.

E

No. | Message | Description
-200 | Execution error | An error associated with execution has been generated for which this instrument cannot specify the error message. This code shows that an error associated with execution defined in 11.5.1.1.5, IEEE488.2 has occurred. This error also occurs when a calibration measurement is aborted.
-123 | Exponent too large | The absolute value of the exponent exceeds 32,000 (see 7.7.2.4.1, IEEE488.2).
-178 | Expression data not allowed | An expression-data element has been received at a position where this instrument does not accept one.
-170 | Expression error | When the expression data is put to syntactic analysis, an error not corresponding to one of Error Numbers -171 through -179 occurs.

F

No. | Message | Description
102 | Failed to copy file | This error occurs when copying a file (MMEM:COPY command) fails.
104 | Failed to create directory | This error occurs when creating a directory (MMEM:MDIR command) fails.
103 | Failed to delete file | This error occurs when deleting a file (MMEM:DEL command) fails.
100 | Failed to read file | This error occurs when the formatted data array (MMEM:LOAD:FDAT command) and limit table (MMEM:STOR:LIM command) for the active trace on the active channel, segment sweep table (MMEM:LOAD:SEGM command) for the active channel, etc. cannot be read normally.
101 | Failed to write file | This error occurs when the formatted data array (MMEM:STOR:FDAT command) and limit table (MMEM:STOR:LIM command) for the active trace on the active channel, segment sweep table (MMEM:STOR:SEGM command) for the active channel, display image (MMEM:STOR:IMAG command) for the LCD screen, etc. cannot be written normally.
-257 | File name error | A file name error. This message appears when an error exists in the file name and hence a command is not executed correctly. This error occurs when you try to copy to an unsuitable file name, for example.
-256 | File name not found | The specified file name is not found and hence the command is not executed correctly. This error occurs when you try to read a file that does not exist in a disk or a disk is not correctly inserted into the drive to read or write a file, for example.
107 | File transfer failed | This error occurs when writing data into or reading data from a file (MMEM:TRAN command) fails.

H

No. | Message | Description
-114 | Header suffix out of range | The unit of the header is outside the range. The header is invalid in the unit for numeric parameters following a SCPI command.

I

No. | Message | Description
-224 | Illegal parameter value | The parameter value is not suitable. This error occurs when the CALC:PAR:DEF command is used to specify an S-parameter that does not exist in the model (specify S44), for example.
-161 | Invalid block data | Block data has been expected, but the block data that appears is invalid for some reason (see 7.7.6.2, IEEE488.2). The END message is received before the length of block data has been filled, for example.
28 | Invalid calibration method | If the type of calibration is not specified or not correct when partial overwrite is executed with the GPIB command, this error occurs. This error does not occur for operation with front keys.
-101 | Invalid character | An invalid character exists in the program message character string.
-141 | Invalid character data | An invalid character is found in the character data element, or the parameter received is not valid.
-121 | Invalid character in number | A character that is invalid for the data type subject to syntactic analysis has been received. For example, a letter is found in a decimal numeric value or a numeric character "9" in octal data.
-171 | Invalid expression | The expression-data element is invalid (see 7.7.7.2, IEEE488.2). For example, parentheses are not paired, or illegal characters are used.
-103 | Invalid separator | The parser (a syntactic analysis program) had been expecting a delimiter, but a character that is not a delimiter has been sent.
-151 | Invalid string data | Character string data has been expected, but the character string data that appears is invalid for some reason (see 7.7.5.2, IEEE488.2). The END message is received before the ending quotation mark character appears, for example.
-131 | Invalid suffix | The suffix does not comply with the syntax defined in 7.7.3.2, IEEE488.2. Or it does not suit E5063A.

M

No. | Message | Description
-109 | Missing parameter | The number of parameters is less than that required for the command, or the parameter has not been entered. For example, the :SENS:SWE:POIN command requires one more parameter. Therefore, when a message "SENS:SWE:POIN" is sent, this error is returned.

N

No. | Message | Description
-120 | Numeric data error | An error resulting from the numeric value data (including numeric value data having no decimal point representation) has occurred. A numeric value error other than Errors -121 through -129 has occurred.
-128 | Numeric data not allowed | An numeric-value-data element (not violating the standard) has been received at a position where this instrument does not accept one.

O

No. | Message | Description
-225 | Out of memory | Insufficient memory is available in this instrument to perform the required operation.

P

No. | Message | Description
-220 | Parameter error | When a parameter-related error other than Errors -221 through -229 occurs, that error is displayed.
-108 | Parameter not allowed | The number of parameters exceeds the one required for the command. For instance, when a program message ":SENS1:SWE:TYPE LIN, SEGM" is sent instead of a correct program message with a command ":SENS1:SWE:TYPE LIN" which requires a parameter, the instrument receives the message as the number of parameters is invalid. See the command reference to confirm the required number of parameters.
121 | Print failed | This error occurs when printing fails for reasons other than Error 120, Printer error.
120 | Printer error | This error occurs when the previous printing is still in progress or the printer fails (offline, short of paper, etc.) at the time of outputting the display image on the LCD screen to the printer (:HCOP command).
-112 | Program mnemonic too long | The length of the header exceeds 12 characters (see 7.6.1.4.1, IEEE488.2).

Q

No. | Message | Description
-430 | Query DEADLOCKED | The state that generates a "DEADLOCKED" Query error (see 6.3.1.7, IEEE488.2). This error occurs when both input and output buffers have become full, preventing the instrument from continuing processing, for example.
-400 | Query error | A comprehensive query error has occurred showing that this instrument cannot detect a more detailed error. This code simply shows that a query error defined in 11.5.1.1.7 and 6.3, IEEE488.2 has occurred.
-410 | Query INTERRUPTED | The state that generates a "INTERRUPTED" Query error (see 6.3.2.3, IEEE488.2). This error occurs when data bytes (DAB) or GET are received before the transmission of the response when a query is not completed, for example.
-420 | Query UNTERMINATED | The state that generates an "UNTERMINATED" Query error (see 6.3.2, IEEE488.2). This error occurs when this instrument is designated as the talker and an incomplete program message is received, for example.
-440 | Query UNTERMINATED after indefinite response | After a query asking for an indefinite response has been run, another query is received in the same program message (See 6.5.7.5.7, IEEE488.2).
-350 | Queue overflow | The queue contains a specific code in place of the code which caused this error. The code indicates that the error occurred because of no space is available in the queue, but the error is not recorded.

R

No. | Message | Description
105 | Recall failed | This error occurs when reading an instrument status file (State01.sta, etc.) (MMEM:LOAD:STAT command) fails.

S

No. | Message | Description
106 | Save failed | This error occurs when writing an instrument status file (State01.sta, etc.) (MMEM:STOR:STAT command) fails.
57 | SnP request not valid | This error occurs when you try to save data to a Touchstone file but no measurement has been executed.
-150 | String data error | When a character-string-data element is put to syntactic analysis, an error not corresponding to one of Error Numbers -151 through -159 occurs.
-158 | String data not allowed | A character-string-data element has been received at a position where this instrument does not accept one.
-138 | Suffix not allowed | A suffix is attached to a numeric value element to which a suffix is not allowed to be attached.
-134 | Suffix too long | The unit is too long. The unit is expressed in 12 or more characters (see 7.7.3.4, IEEE488.2).
-102 | Syntax error | A command or data type that is not recognized exists.
-310 | System error | One of the errors designated as "system errors" in this instrument has occurred.

T

No. | Message | Description
-124 | Too many digits | The number of digits of the argument of the decimal numeric-value-data element exceeds 255 with the preceding 0 removed (see 7.7.2.4.1, IEEE488.2).
-223 | Too much data | The block-, expression-, or character-string-type program data that has been received conforms with the standard. But it exceeds the amount that can be processed under the condition of the memory or conditions specific to memory-related devices. In this instrument, this error occurs when the number of characters exceeds 254 in a character-string parameter.
650 | Test not specified | When the executed test is not specified properly.
651 | Test not measured | When the executed test is not performed

U

No.

Message

Description

-113

Undefined header

A command not defined in this instrument, though not illegal in the syntactic structure, has been received. For example, when a message ":DISP:WIND1:TABL:MEM ON" is sent to a correct program message ":DISP:WIND1:TRAC1:MEM ON," the message sent is received as an undefined command by this instrument. See the command reference and use correct commands.

This error occurs also when a port that does not exist in this model is specified in a command specifying a port number as an index. Such commands are SENS:CORR:EXT:AUTO:PORTn, SENS:CORR:COLL:ADAPn:xxxx, CALC:SRL:CONNn:xxxx, and SENS:CORR:EXT:PORTn:xxxx; they include "n" as a part.


Default Condition (Analysis)

Analysis

Key Operation |  |  | Default Value | Preset | Backup | Save/Recall
Fixture Simulator | Fixture Simulator |  | OFF | ← |  | √
 | Topology | Device | Bal | ← |  | √
 |  | Port 1 (Bal) | 1-2 or 2-1 | ← |  | √
 |  | Property | OFF | ← |  | √
 | BalUn |  | OFF | ← |  | √
 | Port Matching | Port Matching | OFF | ← |  | √
 |  | Select Port | 1 | ← |  | √
 |  | Select Circuit | None | ← |  | √
 |  | C (C1) | 0.000e-12F | ← |  | √
 |  | G (G1) | 0.000S | ← |  | √
 |  | L (L1) | 0.000e-9H | ← |  | √
 |  | R (R1) | 0.0000 ohm | ← |  | √
 |  | C2 | 0.000e-12F | ← |  | √
 |  | G2 | 0.000S | ← |  | √
 |  | L2 | 0.000e-9H | ← |  | √
 |  | R2 | 0.0000 ohm | ← |  | √
 | Port Z Conversion | Port Z Conversion | OFF | ← |  | √
 |  | Port 1 Z0 Real | 50.000 ohm | ← |  | √
 |  | Port 1 Z0 Imag | 0.000 ohm | ← |  | √
 |  | Port 2 Z0 Real | 50.000 ohm | ← |  | √
 |  | Port 2 Z0 Imag | 0.000 ohm | ← |  | √
 | De-Embedding | De-Embedding | OFF | ← |  | √
 |  | Select Port | 1 | ← |  | √
 |  | Select Type | None | ← |  | √
 | Diff Matching | Diff Matching | OFF | ← |  | √
 |  | Select Bal Port | 2 | ← |  | √
 |  | Select Circuit | None | ← |  | √
 |  | C | 0.0000 F | ← |  | √
 |  | G | 0.0000 S | ← |  | √
 |  | L | 0.0000 H | ← |  | √
 |  | R | 0.0000 ohm | ← |  | √
 | Diff Z Conversion | Diff Z Conversion | OFF | ← |  | √
 |  | Port1 (bal) Real | 100.00 ohm | ← |  | √
 |  | Port1 (bal) Imag | 0.00 ohm | ← |  | √
 |  | Port2 (bal) Real | 100.00 ohm | ← |  | √
 |  | Port2 (bal) Imag | 0.00 ohm | ← |  | √
 | Cmn Z Conversion | Cmn Z Conversion | OFF | ← |  | √
 |  | Port1 (bal) Real | 25.00 ohm | ← |  | √
 |  | Port1 (bal) Imag | 0.000 ohm | ← |  | √
 |  | Port2 (bal) Real | 25.00 ohm | ← |  | √
 |  | Port2 (bal) Imag | 0.000 ohm | ← |  | √
Gating | Gating |  | OFF | ← |  | √
 | Start |  | -10 ns | ← |  | √
 | Stop |  | 10 ns | ← |  | √
 | Center |  | 0 s | ← |  | √
 | Span |  | 20 ns | ← |  | √
 | Type |  | Bandpass | ← |  | √
 | Shape |  | Normal | ← |  | √
 | Unit |  | Seconds | ← |  | √
Transform | Transform |  | OFF | ← |  | √
 | Start |  | 0 m | ← |  | √
 | Stop |  | 0 F | ← |  | √
 | Center |  | ON | ← |  | √
 | Span |  | 210 MHz | ← |  | √
 | Type |  | Bandpass | ← |  | √
 | Window |  | Normal | ← |  | √
 |  | Impulse Width | 230.69 ps | ← |  | √
 |  | Kaiser Beta | 6.0000 | ← |  | √
 | Unit | Seconds | Seconds | ← |  | √
Conversion | Conversion |  | OFF | ← |  | √
 | Function |  | Z:Reflection | ← |  | √
Limit Test | Limit Test |  | OFF | ← |  | √
 | Limit Line |  | OFF | ← |  | √
 | Limit Line Offsets | Stimulus Offset | 0 Hz | ← |  | √
 |  | Amplitude Offset | 0 dB | ← |  | √
 | Fail Sign |  | ON | ← |  | √
Ripple Limit | Ripple Limit Test |  | OFF | ← |  | √
 | Ripple Limit |  | OFF | ← |  | √
 | Ripple Value |  | Off | ← |  | √
 | Ripple Band |  | 1 | ← |  | √
 | Fail Sign |  | ON | ← |  | √
Bandwidth Limit | BW Test |  | OFF | ← |  | √
 | BW Display |  | OFF | ← |  | √
 | BW Marker |  | OFF | ← |  | √
 | N dB Points |  | 3 dB | ← |  | √
 | Min Bandwidth |  | 10 kHz | ← |  | √
 | Max Bandwidth |  | 300 kHz | ← |  | √
 | Fail Sign |  | ON | ← |  | √
Point Limit | Point Limit Test |  | A | ← |  | √
 | Point Limit |  | OFF | ← |  | √
 | Edit Point Limit | Delete |  |  |  |
 |  | Add |  |  |  |
 |  | Clear Point Limit Table |  |  |  |
 |  | Export to CSV File... |  |  |  |
 |  | Import from CSV File... |  |  |  |
 | Fail Sign |  | ON | ← |  | √


Default Condition (Avg)

Avg

Key Operation | Default Value | Preset | Backup | Save/Recall
Avg Factor | 16 | ← |  | √
Averaging | OFF | ← |  | √
Avg Trigger | OFF | ← |  | √
SMO Aperture | 1.5 % | ← |  | √
Smoothing | OFF | ← |  | √
IF Bandwidth | 30 kHz | ← |  | √
IFBW Auto | OFF | ← |  | √
IFBW Auto Limit | 30 kHz | ← |  | √


Default Condition (Cal)

Cal

Key Operation |  |  |  | Default Value | Preset | Backup | Save/Recall
Correction |  |  |  | OFF | ← |  | √
Calibrate | Response (Open) | Select Port |  | 1 | ← |  |
 | Response (Short) | Select Port |  | 1 | ← |  |
 | Response (Thru) | Select Ports |  | 2-1 (S21) | ← |  |
 | Enhanced Response | Select Ports |  | 2-1 (S21) | ← |  |
 | 1-Port Cal | Select Port |  | 1 | ← |  |
 | Adapter Removal | Port 1/2 | Length | Auto (0 s) | ← |  |
 |  | Cal Kit |  | 85032B/E | ← |  |
ECal | Enhanced Response |  |  | 2-1 (S21 S11) | ← |  | √
 | Isolation |  |  | OFF | ← |  | √
 | Characterization |  |  | Factory | ← |  | √
 | Orientation |  |  | Auto | ← |  | √
Property |  |  |  | OFF | ← |  | √
Cal Kit |  |  |  | 85032B/E | ← |  | √
Modify Cal Kit | Define STDs |  |  | Define STDs | ← |  | √
 | Label Kit |  |  | 85032B/E |  |  |
Port Extensions | Extensions |  |  | OFF | ← |  | √
 | Auto Port Extension | Select Ports (Port 1/Port 2) |  | ON | ← |  | √
 |  | Method |  | Current Span | ← |  | √
 |  | Method | User Span Start | 5 Hz | ← |  | √
 |  | Method | User Span Stop | 3 GHz | ← |  | √
 |  | Include Loss |  | OFF | ← |  | √
 |  | Adjust Mismatch |  | OFF | ← |  | √
 | Extension Port 1/Port 2 | Extension |  | 0 s | ← |  | √
 |  | Loss1 |  | OFF | ← |  | √
 |  | Loss1 |  | 0 dB | ← |  | √
 |  | Freq1 |  | 1 GHz | ← |  | √
 |  | Loss2 |  | OFF | ← |  | √
 |  | Loss2 |  | 0 dB | ← |  | √
 |  | Freq2 |  | 1 GHz | ← |  | √
 |  | Loss at DC |  | 0 dB | ← |  | √
Velocity Factor |  |  |  | 1 | ← |  | √
Set Z0 |  |  |  | 50 Ω | ← |  | √


Default Condition (Center)

Center

Key Operation | Default Value | Preset | Backup | Save/Recall
 | 1.50005 GHz | ← |  | √


Default Condition (Display)

Display

Key Operation | Default Value | Preset | Backup | Save/Recall
Allocate Channels | x1 | ← |  | √
Number of Traces | 1 | ← |  | √
Allocate Traces | x1 | ← |  | √
Display | Data | ← |  | √
Data -> Mem | - | - | - | -
Data Math | OFF | ← |  | √
Equation Editor | - | - | - | -
Equation | OFF | ← |  | √
Edit Title Label | "" | ← |  | √
Title Label | "" | ← |  | √
Graticule Label | ON | ← |  | √
Invert Color | OFF | ← |  | √
Frequency | ON | ← |  | √
Update | ON | ← |  | √
E5063A Title bar | ON | ← |  | √


Default Condition (Format)

Format

Key Operation | Default value | Preset | Backup | Save/Recall
 | Log Mag | ← |  | √


Default Condition (Macro Setup)

Macro Setup

Key Operation | Default Value | Preset | Backup | Save/Recall
Echo Window | OFF | ← |  | √


Default Condition (Marker Fctn)

Marker Fctn

Key Operation |  | Default Value | Preset | Backup | Save/Recall
Discrete |  | OFF | ← |  | √
Couple |  | ON | ← |  | √
Marker Table |  | OFF | ← |  | √
Statistics |  | OFF | ← |  | √
Annotation Options | Marker Info X Pos | 1 % | ← |  | √
 | Marker Info Y Pos | 1 % | ← |  | √
 | Align | ON | ← |  | √
 | Active Only | ON | ← |  | √


Default Condition (Marker Search)

Marker Search

Key Operation |  | Default Value | Preset | Backup | Save/Recall
Peak | Peak Excursion | 3 dB | ← |  | √
 | Peak Polarity | Positive | ← |  | √
Target | Target Value | 0 dB | ← |  | √
 | Target Transition | Both | ← |  | √
Multi Target | Target Value | 0 dB | ← |  | √
 | Target Transition | Both | ← |  | √
Tracking |  | OFF | ← |  | √
Search Range | Search Range | OFF | ← |  | √
 | Start | 0 Hz | ← |  | √
 | Stop | 0 Hz | ← |  | √
 | Couple | ON | ← |  | √
Bandwidth |  | OFF | ← |  | √
Bandwidth Value |  | -3 dB | ← |  | √
Notch |  | OFF | ← |  | √
Notch Value |  | -3 dB | ← |  | √


Default Condition (Marker)

Marker

Key Operation | Default Value | Preset | Backup | Save/Recall
Marker1 | OFF (Marker 1 is turned ON immediately after the marker softkey menu is displayed) | ← |  | √
Ref Marker Mode | OFF | ← |  | √


Default Condition (Meas)

Meas

Key Operation | Default value | Preset | Backup | Save/Recall
 | S11 | ← |  | √


Default Condition (Save/Recall)

Save/Recall

Key Operation |  | Default Value | Preset | Backup | Save/Recall
Save Type |  | State & Cal | ← |  | √
Channel/Trace |  | Disp Only | ← |  | √
Save SnP | SnP Format | Auto | ← |  | √


Default Condition (Scale)

Scale

Key Operation |  | Default value | Preset | Backup | Save/Recall
Divisions |  | 10 | ← |  | √
Scale/Div |  | 10.000 dB/div | ← |  | √
Reference Position |  | 5 Div | ← |  | √
Reference Value |  | 0 dB | ← |  | √
Electrical Delay |  | 0 s | ← |  | √
Phase Offset |  | 0 ° | ← |  | √
Y-Axis |  | Linear | ← |  | √
Log Y-Axis | Top Value | 1000 dB | ← |  | √
 | Bottom Value | 0.001 dB | ← |  | √


Default Condition (Span)

Span

Key Operation | Default Value | Preset | Backup | Save/Recall
 | (Maximum Frequency - 10E5) Option 245 - 300 kHz to 4.5 GHz Option 285 - 300 kHz to 8.5 GHz Option 2H5 - 300 kHz to 18 GHz | ← |  | √


Default Condition (Start)

Start

Key Operation | Default Value | Preset | Backup | Save/Recall
 | 300 kHz | ← |  | √


Default Condition (Stop)

Stop

Key Operation | Default Value | Preset | Backup | Save/Recall
 | (Maximum value in frequency range) Option 245 - 300 kHz to 4.5 GHz Option 285 - 300 kHz to 8.5 GHz Option 2H5 - 300 kHz to 18 GHz | ← |  | √


Default Condition (Sweep Setup)

Sweep Setup

Key Operation |  |  | Default Value | Preset | Backup | Save/Recall
Power | Power |  | 0 dBm | ← |  | √
 | Port Couple |  | ON | ← |  | √
 | Port Power | Port 1 Power | 0 dBm | ← |  | √
 |  | Port 2 Power | 0 dBm | ← |  | √
 | RF Out |  | ON | ← |  | √
CW Freq |  |  | 100 kHz | ← |  | √
Sweep Time AUTO |  |  | ON | ← |  | √
Sweep Delay |  |  | 0 s | ← |  | √
Points |  |  | 201 | ← |  | √
Sweep Type |  |  | Lin Freq | ← |  | √
Edit Segment Table | Freq Mode |  | Start/Stop | ← |  | √
 | List IFBW |  | OFF | ← |  | √
 | List Power |  | OFF | ← |  | √
 | List Delay |  | OFF | ← |  | √
 | List Time |  | OFF | ← |  | √
Segment Display |  |  | Order Base | ← |  | √


Default Condition (System)

System

Key Operation |  |  |  |  | Default Value | Preset | Backup | Save/Recall
Invert Image |  |  |  |  | ON | ← |  | √
USB Switch Setup | USB Switch 1 | USB Switch 1 |  |  | None | ← |  | √
 |  | Path |  |  | 1 | ← |  | √
 |  | Lock Local Control |  |  | OFF | ← |  | √
 |  | Switching Cycle |  |  | 0 | ← |  | √
 | USB Switch 2 | USB Switch 2 |  |  | None | ← |  | √
 |  | Path |  |  | 1 | ← |  | √
 |  | Lock Local Control |  |  | OFF | ← |  | √
 |  | Switching Cycle |  |  | 0 | ← |  | √
Misc Setup | Beeper | Beep Complete |  |  | ON | ← |  | √
 |  | Beep Warning |  |  | ON | ← |  | √
 | GPIB Setup | Talker/Listener Address |  |  | 17 | Non-changing | √ |
 | Network Setup | Telnet Server |  |  | OFF | Non-changing | √ |
 |  | Web Server |  |  | ON | Non-changing | √ |
 | Clock Setup | Show Clock |  |  | ON | ← |  | √
 | Key Lock | Front Panel & Keyboard Lock |  |  | OFF | ← |  |
 |  | Touch Screen & Mouse Lock |  |  | OFF | ← |  |
 | Display Setup | Color Setup | Normal (Invert is the same) | Data Trace 1 | Red:5 Green:5 Blue:0 | ← |  | √
 |  |  |  | Data Trace 2 | Red:0 Green:5 Blue:5 | ← |  | √
 |  |  |  | Data Trace 3 | Red:5 Green:0 Blue:5 | ← |  | √
 |  |  |  | Data Trace 4 | Red:0 Green:5 Blue:0 | ← |  | √
 |  |  |  | Mem Trace 1 | Red:3 Green:3 Blue:0 | ← |  | √
 |  |  |  | Mem Trace 2 | Red:0 Green:3 Blue:3 | ← |  | √
 |  |  |  | Mem Trace 3 | Red:3 Green:0 Blue:3 | ← |  | √
 |  |  |  | Mem Trace 4 | Red:0 Green:3 Blue:0 | ← |  | √
 |  |  |  | Graticule Main | Red:3 Green:3 Blue:3 | ← |  | √
 |  |  |  | Graticule Sub | Red:1 Green:1 Blue:1 | ← |  | √
 |  |  |  | Limit Fail | Red:5 Green:0 Blue:0 | ← |  | √
 |  |  |  | Limit Line | Red:3 Green:0 Blue:0 | ← |  | √
 |  |  |  | Background | Red:0 Green:0 Blue:0 | ← |  | √
 |  | Magnification |  |  | Normal |  | √ |
 | Preset Setup | State |  |  | Factory | Non-changing | √ |
 |  | Confirm |  |  | ON | Non-changing | √ |
 | Control Panel |  |  |  | OFF | ← |  |
Backlight |  |  |  |  | ON | ← |  |
Service Menu | Test Menu |  | Diagnostic Test |  | OFF | ← |  |
 | System Correction |  |  |  | ON | ← |  | √
 | Init Src Ctrl |  |  |  | ON | ← |  | √
 | Init Src Port |  |  |  | 1 | ← |  | √
 | Pow. Chg. Wait |  |  |  | ON | ← |  | √
 | Pow. Chg. Wait Time |  |  |  | 50 ms | ← |  | √
 | Overload Detect |  |  |  | ON | ← |  | √
 | Security Level |  |  |  | None | ← |  | √


Default Condition (Trigger)

Trigger

Key Operation | Default Value | Preset | Backup | Save/Recall
Continuous | Continuous (Ch1) | ← |  | √
 | Hold (Other Ch) |  |  |
Trigger Source | Internal | ← |  | √
Trigger Event | On Sweep | ← |  | √
Trigger Scope | All Channel | ← |  | √
Ext Trig Input | Negative Edge | ← |  | √
Trigger Delay | 0 sec | ← |  | √
Ext Trig Output | OFF | ← |  | √
Polarity | Positive Pulse | ← |  | √
Position | After Point | ← |  | √
Pulse Width | 1 μs | ← |  | √


Troubleshooting

This section describes the steps you should take when you believe that the Keysight E5063A is operating improperly. The results of these simple investigative procedures may help you avoid the down-time and inconvenience of repair service. The troubleshooting instructions are divided into three categories.

When all troubleshooting measures are taken but it does not work. Contact Keysight Technology's Customer Contact.

  • Troubleshooting during Startup

  • Troubleshooting during Operation

  • Troubleshooting for External Devices

Troubleshooting during Startup

Symptom

Solution

Turning ON (|) the standby switch does not start up the system.

  • Confirm that the power cable is properly plugged in.

  • Confirm that the line switch on the rear panel is turned ON.

Standby switch color is red and does not start up the system.

There is some trouble on the fan. Turn OFF and ON the line switch once, then turn ON this standby switch.

The system starts up, but it automatically shuts down immediately.

Execute the system recovery.

The system starts up, but it enters the service mode (The instrument status bar in the lower right part of the screen displays SVC in red).

Execute the system recovery.

The measurement screen appears after startup, but the date and time displayed on the instrument status bar in the lower right part of the screen differ greatly from the previous settings.

Execute the system recovery.

The measurement screen appears after startup, but the power-on test fails, with Error Message 241 appearing against the red background in the instrument message/warning area in the lower left part of the screen.

Execute the system recovery.

Troubleshooting during Operation

Symptom

Solution

The Error Message "Port N receiver overload" (N denotes a port number) is Displayed.

During the measurement of an amplifier, Error Messages 720 through 721 "Port N receiver overload" (N denotes a port number) are displayed.

This error occurs when the input to a test port exceeds the maximum input level in the measurement of an amplifier. The measurement value obtained in such cases is not correct. In the worst case, a failure (damage to the receiver) may occur.

  • Disconnect any cable and adapter in the test ports.

  • Change the measurement condition so that the input to the test port does not exceed the maximum input level.

A clearly abnormal measurement value

The measurement value is not reproducible, or clearly abnormal.

  • Confirm that the DUT, connection cables, and other parts are connected correctly.

  • Confirm that the connectors and cables used to connect the DUT are free from damage and poor contact.

  • Confirm that the calibration has been executed correctly. If you have not acquired a correct error correction factor, you cannot obtain a correct measurement value.

  • Confirm that the calibration kit is selected correctly.

  • Confirm that the calibration kit is defined correctly.

  • Confirm that if the stimulus signal output is turned ON.

The system cannot operate manually (Front Panel Keys, Keyboard, Touch Screen and Mouse)

The keyboard or mouse becomes inoperable.

  • Confirm that the keyboard or mouse is connected correctly. When it is connected correctly, turn OFF the power once, and restart the system.

The front panel key or keyboard becomes inoperable.

  • Using the mouse, turn System > Key Lock > Front Panel & Keyboard Lock OFF.

The touch screen becomes inoperable.

  • Using the front panel keys, press System > Key Lock > Touch Screen & Mouse Lock OFF to turn OFF the lock.

  • Execute the calibration of the touch screen.

The mouse becomes inoperable.

  • Using the front panel keys, press System > Key Lock > Touch Screen & Mouse Lock to turn OFF the lock.

All of the front panel keys, keyboard, and mouse become inoperable.

  • Confirm that the keyboard or mouse is connected correctly. When it is connected correctly, turn OFF the power once, and restart the system.

The keyboard and mouse have been connected after power-on.

  • Turn OFF the power once, and restart the system. When taking all these measures does not recover operability, there is a possibility of a failure.

The screen freezes and all operations become impossible.

The measurement in progress or screen update is stalled and all of the front panel keys, keyboard, mouse, and touch screen are inoperable.

  • Press the standby switch to turn OFF the power once, and restart the system.

The system freezes while in operation.

  • Press the standby switch to turn OFF the power once, and restart the system.

The rear cooling fan does not operate.

  • There is a possibility of a failure.

The sweep action stops during measurement or is not executed. An error or warning message appears.

  • There is a possibility of a failure.

An error or warning message is displayed on the instrument message/warning area in the lower part of the screen

  • Refer to Error Messages and Warning Messages.

Troubleshooting for External Devices

Symptom

Solution

Cannot output to a printer

Cannot output a measurement screen or data to a printer.

Attempting to output to a printer causes Error Messages 120 and 121 to appear.

  • Confirm that the power to the printer is turned ON and that the line cable is connected correctly.

  • Confirm that the connector cable of the printer is connected correctly.

  • Confirm that the printer is online.

  • Confirm that the printer has not run out of paper.

  • Confirm that the printer has not run out of ink.

Does not respond to an external controller/fails to function normally

A GPIB device does not respond to the external controller, or fails to function normally.

  • Confirm that the GPIB address is defined correctly.

  • Confirm that the GPIB cable is connected.

  • Confirm that another instrument connected by the GPIB cable has the same GPIB address.

  • Confirm that the GPIB cable connection forms a loop.


Maintenance

  • Backing Up the Data

  • Cautions Applicable to Requesting Repair, Replacement, Regular Calibration, etc.

  • Cleaning this Instrument

  • Replacement of Parts with Limited Service Life

  • System Recovery

  • Updating Firmware

  • Service Functions

  • Removing Log Data


Removing Log Data

The E5063A creates automatic log of data for troubleshooting purpose. For security reasons, if this data needs to be deleted, then :SERV:LOGG:CLE command can be used to clear the log recorded by the E5063A.

The log file stores data related to:

  • Power ON time

  • Number of times of power ON

  • Result of power ON test

  • Number of times of overload

  • Event Log

  • Hardware driver installation/error Log

  • Connected USB device Log

  • User calibration Log

  • Firmware error Log

  • Temperature of analog boards

  • Internal test result


Backing Up the Data

Be sure to regularly back up your important data (including program) files in this instrument to a CD-R or other backup medium. Keysight Technologies shall not be liable for any data damages caused by improper function of this instrument.

Making Backup Files

You can make backup files on the storage of an external PC using following methods.

You can access to drive D: of the E5063A from an external PC via LAN, and copy your important data files on the drive D: to the external PC.

You can transfer your important data files on the drive D: of the E5063A to the external PC using :MMEM:TRAN command via GPIB.

  • Do not modify any files and folders in drives other than drive D:. Doing so will cause malfunction. Even in drive D, do not change the files and folders other than you created.

Other topics about Maintenance


Cautions Applicable to Requesting Repair, Replacement, Regular Calibration, etc.

  • Backing Up Data in the storage

  • Devices to be Sent Back for Repair or Regular Calibration

Other topics about Maintenance

Backing Up Data in the storage

The user is requested to back up the stored programs and data into external media by using the instrument's storing function before requesting the Company's Service Center to repair the instrument or replace storages.

See Making Backup Files for how to make backup files.

Please take note that the Company will not be held liable to any extent for potential erasure or change of stored programs or data due to the repair or replacement of storages performed by the Company. When a storage itself fails, the programs and data stored in it cannot be recovered.

Devices to be Sent Back for Repair or Regular Calibration

If it is necessary to send the unit to the Service Center of Keysight Technologies for repair or regular calibration, please follow the instructions below.

Equipment to be Sent

When requesting repair or regular calibration of the unit by our Service Center, send only the E5063A main unit without any installed option you may have ordered. Unless specifically instructed, it is not necessary to send accessories and calibration kits.

Packing

Use the original package and shock absorbers, or equivalent anti-static packing materials, when sending the unit.

Shipping Address

For the location of the nearest Keysight Technologies Service Center, contact the Customer Contact.

Recommended Calibration Period

The recommended calibration period for this instrument is one year. The user is recommended to request the Company's Service Center to perform regular calibration every year.


Cleaning this Instrument

  • Cleaning an LCD

  • Maintenance of Test Ports and Other Connectors/Ports

  • Cleaning Parts Other than the LCD, Test Ports, and Other Connectors/Ports

Other topics about Maintenance

This section describes how to clean the instrument.

To protect yourself from electrical shock, be sure to unplug the power cable from the outlet before cleaning the instrument.

Never clean the internal components of the instrument.

Cleaning an LCD

Use one of the following methods to clean the display surface regularly.

  • For normal cleaning, rub the surface gently with a dry, soft cloth.

  • When stains are difficult to remove, gently wipe the surface with cloth damped with a small amount of dehydrated ethanol.
    You can clean the standard LCD (no touch screen function) with a cloth dipped in water and then wrung tightly.

  • Do not use chemicals other than dehydrated ethanol to wet the cleaning cloth. To clean the touch screen LCD, do not wet the cloth with water.

Maintenance of Test Ports and Other Connectors/Ports

The ports of the E5063A are fitted with BNC and N Types connectors. Stains or other damage to these connectors would significantly affect the accuracy in measurements. Always pay attention to the following precautions.

  • Always keep the connectors free from stains and dust.

  • Do not touch the contact surface on the connectors.

  • Do not plug damaged or scratched connectors into the test ports.

  • Use compressed air for cleaning connectors. Do not use abrasives under any circumstance.

The above precautions must also be observed in maintaining connectors and ports other than these test ports.

Cleaning Parts Other than the LCD, Test Ports, and Other Connectors/Ports

To remove stains on parts other than the LCD, test ports, and other connectors/ports of the instrument, wipe them gently with a soft cloth that is dry or wetted with a small amount of water and wrung tightly.


Replacement of Parts with Limited Service Life

This instrument incorporates parts with limited service life as shown in the following table. Using the recommended replacement time as a guide, request the Keysight Service Center to replace these parts. However, a part may need to be replaced at an earlier time than that listed in the table, depending on conditions such as location, frequency of use, and where it is stored.

  • Each service life and recommended replacement time listed below is for reference only and does not imply a guarantee of the part's service life.

Part Name | Service Life (Parts supplier reference value) | Recommended replacement time
Solid State Drive (SSD) | 5 years or 20,000 operating hours, whichever comes earlier. Exchanging hard disk drives causes the contents written after shipment from the factory (LAN setup, etc.)to be initialized to the state at the time of shipment. The programs and data stored in Drive D (user directory) are erased. | 3 years
Main fan | 50,000 operating hours. The service life may be significantly shorter when used in a dusty and dirty environment. | 5 years
CPU fan
Battery on Mother board | 50,000 operating hours. The service life may be shorter if E5063A power has not been turned on for long time. | 5 years
Power supply | 50,000 operating hours (Depends on the service life of the power supply cooling fun) The service life may be significantly shorter when used in a dusty and dirty environment. | 5 years
LCD screen backlight | 50,000 operating hours. When the unit is used for automatic measurements in a production line and the on-screen information is not required, the life of the LCD backlight can be saved by turning it OFF. As for the method of turning the backlight OFF, refer to Turning OFF the LCD Screen Backlight. | 5 years
Touch screen (function) | One million times (dotting life) | 5 years
USB receptacle | 1,500 cycles insertion/extraction. The service life may be shorter when used in a dusty and dirty environment. In case that the insertion/extraction is in heavy usage such as Ecal in the production line, using USB extension cable may save the USB receptacle life. | N/A

Other topics about Maintenance


System Recovery

By executing system recovery, you can return the Windows operating system of the E5063A to the factory state or the user state at the setting the user performed save user state.

The procedure of system recovery is described in both Installation Guide and Service Guide.

Other topics about Maintenance


Updating Firmware

  • Overview

  • Procedure

Other topics about Maintenance

Overview

User can update E5063A firmware by themselves. The latest firmware can be downloaded from the http://www.keysight.com/find/ena_support.

Updating firmware does not include the following software update.

  • Windows Operating System

  • Driver for Windows

  • Calibration Constant Data

  • Firmware update can only be performed with administrator account.

Procedure

Firmware Revision A.02.xx and above

  1. Press System > Service Menu > Exit to terminate the E5063A application.

  2. Download the latest firmware from the download site. (E5063.exe). f you use your local PC to download, save the file to a USB mass storage device in order to move it to E5063A, then connect the USB mass storage device into the front USB port of the E5063A.

  3. Double click E5063.exe to install the firmware.

  4. Follow the instruction of windows installer. After the installation is finished, the instrument restarts.

  5. Press System > Firmware Revision to confirm the firmware revision you have just installed.

Firmware Revision A.01.xx

  1. Download the latest firmware from the download site. It is prepared as execution file (E5063A_xx.xx.exe).

  2. Run the E5063A_xx.xx.exe to extract the E5063.msi.

    If you use your local PC to download, save the file to a USB mass storage device in order to move it to E5063A, then connect the USB mass storage device into the front USB port of the E5063A.

  3. Press System > Service Menu > Update Firmware.

  4. In Open dialog box, select E5063.msi, then press Open. Then the windows installer appears.

  5. Follow the instruction of windows installer. After the installation is finished, the instrument restarts.

  6. Press System > Firmware Revision to confirm the firmware revision you have just installed.


Service Functions

This menu (System > Service Menu > Test and Service Functions) provides information about various test related to the E5063A.

For more information about any test related to the E5063A, like System Test, please refer to the E5063A Service manual which is available at www.keysight.com/find/e5063a-manual.

Under the service menu, the following topic is described in this help.

Other topics about Maintenance


Measurement Accessories

  • Calibration Kits

  • System Accessories

Keysight Technologies provides various probes, cables and adapters. Refer to http://www.keysight.com/find/na_accessories for more information.

Other topics about Product Information


Calibration Kits

  • Overview

  • Mechanical Calibration Kit

  • ECal

Other topics about Measurement Accessories

Overview

Calibration kits are used to improve the accuracy of the analyzer in various measurements.

The electronic calibration kit reduces the time required for calibration, misconnections, and wear and tear on connectors since it requires fewer changes of connection than the mechanical type.

Specifications for calibration kits and the availability of particular calibration kits are subject to change without prior notice.

Refer to http://www.keysight.com/find/na_accessories for more information.

Mechanical Calibration Kit

Model Name | Description | Connector Type | Frequency Range
85031B | Calibration Kit | APC-7 | DC to 6 GHz
85032B/E | Calibration Kit | Type-N, 50 Ω | DC to 6 GHz
85032F | Mechanical Calibration Kit | Type-N, 50 Ω | DC to 9 GHz
85033D | Calibration Kit | 3.5 mm | DC to 6 GHz
85033E | Mechanical Calibration Kit | 3.5 mm | DC to 9 GHz
85036B | Calibration Kit | Type-N, 75 Ω | DC to 3 GHz
85036E | Economy Calibration Kit | Type-N, 75 Ω | DC to 3 GHz
85038A/F/M | Calibration Kit | 7-16 | DC to 7.5 GHz
85039B | Calibration Kit | Type F , 75 Ω | DC to 3 GHz
85050C | Precision Mechanical Calibration Kit | APC-7 | DC to 18 GHz
85050D | Economy Mechanical Calibration Kit | APC-7 | DC to 18 GHz
85052D | Economy Mechanical Calibration Kit | 3.5 mm | DC to 26.5 GHz
85052C | Precision Mechanical Calibration Kit | 3.5 mm | DC to 26.5 GHz
85054D | Economy Calibration Kit | Type-N, 50 Ω | DC to 18 GHz
85056D | Economy Calibration Kit | 2.4 mm | DC to 50 GHz
85056K | Mechanical Calibration Kit | 2.4 mm and 2.92 mm | DC to 50 GHz
K11644A | Mechanical Calibration Kit (waveguide) | WR-42 | 18 GHz to 26.5 GHz
P11644A | Mechanical Calibration Kit (waveguide) | WR-62 | 12.4 GHz to 18 GHz
X11644A | Mechanical Calibration Kit (waveguide) | WR-90 | 8.2 GHz to 12.4 GHz

For more information on the definition of calibration kit, refer to http://na.support.keysight.com/pna/caldefs/stddefs.html

ECal (electronic calibration) kit

The ECal supported by E5063A are defined below:

Model Name | Connector Type | Frequency Range
85091B | 7 mm | 300 kHz to 9 GHz
85091C | 7 mm | 300 kHz to 9 GHz
85092B | Type N | 300 kHz to 9 GHz
85092C | Type N | 300 kHz to 9 GHz
85093B | 3.5 mm | 300 kHz to 9 GHz
85093C | 3.5 mm | 300 kHz to 9 GHz
85096B | Type N, 75 Ω | 300 kHz to 3 GHz
85096C | Type N, 75 Ω | 300 kHz to 3 GHz
85098B | 7-16 | 300 kHz to 7.5 GHz
85098C | 7-16 | 300 kHz to 7.5 GHz
85099B | Type F | 300 kHz to 3 GHz
85099C | Type F | 300 kHz to 3 GHz
N4431A | 3.5 mm, Type N | 300 kHz to 9 GHz
N4431B | 3.5 mm, Type N | 9 kHz to 13.5 GHz
N4432A | Type N | 300 kHz to 18 GHz
N4433A | 3.5 mm | 300 kHz to 20 GHz
N4690A | Type N | 10 MHz to 18 GHz
N4690B | Type N | 300 kHz to 18 GHz
N4691A | 3.5 mm | 10 MHz to 26.5 GHz
N4691B | 3.5 mm | 300 kHz to 26.5 GHz
N4692A | 2.92 mm | 10 MHz to 40 GHz
N4696A | 7 mm | 10 MHz to 18 GHz
N4696B | 7 mm | 300 kHz to 18 GHz

  • When ECal is used with Option 2H5 and in the following condition, the waiting time is added automatically:

The maximum frequency of your ECal is over 13 GHz and the stop frequency on your ENA set over 8.5 GHz. (The waiting time is NOT added when stop frequency is set below 8.5GHz.)


System Accessories

  • USB/GPIB Interface

  • GPIB Cables

  • Keysight IO Libraries

Other topics about Measurement Accessories

82357A/B USB/GPIB Interface

The 82357A/B can be used to control external GPIB devices by the E5063A. It can also be used to control E5063A by PC with USB. See "82357B USB/GPIB Interface High-Speed USB 2.0" in http://www.keysight.com/find/gpib for more information.

GPIB Cables

The following GPIB cables can be used to connect the analyzer with an external device such as a computer.

Product Number | Length
10833A | 1.0 m (3.3 ft)
10833B | 2.0 m (6.6 ft)
10833C | 3.0 m (9.9 ft)
10833D | 0.5 m (1.6 ft)

Keysight IO Libraries

Keysight IO Libraries is a collection of libraries that gives you the ability to use your instruments as a test and measurement program, and utilities that help you quickly and easily connect your instruments to your PC.

See the IO libraries manual for more information. The latest revision of IO Libraries can be downloaded from http://www.keysight.com/find/iolib.

  • Do not update Keysight IO Library on E5063A besides Keysight recommends to do so. Refer to http://www.keysight.com/find/ena_support for more information.


General Principles of Operation

  • System Description

  • Data Processing

Other topics about Product Information


System Description

  • Synthesized Source

  • Signal Separator

  • Receiver

Other topics about General Principles of Operation

A network analyzer supplies sweep signal to a DUT, measures its transmission and reflection, and displays the results as ratios against the input signal from the signal source. The E5063A network analyzer consists of the circuit modules shown in the following figure.

System Diagram for the E5063A Network Analyzer

Synthesized Source

The synthesized source generates a sweep signal in the specified frequency range.

The signal source is phase-locked to a highly reliable quartz crystal oscillator to maintain a high level of accuracy in its frequency as well as to achieve precise phase measurements.

The signal from the source is switched by the multiplexer in order to distribute it to either Port 1 or 2.

Signal Separator

The signal separator consists of bridges that detects input and output signals at the test ports. On the test port which the signal is output, the output signal and the reflection from the DUT are detected as the reference signal (R) and the test signal (T), respectively.

Receiver

The E5063A has two receivers. One is for the reference signal (R) and another is for the test signal (T). The signal from either Port 1 or 2 is switched by the multiplexer.

Each signal that is sent to the receiver is first converted into an IF signal by a mixer and then converted into a digital signal by an ADC (analog to digital converter). The digital data is then analyzed by a micro processor and measurement results will be displayed on the screen.


Data Processing

The internal data processing flowchart for the E5063A is shown in the following figure.

Data Processing Flowchart

Data Processing Flowchart for Test Wizard

ADC

The ADCs (analog-to-digital converters) convert analog signals. One ADC is available for each signal and the conversion takes place simultaneously.

Digital Filter

The digital filter performs a discrete Fourier transformation (DFT) and picks up IF signals. Each IF signal is then converted into a complex number that has a real part and an imaginary part. The IF bandwidth of the analyzer is equivalent to the bandwidth of the DFT filter.

IF Range Correction

Input signals that went through ranging at the receiver are reverted (corrected) to previous values before the ranging.

Ratio Calculation

The ratio between two signals is determined by performing divisions on complex numbers. In the case of absolute measurements, the ratio of complex number cannot be calculated.

Port Characteristics Correction

The equivalent source match error, the directivity error, and the tracking error of each test port bridge are corrected. In the case of absolute measurements, the gain of each test port is corrected.

Sweep Averaging

The average of complex indices is determined based on data obtained from multiple sweep measurements. Sweep averaging is effective in reducing random noise in measurements.

Raw Data Array

The results from all data processing done up to this point are stored in this array as raw data. All prior data processing is performed as each sweep takes place. The user is not allowed to access (read/write) this raw data array.

Error Correction/Calibration Coefficient Data Array

When error correction is enabled, the process eliminates the system errors that are reproducible and stored in the calibration coefficient data array. It accommodates everything from the simple vector normalization to the full 12-term error correction. The user is allowed to access (read/write) this calibration coefficient data array. Gain correction is performed in absolute measurement.

Port Extension

This process carries out a simulation of adding or eliminating a variable length transmission path on each test port so that the reference plane of calibration is moved. The port extension is defined by an electrical delay (sec).

Fixture Simulator

A data conversion by the fixture simulator function is executed. The fixture simulator function is a collective term for six different functions: balanced-unbalanced conversion, addition of matching circuits, port reference impedance conversion, network elimination, addition of differential matching circuits, and differential reference impedance conversion.

Corrected Data Array

Unlike the raw data array, this array stores the results obtained after error corrections, port extensions, or the fixture simulator functions are applied. The user is allowed to read/write data from/to the corrected data array.

Corrected Memory Array

By pressing Display > Data -> Mem, the contents of the corrected data array is copied to this array. The user is allowed to read/write data from/to the corrected memory array.

Equation Editor

Equation Editor allows users to use a custom equation to display data in the E5063A. Equation Editor can be accessed through Display > Equation Editor.

Data Math

Data processing is carried out using the corrected data array and the corrected memory array. Four types of data processing addition, subtraction, multiplication, and division are available.

Electrical Delay/Phase Offset

An electrical delay and a phase offset are applied to each trace. By setting an electrical delay, a linear phase that is proportional to the frequency will be added or subtracted. On the other hand, setting a phase offset adds or subtracts a phase that is constant throughout the frequency range. Incidentally, data processing performed from this point on in the flowchart is applied to both the data array and the memory array.

Data Format/Group Delay

Complex data consisting of the real parts and the imaginary parts are converted into scalar data according to the data format of user's choice. Group delays are also calculated here.

Smoothing

By enabling the smoothing function, each point in a sweep measurement is replaced by a moving average of several measurement points nearby. The number of points used in calculating a moving average is determined by the smoothing aperture set by the user. The smoothing aperture is defined by a percentage against the sweep span.

Formatted Data Array/Formatted Memory Array

All results from data processing are stored in the formatted data array and the formatted memory array. The marker functions are applied to these arrays. The limit test is applied to the formatted data array. The user is allowed to read/write data from/to these arrays.

Offset/Scale

Each set of data is processed so that traces can be drawn on the screen. Particular scaling depending on the data format is applied using the position of the reference line, the value of the reference line, and the scale/graticule settings.

Display

The results obtained after data processing are displayed on the screen as traces.


Revision History

  • Firmware Revision History

  • Storage Revision History

Other topics about Product Information


Firmware Revision History

  • A.03.0x

  • A.02.0x

  • A.01.1x

  • A.01.0x

Other topics about Revision History

A.03.0x

  • Multi-major peak search

  • Option 006 Wireless Power Transfer Analysis and Option 010 Time Domain are supported.

A.02.0x

  • 32 Channel / 16 Trace Mode

  • U1816A/C SP6T USB switch support

  • [Test Wizard] Contact check

  • [Test Wizard] Test range edit operator permission

  • [Test Wizard] Auto save image

  • Rebranding to Keysight

  • Changed the firmware update procedure. The firmware installer file is changed from .msi to .exe.

A.01.1x

  • Supports Multi-language softkey/help

  • Holding Max/Min Points for the Trace

A.01.0x

  • First revision


Storage Revision History

Storage revision is based upon a number of factors such as windows OS and driver upgrade patch which are installed at the factory shipment. Firmware revision denotes E5063A measurement software. To know about the E5063A storage revision, refer to Checking the product information.

  • KA11x

  • KA10x

Other topics about Revision History

KA11x

  • No functional update

KA10x

  • First revision


Programming

Remote Control

  • Overview

  • Setting up Analyzer

  • Performing Calibration

  • Making Measurement

  • Reading-Writing Measurement Data

  • Analyzing Data

  • Saving and Recalling

  • Communication with External Devices

  • Status Reporting System

  • Sample Programs

Command Reference

  • Notational Conventions

  • Command Finder

Remote Control for Test Wizard

  • Concept of Remote Control

  • Setup and Connection of Test Wizard

  • Sample Program

Command Reference for Test Wizard

  • Notation Convention

  • Command Finder


Remote Control

  • Overview

  • Setting up Analyzer

  • Performing Calibration

  • Making Measurement

  • Reading-Writing Measurement Data

  • Analyzing Data

  • Saving and Recalling

  • Communication with External Devices

  • Status Reporting System

  • Sample Programs


Overview

  • Types of remote control system

  • GPIB remote control system

  • LAN remote control system

  • USB Remote Control System

  • Sending SCPI command messages

  • Using Macro


Types of remote control system

Depending on the system controller and the interface, you can configure 5 types of remote control system as shown in the table below.

System controller | Interface | Overview
External controller (external computer such as PC and workstation) | GPIB (talker/listener mode) | System to control the E5063A and other devices connected via GPIB from the external controller. For more information, refer to GPIB remote control system.
 | LAN | System to control the E5063A and other devices connected via LAN from the external controller. For more information, refer to LAN remote control system.
 | USB | System to control the E5063A and other devices connected via USB from the external controller. For more information, refer to USB Remote Control System.
E5063A | None (Internal Connection) | System to control the E5063A itself using VB Script.
 | GPIB (system controller mode) | Not supported

Other topics about Overview


GPIB remote control system

  • About GPIB

  • System Configuration

Other topics about Overview

About GPIB

GPIB (General Purpose Interface Bus) is an interface standard for connecting computers and peripherals, which supports the following international standards: IEEE 488.1, IEC-625, IEEE 488.2, and JIS-C1901. The GPIB interface allows you to control the Keysight E5063A from an external computer. The computer sends commands and instructions to the E5063A and receives data sent from the E5063A via GPIB.

System Configuration

Use GPIB cables to connect between the E5063A, the external controller (computer), and peripherals. The following figure shows the overview of the system configuration of the GPIB remote control system.

Configuration of the GPIB remote control system

  • While the E5063A is turned OFF, the SRQ status of the E5063A is active. To prevent an incorrect operation on the SRQ of the GPIB remote control system, disconnect the E5063A from the system when the E5063A is turned OFF.

Required Equipment

  • E5063A

  • External controller (PC or workstation that can be connected to LAN and Keysight I/O Library is installed into)

  • Other devices (other instruments and/or peripherals that serve your purpose)

  • GPIB cables

Scale of system you can construct

  • You can connect up to 15 devices in a single GPIB system.

  • The length of cables to connect between devices must be 4 m or less. The total length of connecting cables in a single GPIB system must be 2 m × the number of connected devices (including the controller) or less. You cannot construct the system in which the total cable length exceeds 20 m.

  • The number of connectors connected to an individual device must be 4 or less. If you connect 5 or more connectors, excessive force is applied to the connector part, which may result in failure.

  • You can choose the device connection topology from star, linear, and combined. Loop connection is not supported.

Device selector

The device selector is a unique value assigned to each device that is used by the controller to select the control target (to send/receive messages) among devices connected on the GPIB remote control system.

The device selector consists of a select code (usually, 7) and a GPIB address. For example, when the select code is 7 and the GPIB address is 17, the device selector is 717. The select code must be set for each system. The GPIB address must be set to a unique value for each device, which is used to identify devices on the same system. In the description and sample programs in this manual, it is assumed that the device selector is set to 717.

Setting the GPIB address of E5063A

To set the GPIB address for talker/listener mode, See Setting_talker_listener_GPIB_address_of_E5063A.


LAN remote control system

  • Overview

  • System Configuration

  • Required Equipment

  • Control over SICL-LAN Server

  • Control with Telnet Server

  • About LXI

Other topics about Overview

Overview

The LAN (Local Area Network) remote control system provides two methods: controlling the E5063A using the SICL-LAN server and controlling the E5063A using the telnet server.

System Configuration

Use a LAN cable to connect between the E5063A and the external controller (computer). The following figure shows the overview of the system configuration of the LAN remote control system.

Configuration of the LAN remote control system

Required Equipment

  • E5063A

  • External controller (PC or workstation that can be connected to LAN)

  • Other devices (other instruments and/or peripherals that serve your purpose)

  • LAN cables

Control over SICL-LAN Server

In the control system using the SICL-LAN server, communication between the external controller (client) and the E5063A (server) is performed using the SICL-LAN protocol. Communication is performed using SICL (Standard Instrument Control Library). You can control the E5063A by programming using SICL or VISA with the C language in the UNIX environment, or Visual C++, Visual Basic, or VEE in the Windows environment.

Preparing the E5063A

To communicate with the external controller, follow these steps to turn ON the SICL-LAN server of the E5063A in advance.

  1. Turn ON the network to activate the SICL-LAN Server of the E5063A.

System > Misc Setup > Network Setup > Enable [ON]

Preparing the external controller

In order to establish communication with/ the E5063A using the TCP/IP protocol, you need to set the I/O interface of the external controller in advance. This section shows the setting procedure when using the external controller in the Windows environment.

  • You must install the Keysight I/O Libraries on your PC in advance.

  1. From your PC's Start menu, click Program > I/O Libraries Suite > Connection Expert to open the Keysight Connection Expert setting screen.

  2. In the Keysight Connection Expert setting screen, select LAN(TCPIP0) in the Instrument I/O on this PC frame, and then click I/O Configuration > Add Instrument.

  3. In the Add LAN Instrument Properties screen, set up the IP address of the E5063A and click OK. You can change settings as necessary. For details, refer to the Keysight I/O Libraries Suite documentation.

  5. In the Keysight Connection Expert screen, check that the E5063A has been added under LAN(TCPIP0) in the Instrument I/O on this PC frame.

  3. In Instrument Properties dialog box, type any name for the Instrument in Name (1 in the following figure, for example: ENA or E5063A), and add TCPIP0::<IP Address>::inst0::INSTR in the TCIP Address, where <IP Address> is the IP address for E5063A (2 in the following figure). For example, if the IP address for E5063A is 192.168.0.2, then the value for TCPIP Address would be TCPIP0::192.168.0.2::inst0::INSTR. Click OK after entering all the parameters.

  4. The Instrument manager displays the connection with E5063A.

Control with Telnet Server

In the control system over telnet server, communications are performed through connection between the sockets provided by the processes of the external controller and the E5063A to establish a network path between them.

A socket is an endpoint for network connection; port 5024 and port 5025 are provided for the sockets for the E5063A. Port 5024 is provided for conversational control using telnet (user interface program for the TELNET protocol) and port 5025 for control from a program.

  • To use telnet, port 5024 and 5025 should be opened through Windows firewall.

Preparing the E5063A

To communicate with the external controller, follow these steps to turn on the telnet server of the E5063A in advance.

System > Misc Setup > Network Setup > Enable [ON]

  • When the telnet server is turned ON for the first time, the windows firewall setting dialog box appears. Select Unblock and click OK. If you select Keep Blocking on firewall setting, you need to unblock for the remote server in Windows firewall to use the telnet server.

Conversational control using telnet (using port 5024)

You can use telnet to perform conversational control by sending SCPI commands to the E5063A on a message-by-message basis. For telnet, the socket of port 5024 is used for communications.

In this example, in order to show you the control procedure using telnet, you control the E5063A (IP address: 192.168.0.2 and host name: E5063A) from the external controller in the Windows environment.

  1. Open the MS-DOS command prompt screen.

  2. At the MS-DOS prompt, type telnet 192.168.0.2 5024 and press the return key.

  3. The telnet screen opens.

  4. Type a command and press the return key; it is sent to the E5063A and executed. If you enter a command that queries some data, the query response is displayed below the line you have entered the command.

  5. The following figure shows the screen after using the :SYST:PRES command to reset, the :SENS1:FREQ:STAR command and :SENS1:FREQ:STOP commands to set the sweep start value and stop value to 1 GHz and 2 GHz respectively, and checking the settings.

Example of control using telnet

  6. Press ] while holding down Ctl in the telnet screen to break the connection with the E5063A. The telnet prompt appears. At the telnet prompt, type quit and press the Enter key. The connection to the E5063A breaks and telnet ends.

Control from a program (using port 5025)

When controlling the E5063A from a program on the external controller, use the socket of port 5025 for connection. To use the socket, press System > Misc Setup > Network Setup > Mode > Socket Server.

  • It is not possible to turn on both Web server and Socket server.

  • Some functions such as service requests that are available in the GPIB remote control system are not available in control over telnet server.

About LXI

LXI (LAN eXtensions for Instrumentation) is the LAN-based successor to GPIB and combines the advantages of Ethernet with the simplicity and familiarity of GPIB. The key features of LXI are as follows:

  • The speed, simplicity, worldwide reach, low cost, ongoing enhancement and backward compatibility of LAN.

  • Quick, easy configuration through the intuitive web interface built into compliant instruments.

  • Simplified programming and greater software reuse through IVI drivers.

  • The ability to create hybrid systems that include LXI, GPIB, VXI, PXI, CANbus, etc.

  • Enhanced system performance and event handling via hardware- and LAN-based triggering modes.

  • Synchronization of local and remote instruments through the IEEE 1588 precision time protocol.

  • For more information on LXI, refer to www.lxistandard.org


USB Remote Control System

  • Overview

  • System Configuration

Other topics about Overview

Overview

The USB (Universal Serial Bus) remote control system provides device control via USB, which is equivalent to control via GPIB. Connection is made through an interface in compliance with USBTMC-USB488 and USB 2.0.

System Configuration

The USB remote control system controls instrument with either the name "alias" or the USB address.

Use a USB cable to connect the E5063A to an external controller (personal computer). The following figure shows an overview of the system configuration for the USB remote control system.

USB Remote Control System Configuration

Required Equipment

  • E5063A

  • External controller (PC with USB host port (type A)).

  • Other USB compatible devices (instruments and/or peripherals for specific purposes).

  • USB cable connecting E5063A and external controller (with type A/4-prong male or type B/4-prong male connectors depending on device used).

USB Port Types

There are two standard types of USB ports. The external controller (PC) must be connected via the USB host port (type A), while the E5063A and other USB compatible devices must be connected via the USB interface port (type B).

Port Type | Description
 | Type A: USB host port
 | Type B: USB (USBTMC) interface port

Preparing E5063A

You do not have to configure any softkey or command of the E5063A in order to control the E5063A from an external controller. Simply connect a USB cable to the USB interface port.

Driver Installation

  1. You must install the Keysight I/O Libraries on your PC in advance.

  2. Connect the E5063A with your PC via USB cable. The driver is installed automatically at the first time connection. It takes a few minutes.

Getting VISA/SICL address

  1. From your PC's Start menu, click Program > Keysight I/O Libraries Suite > Keysight Connection Expert to open the Keysight Connection Expert setting screen.
  2. Click Refresh All.
  3. The E5063A appears under USB0.
  4. Click it, then address information is displayed.


Sending SCPI command messages

  • Type and Structure of Commands

  • Grammar of Messages

  • Remote Mode

Other topics about Overview

Type and Structure of Commands

The SCPI commands available for the E5063A are classified into 2 groups as follows.

E5063A commands

Commands specific to the E5063A. They cover all measurement functions that the E5063A has and some general-purpose functions. The commands in this group are arranged in a hierarchical structure called the command tree. Each command consists of character strings (mnemonics) indicating each hierarchical level and colon (:) separators between hierarchical levels.

IEEE common commands

Commands to cover general-purpose functions defined in IEEE488.2 that are available commonly to instruments that support this standard. The commands in this group have an asterisk (*) at the beginning. For the commands in this group, there is no hierarchical structure.

Concepts of the command tree

The commands at the top of the command tree are called "root command" or simply "root." To access lower level commands in the tree, you need to specify a specific path like a directory path in the DOS file system. After power-on or reset, the current path is set to the root. Special characters in messages change the path setting as described below.

Message terminator

A message terminator such as the
<new line> character sets the current path to the root.

Colon (:)

A colon between 2 command mnemonics lowers the level of the current path in the command tree. A colon used as the first character of a command specifies the command mnemonic that follows as the root-level command.

Semicolon (;)

A semicolon does not change the current path and separates 2 commands in the same message.

The following figure shows an example of how to use colons and semicolons to efficiently access commands in the command tree.

Using colons and semicolons

Grammar of Messages

This section describes the grammar to send program messages via GPIB. Program messages are messages that the user sends to the instrument from the external controller to control the instrument. A program message consists of 1 or more commands and their necessary parameters.

Upper/lower case sensitivity

Upper/lower case insensitive.

Program message terminator

A program message must be terminated with one of the 3 program message terminators: <new line>, <^END>, or <new line><^END>. <^END> indicates that EOI on the GPIB interface becomes active at the instant when the immediately previous data byte is sent. For example, the OUTPUT command of HTBasic automatically sends the message terminator after the last data byte.

Parameters

A space (ASCII code: 32) is required between a command and its first parameter. When sending several parameters in a single command, separate each parameter with a comma (,).

Message including several commands

When sending 2 or more commands in a single message, separate each command with a semicolon (;). The following example shows how to send the *CLS command and the :SYST:PRES command in a single message using VISA-COM.

Ena.WriteString "*CLS;:SYST:PRES", True

Remote Mode

The E5063A does not provide remote mode. Therefore, even if you send a GPIB command, it never enters into the remote mode automatically. There is no local key to release remote mode.

If you need to prevent misoperation during remote control due to entry from the front panel or mouse, lock the input devices using the following commands.

  • :SYST:KLOC:KBD

  • :SYST:KLOC:MOUS


Using Macro

  • Macro using COM

  • Executing Macro from Softkey/Hardkey

  • Using User Menu Function

Other topics about Overview

Macro using COM

When you want to control the E5063A internally, you can use COM objects alone or in conjunction with SCPI commands and the Parse object. The latter method is a little slower than the former method because the Parse object is used to parse the messages of SCPI commands.

Example: Using COM object

Dim ena
set ena = CreateObject("E5070.Application")
ena.scpi.display.split = "D12_34"
ena.scpi.display.window(2).activate

Example: In conjunction with SCPI commands and the Parse object

Dim ena
set ena = CreateObject("E5070.Application")
ena.parse "DISP:SPLIT D12_34"
ena.parse "DISP:WIND2:ACT"

You can use this with VB Script. If you install the Excel (Excel VBA) or other programmable software in the E5063A, It also can control the E5063A.

Some sample programs are listed in Sample Programs.

Executing Macro from Softkey/Hardkey

Macros are executable programs that you write, load into the analyzer, and then run from the analyzer. Macros (.vbs and .exe) can be executed by clicking its file on the file explore. However, you can execute it from Softkey or Hardkey. You can have up to 25 macros set up to run on the analyzer.

Registering your macro

  1. Press Macro Setup > Macro Setup ... .

  2. Click Edit to start the Edit Macro Setup dialog.

  3. In the Macro Title box, type a descriptive title for your macro.

  4. Click Browse.

  5. Find and select your executable file. Change Files of Type if necessary.

  6. Click OK on the Edit Macro Setup dialog.

    • Change the order by Up or Down keys as necessary.

  7. Click OK on the Macro Setup dialog.

Executing Macro by Soft key

  1. Press Macro Menu, then registered macro is listed in the softkey.

  2. Click the desired softkey to run the macro.

Executing Macro by Hard key

  • Pressing Macro Run executes the macro which is registered at the top of list.

Using User Menu Function

The E5063A lets you perform procedures assigned to specific softkeys (Macro Setup > User Menu > Button 1 to Button 10), without using user forms, when that softkey is pressed. This function is called the user menu function.

To execute a procedure assigned to a softkey, you need to generate an event of pressing the softkey.

Refer to VB Script: Using User Menu.


Setting up Analyzer

  • Selecting the Active Channel/Trace

  • Configuring Measurement Conditions

  • Configuring Display Settings

  • Saving and Loading the Settings


Selecting the Active Channel/Trace

You can configure the E5063A by using various commands. Some commands require you to specify and work with a particular channel or trace, while other commands do not have this restriction.

Those commands that do not require you to specify a particular channel or trace apply to the currently active channels and traces. Before issuing such a command, therefore, you must make the appropriate channels and traces active.

To make a channel active, use the following command:

:DISP:WIND<ch>:ACT

  • Only the currently displayed channels can be active channels. Therefore, you must display the desired channels by using the :DISP:SPL command before making them active.

To make a trace active, use the following command:

:CALC<ch>:PAR<tr>:SEL

  • Only the currently displayed traces can be active traces. Therefore, you must display the desired traces by using the :CALC<ch>:PAR:COUN command before making them active.

Other topics about Setting up Analyzer


Configuring Measurement Conditions

  • Setting the Number of Traces

  • Selecting Measurement Parameters

  • Setting Sweep Condition (Stimulus)

  • Configuring Averaging Settings

  • Setting the System Z0

Other topics about Setting up Analyzer

Setting the Number of Traces

When you set the number of traces, that setting determines the upper limit trace number; for example, if the setting is 3, traces 1 through 3 are displayed. To set the number of traces, use the following command:

:CALC<ch>:PAR:COUN

  • Only the currently displayed traces can be active traces. Therefore, you must set the number of traces appropriately before making them active.

Selecting Measurement Parameters

To select the measurement parameter (S parameter) for each trace, use the following command:

:CALC<ch>:PAR(tr):DEF

Setting Sweep Condition (Stimulus)

To select one of the above sweep types, use the following command:

:SENS<ch>:SWE:TYPE

Turning ON/OFF stimulus signal output

To turn ON/OFF the stimulus signal output, use the following command:

:OUTP

Configuring linear/log sweep settings

To set the sweep range, use the following commands:

Type | Command
Start value | :SENS<ch>:FREQ:STAR
Stop value | :SENS<ch>:FREQ:STOP
Center value | :SENS<ch>:FREQ:CENT
Span value | :SENS<ch>:FREQ:SPAN

To set the number of measurement points, use the following command:

:SENS<ch>:SWE:POIN

To set the sweep time, use the following commands:

Type | Command
Sweep time | :SENS<ch>:SWE:TIME
Turning ON/OFF auto setting | :SENS<ch>:SWE:TIME:AUTO

To set the sweep delay time, use the following command:

:SENS<ch>:SWE:DEL

To set the IF bandwidth, use the one of the following commands (both provide the same function):

:SENS<ch>:BAND

:SENS<ch>:BWID

To set the AUTO IF bandwidth, use the following command:

:SENS<ch>:BWA

Setting power level

To set the power level, use the following command:

:SOUR<ch>:POW

To select whether to output the same power level (the set value for port 1) or a different power level for each port, use the following command:

:SOUR<ch>:POW:PORT:COUP

:SOUR<ch>:POW:PORT<pt>

Configuring segment sweep settings

When you opt to use segment sweep, you can set all items (in the segment sweep table) by using a single command:

:SENS<ch>:SEGM:DATA

Alternatively, you can configure the segment sweep settings based on the data contained in a CSV file by issuing the following command:

:MMEM:LOAD:SEGM

Also, you can save the contents of the current segment sweep table to a file by issuing the following command:

:MMEM:STOR:SEGM

For more information on how to save and load the segment sweep table, refer to Saving and recalling the segment sweep table.

Configuring Averaging Settings

To configure the averaging settings, use the following commands:

Type | Command
On/off | :SENS<ch>:AVER
Averaging factor | :SENS<ch>:AVER:COUN
Clear (Restart) | :SENS<ch>:AVER:CLE

For averaging, normally, the instrument must be triggered according to the number of averaging; however, when the averaging trigger is turned ON, sweeps for the number of averaging can be executed by a single trigger. For details on the averaging trigger, refer to Averaging Trigger Function.

Setting the System Z0

To set the system characteristic impedance (Z0), use the following command:

:SENS:CORR:IMP


Configuring Display Settings

  • Setting the Layout of Windows and Graphs

  • Configuring Trace Display Settings

  • Setting Display Color

Other topics about Setting up Analyzer

Setting the Layout of Windows and Graphs

You can split the E5063A's LCD screen into multiple windows that display channel-specific result information, and the window layout can be selected from a number of variations. In addition, you can place on screen a segment sweep table or echo window, which you can use to display messages from your custom program.

Selecting the window layout (Channel Display Mode)

One window displays the results for a single channel. You cannot have a single window to display the results from more than one channel. This means that setting the window layout determines the number of channels displayed on screen.

To select one of the window layouts shown in the figure below, use the following command:

:DISP:SPL

Selecting the graph layout (Trace Display Mode)

You can place a number of trace graphs in each window by selecting one of the pre-defined graph layouts. The number of graphs differs depending on your selected graph layout. If the number of graphs is equal to or larger than the number of traces (set by the :CALC<ch>:PAR:COUN command), each graph always displays one trace. On the other hand, if the number of graphs is smaller than the number of traces, some of the graphs display two or more traces. Graph 1 is populated with trace 1, graph 2 with trace 2, and so on. Traces whose numbers exceed the last graph's number populates graph 1, graph 2, and so on.

To select one of the 14 different graph layouts shown in the figure below, use the following command:

:DISP:WIND<ch>:SPL

Window/graph layouts and command parameters

Maximizing a window or a trace graph

When you have multiple windows displayed, you can maximize the active channel window so that it covers the entire screen area. To maximize a window, use the following command:

:DISP:MAX

Similarly, when you have multiple traces displayed, you can maximize the active trace so that it extends throughout the entire window. To maximize a trace, use the following command:

:DISP:WIND<ch>:MAX

Showing/hiding a table or echo window

You can display the following items at the bottom of the LCD screen:

  • Segment sweep table

  • Limit table

  • Marker list table

  • Echo window (a window that displays messages from a custom program)

To show or hide each of the above items, use the following command:

:DISP:TABL

You cannot have two or more of the above items displayed at a time. The screen displays only the selected item by using the following command:

:DISP:TABL:TYPE

Showing/hiding softkey labels

You can show or hide the softkey labels placed alongside the right-hand edge of the LCD screen. To show or hide the softkey labels, use the following command:

:DISP:SKEY

Configuring Trace Display Settings

Selecting which traces to display

Each trace has two different representations: data and memory traces. You can show or hide the data and memory traces independently of each other. To show or hide the data or memory traces, use the following commands:

Type | Command
Data trace | :DISP:WIND<ch>:TRAC<tr>:STAT
Memory trace | :DISP:WIND<ch>:TRAC<tr>:ANN:MARK:POS:X

To copy the data trace to the memory trace, use the following command:

:CALC<ch>:MATH:MEM

Configuring cross-trace math operations

You can perform math operations between the data and memory traces and have the results displayed as the data trace. To perform cross-trace math operations, use the following command:

:CALC<ch>:MATH:FUNC

Configuring smoothing settings

To turn ON/OFF smoothing, use the following command:

:CALC<ch>:SMO

The smoothing aperture is expressed as a percentage with respect to the sweep range. To set the smoothing aperture, use the following command:

:CALC<ch>:SMO:APER

Selecting the data format

To select the measurement parameter data format, use the following command:

:CALC<ch>:FORM

Configuring the display scale

Depending on the measurement parameter data format, you can configure the display scale in one of the following two ways:

Rectangular display formats:

When you use one of rectangular display formats, you can configure the display scale by setting the following four items:

Type | Command
Number of divisions | :DISP:WIND<ch>:Y:DIV
Scale per division | :DISP:WIND<ch>:TRAC<tr>:Y:PDIV
Reference graticule line | :DISP:WIND<ch>:TRAC<tr>:Y:RPOS
Reference graticule line value | :DISP:WIND<ch>:TRAC<tr>:Y:RLEV

  • The number of divisions is a channel-wide setting (shared among all traces), while the remaining three settings are trace-specific.

You can show or hide graticule label (the label on the left-hand side of the graticule lines) by issuing the following command:

:DISP:WIND<ch>:LAB

Smith chart/Polar formats:

When you are using one of Smith chart/Polar formats, you can only set the full scale value (the outermost circle's value) using the following command:

:DISP:WIND<ch>:TRAC<tr>:Y:PDIV

Auto Scale

You can use Auto Scale to automatically set the display scale. This feature works by automatically adjusting the reference division line value and the scale value per division when you are using one of the rectangular display formats or the full scale value when you are using one of Smith chart/Polar formats.

To perform Auto Scale, use the following command:

:DISP:WIND<ch>:TRAC<tr>:Y:AUTO

Displaying a message in the echo window

You can display a message in the echo window by issuing the following command:

:DISP:ECHO

You can clear any message displayed in the echo window by issuing the following command:

:DISP:ECHO:CLE

Turning ON/OFF display update

To turn ON/OFF the update of the LCD screen, use the following command:

:DISP:ENAB

Showing/hiding frequencies

To show or hide frequencies on the LCD screen, use the following command:

:DISP:ANN:FREQ

Showing or hiding the title

To show or hide the title, use the following command:

:DISP:WIND<ch>:TITL

To define the title string that appears in the title display area, use the following command:

:DISP:WIND<ch>:TITL:DATA

Configuring date/time display

To show or hide the current date and time on the right-hand side of the instrument status bar, use the following command:

:DISP:CLOC

To set the date and time, use the following command:

:SYST:DATE

:SYST:UPR

Turning ON/OFF the LCD backlight

To turn ON/OFF the LCD backlight, use the following command (note that turning OFF the backlight makes the screen unreadable):

:SYST:BACK

Setting Display Color

Selecting Display Mode

You can select one of the two LCD display modes: normal display (black background) or inverted display (white background).

To select the display mode, use the following command:

:DISP:IMAG

Setting display color for each item

To set the display colors, use the following commands:

Data trace | :DISP:COL<Dnum>:TRAC<tr>:DATA
Memory trace | :DISP:COL<Dnum>:TRAC<tr>:MEM
Graph | :DISP:COL<Dnum>:GRAT<Gnum>
Limit test | :DISP:COL<Dnum>:LIM<Pt>
Background | :DISP:COL<Dnum>:BACK

Resetting display colors to factory state

You can reset the display colors in normal display and inverted display to the preset factory state.

To reset the display colors, use the following command:

:DISP:COL<Dnum>:RES


Saving and Loading the Settings

You can save the settings for measurement conditions and screen display to a file along with other instrument settings, and these settings can later be loaded from the file.

Once you have saved the measurement condition and screen display settings to a file, you can later load them whenever necessary; therefore, you can quickly modify the settings loaded from a file to create new settings without having to issue many commands.

To save the current settings to a file, use the following command:

:MMEM:STOR

To load the settings from a file, use the following command:

:MMEM:LOAD

Other topics about Setting up Analyzer


Performing Calibration

  • Calibration

  • Partial overwrite


Calibration

  • Overview

  • Performing Calibration

  • Defining Calibration Kits

  • Standard Definitions

  • Reading/Writing Calibration Coefficient Alone

  • Clearing Calibration Data and Calibration Coefficients

Other topics about Performing Calibration

Overview

You need to execute calibration to eliminate error elements related to measurement, thus allowing you to perform accurate measurement.

Performing Calibration (Obtaining calibration coefficients)

Selecting a Calibration Kit

To select a calibration kit, use the following command:

:SENS<ch>:CORR:COLL:CKIT

Selecting a Calibration Type

The calibration coefficients are calculated based on the selected calibration type. Therefore, before you can calculate the calibration coefficients, you must select the appropriate calibration type by using one of the following commands.

Calibration type |  | Command
Response | OPEN | :SENS<ch>:CORR:COLL:METH:OPEN :SENS<ch>:CORR:COLL:METH:GPR:OPEN
 | SHORT | :SENS<ch>:CORR:COLL:METH:SHOR :SENS<ch>:CORR:COLL:METH:GPR:SHOR
 | THRU | :SENS<ch>:CORR:COLL:METH:THRU :SENS<ch>:CORR:COLL:METH:GPR:THRU
Enhanced Response |  | :SENS<ch>:CORR:COLL:METH:ERES
1-Port |  | :SENS<ch>:CORR:COLL:METH:SOLT1 :SENS<ch>:CORR:COLL:METH:GPS1
Full 2-Port |  | :SENS<ch>:CORR:COLL:METH:SOLT2

To check the currently selected calibration type, use the following command:

:SENS<ch>:CORR:COLL:METH:TYPE?

Measuring Calibration Data

To measure the calibration data, use one of the following commands:

Calibration data items | Command
OPEN | :SENS<ch>:CORR:COLL:OPEN :SENS<ch>:CORR:COLL:GPAC:OPEN
SHORT | :SENS<ch>:CORR:COLL:SHOR :SENS<ch>:CORR:COLL:GPAC:SHOR
LOAD | :SENS<ch>:CORR:COLL:LOAD :SENS<ch>:CORR:COLL:GPAC:LOAD
THRU | :SENS<ch>:CORR:COLL:THRU :SENS<ch>:CORR:COLL:GPAC:THRU
Isolation | :SENS<ch>:CORR:COLL:ISOL :SENS<ch>:CORR:COLL:GPAC:ISOL

  • You cannot run more than one of the commands listed above at a time; if you issue another command before the currently running command completes successfully, the current command is aborted. Therefore, when you write a program that issues multiple calibration commands in series, you should use the *OPC? command or some other means to ensure that no command is executed before the preceding command completes itself.

As shown in the table below, the data required to calculate the calibration coefficients differ depending on the selected calibration type.

Calibration type (Selected ports are enclosed in parentheses) |  | Data
 |  | OPEN | SHORT | LOAD | THRU | Isolation
Response | OPEN (a) | a | Not required | [a] | Not required | Not required
 | SHORT (a) | Not required | a | [a] | Not required | Not required
 | THRU (a-b) | Not required | Not required | Not required | a-b | [a-b]
Enhanced Response (a-b) |  | b | b | b | a-b | [a-b]
1-Port (a) |  | a | a | a | Not required | Not required
Full 2-Port (a-b) |  | a, b | a, b | a, b | a-b, b-a | [a-b], [b-a]

In the data section in the table, the letter m (for example, 1, a) represents the measurement data at port m; m-n (for example, 1-2, a-b) represents the measurement data between response port m and stimulus port n. You can omit data enclosed in brackets.

Calculating Calibration Coefficients

To calculate the calibration coefficients, use one of the following commands:

Calibration type | Command
Response, 1/2 port | :SENS<ch>:CORR:COLL:SAVE

Before issuing the above commands, you must measure all required calibration data items according to your selected calibration type. Calculating the calibration coefficients clears all calibration data regardless of whether they are used for the calculation. The calibration type selection is also cleared, which results in a state where no calibration type is selected.

Turning ON/OFF Error Correction

To turn ON/OFF error correction, use the following command:

:SENS<ch>:CORR:STAT

Also, once you have calculated the calibration coefficient using the :SENS<ch>:CORR:COLL:SAVE command, error correction is automatically turned on.

Using ECal

An ECal (Electronic Calibration) module allows you to perform 1/2-port calibration and response (THRU) calibration without having to replace the standard device.

ECal works by using the calibration kit data contained in the ECal module instead of the calibration kit data selected for the E5063A. This means that you do not have to define or select a calibration kit when using ECal.

  • When two or more ECal modules are connected through the USB port, the system uses the calibration kit data of the first ECal module.

To perform ECal, use one of the following commands:

Calibration type | Command
1-Port Calibration | :SENS<ch>:CORR:COLL:ECAL :SOLT1
Full 2-Port Calibration | :SENS<ch>:CORR:COLL:ECAL :SOLT2
Enhanced Response Calibration | :SENS<ch>:CORR:COLL:ECAL :ERES
Response Calibration (THRU) | :SENS<ch>:CORR:COLL:ECAL :THRU

Simply issuing one of the above commands completes all of the tasks necessary for error correction, including measuring the calibration data, calculating the calibration coefficients, and running the error correction feature.

  • Once you have initiated ECal, you cannot cancel the operation.

  • No command entered following the initiation of ECal is processed until ECal completes successfully. Accordingly, if you issue a command that queries some data, the system does not respond to the query until ECal is complete.

The below command is intended to turn ON/OFF the isolation measurement for performing ECal. However, as the isolation performance of ENA is better than ECal, this command no longer works. ENA ignores this command.

:SENS<ch>:CORR:COLL:ECAL:ISOL

  • This command takes no action and only exists to maintain backward compatibility.

To select the ECal characteristic for a user-characterized ECal, use the following command:

:SENS<ch>:CORR:COLL:ECAL:UCH

ECal Auto-detect Function

The ECal module can automatically detect which port of the ECal module is connected to the E5063A test port. Turn OFF the auto-detect function to specify a port manually.

To turn OFF the auto-detect function, use the following command.

:SENS:CORR:COLL:ECAL:ORI

To turn OFF the auto-detect function and set a port manually, use the following command.

:SENS:CORR:COLL:ECAL:PATH

Checking the Applied Calibration Type

When you turn on the error correction, you can check the calibration type actually applied to each trace. To check the calibration type, use the following command:

:SENS<ch>:CORR:TYPE{1-4}?

Defining Calibration kits

Selecting a Calibration Kit

To select a calibration kit, use the following command:

:SENS<ch>:CORR:COLL:CKIT

Setting the Calibration Kit Name

To set the name of a calibration kit, use the following command:

:SENS<ch>:CORR:COLL:CKIT:LAB

Standard Definitions

Selecting a Standard Type

To select a standard type, use the following command:

:SENS<ch>:CORR:COLL:CKIT:STAN<std>:TYPE

Setting the Standard Name

To set the standard name, use the following command:

:SENS<ch>:CORR:COLL:CKIT:STAN<std>:LAB

Setting the Standard Value

To set the standard value, use one of the following commands:

Item | Command
C0 | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :C0
C1 | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :C1
C2 | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :C2
C3 | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :C3
L0 | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :L0
L1 | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :L1
L2 | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :L2
L3 | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :L3
Offset Delay | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :DEL
Offset Loss | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :LOSS
Offset Z0 | :SENS<ch>:CORR:COLL:CKIT:STAN<std> :Z0
Arbitrary Impedance | :SENS<ch>:CORR:COLL:CKIT:STAN<std>: ARB

As shown in the table below, you need to set different items depending on the standard type.

Standard Types | C0 to C3 | L0 to L3 | Offset Delay | Offset Loss | Offset Z0 | Arbitrary Impedance | Min. Freq. | Max. Freq. | Connector Type
OPEN | * |  | * | * | * |  | * | * | *
SHORT |  | * | * | * | * |  | * | * | *
LOAD |  |  | * | * | * |  | * | * | *
THRU |  |  | * | * | * |  | * | * | *
Arbitrary Impedance |  |  | * | * | * | * | * | * | *

You need to set the items identified by * marks in the table above.

Defining a Standard Class Assignment

To select the standard to be applied to the OPEN measurement for each port, use the following command:

:SENS<ch>:CORR:COLL:CKIT:ORD:OPEN

To select the standard to be applied to the SHORT measurement for each port, use the following command:

:SENS<ch>:CORR:COLL:CKIT:ORD:SHOR

To select the standard to be applied to the LOAD measurement for each port, use the following command:

:SENS<ch>:CORR:COLL:CKIT:ORD:LOAD

To select the standard to be applied to the THRU measurement between each pair of ports, use the following command:

:SENS<ch>:CORR:COLL:CKIT:ORD:THRU

Saving and loading calibration coefficients

You can save calibration coefficients to a file along with other instrument settings and then later load them from the file.

By default, the system does not save calibration coefficients when it saves instrument settings. Therefore, to save calibration coefficients, you must explicitly configure the system to save them by issuing the following command:

:MMEM:STOR:STYP

To save calibration coefficients to a file, use the following command:

:MMEM:STOR

To load calibration coefficients from a file, use the following command:

:MMEM:LOAD

For more information on how to save and load calibration coefficients, refer to Saving and recalling instrument status

Reading/Writing Calibration Coefficient Alone

The calibration coefficient alone can be read from and written to the E5063A by using the following command:

:SENS<ch>:CORR:COEF

To write a positive calibration coefficient, use one of the following commands to declare the calibration type:

:SENS<ch>:CORR:COEF:METH:ERES

:SENS<ch>:CORR:COEF:METH:GPR:OPEN

:SENS<ch>:CORR:COEF:METH:GPR:SHOR

:SENS<ch>:CORR:COEF:METH:GPR:THRU

:SENS<ch>:CORR:COEF:METH:GPS1

:SENS<ch>:CORR:COEF:METH:OPEN

:SENS<ch>:CORR:COEF:METH:SHOR

:SENS<ch>:CORR:COEF:METH:SOLT1

:SENS<ch>:CORR:COEF:METH:SOLT2

:SENS<ch>:CORR:COEF:METH:THRU

To validate the written calibration coefficient, use the following command:

:SENS<ch>:CORR:COEF:SAVE

About Calibration Types and Coefficients

The following table shows the required calibration coefficients for each calibration type.

Calibration Type | Calibration Coefficient
 | ES | ER | ED | EL | ET | EX
Response calibration (OPEN) |  | * | * |  |  |
Response calibration (SHORT) |  | * | * |  |  |
Response calibration (THRU) |  |  |  |  | * | *
Enhanced response calibration | * | * | * |  | * | *
1-port calibration | * | * | * |  |  |
Full 2-port calibration | * | * | * | * | * | *

  • If either an invalid calibration coefficient is specified for the writing command or a nonexistent calibration coefficient is specified for its reading command, the following error occurs: 23, Specified error term does not exist.

Procedures for Writing Calibration Coefficient

You must follow the steps below to write the calibration coefficient.

  1. Declare the calibration type to write.

Execute :SENS<ch>:CORR:COEF:METH:xxxx command

  2. Write any calibration coefficient.

Execute :SENS<ch>:CORR:COEF command as needed for the written calibration coefficients

  3. Validate the calibration coefficients.

Execute :SENS<ch>:CORR:COEF:SAVE command

  • Do not execute any other command while writing the calibration coefficients. This may cause the system to function incorrectly.

Clearing Calibration Data and Calibration Coefficients

Clearing Calibration Data

You can use the following command to clear the measurement values of calibration data executed with :SENS<ch>:CORR:COLL:OPEN command, etc.

:SENS<ch>:CORR:COLL:CLE

These clear functions make the temporary settings during the calibration, such as trace number and measurement parameters, recover to the original state.

Clearing Calibration Coefficients

You can use the following command to clear the calibration coefficients used.

:SENS<ch>:CORR:CLE


Partial Overwrite

  • Overview

  • Executing_calculation_of_calibration_coefficients_using_partial_overwrite

Other topics about Performing Calibration

Overview

The E5063A has the following calibration coefficients for full N-port calibration: Er, Es, Ed (reflection), Et (transmission), and Ex (isolation).The partial overwrite function is used to measure some of these calibration coefficients after completion of the initial calibration and then overwrite them.

The conditions under which the calibration coefficients can be calculated by the partial overwrite are as follows:

  • Calibration is completed once and valid (status other than C? or C!)

  • One or more measurements for re-calculation are performed.

  • The isolation calibration coefficient, Ex, cannot be returned to the initial value, 0, once it is calculated.

If calculation of the calibration coefficients is attempted without the measurements required to execute the partial overwrite, an error message (20: Additional Standard Needed) is displayed.

Executing calculation of calibration coefficients using partial overwrite

To calculate the calibration coefficients using partial overwrite, use the following command:

:SENS<ch>:CORR:COLL:PART:SAVE

  • Before you can calculate the calibration coefficients with the partial overwrite, you must select the appropriate calibration type in the same way used for normal calibration. If calculation of the calibration coefficients is attempted without selecting the calibration type, an error message (28: Invalid Calibration Method) is displayed.


Making Measurement

  • Trigger System

  • Starting a Measurement Cycle (triggering the instrument)

  • Waiting for the End of Measurement

  • Detecting Occurrence of an Error

  • Improving Command Processing Speed


Trigger System

  • Overview

  • System-Wide States and Transitions

  • Channel-wide States and Transitions

Other topics about Making Measurement

Overview

The trigger system is responsible for such tasks as detecting the start of a measurement cycle (triggering) and enabling/disabling measurement on each channel. As shown in the following figure, the trigger system has two types of states: system-wide and channel-wide. The system-wide state can be "Hold", "Waiting for Trigger", or "Measurement", while the channel-wide state can be "Idle" or "Initiate".

Trigger system

The following subsections describe each state and explains how the trigger system switches among the states.

System-Wide States and Transitions

"Hold" State

The trigger system switches to "Hold" state when one of the following commands is executed (arrow "e" in Trigger system). Also, turning ON the power to the instrument puts the trigger system into "Hold" state. When the power is turned ON, the continuous initiation mode is ON for channel 1 and the trigger source is set to "Internal". Accordingly, the trigger system immediately switches to "Waiting for Trigger" state and subsequently repeats transitions between "Measurement" and "Waiting for Trigger" states.

  • :ABOR

  • *RST

When the trigger system is in "Hold" state and one of the channels switches to "Initiate" state (arrow "f" in Trigger system), the trigger system switches to "Waiting for Trigger" state (arrow "a" in Trigger system).

"Waiting for Trigger" State

When the trigger system is in "Waiting for Trigger" state and either the instrument is triggered (i.e., a trigger is detected) or one of the following commands is executed, the trigger system switches to "Measurement" state (arrow "b" in Trigger system)

  • :TRIG

  • :TRIG:SING

  • *TRG

As shown in the table below, the instrument is triggered differently depending on which trigger source is specified. To specify the trigger source, use the :TRIG:SOUR command.

Trigger Source | How instrument is triggered
Internal trigger | The instrument is automatically triggered within itself.
External trigger | The instrument is triggered when a trigger signal is input through the Ext Trig terminal or the handler interface
Bus trigger | The instrument is triggered when the trigger command is issued.
Manual trigger | The instrument is triggered when you press Trigger > Trigger on the front panel.

"Measurement" State

In "Measurement" state, the instrument waits for the elapse of the sweep delay time (set by the :SENS<ch>:SWE:DEL) and then starts a measurement cycle. This process is performed sequentially on each of those channels that are in "Initiate" state immediately before the transition to this state, in ascending order of channel number.

When the instrument has finished measuring all the active channels, the trigger system behaves in one of the following ways depending on the setting of the continuous initiation mode.

If continuous initiation mode is OFF for all channels:

The trigger system switches to "Hold" state (arrow "c" in Trigger system).

If continuous initiation mode is ON for one of the channels:

The trigger system switches to "Waiting for Trigger" state (arrow "d" in Trigger system).

Channel-wide States and Transitions

"Idle" State

A channel switches to "Initiate" state when one of the following commands is executed (arrow "f" in Trigger system).

  • :INIT<ch>
  • :INIT<ch>:CONT ("ON" specified)

"Initiate" State

A channel in this state is measured just before the entire system switches to "Measurement" state.

When the instrument has finished measuring a channel, the channel behaves in one of the following ways depending on the setting of the continuous initiation mode (set by the :INIT<ch>:CONT).

  • If continuous initiation mode is OFF: The channel switches to "Idle" state (arrow "g" in Trigger system).

  • If continuous initiation mode is ON: The channel remains in "Initiate" state (arrow "h" in Trigger system).


Starting a Measurement Cycle (Triggering the Instrument)

  • Configuring the Instrument

  • Starting Measurement on Demand

Other topics about Making Measurement

Configuring the Instrument to Automatically Perform Continuous Measurement

  1. Use the :INIT<ch>:CONT command to turn ON the continuous initiation mode for the channels you want to measure and turn the mode OFF for any other channel.

  2. Issue the :TRIG:SOUR command to set the trigger source to Internal trigger.

Starting Measurement on Demand

  1. Use the :INIT<ch>:CONT command to turn ON the continuous initiation mode for the channels you want to measure and turn the mode OFF for any other channel.

  2. Issue the :TRIG:SOUR command to set the trigger source to "Bus Trigger".

  3. Trigger the instrument whenever you want to perform the measurement. An external controller can trigger the instrument by using one of the following three commands:

    Command

    Can *OPC? command be used to wait for end of sweep?

    Applicable
    trigger source

    *TRG

    No

    Bus trigger only

    :TRIG

    External trigger
    Bus trigger
    Manual trigger

    :TRIG:SING

    Yes

  4. Repeat step 3 to start the next measurement cycle.


Waiting for the End of Measurement

  • Using *OPC? with_:TRIG:SING_Command_

  • Using the Status Register

  • Using Wait Time

Other topics about Making Measurement

Using *OPC? with :TRIG:SING Command

Using *OPC? is the common method to wait the end of measurement. When you trigger the instrument by issuing the :TRIG:SING command, *OPC? command waits until the measurement cycle is completed.

Once it is completed, "1" is returned.

*OPC? command does not wait the measurement end by the trigger with :TRIG.

Using the Status Register

The status of the E5063A can be detected through the status registers. This section explains how to detect the end of measurement by using the status registers.

Measurement status is reported by the operation status condition register. An SRQ (service request) is useful when creating a program that uses the information reported by this register to detect the end of measurement.

To detect the end of measurement via an SRQ, use one of the following commands:

  • *SRE

  • :STAT:OPER:ENAB

  • :STAT:OPER:PTR

  • :STAT:OPER:NTR

Follow these steps to utilize an SRQ:

  1. Configure the E5063A so that it generates an SRQ when the operation status condition register's bit 4 (a bit that is set to 1 during measurement) is changed from 1 to 0.

  2. Trigger the instrument to start a measurement cycle.

  3. When an SRQ is generated, the program interrupts the measurement cycle.

SRQ generation sequence (at end of measurement)

Sample Program

See Waiting for Measurement End (SRQ).

Using Wait Time

Before creating your program, actually measure the time between the start and end of the measurement cycle. Then code your program so that the controller waits for the actual measured time by using the appropriate command. This is a straightforward method, but care must be taken: an incorrect wait time could result in an unexpected error.


Detecting Occurrence of an Error

  • Using Status Reporting System

  • Using Error Queue

  • Sample Program

Other topics about Working with Automatic Test System

Using Status Reporting System

The status of the E5063A can be detected through the status registers. This section describes how to detect the end of measurement by using the status registers.

The occurrence of an error presents in the standard event status register. An SRQ (service request) is useful when you create a program that uses the information reported by this register to detect the occurrence of an error.

To detect the end of sweep via an SRQ, use one of the following commands:

*SRE

*ESE

Follow these steps:

  1. Set the E5063A so that it generates an SRQ when any of the error occurrence bits is set to 1 in the standard event status register.

  2. When an SRQ is generated, the program interrupts the measurement cycle.

SRQ generation sequence (when an error occurs)

Using Error Queue

An error queue holds the number for the error and the error message. Reading the error queue allows the user to verify the error that has occurred. To retrieve the content of an error queue, use the following command:

:SYST:ERR?

The error queue can be used in the following ways:

  1. It is used as a branch for error handling. When an error queue is retrieved, it returns 0 as the error number and "No error" as the error message if no error is detected. This can be used to detect an error and for branching the flow of a program. This is also useful when you wish to handle specific error(s). Note that this method does not allow the user to perform any processing during the occurrence of an error.

  2. When an error is detected using SRQ, the error queue is used to examine the error. Refer to the sample program in this section.

Sample Program

See Error Detection (SRQ).


Improving Command Processing Speed

SCPI commands should be processed quickly to improve the throughput when such commands are frequently executed (for example, reading out traces for each measurement).

With the E5063A, the processing time for SCPI commands can be improved by decreasing the refresh rate of the LCD display.

Measurement results (trace) do not need to be updated

When the measurement trace does not need to be updated, turn OFF the updating feature of the LCD display. This improves the processing speed of SCPI commands and eliminates the time used for updating the screen.

To turn OFF the updating feature of the LCD display, use the following command:

:DISP:ENAB

Measurement results (trace) need to be updated

When the measurement trace needs to be updated, the processing speed of SCPI commands can still be improved by controlling the update timing of the LCD display:

  1. Execute all SCPI commands that are required before measurement, including commands setting conditions.

  2. Turn OFF the update of the LCD display.

  3. Perform the measurement.

  4. Execute the commands for reading out measurement result or analyzing the result. Note that reading out the result in binary format accelerates data transfer.

  5. Execute the following command to update the LCD display once :DISP:UPD

  6. Return to Step 3.

Sample program

See Control LCD Update Timing.


Reading-Writing Measurement Data

  • Data Transfer Format

  • Internal Data Processing

  • Retrieving Measurement Results

  • Entering Data into a Trace


Data Transfer Format

  • Overview

  • ASCII Transfer Format

    • Integer Format

    • Floating-Point Number Format

  • Binary Transfer Format

Other topics about Reading-Writing Measurement Data

Overview

When you transfer data using the one of the following commands, you can choose among ASCII transfer format, IEEE 64-bit floating point binary transfer format and IEEE 32-bit floating point binary transfer format.

  • The instrument always uses the ASCII transfer format when you transfer data without using any of the following commands:

  • :CALC<ch>:BLIM:REP?

  • :CALC<ch>:DATA:FDAT

  • :CALC<ch>:DATA:FMEM

  • :CALC<ch>:DATA:SDAT

  • :CALC<ch>:DATA:SMEM

  • :CALC<ch>:FUNC:DATA?

  • :CALC<ch>:LIM:DATA

  • :CALC<ch>:LIM:REP?

  • :CALC<ch>:LIM:REP:ALL?

  • :CALC<ch>:RLIM:DATA

  • :CALC<ch>:RLIM:REP?

  • :SENS<ch>:CORR:COEF

  • :SENS<ch>:CORR:COEF:GPD

  • :SENS<ch>:FREQ:DATA?

  • :SENS<ch>:SEGM:DATA

To set the data transfer format, use the following command:

:FORM:DATA

  • Executing the :SYST:PRES or *RST does not affect the current setting of the data transfer format.

ASCII Transfer Format

When you select the ASCII transfer format as the data transfer format, numbers are transferred as ASCII bytes, each of which corresponds to one of the formats shown below. Note that numbers are separated from one another with a comma (,) in accordance with the IEEE 488.2 specification.

  • Numeric data strings vary in length. Keep this in mind when you extract some data from retrieved numeric data strings in your program.

Integer Format

The figure below shows this format. Numbers are expressed as integers. For example, 201 is expressed as "+201" or "201."

Integer format

Floating-Point Number Format

The figure below shows this format. Numbers are expressed with floating points. The number of decimal is 12 at default. For example, 1000 is expressed as "+1.00000000000E+003."

Floating-point number format

Binary Transfer Format

You can select the binary transfer format from the IEEE 64-bit floating point format or the IEEE 32-bit floating point format depending on the controller you use.

IEEE 64-bit floating point format

When you select the IEEE 64-bit floating point binary transfer format as the data transfer format, numbers are transferred in the format shown in the figure below.

Binary transfer format

This data transfer format uses a header that consists of a sharp character (#), a number of 6 (which indicates the byte size of the <number of bytes transferred> part), and the <number of bytes transferred> part in this order. The header is followed by the binary data (each number consists of 8 bytes and the total is the byte size indicated by <number of bytes transferred>) and the message terminator <new line>^END.

The binary data is expressed in the IEEE 754 64-bit floating-point number format shown in the figure below.

64-bit floating point format

IEEE 32-bit floating point format

When you select the IEEE 32-bit floating point binary transfer format as the data transfer format, numbers are transferred in the format shown in the figure below.

IEEE 32-bit floating point binary transfer format

This data transfer format uses a header that consists of a sharp character (#), a number of 6 (which indicates the byte size of the <number of bytes transferred> part), and the <number of bytes transferred> part in this order. The header is followed by the binary data (each number consists of 4 bytes and the total is the byte size indicated by <number of bytes transferred>) and the message terminator <new line>^END.

The binary data is expressed in the IEEE 754 32-bit floating-point number format shown in the figure below.

32-bit floating point data

Byte order

When you opt to perform binary transfer, you can configure the instrument to transfer the bytes of the data in one of the following two byte orders:

NORMal

Transfer begins with the byte that contains the MSB (Most Significant Bit); that is, the leftmost byte in 64 bit floating point format and 32 bit floating point data.

SWAPped

Transfer begins with the byte that contains the LSB (Least Significant Bit); that is, the rightmost byte in 64 bit floating point format and 32 bit floating point data.

To set the byte order, use the following command:

:FORM:BORD

  • Executing the :SYST:PRES or *RST does not affect the current setting of the byte order.


Internal Data Processing

  • Data Flow

  • Internal Data Arrays

Other topics about Reading-Writing Measurement Data

Data Flow

The following figure provides an overview of the E5063A's internal data processing flow.

E5063A's data processing flow

Internal Data Arrays

Corrected data arrays

A corrected data array contains the corrected data obtained by performing error correction and port extension compensation (calibration) operations on the raw measured data of S parameter specified for each trace of each channel. Each data element is stored as a complex number (Re/Im).

The instrument retains 16 corrected data arrays at maximum, each of which is associated with one of the 4 traces contained in one of the 4 channels (4 × 4 = 16). To read/write one of the corrected data arrays, use the following command:

:CALC:DATA:SDAT

Corrected memory arrays

When the :CALC:MATH:MEM command is executed on a particular corrected data array, its copy is stored into the corrected memory array corresponding to that corrected data array.

The instrument retains 16 corrected memory arrays at maximum, each of which is associated with one of the 4 traces contained in one of the 4 channels (4 × 4 = 16). To read/write one of the corrected data arrays, use the following command:

:CALC:DATA:SMEM

Formatted data array

A formatted data array contains the formatted data (values to be displayed) obtained by performing data math operations, measurement parameter conversion, and smoothing on a particular corrected data array. Regardless of the data format, it contains two data elements per measurement point as shown in the following table:

Data format | Data element (primary value) | Data element (secondary value)
log magnitude | log magnitude | Always 0
Phase | Phase | Always 0
Group delay | Group delay | Always 0
Smith chart (Lin) | Liner magnitude | Phase
Smith chart (Log) | log magnitude | Phase
Smith chart (Re/Im) | Real part of a complex number | Imaginary part of a complex number
Smith chart (R+jX) | Resistance | Reactance
Smith chart (G+jB) | Conductance | Susceptance
Polar (Lin) | Liner magnitude | Phase
Polar (Log) | log magnitude | Phase
Polar (Re/Im) | Real part of a complex number | Imaginary part of a complex number
Liner magnitude | Liner magnitude | Always 0
SWR | SWR | Always 0
Real number | Real part of a complex number | Always 0
Imaginary number | Imaginary part of a complex number | Always 0
Expanded phase | Expanded phase | Always 0
Positive phase | Positive phase | Always 0

The instrument retains 16 formatted data arrays at maximum, each of which is associated with one of the 4 traces contained in one of the 4 channels (4 × 4 = 16). To read/write one of the formatted data arrays, use the following command:

:CALC:DATA:FDAT

Formatted memory arrays

A formatted memory array contains the formatted data (values to be displayed) obtained by performing data math operations, measurement parameter conversion, and smoothing on a particular corrected memory array.

The instrument retains 16 formatted memory arrays at maximum, each of which is associated with one of the 4 traces contained in one of the 4 channels (4 × 4 = 16). To read/write one of the formatted memory arrays, use the following command:

:CALC:DATA:FMEM

Stimulus data arrays

A stimulus data array contains the stimulus values for all measurement points.

The instrument retains 4 stimulus data arrays at maximum, each of which is associated with one of the 4 channels. Stimulus data arrays are read-only. To retrieve one of the stimulus data arrays, use the following command:

:SENS:FREQ:DATA?

Calibration Coefficient Data Arrays

A calibration coefficient data array contains the calibration coefficients calculated based on the results of measurement performed with standard devices.

The instrument retains 12 calibration coefficient data arrays at maximum, each of which is associated with each channel. Commands are available for reading or writing calibration coefficient data arrays. To read or write, first use the following command:

:SENS:CORR:COEF

  • If any calibration coefficient is interpolated, the interpolated calibration coefficient data array is retrieved. Once a calibration coefficient data array has been written, execute the command :SENS:CORR:COEF:SAVE to validate it.


Retrieving Measurement Results

  • Overview

  • Retrieving Internal Data Arrays

  • Sample Program

Other topics about Reading-Writing Measurement Data

Overview

Internal data arrays allows you to retrieve all measurement results throughout a particular trace. Alternatively, markers allow you to retrieve measurement results at your specified points. For information on how to retrieve marker values, refer to Retrieving measurement results at marker positions.

Retrieving Internal Data Arrays

You can chose between the ASCII and binary data transfer formats when you retrieve internal data arrays. For more information, please refer to Data Transfer Format.

Sample Program

See Reading Data in Ascii Format and Reading Data in Binary Format.


Entering Data into a Trace

  • Overview

  • Sample Program

Other topics about Reading-Writing Measurement Data

Overview

You can change the data/memory trace on the LCD by writing the new data into the Formatted data array/Formatted memory arrays.

When you write data into formatted data/memory array, you can choose either the ASCII or binary transfer format (see Data Transfer Format).

Using the ASCII Transfer Format to Write Formatted Data Arrays (write_a.htb) and Using the Binary Transfer Format to Write Formatted Data Arrays (write_b.htb) show sample programs that demonstrate how to write data into formatted data arrays. The sample program in Using the ASCII Transfer Format to Write Formatted Data Arrays (write_a.htb) uses the ASCII transfer format while the sample in Using the Binary Transfer Format to Write Formatted Data Arrays (write_b.htb) uses the binary transfer format. You can find the source files of these programs, named write_a.htb and write_b.htb, on the sample program disk.

Each of the sample programs holds the sweep on channel 1, retrieves the data from a specified file (a file saved measurement data using the :MMEM:STOR:FDAT command), and populates trace 1 for channel 1 with the retrieved data.

Sample Program

See Reading/Writing Data.


Analyzing Data

  • Retrieving Measurement Results at Specified Points

  • Searching for Positions That Match Specified Criteria

  • Obtaining Limit/Bandwidth Limit/Ripple Limit Test Results

  • Analysis in Time Domain (time domain function)

  • Notch Search


Retrieving Measurement Results at Specified Points

  • Overview

  • Showing/Hiding Markers

  • Turning ON/OFF Reference Marker Mode

  • Setting and Retrieving Stimulus Value at Marker Positions

  • Retrieving Measurement Results at Marker Positions

Other topics about Analyzing Data

Overview

Markers allow you to retrieve measurement results at specified points. You can use up to nine markers for each trace, and you can move them to any point on the trace. In addition to the regular markers, you can use a reference marker.

Showing/Hiding Markers

To show or hide markers, including the reference marker, use the following command:

:CALC<ch>:MARK<mk>

  • You can move markers or retrieve the data at a marker even when the markers are hidden.

  • The display of the reference marker is turned ON or OFF when you turn ON or OFF Reference Marker mode.

Turning ON/OFF Reference Marker Mode

Turning ON the Reference Marker mode provides relative marker values with respect to the reference marker (by subtracting the value at the reference marker from the value at a particular marker).

To turn ON or OFF Reference Marker mode, use the following command:

:CALC<ch>:MARK:REF

Setting and Retrieving Stimulus Value at Marker Positions

To set (or change along the frequency axis) the stimulus value at a particular marker or the reference maker or to retrieve the current stimulus value, use the following command:

:CALC<ch>:MARK<mk>:X

When Reference Marker mode is ON, the stimulus value at a regular marker is a relative stimulus value obtained by subtracting the stimulus value at the reference marker from the actual stimulus value at that particular marker.

Retrieving Measurement Results at Marker Positions

To retrieve the measurement results (response values) at a particular marker or the reference marker, use the following command:

:CALC<ch>:MARK<mk>:Y?

When Reference Marker mode is ON, the response value at a regular marker is a relative value obtained by subtracting the response value at the reference marker from the actual response value at that particular marker.


Searching for Positions That Match Specified Criteria

Searching for Positions Matching Specified Criteria

  • Overview

  • Using Marker Search

  • Analysis Commands

  • Sample Program

Other topics about Analyzing Data

Overview

You can search for a position that matches specified criteria by using the Marker Search feature or analysis commands.

Using Marker Search

  • Marker Search is available whether the markers are shown or hidden.

Setting the Search Range

You can use either the entire sweep range or a user-defined range for the marker search range by using the following command:

:CALC<ch>:MARK:FUNC:DOM

When you opt to use a user-defined range, use the following commands to set the range:

Description | Command
Start value (lower limit value) | :CALC<ch>:MARK:FUNC:DOM :STAR
Stop value (upper limit value) | :CALC<ch>:MARK:FUNC:DOM :STOP

You can also select whether to specify the marker search range independently for each trace by using the following command.

:CALC<ch>:MARK:FUNC:DOM:COUP

Selecting a Search Type

Marker Search allows you to choose from the following eight search types:

  • Maximum value

  • Minimum value

  • Peak (3 types)

    • Maximum peak (for a positive peak), minimum peak (for a negative peak)

    • Peak nearest to the marker position on its left-hand side

    • Peak nearest to the marker position on its right-hand side

  • Target (3 types)

    • Peak nearest to the marker position

    • Target nearest to the marker position on its left-hand side

    • Target nearest to the marker position on its right-hand side

To select a search type, use the following command:

:CALC<ch>:MARK<mk>:FUNC:TYPE

Defining a Peak

You can define a peak by specifying the lower limit for the peak excursion value and polarity (positive or negative peak).

To define a peak, use the following commands:

Lower limit for the peak excursion value | :CALC<ch>:MARK<mk>:FUNC:PEXC
Polarity | :CALC<ch>:MARK<mk>:FUNC:PPOL

Defining a Target

You can define a target by specifying the target value (response value) and transitional direction (positive or negative value change).

To define a target, use the following commands:

Target value | :CALC<ch>:MARK<mk>:FUNC:TARG
Transitional direction | :CALC<ch>:MARK<mk>:FUNC:TTR

Performing Marker Search

To perform Marker Search, use the following command:

:CALC<ch>:MARK<mk>:FUNC:EXEC

To turn ON or OFF the Search Tracking feature, which performs Marker Search every time the trace is updated, use the following command:

:CALC<ch>:MARK<mk>:FUNC:TRAC

Retrieving Search Results

Performing Marker Search moves the marker to the points that matches the search criteria, so you can obtain the search results by retrieving the marker value. For information on how to retrieve marker values, refer to Setting (changing) and retrieving stimulus value at marker positions and Retrieving measurement results at marker positions.

Analysis Commands

You can use the analysis commands to perform search and analysis.

Setting the Search (Analysis) Range

You can use either the entire sweep range or a user-defined range as the search (analysis) range by using the following command:

:CALC<ch>:FUNC:DOM

When you opt to use a user-defined range, use the following commands to set the range:

Start value (lower limit value) | :CALC<ch>:FUNC:DOM:STAR
Stop value (upper limit value) | :CALC<ch>:FUNC:DOM:STOP

You can also select whether to specify the marker search (analysis) range independently for each trace by using the following command:

:CALC<ch>:FUNC:DOM:COUP

Selecting the Search (Analysis) Type

The analysis commands allow you to choose from the following five search types:

  • Maximum value

  • Minimum value

  • Maximum peak (for a positive peak), minimum peak (for a negative peak)

  • All peaks

  • All targets

In addition, you can choose from the following three analysis types:

  • Difference between the maximum and minimum values

  • Standard deviation

  • Average

To select the search (analysis) type, use the following command:

:CALC<ch>:FUNC:TYPE

Defining a Peak

You can define a peak by specifying the lower limit for the peak excursion value and polarity (positive or negative peak).

To define a peak, use the following commands:

Lower limit for the peak excursion value | :CALC<ch>:FUNC:PEXC
Polarity | :CALC<ch>:FUNC:PPOL

Defining a Target

You can define a target by specifying the target value (response value) and transitional direction (positive or negative value change).

To define a target, use the following commands:

Target value | :CALC<ch>:FUNC:TARG
Transitional direction | :CALC<ch>:FUNC:TTR

Performing Search (Analysis)

To perform search (analysis), use the following command:

:CALC<ch>:FUNC:EXEC

Retrieving Search (Analysis) Results

To retrieve search (analysis) results, use the following command:

:CALC<ch>:FUNC:DATA?

The number of data items contained in search (analysis) results differ depending on the search (analysis) type and the number of points found by the search operation. To retrieve the number of data items, use the following command:

:CALC<ch>:FUNC:POIN?

Sample Program

See Peak Search.


Obtaining Limit/Bandwidth Limit/Ripple Limit Test Results

  • Overview

  • Test Results at each Measurement Point

  • Test Results for each Trace

  • Test Results for each Channel

  • Overall Test Results

Other topics about Limit Test

Overview

You can obtain test results by issuing a result retrieval command or through the status register.

Test Results at each Measurement Point

Using commands that retrieve test results

You can obtain the test results at each measurement point by retrieving the stimulus value at failed measurement points. To retrieve failed measurement points, use the following command:

Stimulus value | :CALC<ch>:LIM:REP?
Number of measurement points | :CALC<ch>:LIM:REP:POIN?

Using the status register

You cannot use the status register to obtain the test results at each measurement point.

Test Results for each Trace

Using commands that retrieve test results

You can retrieve the test result for each trace (i.e., the trace-wide result that combines the results for all measurement points in a particular trace) by issuing the following command:

:CALC<ch>:LIM:FAIL?

Using the status register

The condition register and event register under the questionable limit channel {1-4} status register provide 4 bits that correspond to traces 1 to 4 and contain the test results (0: Pass, 1: Fail) for the respective traces; for example, you can obtain the test result for trace 1 from bit 1 and that for trace 4 from bit 4.

Every bit of the condition register is set to 0 when a measurement cycle is started. Upon completion of measurement, those bits that correspond to failed traces are set to 1.

If the corresponding bit of the positive transition filter is set to 1 (preset value), each bit of the event register is set to 1 when the corresponding bit of the condition register changes from 0 to 1 (indicating that the corresponding trace failed the test).

To retrieve the registers, use the following commands:

Questionable limit channel {1-4} status register
Condition register | :STAT:QUES:LIM:CHAN{1-4}:COND?
Event register | :STAT:QUES:LIM:CHAN{1-4}?
Questionable limit channel {1-4} extra status register
Condition register | :STAT:QUES:LIM:CHAN{1-4}:ECH:COND?
Event register | :STAT:QUES:LIM:CHAN{1-4}:ECH?

Test Results for each Channel

Using commands that retrieve test results

No command is available that allows you to directly retrieve the test result for each channel (i.e., the channel-wide result that combines the results for all traces in a particular channel).

Using the status register

The questionable limit status event register provides 4 bits that correspond to channels 1 to 4 and contain the test results (0: Pass, 1: Fail) for the respective channels; for example, you can obtain the test result for channel 1 from bit 1 and that for channel 4 from bit 4.

Every bit of the condition register is set to 0 after the event registers are cleared by the *CLS. Upon completion of measurement, if the channel-wide test result that combines the results for all traces in a channel is fails, the corresponding bit of the condition register is set to 1.

If the corresponding bit of the positive transition filter is set to 1 (preset value), every bit of the event register is set to 1 when the corresponding bit of the condition register changes from 0 to 1.

To retrieve the registers, use the following commands:

Questionable limit status register
Condition register | :STAT:QUES:LIM:COND?
Event register | :STAT:QUES:LIM?
Questionable limit extra status register
Condition register | :STAT:QUES:LIM:ELIM:COND?
Event register | :STAT:QUES:LIM:ELIM?

Obtaining test results for a channel (channel 1 in this example) using the status register

Overall Test Results

Using commands that retrieve test results

No command is available that allows you to directly retrieve the overall test results that combine the test results for all channels.

Using the status register

The condition register and event register under the questionable status event register provides bit 10 each, from which you can obtain the overall test result (0: Pass, 1: Fail).

The condition register's bit 10 is set to 0 after the event registers are cleared by the *CLS. Upon completion of measurement, this bit is set to 1 if the overall test result that combines the results for all channels fails.

If the positive transition filter's bit 10 is set to 1 (preset value), the event register's bit 10 is set to 1 when the condition register's bit 10 changes from 0 to 1.

To retrieve the condition register and event register under the questionable status event register, use the following commands:

Condition register | :STAT:QUES:COND?
Event register | :STAT:QUES?

Obtaining overall test results using the status register


Analysis in Time Domain (time domain function)

  • Overview

  • Transforming Measurement Data to Time Domain

Other topics about Analyzing Data

Overview

The time domain function provides the following functions:

  • Transforming measurement data to data in the time domain (Transformation Function)

  • Deleting unnecessary measurement data in the time domain (Gating Function)

Transforming Measurement Data to Time Domain

By using the Transformation Function, you can convert the results measured in the frequency domain to data in the time domain and analyze it.

ON/OFF

To turn ON or OFF the transformation function, use the following command:

:CALC<ch>:TRAN:TIME:STAT

Selecting Transformation Type

To select the transformation type (band pass/low pass), use the following command:

:CALC<ch>:TRAN:TIME

To select the stimulus type (impulse/step) when the transformation type is low pass, use the following command:

:CALC<ch>:TRAN:TIME:STIM

When the transformation type is low pass, you need to execute the following command because each measurement point must be a multiple of the start frequency.

:CALC<ch>:TRAN:TIME:LPFR

Setting Window Shape

To set the window shape, use one of the following items.

Item | Command
β | :CALC<ch>:TRAN:TIME:KBES
Impulse width | :CALC<ch>:TRAN:TIME:IMP :WIDT
Rise time of step signal | :CALC<ch>:TRAN:TIME:STEP :RTIM

The above three items are dependent on each other. When the value of one of them is changed, the values of the other two are automatically changed to the corresponding values.

Unlike the manual operation, you cannot set the window shape by selecting the window type (maximum/normal/minimum). However, you can set the same shape as each window type by setting β as follows:

 | Maximum | Normal | Minimum
Value of β | 13 | 6 | 0

Setting Display Range

To set the display range after time domain transformation, use the following commands:

Description | Command
Start value | :CALC<ch>:TRAN:TIME:STAR
Stop value | :CALC<ch>:TRAN:TIME:STOP
Center value | :CALC<ch>:TRAN:TIME:CENT
Span value | :CALC<ch>:TRAN:TIME:SPAN

Deleting unnecessary measurement data in the time domain

You can use the Gating Function to delete unnecessary time domain data.

ON/OFF

To turn ON or OFF the gating function, use the following command:

:CALC<ch>:FILT:TIME:STAT

Selecting Gate Type

To select the gate type, use the following command:

:CALC<ch>:FILT:TIME

Setting Gate Shape

To select the gate shape, use the following command:

:CALC<ch>:FILT:TIME:SHAP

Setting Gate Range

To set the gate range, use the following commands:

Description | Command
Start value | :CALC<ch>:FILT:TIME:STAR
Stop value | :CALC<ch>:FILT:TIME:STOP
Center value | :CALC<ch>:FILT:TIME:CENT
Span value | :CALC<ch>:FILT:TIME:SPAN


Notch Search

  • Overview

  • Setting the notch definition value

  • Displaying the notch search result

  • Reading out the notch search result

Other topics about Analyzing Data

Overview

The notch search function is used to obtain the bandwidth, center frequency, cutoff points (high-frequency side and low-frequency side), Q and insertion loss of a trace based on the active marker position. The notch search function starts at the left side of the active marker position, and ends when points that meet the condition are found.

  • Bandwidth (BW = high – low)

  • Center frequency (cent = (high +low)/2)

  • Q value (Q = cent/BW)

  • Loss (response value at marker position)

Where, high is the right-hand cutoff point frequency, and low is the left-hand cutoff point frequency.

  • For more information on notch search, see Determining the bandwidth of a trace (Notch Search)

Setting the notch definition value

The notch search function finds a point whose response value is different, by the amount defined as the notch definition value, than the response value at the marker position, and identifies that point as the cutoff point.

To set the notch definition value, use the following command:

:CALC:MARK:NOTC:THR

Displaying the notch search result

The following command is used to control whether to display the notch search result on the LCD:

:CALC:MARK:NOTC

Reading out the notch search result

Once the marker is moved to an appropriate position using the marker search function or some other function, it is able to retrieve the notch search result using the following command:

:CALC:MARK:NOTC:DATA

  • It is able to retrieve the notch search result regardless of whether the marker display and the notch search result display is ON/OFF.


Saving and Recalling

  • Saving and Recalling File

  • Managing Files


Saving and Recalling File

  • Specifying File

  • Saving and Recalling Instrument Status

  • Saving Measurement Data

  • Saving Measurement Data in Touchstone Format

  • Saving Images

  • Saving and Recalling Segment Sweep Table

  • Saving and Recalling Limit Table

Other topics about Saving and Recalling

Specifying File

When running a command for saving, recalling, and managing files, use a filename with extension to specify a particular file. Specify "D:" at the beginning of the file name, when specifying a file at the user area of storage. Also, when specifying a file name with directory, use "/" (slash) or "\" (backslash) as a delimiter.

Saving and Recalling Instrument Status

You can save the instrument state using one of the following 2 methods:

  • Saving the entire instrument state into a file

  • Saving the state for each channel into registers A to D (volatile memory)

Selecting content to be saved

When saving the instrument status into a file or register, the content to be saved can be selected among the following 4 options:

  • Instrument status only

  • Instrument status and calibration coefficient array.

  • Instrument status, corrected data/memory array (measurement data)

  • Instrument status, calibration coefficient array, and corrected data/memory array (measurement data)

To select a content to be saved, use the following command:

:MMEM:STOR:STYP

Selecting Content to be Saved

To select whether to save the setting of all channels/traces or that of the displayed channels/traces, use the following command:

:MMEM:STOR:SALL

Saving and recalling entire instrument status

To save the entire instrument status into a file, use the following command:

:MMEM:STOR

Recalling a file saved with the above command can reproduce the status when it was saved. To recall the settings from a file, use the following command:

:MMEM:LOAD

Auto Recall

The file saved with the name autorec.sta in the D directory will be automatically recalled when the E5063A is powered ON.

Saving the state for each channel into a register

For the active channel, when you want to save the instrument state specific to that channel into only one of the registers A to D, use the following command:

:MMEM:STOR:CHAN

Recalling an instrument state saved in a register can reproduce it as the state of the active channel. To recall a register, use the following command:

:MMEM:LOAD:CHAN

  • It is possible to recall a file from a different channel where it was saved.

The contents in the registers are lost when you turn OFF the power. You can delete (clear) the contents of all registers using the following command.

:MMEM:STOR:CHAN:CLE

Saving Measurement Data

Measurement data (in a formatted data array) can be saved to a file in CSV (Comma Separated Value) format.

To save measurement data in a file, use the following command:

:MMEM:STOR:FDAT

Executing the above command saves the measurement data of the active trace. Note that the data saved using the above command cannot be recalled from the E5063A.

Saving Measurement Data in Touchstone Format

Measurement data for the active channel can be saved to a file in touchstone format.

To determine the file type in touchstone file format and specify a port, use one of the following commands according to the number of ports used:

  • :MMEM:STOR:SNP:TYPE:S1P

  • :MMEM:STOR:SNP:TYPE:S2P

To set the data type of the files saved in touchstone format, use the following command:

:MMEM:STOR:SNP:FORM

To save measurement data in touchstone format, use the following command:

:MMEM:STOR:SNP

Saving Images

Images displayed on the LCD screen can be saved to a file in the bitmap (.bmp) or portable network graphics (.png) format.

To save the screen image to a file, use the following command:

:MMEM:STOR:IMAG

Executing the above command saves the screen image when the command is invoked.

  • This gives different screen image results from those obtained by pressing the Capture key on the front panel.

Saving and Recalling Segment Sweep Table

Segment sweep table can be saved in the file with CSV (Comma Separated Value) format.

To save segment sweep table on a file, use the following command:

:MMEM:STOR:SEGM

Executing the above command saves the segment sweep table for the active channel.

Recalling the file saved using the above command can reproduce the segment sweep table on the active channel.

To recall the settings from a file, use the following command:

:MMEM:LOAD:SEGM

  • It is possible to recall a file from a different channel where it was saved. Note that recalling operation is not guaranteed for the file that might have been modified with editor.

Saving and Recalling Limit Table

Limit table can be saved in the file with CSV (Comma Separated Value) format. To save limit table on a file, use the following command:

:MMEM:STOR:LIM

Executing the above command saves the limit table for the active trace of the active channel.

Recalling the file saved using the above command can reproduce the limit table on the active trace of the active channel. To recall the settings from a file, use the following command:

:MMEM:LOAD:LIM

  • It is possible to recall a file from a different channel or trace where it was saved. Note that recalling operation is not guaranteed for the file that might have been modified with editor.

Sample program

See the Saving Files.


Managing Files

  • Various Commands

  • Sample Program

Other topics about Saving and Recalling

Various Commands

Creating directory (folder)

To create a directory (folder), use the following command:

:MMEM:MDIR

Deleting file (directory)

To delete a file or a directory, use the following command:

:MMEM:DEL

Copying file

To copy a file, use the following command:

:MMEM:COPY

Transferring files

File transfer from the external controller to the E5063A is possible by reading data from a file on the controller and then writing them to the file on the E5063A.

:MMEM:TRAN

Also, file transfer from the E5063A to the external controller can be possible by reading data from a file on the E5063A using the commands as query and then writing them to the file on the controller.

Retrieving data from storage

To retrieve information for the storage that is built in the E5063A (usage, property of file located in a specified directory), use the following command;

:MMEM:CAT?

Sample Program

See the Transferring Files.


Communication with External Devices

Communication with External Devices (24 Bit I/O Port)

  • 24 Bit (Handler) I/O Port Overview

  • I/O Signal Pin Layout and Description

  • Inputting/Outputting Data

  • Preset states at power-on

  • Timing Chart

  • Electrical Characteristics


Handler I/O Port Overview

24 Bit (Handler) I/O Port Overview

The E5063A 24 Bit (handler) I/O port provides four independent parallel ports for data I/O associated with several control signal lines and the power line. All signals operate in TTL logic.

The data I/O ports are configured with 2 pairs of 8 bit output port and 2 pairs of 4 bit bi-directional port. Also those ports can cooperate to provide a maximum 16-bit-width output port or a maximum 8-bit-width input port.

The I/O signals operate on the negative logic basis, which can be altered. The control signal lines consist of various control output data, including completion of measurement or control signal for handshaking.

I/O ports and control signal lines

Other topics about Communication with External Devices


I/O Signal Pin Layout and Description

The layout of the I/O signal pins on the handler interface connector and its description are shown below.

A slash (/) symbol preceding signal names means that they are negative logic (active low).

Pin number

Signal name

Input/Output

Description

1

GND

N/A

Ground.

2

/INPUT1

Input

When this port receives a negative pulse, /OUTPUT1 and /OUTPUT2 are changed to the Low level.

3

/OUTPUT1

Output

Changes to the Low level when /INPUT1 receives a negative pulse. A command is available for altering the Low/High level logic.

4

/OUTPUT2

Output

Changes to the Low level when /INPUT1 receives a negative pulse. A command is available for altering the Low/High level logic.

5

/PORT A0

Output

Bit 0 of port A (8 bit parallel output port)

6

/PORT A1

Output

Bit 1 of port A.

7

/PORT A2

Output

Bit 2 of port A.

8

/PORT A3

Output

Bit 3 of port A.

9

/PORT A4

Output

Bit 4 of port A.

10

/PORT A5

Output

Bit 5 of port A.

11

/PORT A6

Output

Bit 6 of port A.

12

/PORT A7

Output

Bit 7 of port A.

13

/PORT B0

Output

Bit 0 of port B (8 bit parallel output port)

14

/PORT B1

Output

Bit 1 of port B.

15

/PORT B2

Output

Bit 2 of port B.

16

/PORT B3

Output

Bit 3 of port B.

17

/PORT B4

Output

Bit 4 of port B.

18

/EXTERNAL TRIGGER

Input

An external trigger signal. When the trigger source is set to the "External," this port generates a trigger in respond to the trailing edge of a negative pulse.

19

/PORT B5

Output

Bit 5 of port B.

20

/PORT B6

Output

Bit 6 of port B.

/INDEX

Indicates that analog measurement is complete. The /INDEX signal changes to the Low level when analog measurement (all sweeps of all channels) is complete. When the handler receives the signal, it assumes that it is ready to connect the next DUT. However, no measurement data is available until data calculation is completed.

When the point trigger function is ON, it goes to the High level before starting measurement of the first measurement point and returns to the Low level after completing measurement of all measurement points.

21

/PORT B7

Output

Bit 7 of port B.

/READY FOR TRIGGER

Indicates that the instrument is ready for triggering. This signal is changed to the Low level when the instrument is ready to receive a trigger signal.

The /READY FOR TRIGGER signal goes to the Low level when the instrument is ready to accept the trigger signal for the first point and goes to the High level when the trigger signal for the first point is received.

When the point trigger is OFF: When measurement of all measurement points is completed and the instrument is ready to receive the trigger signal for the first point of the next sweep, this signal goes to the Low level again.

When the point trigger is ON: When each measurement point is completed and the instrument is ready to receive the trigger signal for the next measurement point, this signal goes to the Low level again.

22

/PORT C0

Input/Output

Bit 0 of port C (4 bit parallel I/O port)

23

/PORT C1

Input/Output

Bit 1 of port C.

24

/PORT C2

Input/Output

Bit 2 of port C.

25

/PORT C3

Input/Output

Bit 3 of port C.

26

/PORT D0

Input/Output

Bit 0 of port D (4 bit parallel I/O port)

27

/PORT D1

Input/Output

Bit 1 of port D.

28

/PORT D2

Input/Output

Bit 2 of port D.

29

/PORT D3

Input/Output

Bit 3 of port D.

30

PORT C STATUS

Output

Port C status signal. This signal is changed to the High level when the port C is configured to output port. It is changed to the Low level when the port is configured to input port.

31

PORT D STATUS

Output

Port D status signal. This signal is changed to the High level when the port D is configured to output port. It is changed to the Low level when the port is configured to input port.

32

/WRITE STROBE

Output

A output port write strobe signal. When data is present (that is, output level changes) on any of the output ports, this signal provides a negative pulse.

33

/PASS FAIL

Output

Each limit test's results signal. This signal changes to the High level when limit test, bandwidth test, or ripple test results return FAIL. It changes to the Low level when all limit test results return PASS.

34

/SWEEP END

Output

A sweep completion signal. When measurement (all sweeps of all channels) and data calculation are completed, this signal provides a negative pulse.

35

+5V

Output

Provides +5V DC power supply for external instruments.

36

/PASS FAIL STROBE

Output

Each limit test's results write a strobe signal. When limit test result is present on /PASS FAIL, this signal provides a negative pulse.

Other topics about Communication with External Devices


Inputting/Outputting Data

  • Overview

  • Specifying Signal Direction of Port

  • Reading Data Input from Port

  • Data Output to Port

Other topics about Communication with External Devices

Overview

The E5063A 24 Bit (Handler) I/O port provides the ports for data I/O shown below.

Port Name | Usage | Data Structure
Port A | Output |
Port B | Output |
Port C | Input/Output |
Port D | Input/Output |
Port E | Input/Output |
Port F | Output |

Specifying Signal Direction of Port

Signal direction (input/output) can be changed for the ports C, D, and E as shown in I/O ports and control signal lines. Thus, before the ports are used, the directions should be determined according to their usage.

To specify the signal direction for the ports C and D, use the following command. Direction for the port E depends on the setting for the ports C and D.

Port Name | Command
Port C | :CONT:HAND:C:MODE
Port D | :CONT:HAND:D:MODE

Reading Data Input into Port

When the ports C, D, or E are configured to input ports, binary data represented by High(0)/Low(1) of each bit of the port is read as decimal data.

To retrieve the data, use the following command as query:

Port Name | Command
Port C | :CONT:HAND:C
Port D | :CONT:HAND:D
Port E | :CONT:HAND:E

Data Output to Port

To ports A through F (the ports C, D, and E should be configured to output ports), binary data (decimal data when output data is specified with a command) represented by High(0)/Low(1) of each bit of the port can be output.

To output data, use the following command:

Port Name | Command
Port A | :CONT:HAND:A
Port B | :CONT:HAND:B
Port C | :CONT:HAND:C
Port D | :CONT:HAND:D
Port E | :CONT:HAND:E
Port F | :CONT:HAND:F

  • The bit 6 of the data output by :CONT:HAND:B (the bit 14 of the data output by :CONT:HAND:F) is ignored when outputting the /INDEX signal is turned ON.

  • The bit 7 of the data output by :CONT:HAND:B (the bit 15 of the data output by :CONT:HAND:F command) is ignored when outputting the /READY FOR TRIGGER signal is turned ON.


Preset states at power-on

The 24 bit (Handler) I/O port is set at power-on as follows (not affected at reset)

Description | Status
Port A | High (All Bits)
Port B | High (All Bits)
Port C | Input
Port D | Input
Port C STATUS | Low
Port D STATUS | Low
/OUTPUT1 | High
/OUTPUT2 | High
/SWEEP END | High
/PASS FAIL | High

Other topics about Communication with External Devices


Electrical Characteristics

  • Input Signal

  • Output Signal

  • Power Supply (+5 V)

Other topics about Communication with External Devices

Input Signal

All input signals are TTL compatible.

Maximum rate input voltage |  | -0.5 V to 5.5 V
Input voltage | High level | 2.0 V to 5.0 V
 | Low level | 0 V to 0.5 V

Output Signal

All output signals are TTL compatible.

Maximum rate output current |  | -10 mA to 10 mA
Output current | High level | -5 mA
 | Low level | 3 mA
Output voltage | High level | 2.0 V to 3.3 V (when output current is from -5 mA to 0 mA) 3.20 V (when output current is -1 mA) 2.75 V (when output current is -5 mA)
 | Low level | 0 V to 0.8 V (when output current is from 0 mA to 3 mA) 0.25 V (when output current is 1 mA) 0.55 V (when output current is 3 mA)

Power Supply (+5 V)

The following table shows electrical characteristics of +5 V power supply for external instruments.

Output voltage | 4.5 V to 5.5 V
Maximum output current | 100 mA


Timing Chart

  • Overview

  • Timing Chart of I/O Port Signal

  • Timing Chart of Data Output and Write Strobe Signal

  • Timing Chart of Limit Test Result Output and Write Strobe Signal

  • Timing Chart of /INPUT1 and /OUTPUT1, /OUTPUT2

Other topics about Communication with External Devices

Overview

This section shows the typical timing chart of I/O port Signal.

Timing chart of I/O Port Signal (Point Trigger: off)

 |  | Minimum value | Typical Value | Maximum value
T1 | Pulse width of /EXTERNAL TRIGGER or External Trigger Input Port | 1 μs | - | -
T2 | Pulse width of /SWEEP END | 10 μs | 12 μs | -
T3 | Time set as the trigger delay time | - | (See below note) | -

  • The Trigger Delay Time (T3) is not constant, because it is time that the user sets.

Timing Chart of I/O Port Signal (Point Trigger: on)

When the point trigger function is ON, the /EXTERNAL TRIGGER signal must be inputted for each measurement point during a single sweep. The /INDEX signal goes to the High level before starting measurement of the first measurement point and returns to the Low level after the completing measurement of all measurement points.

The /READY FOR TRIGGER signal goes to the Low level when the instrument is ready to accept the trigger signal for the first point and then goes to the High level when the trigger signal for the first point is received.

When measurement of all measurement points is completed and the instrument is ready to receive the trigger signal for the first point of the next sweep, this signal goes to the Low level again.

When the point trigger function is ON, the /READY FOR TRIGGER signal goes High each time a trigger signal is received and goes Low when measurement of each measurement point is completed and the instrument is ready to accept a trigger for the next measurement point.

The times of T1 and T2 are the same as those when the point trigger function is OFF. For more information, see Timing chart of I/O Port Signal (Point trigger function:OFF).

Timing Chart of Data Output and Write Strobe Signal

T1 | Response time of write strobe signal | 1 μs
T2 | Pulse width of write strobe signal | 1 μs

Timing Chart of Limit Test Result Output and Write Strobe Signal

T1 | Response time of /PASS FAIL write strobe | 1 μs
T2 | Pulse width of /PASS FAIL write strobe | 1 μs

  • When the average trigger function is activated, the fail and write strobe signals are output at the time that the average test result shows "failed" on a certain channel.

Timing Chart of /INPUT1 and /OUTPUT1, /OUTPUT2

 |  | Minimum value | Maximum value
T1 | Pulse width of /INPUT1 | 1 μs | -
T2 | Response time of /OUTPUT1, /OUTPUT2 | 0.2 μs | 0.4 μs


Status Reporting System

  • General Status Register Model

  • Using the Status Reporting System

  • Status Register Structure


General Status Register Model

  • Overview

  • Event Register

  • Enable Register

  • Status Byte Register

  • Condition Register and Transition Filter

Other topics about Status Reporting System

Overview

The E5063A has a status reporting system to report the condition of the instrument.

General status register model

The status reporting system has a hierarchical structure as shown in the figure above. When the instrument satisfies a particular condition, the corresponding bit of the event register is set to 1. Therefore, you can check the instrument status by reading the event register.

When the event register bit is set to "1" and a corresponding enable register bit (a bit marked with an arrow in General status register model) is also "1," the summary bit of the status byte register is set to "1." You can read the status byte register by using the serial poll.

If the bit of the service request enable register is "1," a service request (SRQ) is generated by the positive transition of the corresponding status byte register bit. By generating SRQ, you can notify the controller that the E5063A is requesting service. In other words, interruption by SRQ can be programmed. For more information on using SRQ, see Using the status register or Using the status reporting system.

Event Register

Reflects the corresponding condition of the E5063A (e.g., occurrence of an event) as a bit status. These bits continuously monitor changes in the E5063A's state and change the bit status when the condition (e.g., change bit status to "1" if a specific event occurs) for each bit is met. You cannot change the bit status by issuing a SCPI command.

Enable Register

Setting the enable register allows you to specify event register bits that can set "1" to the summary bit of the status byte register when an event occurs. The register bits work as mask bits; setting "1" to an enable register will enable a corresponding bit in the event register.

For example, when you want to set "1" as the summary bit in the status byte register by a specific register condition, set the corresponding enable register to "1."

Status Byte Register

If the enabled event register is set to "1," a corresponding bit of the status byte register is also set to "1." This register also indicates the output queue and SRQ status.

The value of the status byte register can be read by using the *STB? command or serial poll (SPOLL statement in HTBasic) from the controller.

Reading the status byte register by using the *STB? command does not affect the contents of the status byte register. However, reading it with the SPOLL statement of HTBasic clears the RQS bit in the status byte register.

Also, setting the service request enable register using the *SRE command can generate a service request synchronously with the status byte register.

Condition Register and Transition Filter

When the status register has a transition filter, there is a lower register called a condition register under the event register. The transition filter is between the event register and the condition register.

The transition filter enables you to select a positive and/or negative transition of the condition register bit in order to set a bit in the corresponding event register. For example, using the negative transition filter to set bit 3 to "1" causes bit 3 of the event register to be set to "1"; when bit 3 of the condition register makes a negative transition, it changes from 1 to 0.

Transition filter and condition register

In the E5063A, the following registers provide a condition register and transition filter:

  • Operation status register

  • Questionable status register

  • Questionable limit status register

  • Questionable limit channel status register

  • Questionable bandwidth limit status register

  • Questionable bandwidth limit channel {1-4} status register

  • Questionable ripple limit status register

  • Questionable ripple limit channel {1-4} status register


Using the Status Reporting System

You can manage the status report system using the following commands in any combination:

  • *CLS

  • *SRE

  • *STB?

  • *ESE

  • *ESR?

  • :STAT:PRES

  • :STAT:OPER:ENAB

  • :STAT:OPER:COND?

  • :STAT:OPER?

  • :STAT:OPER:PTR

  • :STAT:OPER:NTR

  • :STAT:QUES:ENAB

  • :STAT:QUES:COND?

  • :STAT:QUES?

  • :STAT:QUES:PTR

  • :STAT:QUES:NTR

  • :STAT:QUES:LIM:ENAB

  • :STAT:QUES:LIM:COND?

  • :STAT:QUES:LIM?

  • :STAT:QUES:LIM:PTR

  • :STAT:QUES:LIM:NTR

  • :STAT:QUES:LIM:CHAN<ch>:ENAB

  • :STAT:QUES:LIM:CHAN<ch>:COND?

  • :STAT:QUES:LIM:CHAN<ch>?

  • :STAT:QUES:LIM:CHAN<ch>:PTR

  • :STAT:QUES:LIM:CHAN<ch>:NTR

  • :STAT:QUES:BLIM:ENAB

  • :STAT:QUES:BLIM:COND?

  • :STAT:QUES:BLIM?

  • :STAT:QUES:BLIM:PTR

  • :STAT:QUES:BLIM:NTR

  • :STAT:QUES:BLIM:CHAN<ch>:ENAB

  • :STAT:QUES:BLIM:CHAN<ch>:COND?

  • :STAT:QUES:BLIM:CHAN<ch>?

  • :STAT:QUES:BLIM:CHAN<ch>:PTR

  • :STAT:QUES:BLIM:CHAN<ch>:NTR

  • :STAT:QUES:RLIM:ENAB

  • :STAT:QUES:RLIM:COND?

  • :STAT:QUES:RLIM?

  • :STAT:QUES:RLIM:PTR

  • :STAT:QUES:RLIM:NTR

  • :STAT:QUES:RLIM:CHAN<ch>:ENAB

  • :STAT:QUES:RLIM:CHAN<ch>:COND?

  • :STAT:QUES:RLIM:CHAN<ch>?

  • :STAT:QUES:RLIM:CHAN<ch>:PTR

  • :STAT:QUES:RLIM:CHAN<ch>:NTR

Other topics about Status Reporting System


Status Register Structure

  • Status Register

  • Status Register for Limit Test (Channel)

  • Status Register for Limit Test (Trace) 1

  • Status Register for Limit Test (Trace) 2

  • Status Register for Bandwidth Limit (Channel)

  • Status Register for Bandwidth Limit (Trace) 1

  • Status Register for Bandwidth Limit (Trace) 2

  • Status Register for Ripple Limit (Channel)

  • Status Register for Ripple Limit (Trace) 1

  • Status Register for Ripple Limit (Trace) 2


Status Register

Status Bit Definitions of Status Byte Register

Bit Position | Name | Description
0, 1 | Not used | Always 0
2 | Error/Event Queue | Set to "1" if the error/event queue contains data; reset to "0" when all the data has been retrieved.
3 | Questionable Status Register Summary | Set to "1" when one of the enabled bits in the questionable status register is set to "1."
4 | MAV (Message Available) | Set to "1" when the output queue contains data; reset to "0" when all the data has been retrieved.
5 | Standard Event Status Register Summary | Set to "1" when one of the enabled bits in the standard event status register is set to "1."
6 | RQS | Set to "1" when any of the status byte register bits enabled by the service request enable register is set to "1"; reset to "0" when all the data has been retrieved through serial polling.
7 | Operation Status Register Summary | Set to "1" when one of the enabled bits in the operational status register is set to "1."

Issuing the *CLS command clears all bits from the status byte register.

Status Bit Definitions of Standard Event Status Register

Bit

Position

Name

Description

0

Operation Complete

Set to "1" upon completion of all operations done by commands that precede the *OPC? command.

1

Not used

Always 0

2

Query Error

1. Set to "1" when the E5063A receives a data output request but there is no data to output.

2. Set to "1" when the data of the E5063A's output queue has been cleared because of a new message received before the completion of data output.

3

Instrument Dependent Error

Set to "1" when an error has occurred and the error is not a command, query, or execution error.

4

Execution Error

1. Set to "1" when any parameter in an SCPI command exceeds its input range or is inconsistent with the E5063A's capabilities.

2. Set to "1" when an SCPI command cannot be properly executed due to some condition of the E5063A.

5

Command Error

1. Set to "1" when an IEEE 488.2 syntax error occurs (a command sent to the E5063A does not follow the IEEE 488.2 syntax). Possible violations include the command parameter violating the E5063A listening formats or being unacceptable.

2. Set to "1" when a semantic error occurs. Possible causes include a command containing misspellings being sent to the E5063A or an IEEE 488.2 command not supported by the E5063A being sent.

3. Set to "1" when GET (Group Execution Trigger) is input while a program message is being received.

6

Not used

Always 0

7

Power ON

Set to "1" when the E5063A is powered ON, or when the firmware is restarted.

Issuing the *CLS command clears all bits from the standard event status register.

Status Bit Definitions of the Operation Status Condition Register

Bit Position | Name | Description
0 - 3 | Not used | Always 0
4 | Measurement | Set to "1" during measurement
5 | Waiting for Trigger | Set to "1" while the instrument is waiting for a trigger.
6 - 15 | Not used | Always 0

Issuing the *CLS command clears all bits from the operation status event register.

Status Bit Definitions of the Questionable Status Condition Register

Bit Position | Name | Description
0 - 7 | Not used | Always 0
8 | Bandwidth Test Fail (Questionable bandwidth limit status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit status event register is set to "1."
9 | Ripple Test Fail (Questionable ripple limit status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit status event register is set to "1."
10 | Limit Test Fail (Questionable limit status register summary) | Set to "1" while one of the enabled bits in the questionable limit status event register is set to "1."
11 - 15 | Not used | Always 0

Status Bit Definitions of the Questionable Status Event Register

Bit Position | Name | Description
0 - 7 | Not used | Always 0
8 | Bandwidth Test Fail (Questionable bandwidth limit status register summary) | Set to "1" when a transition of the condition register occurs if the transition filters are set as valid values.
9 | Ripple Test Fail (Questionable ripple limit status register summary) | Set to "1" when a transition of the condition register occurs if the transition filters are set as valid values.
10 | Limit Test Fail (Questionable limit status register summary) | Set to "1" when a transition of the condition register occurs if the transition filters are set as valid values.
11 - 15 | Not used | Always 0

Issuing the *CLS command clears all bits from the questionable status event register.


Status Register for Limit Test (channel)

Status Bit Definitions of the Questionable Limit Status Condition Register

Bit Position | Name | Description
0 | Channel 15, 16 Limit Test summary (questionable limit extra status register summary) | Set to "1" while one of the enabled bits in the questionable limit extra status event register is set to "1."
1 | Channel 1 Limit Test Fail (questionable limit channel 1 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 1 status event register is set to "1."
2 | Channel 2 Limit Test Fail (questionable limit channel 2 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 2 status event register is set to "1."
3 | Channel 3 Limit Test Fail (questionable limit channel 3 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 3 status event register is set to "1."
4 | Channel 4 Limit Test Fail (questionable limit channel 4 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 4 status event register is set to "1."
5 | Channel 5 Limit Test Fail (questionable limit channel 5 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 5 status event register is set to "1."
6 | Channel 6 Limit Test Fail (questionable limit channel 6 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 6 status event register is set to "1."
7 | Channel 7 Limit Test Fail (questionable limit channel 7 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 7 status event register is set to "1."
8 | Channel 8 Limit Test Fail (questionable limit channel 8 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 8 status event register is set to "1."
9 | Channel 9 Limit Test Fail (questionable limit channel 9 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 9 status event register is set to "1."
10 | Channel 10 Limit Test Fail (questionable limit channel 10 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 10 status event register is set to "1."
11 | Channel 11 Limit Test Fail (questionable limit channel 11 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 11 status event register is set to "1."
12 | Channel 12 Limit Test Fail (questionable limit channel 12 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 12 status event register is set to "1."
13 | Channel 13 Limit Test Fail (questionable limit channel 13 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 13 status event register is set to "1."
14 | Channel 14 Limit Test Fail (questionable limit channel 14 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 14 status event register is set to "1."
15 | Not used | Always 0

Issuing the *CLS command will clear all bits from the questionable limit status event register.

Status Bit Definitions of the Questionable Limit Extra Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0
1 | Channel 15 Limit Test Fail (questionable limit channel 15 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 15 status event register is set to "1."
2 | Channel 16 Limit Test Fail (questionable limit channel 16 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 16 status event register is set to "1."
3 - 15 | Not used | Always 0

Issuing the *CLS command will clear all bits from the questionable limit extra status event register.


Status Register for Limit Test (Trace) 1

Status Register for Limit Test (Trace) (1 of 2)

Status Bit Definitions of the Questionable Limit Channel {1-16} Status Condition Register

Bit Position | Name | Description
0 | Trace 15, 16 Limit Test summary (questionable limit channel {1-16} extra status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel {1-16} extra status event register is set to "1."
1 | Trace 1 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 1.
2 | Trace 2 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 2.
3 | Trace 3 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 3.
4 | Trace 4 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 4.
5 | Trace 5 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 5.
6 | Trace 6 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 6.
7 | Trace 7 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 7.
8 | Trace 8 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 8.
9 | Trace 9 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 9.
10 | Trace 10 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 10.
11 | Trace 11 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 11.
12 | Trace 12 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 12.
13 | Trace 13 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 13.
14 | Trace 14 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 14.
15 | Not used | Always 0

Issuing the *CLS command will clear all the bits in the questionable limit channel {1-16} status event register.

Status Bit Definitions of the Questionable Limit Channel {1-16} Extra Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0
1 | Trace 15 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 15.
2 | Trace 16 Limit Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the limit test result for trace 16.
3 - 15 | Not used | Always 0

Issuing the *CLS command will clear all the bits in the questionable limit channel {1-16} extra status event register.

  • Although up to 36 channel is available on E5071C, the register for limit test is for up to 16 channel.


Status Register for Limit Test (Trace) 2

Status Register for Limit Test (Trace) (2 of 2)

Status Bit Definitions of the Questionable Limit Extra Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0
1 | Channel 15 Limit Test Fail (questionable limit channel 15 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 15 status event register is set to "1."
2 | Channel 16 Limit Test Fail (questionable limit channel 16 status register summary) | Set to "1" while one of the enabled bits in the questionable limit channel 16 status event register is set to "1."
3 - 15 | Not used | Always 0

Issuing the *CLS command will clear all bits from the questionable limit extra status event register.


Status Register for Bandwidth Limit (Channel)

Status Bit Definitions of the Questionable Bandwidth Limit Channel {1-16} Status Condition Register

Bit Position | Name | Description
0 | Trace 15, 16 Bandwidth Test summary (questionable bandwidth limit channel {1-16} extra status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel {1-16} extra status event register is set to "1."
1 | Trace 1 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 1.
2 | Trace 2 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 2.
3 | Trace 3 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 3.
4 | Trace 4 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 4.
5 | Trace 5 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 5.
6 | Trace 6 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 6.
7 | Trace 7 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 7.
8 | Trace 8 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 8.
9 | Trace 9 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 9.
10 | Trace 10 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 10.
11 | Trace 11 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 11.
12 | Trace 12 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 12.
13 | Trace 13 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 13.
14 | Trace 14 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 14.
15 | Not used | Always 0

Issuing the *CLS command will clear all the bits in the questionable bandwidth limit channel {1-16} status event register.

Status Bit Definitions of the Questionable Bandwidth Limit Channel {1-16} Extra Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0
1 | Trace 15 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 15.
2 | Trace 16 Bandwidth Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the bandwidth test result for trace 16.
3 - 15 | Not used | Always 0

Issuing the *CLS command will clear all the bits in the questionable bandwidth limit channel {1-16} extra status event register.


Status Register for Bandwidth Limit (Trace) 1

Status Bit Definitions of the Questionable Bandwidth Limit Status Condition Register

Bit Position | Name | Description
0 | Channel 15, 16 Bandwidth test summary (questionable bandwidth limit extra status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit extra status event register is set to "1."
1 | Channel 1 Bandwidth Test Fail (questionable bandwidth limit channel 1 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 1 status event register is set to "1."
2 | Channel 2 Bandwidth Test Fail (questionable bandwidth limit channel 2 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 2 status event register is set to "1."
3 | Channel 3 Bandwidth Test Fail (questionable bandwidth limit channel 3 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 3 status event register is set to "1."
4 | Channel 4 Bandwidth Test Fail (questionable bandwidth limit channel 4 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 4 status event register is set to "1."
5 | Channel 5 Bandwidth Test Fail (questionable bandwidth limit channel 5 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 5 status event register is set to "1."
6 | Channel 6 Bandwidth Test Fail (questionable bandwidth limit channel 6 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 6 status event register is set to "1."
7 | Channel 7 Bandwidth Test Fail (questionable bandwidth limit channel 7 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 7 status event register is set to "1."
8 | Channel 8 Bandwidth Test Fail (questionable bandwidth limit channel 8 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 8 status event register is set to "1."
9 | Channel 9 Bandwidth Test Fail (questionable bandwidth limit channel 9 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 9 status event register is set to "1."
10 | Channel 10 Bandwidth Test Fail (questionable bandwidth limit channel 10 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 10 status event register is set to "1."
11 | Channel 11 Bandwidth Test Fail (questionable bandwidth limit channel 11 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 11 status event register is set to "1."
12 | Channel 12 Bandwidth Test Fail (questionable bandwidth limit channel 12 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 12 status event register is set to "1."
13 | Channel 13 Bandwidth Test Fail (questionable bandwidth limit channel 13 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 13 status event register is set to "1."
14 | Channel 14 Bandwidth Test Fail (questionable bandwidth limit channel 14 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 14 status event register is set to "1."
15 | Not used | Always 0

Issuing the *CLS command will clear all bits from the questionable bandwidth limit status event register.


Status Register for Bandwidth Limit (Trace) 2

Status Bit Definitions of the Questionable Bandwidth Limit Extra Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0
1 | Channel 15 Bandwidth Test Fail (questionable bandwidth limit channel 15 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 15 status event register is set to "1."
2 | Channel 16 Bandwidth Test Fail (questionable bandwidth limit channel 16 status register summary) | Set to "1" while one of the enabled bits in the questionable bandwidth limit channel 16 status event register is set to "1."
3 - 15 | Not used | Always 0

Issuing the *CLS command will clear all bits from the questionable bandwidth limit extra status event register.


Status Register for Ripple Limit (Channel)

Status Bit Definitions of the Questionable Ripple Limit Status Condition Register

Bit Position | Name | Description
0 | Channel 15, 16 Ripple Test summary (questionable ripple limit extra status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit extra status event register is set to "1."
1 | Channel 1 Ripple Test Fail (questionable ripple limit channel 1 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 1 status event register is set to "1."
2 | Channel 2 Ripple Test Fail (questionable ripple limit channel 2 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 2 status event register is set to "1."
3 | Channel 3 Ripple Test Fail (questionable ripple limit channel 3 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 3 status event register is set to "1."
4 | Channel 4 Ripple Test Fail (questionable ripple limit channel 4 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 4 status event register is set to "1."
5 | Channel 5 Ripple Test Fail (questionable ripple limit channel 5 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 5 status event register is set to "1."
6 | Channel 6 Ripple Test Fail (questionable ripple limit channel 6 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 6 status event register is set to "1."
7 | Channel 7 Ripple Test Fail (questionable ripple limit channel 7 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 7 status event register is set to "1."
8 | Channel 8 Ripple Test Fail (questionable ripple limit channel 8 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 8 status event register is set to "1."
9 | Channel 9 Ripple Test Fail (questionable ripple limit channel 9 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 9 status event register is set to "1."
10 | Channel 10 Ripple Test Fail (questionable ripple limit channel 10 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 10 status event register is set to "1."
11 | Channel 11 Ripple Test Fail (questionable ripple limit channel 11 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 11 status event register is set to "1."
12 | Channel 12 Ripple Test Fail (questionable ripple limit channel 12 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 12 status event register is set to "1."
13 | Channel 13 Ripple Test Fail (questionable ripple limit channel 13 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 13 status event register is set to "1."
14 | Channel 14 Ripple Test Fail (questionable ripple limit channel 14 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 14 status event register is set to "1."
15 | Not used | Always 0

Issuing the *CLS command will clear all bits from the questionable ripple limit status event register.

Status Bit Definitions of the Questionable Ripple Limit Extra Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0
1 | Channel 15 Ripple Test Fail (questionable ripple limit channel 15 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 15 status event register is set to "1."
2 | Channel 16 Ripple Test Fail (questionable ripple limit channel 16 status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel 16 status event register is set to "1."
3-15 | Not used | Always 0

Issuing the *CLS command will clear all bits from the questionable ripple limit extra status event register.


Status Register for Ripple Limit (Trace) 1

Status Register for Ripple Limit (Trace) (1 of 2)

Status Bit Definitions of the Questionable Ripple Limit Channel {1-16} Status Condition Register

Bit Position | Name | Description
0 | Trace 15, 16 Ripple Test summary (questionable ripple limit channel {1-16} extra status register summary) | Set to "1" while one of the enabled bits in the questionable ripple limit channel {1-16} extra status event register is set to "1."
1 | Trace 1 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 1.
2 | Trace 2 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 2.
3 | Trace 3 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 3.
4 | Trace 4 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 4.
5 | Trace 5 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 5.
6 | Trace 6 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 6.
7 | Trace 7 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 7.
8 | Trace 8 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 8.
9 | Trace 9 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 9.
10 | Trace 10 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 10.
11 | Trace 11 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 11.
12 | Trace 12 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 12.
13 | Trace 13 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 13.
14 | Trace 14 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 14.
15 | Not used | Always 0

Issuing the *CLS command will clear all the bits in the questionable ripple limit channel {1-16} status event register.


Status Register for Ripple Limit (Trace) 2

Status Register for Ripple Limit (Trace) (2 of 2)

Status Bit Definitions of the Questionable Ripple Limit Channel {1-16} Extra Status Condition Register

Bit Position | Name | Description
0 | Not used | Always 0
1 | Trace 15 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 15.
2 | Trace 16 Ripple Test Fail | Set to "0" when a measurement cycle begins; set to "1" when the measurement cycle finishes and returns "fail" as the ripple test result for trace 16.
3-15 | Not used | Always 0

Issuing the *CLS command will clear all the bits in the questionable ripple limit channel {1-16} extra status event register.


Sample Programs

  • Sample Programs for external PC
  • Sample Programs controlling from internal E5063A VB Script

Sample Programs for external PC

This section shows sample programs with the SCPI commands which can be executed from the external PC controller. The sample programs are written in VISA-COM with Excel VBA.

  • Analyzer Setup

  • Calibration

  • ECal

  • Reading/Writing Error Coefficient

  • Waiting for Measurement End (SRQ)

  • Error Detection (SRQ)

  • Reading/Writing Data

  • Pe ak Search

  • Bandwidth Search

  • Limit Test

  • Saving Files

  • Transferring Files

  • Screen Capture

  • Control Using SICL-LAN Server

  • Controlling Using Telnet Server

These sample program files can be downloaded from http://www.keysight.com/find/ena_support.

Sample Programs controlling from internal E5063A (VB Script)

This section shows sample programs with VB Script which can be executed from internal E5063A.

  • Reading Data

  • Using Echo Window

  • Using User Menu

  • Using Form


Analyzer Setup

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

The program listed in this section is a sample program that demonstrates how to configure measurement conditions.

The sample program puts the instrument into the preset state, configures it as shown in table below, and saves the settings to a file named sample.sta.

See Setting up Analyzer for this programming.

Target settings

Item |  |  | Setting
Window Layout |  |  | Channel 1 in the upper window (2/3 of the screen height) and channel 2 in the lower window (1/3 of the screen height)
Channel 1 | Sweep type |  | Segment
 | Sweep range |  | See Segment table.
 | Number of measurement points
 | IF bandwidth
 | Power
 | Number of traces |  | 4
 | Graph Layout |  | Four graphs at upper left, upper right, lower left, and lower right.
 | Trace 1 | Measurement parameter | S11
 |  | Data format | Smith chart (Lin)
 |  | Full-scale value | 2
 | Trace 2 | Measurement parameter | S21
 |  | Data format | Log magnitude
 |  | Reference division line number | 9
 |  | Reference division line value | 2
 |  | Scale per division | 10 dBm
 | Trace 3 | Measurement parameter | S12
 |  | Data format | Log magnitude
 |  | Reference division line number | 9
 |  | Reference division line value | 2
 |  | Scale per division | 10 dBm
 | Trace 4 | Measurement parameter | S22
 |  | Data format | Smith chart (Lin)
 |  | Full-scale value | 2
Channel 2 | Sweep type |  | Linear
 | Sweep range | Center value | 1.9 GHz
 |  | Span value | 500 MHz
 | Number of measurement points |  | 101
 | IF bandwidth |  | 70 kHz
 | Power |  | 0 dBm
 | Number of traces |  | 2
 | Graph Layout |  | Two graphs at left and right
 | Trace 1 | Measurement parameter | S21
 |  | Data format | Log magnitude
 |  | Reference division line number | 9
 |  | Reference division line value | 2
 |  | Scale per division | 10 dBm
 | Trace 2 | Measurement parameter | S22
 |  | Data format | Smith chart (Lin)
 |  | Full-scale value | 2

Segment table for channel 1

Segment Number | Start value | Stop value | Number of measurement points | IF bandwidth | Power
1 | 1.7 GHz | 1.9 GHz | 21 | 50 kHz | 0 dBm
2 | 1.9 GHz | 2 GHz | 101 | 10 kHz | -10 dBm
3 | 2 GHz | 2.2 GHz | 21 | 50 kHz | 0 dBm

Sample Program in Excel VBA

Sub Setup()

'

'

' *** The variables of the resource manager and the instrument I/O are declared.

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Const TimeOutTime = 20000

'

Dim Allocate1 As String, Allocate2 As String, File As String

Dim Para1(4) As String, Para2(2) As String

Dim Fmt1(4) As String, Fmt2(2) As String

Dim Star1(3) As String, Stop1(3) As String

Dim IfBw1(3) As Double, IfBw2 As Double

Dim Power1(3) As Double, Power2 As Double

Dim Cent2 As Double, Span2 As Double

Dim RefLev1(4) As Double, RefLev2(2) As Double, Scale1(4) As Double, Scale2(2) As Double

Dim Segm As Integer, Nop1(3) As Integer, Nop2 As Integer

Dim NumOfTr1 As Integer, NumOfTr2 As Integer

Dim RefPos1(4) As Integer, RefPos2(2) As Integer

Dim SendData As String

'

Segm = 3 ' Number of Segment Ch.1 : 3

Star1(1) = "1.7E9" ' Start Frequency Ch.1 Segm.1: 1.7 GHz

Star1(2) = "1.9E9" ' Segm.2: 1.9 GHz

Star1(3) = "2E9" ' Segm.3: 2 GHz

Stop1(1) = "1.9E9" ' Stop Frequency Ch.1 Segm.1: 1.9 GHz

Stop1(2) = "2E9" ' Segm.2: 2 GHz

Stop1(3) = "2.2E9" ' Segm.3: 2.2 GHz

Cent2 = 1900000000# ' Center Frequency Ch.2 : 1.9 GHz

Span2 = 500000000# ' Span Ch.2 : 500 MHz

Nop1(1) = 21 ' Number of points Segm.1: 21

Nop1(2) = 101 ' Segm.2: 101

Nop1(3) = 21 ' Segm.3: 21

Nop2 = 101 ' Ch.2 : 101

IfBw1(1) = 50000# ' IFBW Ch.1 Segm.1: 50 kHz

IfBw1(2) = 10000# ' Segm.2: 10 kHz

IfBw1(3) = 50000# ' Segm.3: 50 kHz

IfBw2 = 70000# ' Ch.2 : 70 kHz

Power1(1) = 0 ' Power Ch.1 Segm.1: 0 dBm

Power1(2) = -10 ' Segm.2: -10 dBm

Power1(3) = 0 ' Segm.3: 0 dBm

Power2 = 0 ' Ch.2 : 0 dBm

NumOfTr1 = 4 ' Number of Trace Ch.1 : 4

NumOfTr2 = 2 ' Ch.2 : 2

Allocate1 = "D12_34" ' Allocate Traces Ch.1 : D12_34

Allocate2 = "D12" ' Ch.2 : D12

Para1(1) = "S11" ' Measurement Ch.1 Trace1: S11

Para1(2) = "S21" ' Parameter Trace2: S21

Para1(3) = "S12" ' Trace3: S12

Para1(4) = "S22" ' Trace4: S22

Para2(1) = "S21" ' Ch.2 Trace1: S21

Para2(2) = "S22" ' Trace2: S22

Fmt1(1) = "SLIN" ' Data Format Ch.1 Trace1: Smith(Lin/Phase)

Fmt1(2) = "MLOG" ' Trace2: Log Mag

Fmt1(3) = "MLOG" ' Trace3: Log Mag

Fmt1(4) = "SLIN" ' Trace4: Smith(Lin/Phase)

Fmt2(1) = "MLOG" ' Ch.2 Trace1: Log Mag

Fmt2(2) = "SLIN" ' Trace2: Smith(Lin/Phase)

RefPos1(1) = 9 ' Reference Ch.1 Trace2: 9

RefPos1(2) = 9 ' Position Trace3: 9

RefPos2(1) = 9 ' Ch.2 Trace1: 9

RefLev1(1) = 0 ' Reference Level Ch.1 Trace2: 0 dBm

RefLev1(2) = 0 ' Trace3: 0 dBm

RefLev2(1) = 0 ' Ch.2 Trace1: 0 dBm

Scale1(1) = 2 ' Scale Ch.1 Trace1: 2

Scale1(2) = 10 ' Trace2: 10 dBm

Scale1(3) = 10 ' Trace3: 10 dBm

Scale1(4) = 2 ' Trace4: 2

Scale2(1) = 10 ' Ch.2 Trace1: 10 dBm

Scale2(2) = 2 ' Trace2: 2

StaFileName = "sample.sta" ' Save File Name : sample.sta

'

'*** The memory area of the resource manager and the instrument I/O are acquired

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument. Sets the GPIB address.

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.timeout = 10000 ' TimeOut time should be greater than the measurement time.

'

Ena.WriteString ":SYST:PRES", True

Ena.WriteString ":DISP:SPL D1_1_2", True 'Allocate Channel

Ena.WriteString ":INIT1:CONT ON", True 'Turn on Continuous Activation mode for channel 1

Ena.WriteString ":INIT2:CONT ON", True 'Turn on Continuous Activation mode for channel 2

' ===============

' Setup Channel 1

' ===============

Ena.WriteString ":SENS1:SWE:TYPE SEGM", True 'Sets channel 1 sweep type to segment

'

' Create the data string for Segment Table

SendData = "5,0,1,1,0,0," & Str(Segm)

For i = 1 To Segm

SendData = SendData + "," & Star1(i) & "," + Stop1(i) & "," & CStr(Nop1(i)) & "," & CStr(IfBw1(i)) & "," & CStr(Power1(i))

Next i

Ena.WriteString ":SENS1:SEGM:DATA " + SendData, True

'

Ena.WriteString ":CALC1:PAR:COUN " & CStr(NumOfTr1), True 'Set number of traces

Ena.WriteString ":DISP:WIND1:SPL " & Allocate1, True 'Set graph layout

For i = 1 To NumOfTr1

Ena.WriteString ":CALC1:PAR" & CStr(i) & ":DEF " & Para1(i), True 'Set measurement parameter

Ena.WriteString ":CALC1:PAR" & CStr(i) & ":SEL", True ' Make trace active

Ena.WriteString ":CALC1:FORM " & Fmt1(i), True ' Set data format

'

Select Case Fmt1(i)

Case "SLIN", "SLOG", "SCOM", "SMIT", "SADM", "PLIN", "PLOG", "POL"

' If data format is neither Smith chart nor polar, sets reference division line number and scale per division

Ena.WriteString ":DISP:WIND1:TRAC" & CStr(i) & ":Y:PDIV " + CStr(Scale1(i)), True

Case Else

' If data format is Smith chart or polar, set full-scale value

Ena.WriteString ":DISP:WIND1:TRAC" & CStr(i) & ":Y:RPOS " & CStr(RefPos1(i)), True

Ena.WriteString ":DISP:WIND1:TRAC" & CStr(i) & ":Y:RLEV " & CStr(RefLev1(i)), True

Ena.WriteString ":DISP:WIND1:TRAC" & CStr(i) & ":Y:PDIV " & CStr(Scale1(i)), True

End Select

Next i

' ===============

' Setup Channel 2

' ===============

Ena.WriteString ":SENS2:SWE:TYPE LIN ", True ' Set sweep type to linear

Ena.WriteString ":SENS2:FREQ:CENT " + CStr(Cent2), True ' Set center frequency

Ena.WriteString ":SENS2:FREQ:SPAN " + CStr(Span2), True ' Set span frequency

Ena.WriteString ":SENS2:SWE:POIN " + CStr(Nop2), True ' Set number of points

Ena.WriteString ":SENS2:BAND " + CStr(IfBw2), True ' Set IFBW

Ena.WriteString ":SOUR2:POW " + CStr(Power2), True ' Set power level

Ena.WriteString ":CALC2:PAR:COUN " & CStr(NumOfTr2), True ' Set number of traces

Ena.WriteString ":DISP:WIND2:SPL " & Allocate2, True 'Set graph layout

For i = 1 To NumOfTr2

Ena.WriteString ":CALC2:PAR" & CStr(i) & ":DEF " & Para2(i), True 'Set measurement parameter

Ena.WriteString ":CALC2:PAR" & CStr(i) & ":SEL", True ' Make trace active

Ena.WriteString ":CALC2:FORM " & Fmt2(i), True ' Set data format

'

Select Case Fmt2(i)

Case "SLIN", "SLOG", "SCOM", "SMIT", "SADM", "PLIN", "PLOG", "POL"

' If data format is neither Smith chart nor polar, sets reference division line number and scale per division

Ena.WriteString ":DISP:WIND2:TRAC" & CStr(i) & ":Y:PDIV " + CStr(Scale2(i)), True

Case Else

' If data format is Smith chart or polar, set full-scale value

Ena.WriteString ":DISP:WIND2:TRAC" & CStr(i) & ":Y:RPOS " & CStr(RefPos2(i)), True

Ena.WriteString ":DISP:WIND2:TRAC" & CStr(i) & ":Y:RLEV " & CStr(RefLev2(i)), True

Ena.WriteString ":DISP:WIND2:TRAC" & CStr(i) & ":Y:PDIV " & CStr(Scale2(i)), True

End Select

Next i

'

Ena.WriteString ":MMEM:STOR """ & StaFileName & """", True ' Save ENA settings to file

' Close IO

Ena.IO.Close

End Sub


Calibration

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

The sample program performs calibration with the specified calibration type. The following subroutine are provided.

  • OpenShortResponse
  • ThruResponse
  • OSTL (Open/Short/Thru/Load)

See Calibration for this programming.

Sample Program in Excel VBA

'*** The variables of the resource manager and the instrument I/O are declared.

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Sub main()

Dim Ch As String

Dim CalKit As Integer

Dim Port As String

Dim Isolation As String

'

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.timeout = 10000

Const Cal85032F = 4 'cal kit number.

Ch = Cells(5, 5) 'Select channel

Port = Cells(3, 6) 'Sets the select port 1.

Isolation = Cells(3, 7) 'Sets the select port 1.

CalKit = Cal85032F 'Sets cal kit (85032F)

Ena.WriteString ":SENS" & Ch & ":CORR:COLL:CKIT " & CalKit, True 'Select the calibration kit

Select Case Cells(3, 5)

Case "Response (Open)" 'Perform response calibration (OPEN).

Call OpenShortResponse(Ch, Port, "Open", Isolation)

Case "Response (Short)" 'Perform response calibration (SHORT).

Call OpenShortResponse(Ch, Port, "Open", Isolation)

Case "Response (Thru)" 'Perform response calibration (Thru).

Call ThruResponse(Ch, Port, Isolation)

Case "Full 1 Port" 'Perform 1-port calibration.

Call SOLT(Ch, 1, Port, Isolation)

Case "Full 2 Port" 'Perform full 2-port calibration.

Call SOLT(Ch, 2, Port, Isolation)

End Select

Ena.IO.Close

End Sub

Sub ThruResponse(Ch As String, ThruDirection As String, Isolation As String)

Dim Dummy As Variant 'Variant to receive the result

With Ena

Select Case ThruDirection

Case "1 to 2"

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:THRU 1, 2", True

MsgBox ("Set Thur to Port 1 and 2. then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:THRU 1, 2", True 'Measurement the calibration data.

Case "2 to 1"

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:THRU 2, 1", True

MsgBox ("Set Thur to Port 1 and 2. then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:THRU 2, 1", True 'Measurement the calibration data.

Case Else

MsgBox ("Select ""1 to 2"" or ""2 to 1"".") 'Display the message box.

End

End Select

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

' *** Isolation Calibration

If Isolation = "Yes" Then

Select Case ThruDirection

Case "1 to 2"

.WriteString ":SENS" & Ch & ":CORR:COLL:LOAD 2", True

Case "2 to 1"

.WriteString ":SENS" & Ch & ":CORR:COLL:LOAD 1", True

End Select

End If

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

'

'

.WriteString ":SENS" & Ch & ":CORR:COLL:SAVE", True 'Calculating the calibration coefficients.

End With

End Sub

Sub OpenShortResponse(Ch As String, Port As String, OpenOrShort As String, Load As String)

Dim Dummy As Variant 'Variant to receive the result

If Port = "1 to 2" Or Port = "2 to 1" Then

MsgBox ("Select 1 or 2.") 'Display the message box.

End

End If

With Ena

Select Case OpenOrShort

Case "Open"

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:OPEN " & Port, True

MsgBox ("Set Open to " & Port & ", then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:OPEN " & Port, True

Case "Short"

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:SHOR " & Port, True

MsgBox ("Set Open to " & Port & ", then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:SHOR " & Port, True

End Select

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

' *** Isolation Calibration

If Load = "Yes" Then

MsgBox ("Set Load to " & Port & ", then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:LOAD " & Port, True

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

End If

.WriteString ":SENS" & Ch & ":CORR:COLL:SAVE", True 'Calculating the calibration coefficients.

'

End With

End Sub

Sub SOLT(Ch As String, NumPort As String, Port As String, Isolation As String)

Dim Dummy

Dim i As Integer, j As Integer

With Ena

Select Case NumPort

Case 1

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:SOLT1 " & Port, True 'Set the 1-port calibration type.

Case 2

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:SOLT2 1, 2", True 'Set the full 2-port calibration type.

End Select

' *** Reflection

If NumPort = 2 Then Port = 1

For i = 1 To NumPort

MsgBox ("Set Open to Port " & Port & ". then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:OPEN " & Port, True 'Measurement the OPEN calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

MsgBox ("Set Short to Port " & Port & ". then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:SHORT " & Port, True 'Measurement the SHORT calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

MsgBox ("Set Load to Port " & Port & ". then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:LOAD " & Port, True 'Measurement the LOAD calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

Port = 2

Next i

' *** Transmission

If NumPort = 2 Then

MsgBox ("Set Thru to Ports 1 and 2. then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:THRU 1,2", True 'Measurement the THRU calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

.WriteString ":SENS" & Ch & ":CORR:COLL:THRU 2,1", True 'Measurement the THRU calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

End If

' *** Isolation Calibration

If Isolation = "Yes" And NumPort = 2 Then

MsgBox ("Set Loads on Ports 1 and 2. then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:SOLT2 1,2", True

.WriteString ":SENS" & Ch & ":CORR:COLL:ISOL 1,2", True

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:SOLT2 2,1", True

.WriteString ":SENS" & Ch & ":CORR:COLL:ISOL 2,1", True

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

End If

.WriteString ":SENS" & Ch & ":CORR:COLL:SAVE", True 'Calculating the calibration coefficients

End With

End Sub


ECal

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

The sample program performs 1-port or 2-port calibration using ECal.

See Calibration for this programming.

Sample Program in Excel VBA

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Sub ECal_Click()

Dim Ch As String

Dim Port As String

Ch = Cells(5, 5) 'Select channel

Port = Cells(3, 6) 'Select port.

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.timeout = 10000#

Ena.WriteString "*RST", True 'Presets the setting state of the ENA.

Ena.WriteString "*CLS", True 'Clears the all status register.

Select Case Cells(3, 5)

Case "1 Port"

Call ECal_Exe(Ch, 1, Port) 'Perform 1-port calibration.

Case "2 Port"

Call ECal_Exe(Ch, 2, 0) 'Perform full 2-port calibration.

End Select

Ena.IO.Close 'Closes the resource manager session.

End

End Sub

Sub ECal_Exe(Ch As String, NumPort As String, Port As String)

Select Case NumPort

Case 1

MsgBox ("Connect Ecal to Port " & Port & ". then click [OK] button") 'Display the message box.

Ena.WriteString ":SENS" & Ch & ":CORR:COLL:ECAL:SOLT1 " & Port, True 'Execute the 1-port calibration.

Case 2

MsgBox ("Connect Ecal to Ports 1 and 2. then click [OK] button") 'Display the message box.

Ena.WriteString ":SENS" & Ch & ":CORR:COLL:ECAL:SOLT2 1,2", True 'Execute the full 2-port calibration.

End Select

Call ErrorCheck 'Checking the error.

End Sub

Sub ErrorCheck()

Dim Err As Variant, Response

Ena.WriteString ":SYST:ERR?", True 'Reads error message.

Err = Ena.ReadList

If Val(Err(0)) <> 0 Then

Response = MsgBox(Err(1), vbOKOnly) 'Display the message box.

End If

End Sub


Reading/Writing Error Coefficient

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

This sample program reads/writes the error coefficient.

This program sets measurement conditions with the segment table.

When you select "Read", it performs full 2-port calibration and read the error coefficient on the sheet of excel.

When you select "Write", it writes the error coefficient from the data on the sheet.

Sample Program in Excel VBA

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Sub Err_Term_Click()

Dim Ch As String

Dim CalKit As Integer

Dim tNop As Long

Dim Respons As String

Dim Stimulus As String

Dim ErrTerm As String

Const Cal85032F = 4 'cal kit number

Ch = Cells(3, 6) 'Select channel

Respons = Cells(5, 6) 'Sets the respons port.

Stimulus = Cells(6, 6) 'Sets the stimulus port.

ErrTerm = Cells(7, 6) 'Sets the error term.

CalKit = Cal85032F 'Set cal kit (85032F)

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.timeout = 10000

Ena.WriteString "*RST", True 'Presets the setting state of the ENA.

Ena.WriteString "*CLS", True 'Clears the all status register.

Ena.WriteString ":SENS" & Ch & ":CORR:COLL:CKIT " & CalKit, True 'Select the calibration kit.

Call Set_sgm_tbl(Ch) 'Configures the segment table.

Select Case Cells(4, 6) 'Sets the read/write.

Case "Read"

Call SOLT(Ch, "2", "1", "No") 'Full 2-Port Calibration.

Case "Write"

Ena.WriteString ":SENS" & Ch & ":CORR:COEF:METH:SOLT2 1,2", True 'Sets the calibration type to the full 2-port calibration.

End Select

Ena.WriteString ":SENS" & Ch & ":SEGM:SWE:POIN?", True 'Reads out the total number of the measurement points of all segments.

tNop = Ena.ReadNumber

Call Exec_Error_Term(Ch, tNop, ErrTerm, Respons, Stimulus) 'Reads the error coefficient.

Ena.IO.Close

End

End Sub

Sub Exec_Error_Term(Ch As String, Nop As Long, ErrTerm As String, Respons As String, Stimulus As String)

Dim Error_Term_Data As Variant

Dim FreqData() As Double

Dim i As Integer, j As Integer

Dim SelMode As String

ReDim Error_Term_Data(Nop * 2 - 1) 'Defines the stock variables for the error coefficient as needed for NOP.

ReDim FreqData(Nop - 1) 'Defines the stock variables for the frequency needed for NOP.

SelMode = Cells(4, 6) 'Reads the read/write mode.

Select Case SelMode

Case "Read" 'Reads the error coefficient from the ena.

Ena.WriteString ":SENS" & Ch & ":CORR:COEF? " & ErrTerm & "," & Respons & "," & Stimulus, True 'Read the calibration coefficient data.

Error_Term_Data = Ena.ReadList(ASCIIType_R8, ",")

Call ErrorCheck 'Checking the error.

'

Ena.WriteString ":SENS1:FREQ:DATA?", True ' Read the stimulus data.

FreqData() = Ena.ReadList(ASCIIType_R8, ",")

For i = 0 To Nop - 1

Cells(10 + i, 1) = FreqData(i) 'Displays the frequency values to the excel sheet.

Cells(10 + i, 2) = Error_Term_Data(i * 2) 'Displays the real data from error coefficient items.

Cells(10 + i, 3) = Error_Term_Data(i * 2 + 1) 'Displays the imag data from error coefficient items.

Next i

Case "Write" 'Write the error coefficient to the ena.

Error_Term_Data = ErrTerm & "," & Respons & "," & Stimulus 'Sets the command parameter.

For i = 0 To Nop - 1

RealData = Cells(10 + i, 2) 'Retrieves the real data from the excel sheet.

ImagData = Cells(10 + i, 3) 'Retrieves the imag data from the excel sheet.

Error_Term_Data = Error_Term_Data & "," & RealData & "," & ImagData 'Sets the command parameter.

Next i

Ena.WriteString ":SENS" & Ch & ":CORR:COEF " & Error_Term_Data, True 'Write the calibration coefficient data.

Ena.WriteString ":SENS" & Ch & ":CORR:COEF:SAVE", True 'Calculates the calibration coefficients.

End Select

End Sub

Sub Set_sgm_tbl(Ch As String)

Dim Star1(2) As Double, Stop1(2) As Double, Pow1(2) As Double, If_bw1(2) As Double

Dim Segm As Integer, Nop1(2) As Integer, Num_of_tr1 As Integer

Dim i As Integer

Segm = 2

Star1(1) = Cells(4, 9) 'Sets the start frequency of segment 1 table.

Stop1(1) = Cells(4, 10) 'Sets the stop frequency of segment 1 table.

Pow1(1) = Cells(4, 11) 'Sets the power of segment 1 table.

If_bw1(1) = Cells(4, 12) 'Sets the ifbw of segment 1 table.

Nop1(1) = Cells(4, 13) 'Sets the nop of segment 1 table.

Star1(2) = Cells(5, 9) 'Sets the start frequency of segment 2 table.

Stop1(2) = Cells(5, 10) 'Sets the stop frequency of segment 2 table.

Pow1(2) = Cells(5, 11) 'Sets the power of segment 2 table.

If_bw1(2) = Cells(5, 12) 'Sets the ifbw of segment 2 table.

Nop1(2) = Cells(5, 13) 'Sets the nop of segment 2 table.

Ena.WriteString ":SENS" & Ch & ":SWE:TYPE SEGM", True 'Sets sweep type to segment.

Ena.WriteString ":SENS" & Ch & ":SEGM:DATA 5,0,1,1,0,0," & Segm & ",", False 'Sets the header of segment table.

Ena.WriteString Star1(1) & "," & Stop1(1) & "," & Nop1(1) & "," & If_bw1(1) & "," & Pow1(1) & ",", False 'Sets the 1st parameter.

Ena.WriteString Star1(2) & "," & Stop1(2) & "," & Nop1(2) & "," & If_bw1(2) & "," & Pow1(2), True 'Sets the 2nd parameter.

Call ErrorCheck 'Checking the error.

End Sub

Sub SOLT(Ch As String, NumPort As String, Port As String, Isolation As String)

Dim Dummy

Dim i As Integer, j As Integer

With Ena

Select Case NumPort

Case 1

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:SOLT1 " & Port, True 'Set the 1-port calibration type.

Case 2

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:SOLT2 1, 2", True 'Set the full 2-port calibration type.

End Select

' *** Reflection

If NumPort = 2 Then Port = 1

For i = 1 To NumPort

MsgBox ("Set Open to Port " & Port & ". then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:OPEN " & Port, True 'Measurement the OPEN calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

MsgBox ("Set Short to Port " & Port & ". then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:SHORT " & Port, True 'Measurement the SHORT calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

MsgBox ("Set Load to Port " & Port & ". then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:LOAD " & Port, True 'Measurement the LOAD calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

Port = 2

Next i

' *** Transmission

If NumPort = 2 Then

MsgBox ("Set Thru to Ports 1 and 2. then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:THRU 1,2", True 'Measurement the THRU calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

.WriteString ":SENS" & Ch & ":CORR:COLL:THRU 2,1", True 'Measurement the THRU calibration.

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

End If

' *** Isolation Calibration

If Isolation = "Yes" And NumPort = 2 Then

MsgBox ("Set Loads on Ports 1 and 2. then click [OK] button") 'Display the message box.

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:SOLT2 1,2", True

.WriteString ":SENS" & Ch & ":CORR:COLL:ISOL 1,2", True

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

.WriteString ":SENS" & Ch & ":CORR:COLL:METH:SOLT2 2,1", True

.WriteString ":SENS" & Ch & ":CORR:COLL:ISOL 2,1", True

.WriteString "*OPC?", True 'Reads the *OPC? result to wait the calibration end

Dummy = .ReadNumber

End If

.WriteString ":SENS" & Ch & ":CORR:COLL:SAVE", True 'Calculating the calibration coefficients

End With

End Sub

Sub ErrorCheck()

Dim err As Variant

Ena.WriteString ":SYST:ERR?", True 'Reads error message.

err = Ena.ReadList

If err(0) <> 0 Then

Response = MsgBox(err(1), vbOKOnly) 'Display the message box.

End If

End Sub


Waiting for Measurement End (SRQ)

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

This sample program demonstrates how to use an SRQ to detect the end of measurement.

The sample program sets up the trigger system, configures the instrument to properly generate an SRQ, and then triggers the instrument. When the instrument has generated an SRQ that indicates the end of measurement.

See Waiting for the End of Measurement for this programming.

Sample Program in Excel VBA

Option Explicit

Implements VisaComLib.IEventHandler

'*** The variables of the resource manager and the instrument I/O are declared

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Dim SRQ As VisaComLib.IEventManager

Sub IEventHandler_HandleEvent( _

ByVal Ena As VisaComLib.IEventManager, _

ByVal SRQevent As VisaComLib.IEvent, _

ByVal userHandle As Long) ' Once the SRQ is detected, then get the data

Call ReadData

End Sub

Sub UserForm_Initialize()

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument & Sets the GPIB address

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.timeout = 100000 ' TimeOut time should be greater than the measurement time.

'*** Variable declaration. Select the code

Dim i As Double, dummy As Integer

Range("A5:B100").Clear

Set SRQ = Ena.IO

SRQ.InstallHandler EVENT_SERVICE_REQ, Me

SRQ.EnableEvent EVENT_SERVICE_REQ, EVENT_HNDLR

'* Aborts the trigger system and sets the trigger source to the internal trigger.

Ena.WriteString "*CLS", True

Ena.WriteString ":ABOR", True

Ena.WriteString ":INIT:CONT ON", True

Ena.WriteString ":TRIG:SOUR BUS", True

'* Sets the positive transition filter to 0 and the negative transition filter to 1

'* so that the operation status event register at bit 4 is set to 1 only when the

'* operation status condition register at bit 4 is changed from 1 to 0.

Ena.WriteString ":STAT:OPER:PTR 0", True

Ena.WriteString ":STAT:OPER:NTR 16", True

'* Enables bit 4 in the operation status event register and bit 8 in the status byte register.

Ena.WriteString ":STAT:OPER:ENAB 16", True

Ena.WriteString "*SRE 128", True

'* Clears the operation status event register and the status byte register.

Ena.WriteString "*CLS", True

End Sub

Sub CmdTrigger_Click()

Ena.WriteString ":TRIG", True ' Making a trigger

End Sub

Sub ReadData()

Ena.WriteString "*CLS", True ' Clear the status register

Range("A5:B100").Clear

Dim i As Integer

Dim MeasData As Variant

'*** Get the measurement data.

Ena.WriteString ":CALC1:DATA:FDAT?", True

MeasData = Ena.ReadList(ASCIIType_R8, ",")

'*** Display the data on the sheet

ActiveSheet.Cells(6, 1) = "Data (Primary)"

ActiveSheet.Cells(6, 2) = "Data (Secondary)"

For i = 1 To UBound(MeasData)

ActiveSheet.Cells(i + 6, 1).Value = MeasData(i * 2 - 2)

ActiveSheet.Cells(i + 6, 2).Value = MeasData(i * 2 - 1)

Next i

End Sub

Sub CmdClose_Click()

Ena.IO.Close

Unload Me

End Sub


Error Detection (SRQ)

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

This sample program demonstrates how to use an SRQ to detect the occurrence of an error.

This program sets SRQs and then intentionally sends an invalid parameter (CALC1:FORM LOG) to generate an error to be handled by this program. In the error handling part, this program examines the error, displays the error number and error message, and then displays the message indicating the suspension of the program. See Detecting Occurrence of an Error for this programming.

Sample Program in Excel VBA

Dim Ena As VisaComLib.FormattedIO488

Option Explicit

Implements VisaComLib.IEventHandler

Private Sub IEventHandler_HandleEvent(ByVal vi As VisaComLib.IEventManager, ByVal SRQevent As VisaComLib.IEvent, ByVal userHandle As Long)

On Error Resume Next

Dim readErr As Variant

Dim i As Integer

Ena.WriteString "SYST:ERR?"

readErr = Ena.ReadList

MsgBox "Error : " & readErr(0) & " , " & readErr(1), vbOKOnly, "Error occured."

End

End Sub

Private Sub Err_Detect_Click()

Dim gmgr As VisaComLib.ResourceManager

Dim SRQ As VisaComLib.IEventManager

Dim strdmy As String

On Error GoTo CommandButton1_Error

Set gmgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

Set Ena.IO = gmgr.Open("GPIB0::17::INSTR")

Set SRQ = Ena.IO

SRQ.InstallHandler EVENT_SERVICE_REQ, Me, 1, 0

SRQ.EnableEvent EVENT_SERVICE_REQ, EVENT_HNDLR

With Ena

.WriteString "*RST"

.WriteString "*ESE 60"

.WriteString "*SRE 32"

.WriteString "*CLS"

.WriteString "*OPC?"

strdmy = .ReadString

End With

With Ena

.WriteString "CALC1:PAR:COUN 2"

.WriteString "CALC1:PAR1:DEF S21"

.WriteString "CALC1:PAR1:SEL"

.WriteString "CALC1:FORM MLOG"

.WriteString "CALC1:PAR2:DEF S11"

.WriteString "CALC1:PAR2:SEL"

.WriteString "CALC1:FORM LOG" ' This parameter causes error

.WriteString "*OPC?"

strdmy = .ReadString

End With

SRQ.DisableEvent ALL_ENABLED_EVENTS, EVENT_ALL_MECH, 0

Exit Sub

CommandButton1_Error:

MsgBox "Error Occured. Error=" & vbTab & Err.Number & " , " & Err.Description

End Sub


Reading/Writing Data

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

This sample program demonstrates how to retrieve and write formatted data arrays in the ASCII or binary transfer format.

The Read_Click() holds the sweep on channel 1, then read the stimulus array and the formatted data array for trace 1. The data is listed on the sheet of Excel.

The Write_Click() write the data on the same sheet into formatted data array.

See Retrieving Measurement Results for this programming.

Sample Program in Excel VBA

Sub Read_Click()

Dim ReadData() As Double

Dim Poin As Integer

Dim FreqData() As Double

Dim DataType As String

'*** The variables of the resource manager and the instrument I/O are declared.

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.Timeout = 10000

'*** Abort sweeping.

Ena.WriteString ":CALC1:PAR1:SEL", True

Ena.WriteString ":INIT1:CONT OFF", True

Ena.WriteString ":ABOR", True

'*** Get num of point of the stimulus data.

Ena.WriteString ":SENS1:SWE:POIN?", True

Poin = Ena.ReadNumber

ReDim FreqData(Poin - 1)

DataType = Cells(3, 2)

Select Case DataType

Case "Ascii"

Ena.WriteString ":FORM:DATA ASC", True

'*** Get the frequency data.

Ena.WriteString ":SENS1:FREQ:DATA?", True

FreqData() = Ena.ReadList(ASCIIType_R8, ",")

'*** Get the measurement data.

ReDim ReadData(Poin * 2 - 1)

Ena.WriteString ":CALC1:DATA:FDAT?", True

ReadData() = Ena.ReadList(ASCIIType_R8, ",")

Case "Binary"

Ena.WriteString ":FORM:DATA REAL", True

'*** Get the frequency data.

Ena.WriteString ":SENS1:FREQ:DATA?", True

FreqData = Ena.ReadIEEEBlock(BinaryType_R8, False, True)

'*** Get the measurement data.

Ena.WriteString ":CALC1:DATA:FDAT?", True

ReadData = Ena.ReadIEEEBlock(BinaryType_R8, False, True)

End Select

'*** set data for new sheet

ActiveSheet.Cells(10, 1) = "Frequency"

ActiveSheet.Cells(10, 2) = "Data 1"

ActiveSheet.Cells(10, 3) = "Data 2"

For i = 1 To Poin

ActiveSheet.Cells(i + 10, 1) = FreqData(i - 1)

ActiveSheet.Cells(i + 10, 2).Value = ReadData(i * 2 - 2)

ActiveSheet.Cells(i + 10, 3).Value = ReadData(i * 2 - 1)

Next i

'*** end procedure

Ena.IO.Close

End Sub

Sub Write_Click()

Dim WriteData() As Double

Dim Poin As Integer

Dim DataType As String

'*** The variables of the resource manager and the instrument I/O are declared.

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.Timeout = 10000

'*** Abort sweep

Ena.WriteString ":CALC1:PAR1:SEL", True

Ena.WriteString ":INIT1:CONT OFF", True

Ena.WriteString ":ABOR", True

'*** Get num of point.

Ena.WriteString ":SENS1:SWE:POIN?", True

Poin = Ena.ReadNumber

ReDim WriteData(Poin * 2 - 1) As Double

'*** Set data for array variable, and send data for the ENA

For i = 1 To Poin

WriteData(i * 2 - 2) = ActiveSheet.Cells(i + 10, 2).Value

WriteData(i * 2 - 1) = ActiveSheet.Cells(i + 10, 3).Value

Next i

DataType = Cells(3, 2)

Select Case DataType

Case "Ascii"

Ena.WriteString ":FORM:DATA ASC", True

Ena.WriteString "CALC1:DATA:FDAT ", False

Ena.WriteList WriteData, ASCIIType_R8, ",", True

Case "Binary"

Ena.WriteString ":FORM:DATA REAL", True

Ena.WriteIEEEBlock ":CALC1:DATA:FDAT ", WriteData, True

End Select

'*** end procedure

Ena.IO.Close

End Sub


Peak Search

  • Overview

  • S ample Program in Excel VBA

Other topics about Sample Programs

Overview

This sample program demonstrates how to search for peaks using the Marker Search feature and analysis commands.

This program works in three steps:

  1. Marker search to search for the maximum positive peak and displays the results (Stimulus value Response Value).
  2. Analysis commands to search for all positive peaks and displays the results (Response value, Stimulus point number)
  3. Multiple marker search to search for all positive peaks and displays the results (Stimulus value Response Value)

See Searching for Positions That Match Specified Criteria for this programming.

Sample Program in Excel VBA

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Sub PeakSearch_Click()

Range("B6:I30").Clear

Dim Excursion As Double

Dim Freq As Double, Resp As Variant, PeakPoint As Variant

Dim Poin As Long, Stat As Long, Dummy As Long

Excursion = 1

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'

'*** Open the instrument.

Set Ena.IO = ioMgr.Open("GPIB0::18::INSTR")

Ena.IO.timeout = 10000

'

' Setup Analyzer

'

Ena.WriteString ":SYST:PRES", True

Ena.WriteString ":INIT:CONT ON", True

Ena.WriteString ":TRIG:SOUR BUS", True

Ena.WriteString ":SENS1:FREQ:CENT 950E6", True

Ena.WriteString ":SENS1:FREQ:SPAN 200E6", True

Ena.WriteString ":SENS1:SWE:POIN 201", True

Ena.WriteString ":CALC1:PAR1:DEF S21", True

Ena.WriteString ":CALC1:PAR1:SEL", True ' Select trace 1

' Make a Measurement

Ena.WriteString ":TRIG:SING", True

Ena.WriteString "*OPC?", True ' Wait measurement end

Dummy = Ena.ReadNumber

Ena.WriteString ":DISP:WIND1:TRAC1:Y:AUTO", True ' Auto scale

'

' Example of Marker Peak Search

'

Ena.WriteString ":CALC1:MARK:FUNC:DOM ON", True

Ena.WriteString ":CALC1:MARK:FUNC:DOM:STAR 900E6", True

Ena.WriteString ":CALC1:MARK:FUNC:DOM:STOP 1E9", True

Ena.WriteString ":CALC1:MARK1:FUNC:TYPE PEAK", True ' Search type: peak

Ena.WriteString ":CALC1:MARK1:FUNC:PEXC " & Str(Excursion), True ' Set peak excursion

Ena.WriteString ":CALC1:MARK1:FUNC:PPOL POS", True ' Peak Polarity: positive

Ena.WriteString ":CALC1:MARK1:FUNC:EXEC", True ' Execute search

'Call ErrorCheck

Ena.WriteString ":CALC1:MARK1:X?", True ' Read marker stimulus value

Freq = Ena.ReadNumber

Ena.WriteString ":CALC1:MARK1:Y?", True ' Read marker value

Resp = Ena.ReadList

Cells(6, 2).Value = Val(Freq)

Cells(6, 3).Value = Resp(0) ' Display real part of result.

'

' Example of All Peak Search

'

Ena.WriteString ":CALC1:FUNC:DOM ON", True

Ena.WriteString ":CALC1:FUNC:DOM:STAR 900E6", True

Ena.WriteString ":CALC1:FUNC:DOM:STOP 1E9", True

Ena.WriteString ":CALC1:FUNC:TYPE APEAK", True ' Search type: all peak

Ena.WriteString ":CALC1:FUNC:PEXC " & Str(Excursion), True ' Set peak excursion

Ena.WriteString ":CALC1:FUNC:PPOL POS", True ' Peak Polarity: positive

Ena.WriteString ":CALC1:FUNC:EXEC", True ' Execute search

Ena.WriteString "*OPC?", True

Dummy = Ena.ReadNumber

Call ErrorCheck

'

Ena.WriteString ":CALC1:FUNC:POIN?", True ' Read value

Poin = Ena.ReadNumber

Ena.WriteString ":CALC1:FUNC:DATA?", True ' Read stimulus point number

PeakPoint = Ena.ReadList '

j = 0

For i = 1 To Poin

Cells(5 + i, 5).Value = Val(PeakPoint(j))

Cells(5 + i, 6).Value = Val(PeakPoint(j + 1))

j = j + 2

Next i

'

' Example of Multi Peak Search

'

Ena.WriteString ":CALC1:MARK:FUNC:MULT:TYPE PEAK", True

Ena.WriteString ":CALC1:MARK:FUNC:MULT:PEXC " & Str(Excursion), True

Ena.WriteString ":CALC1:MARK:FUNC:MULT:PPOL POS", True

Ena.WriteString ":CALC1:MARK:FUNC:EXEC", True

Ena.WriteString "*OPC?", True

Dummy = Ena.ReadNumber

Call ErrorCheck

For i = 1 To 9

Ena.WriteString ":CALC1:MARK" & i & "?", True ' Check if marker is active.

Stat = Ena.ReadNumber

If Stat = 1 Then

Ena.WriteString ":CALC1:MARK" & i & ":X?", True ' Read marker stimulus value

Freq = Ena.ReadNumber

Ena.WriteString ":CALC1:MARK" & i & ":Y?", True ' Read marker value

Resp = Ena.ReadList

Cells(5 + i, 8).Value = Val(Freq)

Cells(5 + i, 9).Value = Resp(0)

End If

Next i

Ena.IO.Close

'

End Sub

Sub ErrorCheck()

Dim err As Variant

Ena.WriteString ":SYST:ERR?", True 'Reads error message.

err = Ena.ReadList

If Val(err(0)) <> 0 Then

Response = MsgBox(CStr(err(1)), vbOKOnly) 'Display the message box.

End If

End Sub


Bandwidth Search

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

The sample program demonstrates how to perform Bandwidth Search.

The sample program moves the marker to the maximum value position and then retrieves and displays the results of Bandwidth Search.

Sample Program in Excel VBA

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Sub Bandwid_Click()

Dim Bdata As Variant

Dim Dummy As Integer

Const Threshhold = -3

'

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'

'*** Open the instrument.

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.timeout = 10000

'

Ena.WriteString ":SYST:PRES", True ' Preset

'

Ena.WriteString ":SENS1:FREQ:CENT 947.5E6", True ' Set the center frequency

Ena.WriteString ":SENS1:FREQ:SPAN 200E6", True ' Set the span

Ena.WriteString ":CALC1:PAR1:DEF S21", True ' Set the measurement parameter

Ena.WriteString ":CALC1:PAR1:SEL", True ' Select trace 1

Ena.WriteString ":INIT1:CONT ON", True ' Set the trigger mode at continuous

Ena.WriteString ":TRIG:SOUR BUS", True ' Set the trigger source at BUS

'

Ena.WriteString ":TRIG:SING", True ' Make a single trigger

Ena.WriteString "*OPC?", True ' Wait the measurement end

Dummy = Ena.ReadNumber

'

Ena.WriteString ":DISP:WIND1:TRAC1:Y:AUTO", True ' Execute auto scale for trace 1

Ena.WriteString ":CALC1:MARK1 ON", True ' Activate Marker 1

Ena.WriteString ":CALC1:MARK1:FUNC:TYPE MAX", True ' Set marker search type at max

Ena.WriteString ":CALC1:MARK1:FUNC:EXEC", True ' Execute market search to move the marker at the maximum point

Ena.WriteString ":CALC1:MARK1:BWID:THR " + CStr(Threshhold), True ' Set bandwidth value

Ena.WriteString ":CALC1:MARK:BWID ON", True ' Turn on bandwidth

Ena.WriteString ":CALC1:MARK1:BWID:DATA?", True ' Read bandwidth result

Bdata = Ena.ReadList(ASCIIType_R8, ",")

'

Call ErrorCheck

'

Cells(5, 2).Value = Bdata(0)

Cells(6, 2).Value = Bdata(1)

Cells(7, 2).Value = Bdata(2)

Cells(8, 2).Value = Bdata(3)

Ena.IO.Close

End Sub

Sub ErrorCheck()

Dim Err As Variant

Dim Response As String

Ena.WriteString ":SYST:ERR?", True

Err = Ena.ReadList

If Val(Err(0)) <> 0 Then

Response = MsgBox(CStr(Err(1)), vbOKOnly)

End If

End Sub


Limit Test

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

This sample program demonstrates how to perform limit tests.

The sample program creates a limit table as shown in the following two tables, turns on the Limit Test feature, performs one cycle of measurement, and then displays the test results.

Limit table of trace 1

No. | Type | Begin Stimulus | End Stimulus | Begin Response | End Response
1 | MAX | 847.5 MHz | 905.0 MHz | -55.0 dBm | -55.0 dBm
2 | MIN | 935.0 MHz | 960.0 MHz | -3.5 dBm | -3.5 dBm
3 | MAX | 935.0 MHz | 960.0 MHz | 0 dBm | 0 dBm
4 | MAX | 980.0 MHz | 1047.5 MHz | -25.0 dBm | -25.0 dBm

Limit table of trace 2

No. | Type | Begin Stimulus | End Stimulus | Begin Response | End Response
1 | MAX | 847.5 MHz | 925.0 MHz | 0 dBm | 0 dBm
2 | MAX | 935.0 MHz | 960.0 MHz | -9.5 dBm | -9.5 dBm
3 | MAX | 970.0 MHz | 1047.5 MHz | 0 dBm | 0 dBm

See Limit Test for this programming.

Sample Program in Excel VBA

Example of excel sheet with limit test program

Private Sub Measure_Click()

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Dim Cent As Double, Span As Double

Dim Param(1) As String, Fmt(1) As String

Dim NumofSeg(1) As Integer

Dim LimTbl1 As LimitTbl1

Dim LimTbl2 As LimitTbl2

Dim Dummy As Integer

Dim ret As Integer

Dim Lim_Judge As Integer

Dim Tr1_Judge As Integer

Dim Tr2_Judge As Integer

Dim Fail_Point As Integer

Dim Fail_Data As Variant

Dim Fail_Point2 As Integer

Dim Fail_Data2 As Variant

'*** Open the instrument.

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.timeout = 10000

Ena.WriteString ":SYST:PRES", True

'* Clear Fail Point Data on the sheet.

Range("E26:F100").Clear

'* Set variable of measurement condition.

Cent = CDbl(Cells(3, 3).Value)

Span = CDbl(Cells(4, 3).Value)

Param(0) = Trim(Cells(5, 3).Value)

Fmt(0) = Trim(Cells(6, 3).Value)

Param(1) = Trim(Cells(7, 3).Value)

Fmt(1) = Trim(Cells(8, 3).Value)

'

'* Set variable of limit tables.

NumofSeg(0) = 4

NumofSeg(1) = 3

'

For i = 0 To NumofSeg(0) - 1

With LimTbl1

If Trim(Cells(12 + i, 3).Value) = "MAX" Then

.Typ(i) = 1

Else

.Typ(i) = 2

End If

.BeginStim(i) = CDbl(Cells(12 + i, 4).Value)

.EndStim(i) = CDbl(Cells(12 + i, 5).Value)

.BeginResp(i) = CDbl(Cells(12 + i, 6).Value)

.EndResp(i) = CDbl(Cells(12 + i, 7).Value)

End With

Next i

'

For i = 0 To NumofSeg(1) - 1

With LimTbl2

If Trim(Cells(19 + i, 3).Value) = "MAX" Then

.Typ(i) = 1

Else

.Typ(i) = 2

End If

.BeginStim(i) = CDbl(Cells(19 + i, 4).Value)

.EndStim(i) = CDbl(Cells(19 + i, 5).Value)

.BeginResp(i) = CDbl(Cells(19 + i, 6).Value)

.EndResp(i) = CDbl(Cells(19 + i, 7).Value)

End With

Next i

'

'*** Send measurement condition to the ENA

Ena.WriteString ":SENS1:FREQ:CENT " + CStr(Cent), True

Ena.WriteString ":SENS1:FREQ:SPAN " + CStr(Span), True

Ena.WriteString ":CALC1:PAR1:COUN 2", True

Ena.WriteString ":DISP:WIND1:SPL D1_2", True

Ena.WriteString ":TRIG:SOUR BUS", True ' Triger souce: bus

Ena.WriteString ":INIT1:CONT ON", True ' Triger mode: Continuos

'

'* Send measurement parameter and format of trace 1 to the ENA.

Ena.WriteString ":CALC1:PAR1:SEL", True

Ena.WriteString ":CALC1:PAR1:DEF " + Param(0), True

Ena.WriteString ":CALC1:FORM " + Fmt(0), True

'

'* Send limit table of trace 1 to the ENA.

Ena.WriteString ":CALC1:LIM:DATA " + CStr(NumofSeg(0)), False

For i = 0 To NumofSeg(0) - 1

With LimTbl1

Ena.WriteString "," + CStr(.Typ(i)), False

Ena.WriteString "," + CStr(.BeginStim(i)), False

Ena.WriteString "," + CStr(.EndStim(i)), False

Ena.WriteString "," + CStr(.BeginResp(i)), False

If i = NumofSeg(0) - 1 Then

Ena.WriteString "," + CStr(.EndResp(i)), True

Else

Ena.WriteString "," + CStr(.EndResp(i)), False

End If

End With

Next i

Ena.WriteString ":CALC1:LIM:DISP ON", True

Ena.WriteString ":CALC1:LIM ON", True

'

'* Send measurement parameter and format of trace 2 to the ENA.

Ena.WriteString ":CALC1:PAR2:SEL", True

Ena.WriteString ":CALC1:PAR2:DEF " + Param(1), True

Ena.WriteString ":CALC1:FORM " + Fmt(1), True

'

'* Send limit table of trace 2 to the ENA.

Ena.WriteString ":CALC1:LIM:DATA " + CStr(NumofSeg(1)), False

For i = 0 To NumofSeg(1) - 1

With LimTbl2

Ena.WriteString "," + CStr(.Typ(i)), False

Ena.WriteString "," + CStr(.BeginStim(i)), False

Ena.WriteString "," + CStr(.EndStim(i)), False

Ena.WriteString "," + CStr(.BeginResp(i)), False

If i = NumofSeg(1) - 1 Then

Ena.WriteString "," + CStr(.EndResp(i)), True

Else

Ena.WriteString "," + CStr(.EndResp(i)), False

End If

End With

Next i

Ena.WriteString ":CALC1:LIM:DISP ON", True

Ena.WriteString ":CALC1:LIM ON", True

Ena.WriteString "*OPC?", True

Dummy = Ena.ReadNumber

'

'*** Setting status resister.

Ena.WriteString ":STAT:QUES:LIM:CHAN1:ENAB 6", True

Ena.WriteString ":STAT:QUES:LIM:CHAN1:PTR 6", True

Ena.WriteString ":STAT:QUES:LIM:CHAN1:NTR 0", True

Ena.WriteString ":STAT:QUES:LIM:PTR 2", True

Ena.WriteString ":STAT:QUES:LIM:NTR 0", True

Ena.WriteString "*CLS", True ' Clear status register.

Ena.WriteString "*OPC?", True ' Wait register clear end.

Dummy = Ena.ReadNumber

'

'* Trigger.

Ena.WriteString ":TRIG:SING", True ' Make a single trigger.

Ena.WriteString "*OPC?", True ' Wait measurement end.

Dummy = Ena.ReadNumber

'

'* Checking test results.

Ena.WriteString ":STAT:QUES:LIM?", True

ret = Ena.ReadNumber

Lim_Judge = ret And 2

Ena.WriteString ":STAT:QUES:LIM:CHAN1?", True

ret = Ena.ReadNumber

Tr1_Judge = ret And 2

Tr2_Judge = ret And 4

'

'*** Displaying test results.

If Lim_Judge = 0 Then

Cells(25, 3).Value = "PASS"

Else

Cells(25, 3).Value = "FAIL"

If Tr1_Judge = 0 Then

Cells(26, 3).Value = "PASS"

Else

Cells(26, 3).Value = "FAIL"

Ena.WriteString ":CALC1:PAR1:SEL", True

Ena.WriteString ":CALC1:LIM:REP:POIN?", True

Fail_Point = Ena.ReadNumber

ReDim Fail_Data(Fail_Point - 1)

ptr = VarPtr(Fail_Data(0))

Ena.WriteString ":CALC1:LIM:REP?", True

Fail_Data = Ena.ReadList(ASCIIType_R8, ",")

For i = 0 To Fail_Point - 1

Cells(26 + i, 5).Value = Fail_Data(i)

Next i

End If

If Tr2_Judge = 0 Then

Cells(27, 3).Value = "PASS"

Else

Cells(27, 3).Value = "FAIL"

Ena.WriteString ":CALC1:PAR2:SEL", True

Ena.WriteString ":CALC1:LIM:REP:POIN?", True

Fail_Point2 = Ena.ReadNumber

ReDim Fail_Data2(Fail_Point2 - 1)

Ena.WriteString ":CALC1:LIM:REP?", True

Fail_Data2 = Ena.ReadList(ASCIIType_R8, ",")

For i = 0 To Fail_Point2 - 1

Cells(26 + i, 6).Value = Fail_Data2(i)

Next i

End If

End If

Ena.IO.Close

End Sub


Saving Files

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

The sample program demonstrates how to save a file. This program saves selected content on a file with a specified name.

See Saving and Recalling File for this programming.

Sample Program in Excel VBA

Example of excel sheet and window form with saving files program

Private Sub File_Save_Click()

' Declare two string variables for file name and file type

Dim File_Name As String

Dim File_Type As String

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ena.io = ioMgr.Open("GPIB0::17::INSTR")

Ena.io.timeout = 10000

' Check whether file name textbox is empty or not

If TextBox1.Text <> "" Then

File_Name = Trim(TextBox1.Text)

File_Type = Trim(frmFileSave.ComboBox1.Value)

' Open connection to the ENA

Select Case File_Type

Case "1: State (State Only)"

Ena.writestring ":MMEM:STOR:STYP STAT", True

Ena.writestring ":MMEM:STOR """ & File_Name & ".sta""", True

Case "2: State (State & Cal)"

Ena.writestring ":MMEM:STOR:STYP CST", True

Ena.writestring ":MMEM:STOR """ & File_Name & ".sta""", True

Case "3: State (State & Trace)"

Ena.writestring ":MMEM:STOR:STYP DST", True

Ena.writestring ":MMEM:STOR """ & File_Name & ".sta""", True

Case "4: State (All)"

Ena.writestring ":MMEM:STOR:STYP CDST", True

Ena.writestring ":MMEM:STOR """ & File_Name & ".sta""", True

Case "5: Trace Data (CSV)"

Ena.writestring ":MMEM:STOR:FDAT """ & File_Name & ".csv""", True

Case "6: Screen Image (BMP)"

Ena.writestring ":MMEM:STOR:IMAG """ & File_Name & ".bmp""", True

Case Else

MsgBox "Error in code"

End Select

Ena.io.Close

Else

MsgBox "Please enter a filename"

End If

End Sub

Private Sub UserForm_Initialize()

ComboBox1.AddItem "1: State (State Only)"

ComboBox1.AddItem "2: State (State & Cal)"

ComboBox1.AddItem "3: State (State & Trace)"

ComboBox1.AddItem "4: State (All)"

ComboBox1.AddItem "5: Trace Data (CSV)"

ComboBox1.AddItem "6: Screen Image (BMP)"

ComboBox1.ListIndex = 0

TextBox1.Text = "D:\TempFile"

End Sub


Transferring Files

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

This sample program demonstrates hw to transfer files between the external controller and the E5063A.

This program reads out data from a specified file on the external controller (or the E5063A), then writes them to a specified file on the E5063A (or the external controller).

See Managing Files for this programming.

Sample Program in Excel VBA

Example of excel sheet and window form with transferring files program

Private Sub fromENA_toPC_Click()

'*** This sequence is a sample code in which the file is transferred

'*** from the ENA to the external controller.

Dim hFile As Long

Dim isOpen As Boolean

Dim ioMgr As VisaComLib.ResourceManager

Set ioMgr = New VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Set Ena = New VisaComLib.FormattedIO488

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.Timeout = 10000

Dim byteData() As Byte

Dim Ena_File As String

Dim PC_File As String

Ena_File = """" & Trim(TextBox2.Text) & """"

PC_File = Trim(TextBox1.Text)

Ena.WriteString ":MMEM:TRAN? " & Ena_File

byteData = Ena.ReadIEEEBlock(BinaryType_UI1)

hFile = FreeFile()

Open PC_File For Binary Access Write Shared As hFile

isOpen = True

Put #hFile, , byteData

If isOpen Then Close #hFile

Ena.IO.Close

End Sub

Private Sub fromPC_toENA_Click()

'*** This sequence is a sample code in which the file is transferred

'*** from the external controller to the ENA.

Dim hFile As Long

Dim isOpen As Boolean

Dim ioMgr As VisaComLib.ResourceManager

Set ioMgr = New VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

Set Ena = New VisaComLib.FormattedIO488

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.Timeout = 10000

Dim byteData() As Byte

Dim strBuf As String

Dim fileSize As Long

Dim Ena_File As String

Dim PC_File As String

Ena_File = """" & Trim(TextBox2.Text) & """"

PC_File = Trim(TextBox1.Text)

fileSize = FileLen(PC_File)

ReDim byteData(fileSize - 1)

hFile = FreeFile()

Open PC_File For Binary Access Read Shared As hFile

isOpen = True

Get #hFile, , byteData

If isOpen Then Close #hFile

strBuf = ":MMEM:TRAN " & Ena_File & ","

Ena.WriteIEEEBlock strBuf, byteData, True

Ena.IO.Close

End Sub


Screen Capture

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

The sample program demonstrates to capture the E5063A screen and save it as .png file into the external PC.

Sample Program in Excel VBA

Sub ScreenCapture()

'*** The variables of the resource manager and the instrument I/O are declared.

Dim ImgData() As Byte

Dim FileName As String

Dim ioMgr As VisaComLib.ResourceManager

Dim Ena As VisaComLib.FormattedIO488

'*** The memory area of the resource manager and the instrument I/O are acquired.

Set ioMgr = New VisaComLib.ResourceManager

Set Ena = New VisaComLib.FormattedIO488

'*** Open the instrument.

Set Ena.IO = ioMgr.Open("GPIB0::17::INSTR")

Ena.IO.timeout = 10000

FileName = Range("B7").Value

Ena.WriteString ":HCOP:SDUM:DATA:FORM PNG", True

Ena.WriteString ":HCOP:SDUM:DATA?", True

ImgData = Ena.ReadIEEEBlock(BinaryType_UI1, False, True)

Open FileName For Binary As #1

Put #1, , ImgData()

Close

'*** end procedure

Ena.IO.Close

End Sub


Control Using SICL-LAN Server

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Application Program

Overview

This section explains how to control the E5063A by using SICL in the Windows environment.

  • To control the E5063A using the SICL-LAN server, you need to make the preparations described in Control over SICL-LAN server.

Sample Program in Excel VBA

Opening ctrl_lansicl.xls in Microsoft Excel displays a screen as shown in the figure below:

ctrl_lansicl.xls

For how to use each element in ctrl_lansicl.xls, refer to the following description.

  1. In part 1, in the cell to the right of the SICL-LAN Address, enter the address of the E5063A for control with the SICL-LAN server. This address is XX, which has been set with the command System > Misc Setup > Network Setup > SICL-LAN Address [XX]. Enter the IP address of the E5063A in the cell to the right of the IP Address. This VBA macro will not work properly without the correct values in these two cells.

  2. Click Preset in part 2 to execute the presetting operation.

  3. In part 3, the sweep range (start and stop points) and the number of measurement points for channel 1 are set. Click Set to execute the setting as shown in the setting table.

  4. Part 4 sets the measurement parameters and data format for trace 1 in channel 1. Click Set to execute the setting as shown in the setting table.

  5. Click Read Trace in part 5 retrieves the formatted data array of trace 1 in channel 1. The data is displayed in tabular.

Description of Operation in VBA macro

This section describes the operation of the VBA macro, focusing on the part related to control with SICL.

  • In order to use SICL in your VBA macro, you must declare functions and define variables with a SICL definition file (for VB).

  • In the VBA macro, ctrl_sicllan.xls, the standard module whose object name is "SICL," is the definition file.

The basic control flow with SICL is shown in Flow of control using SICL.

  • In this sample program, the ivprintf function, the ivscanf function, and the iread function are used in its communication part; you can use other SICL functions as well. For details, refer to sicl.hlp (the online help of SICL).

Flow of control using SICL

  • For more information on how to use each function of SICL, refer to the SICL manual.

The procedures of each step in Flow of control using SICL are described below.

Connection

The procedure corresponding to connection is OpenSession (OpenSession). OpenSession establishes a connection to the E5063A with the iopen function of SICL, using the SICL-LAN Address and IP Address entered in part 1 in ctrl_lansicl.xls. The iopen function takes the address information of the E5063A you specify as its parameters.

Syntax

addr = iopen(dev)

Variable | addr
Description | Session information (output)
Data type | Integer type
 | dev
Description | Address information of the instrument you specify (input)
Data type | Character string type
Grammar | sicl-name [ip-address]:interface, sicl-lan-address

For example, if the parameter (dev) is "lan[192.168.0.1]:hpib9,17," connection is made to the address of 17 of the interface of hpib9 with the E5063A whose IP address is 192.168.0.1 by using the external controller whose SICL interface name is lan.

OpenSession

Function OpenSession() As Integer

Dim ServAddr As String

Dim IpAddr As String

On Error GoTo ErrHandler

'''Get Sicl-Lan Address

Sheets("Sheet1").Select

Range("C2").Select

ServAddr = ActiveCell.FormulaR1C1

'''Get Ip Address

Sheets("Sheet1").Select

Range("C3").Select

IpAddr = ActiveCell.FormulaR1C1

OpenSession = iopen("lan[" & IpAddr & "]:hpib9," & ServAddr)

Call itimeout(OpenSession, 10000)

Exit Function

ErrHandler:

MsgBox "*** Error : " & Error$

Call siclcleanup

End

End Function

Sending

The procedure corresponding to sending in communication is OutputSiclLan. OutputSiclLan uses the ivprintf function of SICL to send messages (SCPI commands). The ivprintf function takes the session information output from the iopen function and a program message as its parameters.

Syntax

Status = ivprintf(addr,mes)

Variable | Status
Description | Return value of the function (output)
Data type | Integer type
 | addr
Description | Session information (input)
Data type | Integer type
 | mes
Description | Program message (input)
Data type | Character string type

OutputSiclLan

Sub OutputSiclLan(addr As Integer, message As String)

Dim Status As Integer

Dim actualcnt As Long

Dim length As Long

On Error GoTo ErrHandler

length = Len(message)

Status = ivprintf(addr, message & Chr$(10))

Exit Sub

ErrHandler:

MsgBox "*** Error : " & Error$

Call siclcleanup

End

End Sub

Receiving

The procedure corresponding to receiving ASCII format messages in communication is EnterSiclLan. EnterSiclLan uses the ivscanf function of SICL to receive a message in ASCII format and store it into the output variable. The ivscanf function takes the session information output from the iopen function, the format for output, and the data to be output as its parameters.

Syntax

Status = ivscanf(addr,fmt,ap)

Variable | fmt
Description | Format for output (input)
Data type | Character string type
 | ap
Description | Data to be output (output)
Data type | Character string type

For information on the variable (Status) and the variable (addr), refer to Variable.

In Visual Basic, variables must be declared as a fixed-length string when receiving string data using the ivscanf function.

EnterSiclLan

Sub EnterSiclLan(addr As Integer, Query As String)

Dim Status As Integer

Dim actualcnt As Long

Dim res As String * 256

On Error GoTo ErrHandler

Status = ivscanf(addr, "%t", res)

Query = Trim(res)

Exit Sub

ErrHandler:

MsgBox "*** Error : " & Error$

Call siclcleanup

End

End Sub

The procedure corresponding to receiving array data in communication is EnterSiclLanArrayReal64, which uses the iread function of SICL to receive array data in the IEEE 64-bit floating point binary transfer format and store it into the output variable. The iread function takes the session information output from the iopen function, the data to be output, the number of data bytes, the condition to finish reading data, and the number of data bytes actually read out as its parameters.

Syntax

Status = iread(addr,buf,bufsize,reason,actual)

Variable | buf
Description | Data to be output (output)
Data type | Character string type
 | bufsize
Description | The number of data bytes (input)
Data type | Long integer type
 | reason
Description | The condition to finish reading out data (input)
Data type | Integer type
 | actual
Description | The number of data bytes actually read out (output)
Data type | Long integer type

For information on the variable (Status) and the variable (addr), refer to Variable.

Each functional of EnterSiclLanArrayReal64 is described below.

(1) Retrieves the data header.

(2) Stores the number of data bytes into the size variable in the header part.

(3) Retrieves the formatted data array for trace 1 in channel 1 and stores it into the databuf variable.

(4) Retrieves the message terminator at the end of the data.

EnterSiclLanArrayReal64

Function EnterSiclLanArrayReal64(addr As Integer, databuf() As Double) As Long

Dim Status As Integer

Dim actualcnt As Long

Dim buf As String * 8

Dim size As Long

On Error GoTo ErrHandler

'''Read header info of "#6NNNNNN"

Status = iread(addr, buf, 8, I_TERM_MAXCNT, actualcnt) '.................(1)

size = Val(Mid$(buf, 3, 6)) '.................(2)

'''Read data

Status = iread(addr, databuf, size, I_TERM_MAXCNT, actualcnt) '.................(3)

'''Read ending LF

Status = iread(addr, buf, 1, I_TERM_MAXCNT, actualcnt) '.................(4)

EnterSiclLanArrayReal64 = size / 8

Exit Function

ErrHandler:

MsgBox "*** Error : " & Error$

Call siclcleanup

End

End Function

Disconnection

The iclose function of SICL is used to disconnect communication. The iclose function takes the session information output from the iopen function as its parameter.

Syntax

Status = iclose(addr)

For information on the variable (Status) and the variable (addr), refer to Variable

Sample control

The E5063A can be controlled by executing the above procedures in order, following the control flow in Flow of control using SICL. This is demonstrated by the Preset procedure (a procedure that is executed when the Preset button is clicked) as described in Preset.

Preset

Sub Preset()

''' Open Session

E506x = OpenSession

'''Presetting the analyzer

Call OutputSiclLan(E506x, ":SYST:PRES")

'''Close Session

Call iclose(E506x)

End Sub


Control Using Telnet Server

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

This section explains how to control the E5063A by using WinSock API in the Windows environment.

Sample Program in Excel VBA

Opening ctrl_lan.xls in Microsoft Excel displays the screen shown in the figure below.

ctrl_lan.xls

For how to use each element in ctrl_lan.xls, refer to the following description.

  1. Enter the version number of WinSock API in the cell to the right side of "Winsock Version." The version number is obtained by multiplying 256 by the major version and then adding the minor version. For example, when the version of your Winsock API is 1.1, the version number is obtained as follows: 256×1+1=257. Enter the IP address of the E5063A in the cell to the right side of "IP Address." This VBA macro will not work properly without the correct values in these two cells.

  2. In part 2, the sweep range (start and stop points) and the number of measurement points are set. Click Set to execute the setting operation as specified with the setting table, while clicking the button labeled "Query" retrieves the current settings of the E5063A.

  3. Part 3 is dedicated to setting the trigger mode.

  4. Part 4 sets the measurement parameters and data format for trace 1 in channel 1. Click Set to execute the setting operation as specified with the setting table, while clicking the button labeled "Query" retrieves the current settings of the E5063A.

  5. In part 5, click Auto Scale to execute auto scaling for trace 1 in channel 1.

  6. Click Read Trace in part 6 to retrieve the formatted data of trace 1 in channel 1. The data is displayed in tabular.

  7. Click Preset to execute the presetting operation.

Description of operation in VBA macro

This section describes the operation of the VBA macro, focusing on the part related to control with WinSock API.

In order to use WinSock API, you must declare functions and define variables with a definition file of WinSock API, as shown in Definition file of WinSock API.

Definition file of WinSock API

'This is the Winsock API definition file for Visual Basic

'Setup the variable type 'hostent' for the WSAStartup command

Type Hostent

h_name As Long

h_aliases As Long

h_addrtype As String * 2

h_length As String * 2

h_addr_list As Long

End Type

Public Const SZHOSTENT = 16

'Set the Internet address type to a long integer (32-bit)

Type in_addr

s_addr As Long

End Type

'A note to those familiar with the C header file for Winsock

'Visual Basic does not permit a user-defined variable type

'to be used as a return structure. In the case of the

'variable definition below, sin_addr must

'be declared as a long integer rather than the user-defined

'variable type of in_addr.

Type sockaddr_in

sin_family As Integer

sin_port As Integer

sin_addr As Long

sin_zero As String * 8

End Type

Public Const WSADESCRIPTION_LEN = 256

Public Const WSASYS_STATUS_LEN = 128

Public Const WSA_DescriptionSize = WSADESCRIPTION_LEN + 1

Public Const WSA_SysStatusSize = WSASYS_STATUS_LEN + 1

'Setup the structure for the information returned from

'the WSAStartup() function.

Type WSAData

wVersion As Integer

wHighVersion As Integer

szDescription As String * WSA_DescriptionSize

szSystemStatus As String * WSA_SysStatusSize

iMaxSockets As Integer

iMaxUdpDg As Integer

lpVendorInfo As String * 200

End Type

'Define socket return codes

Public Const INVALID_SOCKET = &HFFFF

Public Const SOCKET_ERROR = -1

'Define socket types

Public Const SOCK_STREAM = 1 'Stream socket

Public Const SOCK_DGRAM = 2 'Datagram socket

Public Const SOCK_RAW = 3 'Raw data socket

Public Const SOCK_RDM = 4 'Reliable Delivery socket

Public Const SOCK_SEQPACKET = 5 'Sequenced Packet socket

'Define address families

Public Const AF_UNSPEC = 0 'unspecified

Public Const AF_UNIX = 1 'local to host (pipes, portals)

Public Const AF_INET = 2 'internetwork: UDP, TCP, etc.

Public Const AF_IMPLINK = 3 'arpanet imp addresses

Public Const AF_PUP = 4 'pup protocols: e.g. BSP

Public Const AF_CHAOS = 5 'mit CHAOS protocols

Public Const AF_NS = 6 'XEROX NS protocols

Public Const AF_ISO = 7 'ISO protocols

Public Const AF_OSI = AF_ISO 'OSI is ISO

Public Const AF_ECMA = 8 'european computer manufacturers

Public Const AF_DATAKIT = 9 'datakit protocols

Public Const AF_CCITT = 10 'CCITT protocols, X.25 etc

Public Const AF_SNA = 11 'IBM SNA

Public Const AF_DECnet = 12 'DECnet

Public Const AF_DLI = 13 'Direct data link interface

Public Const AF_LAT = 14 'LAT

Public Const AF_HYLINK = 15 'NSC Hyperchannel

Public Const AF_APPLETALK = 16 'AppleTalk

Public Const AF_NETBIOS = 17 'NetBios-style addresses

Public Const AF_MAX = 18 'Maximum # of address families

'Setup sockaddr data type to store Internet addresses

Type sockaddr

sa_family As Integer

sa_data As String * 14

End Type

Public Const SADDRLEN = 16

'Declare Socket functions

Public Declare Function closesocket Lib "wsock32.dll" (ByVal s As Long) As Long

Public Declare Function connect Lib "wsock32.dll" (ByVal s As Long, addr As sockaddr_in, ByVal namelen As Long) As Long

Public Declare Function htons Lib "wsock32.dll" (ByVal hostshort As Long) As Integer

Public Declare Function inet_addr Lib "wsock32.dll" (ByVal cp As String) As Long

Public Declare Function recv Lib "wsock32.dll" (ByVal s As Long, ByVal buf As Any, ByVal buflen As Long, ByVal flags As Long) As Long

Public Declare Function recvB Lib "wsock32.dll" Alias "recv" (ByVal s As Long, buf As Any, ByVal buflen As Long, ByVal flags As Long) As Long

Public Declare Function send Lib "wsock32.dll" (ByVal s As Long, buf As Any, ByVal buflen As Long, ByVal flags As Long) As Long

Public Declare Function socket Lib "wsock32.dll" (ByVal af As Long, ByVal socktype As Long, ByVal protocol As Long) As Long

Public Declare Function WSAStartup Lib "wsock32.dll" (ByVal wVersionRequired As Long, lpWSAData As WSAData) As Long

Public Declare Function WSACleanup Lib "wsock32.dll" () As Long

Public Declare Function WSAUnhookBlockingHook Lib "wsock32.dll" () As Long

Public Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (hpvDest As Any, hpvSource As Any, ByVal cbCopy As Long)

The basic control flow with WinSock API is shown in the figure below:

Control flow with WinSock API

The procedures of each step in Control flow with WinSock API are described below.

Startup

The procedure corresponding to Startup is StartIt. StartIt launches and initializes WinSock API with WSAStartup, whose version is shown in part 1 of ctrl_ lan.xls. The function WSAStartup should always be used when initiating WinSock. This function takes the version number (input) and launching information (output) as its parameters.

StartIt

Sub StartIt()

Dim StartUpInfo As WSAData

'Version 1.1 (1*256 + 1) = 257

'version 2.0 (2*256 + 0) = 512

'Get WinSock version

Sheets("Sheet1").Select

Range("C2").Select

version = ActiveCell.FormulaR1C1

'Initialize Winsock DLL

x = WSAStartup(version, StartUpInfo)

End Sub

Socket Creation and Connection

The procedure for Socket Creation and Connection is OpenSocket. OpenSocket makes a connection to an instrument associated with the IP address specified with the input parameter Hostname. It uses a socket of the port specified with the input parameter PortNumber. Each functional part of OpenSocket is described below.

In (1), the inet_aadr function of WinSock API is used to convert an IP address delimited by "." to an Internet address.

In (2), a new socket is created with the socket function of WinSock API and its socket descriptor is obtained. If an error occurs, the control returns to the main program with a message. The socket function takes an address family (input), a socket type (input), and a protocol number (input) as its parameters.

In (3), the socket address is specified. Note that htons, which is used for specifying the port number, is a function of WinSock API. This function converts a 2-byte integer from the Windows byte order (little endian) to the network byte order (big endian).

In (4), a connection to the E5063A is made by using the connect function of WinSock API. If an error occurs, the control returns to the main program with a message. The connect function takes a socket descriptor (input), a socket address (input), and the size of the socket address (input) as its parameters.

OpenSocket

Function OpenSocket(ByVal Hostname As String, ByVal PortNumber As Integer) As Integer

Dim I_SocketAddress As sockaddr_in

Dim ipAddress As Long

ipAddress = inet_addr(Hostname) '...........(1)

'Create a new socket

socketId = socket(AF_INET, SOCK_STREAM, 0) '

If socketId = SOCKET_ERROR Then '

MsgBox ("ERROR: socket = " + Str$(socketId)) '...........(2)

OpenSocket = COMMAND_ERROR '

Exit Function '

End If '

'Open a connection to a server

I_SocketAddress.sin_family = AF_INET '

I_SocketAddress.sin_port = htons(PortNumber) '...........(3)

I_SocketAddress.sin_addr = ipAddress '

I_SocketAddress.sin_zero = String$(8, 0) '

x = connect(socketId, I_SocketAddress, Len(I_SocketAddress)) '

If socketId = SOCKET_ERROR Then '

MsgBox ("ERROR: connect = " + Str$(x)) '..(4)

OpenSocket = COMMAND_ERROR '

Exit Function '

End If '

OpenSocket = socketId

End Function

Communication

The procedure corresponding to Communication is SendCommand. SendCommand transmits a message (SCPI command) specified with the input parameter "command" to the E5063A using the send function of WinSock API. The send function takes a socket descriptor (input), a message to be transmitted (input), message length (input) and a flag (input) as its parameters.

SendCommand

Function SendCommand(ByVal command As String) As Integer

Dim strSend As String

strSend = command + vbCrLf

count = send(socketId, ByVal strSend, Len(strSend), 0)

If count = SOCKET_ERROR Then

MsgBox ("ERROR: send = " + Str$(count))

SendCommand = COMMAND_ERROR

Exit Function

End If

SendCommand = NO_ERROR

End Function

The procedure corresponding to the Receiving part of communication is RecvAscii and other functions. RecvAscii receives a message in ASCII format and stores it in the dataBuf output parameter. Maximum length of the message is specified with the maxLength input parameter. Each functional part of RecvAscii is described below.

In (1), a message (a response to a query for a SCPI command) is received from the E5063A as a series of characters using the recv function of WinSock API. If an error occurs, the control returns to the main program with a message. The recv function takes a socket descriptor (input), a message to be received (input), message length (input) and a flag (input) as its parameters.

In (2), it is determined whether each received character is LF (ASCII code: 10). When it is LF, receiving is terminated by adding NULL (ASCII code: 0) to the end of the dataBuf string and the control returns to the main program.

In (3), the number of the last characters that were read out is added to the count value for checking the number of received characters, and the characters are appended to the end of the dataBuf string.

RecvAscii

Function RecvAscii(dataBuf As String, ByVal maxLength As Integer) As Integer

Dim c As String * 1

Dim length As Integer

dataBuf = ""

While length < maxLength

DoEvents

count = recv(socketId, c, 1, 0) '

If count < 1 Then '

RecvAscii = RECV_ERROR '............(1)

dataBuf = Chr$(0) '

Exit Function '

End If '

If c = Chr$(10) Then '

dataBuf = dataBuf + Chr$(0) '............(2)

RecvAscii = NO_ERROR '

Exit Function '

End If '

length = length + count '............(3)

dataBuf = dataBuf + c '

Wend

RecvAscii = RECV_ERROR

End Function

Disconnection

The procedure corresponding to Disconnection is CloseConnection. CloseConnection disconnects communication and removes a socket using the closesocket function of WinSock API. The closesocket function takes a socket descriptor (input) as its parameter.

CloseConnection

Sub CloseConnection()

x = closesocket(socketId)

If x = SOCKET_ERROR Then

MsgBox ("ERROR: closesocket = " + Str$(x))

Exit Sub

End If

End Sub

End

The procedure corresponding to End is EndIt. EndIt disconnects WinSock API using the WSACleanup function of WinSock API. The function WSACleanup should always be used when terminating WinSock.

EndIt

Sub EndIt()

'Shutdown Winsock DLL

x = WSACleanup()

End Sub

Example of control

The E5063A can be controlled by executing the above procedures in order, following the control flow in Control flow with WinSock API. This is demonstrated by the procedure autoscale (a procedure that is executed when the Auto Scale button is clicked) as described in autoscale.

autoscale

Sub autoscale()

'

' auto scaling

'

Call StartIt

Call get_hostname

x = OpenSocket(Hostname$, ScpiPort)

x = SendCommand(":DISP:WIND1:TRAC1:Y:AUTO")

Call CloseConnection

Call EndIt

End Sub

When you execute more than one command by connecting and disconnecting a socket for every command, the sequence of execution may change.


VB Script: Reading Data

  • Overview

  • Sample Program

Other topics about Sample Application Program

Overview

This sample program demonstrates how to save the formatted data arrays in csv file (Result.csv)

  1. Copy the following code into a Notepad file.
  2. Save the file on the analyzer storage in the D: folder. Name the file as "readingData.vbs".
  3. Double-click the file to execute.

Sample Program

On Error Resume Next

Dim ena

Dim Result

Dim Freq

Dim StrTemp

Dim objFSO

Dim objFile

Set ena = CreateObject("E5070.Application")

ena.parse ":CALC1:PAR1:SEL"

ena.parse ":INIT1:CONT OFF"

ena.parse ":ABOR"

NoOfPoint = ena.parse(":SENS1:SWE:POIN?")

StrTemp = ena.parse(":SENS1:FREQ:DATA?")

Freq = Split(StrTemp, ",")

StrTemp = ena.parse(":CALC1:DATA:FDAT?")

Result = Split(StrTemp, ",")

Set objFSO = WScript.CreateObject("Scripting.FileSystemObject")

If Err.Number = 0 Then

Set objFile = objFSO.OpenTextFile("Result.csv", 2, True)

If Err.Number = 0 Then

j = 0

For i = 1 To NoOfPoint

objFile.Writeline(Freq(i-1)&" , "&Result(j)&" , "&Result(j+1))

j = j + 2

Next

objFile.Close

Else

WScript.Echo "File Open Error: " & Err.Description

End If

Else

WScript.Echo "Error: " & Err.Description

End If

Set objFile = Nothing

Set objFSO = Nothing


VB Script: Using Echo Window

  • Overview

  • Sample Program

Other topics about Sample Application Program

Overview

This sample program demonstrates the following operation.

  1. Activate Marker 1.

  2. Search Max point.

  3. Display the marker value in the echo window.

To use this sample:

  1. Copy the following code into a Notepad file.

  2. Save the file on the analyzer storage in the D: folder. Name the file as "echoMarker.vbs"

  3. Double-click the file to execute.

Sample Program

dim ena

set ena = CreateObject("E5070.Application")

ena.scpi.display.table.state = true

ena.scpi.display.table.type = "echo"

ena.scpi.display.echo.clear

ena.scpi.calculate.selected.marker(1).state = true

ena.scpi.calculate.selected.marker(1).activate

ena.scpi.calculate.selected.marker(1).function.type ="maximum"

ena.scpi.calculate.selected.marker(1).function.execute

axisx = ena.scpi.calculate.selected.marker(1).x

axisy = ena.scpi.calculate.selected.marker(1).y

ena.scpi.display.echo.data = cstr(axisx)

ena.scpi.display.echo.data = cstr(axisy(0))


VB Script: Using User Menu

  • Overview

  • Sample Program

Other topics about Sample Application Program

Overview

This sample program demonstrates the following operation.

  1. Set the softkey label of user menu (Macro Setup > User Menu).

  2. When user menu softkey is pressed, the Sub UserMenuButton_OnPress(bNo)
    is executed with the key number.

  3. The marker is operated according to the key number.

To use this sample:

  1. Copy the following code into a Notepad file.

  2. Save the file on the analyzer storage in the D: folder. Name the file as "userMenu.vbs".

  3. Double-click the file to execute.

Sample Program

dim ana
dim userMenu
dim bNo
dim mkrNo

set userMenu = WScript.CreateObject("E5070.UserMenu", "UserMenuButton_")
set ana = CreateObject("E5070.Application")

for bNo=1 to 5
select case bNo
case 1, 2, 3
UserMenu.item(cint(bNo)).caption = "Marker" & bNo
case 4
UserMenu.item(cint(bNo)).caption = "Max"
case 5
UserMenu.item(cint(bNo)).caption = "Min"
end select
next

Do Until False
WScript.Sleep 500
Loop

Sub UserMenuButton_OnPress(bNo)
Select case bNo

case 1, 2, 3
mkrNo=bNo
ana.scpi.calculate.selected.marker(mkrNo).state = true
ana.scpi.calculate.selected.marker(mkrNo).activate
case 4
ana.scpi.calculate.selected.marker(mkrNo).function.type ="maximum"
ana.scpi.calculate.selected.marker(mkrNo).function.execute
case 5
ana.scpi.calculate.selected.marker(mkrNo).function.type ="minimum"
ana.scpi.calculate.selected.marker(mkrNo).function.execute
end select

End Sub


VB Script: Using Form

  • Overview

  • Sample_Program

Other topics about Sample Application Program

Overview

HTML Applications (HTAs) allows you to use a form with VB script.

This sample program demonstrates the following operation.

  • Pressing "Marker 1 => Max" moves the marker 1 at maximum point, then display the x and y value.

  • Pressing "Marker 2 => Min" moves the marker 2 at minimum point, then display the x and y value.

To use this sample:

  1. Copy the following code into a Notepad file.

  2. Save the file on the analyzer storage in the D: folder. Name the file as "form.hta".

  3. Double-click the file to execute.

Sample Program

<html><head>

<title>HTA Sample</title>

<script language="VBScript">

set ena = CreateObject("E5070.Application")

ena.scpi.system.preset

ena.scpi.initiate(1).continuous = false

Sub Window_OnLoad

Window.ResizeTo 500,200

End Sub

Sub max()

ena.scpi.calculate(1).selected.marker(1).state = true

ena.scpi.calculate(1).selected.marker(1).function.type="maximum"

ena.scpi.calculate(1).selected.MARKer(1).FUNCtion.EXECute

axisx = ena.scpi.calculate(1).selected.marker(1).x

axisy = ena.scpi.calculate(1).selected.marker(1).y

DataArea1.InnerHTML = cstr(axisx)

DataArea2.InnerHTML = cstr(axisy(0))

End Sub

Sub min()

ena.scpi.calculate(1).selected.marker(2).state = true

ena.scpi.calculate(1).selected.marker(2).function.type="minimum"

ena.scpi.calculate(1).selected.MARKer(2).FUNCtion.EXECute

axisx = ena.scpi.calculate(1).selected.marker(2).x

axisy = ena.scpi.calculate(1).selected.marker(2).y

DataArea1.InnerHTML = cstr(axisx)

DataArea2.InnerHTML = cstr(axisy(0))

End Sub

</script>

</head>

<body>

<form name="form1" style="font-size:24pt">

<input type="button" value="Marker 1 => Max" onClick="max()" />

<input type="button" value="Marker 2 => Min" onClick="min()" />

<p>

X: <span id = "DataArea1"></span><br>

Y: <span id = "DataArea2"></span>

</p>

</form>

</body>

</html>


Command Reference

  • Notational Conventions

  • Hard Key

    • Analysis

    • Average

    • Calibration

    • Display

    • Format

    • Marker

    • Marker Function

    • Marker Search

    • Meas

    • Preset

    • Save/Recall

    • Scale

    • Stimulus

    • System

    • Trigger


Notational Conventions

This section describes the notational conventions used for the description of commands reference.

Type

  • Command/Query

  • Command

  • Query

Syntax

The part with heading “Syntax” describes the syntax used to send a command from the external controller to the E5063A. A syntax consists of a command part and a parameter part. The separator between these parts is a space.

If there are several parameters, the separator between adjacent parameters is a comma (,). Ellipsis (…) between commas indicates that parameters in that part are omitted. For example, <numeric 1>,…,<numeric 4> indicates that 4 parameters, <numeric 1>,<numeric 2>, <numeric 3>,<numeric 4>, are required.

String-type parameters, <string>, <string 1>, and so on, must be enclosed in double quotation marks ("). <block> shows block format data.

You can omit the lowercase letters in syntax. For example, ":CALibration:CABLe" can be shortened as ":CAL:CABL."

The definition of symbols used in the syntax is as follows:

<> | Characters enclosed in this pair of symbols are necessary parameters when sending the command.
[] | Part enclosed in this parenthesis pair can be omitted.
{} | Part enclosed in this parenthesis pair indicates that you must select one of the items in this part. Individual items are separated by a vertical bar (|).

For example, ":CALC:CORR:EDEL:TIME 0.1" ,":CALCULATE1:SELECTED:CORR:EDEL:TIME 25E-3," and so on are valid for the syntax given below.

:CALCulate<ch>[:SELected]:CORRection:EDELay:TIME <numeric>

Description

Part with heading “Description” describes how to use the command or the operation when executed.

Variable

Part with heading “Variable” describes necessary parameters when sending the command. When a parameter is a value type or a string type enclosed with <>, its description, allowable setup range, preset (factory-set) value, and so on are given; when a parameter is a selection type enclosed with {}, the description of each selection item is

Query Response

Part with heading “Query response” describes the data format read out when query (reading out data) is available with the command.

Each readout parameter is enclosed with {}. If there are several items within {} separated by the pipe (|), only one of them is read out.

When several parameters are read out, they are separated with a comma (,). Note that, 3 points (…) between commas indicate that the data of that part is omitted. For example, {numeric 1},…,{numeric 4} indicates that 4 data items, {numeric 1}, {numeric 2}, {numeric 3}, and {numeric 4}, are read out.

<newline><^END> after the parameters is the program message terminator.

Examples

Examples provide a sample coding with VISA-COM.

Related Command

Related command provides information about other command that are similar/related with the command.

Equivalent Key

Equivalent key shows the operational procedure of the front panel keys that has the same effect as this command.

COM Command Syntax (Internal Control Only)

COM command syntax shows the command to execute using COM such as internal VB script or Visual Basic/Excel VBA which is installed in the E5063A.


:ABOR

Type

Command

Syntax

:ABORt

Description

This command aborts the measurement and changes the trigger sequence for all channels to idle state.

The channels for which the continuous startup mode is set to ON (setting to start up the trigger system continuously), changes immediately from idle to start-up state. See Trigger System for details.

Examples

Ena.WriteString ":ABORt", True

Related Commands

:INIT

:INIT:CONT

Equivalent Softkey

Trigger > Hold (This is not exact equivalent softkey.)

COM Command Syntax (Internal Control Only)

SCPI.ABORT


:CALC:BLIM

:CALC<Ch>:BLIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:BLIMit[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:BLIMit[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:BLIMit[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:BLIMit[:STATe]?

Description

This command turns ON/OFF the bandwidth test function.

Variable

Parameter | Selection Option
Description | ON/OFF the bandwidth test function.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var ="ON"
Ena.WriteString ":CALC1:BLIM " & Str(Var), True
Ena.WriteString ":CALC1:BLIM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:BLIM:DB

:CALC:BLIM:DISP:MARK

:CALC:BLIM:DISP:VAL

:CALC:BLIM:FAIL

:CALC:BLIM:MAX

:CALC:BLIM:MIN

:CALC:BLIM:REP

Equivalent Softkey

Analysis > Bandwidth Limit > BW Test

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.BLIMIT.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).BLIMIT.STATE


:CALC:BLIM:DB

:CALC<Ch>:BLIM:DB

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:BLIMit:DB <Value>

:CALCulate<Ch>[:SELected]:BLIMit:DB?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:BLIMit:DB <Value>

:CALCulate<Ch>:TRACe<Tr>:BLIMit:DB?

Description

This command sets/gets the bandwidth threshold value (attenuation from the peak) of the bandwidth test.

Variable

Parameter

Value

Description

Bandwidth N dB points

Data Type

Numeric type (Real)

Range

0 to 500M

Preset Value

3

Unit

Varies depending on the selected data format.

  • Log magnitude (MLOG): dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:BLIM:DB " & Str(Var), True
Ena.WriteString ":CALC1:BLIM:DB?", True
Var=Ena.ReadNumber

Related Commands

:CALC:BLIM

Equivalent Softkey

Analysis > Bandwidth Limit > N dB Points

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.BLIMIT.DB

SCPI.CALCULATE(Ch).TRACE(Tr).BLIMIT.DB


:CALC:BLIM:DISP:MARK

:CALC<Ch>:BLIM:DISP:MARK

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:BLIMit:DISPlay:MARKer {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:BLIMit:DISPlay:MARKer?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:BLIMit:DISPlay:MARKer {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:BLIMit:DISPlay:MARKer?

Description

This command turns ON/OFF the marker display of the bandwidth test.

Variable

Parameter | Selection Option
Description | ON/OFF of the bandwidth marker.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var ="ON"
Ena.WriteString ":CALC1:BLIM:DISP:MARK " & Str(Var), True
Ena.WriteString ":CALC1:BLIM:DISP:MARK?", True
Var=Ena.ReadNumber

Related Commands

:CALC:BLIM

:CALC:BLIM:DISP:VAL

Equivalent Softkey

Analysis > Bandwidth Limit > BW Marker

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.BLIMIT.DISPLAY.MARKER

SCPI.CALCULATE(Ch).TRACE(Tr).BLIMIT.DISPLAY.MARKER


:CALC:BLIM:DISP:VAL

:CALC<Ch>:BLIM:DISP:VAL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:BLIMit:DISPlay:VALue {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:BLIMit:DISPlay:VALue?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:BLIMit:DISPlay:VALue {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:BLIMit:DISPlay:VALue?

Description

This command turns ON/OFF the bandwidth value display of the bandwidth test.

Variable

Parameter | Selection Option
Description | ON/OFF of the bandwidth display of the bandwidth test.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var ="ON"
Ena.WriteString ":CALC1:BLIM:DISP:VAL " & Str(Var), True
Ena.WriteString ":CALC1:BLIM:DISP:VAL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

:CALC:BLIM

:CALC:BLIM:DISP:MARK

Equivalent Softkey

Analysis > Bandwidth Limit > BW Display

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.BLIMIT.DISPLAY.VALUE

SCPI.CALCULATE(Ch).TRACE(Tr).BLIMIT.DISPLAY.VALUE


:CALC:BLIM:FAIL

:CALC<Ch>:BLIM:FAIL

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:BLIMit:FAIL?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:BLIMit:FAIL?

Description

This command gets the bandwidth limit test results.

Variable

Query Response

{-1|0|1}<newline><^END>

  • 0: The bandwidth limit test result is PASS.

  • 1: The bandwidth limit test result is FAIL of wide.

  • -1: The bandwidth limit test result is FAIL of narrow.

When the bandwidth limit test is set to OFF, the 0 is always read out

Examples

Dim Var as Long
Ena.WriteString ":CALC1:BLIM:FAIL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

:CALC:BLIM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.BLIMIT.FAIL

SCPI.CALCULATE(Ch).TRACE(Tr).BLIMIT.FAIL


:CALC:BLIM:MAX

:CALC<Ch>:BLIM:MAX

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:BLIMit:MAXimum <Value>

:CALCulate<Ch>[:SELected]:BLIMit:MAXimum?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:BLIMit:MAXimum <Value>

:CALCulate<Ch>:TRACe<Tr>:BLIMit:MAXimum?

Description

This command sets/gets the upper limit value of the bandwidth test.

Variable

Parameter | Value
Description | Maximum bandwidth
Data Type | Numeric type (Real)
Range | 0 to 1T
Preset Value | 300k
Unit | Hz, seconds, meter, feet and inches

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100E3
Ena.WriteString ":CALC1:BLIM:MAX " & Str(Var), True
Ena.WriteString ":CALC1:BLIM:MAX?", True
Var=Ena.ReadNumber

Related Commands

:CALC:BLIM

:CALC:BLIM:MIN

Equivalent Softkey

Analysis > Bandwidth Limit > Max Bandwidth

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.BLIMIT.MAXIMUM

SCPI.CALCULATE(Ch).TRACE(Tr).BLIMIT.MAXIMUM


:CALC:BLIM:MIN

:CALC<Ch>:BLIM:MIN

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:BLIMit:MINimum <Value>

:CALCulate<Ch>[:SELected]:BLIMit:MINimum?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:BLIMit:MINimum <Value>

:CALCulate<Ch>:TRACe<Tr>:BLIMit:MINimum?

Description

This command sets/gets the lower limit value of the bandwidth test.

Variable

Parameter | Value
Description | Minimum bandwidth
Data Type | Numeric type (Real)
Range | 0 to 1T
Preset Value | 10k
Unit | Hz, seconds, meter, feet and inches
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10E3
Ena.WriteString ":CALC1:BLIM:MIN " & Str(Var), True
Ena.WriteString ":CALC1:BLIM:MIN?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

:CALC:BLIM

:CALC:BLIM:MAX

Equivalent Softkey

Analysis > Bandwidth Limit > Min Bandwidth

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.BLIMIT.MINIMUM

SCPI.CALCULATE(Ch).TRACE(Tr).BLIMIT.MINIMUM


:CALC:BLIM:REP

:CALC<Ch>:BLIM:REP

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:BLIMit:REPort[:DATA]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:BLIMit:REPort[:DATA]?

Description

This command reads the bandwidth value of the bandwidth test.

Variable

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC1:BLIM:REP?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

:CALC:BLIM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.BLIMIT.REPORT.DATA

SCPI.CALCULATE(Ch).TRACE(Tr).BLIMIT.REPORT.DATA


:CALC:CONV

:CALC<Ch>:CONV

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:CONVersion[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:CONVersion[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:CONVersion[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:CONVersion[:STATe]?

Description

This command turns ON/OFF the parameter conversion function.

Variable

Parameter | Selection Option
Description | State of the parameter conversion function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0.
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:CONV " & Str(Var), True
Ena.WriteString ":CALC1:CONV?", True
Var=Ena.ReadNumber

Related Commands

:CALC:CONV:FUNC

Equivalent Softkey

Analysis > Conversion > Conversion

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.CONVERSION.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).CONVERSION.STATE


:CALC:CONV:FUNC

:CALC<Ch>:CONV:FUNC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:CONVersion:FUNCtion {ZREFlection|ZTRansmit|ZTSHunt|YREFlection|YTRansmit|YTSHunt|INVersion|CONJugation}

:CALCulate<Ch>[:SELected]:CONVersion:FUNCtion?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:CONVersion:FUNCtion {ZREFlection|ZTRansmit|ZTSHunt|YREFlection|YTRansmit|YTSHunt|INVersion|CONJugation}

:CALCulate<Ch>:TRACe<Tr>:CONVersion:FUNCtion?

Description

This command sets/gets the parameter after conversion using the parameter conversion function.

Variable

Parameter

Selection Option

Description

The parameter after conversion.

Data Type

Character string type (String)

Range

Select from the following:

  • "ZREFlection": Specifies the equivalent impedance in reflection measurement.

  • "ZTRansmit": Specifies the equivalent impedance (series) in transmission measurement.

  • "YREFlection": Specifies the equivalent admittance in reflection measurement.

  • "YTRansmit": Specifies the equivalent admittance (series) in transmission measurement.

  • "INVersion": Specifies the inverse S-parameter.

  • "ZTSHunt": Specifies the equivalent impedance (shunt) in transmission measurement.

  • "YTSHunt": Specifies the equivalent admittance (shunt) in transmission measurement.

  • "CONJugation": Specifies the conjugate.

Preset Value

"ZREFlection"

Query Response

{ZREF|ZTR|ZTSH|YREF|YTR|YTSH|INV|CONJ}<newline><^END>

Examples

Dim Var as String
Var= "ZREFlection"
Ena.WriteString ":CALC1:CONV:FUNC " & Var, True
Ena.WriteString ":CALC1:CONV:FUNC?", True
Var=Ena.ReadString

Related Commands

:CALC:CONV

Equivalent Softkey

Analysis > Conversion > Function

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.CONVERSION.FUNCTION

SCPI.CALCULATE(Ch).TRACE(Tr).CONVERSION.FUNCTION


:CALC:CORR:EDEL:MED

:CALC<Ch>:CORR:EDEL:MED

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:CORRection:EDELay:MEDium {COAXial|WAVeguide}

:CALCulate<Ch>[:SELected]:CORRection:EDELay:MEDium?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:CORRection:EDELay:MEDium {COAXial|WAVeguide}

:CALCulate<Ch>:TRACe<Tr>:CORRection:EDELay:MEDium?

Description

This command select the media type for calculating the electrical delay time.

Variable

Parameter | Selection Option
Description | Select the media type for calculating the electrical delay time.
Data Type | Character string type (String)
Range | "COAXial": Coaxial as a media type "WAVeguide": Waveguide as a media type
Preset Value | "COAXial"

Query Response

{COAX|WAV}<newline><^END>

Examples

Dim Var as String
Var= "COAXial"
Ena.WriteString ":CALC1:CORR:EDEL:MED " & Var, True
Ena.WriteString ":CALC1:CORR:EDEL:MED?", True
Var=Ena.ReadString

Related Commands

:CALC:CORR:EDEL:TIME

:CALC:CORR:EDEL:WGC

Equivalent Softkey

Scale > Electrical Delay > Media

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.CORRECTION.EDELAY.MEDIUM

SCPI.CALCULATE(Ch).TRACE(Tr).CORRECTION.EDELAY.MEDIUM


:CALC:CORR:EDEL:TIME

:CALC<Ch>:CORR:EDEL:TIME

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:CORRection:EDELay:TIME <Value>

:CALCulate<Ch>[:SELected]:CORRection:EDELay:TIME?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:CORRection:EDELay:TIME <Value>

:CALCulate<Ch>:TRACe<Tr>:CORRection:EDELay:TIME?

Description

This command sets/gets the electrical delay time.

Variable

Parameter | Value
Description | Electrical delay time.
Data Type | Numeric type (Real)
Range | -10 to 10
Preset Value | 0
Unit | s
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ena.WriteString ":CALC1:CORR:EDEL:TIME " & Str(Var), True
Ena.WriteString ":CALC1:CORR:EDEL:TIME?", True
Var=Ena.ReadNumber

Related Commands

:CALC:CORR:EDEL:MED

:CALC:CORR:EDEL:WGC

Equivalent Softkey

Scale > Electrical Delay > Electrical Delay

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.CORRECTION.EDELAY.TIME

SCPI.CALCULATE(Ch).TRACE(Tr).CORRECTION.EDELAY.TIME


:CALC:CORR:EDEL:WGC

:CALC<Ch>:CORR:EDEL:WGC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:CORRection:EDELay:WGCutoff <Value>

:CALCulate<Ch>[:SELected]:CORRection:EDELay:WGCutoff?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:CORRection:EDELay:WGCutoff <Value>

:CALCulate<Ch>:TRACe<Tr>:CORRection:EDELay:WGCutoff?

Description

This command sets/gets the cut-off frequency when waveguide is selected as an electrical delay time.

Variable

Parameter | Value
Description | Cut-off frequency.
Data Type | Numeric type (Real)
Range | 100k to maximum frequency
Preset Value | 100k
Unit | Hz
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100000
Ena.WriteString ":CALC1:CORR:EDEL:WGC " & Str(Var), True
Ena.WriteString ":CALC1:CORR:EDEL:WGC?", True
Var=Ena.ReadNumber

Related Commands

:CALC:CORR:EDEL:MED

:CALC:CORR:EDEL:TIME

Equivalent Softkey

Scale > Electrical Delay > Cutoff Frequency

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.CORRECTION.EDELAY.WGCUTOFF

SCPI.CALCULATE(Ch).TRACE(Tr).CORRECTION.EDELAY.WGCUTOFF


:CALC:CORR:OFFS:PHAS

:CALC<Ch>:CORR:OFFS:PHAS

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:CORRection:OFFSet:PHASe <Value>

:CALCulate<Ch>[:SELected]:CORRection:OFFSet:PHASe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:CORRection:OFFSet:PHASe <Value>

:CALCulate<Ch>:TRACe<Tr>:CORRection:OFFSet:PHASe?

Description

This command sets/gets the phase offset.

Variable

Parameter | Value
Description | Phase offset
Data Type | Numeric type (Real)
Range | -360 to 360
Preset Value | 0
Unit | ° (degree)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100
Ena.WriteString ":CALC1:CORR:OFFS:PHAS " & Str(Var), True
Ena.WriteString ":CALC1:CORR:OFFS:PHAS?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

Equivalent Softkey

Scale > Phase Offset

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.CORRECTION.OFFSET.PHASE

SCPI.CALCULATE(Ch).TRACE(Tr).CORRECTION.OFFSET.PHASE


:CALC:DATA:FDAT

:CALC<Ch>:DATA:FDAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:FDATa <Value>

:CALCulate<Ch>[:SELected]:DATA:FDATa?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:DATA:FDATa <Value>

:CALCulate<Ch>:TRACe<Tr>:DATA:FDATa?

Description

This command sets/gets the formatted data array.

The array data element varies in the data format. For more information, see Internal Data Processing.

      • If valid data is not calculated because of the invalid measurement, “1.#QNB” is read out.

Variable

Parameter

Value

Description

Formatted data array

Where n is an integer between 1 and NOP (number of measurement points):

  • <numeric n×2-1>: Real part of data (complex number) at the n-th measurement point.

  • <numeric n×2>: Imaginary part of data (complex number) at the n-th measurement point. Always 0 when the data format is not the Smith chart format or the polar format

The number of data is {NOP×2}

Data Type

Variant type Array (Range)

Note

If there is no array data of NOP×2 when setting a formatted data array, an error occurs when executed.

Query Response

{numeric 1}, .... ,{numeric NOP×2}<newline><^END>

Examples

See Reading/Writing Data.

Related Commands

:CALC:DATA:FMEM

:CALC:DATA:SDAT

:CALC:DATA:SMEM

:FORM:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.FDATA

SCPI.CALCULATE(Ch).TRACE(Tr).DATA.FDATA


:CALC:DATA:FMEM

:CALC<Ch>:DATA:FMEM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:FMEMory <Value>

:CALCulate<Ch>[:SELected]:DATA:FMEMory?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:DATA:FMEMory <Value>

:CALCulate<Ch>:TRACe<Tr>:DATA:FMEMory?

Description

This command sets/gets the formatted memory array.

The array data element varies in the data format. For more information, see Internal Data Processing.

      • If valid data is not calculated because of the invalid measurement, “1.#QNB” is read out.

Variable

Parameter

Value

Description

Formatted memory array

Where n is an integer between 1 and NOP (number of measurement points):

  • <numeric n×2-1>: Real part of data (complex number) at the n-th measurement point.

  • <numeric n×2>: Imaginary part of data (complex number) at the n-th measurement point. Always 0 when the data format is not the Smith chart format or the polar format

The number of data is {NOP×2}

Data Type

Variant type Array (Range)

Note

If there is no array data of NOP×2 when setting a formatted data array, an error occurs when executed.

Query Response

{numeric 1}, .... ,{numeric NOP×2}<newline><^END>

Examples

See Reading/Writing Data.

Related Commands

:CALC:DATA:FDAT

:CALC:DATA:FMEM

:CALC:DATA:SDAT

:CALC:FORM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.FMEMORY

SCPI.CALCULATE(Ch).TRACE(Tr).DATA.FMEMORY


:CALC:DATA:SDAT

:CALC<Ch>:DATA:SDAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:SDATa <Value>

:CALCulate<Ch>[:SELected]:DATA:SDATa?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:DATA:SDATa <Value>

:CALCulate<Ch>:TRACe<Tr>:DATA:SDATa?

Description

This command sets/gets the corrected data array.

The array data element varies in the data format. For more information, see Internal Data Processing.

      • If valid data is not calculated because of the invalid measurement, “1.#QNB” is read out.

Variable

Parameter

Value

Description

Corrected data array

Where n is an integer between 1 and NOP (number of measurement points):

  • <numeric n×2-1>: Real part of data (complex number) at the n-th measurement point.

  • <numeric n×2>: Imaginary part of data (complex number) at the n-th measurement point. Always 0 when the data format is not the Smith chart format or the polar format

The number of data is {NOP×2}

Data Type

Variant type Array (Range)

Note

If there is no array data of NOP×2 when setting a formatted data array, an error occurs when executed.

Query Response

{numeric 1}, .... ,{numeric NOP×2}<newline><^END>

Examples

See Reading/Writing Data.

Related Commands

:CALC:DATA:FDAT

:CALC:DATA:FMEM

:CALC:DATA:SMEM

:FORM:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.SDATA

SCPI.CALCULATE(Ch).TRACE(Tr).DATA.SDATA


:CALC:DATA:SMEM

:CALC<Ch>:DATA:SMEM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:SMEMory <Value>

:CALCulate<Ch>[:SELected]:DATA:SMEMory?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:DATA:SMEMory <Value>

:CALCulate<Ch>:TRACe<Tr>:DATA:SMEMory?

Description

This command sets/gets the corrected memory array.

The array data element varies in the data format. For more information, see Internal Data Processing.

      • If valid data is not calculated because of the invalid measurement, “1.#QNB” is read out.

Variable

Parameter

Value

Description

Corrected memory array

Where n is an integer between 1 and NOP (number of measurement points):

  • <numeric n×2-1>: Real part of data (complex number) at the n-th measurement point.

  • <numeric n×2>: Imaginary part of data (complex number) at the n-th measurement point. Always 0 when the data format is not the Smith chart format or the polar format

The number of data is {NOP×2}

Data Type

Variant type Array (Range)

Note

If there is no array data of NOP×2 when setting a formatted data array, an error occurs when executed.

Query Response

{numeric 1}, .... ,{numeric NOP×2}<newline><^END>

Examples

See Reading/Writing Data.

Related Commands

:CALC:DATA:SDAT

:CALC:DATA:FDAT

:CALC:DATA:FMEM

:FORM:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.SMEMORY

SCPI.CALCULATE(Ch).TRACE(Tr).DATA.SMEMORY


:CALC:DATA:XAX

:CALC<Ch>:DATA:XAX

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:DATA:XAXis?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:DATA:XAXis?

Description

This command reads the data of measurement points of X axis.

Variable

Query Response

{numeric 1} ... {numeric NOP}<newline><^END>

Examples

Dim Var as Variant
Ena.WriteString ":CALC1:DATA:XAX?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Related Commands

:SENS:FREQ:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.DATA.XAXIS

SCPI.CALCULATE(Ch).TRACE(Tr).DATA.XAXIS


:CALC:EQU:STAT

:CALC<Ch>:EQU:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:EQUation:STATe {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:EQUation:STATe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:EQUation:STATe {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:EQUation:STATe?

Description

This command enables/disables the Equation Editor.

Variable

Parameter | Selection Option
Description | State of equation in the Equation Editor.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:EQU:STAT " & Str(Var), True
Ena.WriteString ":CALC1:EQU:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:EQU:TEXT

:CALC:EQU:VAL

Equivalent Softkey

Display > Equation

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.EQUATION.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).EQUATION.STATE


:CALC:EQU:TEXT

:CALC<Ch>:EQU:TEXT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:EQUation:TEXT <String>

:CALCulate<Ch>[:SELected]:EQUation:TEXT?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:EQUation:TEXT <String>

:CALCulate<Ch>:TRACe<Tr>:EQUation:TEXT?

Description

This command sets/gets the equation in the Equation Editor. For valid parameters that can be used in this equation, refer to the Equation Editor.

Variable

Parameter | String
Description | Sets/Gets the equation in the Equation Editor.
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Ena.WriteString ":CALC1:EQU:TEXT " & Var, True
Ena.WriteString ":CALC1:EQU:TEXT?", True
Var=Ena.ReadString

Related Commands

:CALC:EQU:STAT

:CALC:EQU:VAL

Equivalent Softkey

Equation in the Equation Editor

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.EQUATION.TEXT

SCPI.CALCULATE(Ch).TRACE(Tr).EQUATION.TEXT


:CALC:EQU:VAL

:CALC<Ch>:EQU:VAL

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:EQUation:VALid?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:EQUation:VALid?

Description

This command returns 0 when the equation expression and label are correct but the required S-parameter data is not measured or if it refers the invalid corrected memory array. Annotation of 'Equ!' is displayed at trace status area when this command returns 0.

      • Equation Editor can refer S parameter data and data present in corrected memory array.

Variable

Query Response

{1|0}<newline><^END>

1: Valid

0: Invalid

Examples

Dim Var as String
Ena.WriteString ":CALC1:EQU:VAL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:EQU:STAT

:CALC:EQU:TEXT

Equivalent Softkey

No equivalent key is available on the front panel.

'Equ' or 'Equ!' at trace status area

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.EQUATION.VALID

SCPI.CALCULATE(Ch).TRACE(Tr).EQUATION.VALID


:CALC:FILT:DIST

:CALC<Ch>:FILT:DIST

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance[:TYPE] {BPASs|NOTCh}

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance[:TYPE]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance[:TYPE] {BPASs|NOTCh}

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance[:TYPE]?

Description

This command sets/gets the gate type used for the gating function of the fault location display.

Variable

Parameter | Selection Option
Description | The gate type
Data Type | Character string type (String)
Range | "BPASs": Band-pass type. "NOTCh": Notch type.
Preset Value | "BPASs"

Query Response

{BPAS|NOTC}<newline><^END>

Examples

Dim Var as String
Var= "BPASs"
Ena.WriteString ":CALC1:FILT:DIST " & Var, True
Ena.WriteString ":CALC1:FILT:DIST?", True
Var=Ena.ReadString

Related Commands

:CALC:FILT:METH

:CALC:FILT:DIST:STAT

:CALC:FILT:DIST:SHAP

:CALC:FILT:DIST:UNIT

:CALC:FILT:DIST:CENT

:CALC:FILT:DIST:SPAN

:CALC:FILT:DIST:STAR

:CALC:FILT:DIST:STOP

Equivalent Softkey

Analysis > Gating > Type

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.DISTANCE.TYPE

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.DISTANCE.TYPE


:CALC:FILT:DIST:CENT

:CALC<Ch>:FILT:DIST:CENT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:CENTer <Value>

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:CENTer?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:CENTer <Value>

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:CENTer?

Description

This command sets/gets the center value of the gate used for the gating function of the fault location display.

Variable

Parameter | Value
Description | The filter center distance of the gate
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 0 ft or 0 m or 0 in
Unit | ft (feet), m (meters), in (inches)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 0.01
Ena.WriteString ":CALC1:FILT:DIST:CENT " & Str(Var), True
Ena.WriteString ":CALC1:FILT:DIST:CENT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FILT:METH

:CALC:FILT:DIST:STAT

:CALC:FILT:DIST

:CALC:FILT:DIST:SHAP

:CALC:FILT:DIST:UNIT

:CALC:FILT:DIST:SPAN

:CALC:FILT:DIST:STAR

:CALC:FILT:DIST:STOP

Equivalent Softkey

Analysis > Gating > Center

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.DISTANCE.CENTER

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.DISTANCE.CENTER


:CALC:FILT:DIST:SHAP

:CALC<Ch>:FILT:DIST:SHAP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:SHAPe {MAXimum|WIDE|NORMal|MINimum}

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:SHAPe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:SHAPe {MAXimum|WIDE|NORMal|MINimum}

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:SHAPe?

Description

This command sets/gets the shape of the gate used for the gating function of the fault location display.

Variable

Parameter | Selection Option
Description | The filter shape of the gate
Data Type | Character string type (String)
Range | "MAXimum": Maximum shape. "WIDE": Wide shape. "NORMal":Normal shape. "MINimum": Minimum shape.
Preset Value | NORMal

Query Response

{MAX|WIDE|NORM|MIN}<newline><^END>

Examples

Dim Var as String
Var= "MAXimum"
Ena.WriteString ":CALC1:FILT:DIST:SHAP " & Var, True
Ena.WriteString ":CALC1:FILT:DIST:SHAP?", True
Var=Ena.ReadString

Related Commands

:CALC:FILT:METH

:CALC:FILT:DIST:STAT

:CALC:FILT:DIST

:CALC:FILT:DIST:UNIT

:CALC:FILT:DIST:CENT

:CALC:FILT:DIST:SPAN

:CALC:FILT:DIST:STAR

:CALC:FILT:DIST:STOP

Equivalent Softkey

Analysis > Gating > Shape

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.DISTANCE.SHAPE

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.DISTANCE.SHAPE


:CALC:FILT:DIST:SPAN

:CALC<Ch>:FILT:DIST:SPAN

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:SPAN <Value>

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:SPAN?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:SPAN <Value>

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:SPAN?

Description

This command sets/gets the gate filter distance span.

Variable

Parameter | Value
Description | The filter distance span of the gate
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 19.6714211286 ft or 5.99584916 m or 236.057053543 in
Unit | ft (feet), m (meters), in (inches)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 0.01
Ena.WriteString ":CALC1:FILT:DIST:SPAN " & Var, True
Ena.WriteString ":CALC1:FILT:DIST:SPAN?", True
Var=Ena.ReadString

Related Commands

:CALC:FILT:METH

:CALC:FILT:DIST:STAT

:CALC:FILT:DIST

:CALC:FILT:DIST:SHAP

:CALC:FILT:DIST:UNIT

:CALC:FILT:DIST:CENT

:CALC:FILT:DIST:STAR

:CALC:FILT:DIST:STOP

Equivalent Softkey

Analysis > Gating > Span

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.DISTANCE.SPAN

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.DISTANCE.SPAN


:CALC:FILT:DIST:STAR

:CALC<Ch>:FILT:DIST:STAR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:STARt <Value>

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:STARt?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:STARt <Value>

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:STARt?

Description

This command sets/gets the start value of the gate used for the gating function of the fault location display.

Variable

Parameter | Value
Description | The start value of the gate
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | -9.8357105643 ft or -2.99792458 m or -118.028526772 in
Unit | ft (feet), m (meters), in (inches)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 0.01
Ena.WriteString ":CALC1:FILT:DIST:STAR " & Var, True
Ena.WriteString ":CALC1:FILT:DIST:STAR?", True
Var=Ena.ReadString

Related Commands

:CALC:FILT:METH

:CALC:FILT:DIST:STAT

:CALC:FILT:DIST

:CALC:FILT:DIST:SHAP

:CALC:FILT:DIST:UNIT

:CALC:FILT:DIST:CENT

:CALC:FILT:DIST:SPAN

:CALC:FILT:DIST:STOP

Equivalent Softkey

Analysis > Gating > Start

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.DISTANCE.START

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.DISTANCE.START


:CALC:FILT:DIST:STAT

:CALC<Ch>:FILT:DIST:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:STATe {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:STATe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:STATe {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:STATe?

Description

This command turns ON/OFF the gating function of the fault location display. When the unit is seconds (time), use :CALC:FILT:TIME:STAT.

This command is available for option 010/011 only.

You can turn ON the gating function only when the sweep type is the linear sweep and the number of points is 3 or more. If this turns ON when the sweep type is other than linear sweep or the number of points is less than 3, an error occurs and this is ignored.

Variable

Parameter | Selection Option
Description | ON/OFF of the gating function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString ":CALC1:FILT:DIST:STAT ON", True
Ena.WriteString ":CALC1:FILT:DIST:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FILT:METH

:CALC:FILT:DIST

:CALC:FILT:DIST:SHAP

:CALC:FILT:DIST:UNIT

:CALC:FILT:DIST:CENT

:CALC:FILT:DIST:SPAN

:CALC:FILT:DIST:STAR

:CALC:FILT:DIST:STOP

Equivalent Softkey

Analysis > Gating > Gating

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.DISTANCE.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.DISTANCE.STATE


:CALC:FILT:DIST:STOP

:CALC<Ch>:FILT:DIST:STOP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:STOP <Value>

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:STOP?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:STOP <Value>

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:STOP?

Description

This command sets/gets the stop value of the gate used for the gating function of the fault location display.

Variable

Parameter | Value
Description | The stop value of the gate
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 9.8357105643 ft or 2.99792458 m or 118.028526772 in
Unit | ft (feet), m (meters), in (inches)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 0.01
Ena.WriteString ":CALC1:FILT:DIST:STOP " & Str(Var), True
Ena.WriteString ":CALC1:FILT:DIST:STOP?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FILT:METH

:CALC:FILT:DIST:STAT

:CALC:FILT:DIST

:CALC:FILT:DIST:SHAP

:CALC:FILT:DIST:UNIT

:CALC:FILT:DIST:CENT

:CALC:FILT:DIST:SPAN

:CALC:FILT:DIST:STAR

Equivalent Softkey

Analysis > Gating > Stop

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.DISTANCE.STOP

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.DISTANCE.STOP


:CALC:FILT:DIST:UNIT

:CALC<Ch>:FILT:DIST:UNIT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:UNIT {METers|FEET|INCHes}

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:DISTance:UNIT?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:UNIT {METers|FEET|INCHes}

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:DISTance:UNIT?

Description

This command sets/gets the distance unit used for the gating function of the fault location display. When the horizontal axis is set at time by :CALC:FILT:METH, use :CALC:FILT:TIME:xxxx.

Variable

Parameter | Selection Option
Description | The unit of distance
Data Type | Character string type (String)
Range | "METers": Specifies in meter. "FEET": Specifies in feet. "INCHes": Specifies in inches.
Preset Value | "METers"

Query Response

{MET|FEET|INCH}<newline><^END>

Examples

Dim Var as String
Var= "METers"
Ena.WriteString ":CALC1:FILT:DIST:UNIT " & Var, True
Ena.WriteString ":CALC1:FILT:DIST:UNIT?", True
Var=Ena.ReadString

Related Commands

:CALC:FILT:METH

:CALC:FILT:DIST:STAT

:CALC:FILT:DIST

:CALC:FILT:DIST:SHAP

:CALC:FILT:DIST:CENT

:CALC:FILT:DIST:SPAN

:CALC:FILT:DIST:STAR

:CALC:FILT:DIST:STOP

Equivalent Softkey

Analysis > Gating > Unit > Meters | Feet | Inch

For Seconds, use :CALC:FILT:METH.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.DISTANCE.UNIT

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.DISTANCE.UNIT


:CALC:FILT:METH

:CALC<Ch>:FILT:METH

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:METHod {TIME|DISTance}

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:METHod?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:METHod {TIME|DISTance}

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:METHod?

Description

This command sets/gets the horizontal axis of the gating function either time or distance.

When this is set at time, use :CALC:FILT:TIME:xxxx.

When this is set at distance, use :CALC:FILT:DIST:xxxx.

Variable

Parameter | Selection Option
Description | The horizontal axis of the gating function
Data Type | Character string type (String)
Range | "TIME": Specifies the time. "DISTance": Specifies the distance.
Preset Value | "TIME"

Query Response

{TIME|DIST}<newline><^END>

Examples

Dim Var as String
Var= "TIME"
Ena.WriteString ":CALC1:FILT:METH " & Var, True
Ena.WriteString ":CALC1:FILT:METH?", True
Var=Ena.ReadString

Related Commands

:CALC:FILT:DIST:STAT

:CALC:FILT:DIST:UNIT

:CALC:FILT:TIME:STAT

Equivalent Softkey

Analysis > Gating > Unit > Seconds | Meters | Feet | Inches

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.METHOD

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.METHOD


:CALC:FILT:TIME

:CALC<Ch>:FILT:TIME

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME[:TYPE] {BPASs|NOTCh}

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME[:TYPE]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME[:TYPE] {BPASs|NOTCh}

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME[:TYPE]?

Description

This command sets/gets the gate type used for the gating function of the time domain function.

Variable

Parameter | Selection Option
Description | Gate type
Data Type | Character string type (String)
Range | "BPASs": Specifies the band-pass type. "NOTCh": Specifies the notch type.
Preset Value | "BPASs"

Query Response

{BPAS|NOTC}<newline><^END>

Examples

Dim Var as String
Var= "BPASs"
Ena.WriteString ":CALC1:FILT:TIME " & Var, True
Ena.WriteString ":CALC1:FILT:TIME?", True
Var=Ena.ReadString

Related Commands

:CALC:FILT:METH

:CALC:FILT:TIME:STAT

:CALC:FILT:TIME:SHAP

:CALC:FILT:TIME:CENT

:CALC:FILT:TIME:SPAN

:CALC:FILT:TIME:STAR

:CALC:FILT:TIME:STOP

Equivalent Softkey

Analysis > Gating > Type

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.TIME.TYPE

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.TIME.TYPE


:CALC:FILT:TIME:CENT

:CALC<Ch>:FILT:TIME:CENT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:CENTer <Value>

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:CENTer?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:CENTer <Value>

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:CENTer?

Description

This command sets/gets the center value of the gate used for the gating function of the time domain function.

Variable

Parameter | Value
Description | The center value of the gate
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 0
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 0.03
Ena.WriteString ":CALC1:FILT:TIME:CENT " & Var, True
Ena.WriteString ":CALC1:FILT:TIME:CENT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FILT:METH

:CALC:FILT:TIME:STAT

:CALC:FILT:TIME

:CALC:FILT:TIME:SHAP

:CALC:FILT:TIME:SPAN

:CALC:FILT:TIME:STAR

:CALC:FILT:TIME:STOP

Equivalent Softkey

Analysis > Gating > Center

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.TIME.CENTER

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.TIME.CENTER


:CALC:FILT:TIME:SHAP

:CALC<Ch>:FILT:TIME:SHAP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:SHAPe {MAXimum|WIDE|NORMal|MINimum}

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:SHAPe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:SHAPe {MAXimum|WIDE|NORMal|MINimum}

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:SHAPe?

Description

This command sets/gets the shape of the gate used for the gating function of the time domain function.

Variable

Parameter | Selection Option
Description | The filter shape of the gate
Data Type | Character string type (String)
Range | "MAXimum": Maximum shape. "WIDE": Wide shape. "NORMal":Normal shape. "MINimum": Minimum shape.
Preset Value | NORMal

Query Response

{MAX|WIDE|NORM|MIN}<newline><^END>

Examples

Dim Var as String
Var= "MAXimum"
Ena.WriteString ":CALC1:FILT:TIME:SHAP " & Var, True
Ena.WriteString ":CALC1:FILT:TIME:SHAP?", True
Var=Ena.ReadString

Related Commands

:CALC:FILT:METH

:CALC:FILT:TIME:STAT

:CALC:FILT:TIME

:CALC:FILT:TIME:CENT

:CALC:FILT:TIME:SPAN

:CALC:FILT:TIME:STAR

:CALC:FILT:TIME:STOP

Equivalent Softkey

Analysis > Gating > Shape

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.TIME.SHAPE

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.TIME.SHAPE


:CALC:FILT:TIME:SPAN

:CALC<Ch>:FILT:TIME:SPAN

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:SPAN <Value>

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:SPAN?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:SPAN <Value>

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:SPAN?

Description

This command sets/gets the span value of the gate used for the gating function of the time domain function.

Variable

Parameter | Value
Description | The span value of the gate
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points
Preset Value | 20n
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 0.05
Ena.WriteString ":CALC1:FILT:TIME:SPAN " & Var, True
Ena.WriteString ":CALC1:FILT:TIME:SPAN?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FILT:METH

:CALC:FILT:TIME:STAT

:CALC:FILT:TIME

:CALC:FILT:TIME:SHAP

:CALC:FILT:TIME:CENT

:CALC:FILT:TIME:STAR

:CALC:FILT:TIME:STOP

Equivalent Softkey

Analysis > Gating > Span

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.TIME.SPAN

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.TIME.SPAN


:CALC:FILT:TIME:STAR

:CALC<Ch>:FILT:TIME:STAR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:STARt <Value>

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:STARt?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:STARt <Value>

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:STARt?

Description

This command sets/gets the start value of the gate used for the gating function of the time domain function.

Variable

Parameter | Value
Description | The start value of the gate
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | -10n
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 0.04
Ena.WriteString ":CALC1:FILT:TIME:STAR " & Var, True
Ena.WriteString ":CALC1:FILT:TIME:STAR?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FILT:METH

:CALC:FILT:TIME:STAT

:CALC:FILT:TIME

:CALC:FILT:TIME:SHAP

:CALC:FILT:TIME:CENT

:CALC:FILT:TIME:SPAN

:CALC:FILT:TIME:STOP

Equivalent Softkey

Analysis > Gating > Start

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.TIME.START

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.TIME.START


:CALC:FILT:TIME:STAT

:CALC<Ch>:FILT:TIME:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:STATe {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:STATe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:STATe {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:STATe?

Description

This command turns ON/OFF the gating function of the time domain function. When the X axis is distance (Meters, Feet or Inches), use :CALC:FILT:DIST:STAT.

This command is available for option 010/011 only.

You can turn ON the gating function only when the sweep type is the linear sweep and the number of points is 3 or more. If this turns ON when the sweep type is other than linear sweep or the number of points is less than 3, an error occurs and this is ignored.

Variable

Parameter | Selection Option
Description | ON/OFF of the gating function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FILT:TIME:STAT " & Str(Var), True
Ena.WriteString ":CALC1:FILT:TIME:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FILT:METH

:CALC:FILT:TIME

:CALC:FILT:TIME:SHAP

:CALC:FILT:TIME:CENT

:CALC:FILT:TIME:SPAN

:CALC:FILT:TIME:STAR

:CALC:FILT:TIME:STOP

Equivalent Softkey

Analysis > Gating > Gating

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.TIME.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.TIME.STATE


:CALC:FILT:TIME:STOP

:CALC<Ch>:FILT:TIME:STOP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:STOP <Value>

:CALCulate<Ch>[:SELected]:FILTer[:GATE]:TIME:STOP?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:STOP <Value>

:CALCulate<Ch>:TRACe<Tr>:FILTer[:GATE]:TIME:STOP?

Description

This command sets/gets the stop value of the gate used for the gating function of the time domain function.

Variable

Parameter | Value
Description | The stop value of the gate
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 10n
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 0.05
Ena.WriteString ":CALC1:FILT:TIME:STOP " & Str(Var), True
Ena.WriteString ":CALC1:FILT:TIME:STOP?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FILT:METH

:CALC:FILT:TIME:STAT

:CALC:FILT:TIME

:CALC:FILT:TIME:SHAP

:CALC:FILT:TIME:CENT

:CALC:FILT:TIME:SPAN

:CALC:FILT:TIME:STAR

Equivalent Softkey

Analysis > Gating > Stop

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FILTER.GATE.TIME.STOP

SCPI.CALCULATE(Ch).TRACE(Tr).FILTER.GATE.TIME.STOP


:CALC:FORM

:CALC<Ch>:FORM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FORMat {MLOGarithmic|PHASe|GDELay|SLINear|SLOGarithmic|SCOMplex|SMITh|SADMittance|PLINear|PLOGarithmic|POLar|MLINear|SWR|REAL|IMAGinary|UPHase|PPHase}
:CALCulate<Ch>[:SELected]:FORMat?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FORMat {MLOGarithmic|PHASe|GDELay|SLINear|SLOGarithmic|SCOMplex|SMITh|SADMittance|PLINear|PLOGarithmic|POLar|MLINear|SWR|REAL|IMAGinary|UPHase|PPHase}
:CALCulate<Ch>:TRACe<Tr>:FORMat?

Description

This command sets/gets the data format.

Variable

Parameter | Selection Option
Description | Data format
Data Type | Character string type (String)
Range | "MLOGarithmic": Specifies the log magnitude format. "PHASe": Specifies the phase format. "GDELay": Specifies the group delay format. "SLINear": Specifies the Smith chart format (Lin/Phase). "SLOGarithmic": Specifies the Smith chart format (Log/Phase). "SCOMplex": Specifies the Smith chart format (Re/Im). "SMITh": Specifies the Smith chart format (R+jX). "SADMittance": Specifies the Smith chart format (G+jB). "PLINear": Specifies the polar format (Lin/Phase). "PLOGarithmic": Specifies the polar format (Log/Phase). "POLar": Specifies the polar format (Re/Im). "MLINear": Specifies the linear magnitude format. "SWR": Specifies the SWR format. "REAL": Specifies the real format. "IMAGinary": Specifies the imaginary format. "UPHase": Specifies the expanded phase format. "PPHase": Specifies the positive phase format.
Preset Value | "MLOGarithmic"

Query Response

{MLOG|PHAS|GDEL|SLIN|SLOG|SCOM|SMIT|SADM|PLIN|PLOG|POL|MLIN|SWR|REAL|IMAG|UPH|PPH}<newline><^END>

Examples

Dim Var as String
Var= "MLOGarithmic"
Ena.WriteString ":CALC1:FORM" & Var, True
Ena.WriteString ":CALC1:FORM?", True
Var=Ena.ReadString

Related Commands

:CALC:PAR:SEL

Equivalent Softkey

Format > Log Mag

Format > Phase

Format > Group Delay

Format > Smith > Lin / Phase

Format > Smith > Log / Phase

Format > Smith > Real / Imag

Format > Smith > R + jX

Format > Smith > G + jB

Format > Polar > Lin / Phase

Format > Polar > Log

Format > Polar > Log / Phase

Format > Polar > Real / Imag

Format > Lin Mag

Format > SWR

Format > Real

Format > Imaginary

Format > Expand Phase

Format > Positive Phase

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FORMAT

SCPI.CALCULATE(Ch).TRACE(Tr).FORMAT


:CALC:FUNC:DATA

:CALC<Ch>:FUNC:DATA

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:DATA?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:DATA?

Description

This command reads the analysis result of the :CALC:FUNC:EXEC.

Variable

Query Response

{numeric 1}, .... ,{numeric Nx2}<newline><^END>

N (number of data pairs) can be read out with the :CALC:FUNC:POIN.

  • {numeric n×2-1}: Response value or analysis result of the searched n-th result.

  • {numeric n×2}: Stimulus value of the searched n-th result.

    • Always 0 for the analysis of the mean value, the standard deviation, and the difference between the maximum value and the minimum value.

    Examples

    Dim Var as Variant
    Ena.WriteString ":CALC1:FUNC:DATA?", True
    Var=Ena.ReadList(ASCIIType_R8, ",")

    Related Commands

    :CALC:FUNC:TYPE

    :CALC:FUNC:EXEC

    :CALC:FUNC:POIN

    Equivalent Softkey

    No equivalent key is available on the front panel.

    COM Command Syntax (Internal Control Only)

    SCPI.CALCULATE(Ch).SELECTED.FUNCTION.DATA

    SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.DATA


:CALC:FUNC:DOM

:CALC<Ch>:FUNC:DOM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:DOMain[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:FUNCtion:DOMain[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:DOMain[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:DOMain[:STATe]?

Description

This command sets/gets an arbitrary range for analysis.

When the trace coupling is OFF, the active trace is the target to be set.

Variable

Parameter | Selection Option
Description | Selection of the analysis range
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FUNC:DOM " & Str(Var), True
Ena.WriteString ":CALC1:FUNC:DOM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FUNC:DATA

:CALC:FUNC:DOM:STAR

:CALC:FUNC:DOM:STOP

:CALC:FUNC:DOM:COUP

:CALC:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.DOMAIN.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.DOMAIN.STATE


:CALC:FUNC:DOM:COUP

:CALC<Ch>:FUNC:DOM:COUP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:DOMain:COUPle {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:FUNCtion:DOMain:COUPle?

The following syntax is also supported:

:CALCulate<Ch>:TRACe:FUNCtion:DOMain:COUPle {ON|OFF|1|0}

:CALCulate<Ch>:TRACe:FUNCtion:DOMain:COUPle?

Description

This command specifies whether to set the coupling of the analysis range for all traces.

Variable

Parameter | Selection Option
Description | ON/OFF of the trace coupling of the analysis range.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FUNC:DOM:COUP " & Str(Var), True
Ena.WriteString ":CALC1:FUNC:DOM:COUP?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FUNC:DATA

:CALC:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.DOMAIN.COUPLE

SCPI.CALCULATE(Ch).TRACE.FUNCTION.DOMAIN.COUPLE


:CALC:FUNC:DOM:STAR

:CALC<Ch>:FUNC:DOM:STAR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:DOMain:STARt <Value>

:CALCulate<Ch>[:SELected]:FUNCtion:DOMain:STARt?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:DOMain:STARt <Value>

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:DOMain:STARt?

Description

This command sets/gets the start value of the analysis range.

When the trace coupling is OFF, the active trace or selected trace is the target to be set.

Variable

Parameter | Value
Description | Start value of the analysis range
Data Type | Numeric type (Real)
Range | -500G to 500G
Preset Value | 0
Unit | Hz (hertz), or s (second)

Query Response

{numeric}<newline><^END>

Examples

See Peak Search

Related Commands

:CALC:FUNC:DATA

:CALC:FUNC:DOM:STOP

:CALC:FUNC:DOM:COUP

:CALC:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.DOMAIN.START

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.DOMAIN.START


:CALC:FUNC:DOM:STOP

:CALC<Ch>:FUNC:DOM:STOP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:DOMain:STOP <Value>

:CALCulate<Ch>[:SELected]:FUNCtion:DOMain:STOP?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:DOMain:STOP <Value>

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:DOMain:STOP?

Description

This command sets/gets the stop value of the analysis range for the selected channel <Ch>.

When the trace coupling is OFF, the active trace or selected trace is the target to be set.

Variable

Parameter | Value
Description | Stop value of the analysis range
Data Type | Numeric type (Real)
Range | -500G to 500G
Preset Value | 0
Unit | Hz (hertz) or s (second)

Query Response

{numeric}<newline><^END>

Examples

See Peak Search

Related Commands

:CALC:FUNC:DATA

:CALC:FUNC:DOM:STAR

:CALC:FUNC:DOM:COUP

:CALC:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.DOMAIN.STOP

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.DOMAIN.STOP


:CALC:FUNC:EXEC

:CALC<Ch>:FUNC:EXEC

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:EXECute

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:EXECute

Description

This command executes the analysis function.

Examples

See Peak Search.

Related Commands

:CALC:PAR:SEL

:CALC:FUNC:DATA

:CALC:FUNC:TYPE

:CALC:FUNC:DOM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.EXECUTE

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.EXECUTE


:CALC:FUNC:PEXC

:CALC<Ch>:FUNC:PEXC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:PEXCursion <Value>

:CALCulate<Ch>[:SELected]:FUNCtion:PEXCursion?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:PEXCursion <Value>

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:PEXCursion?

Description

This command sets/gets the limit of peak excursion.

Variable

Parameter

Value

Description

Lower limit of peak excursion value

Data Type

Numeric type (Real)

Range

0 to 500M

Preset Value

3

Unit

Varies depending on the data format.

  • Log magnitude (MLOG) : dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH) : ° (degree)

  • Group delay (GDEL) : s (second)

  • Others : No unit

Note

If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

See Peak Search.

Related Commands

:CALC:FUNC:DATA

:CALC:PAR:SEL

:CALC:FUNC:TYPE

:CALC:FUNC:PPOL

:CALC:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.PEXCURSION

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.PEXCURSION


:CALC:FUNC:POIN

:CALC<Ch>:FUNC:POIN

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:POINts?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:POINts?

Description

This command gets number of data pair in :CALC:FUNC:DATA

Variable

Query Response

{numeric}<newline><^END>

Examples

See Peak Search.

Related Commands

:CALC:FUNC:DATA

:CALC:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.POINTS

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.POINTS


:CALC:FUNC:PPOL

:CALC<Ch>:FUNC:PPOL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:PPOLarity {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:FUNCtion:PPOLarity?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:PPOLarity {POSitive|NEGative|BOTH}

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:PPOLarity?

Description

This command sets/gets the polarity when performing the peak search with :CALC:FUNC:EXEC.

Variable

Parameter | Selection Option
Description | Polarity for peak search
Data Type | Character string type (String)
Range | "POSitive": Positive peak. "NEGative": Negative peak. "BOTH":Both the positive peak and the negative peak.
Preset Value | POSitive

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

See Peak Search.

Related Commands

:CALC:FUNC:EXEC

:CALC:FUNC:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.PPOLARITY

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.PPOLARITY


:CALC:FUNC:TARG

:CALC<Ch>:FUNC:TARG

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:TARGet <Value>

:CALCulate<Ch>[:SELected]:FUNCtion:TARGet?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:TARGet <Value>

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:TARGet?

Description

This command sets/gets the target value when performing the target search with the :CALC:FUNC:EXEC.

Variable

Parameter | Value
Description | Target value
Data Type | Numeric type (Real)
Range | -500M to 500M
Preset Value | 0
Unit | Varies depending on the data format. Log magnitude (MLOG) : dB (decibel) Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH) : ° (degree) Group delay (GDEL) : s (second) Others : No unit
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

See Peak Search.

Related Commands

:CALC:PAR:SEL

:CALC:MARK:FUNC:TYPE

:CALC:MARK:FUNC:TTR

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.TARGET

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.TARGET


:CALC:FUNC:TTR

:CALC<Ch>:FUNC:TTR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:TTRansition {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:FUNCtion:TTRansition?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:TTRansition {POSitive|NEGative|BOTH}

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:TTRansition?

Description

This command sets/gets the transition type when performing the target search with the :CALC:FUNC:EXEC.

Variable

Parameter | Selection Option
Description | Transition type for search
Data Type | Character string type (String)
Range | "POSitive": Positive transition. "NEGative": Negative transition. "BOTH": Both the positive transition and the negative transition.
Preset Value | "BOTH"

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

See Peak Search.

Related Commands

:CALC:FUNC:DATA

:CALC:FUNC:TYPE

:CALC:FUNC:TARG

:CALC:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.TTRANSITION

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.TTRANSITION


:CALC:FUNC:TYPE

:CALC<Ch>:FUNC:TYPE

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:FUNCtion:TYPE {PTPeak|STDEV|MEAN|MAXimum|MINimum|PEAK|APEak|ATARget|SDEViation}

:CALCulate<Ch>[:SELected]:FUNCtion:TYPE?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:TYPE {PTPeak|STDEV|MEAN|MAXimum|MINimum|PEAK|APEak|ATARget|SDEViation}

:CALCulate<Ch>:TRACe<Tr>:FUNCtion:TYPE?

Description

This command sets/gets the type of analysis.

Variable

Parameter | Selection Option
Description | Analysis type
Data Type | Character string type (String)
Range | "PTPeak": Specifies the analysis of the difference between the maximum value and the minimum value (Peak to Peak). "STDEV": Specifies the analysis of the standard deviation. "MEAN": Specifies the analysis of the mean value. "MAXimum": Specifies the search for the maximum value. "MINimum": Specifies the search for the minimum value. "PEAK": Specifies the search for the peak. "APEak": Specifies the search for all peaks. "ATARget": Specifies the search for all targets. "SDEViation": Specifies the search for all deviations.
Preset Value | "PTPeak"

Query Response

{PTP|STDEV|MEAN|MAX|MIN|PEAK|APE|ATAR|SDEV}<newline><^END>

Examples

See Peak Search.

Related Commands

:CALC:FUNC:DATA

:CALC:FUNC:PEXC

:CALC:FUNC:PPOL

:CALC:FUNC:TARG

:CALC:FUNC:TTR

:CALC:FUNC:EXEC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.FUNCTION.TYPE

SCPI.CALCULATE(Ch).TRACE(Tr).FUNCTION.TYPE


:CALC:FSIM:BAL:CZC:BPOR:IMAG

:CALC<Ch>:FSIM:BAL:CZC:BPOR:IMAG

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:CZConversion:BPORt:IMAGinary <Value>

:CALCulate<Ch>:FSIMulator:BALun:CZConversion:BPORt:IMAGinary?

Description

This command sets/gets the impedance value (imaginary part) for the common port impedance conversion function for the balance measurement.

Variable

Parameter | Value
Description | Impedance value (imaginary part) for the common port impedance conversion function
Data Type | Double precision floating point type (Double)
Range | -1E+18 to 1E+18
Preset Value | 0
Unit | Ohm
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:BAL:CZC:BPOR:IMAG " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:CZC:BPOR:IMAG?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:STAT

:CALC:FSIM:BAL:CZC:BPOR:REAL

:CALC:FSIM:BAL:CZC:BPOR:Z0

:CALC:FSIM:BAL:CZC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Cmn ZConversion > Port1 (bal) Imag

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.CZCONVERSION.BPORT.IMAGINARY


:CALC:FSIM:BAL:CZC:BPOR:REAL

:CALC<Ch>:FSIM:BAL:CZC:BPOR:REAL

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:CZConversion:BPORt:REAL <Value>

:CALCulate<Ch>:FSIMulator:BALun:CZConversion:BPORt:REAL?

Description

This command sets/gets the impedance value (real part) for the common port impedance conversion function for balance measurement.

      • This command performs in the same way as :CALC:FSIM:BAL:CZC:BPOR:Z0

Variable

Parameter | Value
Description | Impedance value (real part) for the differential port impedance conversion function
Data Type | Numeric type (Real)
Range | 1m ~ 10M
Preset Value | 25
Unit | Ω
Resolution | 0.001
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ena.WriteString ":CALC1:FSIM:BAL:CZC:BPOR:REAL " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:CZC:BPOR:REAL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:STAT

:CALC:FSIM:BAL:CZC:BPOR:IMAG

:CALC:FSIM:BAL:CZC:BPOR:Z0

:CALC:FSIM:BAL:CZC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Cmn ZConversion > Port1 (bal) Real

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.CZCONVERSION.BPORT.REAL


:CALC:FSIM:BAL:CZC:BPOR:Z0

:CALC<Ch>:FSIM:BAL:CZC:BPOR:Z0

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:CZConversion:BPORt:Z0[:R] <Value>

:CALCulate<Ch>:FSIMulator:BALun:CZConversion:BPORt:Z0[:R]?

Description

This command sets/gets the impedance value for the common port impedance conversion function for balance measurement.

    • This command clears setting value of :CALC:FSIM:BAL:CZC:BPOR:IMAG.

Variable

Parameter | Value
Description | Impedance value for the common port impedance conversion function
Data Type | Numeric type (Real)
Range | 1m ~ 10M
Preset Value | 25
Unit | Ω
Resolution | 0.001

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ena.WriteString ":CALC1:FSIM:BAL:CZC:BPOR:Z0 " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:CZC:BPOR:Z0?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:CZC:BPOR:IMAG

:CALC:FSIM:BAL:CZC:BPOR:REAL

:CALC:FSIM:BAL:CZC:STAT

:CALC:FSIM:STAT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.CZCONVERSION.BPORT.Z0.R


:CALC:FSIM:BAL:CZC:STAT

:CALC<Ch>:FSIM:BAL:CZC:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:CZConversion:STATe {ON|OFF|1|0}

:CALCulate<Ch>:FSIMulator:BALun:CZConversion:STATe?

Description

This command turns ON/OFF the common port impedance conversion function when the fixture simulator function is ON.

Variable

Parameter | Selection Option
Description | ON/OFF of the common port impedance conversion function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FSIM:BAL:CZC:STAT " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:CZC:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:STAT

:C ALC:FSIM:BAL:CZC:BPOR:IMAG

:CALC:FSIM:BAL:CZC:BPOR:REAL

:CALC:FSIM:BAL:CZC:BPOR:Z0

Equivalent Softkey

Analysis > Fixture Simulator > Cmn ZConversion > Cmn ZConversion

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.CZCONVERSION.STATE


:CALC:FSIM:BAL:DMC:BPOR

:CALC<Ch>:FSIM:BAL:DMC:BPOR

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt[:TYPE] {NONE|PLPC|USER}

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt[:TYPE]?

Description

This command selects the type of the differential matching circuit.

Variable

Parameter | Selection Option
Description | Type of the differential matching circuit
Data Type | Character string type (String)
Range | "NONE": Specifies no-circuit. "PLPC": Specifies the circuit that consists of shunt L and shunt C. "USER": Specifies the user-defined circuit.
Preset Value | "NONE"
Note | If you want to select the user-defined circuit, you must specify the 2-port touchstone file in which the proper information on the user-defined circuit is saved in advance. If you do not specify the appropriate file and you select the user-defined circuit, an error occurs when executed and NONE is automatically selected.

Query Response

{NONE|PLPC|USER}<newline><^END>

Examples

Dim Var as String
Var= "NONE"
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR " & Var, True
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR?", True
Var=Ena.ReadString

Related Commands

:CALC:FSIM:BAL:DMC:BPOR:PAR:C

:CALC:FSIM:BAL:DMC:BPOR:PAR:G

:CALC:FSIM:BAL:DMC:BPOR:PAR:L

:CALC:FSIM:BAL:DMC:BPOR:PAR:R

:CALC:FSIM:BAL:DMC:BPOR:USER:FIL

:CALC:FSIM:BAL:DMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Diff Matching > Select Circuit > None | ShuntL-ShuntC | User

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DMCIRCUIT.BPORT.TYPE


:CALC:FSIM:BAL:DMC:BPOR:PAR:C

:CALC<Ch>:FSIM:BAL:DMC:BPOR:PAR:C

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:PARameters:C <Value>

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:PARameters:C?

Description

This command sets/gets the C value of the differential matching circuit consisting of shunt L and shunt C (PLPC is specified with the :CALC:FSIM:BAL:DMC:BPOR for balance measurement

Variable

Parameter | Value
Description | C value of the differential matching circuit
Data Type | Numeric type (Real)
Range | -1E18 to 1E18
Preset Value | 0
Unit | F (farad)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:PAR:C " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:PAR:C?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:DMC:STAT

:CALC:FSIM:BAL:DMC:BPOR:PAR:G

:CALC:FSIM:BAL:DMC:BPOR:PAR:L

:CALC:FSIM:BAL:DMC:BPOR:PAR:R

:CALC:FSIM:BAL:DMC:BPOR

Equivalent Softkey

Analysis > Fixture Simulator > Diff Matching > C

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DMCIRCUIT.BPORT.PARAMETERS.C


:CALC:FSIM:BAL:DMC:BPOR:PAR:G

:CALC<Ch>:FSIM:BAL:DMC:BPOR:PAR:G

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:PARameters:G <Value>

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:PARameters:G?

Description

This command sets/gets the G value of the differential matching circuit consisting of shunt L and shunt C (PLPC is specified with the :CALC:FSIM:BAL:DMC:BPOR) for the balance measurement.

Variable

Parameter | Value
Description | G value of the differential matching circuit
Data Type | Numeric type (Real)
Range | -1E18 to 1E18
Preset Value | 0
Unit | S (siemens)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:PAR:G " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:PAR:G?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:DMC:BPOR:PAR:C

:CALC:FSIM:BAL:DMC:BPOR:PAR:L

:CALC:FSIM:BAL:DMC:BPOR:PAR:R

:CALC:FSIM:BAL:DMC:BPOR

:CALC:FSIM:BAL:DMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Diff Matching > G

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DMCIRCUIT.BPORT.PARAMETERS.G


:CALC:FSIM:BAL:DMC:BPOR:PAR:L

:CALC<Ch>:FSIM:BAL:DMC:BPOR:PAR:L

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:PARameters:L <Value>

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:PARameters:L?

Description

This command sets/gets the L value of the differential matching circuit consisting of shunt L and shunt C (PLPC is specified with the :CALC:FSIM:BAL:DMC:BPOR) for the balance measurement.

Variable

Parameter | Value
Description | L value of the differential matching circuit
Data Type | Double precision floating point type (Double)
Range | -1E18 to 1E18
Preset Value | 0
Unit | H
Resolution | 1E-18
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:PAR:L " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:PAR:L?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:DMC:BPOR:PAR:C

:CALC:FSIM:BAL:DMC:BPOR:PAR:G

:CALC:FSIM:BAL:DMC:BPOR:PAR:R

:CALC:FSIM:BAL:DMC:BPOR

:CALC:FSIM:BAL:DMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Diff Matching > L

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DMCIRCUIT.BPORT.PARAMETERS.L


:CALC:FSIM:BAL:DMC:BPOR:PAR:R

:CALC<Ch>:FSIM:BAL:DMC:BPOR:PAR:R

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:PARameters:R <Value>

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:PARameters:R?

Description

This command sets/gets the R value of the differential matching circuit consisting of shunt L and shunt C (PLPC is specified with the :CALC:FSIM:BAL:DMC:BPOR) for the balance measurement.

Variable

Parameter | Value
Description | R value of the differential matching circuit
Data Type | Double precision floating point type (Double)
Range | -1E18 to 1E18
Preset Value | 0
Unit | Ω
Resolution | 1E-18
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:PAR:R " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:PAR:R?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:DMC:BPOR:PAR:C

:CALC:FSIM:BAL:DMC:BPOR:PAR:G

:CALC:FSIM:BAL:DMC:BPOR:PAR:L

:CALC:FSIM:BAL:DMC:BPOR

:CALC:FSIM:BAL:DMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Diff Matching > R

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DMCIRCUIT.BPORT.PARAMETERS.R


:CALC:FSIM:BAL:DMC:BPOR:USER:FIL

:CALC<Ch>:FSIM:BAL:DMC:BPOR:USER:FIL

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:USER:FILename <String>

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:BPORt:USER:FILename?

Description

This command specifies the file in which the information on the user-defined differential matching circuit is saved (2-port touchstone file with the .s2p extension) for the balance measurement.

Specify the file name with the extension. When you use directory names (folder names) and file name, separate them with "\ " (back slash), or "/" (slash).

Even if the specified file does not exist, no error occurs when you execute this command. However, when you set the type of the differential matching circuit to the user-defined circuit with the :CALC:FSIM:BAL:DMC:BPOR, an error occurs when executed.

Variable

Parameter | String
Description | 2-port touchstone file name (extension: .s2p) for the differential matching circuit
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "D:\Myfile.s2p"
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:USER:FIL " & Var, True
Ena.WriteString ":CALC1:FSIM:BAL:DMC:BPOR:USER:FIL?", True
Var=Ena.ReadString

Related Commands

:CALC:FSIM:BAL:DMC:BPOR

:CALC:FSIM:BAL:DMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Diff Matching > User File...

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DMCIRCUIT.BPORT.USER.FILENAME


:CALC:FSIM:BAL:DMC:STAT

:CALC<Ch>:FSIM:BAL:DMC:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:STATe {ON|OFF|1|0}

:CALCulate<Ch>:FSIMulator:BALun:DMCircuit:STATe?

Description

This command turns ON/OFF the differential matching circuit embedding function when the fixture simulator function is ON for the balance measurement.

Variable

Parameter | Selection Option
Description | ON/OFF of the differential matching circuit embedding function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":CALC1:FSIM:BAL:DMC:STAT " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:DMC:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:DMC:BPOR:PAR:C

:CALC:FSIM:BAL:DMC:BPOR:PAR:G

:CALC:FSIM:BAL:DMC:BPOR:PAR:L

:CALC:FSIM:BAL:DMC:BPOR:PAR:R

:CALC:FSIM:BAL:DMC:BPOR:USER:FIL

:CALC:FSIM:BAL:DMC:BPOR

:CALC:FSIM:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Diff Matching > Diff Matching

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DMCIRCUIT.STATE


:CALC:FSIM:BAL:DZC:BPOR:IMAG

:CALC<Ch>:FSIM:BAL:DZC:BPOR:IMAG

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DZConversion:BPORt:IMAGinary <Value>

:CALCulate<Ch>:FSIMulator:BALun:DZConversion:BPORt:IMAGinary?

Description

This command sets/gets the impedance value (imaginary part) for the differential port impedance conversion function.

Variable

Parameter | Value
Description | Impedance value (imaginary part) for the differential port impedance conversion function
Data Type | Numeric type (Real)
Range | -1E+18 to 1E+18
Preset Value | 0
Unit | Ω
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:BAL:DZC:BPOR:IMAG" & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:DZC:BPOR:IMAG?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:DZC:BPOR:REAL

:CALC:FSIM:BAL:DZC:BPOR:Z0

:CALC:FSIM:BAL:DZC:STAT

:CALC:FSIM:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Diff ZConversion > Port1 (bal) Imag

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DZCONVERSION.BPORT.IMAGINARY


:CALC:FSIM:BAL:DZC:BPOR:REAL

:CALC<Ch>:FSIM:BAL:DZC:BPOR:REAL

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DZConversion:BPORt:REAL <Value>

:CALCulate<Ch>:FSIMulator:BALun:DZConversion:BPORt:REAL?

Description

This command sets/gets the impedance value (real part) for the differential port impedance conversion function for the balance port.

  • This command performs in the same way as :CALC:FSIM:BAL:DZC:BPOR:Z0

Variable

Parameter | Value
Description | Impedance value (real part) for the differential port impedance conversion function
Data Type | Numeric type (Real)
Range | 1m to 10M
Preset Value | 100
Unit | Ω
Resolution | 0.001
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ena.WriteString ":CALC1:FSIM:BAL:DZC:BPOR:REAL" & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:DZC:BPOR:REAL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:DZC:BPOR:IMAG

:CALC:FSIM:BAL:DZC:BPOR:Z0

:CALC:FSIM:BAL:DZC:STAT

:CALC:FSIM:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Diff ZConversion > Port1 (bal) Real

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DZCONVERSION.BPORT.REAL


:CALC:FSIM:BAL:DZC:BPOR:Z0

:CALC<Ch>:FSIM:BAL:DZC:BPOR:Z0

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DZConversion:BPORt:Z0[:R] <Value>

:CALCulate<Ch>:FSIMulator:BALun:DZConversion:BPORt:Z0[:R]?

Description

This command sets/gets the impedance value for the differential port impedance conversion function for the balance port.

      • This command clears setting value of :CALC:FSIM:BAL:DZC:BPOR:REAL

Variable

Parameter | Value
Description | Impedance value for the differential port impedance conversion function
Data Type | Numeric type (Real)
Range | 1m ~ 10M
Preset Value | 100
Unit | Ω
Resolution | 0.001
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 75
Ena.WriteString ":CALC1:FSIM:BAL:DZC:BPOR:Z0" & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:DZC:BPOR:Z0?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:DZC:BPOR:IMAG

:CALC:FSIM:BAL:DZC:BPOR:REAL

:CALC:FSIM:BAL:DZC:STAT

:CALC:FSIM:STAT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DZCONVERSION.BPORT.Z0.R


:CALC:FSIM:BAL:DZC:STAT

:CALC<Ch>:FSIM:BAL:DZC:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:DZConversion:STATe {ON|OFF|1|0}

:CALCulate<Ch>:FSIMulator:BALun:DZConversion:STATe?

Description

This command turns ON/OFF the common port impedance conversion function when the fixture simulator function is ON for the balance measurement.

Variable

Parameter | Selection Option
Description | ON/OFF of the common port impedance conversion function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":CALC1:FSIM:BAL:DZC:STAT " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:DZC:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:BAL:DZC:BPOR:IMAG

:CALC:FSIM:BAL:DZC:BPOR:REAL

:CALC:FSIM:BAL:DZC:BPOR:Z0

:CALC:FSIM:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Diff ZConversion > Diff ZConversion

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.DZCONVERSION.STATE


:CALC:FSIM:BAL:PAR:BAL

:CALC<Ch>:FSIM:BAL:PAR<Tr>:BAL

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:PARameter<Tr>:BALanced[:DEFine] {SDD11|SCD11|SDC11|SCC11}

:CALCulate<Ch>:FSIMulator:BALun:PARameter<Tr>:BALanced[:DEFine]?

Description

This command sets/gets the measurement parameter for the balance measurement.

Variable

Parameter | Selection Option
Description | Measurement parameter
Data Type | Character string type (String)
Range | SDD11|SCD11|SDC11|SCC11
Preset Value | "SDD11"

Query Response

{SDD11|SCD11|SDC11|SCC11}<newline><^END>

Examples

Dim Var as String
Var= "SDD11"
Ena.WriteString ":CALC1:FSIM:BAL:PAR1:BAL " & Var, True
Ena.WriteString ":CALC1:FSIM:BAL:PAR1:BAL?", True
Var=Ena.ReadString

Equivalent Softkey

Measurement > Measurement

Analysis > Fixture Simulator > Measurement > Measurement

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.PARAMETER(Tr).BALANCED.DEFINE


:CALC:FSIM:BAL:PAR:STAT

:CALC<Ch>:FSIM:BAL:PAR<Tr>:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:PARameter<Tr>:STATe {ON|OFF|1|0}

:CALCulate<Ch>:FSIMulator:BALun:PARameter<Tr>:STATe?

Description

This command sets/gets balanced parameter ON/OFF state.

Variable

Parameter | Selection Option
Description | ON/OFF of the balance-unbalance conversion function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FSIM:BAL:PAR1:STAT " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:PAR1:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:STAT

Equivalent Softkey

Analysis > Fixture Simulator > BalUn

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.PARAMETER(Tr).STATE


:CALC:FSIM:BAL:TOP:BAL

:CALC<Ch>:FSIM:BAL:TOP:BAL

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:TOPology:BALanced[:PPORts] <Value1>, <Value2>

:CALCulate<Ch>:FSIMulator:BALun:TOPology:BALanced[:PPORts]?

Description

This command assigns each port when the balance device type is "balance".

Variable

Parameter | Value1
Description | Port a in Balance device type
Data Type | Numeric type (Integer)
Range | 1 to 2
Preset Value | 1
Resolution | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed. If you specify the same port number to 2 or more port numbers, an error occurs when executed.

Parameter | Value2
Description | Port b in Balance device type
Data Type | Numeric type (Integer)
Range | 1 to 2
Preset Value | 2
Resolution | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed. If you specify the same port number to 2 or more port numbers, an error occurs when executed.

Query Response

{numeric1}, {numeric2}<newline><^END>

Examples

Dim Var as Multiple
Var= 1
Ena.WriteString ":CALC1:FSIM:BAL:TOP:BAL " & Str(Var) & "," & Str(Var2), True
Ena.WriteString ":CALC1:FSIM:BAL:TOP:BAL?", True
Var=Ena.ReadNumber

Equivalent Softkey

Analysis > Fixture Simulator > Topology > Port1(bal)

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.TOPOLOGY.BALANCED.PPORTS


:CALC:FSIM:BAL:TOP:PROP:STAT

:CALC<Ch>:FSIM:BAL:TOP:PROP:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:BALun:TOPology:PROPerty:STATe {ON|OFF|1|0}

:CALCulate<Ch>:FSIMulator:BALun:TOPology:PROPerty:STATe?

Description

This command turns on/off the property display for the topology setting when using the balance-unbalance conversion.

Variable

Parameter | Selection Option
Description | On/off of the property display of the topology setting
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FSIM:BAL:TOP:PROP:STAT" & Str(Var), True
Ena.WriteString ":CALC1:FSIM:BAL:TOP:PROP:STAT?", True
Var=Ena.ReadNumber

Equivalent Softkey

Analysis > Fixture Simulator > Topology > Property

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.BALUN.TOPOLOGY.PROPERTY.STATE


:CALC:FSIM:SEND:DEEM:PORT

:CALC<Ch>:FSIM:SEND:DEEM:PORT<Pt>

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:DEEMbed:PORT<Pt>[:TYPE] {NONE|USER}

:CALCulate<Ch>:FSIMulator:SENDed:DEEMbed:PORT<Pt>[:TYPE]?

Description

This command sets/gets the type of the network de-embedding.

Variable

Parameter | Selection Option
Description | Type of the network de-embedding
Data Type | Character string type (String)
Range | NONE|USER
Preset Value | "NONE"
Note | If you want to select the user-defined network de-embedding, you must specify the 2-port touchstone file in which the information on the user-defined network is saved in advance. If you do not specify the appropriate file and you select the user-defined network de-embedding, an error occurs when executed and NONE is automatically selected.

Query Response

{NONE|USER}<newline><^END>

Examples

Dim Var as String
Var= "NONE"
Ena.WriteString ":CALC1:FSIM:SEND:DEEM:PORT1 " & Var, True
Ena.WriteString ":CALC1:FSIM:SEND:DEEM:PORT1?", True
Var=Ena.ReadString

Related Commands

:CALC:FSIM:SEND:DEEM:PORT:USER:FIL

:CALC:FSIM:SEND:DEEM:STAT

:SENS:CORR:COLL:ECAL:ORI

Equivalent Softkey

Analysis > Fixture Simulator > De-Embedding > Select Type

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.DEEMBED.PORT(Pt).TYPE


:CALC:FSIM:SEND:DEEM:PORT:USER:FIL

:CALC<Ch>:FSIM:SEND:DEEM:PORT<Pt>:USER:FIL

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:DEEMbed:PORT<Pt>:USER:FILename <String>

:CALCulate<Ch>:FSIMulator:SENDed:DEEMbed:PORT<Pt>:USER:FILename?

Description

This command specifies the file in which the information on the user-defined network for the network de-embedding function is saved. This file is saved as a 2-port touchstone file with the .s2p extension.

Specify the file name with the extension. When you use directory names (folder names) and file name, separate them with "\ " (back slash), or "/" (slash).

Even if the specified file does not exist, no error occurs when you execute this command. However, when you set the type of the network de-embedding to the user-defined network with the :CALC:FSIM:SEND:DEEM:PORT, an error occurs.

Variable

Parameter | String
Description | 2-port touchstone file name (extension: .s2p) for the network de-embedding function
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "D:\Myfile.s2p"
Ena.WriteString ":CALC1:FSIM:SEND:DEEM:PORT1:USER:FIL " & Var, True
Ena.WriteString ":CALC1:FSIM:SEND:DEEM:PORT1:USER:FIL?", True
Var=Ena.ReadString

Related Commands

:CALC:FSIM:SEND:DEEM:PORT

:CALC:FSIM:SEND:DEEM:STAT

Equivalent Softkey

Analysis > Fixture Simulator > De-Embedding > User File...

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.DEEMBED.PORT(Pt).USER.FILENAME


:CALC:FSIM:SEND:DEEM:STAT

:CALC<Ch>:FSIM:SEND:DEEM:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:DEEMbed:STATe {ON|OFF|1|0}

:CALCulate<Ch>:FSIMulator:SENDed:DEEMbed:STATe?

Description

This command sets/gets de-embedding network ON/OFF state.

Variable

Parameter | Selection Option
Description | ON/OFF of the network de-embedding function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FSIM:SEND:DEEM:STAT " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:DEEM:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:DEEM:PORT

Equivalent Softkey

Analysis > Fixture Simulator > De-Embedding > De-Embedding

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.DEEMBED.STATE


:CALC:FSIM:SEND:PMC:PORT

:CALC<Ch>:FSIM:SEND:PMC:PORT<Pt>

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>[:TYPE] {NONE|SLPC|PCSL|PLSC|SCPL|PLPC|SCPC|PCSC|SLPL|PLSL|USER}

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>[:TYPE]?

Description

This command selects the type of the matching circuit.

Variable

Parameter | Selection Option
Description | Type of the matching circuit
Data Type | Character string type (String)
Range | Select from the following. "NONE": Specifies no-circuit. "SLPC": Specifies the circuit that consists of series L and shunt C. "PCSL": Specifies the circuit that consists of shunt C and series L. "PLSC": Specifies the circuit that consists of shunt L and series C. "SCPL": Specifies the circuit that consists of series C and shunt L. "PLPC": Specifies the circuit that consists of shunt L and shunt C. "SCPC": Specifies the circuit that consists of series C and shunt C. "PCSC": Specifies the circuit that consists of shunt C and series C. "SLPL": Specifies the circuit that consists of series L and shunt L. "PLSL": Specifies the circuit that consists of shunt L and series L. "USER": Specifies the user-defined circuit.
Preset Value | "NONE"
Note | If you want to select the user-defined circuit, you must specify the 2-port touchstone file in which the proper information on the user-defined circuit is saved in advance. If you do not specify the appropriate file and you select the user-defined circuit, an error occurs when executed and NONE is automatically selected.

Query Response

{NONE|SLPC|PCSL|PLSC|SCPL|PLPC|SCPC|PCSC|SLPL|PLSL|USER}<newline><^END>

Examples

Dim Var as String
Var= "NONE"
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1" & Var, True
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1?", True
Var=Ena.ReadString

Related Commands

:CALC:FSIM:SEND:PMC:PORT:PAR:C

:CALC:FSIM:SEND:PMC:PORT:PAR:G

:CALC:FSIM:SEND:PMC:PORT:PAR:L

:CALC:FSIM:SEND:PMC:PORT:PAR:R

:CALC:FSIM:SEND:PMC:PORT:USER:FIL

:CALC:FSIM:SEND:PMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Port Matching > Select Circuit > None

Analysis > Fixture Simulator > Port Matching > Select Circuit > SeriesL-ShuntC

Analysis > Fixture Simulator > Port Matching > Select Circuit > ShuntC-SeriesL

Analysis > Fixture Simulator > Port Matching > Select Circuit > ShuntL-SeriesC

Analysis > Fixture Simulator > Port Matching > Select Circuit > SeriesC-ShuntL

Analysis > Fixture Simulator > Port Matching > Select Circuit > ShuntL-SeriesC

Analysis > Fixture Simulator > Port Matching > Select Circuit > SeriesC-ShuntC

Analysis > Fixture Simulator > Port Matching > Select Circuit > ShuntC-SeriesC

Analysis > Fixture Simulator > Port Matching > Select Circuit > SeriesL-ShuntL

Analysis > Fixture Simulator > Port Matching > Select Circuit > ShuntL-SeriesL

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.PMCIRCUIT.PORT(Pt).TYPE


:CALC:FSIM:SEND:PMC:PORT:PAR:C

:CALC<Ch>:FSIM:SEND:PMC:PORT<Pt>:PAR:C<No>

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:PARameters:C<No> <Value>

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:PARameters:C<No>?

Description

This command sets the C value of the matching circuit specified with the :CALC:FSIM:SEND:PMC:PORT.

<No> C (C1): 1, C2: 2

Variable

Parameter | Value
Description | C value of the matching circuit
Data Type | Numeric type (Real)
Range | -1E18 to 1E18
Preset Value | 0
Unit | F (farad)
Resolution | 1E-18
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:PAR:C1" & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:PAR:C1?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:PMC:PORT

:CALC:FSIM:SEND:PMC:PORT:PAR:G

:CALC:FSIM:SEND:PMC:PORT:PAR:L

:CALC:FSIM:SEND:PMC:PORT:PAR:R

:CALC:FSIM:SEND:PMC:PORT

Equivalent Softkey

Analysis > Fixture Simulator > Port Matching > C (C1)

Analysis > Fixture Simulator > Port Matching > C2

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.PMCIRCUIT.PORT(Pt).PARAMETERS.C(No)


:CALC:FSIM:SEND:PMC:PORT:PAR:G

:CALC<Ch>:FSIM:SEND:PMC:PORT<Pt>:PAR:G<No>

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:PARameters:G<No> <Value>

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:PARameters:G<No>?

Description

This command sets/gets the G value of the matching circuit specified with the :CALC:FSIM:SEND:PMC:PORT.

<No> G (G1): 1, G2: 2

Variable

Parameter | Value
Description | G value of the matching circuit
Data Type | Numeric type (Real)
Range | -1E18 to 1E18
Preset Value | 0
Unit | S (siemens)
Resolution | 1E-18
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:PAR:G1" & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:PAR:G1?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:PMC:PORT

:CALC:FSIM:SEND:PMC:PORT:PAR:C

:CALC:FSIM:SEND:PMC:PORT:PAR:L

:CALC:FSIM:SEND:PMC:PORT:PAR:R

:CALC:FSIM:SEND:PMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Port Matching > G (G1)

Analysis > Fixture Simulator > Port Matching > G2

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.PMCIRCUIT.PORT(Pt).PARAMETERS.G(No)


:CALC:FSIM:SEND:PMC:PORT:PAR:L

:CALC<Ch>:FSIM:SEND:PMC:PORT<Pt>:PAR:L<No>

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:PARameters:L<No> <Value>

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:PARameters:L<No>?

Description

This command sets the L value of the matching circuit specified with t with the :CALC:FSIM:SEND:PMC:PORT.

<No> L (L1): 1, L2: 2

Variable

Parameter | Value
Description | L value of the matching circuit
Data Type | Numeric type (Real)
Range | -1E18 to 1E18
Preset Value | 0
Unit | H (henry)
Resolution | 1E-18
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:PAR:L1" & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:PAR:L1?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:PMC:PORT

:CALC:FSIM:SEND:PMC:PORT:PAR:C

:CALC:FSIM:SEND:PMC:PORT:PAR:G

:CALC:FSIM:SEND:PMC:PORT:PAR:R

:CALC:FSIM:SEND:PMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Port Matching > L (L1)

Analysis > Fixture Simulator > Port Matching > L2

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.PMCIRCUIT.PORT(Pt).PARAMETERS.L(No)


:CALC:FSIM:SEND:PMC:PORT:PAR:R

:CALC<Ch>:FSIM:SEND:PMC:PORT<Pt>:PAR:R<No>

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:PARameters:R<No> <Value>

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:PARameters:R<No>?

Description

This command sets/gets the R value of the matching circuit specified with the :CALC:FSIM:SEND:PMC:PORT.

<No> R (R1): 1, R2: 2

Variable

Parameter | Value
Description | R value of the matching circuit
Data Type | Numeric type (Real)
Range | -1E18 to 1E18
Preset Value | 0
Unit | Ω
Resolution | 1E-18
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:PAR:R" & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:PAR:R?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:PMC:PORT

:CALC:FSIM:SEND:PMC:PORT:PAR:C

:CALC:FSIM:SEND:PMC:PORT:PAR:L

:CALC:FSIM:SEND:PMC:PORT:PAR:G

:CALC:FSIM:SEND:PMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Port Matching > R (R1)

Analysis > Fixture Simulator > Port Matching > R2

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.PMCIRCUIT.PORT(Pt).PARAMETERS.R(No)


:CALC:FSIM:SEND:PMC:PORT:USER:FIL

:CALC<Ch>:FSIM:SEND:PMC:PORT<Pt>:USER:FIL

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:USER:FILename <String>

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:PORT<Pt>:USER:FILename?

Description

This command specifies the file in which the information on the user-defined matching circuit is saved (2-port touchstone file).

Specify the file name with the extension. When you use directory names (folder names) and file name, separate them with "\ " (back slash), or "/" (slash).

Even if the specified file does not exist, no error occurs when you execute this command. However, when you set the type of the matching circuit to the user-defined circuit with the :CALC:FSIM:SEND:PMC:PORT, an error occurs.

Variable

Parameter | String
Description | 2-port touchstone file name (extension: .s2p) for the matching circuit
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "D:\Myfile.s2p"
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:USER:FIL " & Var, True
Ena.WriteString ":CALC1:FSIM:SEND:PMC:PORT1:USER:FIL?", True
Var=Ena.ReadString

Related Commands

:CALC:FSIM:SEND:PMC:PORT

:CALC:FSIM:SEND:PMC:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Port Matching > User File...

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.PMCIRCUIT.PORT(Pt).USER.FILENAME


:CALC:FSIM:SEND:PMC:STAT

:CALC<Ch>:FSIM:SEND:PMC:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:STATe {ON|OFF|1|0}

:CALCulate<Ch>:FSIMulator:SENDed:PMCircuit:STATe?

Description

This command turns ON/OFF the matching circuit embedding function when the fixture simulator function is ON.

Variable

Parameter | Selection Option
Description | ON/OFF of the matching circuit embedding function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FSIM:SEND:PMC:STAT" & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:PMC:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:PMC:PORT

:CALC:FSIM:SEND:PMC:PORT:PAR:C

:CALC:FSIM:SEND:PMC:PORT:PAR:G

:CALC:FSIM:SEND:PMC:PORT:PAR:L

:CALC:FSIM:SEND:PMC:PORT:PAR:R

:CALC:FSIM:SEND:PMC:PORT:USER:FIL

:CALC:FSIM:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Port Matching > Port Matching

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.PMCIRCUIT.STATE


:CALC:FSIM:SEND:ZCON:PORT:IMAG

:CALC<Ch>:FSIM:SEND:ZCON:PORT<Pt>:IMAG

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:ZCONversion:PORT<Pt>:IMAGinary <Value>

:CALCulate<Ch>:FSIMulator:SENDed:ZCONversion:PORT<Pt>:IMAGinary?

Description

This command sets/gets the impedance value (imaginary part) for the port impedance conversion function.

Variable

Parameter | Value
Description | Impedance value (imaginary part) for the port impedance conversion function
Data Type | Numeric type (Real)
Range | -1E+18 to 1E+18
Preset Value | 0
Unit | Ω
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC1:FSIM:SEND:ZCON:PORT1:IMAG " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:ZCON:PORT1:IMAG?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:ZCON:PORT:REAL

:CALC:FSIM:SEND:ZCON:PORT:Z0

:CALC:FSIM:SEND:ZCON:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Port ZConversion > Port1 Z0 Imag

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.ZCONVERSION.PORT(Pt).IMAGINARY


:CALC:FSIM:SEND:ZCON:PORT:REAL

:CALC<Ch>:FSIM:SEND:ZCON:PORT<Pt>:REAL

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:ZCONversion:PORT<Pt>:REAL <Value>

:CALCulate<Ch>:FSIMulator:SENDed:ZCONversion:PORT<Pt>:REAL?

Description

This command sets/gets the impedance value (real part) for the port impedance conversion function.

Variable

Parameter | Value
Description | Impedance value (real part) for the port impedance conversion function
Data Type | Numeric type (Real)
Range | 1m ~ 10M
Preset Value | 50
Unit | Ω
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ena.WriteString ":CALC1:FSIM:SEND:ZCON:PORT1:REAL " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:ZCON:PORT1:REAL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:ZCON:PORT:IMAG

:CALC:FSIM:SEND:ZCON:PORT:Z0

:CALC:FSIM:SEND:ZCON:STAT

Equivalent Softkey

Analysis > Fixture Simulator > Port ZConversion > Port1 Z0 Real

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.ZCONVERSION.PORT(Pt).REAL


:CALC:FSIM:SEND:ZCON:PORT:Z0

:CALC<Ch>:FSIM:SEND:ZCON:PORT<Pt>:Z0

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:ZCONversion:PORT<Pt>:Z0[:R] <Value>

:CALCulate<Ch>:FSIMulator:SENDed:ZCONversion:PORT<Pt>:Z0[:R]?

Description

This command sets/gets the impedance value for the port impedance conversion function.

Variable

Parameter | Value
Description | Impedance value for the port impedance conversion function
Data Type | Numeric type (Real)
Range | 1m ~ 10M
Preset Value | 50
Unit | Ω
Resolution | 0.001
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ena.WriteString ":CALC1:FSIM:SEND:ZCON:PORT1:Z0 " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:ZCON:PORT1:Z0?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:ZCON:PORT:IMAG

:CALC:FSIM:SEND:ZCON:PORT:REAL

:CALC:FSIM:SEND:ZCON:STAT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.ZCONVERSION.PORT(Pt).Z0.R


:CALC:FSIM:SEND:ZCON:STAT

:CALC<Ch>:FSIM:SEND:ZCON:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:SENDed:ZCONversion:STATe {ON|OFF|1|0}

:CALCulate<Ch>:FSIMulator:SENDed:ZCONversion:STATe?

Description

This command turns ON/OFF the port impedance conversion function when the fixture simulator function is ON.

Variable

Parameter | Selection Option
Description | ON/OFF of the port impedance conversion function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FSIM:SEND:ZCON:STAT " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:SEND:ZCON:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:FSIM:SEND:ZCON:PORT:IMAG

:CALC:FSIM:SEND:ZCON:PORT:REAL

:CALC:FSIM:SEND:ZCON:PORT:Z0

Equivalent Softkey

Analysis > Fixture Simulator > Port ZConversion > Port ZConversion

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.SENDED.ZCONVERSION.STATE


:CALC:FSIM:STAT

:CALC<Ch>:FSIM:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>:FSIMulator:STATe {ON|OFF|1|0}

:CALCulate<Ch>:FSIMulator:STATe?

Description

This command turns ON/OFF the fixture simulator function.

Variable

Parameter | Selection Option
Description | ON/OFF of the fixture simulator function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:FSIM:STAT " & Str(Var), True
Ena.WriteString ":CALC1:FSIM:STAT?", True
Var=Ena.ReadNumber

Equivalent Softkey

Analysis > Fixture Simulator > Fixture Simulator

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).FSIMULATOR.STATE


:CALC:HOLD

:CALC<Ch>:HOLD

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:HOLD:[:TYPE] {OFF|MIN|MAX}

:CALCulate<Ch>[:SELected]:HOLD:[:TYPE] ?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:HOLD:[:TYPE] {OFF|MIN|MAX}

:CALCulate<Ch>:TRACe<Tr>:HOLD:[:TYPE] ?

Description

This command sets/gets maximum/minimum trace hold function to hold the active trace at the maximum or minimum point.

Variable

Parameter | Selection Option
Description | Hold the active trace at the maximum or minimum point.
Data Type | Character string type (String)
Range | Select from the following: "OFF": Turns off the trace hold function. "MiNimum": Holds the active trace at the minimum point. "MAXimum": Holds the active trace at the maximum point.
Preset Value | "OFF"

Query Response

{OFF|MIN|MAX}<newline><^END>

Examples

Dim Var as String
Var="MIN"
Ena.WriteString ":CALC1:HOLD" & Var, True
Ena.WriteString ":CALC1:HOLD?", True
Var=Ena.ReadString

Related Commands

:CALC:HOLD:CLE

Equivalent Softkey

Display > Data Hold > OFF|Minimum|Maximum

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.HOLD.TYPE

SCPI.CALCULATE(Ch).TRACE(Tr).HOLD.TYPE


:CALC:HOLD:CLE

:CALC<Ch>:HOLD:CLE

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:HOLD:CLEar

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:HOLD:CLEar

Description

This command clears/resets the trace hold function that holds the active trace at either the maximum or minimum point.

Examples

Ena.WriteString ":CALC1:HOLD:CLE", True

Related Commands

:CALC:HOLD

Equivalent Softkey

Display > Data Hold > Restart

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.HOLD.CLEAR

SCPI.CALCULATE(Ch).TRACE(Tr).HOLD.CLEAR


:CALC:LIM

:CALC<Ch>:LIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:LIMit[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:LIMit[:STATe]?

Description

This command turns ON/OFF the limit test function.

Variable

Parameter | Selection Option
Description | ON/OFF of the limit test function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:LIM " & Str(Var), True
Ena.WriteString ":CALC1:LIM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:LIM:DISP

:CALC:PAR:SEL

:DISP:FSIG

Equivalent Softkey

Analysis > Limit Test > Limit Test

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.STATE


:CALC:LIM:DATA

:CALC<Ch>:LIM:DATA

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:DATA <Value>

:CALCulate<Ch>[:SELected]:LIMit:DATA?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit:DATA <Value>

:CALCulate<Ch>:TRACe<Tr>:LIMit:DATA?

Description

This command sets/gets the limit table for the limit test.

Variable

Parameter

Value

Description

Indicates the array data (for limit line) of 1 + Num (number of limit lines)*5. Where n is an integer between 1 and Num.

  • Data(0) :The number of limit lines you want to set. Specify an integer ranging 0 to 100. When the number of limit lines is set to 0 (clears the limit table), the variable Data is only required with Data(0).

  • Data(n*5-4) :The type of the n-th line.

Specify an integer 0 to 2 as follows.

0: OFF

1: Upper limit line

2: Lower limit line

  • Data(n*5-3) :The value on the horizontal axis (frequency/power/time) of the start point of the n-th line.

  • Data(n*5-2) :The value on the horizontal axis (frequency/power/time) of the end point of the n-th line.

  • Data(n*5-1) :The value on the vertical axis of the start point of the n-th line.

  • Data(n*5) :The value on the vertical axis of the end point of the n-th line.

The index of the array starts from 0.

Data Type

Variant type Array (Range)

Note

If there is no array data, an error occurs at execution and the object is ignored.

For Data(n×5-4) in the array data, if you specify an integer other than 0, 1 or 2, an error occurs at execution.

For Data(n×5-3), Data(n×5-2), Data(n×5-1), and Data(n×5) in the array data, if the specified value is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric 1},...{numeric 1+(n*5)}<newline><^END>

Examples

Dim Var(1 to 501) as Variant
Ena.WriteString ":CALC1:LIM:DATA" & Var(), True
Ena.WriteString ":CALC1:LIM:DATA?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:PAR:SEL

:CALC:LIM

:CALC:LIM:DISP

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.DATA

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.DATA


:CALC:LIM:DISP

:CALC<Ch>:LIM:DISP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:DISPlay[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:LIMit:DISPlay[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit:DISPlay[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:LIMit:DISPlay[:STATe]?

Description

This command turns ON/OFF the limit line display.

Variable

Parameter | Selection Option
Description | Limit line display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":CALC1:LIM:DISP" & Str(Var), True
Ena.WriteString ":CALC1:LIM:DISP?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

:CALC:LIM

Equivalent Softkey

Analysis > Limit Test > Limit Line

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.DISPLAY.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.DISPLAY.STATE


:CALC:LIM:FAIL

:CALC<Ch>:LIM:FAIL

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:FAIL?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit:FAIL?

Description

This command returns the limit test pass/fail.

Variable

Query Response

{1|0}<newline><^END>

1: Fail

0: Pass

Examples

Dim Var as String
Ena.WriteString ":CALC1:LIM:FAIL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:LIM

:DISP:FSIG

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.FAIL

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.FAIL


:CALC:LIM:OFFS:AMPL

:CALC<Ch>:LIM:OFFS:AMPL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:AMPLitude <Value>

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:AMPLitude?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit:OFFSet:AMPLitude <Value>

:CALCulate<Ch>:TRACe<Tr>:LIMit:OFFSet:AMPLitude?

Description

This command sets/gets the limit line offset of response. The setting of the limit line does not change even if the offset value is changed.

Variable

Parameter | Value
Description | The limit line offset of Response (Vertical offset)
Data Type | Numeric type (Real)
Range | -500M to 500M
Preset Value | 0
Unit | Varies depending on the data format. Log magnitude (MLOG): dB (decibel) Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree) Group delay (GDEL): s (second) Others: No unit

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -500000000
Ena.WriteString ":CALC1:LIM:OFFS:AMPL " & Str(Var), True
Ena.WriteString ":CALC1:LIM:OFFS:AMPL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:LIM

:CALC:LIM:OFFS:MARK

:CALC:LIM:OFFS:STIM

Equivalent Softkey

Analysis > Limit Test > Limit Line Offsets > Amplitude Offset

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.OFFSET.AMPLITUDE

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.OFFSET.AMPLITUDE


:CALC:LIM:OFFS:MARK

:CALC<Ch>:LIM:OFFS:MARK

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:MARKer

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit:OFFSet:MARKer

Description

This command sets the active marker value to amplitude offset using the limit line. The setting of the limit line does not change even if the offset value is changed. When the markers are not displayed, this command does not operate.

Examples

Ena.WriteString ":CALC1:LIM:OFFS:MARK", True

Related Commands

:CALC:LIM

:CALC:LIM:OFFS:AMPL

:CALC:LIM:OFFS:STIM

Equivalent Softkey

Analysis > Limit Test > Limit Line Offsets > Marker > Amplitude Offset

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.OFFSET.MARKER

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.OFFSET.MARKER


:CALC:LIM:OFFS:STIM

:CALC<Ch>:LIM:OFFS:STIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:STIMulus <Value>

:CALCulate<Ch>[:SELected]:LIMit:OFFSet:STIMulus?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit:OFFSet:STIMulus <Value>

:CALCulate<Ch>:TRACe<Tr>:LIMit:OFFSet:STIMulus?

Description

This command sets/gets the stimulus offset of the limit line.

      • The setting of the limit line doesn't change even if the offset value is changed.

Variable

Parameter | Value
Description | The stimulus offset of the limit line
Data Type | Numeric type (Real)
Range | -1T to 1T
Preset Value | 0
Unit | Hz (hertz), s (second), m (meter), ft (feet) or in (inches)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -10000000000
Ena.WriteString ":CALC1:LIM:OFFS:STIM " & Str(Var), True
Ena.WriteString ":CALC1:LIM:OFFS:STIM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:LIM

:CALC:LIM:OFFS:AMPL

:CALC:LIM:OFFS:MARK

Equivalent Softkey

Analysis > Limit Test > Limit Line Offsets > Stimulus Offset

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.OFFSET.STIMULUS

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.OFFSET.STIMULUS


:CALC:LIM:REP

:CALC<Ch>:LIM:REP

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:REPort[:DATA]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit:REPort[:DATA]?

Description

This command returns the stimulus values at all the measurement points that failed the limit test.

Variable

Query Response

{numeric 1} ... {numeric NOP}<newline><^END>

NOP is the value retuned with :CALC:LIM:REP:POIN.

Examples

Dim Var as Variant
Ena.WriteString ":CALC1:LIM:REP?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:LIM

:CALC:LIM:REP:POIN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.REPORT.DATA

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.REPORT.DATA


:CALC:LIM:REP:ALL

:CALC<Ch>:LIM:REP:ALL

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:REPort:ALL?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit:REPort:ALL?

Description

This command reads the limit test results (stimulus value, limit test result, upper limit value and lower limit value of all measurement points).

Variable

Query Response

{numeric 1} ... {numeric NOP×4}<newline><^END>

NOP is the number of measurement points.

  • {numeric n×4-3} : Stimulus value for the measurement point.

  • {numeric n×4-2} : Limit test result (-1: No limit, 0: Fail, 1: Pass)

  • {numeric n×4-1} : Upper limit value at the measurement point. (If there is no limit at this point, reads out the 0.)

  • {numeric n×4} : Lower limit value at the measurement point. (If there is no limit at this point, reads out the 0.)

Examples

This sample requires manual modification
Dim Var as Variant
Ena.WriteString ":CALC1:LIM:REP:ALL?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:LIM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.REPORT.ALL

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.REPORT.ALL


:CALC:LIM:REP:POIN

:CALC<Ch>:LIM:REP:POIN

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:LIMit:REPort:POINts?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:LIMit:REPort:POINts?

Description

This command returns the number of the failed points of the limit test.

Variable

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":CALC1:LIM:REP:POIN?", True
Var=Ena.ReadNumber

Related Commands

:CALC:LIM

:CALC:LIM:REP

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.LIMIT.REPORT.POINTS

SCPI.CALCULATE(Ch).TRACE(Tr).LIMIT.REPORT.POINTS


:CALC:MARK

:CALC<Ch>:MARK<Mk>

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer<Mk>[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>[:STATe]?

Description

This command turns ON/OFF the display of marker 1 to 9 (Mk) and reference marker (Mk:10).

Variable

Parameter | Selection Option
Description | ON/OFF of display of markers 1 to 9 and reference marker
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK1 " & Str(Var), True
Ena.WriteString ":CALC1:MARK1?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

Equivalent Softkey

Marker > Clear Marker Menu > {Marker n} | Ref Marker

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).STATE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).STATE


:CALC:MARK:ACT

:CALC<Ch>:MARK<Mk>:ACT

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:ACTivate

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:ACTivate

Description

This command sets the marker 1 to 9 (Mk) and reference marker (Mk:10) to the active marker.

Examples

Ena.WriteString ":CALC1:MARK1:ACT", True

Related Commands

:CALC:PAR:SEL

:DISP:WIND:ACT

:SERV:CHAN:TRAC:MARK:ACT

Equivalent Softkey

Marker > {Marker n}

Marker > Ref Maker

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).ACTIVATE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).ACTIVATE


:CALC:MARK:BWID

:CALC<Ch>:MARK:BWID

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:BWIDth[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:BWIDth[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:BWIDth[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer:BWIDth[:STATe]?

Description

This command turns ON/OFF the bandwidth search result display.

Variable

Parameter | Selection Option
Description | ON/OFF of the bandwidth search result display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK:BWID " & Str(Var), True
Ena.WriteString ":CALC1:MARK:BWID?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:BWID:DATA

:CALC:MARK:BWID:THR

Equivalent Softkey

Marker Search > Bandwidth

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.BWIDTH.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.BWIDTH.STATE


:CALC:MARK:BWID:DATA

:CALC<Ch>:MARK<Mk>:BWID:DATA

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:BWIDth:DATA?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:BWIDth:DATA?

Description

This command reads the bandwidth search result of marker 1 to 9 (Mk) and reference marker (Mk:10).

If the bandwidth search is impossible, an error occurs when executed and the object is ignored.

Variable

Query Response

{numeric 1}, {numeric 2}, {numeric 3}, {numeric 4}<newline><^END>

  • {numeric 1} : Bandwidth.

  • {numeric 2} : Center point frequency of the 2 cutoff frequency points.

  • {numeric 3} : Q value.

  • {numeric 4} : Insertion loss

Examples

Dim Var as Variant
Ena.WriteString ":CALC1:MARK1:BWID:DATA?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

:CALC:MARK:BWID

:CALC:MARK:BWID:THR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).BWIDTH.DATA

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).BWIDTH.DATA


:CALC:MARK:BWID:THR

:CALC<Ch>:MARK<Mk>:BWID:THR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:BWIDth:THReshold <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:BWIDth:THReshold?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:BWIDth:THReshold <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:BWIDth:THReshold?

Description

This command sets/gets the bandwidth definition value (the value to define the pass-band of the filter) of marker 1 to 9 (Mk) and reference marker (Mk:10).

Variable

Parameter | Value
Description | Bandwidth definition value (the value to define the pass band of the filter)
Data Type | Numeric type (Real)
Range | -500M to 500M
Preset Value | -3
Unit | Varies depending on the data format. Log magnitude (MLOG): dB (decibel) Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree) Group delay (GDEL): s (second) Others: No unit
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -5
Ena.WriteString ":CALC1:MARK1:BWID:THR " & Str(Var), True
Ena.WriteString ":CALC1:MARK1:BWID:THR?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:BWID

Equivalent Softkey

Marker Search > Bandwidth Value

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).BWIDTH.THRESHOLD

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).BWIDTH.THRESHOLD


:CALC:MARK:COUP

:CALC<Ch>:MARK:COUP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:COUPle {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:COUPle?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:COUPle {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer:COUPle?

Description

This command turns ON/OFF the marker coupling between traces.

Variable

Parameter | Selection Option
Description | ON/OFF of the marker coupling between traces
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK:COUP " & Str(Var), True
Ena.WriteString ":CALC1:MARK:COUP?", True
Var=Ena.ReadNumber

Equivalent Softkey

Marker Function > Couple

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.COUPLE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.COUPLE


:CALC:MARK:DISC

:CALC<Ch>:MARK:DISC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:DISCrete {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:DISCrete?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:DISCrete {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer:DISCrete?

Description

This command turns ON/OFF the discrete mode (mode in which the marker moves only at the measurement points).

Variable

Parameter | Selection Option
Description | ON/OFF of the marker discrete mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK:DISC" & Str(Var), True
Ena.WriteString ":CALC1:MARK:DISC?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

Equivalent Softkey

Marker Function > Discrete

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.DISCRETE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.DISCRETE


:CALC:MARK:FUNC:DOM

:CALC<Ch>:MARK:FUNC:DOM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:DOMain[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:DOMain[:STATe]?

Description

This command sets/gets whether to use an arbitrary range when executing the marker search.

      • When the trace coupling is off, the active trace is the target to be set.

Variable

Parameter | Selection Option
Description | Selection of the analysis range
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK:FUNC:DOM" & Str(Var), True
Ena.WriteString ":CALC1:MARK:FUNC:DOM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM:STAR

:CALC:MARK:FUNC:DOM:STOP

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Search Range > Search Range

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.DOMAIN.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.FUNCTION.DOMAIN.STATE


:CALC:MARK:FUNC:DOM:COUP

:CALC<Ch>:MARK:FUNC:DOM:COUP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:COUPle {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:COUPle?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:DOMain:COUPle {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:DOMain:COUPle?

Description

This command sets/gets the coupling of the marker search range for all traces.

Variable

Parameter | Selection Option
Description | ON/OFF of the trace coupling of the analysis range.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK:FUNC:DOM:COUP" & Str(Var), True
Ena.WriteString ":CALC1:MARK:FUNC:DOM:COUP?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Search Range > Couple

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.DOMAIN.COUPLE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.FUNCTION.DOMAIN.COUPLE


:CALC:MARK:FUNC:DOM:MULT

:CALC<Ch>:MARK:FUNC:DOM:MULT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:MULTiple[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:MULTiple[:STATe]?

Description

This command sets/gets the state of the multiple search range.

Variable

Parameter | Selection Option
Description | Multiple search range state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":CALC1:MARK:FUNC:DOM:MULT" & Str(Var), True
Ena.WriteString ":CALC1:MARK:FUNC:DOM:MULT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM:MULT:RANG

:CALC:MARK:FUNC:DOM:MULT:STAR

:CALC:MARK:FUNC:DOM:MULT:STOP

Equivalent Softkey

Marker Search > Search Range > Multiple Range > Multiple Range

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.DOMAIN.MULTIPLE.STATE


:CALC:MARK:FUNC:DOM:MULT:RANG

:CALC<Ch>:MARK<Mk>:FUNC:DOM:MULT:RANG

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:DOMain:MULTiple:RANGe <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:DOMain:MULTiple:RANGe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:DOMain:MULTiple:RANGe <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:DOMain:MULTiple:RANGe?

Description

This command sets/gets the target range of search analysis for the selected marker.

Variable

Parameter | Value
Description | Target search range
Data Type | Numeric type (Integer)
Range | 1 to 16
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":CALC1:MARK1:FUNC:DOM:MULT:RANG " & Str(Var), True
Ena.WriteString ":CALC1:MARK1:FUNC:DOM:MULT:RANG?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM:MULT

:CALC:MARK:FUNC:DOM:MULT:STAR

:CALC:MARK:FUNC:DOM:MULT:STOP

Equivalent Softkey

Marker Search > Search Range > Multiple Range > Target Range > 1 to 16

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.DOMAIN.MULTIPLE.RANGE


:CALC:MARK:FUNC:DOM:MULT:STAR

:CALC<Ch>:MARK<Mk>:FUNC:DOM:MULT:STAR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:DOMain:MULTiple:STARt <Value1>, <Value2>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:DOMain:MULTiple:STARt? <Value1>

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:DOMain:MULTiple:STARt <Value1>, <Value2>

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:DOMain:MULTiple:STARt? <Value1>

Description

This command sets/gets the start value of the target range in the multiple search range. When the trace coupling is off, the active trace is the target to be set.

Variable

Parameter | Value1
Description | Target search range
Data Type | Numeric type (Integer)
Range | 1 to 16

Parameter | Value2
Description | Start value of the target range
Data Type | Double precision floating point type (Double)
Preset Value | 0
Unit | Hz (hertz), s (second), m (meter), ft (feet) or in (inches)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Multiple
Var= 1
Ena.WriteString ":CALC1:MARK1:FUNC:DOM:MULT:STAR" & Str(Var), True
Ena.WriteString ":CALC1:MARK1:FUNC:DOM:MULT:STAR?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM:MULT

:CALC:MARK:FUNC:DOM:MULT:RANG

:CALC:MARK:FUNC:DOM:MULT:STOP

Equivalent Softkey

Marker Search > Search Range > Multiple Range > Start

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.DOMAIN.MULTIPLE.START


:CALC:MARK:FUNC:DOM:MULT:STOP

:CALC<Ch>:MARK<Mk>:FUNC:DOM:MULT:STOP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:DOMain:MULTiple:STOP <Value1>, <Value2>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:DOMain:MULTiple:STOP? <Value1>

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:DOMain:MULTiple:STOP <Value1>, <Value2>

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:DOMain:MULTiple:STOP? <Value1>

Description

This command sets/gets the stop value of the target range in the multiple search range.

Variable

Parameter | Value1
Description | Target search range of search analysis.
Data Type | Numeric type (Integer)
Range | 1 to 16

Parameter | Value2
Description | Stop value of the target range in the multiple search range
Data Type | Double precision floating point type (Double)
Preset Value | 0
Unit | Hz (hertz), s (second), m (meter), ft (feet) or in (inches)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Multiple
Var= 1
Ena.WriteString ":CALC1:MARK1:FUNC:DOM:MULT:STOP" & Str(Var), True
Ena.WriteString ":CALC1:MARK1:FUNC:DOM:MULT:STOP?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM:MULT:RANG

:CALC:MARK:FUNC:DOM:MULT:STAR

Equivalent Softkey

Marker Search > Search Range > Multiple Range > Stop

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.DOMAIN.MULTIPLE.STOP


:CALC:MARK:FUNC:DOM:STAR

:CALC<Ch>:MARK:FUNC:DOM:STAR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:STARt <Value>

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:STARt?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:DOMain:STARt <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:DOMain:STARt?

Description

This command sets/gets the start value of the marker search range.

      • When the trace coupling is off, the active trace is the target to be set.

Variable

Parameter | Value
Description | Start value of the analysis range
Data Type | Numeric type (Real)
Range | -500G ~ 500G
Preset Value | 0
Unit | Hz (hertz), s (second), m (meter), ft (feet) or in (inches)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -500000000000
Ena.WriteString ":CALC1:MARK:FUNC:DOM:STAR" & Str(Var), True
Ena.WriteString ":CALC1:MARK:FUNC:DOM:STAR?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM

:CALC:MARK:FUNC:DOM:STOP

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Search Range > Start

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.DOMAIN.START

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.FUNCTION.DOMAIN.START


:CALC:MARK:FUNC:DOM:STOP

:CALC<Ch>:MARK:FUNC:DOM:STOP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:STOP <Value>

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:DOMain:STOP?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:DOMain:STOP <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:DOMain:STOP?

Description

This command sets/gets the stop value of the marker search range.

    • When the trace coupling is off, the active trace is the target to be set.

Variable

Parameter | Value
Description | Stop value of the analysis range
Data Type | Numeric type (Real)
Preset Value | 0
Unit | Hz (hertz), s (second), m (meter), ft (feet) or in (inches)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -500000000000
Ena.WriteString ":CALC1:MARK:FUNC:DOM:STOP" & Str(Var), True
Ena.WriteString ":CALC1:MARK:FUNC:DOM:STOP?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:FUNC:DOM:STAR

:CALC:MARK:FUNC:DOM

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Search Range > Stop

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.DOMAIN.STOP

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.FUNCTION.DOMAIN.STOP


:CALC:MARK:FUNC:EXEC

:CALC<Ch>:MARK<Mk>:FUNC:EXEC

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:EXECute

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:EXECute

Description

This command executes the marker search.

Examples

See Peak Search.

Related Commands

:CALC:PAR:SEL

:CALC:MARK:FUNC:TYPE

:CALC:MARK:FUNC:DOM

:CALC:MARK:FUNC:MULT:TYPE

Equivalent Softkey

Marker Search > Max | Min

Marker Search > Peak > Search Peak

Marker Search > Target > Search Target

Marker Search > Multi Peak > Search Multi Peak

Marker Search > Multi Target > Search Multi Target

These softkeys operation can be done by the following two commands:

  • Max/Min/Peak/Target :CALC:MARK:FUNC:TYPE and :CALC:MARK:FUNC:EXEC.

  • Multi Peak/Multi Target :CALC:MARK:FUNC:MULT:TYPE and :CALC:MARK:FUNC:EXEC.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.EXECUTE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).FUNCTION.EXECUTE


:CALC:MARK:FUNC:MULT:TYPE

:CALC<Ch>:MARK:FUNC:MULT:TYPE

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TYPE {OFF|PEAK|TARGet|MPEak}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TYPE?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:TYPE {OFF|PEAK|TARGet|MPEak}

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:TYPE?

Description

This command sets/gets multi marker search type (one per trace).

Variable

Parameter | Selection Option
Description | Search Type
Data Type | Character string type (String)
Range | OFF: PEAK:Peak TARGet:Target MPEak: Multi-Major Peak
Preset Value | OFF

Query Response

{OFF|PEAK|TARG|MPEak}<newline><^END>

Examples

See :CALC:MARK:FUNC:MULT:PEXC or :CALC:MARK:FUNC:MULT:TARG, and Peak Search.

Related Commands

:CALC:MARK:FUNC:MULT:PEXC

:CALC:MARK:FUNC:MULT:TARG

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Multi Peak > Search Multi Peak

Marker Search > Multi Peak > Search Multi Major Peak

Marker Search > Multi Target > Search Multi Target

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.TYPE


:CALC:MARK:FUNC:MULT:PEXC

:CALC<Ch>:MARK:FUNC:MULT:PEXC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:PEXCursion <Value>

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:PEXCursion?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:PEXCursion <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:PEXCursion?

Description

This command sets/gets multi search peak excursion value (one per trace).

Variable

Parameter | Value
Description | Peak excursion value
Data Type | Numeric type (Real)
Range | 0 ~ 500M
Preset Value | 3
Unit | Depending on Format

Query Response

{numric}<newline><^END>

Examples

Dim Excursion as Double
Excursion= 5
Ena.WriteString ":CALC1:MARK:FUNC:MULT:TYPE PEAK", True
Ena.WriteString ":CALC1:MARK:FUNC:MULT:PEXC " & Str(Excursion), True
Ena.WriteString ":CALC1:MARK:FUNC:MULT:PPOL POS", True
Ena.WriteString ":CALC1:MARK:FUNC:EXEC", True

Related Commands

:CALC:MARK:FUNC:MULT:TYPE

:CALC:MARK:FUNC:MULT:PPOL

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Multi Peak > Peak Excursion

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.PEXCURSION


:CALC:MARK:FUNC:MULT:PPOL

:CALC<Ch>:MARK:FUNC:MULT:PPOL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:PPOLarity {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:PPOLarity?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:PPOLarity {POSitive|NEGative|BOTH}

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:PPOLarity?

Description

This command sets/gets multi search peak polarity type (one per trace).

Variable

Parameter | Selection Option
Description | Peak polarity
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | POSitive

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

See :CALC:MARK:FUNC:MULT:PEXC

Related Commands

:CALC:MARK:FUNC:MULT:PEXC

:CALC:MARK:FUNC:MULT:TYPE

Equivalent Softkey

Marker Search > Multi Peak > Peak Polarity

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.PPOLARITY


:CALC:MARK:FUNC:MULT:TARG

:CALC<Ch>:MARK:FUNC:MULT:TARG

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TARGet <Value>

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TARGet?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:TARGet <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:TARGet?

Description

This command sets/gets multi search target value (one per trace).

Variable

Parameter

Value

Description

Target value

Data Type

Numeric type (Real)

Range

-500M ~ 500M

Preset Value

0

Unit

Varies depending on the data format.

  • Log magnitude (MLOG): dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Query Response

{numeric}<newline><^END>

Examples

Dim Target as Double
Target= -5
Ena.WriteString ":CALC1:MARK:FUNC:MULT:TYPE TARG", True
Ena.WriteString ":CALC1:MARK:FUNC:MULT:TARG " & Str(Target), True
Ena.WriteString ":CALC1:MARK:FUNC:MULT:TTR BOTH", True
Ena.WriteString ":CALC1:MARK:FUNC:EXEC", True

Related Commands

:CALC:MARK:FUNC:MULT:TYPE

:CALC:MARK:FUNC:MULT:TTR

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Multi Target > Target Value

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.TARGET


:CALC:MARK:FUNC:MULT:TRAC

:CALC<Ch>:MARK:FUNC:MULT:TRAC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TRACking {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TRACking?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:TRACking {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:TRACking?

Description

This command turns the multi-search tracking capability on/off (one per trace).

Variable

Parameter | Selection Option
Description | Status of multi-search tracking
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK:FUNC:MULT:TRAC " & Str(Var), True
Ena.WriteString ":CALC1:MARK:FUNC:MULT:TRAC?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:FUNC:MULT:TYPE

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Tracking

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.TRACKING


:CALC:MARK:FUNC:MULT:TTR

:CALC<Ch>:MARK:FUNC:MULT:TTR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TTRansition {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:MARKer:FUNCtion:MULTi:TTRansition?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:TTRansition {POSitive|NEGative|BOTH}

:CALCulate<Ch>:TRACe<Tr>:MARKer:FUNCtion:MULTi:TTRansition?

Description

This command sets/gets multi-search target transition type (one per trace)

Variable

Parameter | Selection Option
Description | Transition type
Data Type | Character string type (String)
Range | POSitive|NEGative|BOTH
Preset Value | BOTH

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

See :CALC:MARK:FUNC:MULT:TARG

Related Commands

:CALC:MARK:FUNC:MULT:TYPE

:CALC:MARK:FUNC:MULT:TARG

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Multi Target > Target Transition

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.MULTI.TTRANSITION


:CALC:MARK:FUNC:PEXC

:CALC<Ch>:MARK:FUNC:PEXC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:PEXCursion <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:PEXCursion?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:PEXCursion <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:PEXCursion?

Description

This command sets/gets the limit of peak excursion value.

Variable

Parameter | Value
Description | Lower limit of peak excursion value
Data Type | Numeric type (Real)
Range | 0 to 500M
Preset Value | 3
Unit | Varies depending on the data format. Log magnitude (MLOG): dB (decibel) Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): × (degree) Group delay (GDEL): s (second) Others: No unit
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

See Peak Search.

Equivalent Softkey

Marker Search > Peak > Peak Excursion

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.PEXCURSION

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.FUNCTION.PEXCURSION


:CALC:MARK:FUNC:PPOL

:CALC<Ch>:MARK:FUNC:PPOL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:PPOLarity {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:PPOLarity?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:PPOLarity {POSitive|NEGative|BOTH}

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:PPOLarity?

Description

This command sets/gets the polarity of the peak search with marker 1 to 9 and reference marker for the selected channel <Ch>.

Variable

Parameter | Selection Option
Description | Polarity for peak search
Data Type | Character string type (String)
Range | Select from the following: POSitive: Positive peak. NEGative: Negative peak. BOTH: Both the positive peak and the negative peak.
Preset Value | POSitive

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

See Peak Search.

Equivalent Softkey

Marker Search > Peak > Peak Polarity

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.PPOLARITY

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.FUNCTION.PPOLARITY


:CALC:MARK:FUNC:TARG

:CALC<Ch>:MARK:FUNC:TARG

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TARGet <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TARGet?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:TARGet <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:TARGet?

Description

This command sets/gets the target value.

Variable

Parameter | Value
Description | Target value for target search
Data Type | Numeric type (Real)
Range | -500M to 500M
Preset Value | 0
Unit | Varies depending on the data format. Log magnitude (MLOG): dB (decibel) Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree) Group delay (GDEL): s (second) Others: No unit
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -500000000
Ena.WriteString ":CALC1:MARK:FUNC:TARG" & Str(Var), True
Ena.WriteString ":CALC1:MARK:FUNC:TARG?", True
Var=Ena.ReadNumber

Equivalent Softkey

Marker Search > Target > Target Value

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.TARGET

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.FUNCTION.TARGET


:CALC:MARK:FUNC:TRAC

:CALC<Ch>:MARK:FUNC:TRAC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TRACking {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TRACking?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:TRACking {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:TRACking?

Description

This command turns ON/OFF the search tracking (function to repeat search for each sweep).

Variable

Parameter | Selection Option
Description | ON/OFF of the marker search tracing
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK:FUNC:TRAC" & Str(Var), True
Ena.WriteString ":CALC1:MARK:FUNC:TRAC?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

:CALC:MARK:FUNC:TYPE

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Search Tracking

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.TRACKING

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.FUNCTION.TRACKING


:CALC:MARK:FUNC:TTR

:CALC<Ch>:MARK:FUNC:TTR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TTRansition {POSitive|NEGative|BOTH}

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TTRansition?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:TTRansition {POSitive|NEGative|BOTH}

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:TTRansition?

Description

This command sets/gets the transition type.

Variable

Parameter | Selection Option
Description | Transition type for search
Data Type | Character string type (String)
Range | Select from the following: POSitive: Specifies the positive transition. NEGative: Specifies the negative transition. BOTH: Specifies both the positive transition and the negative transition.
Preset Value | BOTH

Query Response

{POS|NEG|BOTH}<newline><^END>

Examples

Dim Var as String
Var= "POSitive"
Ena.WriteString ":CALC1:MARK:FUNC:TTR" & Var, True
Ena.WriteString ":CALC1:MARK:FUNC:TTR?", True
Var=Ena.ReadString

Related Commands

:CALC:PAR:SEL

:CALC:MARK:FUNC:TYPE

:CALC:MARK:FUNC:TARG

Equivalent Softkey

Marker Search > Target > Target Transition

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.FUNCTION.TTRANSITION

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.FUNCTION.TTRANSITION


:CALC:MARK:FUNC:TYPE

:CALC<Ch>:MARK<Mk>:FUNC:TYPE

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TYPE {MAXimum|MINimum|PEAK|LPEak|RPEak|TARGet|LTARget|RTARget}

:CALCulate<Ch>[:SELected]:MARKer<Mk>:FUNCtion:TYPE?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:TYPE {MAXimum|MINimum|PEAK|LPEak|RPEak|TARGet|LTARget|RTARget}

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:FUNCtion:TYPE?

Description

This command selects the search type for marker 1 to 9 (Mk) and reference marker (Mk:10).

Variable

Parameter | Selection Option
Description | Search type of marker
Data Type | Character string type (String)
Range | Select from the following: MAXimum: Sets the search type to the maximum value. MINimum: Sets the search type to the minimum value. PEAK: Sets the search type to the peak search. LPEak: Sets the search type to the peak search to the left from the marker position. RPEak: Sets the search type to the peak search to the right from the marker position. TARGet: Sets the search type to the target search. LTARget: Sets the search type to the target search to the left from the marker position. RTARget: Sets the search type to the target search to the right from the marker position.
Preset Value | MAXimum

Query Response

{MAX|MIN|PEAK|LPE|RPE|TARG|LTAR|RTAR}<newline><^END>

Examples

See :CALC:MARK:FUNC:EXEC.

Related Commands

:CALC:PAR:SEL

:CALC:MARK:FUNC:PEXC

:CALC:MARK:FUNC:PPOL

:CALC:MARK:FUNC:TARG

:CALC:MARK:FUNC:TTR

:CALC:MARK:FUNC:EXEC

Equivalent Softkey

Marker Search > Max | Min

Marker Search > Peak > Search Peak

Marker Search > Target > Search Target

These softkeys operation can be done the two commands, :CALC:MARK:FUNC:TYPE and :CALC:MARK:FUNC:EXEC.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).FUNCTION.TYPE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).FUNCTION.TYPE


:CALC:MARK:NOTC

:CALC<Ch>:MARK:NOTC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:NOTCh[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:NOTCh[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:NOTCh[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer:NOTCh[:STATe]?

Description

This command show/hide the marker notch (one per trace).

Variable

Parameter | Selection Option
Description | ON/OFF of the notch search result display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK:NOTC" & Str(Var), True
Ena.WriteString ":CALC1:MARK:NOTC?", True
Var=Ena.ReadNumber

Equivalent Softkey

Marker Search > Notch

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.NOTCH.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.NOTCH.STATE


:CALC:MARK:NOTC:DATA

:CALC<Ch>:MARK<Mk>:NOTC:DATA

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:NOTCh:DATA?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:NOTCh:DATA?

Description

This command reads the notch search result.

If the notch search is impossible, an error occurs and the command is ignored. In this case, no query response is obtained.

Variable

Query Response

{numeric 1}, {numeric 2}, {numeric 3}, {numeric 4}<newline><^END>

  • {numeric 1} : Bandwidth.

  • {numeric 2} : Center point frequency of the 2 cutoff frequency points.

  • {numeric 3} : Q value.

  • {numeric 4} : Insertion loss

Examples

Dim Var as Variant
Ena.WriteString ":CALC1:MARK1:NOTC:DATA?", True
Var=Ena.ReadList

Related Commands

:CALC:MARK:NOTC

:CALC:MARK:NOTC:THR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).NOTCH.DATA

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).NOTCH.DATA


:CALC:MARK:NOTC:THR

:CALC<Ch>:MARK<Mk>:NOTC:THR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:NOTCh:THReshold <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:NOTCh:THReshold?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:NOTCh:THReshold <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:NOTCh:THReshold?

Description

This command sets/gets the notch definition value of marker 1 to 9 (Mk) and reference marker (Mk:10).

Variable

Parameter | Value
Description | Notch definition value
Data Type | Numeric type (Real)
Range | -500M to 500M
Preset Value | -3
Unit | Varies depending on the data format as follows: Amplitude (MLOG):dB (decibel) Phase (PHAS), Expanded phase (UPH),Positive phase (PPH): ° (degree) Group delay (GDEL): s (second) Others: No unit
Note | If the specified parameter is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -5
Ena.WriteString ":CALC1:MARK1:NOTC:THR " & Str(Var), True
Ena.WriteString ":CALC1:MARK1:NOTC:THR?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:NOTC

:CALC:MARK:NOTC:DATA

Equivalent Softkey

Marker Search > Notch Value

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).NOTCH.THRESHOLD

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).NOTCH.THRESHOLD


:CALC:MARK:REF

:CALC<Ch>:MARK:REF

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer:REFerence[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MARKer:REFerence[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer:REFerence[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MARKer:REFerence[:STATe]?

Description

Turns ON/OFF the reference marker mode.

Variable

Parameter | Selection Option
Description | ON/OFF of the reference marker mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MARK:REF " & Str(Var), True
Ena.WriteString ":CALC1:MARK:REF?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

Equivalent Softkey

Marker > Ref Marker Mode

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER.REFERENCE.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER.REFERENCE.STATE


:CALC:MARK:SET

:CALC<Ch>:MARK<Mk>:SET

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:SET {CENTer|STARt|STOP|RLEVel|DELay}

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:SET {CENTer|STARt|STOP|RLEVel|DELay}

Description

This command sets the value at the position of marker 1 to 9 (Mk) and reference marker (Mk:10) to the value of the instrument setting item (Param).

Variable

Parameter | Selection Option
Description | Instrument setting item
Data Type | Character string type (String)
Range | "STARt": Sets the sweep start value to the stimulus value at the marker position. "STOP": Sets the sweep stop value to the stimulus value at the marker position. "CENTer": Sets the sweep center value to the stimulus value at the marker position. "RLEVel": Sets the reference line value to the response value at the marker position. "DELay": Sets the electrical delay time value to the value of the group delay at the marker position (a value smoothed with the aperture of 20%).

Examples

Dim Var as String
Var= "CENTer"
Ena.WriteString ":CALC1:MARK1:SET & Var, True

Related Commands

:CALC:PAR:SEL

:CALC:MARK:REF

Equivalent Softkey

Marker Fctn > Marker > Start

Marker Fctn > Marker > Stop

Marker Fctn > Marker > Center

Marker Fctn > Marker > Reference

Marker Fctn > Marker > Delay

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).SET

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).SET


:CALC:MARK:X

:CALC<Ch>:MARK<Mk>:X

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:X <Value>

:CALCulate<Ch>[:SELected]:MARKer<Mk>:X?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:X <Value>

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:X?

Description

This command set the stimulus value for marker 1 to 9 (Mk) and reference marker (Ch:10).

Variable

Parameter | Value
Description | Stimulus value of the marker
Data Type | Numeric type (Real)
Range | Sweep start value to sweep stop value
Preset Value | 100k
Unit | Hz (hertz), s (second), m (meter), ft (feet) or in (inches)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC1:MARK1:X" & Str(Var), True
Ena.WriteString ":CALC1:MARK1:X?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:Y

:CALC:MARK:REF

Equivalent Softkey

Marker > Marker 1 | Marker 2 | Marker 3 | Marker 4

Marker > More Markers > Marker 5 | Marker 6 | Marker 7 | Marker 8 | Marker 9

When performing the operation from the front panel, turn ON the marker and set the stimulus value at the same time.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).X

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).X


:CALC:MARK:Y

:CALC<Ch>:MARK<Mk>:Y

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:MARKer<Mk>:Y?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MARKer<Mk>:Y?

Description

This command reads the response value of marker 1 to 9 (Mk) and reference marker (Mk:10).

Variable

Query Response

{numeric 1}, {numeric 2}<newline><^END>

numeric 1 :Response value (primary value) at the marker position.

numeric 2 :Response value (secondary value) at the marker position. Always 0 when the data format is not the Smith chart format or the polar format.

Examples

Dim Var as Variant
Ena.WriteString ":CALC1:MARK1:Y?", True
Var=Ena.ReadList

Related Commands

:CALC:MARK:REF

:CALC:MARK:X

Equivalent Softkey

No equivalent key is available on the front panel.

(Displayed marker value when marker is activated.)

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MARKER(Mk).Y

SCPI.CALCULATE(Ch).TRACE(Tr).MARKER(Mk).Y


:CALC:MATH:FUNC

:CALC<Ch>:MATH:FUNC

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MATH:FUNCtion {NORMal|DIVide|MULTiply|SUBTract|ADD}

:CALCulate<Ch>[:SELected]:MATH:FUNCtion?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MATH:FUNCtion {NORMal|DIVide|MULTiply|SUBTract|ADD}

:CALCulate<Ch>:TRACe<Tr>:MATH:FUNCtion?

Description

This command sets/gets the data trace display method (math method between measurement data and memory trace data).

Variable

Parameter | Selection Option
Description | Math method between measurement data and memory trace data
Data Type | Character string type (String)
Range | "NORMal": Data (no math). "DIVide": Data / Mem. "MULTiply": Data × Mem. "SUBTract": Data - Mem. "ADD": Data + Mem. Where Data is the measurement data (corrected data array) and Mem is the data stored in the memory trace (corrected memory array).
Preset Value | "NORMal"

Query Response

{NORM|DIV|MULT|SUBT|ADD}<newline><^END>

Examples

Dim Var as String
Var= "NORMal"
Ena.WriteString ":CALC1:MATH:FUNC " & Var, True
Ena.WriteString ":CALC1:MATH:FUNC?", True
Var=Ena.ReadString

Related Commands

:CALC:MATH:MEM

Equivalent Softkey

Display > Data Math

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MATH.FUNCTION

SCPI.CALCULATE(Ch).TRACE(Tr).MATH.FUNCTION


:CALC:MATH:MEM

:CALC<Ch>:MATH:MEM

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:MATH:MEMorize

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MATH:MEMorize

Description

This command copies the measurement data to the memory trace.

Examples

Ena.WriteString ":CALC:MATH:MEM", True

Related Commands

:CALC:PAR:SEL

Equivalent Softkey

Display > Data -> Mem

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MATH.MEMORIZE

SCPI.CALCULATE(Ch).TRACE(Tr).MATH.MEMORIZE


:CALC:MST

:CALC<Ch>:MST

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:MSTatistics[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:MSTatistics[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MSTatistics[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:MSTatistics[:STATe]?

Description

This command displays the statistics value.

Variable

Parameter | Selection Option
Description | ON/OFF of the statistics value display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:MST " & Str(Var), True
Ena.WriteString ":CALC1:MST?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MST:DATA

Equivalent Softkey

Marker Function > Statistics

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MSTATISTICS.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).MSTATISTICS.STATE


:CALC:MST:DATA

:CALC<Ch>:MST:DATA

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:MSTatistics:DATA?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:MSTatistics:DATA?

Description

This command reads the statistics values. The statistical values contain: mean value, standard deviation and the difference between the maximum value and the minimum value .

Variable

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

  • {numeric 1} : Mean value

  • {numeric 2} : Standard deviation

  • {numeric 3} : Difference between the maximum value and the minimum value (Peak to Peak)

Examples

Dim Var as Variant
Ena.WriteString ":CALC1:MST:DATA?", True
Var=Ena.ReadList

Related Commands

:CALC:MST

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.MSTATISTICS.DATA

SCPI.CALCULATE(Ch).TRACE(Tr).MSTATISTICS.DATA


:CALC:PAR:COUN

:CALC<Ch>:PAR:COUN

Type

Command/Query

Syntax

:CALCulate<Ch>:PARameter:COUNt <Value>

:CALCulate<Ch>:PARameter:COUNt?

Description

This command sets/gets the number of trace.

Variable

Parameter | Value
Description | Number of traces
Data Type | Numeric type (Integer)
Range | 1|2|3|4
Preset Value | 1

Query Response

{1|2|3|4}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":CALC1:PAR1:COUN " & Str(Var), True
Ena.WriteString ":CALC1:PAR1:COUN?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:DEF

Equivalent Softkey

Display > Num Of Traces

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).PARAMETER(Tr).COUNT


:CALC:PAR:DEF

:CALC<Ch>:PAR<Tr>:DEF

Type

Command/Query

Syntax

:CALCulate<Ch>:PARameter<Tr>:DEFine {S11|S21|S12|S22}

:CALCulate<Ch>:PARameter<Tr>:DEFine?

Description

This command sets/gets the measurement parameter. :CALC:PAR:SPOR specifies the source output port for the absolute measurements.

Variable

Parameter

Selection Option

Description

Measurement parameter

Data Type

Character string type (String)

Range

Select either one of the following:

  • "S<XY>"

Where:

x=1 to 2

Y=1 to 2

Preset Value

"S11"

Query Response

{S11|S21|S12|S22}<newline><^END>

Examples

Dim Var as String
Var= "S11"
Ena.WriteString ":CALC1:PAR1:DEF " & Var, True
Ena.WriteString ":CALC1:PAR1:DEF?", True

Var=Ena.ReadString

Related Commands

:CALC:PAR:SPOR

Equivalent Softkey

Measurement > Measurement > S11|S21|S12|S22

Analysis > Fixture Simulator > Measurement > S11|S21|S12|S22

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).PARAMETER(Tr).DEFINE


:CALC:PAR:SEL

:CALC<Ch>:PAR<Tr>:SEL

Type

Command

Syntax

:CALCulate<Ch>:PARameter<Tr>:SELect

Description

This command sets as active trace for the selected trace <Tr> of the selected channel <Ch>.

Examples

Ena.WriteString ":CALC2:PAR1:SEL", True

Related Commands

:CALC:TRACE

Equivalent Softkey

Trace Prev, Trace Next

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).PARAMETER(Tr).SELECT


:CALC:PAR:SPOR

:CALC<Ch>:PAR<Tr>:SPOR

Type

Command/Query

Syntax

:CALCulate<Ch>:PARameter<Tr>:SPORt <Value>

:CALCulate<Ch>:PARameter<Tr>:SPORt?

Description

This command sets/gets the output port used for absolute.

Variable

Parameter | Value
Description | Source output port
Data Type | Numeric type (Integer)
Range | 1 to 2
Preset Value | 1
Note | You need to set the measurement parameter for absolute measurements with the :CALC:PAR:DEF command.

Query Response

{1|2}<newline><^END>

Examples

Dim SourPort as Long
Dim SPara as String
Var= "A"
Ena.WriteString ":CALC1:PAR1:DEF " & Var, True
Ena.WriteString ":CALC1:PAR1:SPOR 2, True

Ena.WriteString ":CALC1:PAR1:DEF?", True
Spara=Ena.ReadString
Ena.WriteString ":CALC1:PAR1:SPOR?", True
SourPort=Ena.ReadNumber

Related Commands

:CALC:PAR:DEF

Equivalent Softkey

Measurement > Measurement > Absolute

Analysis > Fixture Simulator > Measurement > Absolute

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).PARAMETER(Tr).SPORT


:CALC:PLIM

:CALC<Ch>:PLIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:PLIMit[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:PLIMit[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:PLIMit[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:PLIMit[:STATe]?

Description

This command turns the point limit test on/off.

Variable

Parameter | Selection Option
Description | Status of Point limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:PLIM " & Str(Var), True
Ena.WriteString ":CALC1:PLIM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PLIM:DATA

:CALC:PLIM:REP

:CALC:PLIM:DISP:LINE

:CALC:PLIM:FAIL

Equivalent Softkey

Analysis > Point Limit > Point Limit Test

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.PLIMIT.STATE


:CALC:PLIM:DATA

:CALC<Ch>:PLIM:DATA

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:PLIMit:DATA <NoOfLimit>, <StateForPoint1>, <StimulusForPoint1>, <LowerLimforPoint1>, <UpperLimitforpoint1> , .. , <StateForPointN>, <StimulusForPointN>, <LowerLimforPointN>, <UpperLimitforpointN>

:CALCulate<Ch>[:SELected]:PLIMit:DATA?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:PLIMit:DATA <NoOfLimit>, <StateForPoint1>, <StimulusForPoint1>, <LowerLimforPoint1>, <UpperLimitforpoint1> , .. , <StateForPointN>, <StimulusForPointN>, <LowerLimforPointN>, <UpperLimitforpointN>

:CALCulate<Ch>:TRACe<Tr>:PLIMit:DATA?

Description

This command defines the list of point limit test for the active trace.

Variable

Parameter | NoOfLimit
Description | Number of Limit
Data Type | Long
Range | 1 to 401

Parameter | StateForPointn
Description | State (Type) for Point No. n
Data Type | Boolean
Range | 1|0 1: The point is valid (ON) 0: The point is invalid (Off)

Parameter | StimulusforPointn
Description | Stimulus for point n
Data Type | Numeric type (Real)
Unit | Depending on the stimulus

Parameter

LowerLimforPoint1n

Description

Lower Limit for Point n

Data Type

Numeric type (Real)

Unit

Varies depending on the data format.

  • Log magnitude (MLOG): dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Parameter

UpperLimforPointn

Description

Upper Limit for Point n

Data Type

Numeric type (Real)

Unit

Varies depending on the data format.

  • Log magnitude (MLOG): dB (decibel)

  • Phase (PHAS), Expanded phase (UPH) or Positive phase (PPH): ° (degree)

  • Group delay (GDEL): s (second)

  • Others: No unit

Query Response

{numeric (NoOfLimit)}, {numeric (StateForPoint1)}, {numeric (StimulusForPoint1)}, {numeric (LowerLimforPoint1)}, {numeric (UpperLimforpoint1)} , .. , {numeric(StateForPointN)}, {numeric (StimulusForPointN)}, {numeric (LowerLimforPointN)}, {numeric (UpperLimforpointN)}<newline><^END>

The number of data is 1+N×4

Examples

Dim Var As Variant
Ena.WriteString ":CALC1:PLIM:DATA 2,1,2E8,-9E1,-6E1,1,1.6E9,-8E1,-4E1", True
Ena.WriteString ":CALC1:PLIM:DATA?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:PLIM

:CALC:PLIM:DISP:LINE

Equivalent Softkey

Analysis > Point Limit > Edit Point Limit

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.PLIMIT.DATA


:CALC:PLIM:REP

:CALC<Ch>:PLIM:REP

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:PLIMit:REPort[:DATA]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:PLIMit:REPort[:DATA]?

Description

This command returns a number or a list of numbers where point limit test has failed.

Variable

Query Response

{numeric (Number of active limit)}, {numeric (Limit point number of 1st active limit)}, {numeric (result of 1st active limit)}, ... , {numeric (Limit point number of Nth active limit)}, {numeric (result of Nth active limit)}

pass=0, fail=1 : result of Nth active limit

The number of data is 1 + N x 2.

N is the number of active limit.

Examples

This sample requires manual modification
Dim Var(1 to 201) as Variant
Ena.WriteString ":CALC1:PLIM:REP?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:PLIM

:CALC:PLIM:FAIL

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.PLIMIT.REPORT.DATA


:CALC:PLIM:DISP:LINE

:CALC<Ch>:PLIM:DISP:LINE

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:PLIMit:DISPlay:LINE {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:PLIMit:DISPlay:LINE?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:PLIMit:DISPlay:LINE {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:PLIMit:DISPlay:LINE?

Description

This command turns the point limit line display ON/OFF.

Variable

Parameter | Selection Option
Description | Status of point limit test
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:PLIM:DISP:LINE " & Str(Var), True
Ena.WriteString ":CALC1:PLIM:DISP:LINE?", True
Var=Ena.ReadNumber

Equivalent Softkey

Analysis > Point Limit > Point Limit

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.PLIMIT.DISPLAY.LINE


:CALC:PLIM:FAIL

:CALC<Ch>:PLIM:FAIL

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:PLIMit:FAIL?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:PLIMit:FAIL?

Description

This command returns true if point limit test has failed..

Variable

Query Response

{1|0}<newline><^END>

1: fail, 0: pass

Examples

Dim Var as String
Ena.WriteString ":CALC1:PLIM:FAIL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PLIM

:CALC:PLIM:REP

:DISP:FSIG

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.PLIMIT.FAIL


:CALC:RLIM

:CALC<Ch>:RLIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:RLIMit[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:RLIMit[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:RLIMit[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:RLIMit[:STATe]?

Description

This command turns ON/OFF the ripple test function.

Variable

Parameter | Selection Option
Description | ON/OFF the ripple test function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:RLIM " & Str(Var), True
Ena.WriteString ":CALC1:RLIM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:RLIM:DATA

:CALC:RLIM:DISP:LINE

:CALC:RLIM:DISP:SEL

:CALC:RLIM:DISP:VAL

:CALC:RLIM:FAIL

:CALC:RLIM:REP

Equivalent Softkey

Analysis > Ripple Limit > Ripple Limit Test

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.RLIMIT.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).RLIMIT.STATE


:CALC:RLIM:DATA

:CALC<Ch>:RLIM:DATA

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:RLIMit:DATA <Value>

:CALCulate<Ch>[:SELected]:RLIMit:DATA?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:RLIMit:DATA <Value>

:CALCulate<Ch>:TRACe<Tr>:RLIMit:DATA?

Description

This command sets/gets list for ripple limit test. if n bands, #_of_data=1+4*n. The first data must be 4*n., for the selected channel Ch.

Variable

Parameter

Value

Description

Indicates the array data (for ripple line) of 1 + Num (number of limit lines)* 4. Where n is an integer between 1 and Num.

  • Data(0) :The number of limit lines you want to set. Specify an integer ranging 0 to 12. When the number of limit lines is set to 0 (clears the limit table), the variable Data is only required with Data(0).

  • Data(nx4-3) :The type of the n-th line.

Specify an integer 0 to 1 as follows.

0: OFF

1: ON

  • Data(nx4-2) :The value on the horizontal axis (frequency/power/time) of the start point of the n-th line.

  • Data(nx4-1) :The value on the horizontal axis (frequency/power/time) of the end point of the n-th line.

  • Data(nx4) :The ripple line value (dB) of the n-th line.

The index of the array starts from 0.

Data Type

Variant type Array (Range)

Note

If there is no array data of 1+Num (number of set lines))×4 when setting a formatted memory array, an error occurs when executed and the object is ignored. For Data(n×4-3) in the array data, if you specify an integer other than 0 or 1, an error occurs when executed. For Data(n×4-2) and Data(n×4-1) in the array data, if the specified value is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric 1 (N:number of limit lines)}, ... , {numeric 1+(Nx4)}<newline><^END>

Examples

This sample requires manual modification
Dim Var(1 to 49) as Variant
Ena.WriteString ":CALC1:RLIM:DATA" & Var(), True
Ena.WriteString ":CALC1:RLIM:DATA?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:PAR:SEL

:CALC:RLIM

Equivalent Softkey

Analysis > Ripple Limit > Edit Ripple Limit

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.RLIMIT.DATA

SCPI.CALCULATE(Ch).TRACE(Tr).RLIMIT.DATA


:CALC:RLIM:DISP:LINE

:CALC<Ch>:RLIM:DISP:LINE

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:RLIMit:DISPlay:LINE {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:RLIMit:DISPlay:LINE?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:RLIMit:DISPlay:LINE {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:RLIMit:DISPlay:LINE?

Description

This command turns ON/OFF the ripple limit line display.

Variable

Parameter | Selection Option
Description | ON/OFF the ripple limit line display.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:RLIM:DISP:LINE" & Str(Var), True
Ena.WriteString ":CALC1:RLIM:DISP:LINE?", True
Var=Ena.ReadNumber

Related Commands

:CALC:RLIM

:CALC:RLIM:DISP:SEL

:CALC:RLIM:DISP:VAL

Equivalent Softkey

Analysis > Ripple Limit > Ripple Limit

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.RLIMIT.DISPLAY.LINE

SCPI.CALCULATE(Ch).TRACE(Tr).RLIMIT.DISPLAY.LINE


:CALC:RLIM:DISP:SEL

:CALC<Ch>:RLIM:DISP:SEL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:RLIMit:DISPlay:SELect <Value>

:CALCulate<Ch>[:SELected]:RLIMit:DISPlay:SELect?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:RLIMit:DISPlay:SELect <Value>

:CALCulate<Ch>:TRACe<Tr>:RLIMit:DISPlay:SELect?

Description

This command sets/gets the ripple limit band for ripple limit test.

Variable

Parameter | Value
Description | Ripple limit band
Data Type | Numeric type (Integer)
Range | 1 to 12
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 10
Ena.WriteString ":CALC1:RLIM:DISP:SEL " & Str(Var), True
Ena.WriteString ":CALC1:RLIM:DISP:SEL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:RLIM

:CALC:RLIM:DISP:LINE

:CALC:RLIM:DISP:VAL

Equivalent Softkey

Analysis > Ripple Limit > Ripple Band > 1 to 12

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.RLIMIT.DISPLAY.SELECT

SCPI.CALCULATE(Ch).TRACE(Tr).RLIMIT.DISPLAY.SELECT


:CALC:RLIM:DISP:VAL

:CALC<Ch>:RLIM:DISP:VAL

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:RLIMit:DISPlay:VALue {OFF|ABSolute|MAR|MARGin}

:CALCulate<Ch>[:SELected]:RLIMit:DISPlay:VALue?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:RLIMit:DISPlay:VALue {OFF|ABSolute|MAR|MARGin}

:CALCulate<Ch>:TRACe<Tr>:RLIMit:DISPlay:VALue?

Description

This command sets/gets the display type of ripple value.

Variable

Parameter | Selection Option
Description | The displaying type of ripple value.
Data Type | Character string type (String)
Range | "OFF": Specifies the display OFF. "ABSolute": Specifies the absolute value for display type. "MARgin": Specifies the margin for display type.
Preset Value | "OFF"

Query Response

{OFF|ABS|MAR|MARG}<newline><^END>

Examples

Dim Var as String
Var= "ABS"
Ena.WriteString ":CALC1:RLIM:DISP:VAL " & Var, True
Ena.WriteString ":CALC1:RLIM:DISP:VAL?", True
Var=Ena.ReadString

Related Commands

:CALC:RLIM

:CALC:RLIM:DISP:LINE

:CALC:RLIM:DISP:VAL

:CALC:RLIM:DISP:SEL

Equivalent Softkey

Analysis > Ripple Limit > Ripple Value

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.RLIMIT.DISPLAY.VALUE

SCPI.CALCULATE(Ch).TRACE(Tr).RLIMIT.DISPLAY.VALUE


:CALC:RLIM:FAIL

:CALC<Ch>:RLIM:FAIL

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:RLIMit:FAIL?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:RLIMit:FAIL?

Description

This command returns the ripple test result.

Variable

Query Response

{1|0}<newline><^END>

1: Fail

0: Pass

Examples

Dim Var as String
Ena.WriteString ":CALC1:RLIM:FAIL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:RLIM

:CALC:RLIM:REP

:DISP:FSIG

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.RLIMIT.FAIL

SCPI.CALCULATE(Ch).TRACE(Tr).RLIMIT.FAIL


:CALC:RLIM:REP

:CALC<Ch>:RLIM:REP

Type

Query

Syntax

:CALCulate<Ch>[:SELected]:RLIMit:REPort[:DATA]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:RLIMit:REPort[:DATA]?

Description

This command reads the ripple value of the ripple test.

The data transfer format when this command is executed depends on the setting with the SCPI.FORMat.DATA command.(Read only)

Variable

Query Response

{numeric 1} ... {numeric NOP×3+1}<newline><^END>

NOP is the number of measurement points.

  • {numeric 1}: Number of ripple limit line

  • {numeric n×3-1} : Number of ripple limit bands.

  • {numeric n×3} : Ripple value.

  • {numeric n×3+1} : Ripple test result (1: Fail, 0: Pass)

Examples

Dim Var as Variant
Ena.WriteString ":CALC1:RLIM:REP?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Related Commands

:CALC:RLIM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.RLIMIT.REPORT.DATA

SCPI.CALCULATE(Ch).TRACE(Tr).RLIMIT.REPORT.DATA


:CALC:SMO

:CALC<Ch>:SMO

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:SMOothing[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:SMOothing[:STATe]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:SMOothing[:STATe] {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:SMOothing[:STATe]?

Description

This command turns ON/OFF the smoothing, for the active trace of the selected channel Ch.

Variable

Parameter | Selection Option
Description | ON/OFF of the smoothing
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:SMO" & Str(Var), True
Ena.WriteString ":CALC1:SMO?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

:CALC:SMO:APER

Equivalent Softkey

Average > Smoothing

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.SMOOTHING.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).SMOOTHING.STATE


:CALC:SMO:APER

:CALC<Ch>:SMO:APER

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:SMOothing:APERture <Value>

:CALCulate<Ch>[:SELected]:SMOothing:APERture?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:SMOothing:APERture <Value>

:CALCulate<Ch>:TRACe<Tr>:SMOothing:APERture?

Description

This command sets/gets the smoothing aperture (percentage to the sweep span value) of the selected channel <Ch>.

Variable

Parameter | Value
Description | Smoothing aperture
Data Type | Numeric type (Real)
Range | 50m to 25
Preset Value | 1.5
Unit | % (percent)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.05
Ena.WriteString ":CALC1:SMO:APER" & Str(Var), True
Ena.WriteString ":CALC1:SMO:APER?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

:CALC:SMO

Equivalent Softkey

Average > Smo Aperture

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.SMOOTHING.APERTURE

SCPI.CALCULATE(Ch).TRACE(Tr).SMOOTHING.APERTURE


:CALC:TRAN:DIST

:CALC<Ch>:TRAN:DIST

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance[:TYPE] {BPASs|LPASs}

:CALCulate<Ch>[:SELected]:TRANsform:DISTance[:TYPE]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance[:TYPE] {BPASs|LPASs}

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance[:TYPE]?

Description

This command sets/gets the transformation type used for the transformation function of the fault location. Use :CALC:TRAN:TIME when :CALC:TRAN:METH is set at time.

Variable

Parameter | Selection Option
Description | The transformation type
Data Type | Character string type (String)
Range | "BPASs": Band-pass "LPASs": Low-pass
Preset Value | "BPASs"

Query Response

{BPAS|LPAS}<newline><^END>

Examples

Dim Var as String
Var= "BPASs"
Ena.WriteString ":CALC1:TRAN:DIST " & Var, True
Ena.WriteString ":CALC1:TRAN:DIST?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST:STIM

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STAR

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME

Equivalent Softkey

Analysis > Transform > Type > Bandpass | Lowpass Step | Lowpass Imp

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.TYPE

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.TYPE


:CALC:TRAN:DIST:CENT

:CALC<Ch>:TRAN:DIST:CENT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:CENTer <Value>

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:CENTer?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:CENTer <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:CENTer?

Description

This command sets/gets the center value used for the transformation function of the fault location display. Use :CALC:TRAN:TIME:CENT when :CALC:TRAN:METH is set at time.

Variable

Parameter | Value
Description | Center value
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 0
Unit | ft (feet), m (meters) or in (inches)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var =0.5
Ena.WriteString ":CALC1:TRAN:DIST:CENT " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:DIST:CENT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:STIM

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STAR

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME:CENT

Equivalent Softkey

Analysis > Transform > Center

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.CENTER

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.CENTER


:CALC:TRAN:DIST:IMP:WIDT

:CALC<Ch>:TRAN:DIST:IMP:WIDT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:IMPulse:WIDTh <Value>

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:IMPulse:WIDTh?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:IMPulse:WIDTh <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:IMPulse:WIDTh?

Description

This command sets/gets the shape of the Kayser Bessel window using the impulse width used for the transformation function of the fault location display. Use :CALC:TRAN:TIME:IMP:WIDT when :CALC:TRAN:METH is set at time.

Variable

Parameter | Value
Description | Impulse width
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and transformation type.
Preset Value | 108.579158773p
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 1E-10
Ena.WriteString ":CALC1:TRAN:DIST:IMP:WIDT " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:DIST:IMP:WIDT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:STIM

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STAR

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME:IMP:WIDT

Equivalent Softkey

Analysis > Transform > Window > Impulse Width

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.IMPULSE.WIDTH

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.IMPULSE.WIDTH


:CALC:TRAN:DIST:KBES

:CALC<Ch>:TRAN:DIST:KBES

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:KBESsel <Value>

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:KBESsel?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:KBESsel <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:KBESsel?

Description

This command sets/gets the shape of the Kayser Bessel window using β used for the transformation function of the fault location display. Use :CALC:TRAN:TIME:KBES when :CALC:TRAN:METH is set at time.

Variable

Parameter | Value
Description | Kayser Beta
Data Type | Numeric type (Real)
Range | 0 to 13
Preset Value | 6
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 7
Ena.WriteString ":CALC1:TRAN:DIST:KBES " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:DIST:KBES?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STAR

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME:KBES

Equivalent Softkey

Analysis > Transform > Window > Kaiser Beta

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.KBESSEL

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.KBESSEL


:CALC:TRAN:DIST:LPFR

:CALC<Ch>:TRAN:DIST:LPFR

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:LPFRequency

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:LPFRequency

Description

This command changes the frequency range to match with the low-pass type transformation of the transformation function of the fault location display. Use :CALC:TRAN:TIME:LPFR when :CALC:TRAN:METH is set at time.

Examples

Ena.WriteString ":CALC1:TRAN:DIST:LPFR", True

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:STIM

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STAR

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME:LPFR

Equivalent Softkey

Analysis > Transform > Set Freq Low Pass

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.LPFREQUENCY

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.LPFREQUENCY


:CALC:TRAN:DIST:SPAN

:CALC<Ch>:TRAN:DIST:SPAN

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:SPAN <Value>

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:SPAN?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:SPAN <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:SPAN?

Description

This command sets/gets the span value used for the transformation function of the fault location display. Use :CALC:TRAN:TIME:SPAN when :CALC:TRAN:METH is set at time.

Variable

Parameter | Value
Description | Span value
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 5.99584916
Unit | ft (feet), m (meters) or in (inches)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC1:TRAN:DIST:SPAN " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:DIST:SPAN?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:STIM

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:STAR

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME:SPAN

Equivalent Softkey

Analysis > Transform > Span

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.SPAN

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.SPAN


:CALC:TRAN:DIST:STAR

:CALC<Ch>:TRAN:DIST:STAR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STARt <Value>

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STARt?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STARt <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STARt?

Description

This command sets/gets the start value used for the transformation function of the fault location display. Use :CALC:TRAN:TIME:STAR when :CALC:TRAN:METH is set at time.

Variable

Parameter | Value
Description | Start value
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | -2.99792458
Unit | ft (feet), m (meters) or in (inches)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = -1E-9
Ena.WriteString ":CALC1:TRAN:DIST:STAR " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:DIST:STAR?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:STIM

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME:STAR

Equivalent Softkey

Analysis > Transform > Start

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.START

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.START


:CALC:TRAN:DIST:STAT

:CALC<Ch>:TRAN:DIST:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STATe {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STATe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STATe {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STATe?

Description

This command turns ON/OFF the transformation function of the fault location display. Use :CALC:TRAN:TIME:STAT when :CALC:TRAN:METH is set at time.

This command is available for option 010/011 only.

You can enable the transformation function only when the sweep type is the linear sweep and the number of points is three or more. If you execute this object to try to enable the transformation function when the sweep type is other than the linear sweep or the number of points is less than three, an error occurs and the object is ignored.

Variable

Parameter | Selection Option
Description | ON/OFF of the transformation function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:TRAN:DIST:STAT " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:DIST:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST

:CALC:TRAN:DIST:STIM

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME:STAT

Equivalent Softkey

Analysis > Transform > Transform

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.STATE


:CALC:TRAN:DIST:STEP:RTIM

:CALC<Ch>:TRAN:DIST:STEP:RTIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STEP:RTIMe <Value>

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STEP:RTIMe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STEP:RTIMe <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STEP:RTIMe?

Description

This command sets/gets the shape of the Kayser Bessel window using the rise time of step signal used for the transformation function of the fault location display. Use :CALC:TRAN:TIME:STEP:RTIM when :CALC:TRAN:METH is set at time.

Variable

Parameter | Value
Description | The rise time of step signal
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 54.7833333333p
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 50E-9
Ena.WriteString ":CALC1:TRAN:DIST:STEP:RTIM " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:DIST:STEP:RTIM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STAR

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME:STEP:RTIM

Equivalent Softkey

Analysis > Transform > Window > Step Rise

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.STEP.RTIME

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.STEP.RTIME


:CALC:TRAN:DIST:STIM

:CALC<Ch>:TRAN:DIST:STIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STIMulus {IMPulse|STEP}

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STIMulus?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STIMulus {IMPulse|STEP}

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STIMulus?

Description

This command sets/gets the stimulus type used for the transformation function of the fault location display. Use :CALC:TRAN:TIME:STIM when :CALC:TRAN:METH is set at time.

Variable

Parameter | Selection Option
Description | The stimulus type
Data Type | Character string type (String)
Range | "IMPulse": Specifies the impulse "STEP": Specifies the step
Preset Value | "IMPulse"

Query Response

{IMP|STEP}<newline><^END>

Examples

Dim Var as String
Var= "IMPulse"
Ena.WriteString ":CALC1:TRAN:DIST:STIM " & Var, True
Ena.WriteString ":CALC1:TRAN:DIST:STIM?", True
Var=Ena.ReadString

Related Commands

: :CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:TIME:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STAR

:CALC:TRAN:DIST:STOP

:CALC:TRAN:TIME:STIM

Equivalent Softkey

Analysis > Transform > Type > Bandpass | Lowpass Step | Lowpass Imp

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.STIMULUS

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.STIMULUS


:CALC:TRAN:DIST:STOP

:CALC<Ch>:TRAN:DIST:STOP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STOP <Value>

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:STOP?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STOP <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:STOP?

Description

This command sets/gets the stop value used for the transformation function of the fault location display. Use :CALC:TRAN:TIME:STOP when :CALC:TRAN:METH is set at time.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 2.99792458
Unit | ft (feet), m (meters) or in (inches)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC1:TRAN:DIST:STOP " & Var, True
Ena.WriteString ":CALC1:TRAN:DIST:STOP?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:STIM

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STAR

:CALC:TRAN:TIME:STOP

Equivalent Softkey

Analysis > Transform > Stop

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.STOP

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.STOP


:CALC:TRAN:DIST:UNIT

:CALC<Ch>:TRAN:DIST:UNIT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:UNIT {METers|FEET|INCHes}

:CALCulate<Ch>[:SELected]:TRANsform:DISTance:UNIT?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:UNIT {METers|FEET|INCHes}

:CALCulate<Ch>:TRACe<Tr>:TRANsform:DISTance:UNIT?

Description

This command sets/gets the distance unit used for the transform function of the fault location display.

Variable

Parameter | Selection Option
Description | The distance unit used for the transform function
Data Type | Character string type (String)
Range | "METers": Specifies in meter. "FEET": Specifies in feet. "INCHes": Specifies in inches.
Preset Value | "METers"

Query Response

{MET|FEET|INCH}<newline><^END>

Examples

Dim Var as String
Var= "METers"
Ena.WriteString ":CALC1:TRAN:DIST:UNIT " & Var, True
Ena.WriteString ":CALC1:TRAN:DIST:UNIT?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:DIST:STAT

:CALC:TRAN:DIST

:CALC:TRAN:DIST:STIM

:CALC:TRAN:DIST:KBES

:CALC:TRAN:DIST:LPFR

:CALC:TRAN:DIST:IMP:WIDT

:CALC:TRAN:DIST:STEP:RTIM

:CALC:TRAN:DIST:CENT

:CALC:TRAN:DIST:SPAN

:CALC:TRAN:DIST:STAR

:CALC:TRAN:DIST:STOP

Equivalent Softkey

Analysis > Transform > Unit > Meters | Feet | Inches

For Seconds, use :CALC:TRAN:METH

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.DISTANCE.UNIT

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.DISTANCE.UNIT


:CALC:TRAN:METH

:CALC<Ch>:TRAN:METH

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:METHod {TIME|DISTance}

:CALCulate<Ch>[:SELected]:TRANsform:METHod?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:METHod {TIME|DISTance}

:CALCulate<Ch>:TRACe<Tr>:TRANsform:METHod?

Description

This command sets/gets the horizontal axis of the transform function either as time or distance.

When this is set at time, use :CALC:TRANS:TIME:xxxx.

When this is set at distance, use :CALC:TRANS:DIST:xxxx.

Variable

Parameter | Selection Option
Description | The horizontal axis of the transform function
Data Type | Character string type (String)
Range | "TIME": Specifies the time. "DISTance": Specifies the distance.
Preset Value | "TIME"

Query Response

{TIME|DIST}<newline><^END>

Examples

Dim Var as String
Var= "TIME"
Ena.WriteString ":CALC1:TRAN:METH " & Var, True
Ena.WriteString ":CALC1:TRAN:METH?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAN:DIST:UNIT

Equivalent Softkey

Analysis > Transform > Unit > Seconds | Meters | Feet | Inches

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.METHOD

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.METHOD


:CALC:TRAN:TIME

:CALC<Ch>:TRAN:TIME

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME[:TYPE] {BPASs|LPASs}

:CALCulate<Ch>[:SELected]:TRANsform:TIME[:TYPE]?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME[:TYPE] {BPASs|LPASs}

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME[:TYPE]?

Description

This command sets/gets the transformation type used for the transformation function of the time domain function. Use :CALC:TRAN:DIST when :CALC:TRAN:METH is set at distance.

Variable

Parameter | Selection Option
Description | The transformation type
Data Type | Character string type (String)
Range | "BPASs": Band-pass "LPASs": Low-pass
Preset Value | "BPASs"

Query Response

{BPAS|LPAS}<newline><^END>

Examples

Dim Var as String
Var= "BPASs"
Ena.WriteString ":CALC1:TRAN:TIME " & Var, True
Ena.WriteString ":CALC1:TRAN:TIME?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STAR

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST

Equivalent Softkey

Analysis > Transform > Type > Bandpass | Lowpass Step | Lowpass Imp

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.TYPE

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.TYPE


:CALC:TRAN:TIME:CENT

:CALC<Ch>:TRAN:TIME:CENT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:CENTer <Value>

:CALCulate<Ch>[:SELected]:TRANsform:TIME:CENTer?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:CENTer <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:CENTer?

Description

This command sets/gets the center value used for the transformation function of the time domain function. Use :CALC:TRAN:DIST:CENT when :CALC:TRAN:METH is set at distance.

Variable

Parameter | Value
Description | Center value
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 0
Unit | s (second)
Resolution | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC1:TRAN:TIME:CENT " & Var, True
Ena.WriteString ":CALC1:TRAN:TIME:CENT?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STAR

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST:CENT

Equivalent Softkey

Analysis > Transform > Center

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.CENTER

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.CENTER


:CALC:TRAN:TIME:IMP:WIDT

:CALC<Ch>:TRAN:TIME:IMP:WIDT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:IMPulse:WIDTh <Value>

:CALCulate<Ch>[:SELected]:TRANsform:TIME:IMPulse:WIDTh?

The following syntax is also supported:

CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:IMPulse:WIDTh <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:IMPulse:WIDTh?

Description

This command sets/gets the shape of the Kayser Bessel window using the impulse width used for the transformation function of the time domain function. Use :CALC:TRAN:DIST:IMP:WIDT when :CALC:TRAN:METH is set at distance.

Variable

Parameter | Value
Description | Impulse width
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and transformation type.
Preset Value | 108.579158773p
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC1:TRAN:TIME:IMP:WIDT " & Var, True
Ena.WriteString ":CALC1:TRAN:TIME:IMP:WIDT?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STAR

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST:IMP:WIDT

Equivalent Softkey

Analysis > Transform > Window > Impulse Width

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.IMPULSE.WIDTH

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.IMPULSE.WIDTH


:CALC:TRAN:TIME:KBES

:CALC<Ch>:TRAN:TIME:KBES

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:KBESsel <Value>

:CALCulate<Ch>[:SELected]:TRANsform:TIME:KBESsel?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:KBESsel <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:KBESsel?

Description

This command sets/gets the shape of the Kayser Bessel window used for the transformation function of the time domain function. Use :CALC:TRAN:DIST:KBES when :CALC:TRAN:METH is set at distance.

Variable

Parameter | Value
Description | kaiser beta
Data Type | Numeric type (Real)
Range | 0 to 13
Preset Value | 6
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 7
Ena.WriteString ":CALC1:TRAN:TIME:KBES " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:TIME:KBES?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STAR

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST:KBES

Equivalent Softkey

Analysis > Transform > Window > Kaiser Beta

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.KBESSEL

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.KBESSEL


:CALC:TRAN:TIME:LPFR

:CALC<Ch>:TRAN:TIME:LPFR

Type

Command

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:LPFRequency

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:LPFRequency

Description

This command changes the frequency range to match with the low-pass type transformation of the transformation function of the time domain function. Use:CALC:TRAN:DIST:LPFR when :CALC:TRAN:METH is set at distance.

Examples

Ena.WriteString ":CALC1:TRAN:TIME:LPFR", True

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STAR

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST:LPFR

Equivalent Softkey

Analysis > Transform > Set Freq Low Pass

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.LPFREQUENCY

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.LPFREQUENCY


:CALC:TRAN:TIME:SPAN

:CALC<Ch>:TRAN:TIME:SPAN

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:SPAN <Value>

:CALCulate<Ch>[:SELected]:TRANsform:TIME:SPAN?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:SPAN <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:SPAN?

Description

This command selects the span value used for the transformation function of the time domain function. Use :CALC:TRAN:DIST:SPAN when :CALC:TRAN:METH is set at distance.

Variable

Parameter | Value
Description | Span value
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 20n
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC1:TRAN:TIME:SPAN " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:TIME:SPAN?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:STAR

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST:SPAN

Equivalent Softkey

Analysis > Transform > Span

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.SPAN

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.SPAN


:CALC:TRAN:TIME:STAR

:CALC<Ch>:TRAN:TIME:STAR

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STARt <Value>

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STARt?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STARt <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STARt?

Description

This command sets/gets the start value used for the transformation function of the time domain function. Use :CALC:TRAN:DIST:STAR when :CALC:TRAN:METH is set at distance.

Variable

Parameter | Value
Description | Start value
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | -10n
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var = 0.01
Ena.WriteString ":CALC1:TRAN:TIME:STAR " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:TIME:STAR?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST:STAR

Equivalent Softkey

Analysis > Transform > Start

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.START

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.START


:CALC:TRAN:TIME:STAT

:CALC<Ch>:TRAN:TIME:STAT

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STATe {ON|OFF|1|0}

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STATe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STATe {ON|OFF|1|0}

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STATe?

Description

This command turns ON/OFF the transformation function of the time domain function. Use :CALC:TRAN:DIST:STAT when :CALC:TRAN:METH is set at distance.

This command is available for option 010/011 only.

You can enable the transformation function only when the sweep type is the linear sweep and the number of points is three or more. If you execute this object to enable the transformation function when the sweep type is other than the linear sweep or the number of points is less than three, an error occurs and the object is ignored.

Variable

Parameter | Selection Option
Description | ON/OFF of the transform function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CALC1:TRAN:TIME:STAT " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:TIME:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STAR

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST:STAT

Equivalent Softkey

Analysis > Transform > Transform

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.STATE

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.STATE


:CALC:TRAN:TIME:STEP:RTIM

:CALC<Ch>:TRAN:TIME:STEP:RTIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STEP:RTIMe <Value>

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STEP:RTIMe?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STEP:RTIMe <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STEP:RTIMe?

Description

This command sets/gets the shape of the Kayser Bessel window using the rise time of step signal used for the transformation function of the time domain function. Use :CALC:TRAN:DIST:STEP:RTIM when :CALC:TRAN:METH is set at distance.

Variable

Parameter | Value
Description | The rise time of step signal
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span
Preset Value | 54.7833333333p
Unit | s (second)
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC1:TRAN:TIME:STEP:RTIM " & Str(Var), True
Ena.WriteString ":CALC1:TRAN:TIME:STEP:RTIM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STAR

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST:STEP:RTIM

Equivalent Softkey

Analysis > Transform > Window > Step Rise

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.STEP.RTIME

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.STEP.RTIME


:CALC:TRAN:TIME:STIM

:CALC<Ch>:TRAN:TIME:STIM

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STIMulus {IMPulse|STEP}

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STIMulus?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STIMulus {IMPulse|STEP}

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STIMulus?

Description

This command sets/gets the stimulus type used for the transformation function of the time domain function. Use :CALC:TRAN:DIST:STIM when :CALC:TRAN:METH is set at distance.

Variable

Parameter | Selection Option
Description | The stimulus type
Data Type | Character string type (String)
Range | "IMPulse": Specifies the impulse "STEP": Specifies the step
Preset Value | "IMPulse"

Query Response

{IMP|STEP}<newline><^END>

Examples

Dim Var as String
Var= "IMPulse"
Ena.WriteString ":CALC1:TRAN:TIME:STIM " & Var, True
Ena.WriteString ":CALC1:TRAN:TIME:STIM?", True
Var=Ena.ReadString

Related Commands

: :CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STAR

:CALC:TRAN:TIME:STOP

:CALC:TRAN:DIST:STIM

Equivalent Softkey

Analysis > Transform > Type > Bandpass | Lowpass Step | Lowpass Imp

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.STIMULUS

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.STIMULUS


:CALC:TRAN:TIME:STOP

:CALC<Ch>:TRAN:TIME:STOP

Type

Command/Query

Syntax

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STOP <Value>

:CALCulate<Ch>[:SELected]:TRANsform:TIME:STOP?

The following syntax is also supported:

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STOP <Value>

:CALCulate<Ch>:TRACe<Tr>:TRANsform:TIME:STOP?

Description

This command sets/gets the stop time for time domain measurements. Use :CALC:TRAN:DIST:STOP when :CALC:TRAN:METH is set at distance.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | Varies depending on the frequency span and the number of points.
Preset Value | 10n
Unit | s (second)
Resolution | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC1:TRAN:TIME:STOP " & Var, True
Ena.WriteString ":CALC1:TRAN:TIME:STOP?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAN:METH

:CALC:TRAN:TIME:STAT

:CALC:TRAN:TIME

:CALC:TRAN:TIME:STIM

:CALC:TRAN:TIME:IMP:WIDT

:CALC:TRAN:TIME:KBES

:CALC:TRAN:TIME:LPFR

:CALC:TRAN:TIME:CENT

:CALC:TRAN:TIME:SPAN

:CALC:TRAN:TIME:STAR

:CALC:TRAN:DIST:STOP

Equivalent Softkey

Analysis > Transform > Stop

COM Command Syntax (Internal Control Only)

SCPI.CALCULATE(Ch).SELECTED.TRANSFORM.TIME.STOP

SCPI.CALCULATE(Ch).TRACE(Tr).TRANSFORM.TIME.STOP


:CONT:HAND:A

Type

Command

Syntax

:CONTrol:HANDler:A[:DATA] <Value>

Description

This command sets/gets information of output port A (A0 to A7) of the handler I/O. Port information is output as 8-bit binary data using A0 as LSB and A7 as MSB.

Variable

Parameter | Value
Description | Port information (output)
Data Type | Numeric type (Integer)
Range | 0 ~ 255

Examples

Dim Var as Long
Var= 10
Ena.WriteString ":CONT:HAND:A " & Str(Var), True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.A.DATA


:CONT:HAND:B

Type

Command

Syntax

:CONTrol:HANDler:B[:DATA] <Value>

Description

This command sets/gets information of output port B (B0 to B7) of the handler I/O. Port information is output as 8-bit binary data using B0 as LSB and B7 as MSB.

The bit 6 of the data outputted by this project is ignored when outputting the INDEX signal is turned ON (specifying True with the :CONT:HAND:IND:STAT object).

The bit 7 of the data outputted by this project is ignored when outputting the READY FOR TRIGGER signal is turned ON (specifying True with the :CONT:HAND:RTR:STAT object).

Variable

Parameter | Value
Description | Port information (output)
Data Type | Numeric type (Integer)
Range | 0 ~ 255

Examples

Dim Var as Long
Var= 11
Ena.WriteString ":CONT:HAND:B " & Str(Var), True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.B.DATA


:CONT:HAND:C

Type

Command/Query

Syntax

:CONTrol:HANDler:C[:DATA] <Value>

:CONTrol:HANDler:C[:DATA]?

Description

When input/output port C of the handler I/O is set to the output port, it outputs port information to the output port C (C0 to C3).

When input/output port C of the handler I/O is set to the input port, it reads out port information inputted to port C (C0 to C3).

Port information is input/output as 4-bit binary data, using C0 as LSB and C3 as MSB.

Variable

Parameter | Value
Description | Port information (input/output)
Data Type | Numeric type (Integer)
Range | 0 ~ 15

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 15
Ena.WriteString ":CONT:HAND:C " & Str(Var), True
Ena.WriteString ":CONT:HAND:C?", True
Var=Ena.ReadNumber

Related Commands

:CONT:HAND:C:MODE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.C.DATA


:CONT:HAND:C:MODE

Type

Command/Query

Syntax

:CONTrol:HANDler:C:MODE {INPut|OUTPut}

:CONTrol:HANDler:C:MODE?

Description

This command sets/gets the input/output direction of port C of the handler I/O.

Variable

Parameter | Selection Option
Description | Input/output direction of port C
Data Type | Character string type (String)
Range | INPut|OUTPut
Preset Value | INPut

Query Response

{INP|OUTP}<newline><^END>

Examples

Dim Var as String
Var= "INPut"
Ena.WriteString ":CONT:HAND:C:MODE " & Var, True
Ena.WriteString ":CONT:HAND:C:MODE?", True
Var=Ena.ReadString

Related Commands

:CONT:HAND:C

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.C.MODE


:CONT:HAND:D

Type

Command/Query

Syntax

:CONTrol:HANDler:D[:DATA] <Value>

:CONTrol:HANDler:D[:DATA]?

Description

When input/output port D of the handler I/O is set to the output port, it outputs port information to output port D (D0 to D3).

When input/output port D of the handler I/O is set to the input port, it reads out port information to input to port D (D0 to D3).

Port information is output as 4-bit binary data using D0 as LSB and D3 as MSB.

Variable

Parameter | Value
Description | Port information (input/output)
Data Type | Numeric type (Integer)
Range | 0 ~ 15

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":CONT:HAND:D" & Str(Var), True
Ena.WriteString ":CONT:HAND:D?", True
Var=Ena.ReadNumber

Related Commands

:CONT:HAND:D:MODE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.D.DATA


:CONT:HAND:D:MODE

Type

Command/Query

Syntax

:CONTrol:HANDler:D:MODE {INPut|OUTPut}

:CONTrol:HANDler:D:MODE?

Description

This command sets/gets the input/output direction of port D of the handler I/O.

Variable

Parameter | Selection Option
Description | Input/output direction of port D
Data Type | Character string type (String)
Range | INPut|OUTPut
Preset Value | INPut

Query Response

{INP|OUTP}<newline><^END>

Examples

Dim Var as String
Var= "INPut"
Ena.WriteString ":CONT:HAND:D:MODE " & Var, True
Ena.WriteString ":CONT:HAND:D:MODE?", True
Var=Ena.ReadString

Related Commands

:CONT:HAND:D

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.D.MODE


:CONT:HAND:E

Type

Command/Query

Syntax

:CONTrol:HANDler:E[:DATA] <Value>

:CONTrol:HANDler:E[:DATA]?

Description

When input/output port E (port C + port D) of the handler I/O is set to the output port, it outputs port information to output port E (C0 to D3).

When input/output port E of the handler I/O is set to the input port, it reads out port information inputted to port E (C0 to D3).

Port information is output as 8-bit binary data using C0 as LSB and D3 as MSB.

Variable

Parameter | Value
Description | Port information (input/output)
Data Type | Numeric type (Integer)
Range | 0 ~ 255

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":CONT:HAND:E " & Str(Var), True
Ena.WriteString ":CONT:HAND:E?", True
Var=Ena.ReadNumber

Related Commands

:CONT:HAND:C

:CONT:HAND:C:MODE

:CONT:HAND:D

:CONT:HAND:D:MODE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.E.DATA


:CONT:HAND:F

Type

Command

Syntax

:CONTrol:HANDler:F[:DATA] <Value>

Description

Outputs port information to output port F (port A + port B) of the handler I/O. Port information is output as 16-bit binary using A0 as LSB and B7 as MSB.

The bit 14 of the data output by this project is ignored when outputting the INDEX signal is turned ON (specifying True with the :CONT:HAND:IND:STAT).

The bit 15 of the data output by this project is ignored when outputting the READY FOR TRIGGER signal is turned ON (specifying True with the :CONT:HAND:RTR:STAT).

Variable

Parameter | Value
Description | Port information (output)
Data Type | Numeric type (Integer)
Range | 0 ~ 65535

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":CONT:HAND:F " & Str(Var), True

Related Commands

:CONT:HAND:A

:CONT:HAND:B

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.F.DATA


:CONT:HAND:IND:STAT

Type

Command/Query

Syntax

:CONTrol:HANDler[:EXTension]:INDex:STATe {ON|OFF|1|0}

:CONTrol:HANDler[:EXTension]:INDex:STATe?

Description

Turns ON/OFF output of the INDEX signal to B6 of the handler I/O.

When you use port B6 as the output port, turn OFF the INDEX signal output. When output of the INDEX signal is turned ON, the bit 6 of the data output by the SCPI.CONTrol.HANDler.B.DATA object (the bit 14 of the data outputted by the SCPI.CONTrol.HANDler.F.DATA object) is ignored..

Variable

Parameter | Selection Option
Description | State of the INDEX signal output
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CONT:HAND:IND:STAT " & Str(Var), True
Ena.WriteString ":CONT:HAND:IND:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CONT:HAND:RTR:STAT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.EXTENSION.INDEX.STATE


:CONT:HAND:OUTP

:CONT:HAND:OUTP<Pt>

Type

Command/Query

Syntax

:CONTrol:HANDler:OUTPut<Pt>[:DATA] <Value>

:CONTrol:HANDler:OUTPut<Pt>[:DATA]?

Description

This command sets/gets data to OUTPUT1 or OUTPUT2 of the handler I/O.

Variable

Parameter | Value
Description | OUTPUT terminal number
Data Type | Numeric type (Integer)
Range | 0 ~ 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":CONT:HAND:OUTP1 " & Str(Var), True
Ena.WriteString ":CONT:HAND:OUTP1?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.OUTPUT(Pt).DATA


:CONT:HAND:RTR:STAT

Type

Command/Query

Syntax

:CONTrol:HANDler[:EXTension]:RTRigger:STATe {ON|OFF|1|0}

:CONTrol:HANDler[:EXTension]:RTRigger:STATe?

Description

This command turns ON/OFF the output of READY FOR TRIGGER signal to B7 of the handler I/O.

When you use port B7 as the output port, turn OFF the READY FOR TRIGGER signal output. When outputting the READY FOR TRIGGER signal is turned ON, the bit 7 of the data output by the :CONT:HAND:B (the bit 15 of the data output by the :CONT:HAND:F) is ignored.

Variable

Parameter | Selection Option
Description | Status of the READY FOR TRIGGER signal output
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":CONT:HAND:RTR:STAT " & Str(Var), True
Ena.WriteString ":CONT:HAND:RTR:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CONT:HAND:IND:STAT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.CONTROL.HANDLER.EXTENSION.RTRIGGER.STATE


:DISP:ANN:FREQ

Type

Command/Query

Syntax

:DISPlay:ANNotation:FREQuency[:STATe] {ON|OFF|1|0}

:DISPlay:ANNotation:FREQuency[:STATe]?

Description

This command turns ON/OFF the frequency display on the LCD display.

Variable

Parameter | Selection Option
Description | Status of the frequency display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:ANN:FREQ " & Str(Var), True
Ena.WriteString ":DISP:ANN:FREQ?", True
Var=Ena.ReadNumber

Equivalent Softkey

Display > Frequency

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.ANNOTATION.FREQUENCY.STATE


:DISP:CCL

Type

Command

Syntax

:DISPlay:CCLear

Description

This command clears the error message displayed in the status bar (at the bottom of the LCD display).

Examples

Ena.WriteString ":DISP:CCL", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.CCLEAR


:DISP:CLOC

Type

Command/Query

Syntax

:DISPlay:CLOCk {ON|OFF|1|0}

:DISPlay:CLOCk?

Description

This command turns ON/OFF the clock display in the instrument status bar (at the right bottom of the LCD display).

Variable

Parameter | Selection Option
Description | ON/OFF of the clock display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:CLOC" & Str(Var), True
Ena.WriteString ":DISP:CLOC?", True
Var=Ena.ReadNumber

Equivalent Softkey

System > Misc Setup > Clock Setup > Show Clock

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.CLOCK


:DISP:COL:BACK

:DISP:COL<Dnum>:BACK

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:BACK <Value1>, <Value2>, <Value3>

:DISPlay:COLor<Dnum>:BACK?

Description

This command sets/gets the background color.

<Dnum> Normal display: 1, Inverted display: 2

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Examples

Dim Var as Variant
Ena.WriteString ":DISP:COL:BACK 5,5,5", True
Ena.WriteString ":DISP:COL:BACK?", True
Var=Ena.ReadList

Related Commands

:DISP:COL:RES

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Background

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).BACK


:DISP:COL:GRAT

:DISP:COL<Dnum>:GRAT<Gnum>

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:GRATicule<Gnum> <Value1>, <Value2>, <Value3>
:DISPlay:COLor<Dnum>:GRATicule<Gnum>?

Description

This command sets/gets the color of the graticule label.

<Dnum> Normal display: 1, Inverted display: 2

<Gnum> Outer frame line of the graph: 1, Color of the grid line of the graph: 2

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Example

Dim Var as Variant
Ena.WriteString ":DISP:COL:GRAT1 5, 5, 5", True
Ena.WriteString ":DISP:COL:GRAT1?", True
Var=Ena.ReadList

Related Commands

:DISP:COL:RES

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Graticule Main

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Graticule Sub

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).GRATICULE(Gnum)


:DISP:COL:LIM

:DISP:COL<Dnum>:LIM<Lnum>

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:LIMit<Lnum> <Value1>, <Value2>, <Value3>

:DISPlay:COLor<Dnum>:LIMit<Lnum>?

Description

This command sets/gets the fail display color used for the limit test result, Bandwidth test result and Ripple test result and the color of the limit line.

<Lnum> Fail display color: 1, limit line color: 2

<Dnum> Normal display: 1, Inverted display: 2.

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Examples

Dim Var as Multiple
Var= 1
Ena.WriteString ":DISP:COL:LIM1" & Str(Var), True
Ena.WriteString ":DISP:COL:LIM1?", True
Var=Ena.ReadNumber

Related Commands

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Limit Fail

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Limit Line

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).LIMIT(Lnum)


:DISP:COL:RES

:DISP:COL<Dnum>:RES

Type

Command

Syntax

:DISPlay:COLor<Dnum>:RESet

Description

This command resets the display color settings for all the items to the factory preset state.

<Dnum> Normal display: 1, Inverted display: 2

Examples

Ena.WriteString ":DISP:COL1:RES", True

Related Commands

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Reset Color > OK

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).RESET


:DISP:COL:TRAC:DATA

:DISP:COL<Dnum>:TRAC<Tr>:DATA

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:TRACe<Tr>:DATA <Value1>, <Value2>, <Value3>

:DISPlay:COLor<Dnum>:TRACe<Tr>:DATA?

Description

This command sets/gets the color of the trace.

<Dnum> Normal display: 1, Inverted display: 2.

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Examples

Dim Var as Multiple
Var= 1
Ena.WriteString ":DISP:COL:TRAC1:DATA" & Str(Var), True
Ena.WriteString ":DISP:COL:TRAC1:DATA?", True
Var=Ena.ReadNumber

Related Commands

:DISP:COL:RES

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Data Trace 1 to Data Trace 4

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).TRACE(Tr).DATA


:DISP:COL:TRAC:MEM

:DISP:COL<Dnum>:TRAC<Tr>:MEM

Type

Command/Query

Syntax

:DISPlay:COLor<Dnum>:TRACe<Tr>:MEMory <Value1>, <Value2>, <Value3>

:DISPlay:COLor<Dnum>:TRACe<Tr>:MEMory?

Description

This command sets/gets the color of the memory trace.

<Dnum> Normal display: 1, Inverted display: 2.

Variable

Parameter | Value1
Description | Red
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value2
Description | Green
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Parameter | Value3
Description | Blue
Data Type | Numeric type (Integer)
Range | 0 ~ 5
Preset Value | 1

Query Response

{numeric 1}, {numeric 2}, {numeric 3}<newline><^END>

Examples

Dim Var as Multiple
Var= 1
Ena.WriteString ":DISP:COL:TRAC1:MEM" & Str(Var), True
Ena.WriteString ":DISP:COL:TRAC1:MEM?", True
Var=Ena.ReadNumber

Related Commands

:DISP:COL:RES

Equivalent Softkey

System > Misc Setup > Display Setup > Color Setup > Normal | Invert > Mem Trace 1 to Mem Trace 4

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.COLOR(Dnum).TRACE(Tr).MEMORY


:DISP:ECHO

Type

Command

Syntax

:DISPlay:ECHO[:DATA] <String>

Description

This command displays a character string in the echo window. This command is different from ECHO command as it displays a single character string.

Variable

Parameter | String
Description | String you want to display in the echo window.
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Ena.WriteString ":DISP:ECHO & Var, True

Related Commands

:DISP:TABL

:DISP:TABL:TYPE

:DISP:ECHO:CLE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.ECHO.DATA


:DISP:ECHO:CLE

Type

Command

Syntax

:DISPlay:ECHO:CLEar

Description

This command clears all character strings displayed in the echo window.

Examples

Ena.WriteString ":DISPlay:ECHO:CLEar", True

Related Commands

:DISP:ECHO

Equivalent Softkey

Macro Setup > Clear Echo

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.ECHO.CLEAR


:DISP:ENAB

Type

Command/Query

Syntax

:DISPlay:ENABle {ON|OFF|1|0}

:DISPlay:ENABle?

Description

This command turns ON/OFF the display update on the measurement screen.

Variable

Parameter | Selection Option
Description | ON/OFF of the display update of the measurement screen
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:ENAB" & Str(Var), True
Ena.WriteString ":DISP:ENAB?", True
Var=Ena.ReadNumber

Equivalent Softkey

Display > Update

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.ENABLE


:DISP:FSIG

Type

Command/Query

Syntax

:DISPlay:FSIGn {ON|OFF|1|0}

:DISPlay:FSIGn?

Description

This command turns ON/OFF the "Fail" display on the LCD screen when the limit test, bandwidth test and ripple test fails.

Variable

Parameter | Selection Option
Description | ON/OFF of the "Fail" display when the limit test fails
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:FSIG " & Str(Var), True
Ena.WriteString ":DISP:FSIG?", True
Var=Ena.ReadNumber

Related Commands

:CALC:LIM

:CALC:RLIM

:CALC:BLIM

Equivalent Softkey

Analysis > Limit Test > Fail Sign

Analysis > Ripple Limit > Fail Sign

Analysis > Bandwidth Limit > Fail Sign

Analysis > Point Limit Test > Fail Sign

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.FSIGN


:DISP:IMAG

Type

Command/Query

Syntax

:DISPlay:IMAGe {NORMal|INVert}

:DISPlay:IMAGe?

Description

This command sets/gets the display type of the LCD display.

Variable

Parameter | Selection Option
Description | Display type of the LCD display
Data Type | Character string type (String)
Range | NORMal: Normal color INVert: Invert color
Preset Value | NORMal

Query Response

{NORM|INV}<newline><^END>

Examples

Dim Var as String
Var= "NORMal"
Ena.WriteString ":DISP:IMAG" & Var, True
Ena.WriteString ":DISP:IMAG?", True
Var=Ena.ReadString

Equivalent Softkey

Display > Invert Color

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.IMAGE


:DISP:MAX

Type

Command/Query

Syntax

:DISPlay:MAXimize {ON|OFF|1|0}

:DISPlay:MAXimize?

Description

This command turns ON/OFF the window maximization of the active channel.

Only the window of the active channel is maximized on the LCD display and the windows of the other channels are not displayed.

Variable

Parameter | Selection Option
Description | ON/OFF of the window maximization
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:MAX" & Str(Var), True
Ena.WriteString ":DISP:MAX?", True
Var=Ena.ReadNumber

Related Commands

:DISP:WIND:ACT

Equivalent Softkey

Channel Max

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.MAXIMIZE


:DISP:SKEY

Type

Command/Query

Syntax

:DISPlay:SKEY[:STATe] {ON|OFF|1|0}

:DISPlay:SKEY[:STATe]?

Description

This command turns ON/OFF the display of the softkey menu bar.

Variable

Parameter | Selection Option
Description | ON/OFF of the softkey menu bar display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:SKEY" & Str(Var), True
Ena.WriteString ":DISP:SKEY?", True
Var=Ena.ReadNumber

Equivalent Softkey

Entry Off (Softkey On/Off)

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.SKEY.STATE


:DISP:SPL

Type

Command/Query

Syntax

:DISPlay:SPLit {D1|D1_2|D12|D1_2_3|D12_34|D12_34_56|D1_1_2|D112|D12_33|D13_23|D123|D1234_5678|D123_456|D123_456_789|D11_23|D12_13|D1234|D1_2_3_4|D12_34_56_78|D123__ABC|D1234__9ABC|D1234__CDEF|D1234__DEFG|D1X1|D1X2|D1X3|D1X4|D2X1|D2X2|D2X3|D2X4|D3X1|D3X2|D3X3|D3X4|D4X1|D4X2|D4X3|D4X4|D4X5|D4X6|D4X7|D4X8}

:DISPlay:SPLit?

Description

Sets the layout of the channel windows on the LCD display.

Variable

Parameter | Selection Option
Description | Layout of channel windows
Data Type | Character string type (String)
Range | D1|D1_2|D12|D1_2_3|D12_34|D12_34_56|D1_1_2|D112|D12_33|D13_23|D123|D1234_5678|D123_456|D123_456_789|D11_23|D12_13|D1234|D1_2_3_4|D12_34_56_78|D123__ABC|D1234__9ABC|D1234__CDEF|D1234__DEFG|D1X1|D1X2|D1X3|D1X4|D2X1|D2X2|D2X3|D2X4|D3X1|D3X2|D3X3|D3X4|D4X1|D4X2|D4X3|D4X4|D4X5|D4X6|D4X7|D4X8
Preset Value | D1

Query Response

{D1|D1_2|D12|D1_2_3|D12_34|D12_34_56|D1_1_2|D112|D12_33|D13_23|D123|D1234_5678|D123_456|D123_456_789|D11_23|D12_13|D1234|D1_2_3_4|D12_34_56_78|D123__ABC|D1234__9ABC|D1234__CDEF|D1234__DEFG|D1X1|D1X2|D1X3|D1X4|D2X1|D2X2|D2X3|D2X4|D3X1|D3X2|D3X3|D3X4|D4X1|D4X2|D4X3|D4X4|D4X5|D4X6|D4X7|D4X8}<newline><^END>

Examples

Dim Var as String
Var= "D1"
Ena.WriteString ":DISP:SPL " & Var, True
Ena.WriteString ":DISP:SPL?", True
Var=Ena.ReadString

Related Commands

:DISP:WIND:ACT

:DISP:WIND:SPL

Equivalent Softkey

Display > Allocate Channels > {Display Layout}

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.SPLIT


:DISP:TABL

Type

Command/Query

Syntax

:DISPlay:TABLe[:STATe] {ON|OFF|1|0}

:DISPlay:TABLe[:STATe]?

Description

This command turns ON/OFF the display of the window that appears in the lower part of the LCD display (specified by :DISP:TABL:TYPE).

Variable

Parameter | Selection Option
Description | ON/OFF of the display of the window that appears in the lower part of the LCD display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:TABL " & Str(Var), True
Ena.WriteString ":DISP:TABL?", True
Var=Ena.ReadNumber

Related Commands

:DISP:TABL:TYPE

:DISP:TABL:POS

Equivalent Softkey

Marker Function > Marker Table

Analysis > Limit Test > Edit Limit Line

Sweep Setup > Edit Segment Table

Macro Setup > Echo Window

Analysis > Ripple Limit > Edit Ripple Limit

Analysis > Point Limit > Edit Point Limit

:DISP:TABL:TYPE specifies the table type.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.TABLE.STATE


:DISP:TABL:POS

Type

Query

Syntax

:DISPlay:TABLe:POSition[:RECTangle]?

Description

This command returns the rectangle position of list table.

Variable

Query Response

{numeric 1}, {numeric 2}, {numeric 3}, {numeric 4}<newline><^END>

  • {numeric 1} : coordinates X position of top left of Table Area.

  • {numeric 2} : coordinates Y position of top left of Table Area.

  • {numeric 3} : coordinates X position of bottom right of Table Area.

  • {numeric 4} : coordinates Y position of bottom right of Table Area.

Examples

Dim Var as Variant
Ena.WriteString ":DISP:TABL:POS?", True
Var=Ena.ReadNList

Related Commands

:DISP:TABL

:DISP:TABL:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.TABLE.POSITION.RECTANGLE


:DISP:TABL:TYPE

Type

Command/Query

Syntax

:DISPlay:TABLe:TYPE {MARKer|LIMit|SEGMent|ECHO|PLIMit|RLIMit}

:DISPlay:TABLe:TYPE?

Description

This command selects the table type in the window.

Variable

Parameter | Selection Option
Description | Table
Data Type | Character string type (String)
Range | MARKer: Maker list LIMit:Limit table SEGMent: Segment table ECHO: Echo window PLIMit: Point Limit table RLIMit: Ripple Limit table
Preset Value | MARKer

Query Response

{MARK|LIM|SEGM|ECHO|PLIM|RLIM}<newline><^END>

Examples

Dim Var as String
Var= "MARKer"
Ena.WriteString ":DISP:TABL:TYPE " & Var, True
Ena.WriteString ":DISP:TABL:TYPE?", True
Var=Ena.ReadString

Related Commands

:DISP:TABL

:DISP:TABL:POS

Equivalent Softkey

Marker Function > Marker Table

Analysis > Limit Test > Edit Limit Line

Sweep Setup > Edit Segment Table

Macro Setup > Echo Window

Analysis > Ripple Limit > Edit Ripple Limit

Analysis > Point Limit > Edit Point Limit

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.TABLE.TYPE


:DISP:UPD

Type

Command

Syntax

:DISPlay:UPDate[:IMMediate]

Description

This command executes the display update once when the display update of the LCD screen is set to OFF (specifying False with the :DISP:ENAB).

Examples

Ena.WriteString ":DISP:UPD", True

Related Commands

:DISP:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.UPDATE.IMMEDIATE


:DISP:WIND:ACT

:DISP:WIND<Ch>:ACT

Type

Command

Syntax

:DISPlay:WINDow<Ch>:ACTivate

Description

This command specifies the active channel. You can set only a channel displayed to the active channel. If this object is used to set a channel not displayed to the active channel, an error occurs when executed and the object is ignored.

Examples

Ena.WriteString ":DISP:WIND:ACT", True

Related Commands

:DISP:WIND:SPL

Equivalent Softkey

Channel Prev, Channel Next

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).ACTIVATE


:DISP:WIND:ANN:MARK:ALIG

:DISP:WIND<Ch>:ANN:MARK:ALIG

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:ANNotation:MARKer:ALIGn[:STATe] {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:ANNotation:MARKer:ALIGn[:STATe]?

Description

This command turn ON/OFF the mode that align the marker display position of each trace based on trace 1.

Variable

Parameter | Selection Option
Description | State of alignment
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:WIND1:ANN:MARK:ALIG " & Str(Var), True
Ena.WriteString ":DISP:WIND1:ANN:MARK:ALIG?", True
Var=Ena.ReadNumber

Related Commands

:DISP:WIND:TRAC:ANN:MARK:POS:X

:DISP:WIND:TRAC:ANN:MARK:POS:Y

Equivalent Softkey

Marker Function > Annotation Options > Align

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).ANNOTATION.MARKER.ALIGN.STATE


:DISP:WIND:ANN:MARK:SING

:DISP:WIND<Ch>:ANN:MARK:SING

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:ANNotation:MARKer:SINGle[:STATe] {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:ANNotation:MARKer:SINGle[:STATe]?

Description

This command turns ON/OFF the display of the marker value of only active traces. If the function is turned OFF, marker values of all traces (markers) are displayed.

Variable

Parameter | Selection Option
Description | State of market value display mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:WIND1:ANN:MARK:SING " & Str(Var), True
Ena.WriteString ":DISP:WIND1:ANN:MARK:SING?", True
Var=Ena.ReadNumber

Related Commands

:DISP:WIND:ANN:MARK:ALIG

Equivalent Softkey

Marker Function > Annotation Options > Active Only

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).ANNOTATION.MARKER.SINGLE.STATE


:DISP:WIND:LAB

:DISP:WIND<Ch>:LAB

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:LABel {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:LABel?

Description

This command turns ON/OFF the graticule label display of the graph.

Variable

Parameter | Selection Option
Description | ON/OFF of the graticule label display of the graph
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:WIND1:LAB " & Str(Var), True
Ena.WriteString ":DISP:WIND1:LAB?", True
Var=Ena.ReadNumber

Equivalent Softkey

Display > Graticule Label

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).LABEL


:DISP:WIND:MAX

:DISP:WIND<Ch>:MAX

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:MAXimize {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:MAXimize?

Description

This command turns ON/OFF the maximization of the active trace.

Only the maximized active trace is displayed in the window and the other traces are not displayed.

Variable

Parameter | Selection Option
Description | ON/OFF of the maximization of the active trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:WIND1:MAX " & Str(Var), True
Ena.WriteString ":DISP:WIND1:MAX?", True
Var=Ena.ReadNumber

Related Commands

:DISP:MAX

Equivalent Softkey

Trace Max

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).MAXIMIZE


:DISP:WIND:SPL

:DISP:WIND<Ch>:SPL

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:SPLit {D1|D1_2|D12|D1_2_3|D12_34|D12_34_56|D1_1_2|D112|D12_33|D13_23|D123|D1234_5678|D123_456|D123_456_789|D11_23|D12_13|D1234|D1_2_3_4|D12_34_56_78|D123__ABC|D1234__9ABC|D1234__CDEF|D1234__DEFG|D1X1|D1X2|D1X3|D1X4|D2X1|D2X2|D2X3|D2X4|D3X1|D3X2|D3X3|D3X4|D4X1|D4X2|D4X3|D4X4}

:DISPlay:WINDow<Ch>:SPLit?

Description

This command sets/gets the graph layout.

Variable

Parameter | Selection Option
Description | Graph layout
Data Type | Character string type (String)
Range | D1|D1_2|D12|D1_2_3|D12_34|D12_34_56|D1_1_2|D112|D12_33|D13_23|D123|D1234_5678|D123_456|D123_456_789|D11_23|D12_13|D1234|D1_2_3_4|D12_34_56_78|D123__ABC|D1234__9ABC|D1234__CDEF|D1234__DEFG|D1X1|D1X2|D1X3|D1X4|D2X1|D2X2|D2X3|D2X4|D3X1|D3X2|D3X3|D3X4|D4X1|D4X2|D4X3|D4X4
Preset Value | D1

Query Response

{D1|D1_2|D12|D1_2_3|D12_34|D12_34_56|D1_1_2|D112|D12_33|D13_23|D123|D1234_5678|D123_456|D123_456_789|D11_23|D12_13|D1234|D1_2_3_4|D12_34_56_78|D123__ABC|D1234__9ABC|D1234__CDEF|D1234__DEFG|D1X1|D1X2|D1X3|D1X4|D2X1|D2X2|D2X3|D2X4|D3X1|D3X2|D3X3|D3X4|D4X1|D4X2|D4X3|D4X4}<newline><^END>

Examples

Dim Var as String
Var= "D1"
Ena.WriteString ":DISP:WIND1:SPL " & Var, True
Ena.WriteString ":DISP:WIND1:SPL?", True
Var=Ena.ReadString

Related Commands

:DISP:SPL

Equivalent Softkey

Display > Allocate Traces > {Display Layout }

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).SPLIT


:DISP:WIND:TITL

:DISP:WIND<Ch>:TITL

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TITLe[:STATe] {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:TITLe[:STATe]?

Description

This command turns ON/OFF the title label display in the title area.

Variable

Parameter | Selection Option
Description | ON/OFF of the title label display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = "MyTitle"
Ena.WriteString ":DISP:WIND1:TITL ON", True
Ena.WriteString ":DISP:WIND1:TITL:DATA " & Var, True
Ena.WriteString ":DISP:WIND1:TITL:DATA?", True
Var=Ena.ReadString

Related Commands

:DISP:WIND:TITL:DATA

Equivalent Softkey

Display > Title Label

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TITLE.STATE


:DISP:WIND:TITL:DATA

:DISP:WIND<Ch>:TITL:DATA

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TITLe:DATA <String>

:DISPlay:WINDow<Ch>:TITLe:DATA?

Description

This command sets/gets the title label displayed in the title area.

Variable

Parameter | String
Description | Title label
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

See :DISP:WIND:TITL

Related Commands

:DISP:WIND:TITL

Equivalent Softkey

Display > Edit Title Label

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TITLE.DATA


:DISP:WIND:TRAC:ANN:MARK:POS:X

:DISP:WIND<Ch>:TRAC<Tr>:ANN:MARK:POS:X

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:MARKer:POSition:X <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:MARKer:POSition:X?

Description

This command sets/gets the display position of the marker value on the X-axis by a percentage of a width of the display span.

Variable

Parameter | Value
Description | Display position of the marker value on the X-axis.
Data Type | Numeric type (Integer)
Range | -15 ~ 100
Preset Value | 1
Unit | %
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= -15
Ena.WriteString ":DISP:WIND1:TRAC1:ANN:MARK:POS:X " & Str(Var), True
Ena.WriteString ":DISP:WIND1:TRAC1:ANN:MARK:POS:X?", True
Var=Ena.ReadNumber

Related Commands

:DISP:WIND:TRAC:ANN:MARK:POS:Y

Equivalent Softkey

Marker Function > Annotation Options > Marker Info X Pos

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).ANNOTATION.MARKER.POSITION.X


:DISP:WIND:TRAC:ANN:MARK:POS:Y

:DISP:WIND<Ch>:TRAC<Tr>:ANN:MARK:POS:Y

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:MARKer:POSition:Y <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:ANNotation:MARKer:POSition:Y?

Description

This command sets/gets the display position of the marker value on Y axis by a percentage of a height of the display span.

Variable

Parameter | Value
Description | Display position of the marker value on the Y-axis.
Data Type | Numeric type (Integer)
Range | -15 ~ 100
Preset Value | 1
Unit | %
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= -15
Ena.WriteString ":DISP:WIND1:TRAC1:ANN:MARK:POS:Y " & Str(Var), True
Ena.WriteString ":DISP:WIND1:TRAC1:ANN:MARK:POS:Y?", True
Var=Ena.ReadNumber

Related Commands

:DISP:WIND:TRAC:ANN:MARK:POS:X

Equivalent Softkey

Marker Function > Annotation Options > Marker Info Y Pos

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).ANNOTATION.MARKER.POSITION.Y


:DISP:WIND:TRAC:MEM

:DISP:WIND<Ch>:TRAC<Tr>:MEM

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:MEMory[:STATe] {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:TRACe<Tr>:MEMory[:STATe]?

Description

This command turns ON/OFF the memory trace display.

Variable

Parameter | Selection Option
Description | ON/OFF of the memory trace display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:WIND1:TRAC1:MEM " & Str(Var), True
Ena.WriteString ":DISP:WIND1:TRAC1:MEM?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MATH:MEM

:DISP:WIND:TRAC:STAT

Equivalent Softkey

Display > Display > Mem | Data & Mem | OFF

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).MEMORY.STATE


:DISP:WIND:TRAC:STAT

:DISP:WIND<Ch>:TRAC<Tr>:STAT

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:STATe {ON|OFF|1|0}

:DISPlay:WINDow<Ch>:TRACe<Tr>:STATe?

Description

This command turns ON/OFF the data trace display.

Variable

Parameter | Selection Option
Description | ON/OFF of the data trace display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":DISP:WIND1:TRAC1:STAT " & Str(Var), True
Ena.WriteString ":DISP:WIND1:TRAC1:STAT?", True
Var=Ena.ReadNumber

Related Commands

:DISP:WIND:TRAC:MEM

Equivalent Softkey

Display > Display > Data | Data & Mem | OFF

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).STATE


:DISP:WIND:TRAC:Y:AUTO

:DISP:WIND<Ch>:TRAC<Tr>:Y:AUTO

Type

Command

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:AUTO

Description

This command executes the auto scale function. The Auto Scale function automatically adjusts the value of the reference division line and the scale per division to display the trace appropriately.

Examples

Ena.WriteString ":DISPl:WIND:TRAC:Y:AUTO", True

Related Commands

:DISP:WIND:TRAC:Y:PDIV

:DISP:WIND:TRAC:Y:RLEV

Equivalent Softkey

Scale > Auto Scale

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.AUTO


:DISP:WIND:TRAC:Y:PDIV

:DISP:WIND<Ch>:TRAC<Tr>:Y:PDIV

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:PDIVision <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:PDIVision?

Description

When the data format is not the Smith chart format or the polar format, sets the scale per division. When the data format is the Smith chart format or the polar format, sets the full scale value (the value of the outermost circumference).

Variable

Parameter | Value
Description | Scale value
Data Type | Numeric type (Real)
Range | 1a ~ 100M
Preset Value | 10
Unit | Depends on Meas Format
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ena.WriteString ":DISP:WIND1:TRAC1:Y:PDIV " & Str(Var), True
Ena.WriteString ":DISP:WIND1:TRAC1:Y:PDIV?", True
Var=Ena.ReadNumber

Related Commands

:FORM:DATA

:DISP:WIND:TRAC:Y:AUTO

:DISP:WIND:TRAC:Y:RLEV

:DISP:WIND:TRAC:Y:RPOS

Equivalent Softkey

Scale > Scale/Div

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.PDIVISION


:DISP:WIND:TRAC:Y:RLEV

:DISP:WIND<Ch>:TRAC<Tr>:Y:RLEV

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:RLEVel <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:RLEVel?

Description

This command sets/gets the value of the reference division line.

Variable

Parameter | Value
Description | Value of reference division line
Data Type | Numeric type (Real)
Range | -500M ~ 500M
Preset Value | 0
Unit | Depends on Meas Format
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -10
Ena.WriteString ":DISP:WIND1:TRAC1:Y:RLEV " & Str(Var), True
Ena.WriteString ":DISP:WIND1:TRAC1:Y:RLEV?", True
Var=Ena.ReadNumber

Related Commands

:FORM:DATA

:DISP:WIND:TRAC:Y:PDIV

:DISP:WIND:TRAC:Y:RPOS

Equivalent Softkey

Scale > Reference Value

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.RLEVEL


:DISP:WIND:TRAC:Y:RPOS

:DISP:WIND<Ch>:TRAC<Tr>:Y:RPOS

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:RPOSition <Value>

:DISPlay:WINDow<Ch>:TRACe<Tr>:Y[:SCALe]:RPOSition?

Description

This command specifies the position of a reference division line with its number (an integer assigned starting from 0 from the lowest division).

Variable

Parameter | Value
Description | Position of reference division line
Data Type | Numeric type (Integer)
Range | 0 ~ 30
Preset Value | 5
Unit | Div
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 10
Ena.WriteString ":DISP:WIND1:TRAC1:Y:RPOS " & Str(Var), True
Ena.WriteString ":DISP:WIND1:TRAC1:Y:RPOS?", True
Var=Ena.ReadNumber

Related Commands

:DISP:WIND:TRAC:Y:RLEV

:DISP:WIND:TRAC:Y:PDIV

Equivalent Softkey

Scale > Reference Position

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).TRACE(Tr).Y.SCALE.RPOSITION


:DISP:WIND:X:SPAC

:DISP:WIND<Ch>:X:SPAC

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:X:SPACing {LINear|OBASe}

:DISPlay:WINDow<Ch>:X:SPACing?

Description

This command selects the display type of the graph horizontal axis for segment sweep.

Variable

Parameter | Selection Option
Description | Horizontal axis display type of the graph for segment sweep
Data Type | Character string type (String)
Range | LINear|OBASe
Preset Value | OBASe

Query Response

{LIN|OBAS}<newline><^END>

Examples

Dim Var as String
Var= "LINear"
Ena.WriteString ":DISP:WIND1:X:SPAC" & Var, True
Ena.WriteString ":DISP:WIND1:X:SPAC?", True
Var=Ena.ReadString

Related Commands

:SENS:SWE:TYPE

Equivalent Softkey

Sweep Setup > Segment Display

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).X.SPACING


:DISP:WIND:Y:DIV

:DISP:WIND<Ch>:Y:DIV

Type

Command/Query

Syntax

:DISPlay:WINDow<Ch>:Y[:SCALe]:DIVisions <Value>

:DISPlay:WINDow<Ch>:Y[:SCALe]:DIVisions?

Description

This command sets/gets the number of divisions in all the graphs.

Variable

Parameter | Value
Description | Number of divisions of graph
Data Type | Numeric type (Integer)
Range | 4 ~ 30
Preset Value | 10
Unit | -
Resolution | 2

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 4
Ena.WriteString ":DISP:WIND1:Y:DIV " & Str(Var), True
Ena.WriteString ":DISP:WIND1:Y:DIV?", True
Var=Ena.ReadNumber

Related Commands

:DISP:WIND:TRAC:Y:PDIV

:DISP:WIND:TRAC:Y:RLEV

:DISP:WIND:TRAC:Y:RPOS

Equivalent Softkey

Scale > Divisions

COM Command Syntax (Internal Control Only)

SCPI.DISPLAY.WINDOW(Ch).Y.SCALE.DIVISIONS


:FORM:BORD

Type

Command/Query

Syntax

:FORMat:BORDer {NORMal|SWAPped}

:FORMat:BORDer?

Description

This command sets/gets the transfer order of each byte in the output data (byte order), when the data transfer format is set to binary mode (by specifying "REAL" with :FORM:DATA).

Variable

Parameter | Selection Option
Description | Byte order
Data Type | Character string type (String)
Range | NORMal: Transfer begins with the byte that contains the MSB (Most Significant Bit). SWAPped: Transfer begins with the byte that contains the LSB (Least Significant Bit).
Preset Value | NORMal

Query Response

{NORM|SWAP}<newline><^END>

Examples

Dim Var as String
Var= "NORM"
Ena.WriteString ":FORM:BORD " & Var, True
Ena.WriteString ":FORM:BORD?", True
Var=Ena.ReadString

Related Commands

:FORM:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.FORMAT.BORDER


:FORM:DATA

Type

Command/Query

Syntax

:FORMat:DATA {ASCii|REAL|REAL32}

:FORMat:DATA?

Description

This command can be used to set/get the format data using the following SCPI commands:

  • :CALC:DATA:FDAT

  • :CALC:DATA:FMEM

  • :CALC:DATA:SDAT

  • :CALC:DATA:SMEM

  • :CALC:DATA:XAX

  • :CALC:FUNC:DATA

  • :CALC:LIM:DATA

  • :CALC:LIM:REP

  • :CALC:LIM:REP:ALL

  • :CALC:BLIM:REP

  • :CALC:PLIM:DATA

  • :CALC:PLIM:REP

  • :CALC:RLIM:DATA

  • :CALC:PLIM:REP

  • :SENS:CORR:COEF

  • :SENS:FREQ:DATA

  • :SENS:SEGM:DATA

Variable

Parameter | Selection Option
Description | Data transfer format
Data Type | Character string type (String)
Range | ASCii: ASCII transfer format REAL: IEEE 64-bit floating point binary transfer format REAL32: IEEE 32-bit floating point binary transfer format
Preset Value | ASCii

Query Response

{ASC|REAL|REAL32}<newline><^END>

Examples

Dim Var as String
Var= "ASC"
Ena.WriteString ":FORM:DATA " & Var, True
Ena.WriteString ":FORM:DATA?", True
Var=Ena.ReadString

Related Commands

:CALC:DATA:FDAT

:CALC:DATA:FMEM

:CALC:DATA:SDAT

:CALC:DATA:SMEM

:FORM:BORD

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.FORMAT.DATA


:HCOP

Type

Command

Syntax

:HCOPy[:IMMediate]

Description

This command outputs the display image on the LCD display to the printer connected to the E5063A.

Examples

Ena.WriteString ":HCOP", True

Related Commands

:HCOP:ABOR

:HCOP:IMAG

Equivalent Softkey

System > Print

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.IMMEDIATE


:HCOP:ABOR

Type

Command

Syntax

:HCOPy:ABORt

Description

This command aborts the print output.

Examples

Ena.WriteString ":HCOP:ABOR", True

Related Commands

:HCOP

Equivalent Softkey

No equivalent key is available on the front panel.

      • Printer output can be aborts from Windows Printer Dialog box.
        Windows Start > Device and Printers > {installed Printer}
        In menu of the printer dialog box, Documentation > Cancel

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.ABORT


:HCOP:IMAG

Type

Command/Query

Syntax

:HCOPy:IMAGe {NORMal|INVert}

:HCOPy:IMAGe?

Description

This command sets/gets the print color for output (to the printer).

Variable

Parameter | Selection Option
Description | Print color for output to the printer.
Data Type | Character string type (String)
Range | NORMal: Normal color INVert: Invert color
Preset Value | INVert

Query Response

{NORM|INV}<newline><^END>

Examples

Dim Var as String
Var= "NORMal"
Ena.WriteString ":HCOP:IMAG" & Var, True
Ena.WriteString ":HCOP:IMAG?", True
Var=Ena.ReadString

Related Commands

:HCOP

Equivalent Softkey

System > Invert Image

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.IMAGE


:HCOP:SDUM:DATA

Type

Query

Syntax

:HCOPy:SDUMp:DATA[:IMMediate]?

Description

This command allows to save the screen image into an external PC.

Variable

Query Response

{byte}<newline><^END>

Examples

See Screen Capture.

Related Commands

:HCOP:SDUM:DATA:FORM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.SDUMP.DATA.IMMEDIATE


:HCOP:SDUM:DATA:FORM

Type

Command/Query

Syntax

:HCOPy:SDUMp:DATA:FORMat {PNG|BMP}

:HCOPy:SDUMp:DATA:FORMat?

Description

This command sets or gets the image format of screen capture.

Variable

Parameter | Selection Option
Description | Image format
Data Type | Character string type (String)
Range | PNG:Portable network graphics BMP: bitmap image
Preset Value | PNG
Unit | -
Resolution | -

Query Response

{PNG|BMP}<newline><^END>

Examples

See Screen Capture.

Related Commands

:HCOP:SDUM:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.HCOPY.SDUMP.DATA.FORMAT


*CLS

Type

Command

Syntax

*CLS

Description

This command clears the following:

  • Error Queue

  • Status Byte Register

  • Standard Event Status Register

  • Operation Status Event Register

  • Questionable Status Event Register

  • Questionable Limit Status Event Register

  • Questionable Limit Channel Status Event Register

  • Questionable Bandwidth Limit Status Event Register

  • Questionable Bandwidth Limit Channel Status Event Register

  • Questionable Ripple Limit Status Event Register

  • Questionable Ripple Limit Channel Status Event Register

Examples

Ena.WriteString "*CLS", True

Related Commands

*STB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.CLS


*ESE

Type

Command/Query

Syntax

*ESE <Value>

*ESE?

Description

This command sets/gets the value of the Standard Event Status Enable Register.

Variable

Parameter | Value
Description | Value of the Standard Event Status Enable Register
Data Type | Numeric type (Integer)
Range | -
Preset Value | 0
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString "*ESE" & Var, True
Ena.WriteString "*ESE?", True
Var=Ena.ReadString

Related Commands

*SRE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.ESE


*ESR

Type

Query

Syntax

*ESR?

Description

This command reads the value of the Standard Event Status Register. Execution of this command clears the register value.

Variable

Parameter | Value
Description | Value of the Standard Event Status Register
Data Type | Numeric type (Integer)
Range | -
Preset Value | 128
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString "*ESR?", True
Var=Ena.ReadString

Related Commands

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.ESR


*IDN

Type

Query

Syntax

*IDN?

Description

This command reads the product information (manufacturer, model number, serial number, and firmware revision number) of the E5063A.

Variable

Query Response

{string 1},{string 2},{string 3},{string 4}<newline><^END>

  • {string 1}: Manufacturer. "Keysight Technologies" is always read out.

  • {string 2}: Model number. "E5063A" is always read out.

  • {string 3}: Serial number (example: MY123400101).

  • {string 4}: Firmware revision number (example: A.01.00).

Examples

Dim Var as String
Ena.WriteString "*IDN?", True
Var=Ena.ReadString

Related Commands

*OPT

Equivalent Softkey

System > Firmware Revision

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.IDN


*LRN

Type

Query

Syntax

*LRN?

Description

This command gets the device setup query. This command is defined as "Learn Device Setup Query" in IEEE 488.2. The command returns instrument settings by binary block data (same as Save/Recall state file contents) with "SYSTem:SET " prefix.

The returned data is the same as the contents of state file which can be saved by the :MMEM:STOR. Therefore, the returned data contents is changed according to the setting of :MMEM:STOR:STYP.

Variable

Query Response

{binary}<newline><^END>

Examples

Dim LRNData() As Byte, SETData() As Byte, NoofByte As Double

'*** Get the LRN data as Binaray data

Ena.WriteString "*LRN?", True

LRNData = Ena.ReadIEEEBlock(BinaryType_UI1, False, True)

'*** Save the LRN data in the file

Open "C:\LRN.dat" For Binary As #1

Put #1, , LRNData()

Close

MsgBox "Get Data"

'*** Recall the LRN data from the file

Open "C:\LRN.dat" For Binary As #1

NoofByte = LOF(1)

ReDim SETData(NoofByte)

Get #1, , SETData()

Close

'*** Send the LRN data to E5061B

Ena.IO.Write SETData, NoofByte

Related Commands

:MMEM:STOR

:MMEM:STOR:STYP

:SYST:SET

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.LRN


*OPC

Type

Command/Query

Syntax

*OPC

*OPC?

Description

This command sets/gets the operation complete (OPC) bit (bit 0) of the Standard Event Status Register. When all of pending operations complete, *OPC returns 1.

Variable

Query Response

{1}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString "*OPC?", True
Var=Ena.ReadNumber

Related Commands

*CLS

*ESE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.OPC


*OPT

Type

Query

Syntax

*OPT?

Description

This command reads the identification numbers of options installed in the E5063A.

Variable

Query Response

{String}<newline><^END>

Option number with "," separator (Example: "285, 011")

Examples

Dim Var as String

Ena.WriteString "*OPT?", True
Var=Ena.ReadString

Related Commands

*IDN

Equivalent Softkey

System > Firmware Revision

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.OPT


*RST

Type

Command

Syntax

*RST

Description

This command presets the E5063A to its default settings and is different from setting state preset with the SCPI.SYSTem.PRESet object as the continuous initiation mode (see SCPI.INITiate(Ch).CONTinuous) of channel 1 is set to OFF.

Examples

Ena.WriteString "*RST", True

Related Commands

:SYST:PRES

:SYST:UPR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.RST


*SRE

Type

Command/Query

Syntax

*SRE <Value>

*SRE?

Description

This command sets/gets the value of Service Request Enable Register.

Variable

Parameter | Value
Description | Value of the Service Request Enable Register
Data Type | Numeric type (Integer)
Range | -
Preset Value | -
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString "*SRE " & Var, True
Ena.WriteString "*SRE?", True
Var=Ena.ReadString

Related Commands

*ESE

:STAT:OPER:ENAB

:STAT:QUES:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.SRE


*STB

Type

Query

Syntax

*STB?

Description

This command reads the value of Status Byte Register.

Variable

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString "*STB?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.STB


*TRG

Type

Command

Syntax

*TRG

Description

This command triggers the E5063A if the trigger source is set to Bus.

Examples

Ena.WriteString "*TRG", True

Related Commands

:TRIG:SOUR

:TRIG:SING

:TRIG

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.TRG


*TST

Type

Query

Syntax

*TST?

Description

Does nothing. The self-test is not executed by this command in the case of the E5063A. Always returns 0.

Variable

Query Response

{0}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString "*TST?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.TST


*WAI

Type

Command

Syntax

*WAI

Description

This command waits for the execution of all objects sent before this command is completed.

Examples

Ena.WriteString "*WAI", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.IEEE4882.WAI


:INIT

:INIT<Ch>

Type

Command

Syntax

:INITiate<Ch>[:IMMediate]

Description

This command changes the state of each channel to the initiation state in the trigger system.

When this command is executed for a channel in the idle state in the trigger system, it goes into the initiation state immediately. Then, after measurement is executed once, it goes back to the idle state.

If this command is executed for a channel that is not in the idle state or a channel for which the continuous initiation mode is set to ON (setting by which the trigger system initiates continuously) in the trigger system, an error occurs when executed and the object is ignored.

Examples

Ena.WriteString ":INIT", True

Related Commands

:INIT:CONT

Equivalent Softkey

Trigger > Single (When :INIT:CONT is OFF.)

COM Command Syntax (Internal Control Only)

SCPI.INITIATE(ch).IMMEDIATE


:INIT:CONT

:INIT<Ch>:CONT

Type

Command/Query

Syntax

:INITiate<Ch>:CONTinuous {ON|OFF|1|0}

:INITiate<Ch>:CONTinuous?

Description

This command turns ON/OFF the continuous initiation mode (setting by which the trigger system initiates continuously) in the trigger system.

Variable

Parameter | Selection Option
Description | ON/OFF of the continuous initiation mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":INIT1:CONT ON", True
Ena.WriteString ":INIT1:CONT?", True
Var=Ena.ReadNumber

Related Commands

:INIT

Equivalent Softkey

Trigger > Hold | Continuous | Hold All Channels (This is not exact equivalent softkey.)

COM Command Syntax (Internal Control Only)

SCPI.INITIATE(Ch).CONTINUOUS


:LXI:IDEN

Type

Command/Query

Syntax

:LXI:IDENtify[:STATe] {ON|OFF|1|0}

:LXI:IDENtify[:STATe]?

Description

This command sets or gets the LXI Status Indicator state.

Variable

Parameter | Selection Option
Description | ON/OFF LXI Control Identification
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":LXI:IDEN " & Str(Var), True
Ena.WriteString ":LXI:IDEN?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.LXI.IDENTIFY.STATE


:MMEM:CAT

Type

Query

Syntax

:MMEMory:CATalog?

Description

This command reads the following information on the built-in storage device of the E5063A:

  • Space in use

  • Available space

  • Name and size of all files (including directories) in the specified directory

      • To read out the information in the root directory (folder), specify "\ " (backslash). Separate between directory names (file name) with "\ " (back slash), or "/" (slash).

Variable

Parameter | Value
Description | Directory information ("{A},{B},{Name 1},,{Size 1},{Name 2},,{Size 2}, ... ,{Name N},,{Size N}") Where N is the number of all files in the specified directory and n is an integer between 1 and N. {A}: Space in use of the built-in storage device (byte). {B}: Available space of the built-in storage device (byte). {Name n}: Name of the n-th file (directory). {Size n}: Size (byte) of the n-th file (directory). Always 0 for directories.
Data Type | Boolean type (Boolean)
Range | 254 chars or less

Query Response

{254 chars}<newline><^END>

Examples

Dim Var as Multiple
Var= 1
Ena.WriteString ":MMEM:CAT?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.CATALOG


:MMEM:COPY

Type

Command

Syntax

:MMEMory:COPY <Value1>, <Value2>

Description

This command copies a file.

    • Specify the file name with the extension. When you use directory names (folder names) and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | Value1
Description | Source file name
Data Type | Character string type (String)
Range | 254 chars

Parameter | Value2
Description | Destination file name
Data Type | Character string type (String)
Range | 254 chars

Examples

Ena.WriteString ":MMEM:COPY ""D:\temp1.txt"", ""D:\temp2.txt""", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.COPY


:MMEM:DEL

Type

Command

Syntax

:MMEMory:DELete <String>

Description

This command deletes an existing file or directory (folder).

      • When you delete a directory, all the files and directories in it are deleted.

Specify the file name with the extension.

When you specify a file (directory) under an existing directory, separate them with "\" (back slash), or "/" (slash).

To delete all the files in the directory (folder), specify "\" (backslash).

Variable

Parameter | String
Description | File name or directory name you want to delete
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var ="C:\temp\temp.txt"
Ena.WriteString ":MMEM:DEL " & Var, True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.DELETE


:MMEM:LOAD

Type

Command

Syntax

:MMEMory:LOAD[:STATe] <String>

Description

This command recalls the specified instrument state file (file with a .sta extension saved with :MMEM:STOR)

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | String
Description | File name of instrument state (extension ".sta")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\state1.sta"
Ena.WriteString ":MMEM:LOAD " & Var, True

Related Commands

:MMEM:STOR

Equivalent Softkey

Save/Recall > Recall State > State01 to State08

Save/Recall > Recall State > Autorec

Save/Recall > Recall State > UserPres

Save/Recall > Recall State > File Dialog...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.STATE


:MMEM:LOAD:CHAN

Type

Command

Syntax

:MMEMory:LOAD:CHANnel[:STATe] {A|B|C|D}

Description

This command saves the instrument state of the items set for the active channel specific to that channel only into the specified register (volatile memory).

Variable

Parameter | Selection Option
Description | Register
Data Type | Character string type (String)
Range | A|B|C|D

Examples

Dim Var as String
Var= "A"
Ena.WriteString ":MMEM:LOAD:CHAN " & Var, True

Related Commands

:MMEM:STOR:CHAN

:DISP:WIND:ACT

Equivalent Softkey

Save/Recall > Recall Channel > A|B|C|D

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.CHANNEL.STATE


:MMEM:LOAD:CKIT

:MMEM:LOAD:CKIT<Std>

Type

Command

Syntax

:MMEMory:LOAD:CKIT<Std> <String>

Description

This command recalls the definition file of the specified calibration kit (file with the ".ckx" extension saved with the:MMEM:STOR:CKIT.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\ " (back slash), or "/" (slash).

Variable

Parameter | String
Description | A file name used to save the definition of the calibration kit.
Data Type | Character string type (String)
Range | 1 to 30

Examples

Dim Var as String
Var = "Mycalkit1.ckx"
Ena.WriteString ":MMEM:LOAD:CKIT1 " & Var, True

Equivalent Softkey

Cal > Modify Cal Kit > Import Cal Kit...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.CKIT(Std)


:MMEM:LOAD:LIM

Type

Command

Syntax

:MMEMory:LOAD:LIMit <String>

Description

This command recalls the specified limit table file (file with the .csv extension saved with :MMEM:STOR:LIM) from the limit table for the active trace of the active channel.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | String
Description | File name to save the limit table (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\limit.csv"
Ena.WriteString ":MMEM:LOAD:LIM " & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

:MMEM:STOR:LIM

Equivalent Softkey

Analysis > Limit Test > Edit Limit Line > Import from CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.LIMIT


:MMEM:LOAD:PLIM

Type

Command

Syntax

:MMEMory:LOAD:PLIMit <String>

Description

This command recalls the specified point limit table file (file with the .csv extension saved with :MMEM:STOR:PLIM)

    • Specify the file name with the extension. When you write directory names and file name, separate them with "/" (slash) or "\" (backslash).

If the specified file does not exist, an error occurs and the command is ignored.

Variable

Parameter | String
Description | File name
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "PointLimitTable.csv"
Ena.WriteString ":MMEM:LOAD:PLIM " & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

:MMEM:STOR:PLIM

Equivalent Softkey

Analysis > Point Limit > Edit Point Limit > Import to CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.PLIMIT


:MMEM:LOAD:RLIM

Type

Command

Syntax

:MMEMory:LOAD:RLIMit <String>

Description

This command recalls the specified ripple limit table file (file with the .csv extension saved with :MMEM:STOR:RLIM)

    • Specify the file name with the extension. When you write directory names and file name, separate them with "/" (slash) or "\" (backslash).

If the specified file does not exist, an error occurs and the command is ignored.

Variable

Parameter | String
Description | File name used to save the ripple limit table (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\limit.csv"
Ena.WriteString ":MMEM:LOAD:RLIM " & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

:MMEM:STOR:RLIM

Equivalent Softkey

Analysis > Ripple Limit > Edit Ripple Limit > Import from CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.RLIMIT


:MMEM:LOAD:SEGM

Type

Command

Syntax

:MMEMory:LOAD:SEGMent <String>

Description

This command recalls the specified segment table file (file with a .csv extension saved with the:MMEM:STOR:SEGM) for the active channel.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | String
Description | File name (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\segtable1.csv"
Ena.WriteString ":MMEM:LOAD:SEGM " & Var, True

Related Commands

:DISP:WIND:ACT

:MMEM:STOR:SEGM

Equivalent Softkey

Sweep Setup > Edit Segment Table > Import from CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.LOAD.SEGMENT


:MMEM:MDIR

Type

Command

Syntax

:MMEMory:MDIRectory <String>

Description

This command creates a new directory (folder).

      • When you create a directory under an existing directory, separate between the directory names with "\" (back slash), or "/" (slash).

Variable

Parameter | String
Description | Directory name you want to create
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "mysetup1"
Ena.WriteString ":MMEM:MDIR " & Var, True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.MDIRECTORY


:MMEM:STOR

Type

Command

Syntax

:MMEMory:STORe[:STATe] <String>

Description

This command saves the instrument state (contents to be saved specified with the :MMEM:STOR:STYP) into a file (file with the .sta extension).

State1 to State8 are named as "State1.sta" to "State8.sta" and saved into D: directory.

Autorec and UserPres are named as "Autorec.sta" and "UserPres.sta" and saved into D: directory.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | String
Description | File name to save the instrument state (extension ".sta")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim FType as String, Var as String
FType= "STATe"
Var = "mystate1.sta"
Ena.WriteString ":MMEM:STOR:STYP " & FType, True
Ena.WriteString ":MMEM:STOR " & Var, True

Related Commands

:MMEM:STOR:STYP

:MMEM:LOAD

Equivalent Softkey

Save/Recall > Save State > State01 to State08

Save/Recall > Save State > Autorec

Save/Recall > Save State > UserPres

Save/Recall > Save State > File Dialog...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.STATE


:MMEM:STOR:CHAN

Type

Command

Syntax

:MMEMory:STORe:CHANnel[:STATe] {A|B|C|D}

Description

This command saves the instrument state of the items set for the active channel specific to that channel only into the specified register (volatile memory).

Variable

Parameter | Selection Option
Description | Register
Data Type | Character string type (String)
Range | A|B|C|D

Examples

Dim Var as String
Var= "A"
Ena.WriteString ":MMEM:STOR:CHAN " & Var, True

Related Commands

:MMEM:LOAD:CHAN

:DISP:WIND:ACT

Equivalent Softkey

Save/Recall > Save Channel > State & Cal A |State & Cal B |State & Cal C |State & Cal D

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.CHANNEL.STATE


:MMEM:STOR:CHAN:CLE

Type

Command

Syntax

:MMEMory:STORe:CHANnel:CLEar

Description

This command deletes the instrument state for each channel (saved with the :MMEM:STOR:CHAN) in all the registers.

Examples

Ena.WriteString ":MMEM:STOR:CHAN:CLE", True

Related Commands

:MMEM:STOR:CHAN

Equivalent Softkey

Save/Recall > Save Channel > Clear States > OK

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.CHANNEL.CLEAR


:MMEM:STOR:CKIT

:MMEM:STOR:CKIT<Std>

Type

Command

Syntax

:MMEMory:STORe:CKIT<Std> <String>

Description

This command saves the definition table of the calibration kit to a file.

      • Specify the file name with the .ckx extension. When you use a directory name and file name, separate them with “/” (slash) or “\” (backslash).

If a file with the specified file name exists, its contents are overwritten.

Variable

Parameter | String
Description | A file name used to save the definition of the calibration kit.
Data Type | Character string type (String)
Range | 1 to 30

Examples

Dim Var as String
Var = "Mycalkit1.ckx"
Ena.WriteString ":MMEM:STOR:CKIT1 " & Var, True

Equivalent Softkey

Cal > Modify Cal Kit > Export Cal Kit...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.CKIT(Std)


:MMEM:STOR:FDAT

Type

Command

Syntax

:MMEMory:STORe:FDATa <String>

Description

This command saves the formatted data array into a file in the CSV format (extension ".csv"), for the active trace of the active channel.

  • Specify the file name with the extension. When you use directory names and file name, separate them with "\ " (back slash), or "/" (slash).

Variable

Parameter | String
Description | File name in which you want to save the formatted data array (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\data1.csv"
Ena.WriteString ":MMEM:STOR:FDAT " & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

Equivalent Softkey

Save/Recall > Save Trace Data...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.FDATA


:MMEM:STOR:IMAG

Type

Command

Syntax

:MMEMory:STORe:IMAGe <String>

Description

This command saves the display image on the LCD display at the execution of the object into a file in the bitmap (extension ".bmp") or portable network graphics (extension ".png") format.

      • Specify the file name with the extension When you use directory names and file name, separate them with "\ " (back slash), or "/" (slash).

Variable

Parameter | String
Description | File name in which you want to save the display image on the LCD display (extension ".bmp" or ".png")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\img.png"
Ena.WriteString ":MMEM:STOR:IMAG " & Var, True

Equivalent Softkey

System > Dump Screen Image...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.IMAGE


:MMEM:STOR:LIM

Type

Command

Syntax

:MMEMory:STORe:LIMit <String>

Description

This command saves the limit table of the active trace of the active channel into a file in the CSV format (extension ".csv").

      • Specify the file name with the extension.When you use directory names and file name, separate them with "\ " (back slash), or "/" (slash).

Variable

Parameter | String
Description | File name to save the limit table (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\limit.csv"
Ena.WriteString ":MMEM:STOR:LIM " & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

:MMEM:LOAD:LIM

Equivalent Softkey

Analysis > Limit Test > Edit Limit Line > Export to CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.LIMIT


:MMEM:STOR:PLIM

Type

Command

Syntax

:MMEMory:STORe:PLIMit <String>

Description

This command saves the point limit table of the active trace of the active channel into a file in the CSV format.

      • Specify the file name with the .sta extension. When you write directory names and file name, separate them with "/" (slash) or "\" (backslash).

If a file with the specified file name already exists, its contents will be overwritten.

Variable

Parameter | String
Description | File name
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "PointLimitTable.csv"
Ena.WriteString ":MMEM:STOR:PLIM " & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

:MMEM:LOAD:PLIM

Equivalent Softkey

Analysis > Point Limit > Edit Point Limit > Export to CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.PLIMIT


:MMEM:STOR:RLIM

Type

Command

Syntax

:MMEMory:STORe:RLIMit <String>

Description

This command saves the ripple limit table of the active trace of the active channel into a file in the CSV format.

      • Specify the file name with the .sta extension. When you write directory names and file name, separate them with "/" (slash) or "\" (backslash).

If a file with the specified file name already exists, its contents will be overwritten.

Variable

Parameter | String
Description | File name used to save the ripple limit table (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\limit.csv"
Ena.WriteString ":MMEM:STOR:RLIM " & Var, True

Related Commands

:DISP:WIND:ACT

:CALC:PAR:SEL

:MMEM:LOAD:RLIM

Equivalent Softkey

Analysis > Ripple Limit > Edit Ripple Limit > Export to CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.RLIMIT


:MMEM:STOR:SALL

Type

Command/Query

Syntax

:MMEMory:STORe:SALL {ON|OFF|1|0}

:MMEMory:STORe:SALL?

Description

This command sets/gets whether to save the settings of all channels/traces or that of the displayed channels/traces only, as the instrument state to be saved.

Variable

Parameter | Selection Option
Description | Selecting content to be saved as the instrument state setting.
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":MMEM:STOR:SALL " & Str(Var), True
Ena.WriteString ":MMEM:STOR:SALL?", True
Var=Ena.ReadNumber

Related Commands

Equivalent Softkey

Save/Recall > Channel/Trace

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.SALL


:MMEM:STOR:SEGM

Type

Command

Syntax

:MMEMory:STORe:SEGMent <String>

Description

This command saves the segment table of the active channel into a file in the CSV format (extension ".csv").

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\ " (back slash), or "/" (slash).

Variable

Parameter | String
Description | File name (extension ".csv")
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var as String
Var = "D:\segtable1.csv"
Ena.WriteString ":MMEM:STOR:SEGM " & Var, True

Related Commands

:DISP:WIND:ACT

:MMEM:LOAD:SEGM

Equivalent Softkey

Sweep Setup > Edit Segment Table > Export to CSV File...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.SEGMENT


:MMEM:STOR:SNP

Type

Command

Syntax

:MMEMory:STORe:SNP[:DATA] <String>

Description

This command saves the measurement data for the active channel into a file in the touchstone format.

You need to specify a file format and file type before saving a file. The extension differs depending on file types as shown in the following table:

<file type> | <extension>
When specifying one port | s1p
When specifying two ports | s2p

      • When you use directory names and file name, separate them with “/” (slash) or “\” (back slash).

If a file with the specified file name already exists, its contents are overwritten.

Variable

Parameter | String
Description | File name of the touchstone file
Data Type | Character string type (String)
Range | 254 chars

Examples

Dim Var1 as String, Var2 as String
Var1 = "TS1.s1p"
Var2 = "TS2.s2p"
Ena.WriteString ":MMEM:STOR:SNP:TYPE:S1P 1", True
Ena.WriteString ":MMEM:STOR:SNP " & Var1, True
Ena.WriteString ":MMEM:STOR:SNP:TYPE:S2P 1,2", True
Ena.WriteString ":MMEM:STOR:SNP " & Var2, True

Related Commands

:DISP:WIND:ACT

:MMEM:STOR:SNP:FORM

:MMEM:STOR:SNP:TYPE:S1P

:MMEM:STOR:SNP:TYPE:S2P

Equivalent Softkey

Save/Recall > Save SnP > S1P > [1]... | [2]...

Save/Recall > Save SnP > S2P > [1-2]...

These softkeys operation can be done with the following two commands

  • Either :MMEM:STOR:SNP:TYPE:S1P or :MMEM:STOR:SNP:TYPE:S2P

  • MMEM:STOR:SNP (This command)

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.SNP.DATA


:MMEM:STOR:SNP:FORM

Type

Command/Query

Syntax

:MMEMory:STORe:SNP:FORMat {AUTO|MA|DB|RI}

:MMEMory:STORe:SNP:FORMat?

Description

This command sets/gets the data format for saving measurement data for the active channel into a file in the touchstone format.

Variable

Parameter | Selection Option
Description | Touchstone file format
Data Type | Character string type (String)
Range | AUTO: Auto MA:LinMag/Angle DB: LogMag/Angle RI:Real/Imaginary
Preset Value | AUTO

Query Response

{AUTO|MA|DB|RI}<newline><^END>

Examples

Dim Var as String
Var= "AUTO"
Ena.WriteString ":MMEM:STOR:SNP:FORM " & Var, True
Ena.WriteString ":MMEM:STOR:SNP:FORM?", True
Var=Ena.ReadString

Related Commands

:DISP:WIND:ACT

:MMEM:STOR:SNP

Equivalent Softkey

Save/Recall > Save SnP > SnP Format

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.SNP.FORMAT


:MMEM:STOR:SNP:TYPE:S1P

Type

Command/Query

Syntax

:MMEMory:STORe:SNP:TYPE:S1P <Value>

:MMEMory:STORe:SNP:TYPE:S1P?

Description

This command sets/gets the specified port to the file type (1 port) when saving measurement data for the active channel into a file in the touchstone format.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2
Preset Value | 1

Query Response

{1|2}<newline><^END>

Examples

See :MMEM:STOR:SNP

Related Commands

:DISP:WIND:ACT

:MMEM:STOR:SNP

:MMEM:STOR:SNP:FORM

Equivalent Softkey

Save/Recall > Save SnP > S1P > [1]... | [2]...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.SNP.TYPE.S1P


:MMEM:STOR:SNP:TYPE:S2P

Type

Command/Query

Syntax

:MMEMory:STORe:SNP:TYPE:S2P <Value1>, <Value2>

:MMEMory:STORe:SNP:TYPE:S2P?

Description

This command sets/gets the specified port to the file type (2 port) when saving measurement data for the active channel into a file in the touchstone format.

Variable

Parameter | Value
Description | A port for file type.
Data Type | Numeric type (Integer)
Range | 1|2
Preset Value | 1

Parameter | Value
Description | the other port for file type.
Data Type | Numeric type (Integer)
Range | 1|2
Preset Value | 2

Query Response

<numeric1>,<numeric2><newline><^END>

Examples

See :MMEM:STOR:SNP

Related Commands

:DISP:WIND:ACT

:MMEM:STOR:SNP

:MMEM:STOR:SNP:FORM

Equivalent Softkey

Save/Recall > Save SnP > S2P > [1-2]...

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.SNP.TYPE.S2P


:MMEM:STOR:STYP

Type

Command/Query

Syntax

:MMEMory:STORe:STYPe {STATe|CSTate|DSTate|CDSTate}

:MMEMory:STORe:STYPe?

Description

Selects the contents saved when saving the instrument state into a file with the :MMEM:STOR.

Variable

Parameter | Selection Option
Description | Data of instrument state
Data Type | Character string type (String)
Range | STATe: State Only CSTate: State & Cal DSTate: State & Trace CDSTate: All
Preset Value | CSTate

Query Response

{STAT|CST|DST|CDST}<newline><^END>

Examples

See :MMEM:STOR.

Related Commands

:MMEM:STOR

Equivalent Softkey

Save/Recall > Save Type

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.STORE.STYPE


:MMEM:TRAN

Type

Command/Query

Syntax

:MMEMory:TRANsfer <Value>

:MMEMory:TRANsfer? <Value>

Description

This command transfers data (file) between the built-in storage device of the E5063A and external PC.

When you use directory names and file name, separate them with "/" (slash) or "\" (backslash). If a file with the specified file name already exists for writing or if the specified file does not exist for reading out (Query), an error occurs and the command is ignored.

Variable

Parameter | Value
Description | File name on the built-in storage device
Data Type | Character string type (String)
Range | 254 chars -

Query Response

{Byte}<newline><^END>

Examples

See Transferring Files.

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.MMEMORY.TRANSFER


:OUTP

Type

Command/Query

Syntax

:OUTPut[:STATe] {ON|OFF|1|0}

:OUTPut[:STATe]?

Description

This command turns ON/OFF of the stimulus signal output. Measurement cannot be made until the stimulus signal output is turned ON.

Variable

Parameter | Selection Option
Description | Status of the signal output
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":OUTP " & Str(Var), True
Ena.WriteString ":OUTP?", True
Var=Ena.ReadNumber

Equivalent Softkey

Sweep Setup > Power > RF Out

COM Command Syntax (Internal Control Only)

SCPI.OUTPUT.STATE


:SENS:AVER

:SENS<Ch>:AVER

Type

Command/Query

Syntax

:SENSe<Ch>:AVERage[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:AVERage[:STATe]?

Description

This command sets/gets the averaging function.

Variable

Parameter | Selection Option
Description | ON/OFF of the averaging function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Ena.WriteString ":SENS1:AVER ON", True
Ena.WriteString ":SENS1:AVER?", True
Var=Ena.ReadNumber

Related Commands

:SENS:AVER:CLE

:SENS:AVER:COUN

Equivalent Softkey

Average > Averaging

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).AVERAGE.STATE


:SENS:AVER:CLE

:SENS<Ch>:AVER:CLE

Type

Command

Syntax

:SENSe<Ch>:AVERage:CLEar

Description

This command resets the data count to 0, it is used for averaging. Measurement data before the execution of this object is not used for averaging.

Examples

Ena.WriteString ":SENS:AVER:CLE", True

Related Commands

:SENS:AVER

:SENS:AVER:COUN

Equivalent Softkey

Average > Averaging Restart

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).AVERAGE.CLEAR


:SENS:AVER:COUN

:SENS<Ch>:AVER:COUN

Type

Command/Query

Syntax

:SENSe<Ch>:AVERage:COUNt <Value>

:SENSe<Ch>:AVERage:COUNt?

Description

This command sets/gets the averaging factor.

Variable

Parameter | Value
Description | Averaging factor
Data Type | Numeric type (Integer)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | -

Query Response

{1 ~ 999}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":SENS1:AVER:COUN " & Str(Var), True
Ena.WriteString ":SENS1:AVER:COUN?", True
Var=Ena.ReadNumber

Related Commands

:SENS:AVER

:SENS:AVER:CLE

Equivalent Softkey

Average > Avg Factor

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).AVERAGE.COUNT


:SENS:BAND

:SENS<Ch>:BAND

Type

Command/Query

Syntax

:SENSe<Ch>:BANDwidth[:RESolution] <Value>

:SENSe<Ch>:BANDwidth[:RESolution]?

Description

This command sets/gets the IF bandwidth.

      • This command is similar to :SENS:BWID.

Variable

Parameter | Value
Description | IF bandwidth
Data Type | Numeric type (Real)
Range | 10|15|20|30|40|50|70|100|150|200|300|400|500|700|1k|1.5k|2k|3k|4k|5k|7k|10k|15k|20k|30k|40k|50k|70k|100k|150k|200k|300k
Preset Value | 70k
Unit | Hz

Query Response

{10|15|20|30|40|50|70|100|150|200|300|400|500|700|1k|1.5k|2k|3k|4k|5k|7k|10k|15k|20k|30k|40k|50k|70k|100k|150k|200k|300k}<newline><^END>

Examples

Dim Var as Double
Var= 100
Ena.WriteString ":SENS1:BAND " & Str(Var), True
Ena.WriteString ":SENS1:BAND?", True
Var=Ena.ReadNumber

Related Commands

:SENS:BWID

Equivalent Softkey

Average > IF Bandwidth > Key in value

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).BANDWIDTH.RESOLUTION


:SENS:BWA

:SENS<Ch>:BWA

Type

Command/Query

Syntax

:SENSe<Ch>:BWAuto[:STATus] {ON|OFF|1|0}

:SENSe<Ch>:BWAuto[:STATus]?

Description

This command turns ON/OFF the IF bandwidth auto function.

Variable

Parameter | Selection Option
Description | IFBW auto function status
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":SENS1:BWA " & Str(Var), True
Ena.WriteString ":SENS1:BWA?", True
Var=Ena.ReadNumber

Related Commands

:SENS:BWA:LIM

Equivalent Softkey

Average > IFBW Auto

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).BWAUTO.STATUS


:SENS:BWA:LIM

:SENS<Ch>:BWA:LIM

Type

Command/Query

Syntax

:SENSe<Ch>:BWAuto:LIMit[:RESolution] <Value>

:SENSe<Ch>:BWAuto:LIMit[:RESolution]?

Description

This command sets/gets maximum IF bandwidth in bandwidth auto mode.

Variable

Parameter | Value
Description | Maximum IF bandwidth
Data Type | Numeric type (Real)
Range | 10|15|20|30|40|50|70|100|150|200|300|400|500|700|1k|1.5k|2k|3k|4k|5k|7k|10k|15k|20k|30k|40k|50k|70k|100k|150k|200k|300k
Preset Value | 70k
Unit | Hz
Resolution | -

Query Response

{10|15|20|30|40|50|70|100|150|200|300|400|500|700|1k|1.5k|2k|3k|4k|5k|7k|10k|15k|20k|30k|40k|50k|70k|100k|150k|200k|300k}<newline><^END>

Examples

Dim Var as Double
Var= 100
Ena.WriteString ":SENS1:BWA:LIM " & Str(Var), True
Ena.WriteString ":SENS1:BWA:LIM?", True
Var=Ena.ReadNumber

Related Commands

:SENS:BWA

Equivalent Softkey

Average > IFBW Auto Limit

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).BWAUTO.LIMIT.RESOLUTION


:SENS:BWID

:SENS<Ch>:BWID

Type

Command/Query

Syntax

:SENSe<Ch>:BWIDth[:RESolution] <Value>

:SENSe<Ch>:BWIDth[:RESolution]?

Description

This command sets/gets the IF bandwidth.

      • This command is similar to :SENS:BAND.

Variable

Parameter | Value
Description | IF bandwidth
Data Type | Numeric type (Real)
Range | 10|15|20|30|40|50|70|100|150|200|300|400|500|700|1k|1.5k|2k|3k|4k|5k|7k|10k|15k|20k|30k|40k|50k|70k|100k|150k|200k|300k
Preset Value | 70k
Unit | Hz
Resolution | -

Query Response

{10|15|20|30|40|50|70|100|150|200|300|400|500|700|1k|1.5k|2k|3k|4k|5k|7k|10k|15k|20k|30k|40k|50k|70k|100k|150k|200k|300k}<newline><^END>

Examples

Dim Var as Double
Var=1000
Ena.WriteString ":SENS1:BWID " & Str(Var), True
Ena.WriteString ":SENS1:BWID?", True
Var=Ena.ReadNumber

Related Commands

:SENS:BAND

Equivalent Softkey

Average > IF Bandwidth

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).BWIDTH.RESOLUTION


:SENS:CORR:CLE

:SENS<Ch>:CORR:CLE

Type

Command

Syntax

:SENSe<Ch>:CORRection:CLEar

Description

This command clears the error coefficient for calibration.

Examples

Ena.WriteString ":SENS:CORR:CLE", True

Equivalent Softkey

Calibration > Clear > OK

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.CLEAR


:SENS:CORR:COEF

:SENS<Ch>:CORR:COEF

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COEFficient[:DATA] {ES|ER|ED|EL|ET|EX}, <Value1>, <Value2>, <Value3 (1)>, ... , <value3 (NOP×2)>

:SENSe<Ch>:CORRection:COEFficient[:DATA]? {ES|ER|ED|EL|ET|EX}, <Value1>, <Value2>

Description

This command sets/gets the calibration coefficient data for the specified channel.

When the calibration factor is interpolated, the interpolated calibration coefficient array is read. Similarly, when the calibration factor is not interpolated, a non-interpolated calibration coefficient array is read.

After writing the calibration coefficient array, the written value becomes effective only after the :SENS:CORR:COLL:SAVE command is executed..

Variable

Parameter | Selection Option
Description | Calibration coefficient type
Data Type | Character string type (String)
Range | ES: Source match ER: Reflection tracking ED: Directivity EL: Load match ET: Transmission tracking EX: Isolation
Preset Value | ES

Parameter | Value1
Description | Port number for response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number for stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter

Value3

Description

Calibration coefficient data

  • <numeric n×2-1>: Real part of data (complex number) at the n-th measurement point.

  • <numeric n×2>: Imaginary part of data (complex number) at the n-th measurement point

Because the calibration coefficient data is expressed by a complex number, the real part and the imaginary part of one measurement point are returned and obtained as a value. Here, NOP is the number of measurement points and n is an integer between 1 to NOP.

Data Type

Numeric type (Double)

Query Response

{numeric 1}, ... ,{numeric NOP×2}<newline><^END>

  • {numeric n×2-1}: Real part of data (complex number) at the n-th measurement point.

  • {numeric n×2}: Imaginary part of data (complex number) at the n-th measurement point.

Examples

See Reading/Writing Error Coefficient.

Related Commands

:SENS:CORR:COEF:METH:ERES

:SENS:CORR:COEF:METH:OPEN

:SENS:CORR:COEF:METH:SHOR

:SENS:CORR:COEF:METH:SOLT1

:SENS:CORR:COEF:METH:SOLT2

:SENS:CORR:COEF:METH:THRU

:SENS:CORR:COEF:SAVE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COEFFICIENT.DATA


:SENS:CORR:COEF:METH:ERES

:SENS<Ch>:CORR:COEF:METH:ERES

Type

Command

Syntax

:SENSe<Ch>:CORRection:COEFficient:METHod:ERESponse <Value1>, <value2>

Description

This command sets the calibration type to the enhanced response calibration between the two specified ports when the calibration coefficient data array is written with the :SENS:CORR:COEF command.

Variable

Parameter | Value1
Description | Port number for response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number for Stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See Reading/Writing Error Coefficient.

Related Commands

:SENS:CORR:COEF

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COEFFICIENT.METHOD.ERESPONSE


:SENS:CORR:COEF:METH:OPEN

:SENS<Ch>:CORR:COEF:METH:OPEN

Type

Command

Syntax

:SENSe<Ch>:CORRection:COEFficient:METHod[:RESPonse]:OPEN <Value>

Description

This command sets the calibration type to the response calibration (open) of the specified port when the calibration coefficient data array is written with the :SENS:CORR:COEF command.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See Reading/Writing Error Coefficient.

Related Commands

:SENS:CORR:COEF

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COEFFICIENT.METHOD.RESPONSE.OPEN


:SENS:CORR:COEF:METH:SHOR

:SENS<Ch>:CORR:COEF:METH:SHOR

Type

Command

Syntax

:SENSe<Ch>:CORRection:COEFficient:METHod[:RESPonse]:SHORt <Value>

Description

This command sets the calibration type to the response calibration (short) of the specified port, when the calibration coefficient data array is written with the :SENS:CORR:COEF command.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See Reading/Writing Error Coefficient.

Related Commands

:SENS:CORR:COEF

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COEFFICIENT.METHOD.RESPONSE.SHORT


:SENS:CORR:COEF:METH:SOLT1

:SENS<Ch>:CORR:COEF:METH:SOLT1

Type

Command

Syntax

:SENSe<Ch>:CORRection:COEFficient:METHod:SOLT1 <Value>

Description

This command sets the calibration type to the full 1-port calibration of the specified port, when the calibration coefficient data array is written with the :SENS:CORR:COEF command.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See Reading/Writing Error Coefficient.

Related Commands

:SENS:CORR:COEF

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COEFFICIENT.METHOD.SOLT1


:SENS:CORR:COEF:METH:SOLT2

:SENS<Ch>:CORR:COEF:METH:SOLT2

Type

Command

Syntax

:SENSe<Ch>:CORRection:COEFficient:METHod:SOLT2 <Value1>, <Value2>

Description

This command sets the calibration type to full 2-port calibration, when the calibration coefficient data array is written with the:SENS:CORR:COEF command.

Variable

Parameter | Value1
Description | Specifies a port for full 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Specifies the other port for full 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See Reading/Writing Error Coefficient.

Related Commands

:SENS:CORR:COEF

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COEFFICIENT.METHOD.SOLT2


:SENS:CORR:COEF:METH:THRU

:SENS<Ch>:CORR:COEF:METH:THRU

Type

Command

Syntax

:SENSe<Ch>:CORRection:COEFficient:METHod[:RESPonse]:THRU <Value1>, <value2>

Description

This command sets the calibration type to the response calibration (thru) between the two specified ports when the calibration coefficient data array is written with the :SENS:CORR:COEF command.

Variable

Parameter | Value1
Description | Port number for response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number for stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See Reading/Writing Error Coefficient.

Related Commands

:SENS:CORR:COEF

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COEFFICIENT.METHOD.RESPONSE.THRU


:SENS:CORR:COEF:SAVE

:SENS<Ch>:CORR:COEF:SAVE

Type

Command

Syntax

:SENSe<Ch>:CORRection:COEFficient:SAVE

Description

This command enables the calibration coefficients depending on the selected calibration type from the writing calibration data.

      • Enabling the calibration coefficients clears all the calibration data regardless of whether the data are used for the calculation and also clears the calibration type selections.

If you execute this command before all the calibration data needed for calculating the calibration coefficients are written, an error occurs and the command is ignored.

Examples

See Reading/Writing Error Coefficient.

Related Commands

:SENS:CORR:COEF

:SENS:CORR:COEF:METH:ERES

:SENS:CORR:COEF:METH:OPEN

:SENS:CORR:COEF:METH:SHOR

:SENS:CORR:COEF:METH:SOLT1

:SENS:CORR:COEF:METH:SOLT2

:SENS:CORR:COEF:METH:THRU

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(ch).CORRECTION.COEFFICIENT.SAVE


:SENS:CORR:COLL:ADAP:LENG

:SENS<Ch>:CORR:COLL:ADAP<Pt>:LENG

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:ADAPter<Pt>:LENGth <Value>

:SENSe<Ch>:CORRection:COLLect:ADAPter<Pt>:LENGth?

Description

This command sets/displays the approximate length of the adaptor.

Variable

Parameter | Value
Description | Adapter Length
Data Type | Numeric type (Real)
Range | -10 ~ 10
Preset Value | 0
Unit | s
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ena.WriteString ":SENS1:CORR:COLL:ADAP1:LENG " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:ADAP1:LENG?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:ADAP:ROT

:SENS:CORR:COLL:ADAP:WAV:CUT

:SENS:CORR:COLL:ADAP:WAV:LENG

Equivalent Softkey

Cal > Calibrate > Adapter Removal > Adapter Length

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ADAPTER(Pt).LENGTH


:SENS:CORR:COLL:ADAP:ROT

:SENS<Ch>:CORR:COLL:ADAP<Pt>:ROT

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:ADAPter<Pt>:ROTate

Description

This command executes Adapter Removal/Insertion along with moving the phase of adapter (which is removed or inserted) to 180 degrees. This command is useful in cases where auto judgement of phase fails. This command can be executed several times while the calibration remains valid.

      • If user cannot execute this command, then "Execution error" is displayed.

Examples

Ena.WriteString ":SENSe:CORRection:COLLect:ADAPter:ROTate", True

Related Commands

:SENS:CORR:COLL:ADAP:LENG

:SENS:CORR:COLL:ADAP:WAV:CUT

:SENS:CORR:COLL:ADAP:WAV:LENG

Equivalent Softkey

Cal > Calibrate > Adapter Removal > Rotate Adapter

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ADAPTER(Pt).ROTATE


:SENS:CORR:COLL:ADAP:WAV:CUT

:SENS<Ch>:CORR:COLL:ADAP<Pt>:WAV:CUT

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:ADAPter<Pt>:WAVeguide:CUToff <Value>

:SENSe<Ch>:CORRection:COLLect:ADAPter<Pt>:WAVeguide:CUToff?

Description

This command sets/gets approximate cutoff frequency of the waveguide.

Variable

Parameter | Value
Description | Waveguide cutoff frequency
Data Type | Numeric type (Real)
Range | 0 ~ 18G
Preset Value | 0
Unit | Hz
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10E3
Ena.WriteString ":SENS1:CORR:COLL:ADAP1:WAV:CUT " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:ADAP1:WAV:CUT?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:ADAP:LENG

:SENS:CORR:COLL:ADAP:ROT

:SENS:CORR:COLL:ADAP:WAV:LENG

Equivalent Softkey

Cal > Calibrate > Adapter Removal > Cutoff Frequency

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ADAPTER(Pt).WAVEGUIDE.CUTOFF


:SENS:CORR:COLL:ADAP:WAV:LENG

:SENS<Ch>:CORR:COLL:ADAP<Pt>:WAV:LENG

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:ADAPter<Pt>:WAVeguide:LENGth <Value>

:SENSe<Ch>:CORRection:COLLect:ADAPter<Pt>:WAVeguide:LENGth?

Description

This command sets/gets approximate adapter length of the waveguide, for the selected channel (Ch) and for the selected port.

Variable

Parameter | Value
Description | Waveguide Adapter Length
Data Type | Numeric type (Real)
Range | -10 ~ 10
Preset Value | 0
Unit | s
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ena.WriteString ":SENS1:CORR:COLL:ADAP1:WAV:LENG " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:ADAP1:WAV:LENG?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:ADAP:LENG

:SENS:CORR:COLL:ADAP:ROT

:SENS:CORR:COLL:ADAP:WAV:CUT

Equivalent Softkey

Cal > Calibrate > Adapter Removal > Waveguide Length

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ADAPTER(Pt).WAVEGUIDE.LENGTH


:SENS:CORR:COLL:CKIT

:SENS<Ch>:CORR:COLL:CKIT

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT[:SELect] <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT[:SELect]?

Description

This command sets/gets the calibration kit.

Variable

Parameter | Value
Description | calibration kit number
Data Type | Numeric type (Integer)
Range | 1 ~ 30
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":SENS1:CORR:COLL:CKIT " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:LOAD

:SENS:CORR:COLL:CKIT:ORD:OPEN

:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS:CORR:COLL:CKIT:ORD:TRLL

:SENS:CORR:COLL:CKIT:ORD:TRLR

:SENS:CORR:COLL:CKIT:ORD:TRLT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.SELECT


:SENS:CORR:COLL:CKIT:LAB

:SENS<Ch>:CORR:COLL:CKIT:LAB

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:LABel <String>

:SENSe<Ch>:CORRection:COLLect:CKIT:LABel?

Description

This command sets/gets the calibration kit name for the calibration kit selected.

Variable

Parameter | String
Description | Calibration kit name
Data Type | Character string type (String)
Range | 254 chars

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "UserCalNo1"
Ena.WriteString ":SENS1:CORR:COLL:CKIT:LAB " & Var, True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:LAB?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Label Kit

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.LABEL


:SENS:CORR:COLL:CKIT:ORD:LOAD

:SENS<Ch>:CORR:COLL:CKIT:ORD:LOAD

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:LOAD <Value1>, <Value2>

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:LOAD? <Value1>

Description

This command sets/gets the standard used for the load measurement of the specified port (Cpt), for a calibration kit selected.

      • If the standard number is 0, the standard is invalid for the subclass.

Variable

Parameter | Value1
Description | Port Number (Cpt)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Standard number
Data Type | Numeric type (Integer)
Range | 0 ~ 30

Query Response

{numeric (standard number)}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:LOAD 1,1", True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:LOAD? 1", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:OPEN

:SENS:CORR:COLL:CKIT:ORD:SEL

:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS:CORR:COLL:CKIT:ORD:TRLL

:SENS:CORR:COLL:CKIT:ORD:TRLR

:SENS:CORR:COLL:CKIT:ORD:TRLT

Equivalent Softkey

Cal > Modify Cal Kit > Specify CLSs > Load > Set All | Port 1 | Port 2 > None | {std}

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.ORDER.LOAD


:SENS:CORR:COLL:CKIT:ORD:OPEN

:SENS<Ch>:CORR:COLL:CKIT:ORD:OPEN

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:OPEN <Value1>, <Value2>

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:OPEN? <Value1>

Description

This command sets/gets the standard used for the open measurement of the specified port (Cpt), for a calibration kit selected.

      • If the standard number is 0, the standard is invalid for the subclass.

Variable

Parameter | Value1
Description | Port Number (Cpt)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Standard number
Data Type | Numeric type (Integer)
Range | 0 ~ 30

Query Response

{numeric (standard number)}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:OPEN 1,5", True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:OPEN? 1", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:LOAD

:SENS:CORR:COLL:CKIT:ORD:SEL

:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS:CORR:COLL:CKIT:ORD:TRLL

:SENS:CORR:COLL:CKIT:ORD:TRLR

:SENS:CORR:COLL:CKIT:ORD:TRLT

Equivalent Softkey

Cal > Modify Cal Kit > Specify CLSs > Open > Set All | Port 1 | Port 2 > None | {std}

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.ORDER.OPEN


:SENS:CORR:COLL:CKIT:ORD:SEL

:SENS<Ch>:CORR:COLL:CKIT:ORD:SEL

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:SELect <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:SELect?

Description

This command sets/gets a subclass number in the subclass menu.

      • If the standard number is 0, the standard is invalid for the subclass.

Variable

Parameter | Value
Description | The number of the standard subclass.
Data Type | Numeric type (Integer)
Range | 1 ~ 30
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 5
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:SEL " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:SEL?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:LOAD

:SENS:CORR:COLL:CKIT:ORD:OPEN

:SENS:CORR:COLL:CKIT:ORD:SEL

:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS:CORR:COLL:CKIT:ORD:TRLL

:SENS:CORR:COLL:CKIT:ORD:TRLR

:SENS:CORR:COLL:CKIT:ORD:TRLT

:SENS:CORR:COLL:SUBC

Equivalent Softkey

Cal > Modify Cal Kit > Specify CLSs > Sub Class

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.ORDER.SELECT


:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS<Ch>:CORR:COLL:CKIT:ORD:SHOR

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:SHORt <Value1>, <Value2>

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:SHORt? <Value1>

Description

This command sets/gets the standard used for the short measurement of the specified port (Cpt), for the calibration kit selected.

      • If the standard number is 0, the standard is invalid for the subclass.

Variable

Parameter | Value1
Description | Port Number (Cpt)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Standard number
Data Type | Numeric type (Integer)
Range | 0 ~ 30

Query Response

{numeric (standard number)}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:SHOR 1,1", True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:SHOR? 1", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:LOAD

:SENS:CORR:COLL:CKIT:ORD:OPEN

:SENS:CORR:COLL:CKIT:ORD:SEL

:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS:CORR:COLL:CKIT:ORD:TRLL

:SENS:CORR:COLL:CKIT:ORD:TRLR

:SENS:CORR:COLL:CKIT:ORD:TRLT

Equivalent Softkey

Cal > Modify Cal Kit > Specify CLSs > Short > Set All | Port 1 | Port 2 > None | {std}

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.ORDER.SHORT


:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS<Ch>:CORR:COLL:CKIT:ORD:THRU

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:THRU <Value1>, <Value2>, <Value3>

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:THRU? <Value1>

Description

This set/get the standard used for the thru measurement between the specified 2 ports (Cpt_m and Cpt_n), for the calibration kit selected.

      • If the standard number is 0, the standard is invalid for the subclass.

Variable

Parameter | Value1
Description | Port Number (Cpt_m)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port Number (Cpt_n)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value3
Description | Standard number
Data Type | Numeric type (Integer)
Range | 0 ~ 30

Query Response

{numeric (standard number)}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:THRU 1, 2, 5", True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:THRU? 1, 2", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:LOAD

:SENS:CORR:COLL:CKIT:ORD:OPEN

:SENS:CORR:COLL:CKIT:ORD:SEL

:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS:CORR:COLL:CKIT:ORD:TRLL

:SENS:CORR:COLL:CKIT:ORD:TRLR

:SENS:CORR:COLL:CKIT:ORD:TRLT

Equivalent Softkey

Cal > Modify Cal Kit > Specify CLSs > Thru > Port 1-2 > None | {std}

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.ORDER.THRU


:SENS:CORR:COLL:CKIT:ORD:TRLL

:SENS<Ch>:CORR:COLL:CKIT:ORD:TRLL

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:TRLLine <Value1>, <Value2>, <Value3>

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:TRLLine? <Value1>, <Value2>

Description

This command sets/gets the standard used for the line measurement of TRL calibration between the specified 2 ports (Cpt_m and Cpt_n) for the calibration kit selected.

      • If the standard number is 0, the standard is invalid for the subclass.

Variable

Parameter | Value1
Description | Port Number (Cpt_m)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port Number (Cpt_n)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value3
Description | Standard number
Data Type | Numeric type (Integer)
Range | 0 ~ 30

Query Response

{numeric (standard number)}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:TRLL 1, 2, 5", True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:TRLL? 1, 2", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:LOAD

:SENS:CORR:COLL:CKIT:ORD:OPEN

:SENS:CORR:COLL:CKIT:ORD:SEL

:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS:CORR:COLL:CKIT:ORD:TRLR

:SENS:CORR:COLL:CKIT:ORD:TRLT

Equivalent Softkey

Cal > Modify Cal Kit > Specify CLSs > TRL Line > Port 1-2 > None | {std}

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.ORDER.TRLLINE


:SENS:CORR:COLL:CKIT:ORD:TRLR

:SENS<Ch>:CORR:COLL:CKIT:ORD:TRLR

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:TRLReflect <Value1>, <Value2>, <Value3>

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:TRLReflect? <Value1>, <Value2>

Description

This command sets/gets the standard used for the reflection measurement of the TRL calibration between the specified 2 ports, for the calibration kit selected.

      • If the standard number is 0, the standard is invalid for the subclass.

Variable

Parameter | Value1
Description | Port Number (Cpt_m)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port Number (Cpt_n)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value3
Description | Standard number
Data Type | Numeric type (Integer)
Range | 0 ~ 30

Query Response

{numeric (standard number)}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:TRLR 1, 2, 1", True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:TRLR? 1,2", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:LOAD

:SENS:CORR:COLL:CKIT:ORD:OPEN

:SENS:CORR:COLL:CKIT:ORD:SEL

:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS:CORR:COLL:CKIT:ORD:TRLL

:SENS:CORR:COLL:CKIT:ORD:TRLT

Equivalent Softkey

Cal > Modify Cal Kit > Specify CLSs > TRL Reflect > None | {std}

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.ORDER.TRLREFLECT


:SENS:CORR:COLL:CKIT:ORD:TRLT

:SENS<Ch>:CORR:COLL:CKIT:ORD:TRLT

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:TRLThru <Value1>, <Value2>, <Value3>

:SENSe<Ch>:CORRection:COLLect:CKIT:ORDer:TRLThru? <Value1>, <Value2>

Description

This command sets/gets the standard for the THRU measurement of the TRL calibration between the specified 2 ports (Cpt_m and Cpt_n).

      • If the standard number is 0, the standard is invalid for the subclass.

Variable

Parameter | Value1
Description | Port Number (Cpt_m)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port Number (Cpt_n)
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value3
Description | Standard number
Data Type | Numeric type (Integer)
Range | 0 ~ 30

Query Response

{numeric (standard number)}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:TRLT 1, 2, 5", True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:ORD:TRLT? 1, 2", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:LOAD

:SENS:CORR:COLL:CKIT:ORD:OPEN

:SENS:CORR:COLL:CKIT:ORD:SEL

:SENS:CORR:COLL:CKIT:ORD:SHOR

:SENS:CORR:COLL:CKIT:ORD:THRU

:SENS:CORR:COLL:CKIT:ORD:TRLR

:SENS:CORR:COLL:CKIT:ORD:TRLL

Equivalent Softkey

Cal > Modify Cal Kit > Specify CLSs > TRL Thur > Port 1-2 > None | {std}

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.ORDER.TRLTHRU


:SENS:CORR:COLL:CKIT:RES

:SENS<Ch>:CORR:COLL:CKIT:RES

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:RESet

Description

This command resets the calibration kit selection to the default factory setting state.

Examples

Ena.WriteString ":SENS:CORR:COLL:CKIT:RES", True

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Restore Cal Kit > OK

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.RESET


:SENS:CORR:COLL:CKIT:STAN:ARB

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:ARB

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:ARBitrary <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:ARBitrary?

Description

This command sets/gets the value of the arbitrary impedance of the standards (Std).

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | Arbitrary impedance
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | -
Unit | Ω

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:ARB " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:ARB?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > Arb. Impedance

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).ARBITRARY


:SENS:CORR:COLL:CKIT:STAN:C0

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:C0

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:C0 <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:C0?

Description

This command sets/gets the value of the CO value.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | C0
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard
Unit | fF (femto farad): 1e-15 F(farad)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.001
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:C0 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:C0?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > C0

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).C0


:SENS:CORR:COLL:CKIT:STAN:C1

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:C1

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:C1 <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:C1?

Description

This command sets/gets the value of the C1.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | C1
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard
Unit | ×1E-27 F/Hz

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.002
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:C1 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:C1?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > 1.Short > C1

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).C1


:SENS:CORR:COLL:CKIT:STAN:C2

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:C2

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:C2 <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:C2?

Description

This command sets/gets the value of the C2 value.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | C2
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard
Unit | ×1E-36 F/Hz2

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:C2 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:C2?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > C2

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).C2


:SENS:CORR:COLL:CKIT:STAN:C3

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:C3

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:C3 <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:C3?

Description

This command sets/gets the value of the C3 value.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | C3
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard
Unit | × 1E-45 F/Hz3

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.2
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:C3 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:C3?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > C3

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).C3


:SENS:CORR:COLL:CKIT:STAN:CHAR

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:CHAR

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:CHARacter {COAXial|WAVeguide}

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:CHARacter?

Description

This command sets/gets the media type.

    • <Std> = {[1]-30}

Variable

Parameter | Selection Option
Description | Select media type of standard
Data Type | Character string type (String)
Range | COAXial: Coaxial WAVeguide: Waveguide
Preset Value | "COAXial"

Query Response

{COAX|WAV}<newline><^END>

Examples

Dim Var as String
Var= "COAXial"
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:CHAR " & Var, True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:CHAR?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:COLL:CKIT:STAN:DEL

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > Media

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).CHARACTER


:SENS:CORR:COLL:CKIT:STAN:DEL

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:DEL

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:DELay <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:DELay?

Description

This command sets/gets the value of the offset delay.

  • <Std> = {[1]-30}

Variable

Parameter | Value
Description | Offset delay
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard.
Unit | s

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:DEL " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:DEL?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

:SENS:CORR:COLL:CKIT:STAN:CHAR

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > Offset Delay

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).DELAY


:SENS:CORR:COLL:CKIT:STAN:FMAX

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:FMAX

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:FMAXimum <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:FMAXimum?

Description

This command sets/gets the value of the stop frequency.

      • When media type of standard is “Waveguide", sets the stop frequency of the cutoff frequency.

      • <Std> = {[1]-30}

Variable

Parameter | Value
Description | Stop frequency of the selected standard.
Data Type | Numeric type (Real)
Range | 0 ~ 999G
Preset Value | Varies depending on the specified calibration kit and standard.
Unit | Hz

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 2E9
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:FMAX " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:FMAX?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:STAN:FMIN

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > Max. Frequency

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).FMAXIMUM


:SENS:CORR:COLL:CKIT:STAN:FMIN

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:FMIN

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:FMINimum <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:FMINimum?

Description

This command sets/gets the value of the start frequency.

      • When media type of standard is “Waveguide", sets the start frequency of the cutoff frequency.

      • <Std> = {[1]-30}

Variable

Parameter | Value
Description | Start frequency of the selected standard.
Data Type | Numeric type (Real)
Range | 0 ~ 999G
Preset Value | Varies depending on the specified calibration kit and standard.
Unit | Hz

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1E9
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:FMIN " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:FMIN?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:STAN:FMAX

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > Min. Frequency

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).FMINIMUM


:SENS:CORR:COLL:CKIT:STAN:L0

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:L0

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:L0 <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:L0?

Description

This command sets/gets the value of the L0 value.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | L0
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard.
Unit | pH (pico[×1E-12] henry)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:L0 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:L0?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > L0

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).L0


:SENS:CORR:COLL:CKIT:STAN:L1

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:L1

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:L1 <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:L1?

Description

This command sets/gets the value of the L1 value.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | L1
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard.
Unit | ×1E-24 H/Hz

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.5
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:L1 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:L1?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > L1

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).L1


:SENS:CORR:COLL:CKIT:STAN:L2

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:L2

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:L2 <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:L2?

Description

This command sets/gets the value of the L2 value.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | L2
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard.
Unit | ×1E-33 H/Hz2

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.5
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:L2 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:L2?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > 1.Short > L2

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).L2


:SENS:CORR:COLL:CKIT:STAN:L3

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:L3

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:L3 <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:L3?

Description

This command sets/gets the value of the L3 value.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | L3
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard.
Unit | ×1E-42 H/Hz3

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:L3 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:L3?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > L3

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).L3


:SENS:CORR:COLL:CKIT:STAN:LAB

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:LAB

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:LABel <String>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:LABel?

Description

This command sets/gets the name of the standards.

    • <Std> = {[1]-30}

Variable

Parameter | String
Description | Standard name
Data Type | Character string type (String)
Range | 254 chars
Preset Value | Varies depending on the specified calibration kit and standard.

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "UserStd1"
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:LAB " & Var, True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:LAB?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > Label

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).LABEL


:SENS:CORR:COLL:CKIT:STAN:LOSS

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:LOSS

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:LOSS <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:LOSS?

Description

This command sets/gets the value of the offset loss of the standard.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | Offset loss
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard.
Unit | Ω/s

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1.5
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:LOSS " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:LOSS?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > Offset Loss

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).LOSS


:SENS:CORR:COLL:CKIT:STAN:TYPE

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:TYPE

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:TYPE {OPEN|SHORt|LOAD|THRU|ARBI|NONE|UTHRu}

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:TYPE?

Description

This command sets/gets the standard type of the standards.

    • <Std> = {[1]-30}

Variable

Parameter | Selection Option
Description | Standard type
Data Type | Character string type (String)
Range | OPEN: Open SHORt: Short LOAD: Load THRU: Thru ARBI: Arbitrary impedance NONE: None UTHRu: Unknown thru
Preset Value | Varies depending on the specified calibration kit and standard.

Query Response

{OPEN|SHOR|LOAD|THRU|ARBI|NONE|UTHR}<newline><^END>

Examples

Dim Var as String
Var= "OPEN"
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:TYPE " & Var, True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:TYPE?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > STD Type

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).TYPE


:SENS:CORR:COLL:CKIT:STAN:Z0

:SENS<Ch>:CORR:COLL:CKIT:STAN<Std>:Z0

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:Z0 <Value>

:SENSe<Ch>:CORRection:COLLect:CKIT:STAN<Std>:Z0?

Description

This command sets/gets the value of the offset Z0 of the standards.

    • <Std> = {[1]-30}

Variable

Parameter | Value
Description | Offset Z0
Data Type | Numeric type (Real)
Range | -1E18 ~ 1E18
Preset Value | Varies depending on the specified calibration kit and standard.
Unit | Ω

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 50
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:Z0 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:STAN1:Z0?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT

Equivalent Softkey

Calibration > Modify Cal Kit > Define STDs > {std} > Offset Z0

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.STAN(Std).Z0


:SENS:CORR:COLL:CKIT:TRL:IMP

:SENS<Ch>:CORR:COLL:CKIT:TRL:IMP

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:TRLoption:IMPedance {LINE|SYSTem}

:SENSe<Ch>:CORRection:COLLect:CKIT:TRLoption:IMPedance?

Description

This command sets/gets the reference impedance during the TRL calibration.

Variable

Parameter | Selection Option
Description | Selects the reference impedance during the TRL calibration
Data Type | Character string type (String)
Range | LINE:Calculate the error coefficients by setting the characteristic impedance of the line standard to the reference impedance. SYSTem: Calculate the error coefficients by setting the system impedance to the reference impedance.
Preset Value | "SYSTem"

Query Response

{LINE|SYST}<newline><^END>

Examples

Dim Var as String
Var= "LINE"
Ena.WriteString ":SENS1:CORR:COLL:CKIT:TRL:IMP " & Var, True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:TRL:IMP?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:COLL:CKIT:TRL:RPL

Equivalent Softkey

Calibration > Modify Cal Kit > TRL Option > Impedance

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.TRLOPTION.IMPEDANCE


:SENS:CORR:COLL:CKIT:TRL:RPL

:SENS<Ch>:CORR:COLL:CKIT:TRL:RPL

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:CKIT:TRLoption:RPLane {THRU|REFLect}

:SENSe<Ch>:CORRection:COLLect:CKIT:TRLoption:RPLane?

Description

This command sets/gets the calculation method of the calibration plane.

Variable

Parameter | Selection Option
Description | Selects the calculation method of the calibration plane
Data Type | Character string type (String)
Range | THRU: Uses the length of the THRU and LINE standard to calculate the calibration plane. REFLect: Uses the reflection coefficient of the reflection standard to calculate the calibration plane.
Preset Value | "THRU"

Query Response

{THRU|REFL}<newline><^END>

Examples

Dim Var as String
Var= "THRU"
Ena.WriteString ":SENS1:CORR:COLL:CKIT:TRL:RPL " & Var, True
Ena.WriteString ":SENS1:CORR:COLL:CKIT:TRL:RPL?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:COLL:CKIT:TRL:IMP

Equivalent Softkey

Calibration > Modify Cal Kit > TRL Option > Reference Plane

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CKIT.TRLOPTION.RPLANE


:SENS:CORR:COLL:CLE

:SENS<Ch>:CORR:COLL:CLE

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:CLEar

Description

This command clears the calibration measurement data when the frequency offset feature is off.

      • Settings that have been temporarily changed due to measurement for each standard (number of traces, measurement parameters, and so on) return to their original values.

Examples

Ena.WriteString ":SENS:CORR:COLL:CLE", True

Equivalent Softkey

Calibration > Calibrate > Response (Open) > Cancel > OK

Calibration > Calibrate > Response (Short) > Cancel > OK

Calibration > Calibrate > Response (Thru) > Cancel > OK

Calibration > Calibrate > Enhanced Response > Cancel > OK

Calibration > Calibrate > 1-Prt Cal > Cancel > OK

Calibration > Calibrate > 2-Port Cal > Cancel > OK

Calibration > Calibrate > 2-Port TRL Cal > Cancel > OK

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.CLEAR


:SENS:CORR:COLL:ECAL:CCH

:SENS<Ch>:CORR:COLL:ECAL:CCH

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:CCHeck[:ACQuire]

Description

This command executes the confidence check of the calibration coefficients using ECal (Electronic Calibration). In other words, this command sets the data measured with the analyzer and the data stored in ECal so that they can be compared).

      • If you execute this object when the ECal module is not connected or when ports are not connected each other appropriately, a runtime error occurs.

Examples

Ena.WriteString ":SENS1:CORR:COLL:ECAL:CCH", True

Equivalent Softkey

Calibration > ECal > Confidence Check

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.CCHECK.ACQUIRE


:SENS:CORR:COLL:ECAL:ERES

:SENS<Ch>:CORR:COLL:ECAL:ERES

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:ERESponse <Value1>, <Value2>

Description

This command executes enhanced response calibration between the two specified ports of the selected channel using the ECal module.

      • If you execute this command when the ECal module is not connected or when ports are not connected each other appropriately, an error occurs and the command is ignored.

Variable

Parameter | Value1
Description | Port number for response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number for stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Ena.WriteString ":SENS1:CORR:COLL:ECAL:ERES 1,2", True

Equivalent Softkey

Calibration > ECal > Enhance Response > 2-1 (S21 S11) | 1-2 (S12 S22)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.ERESPONSE


:SENS:CORR:COLL:ECAL:INF

:SENS<Ch>:CORR:COLL:ECAL:INF

Type

Query

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:INFormation?

Description

This command gets the information of the connected ECal module.

Variable

The command return information in a string variable <param> in the following syntax:

  • ModelNumber

  • SerialNumber

  • PortAConnector

  • PortBConnector

  • MinFreq

  • MaxFreq

  • NumberOfPoints

  • Calibrated

  • ID

  • PortAExtension

  • PortBExtension

  • Analyzer

  • Operator

  • Location

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Ena.WriteString ":SENS1:CORR:COLL:ECAL:INF?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:COLL:SAVE

:SENS:CORR:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.INFORMATION


:SENS:CORR:COLL:ECAL:ISOL

:SENS<Ch>:CORR:COLL:ECAL:ISOL

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:ISOLation[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:CORRection:COLLect:ECAL:ISOLation[:STATe]?

Description

This command takes no action and only exists to maintain the compatibility with the E5061B/E5071C.

The E5063A does not execute the isolation calibration during Ecal calibration because the isolation of the E5063A is better than that of the ECal.

Variable

Parameter | Selection Option
Description | State of the isolation measurement when executing ECal
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SENS1:CORR:COLL:ECAL:ISOL " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:ECAL:ISOL?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:ECAL:SOLT1

:SENS:CORR:COLL:ECAL:SOLT2

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.ISOLATION.STATE


:SENS:CORR:COLL:ECAL:ORI

:SENS<Ch>:CORR:COLL:ECAL:ORI

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:ORIentation[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:CORRection:COLLect:ECAL:ORIentation[:STATe]?

Description

This command sets/gets the status of the ECal auto detect function.

Variable

Parameter | Selection Option
Description | ON/OFF the ECal auto detect function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SENS1:CORR:COLL:ECAL:ORI " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:ECAL:ORI?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:ECAL:PATH

:CALC:FSIM:SEND:DEEM:PORT

Equivalent Softkey

Calibration > ECal > Orientation > Orientation

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.ORIENTATION.STATE


:SENS:CORR:COLL:ECAL:PATH

:SENS<Ch>:CORR:COLL:ECAL:PATH

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:PATH <Value1>, <Value2>

:SENSe<Ch>:CORRection:COLLect:ECAL:PATH? <Value1>

Description

This command sets/gets the ECal module port number which is connected to a specified port of the E5063A.

Variable

Parameter | Value1
Description | Port number of the E5063A
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number of ECal module
Data Type | Numeric type (Integer)
Range | One of the following is set/get: 0: Nothing is connected. 1: Port A is connected. 2: Port B is connected. 3: Port C is connected. 4: Port D is connected

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Integer
Ena.WriteString ":SENS1:CORR:COLL:ECAL:PATH 1, 1", True
Ena.WriteString ":SENS1:CORR:COLL:ECAL:PATH? 1", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:ECAL:ORI

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.PATH


:SENS:CORR:COLL:ECAL:SOLT1

:SENS<Ch>:CORR:COLL:ECAL:SOLT1

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:SOLT1 <Value>

Description

This command executes 1-port calibration of the specified port using the ECal (Electronic Calibration) module.

      • If this command is executed when the ECal module is not connected or when ports are not connected each other appropriately, an error occurs and the command is ignored.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":SENS1:CORR:COLL:ECAL:SOLT1 " & Str(Var), True

See ECal.

Equivalent Softkey

Calibration > ECal > 1-Port Cal > Port 1

Calibration > ECal > 1-Port Cal > Port 2

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.SOLT1


:SENS:CORR:COLL:ECAL:SOLT2

:SENS<Ch>:CORR:COLL:ECAL:SOLT2

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:SOLT2 <Value1>, <value2>

Description

This command executes 2-port calibration of the specified port using the ECal (Electronic Calibration) module.

      • If this command is executed when the ECal module is not connected or when ports are not connected each other appropriately, an error occurs and the command is ignored.

Variable

Parameter | Value1
Description | Specifies a port for full 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value
Description | Specifies the other port for full 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Ena.WriteString ":SENS1:CORR:COLL:ECAL:SOLT2 1,2", True

Related Commands

See ECal.

Equivalent Softkey

Calibration > ECal > 2-Port Cal

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.SOLT2


:SENS:CORR:COLL:ECAL:THRU

:SENS<Ch>:CORR:COLL:ECAL:THRU

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:THRU <Value1>, <value2>

Description

This command executes response calibration (thru) between the specified 2 ports using the ECal (Electronic Calibration) module.

      • If this command is executed when the ECal module is not connected or when ports are not connected each other appropriately, an error occurs and the command is ignored.

Variable

Parameter | Value1
Description | Port number for response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number for stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Ena.WriteString ":SENS1:CORR:COLL:ECAL:THRU 1,2", True

Equivalent Softkey

Calibration > ECal > Response (Thru) > 2-1 (S21) | 1-2 (S12)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.THRU


:SENS:CORR:COLL:ECAL:UCH

:SENS<Ch>:CORR:COLL:ECAL:UCH

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:UCHar {CHAR0|CHAR1|CHAR2|CHAR3|CHAR4|CHAR5}

:SENSe<Ch>:CORRection:COLLect:ECAL:UCHar?

Description

This command sets the ECal characteristic used when executing the user-defined ECal.

      • The user-defined ECal is a type of ECal that is executed using the characteristic that has been acquired by the user and stored in the memory for ECal.

When the ECal module is not connected or the characteristic is not stored at the specified location number, executing this object will cause a runtime error.

Variable

Parameter | Selection Option
Description | Characteristic used when executing ECal (user characterization)
Data Type | Character string type (String)
Range | CHAR0: Uses the factory-default characteristic. (Normal ECal) CHAR1-CHAR5: Uses the characteristic stored at location number N in the ECal's flash memory
Preset Value | "CHAR0"

Query Response

{CHAR0|CHAR1|CHAR2|CHAR3|CHAR4|CHAR5}<newline><^END>

Examples

Dim Var as String
Var= "CHAR0"
Ena.WriteString ":SENS1:CORR:COLL:ECAL:UCH " & Var, True
Ena.WriteString ":SENS1:CORR:COLL:ECAL:UCH?", True
Var=Ena.ReadString

Equivalent Softkey

Calibration > ECal > Characterization

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.UCHAR


:SENS:CORR:COLL:ECAL:UTHR

:SENS<Ch>:CORR:COLL:ECAL:UTHR

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect:ECAL:UTHRu[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:CORRection:COLLect:ECAL:UTHRu[:STATe]?

Description

This command sets/gets the status of unknown thru calibration for Ecal.

Variable

Parameter | Selection Option
Description | State of Unknown Thru for Ecal
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SENS1:CORR:COLL:ECAL:UTHR" & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:ECAL:UTHR?", True
Var=Ena.ReadNumber

Equivalent Softkey

Calibration > ECal > Unknown Thru

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ECAL.UTHRU.STATE


:SENS:CORR:COLL:ISOL

:SENS<Ch>:CORR:COLL:ISOL

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:ISOLation <Value1>, <Value2>

Description

This command measures the calibration data of the isolation for 2 full port calibration.

Variable

Parameter | Value1
Description | Response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Ena.WriteString ":SENS1:CORR:METH:SOLT2 1,2", True
Ena.WriteString ":SENS1:CORR:COLL:ISOL 1,2", True

Ena.WriteString ":SENS1:CORR:METH:SOLT2 2,1", True
Ena.WriteString ":SENS1:CORR:COLL:ISOL 2,1", True

See Calibration.

Related Commands

*OPC

Equivalent Softkey

Calibration > Calibrate > Response (Thru) > Isolation (Optional)

Calibration > Calibrate > n-Port Cal > Isolation (Optional) > Port m-n Isol

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ACQUIRE.ISOLATION


:SENS:CORR:COLL:LOAD

:SENS<Ch>:CORR:COLL:LOAD

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:LOAD <Value>

Description

This command measures the calibration data of the load standard.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Var as Long, Dmy as Integer

Var= 1

Ena.WriteString ":SENS1:CORR:COLL:METH:LOAD " & Str(Var), True

Ena.WriteString ":SENS1:CORR:COLL:LOAD " & Str(Var), True

Ena.WriteString "*OPC?"

Dmy = Ena.ReadNumber

Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

Related Commands

*OPC

Equivalent Softkey

Calibration > Calibrate > Response (Short) | 1-Port Cal > Short

Calibration > Calibrate > n-Port Cal > Reflection > Port m Short

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ACQUIRE.LOAD


:SENS:CORR:COLL:METH:ADAP:REM

:SENS<Ch>:CORR:COLL:METH:ADAP:REM

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:METHod:ADAPter:REMoval <Value>

Description

This command sets the port in which adaptor needs to be added/removed.

Variable

Parameter | Value
Description | Port in which Adaptor needs to be added/removed
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Related Commands

:SENS:CORR:COLL:METH:TYPE

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":SENS1:CORR:COLL:METH:ADAP:REM " & Str(Var), True

See Calibration.

Equivalent Softkey

Calibration > Calibrate > Adapter Removal > Select Port > 1 | 2

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.METHOD.ADAPTER.REMOVAL


:SENS:CORR:COLL:METH:ERES

:SENS<Ch>:CORR:COLL:METH:ERES

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:METHod:ERESponse <Value1>, <value2>

Description

This command sets the calibration type to the enhanced response calibration between the two specified ports.

Variable

Parameter | Value1
Description | Response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Dmy as Integer
Ena.WriteString ":SENS1:CORR:COLL:METH:ERES 2,1", True
MsgBox ("Set Open to Port 1, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:OPEN 1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
MsgBox ("Set Short to Port 1, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:SHOR 1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
MsgBox ("Set Load to Port 1, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:LOAD 1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
MsgBox ("Set Thru between Ports 1 and 2, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:THRU 2,1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

See Calibration.

Related Commands

:SENS:CORR:COLL:OPEN

:SENS:CORR:COLL:SHOR

:SENS:CORR:COLL:LOAD

:SENS:CORR:COLL:THRU

:SENS:CORR:COLL:SAVE

:SENS:CORR:COLL:METH:TYPE

Equivalent Softkey

Calibration > Calibrate > Enhance Response > Select Ports > 2-1 (S21 S11) | 1-2 (S12 S22)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.METHOD.ERESPONSE


:SENS:CORR:COLL:METH:OPEN

:SENS<Ch>:CORR:COLL:METH:OPEN

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:METHod[:RESPonse]:OPEN <Value>

Description

This command sets the calibration type to the response calibration (open) of the specified port.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Var as Long, Dmy as Integer
Var= 1
Ena.WriteString ":SENS1:CORR:COLL:METH:OPEN " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:OPEN " & Str(Var), True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

See Calibration.

Related Commands

:SENS:CORR:COLL:OPEN

:SENS:CORR:COLL:SAVE

:SENS:CORR:COLL:METH:TYPE

Equivalent Softkey

Calibration > Calibrate > Response (Open) > Select Port > 1 | 2

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.METHOD.RESPONSE.OPEN


:SENS:CORR:COLL:METH:SHOR

:SENS<Ch>:CORR:COLL:METH:SHOR

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:METHod[:RESPonse]:SHORt <Value>

Description

This command sets the calibration type to the response calibration (short) of the specified port.

Variable

Parameter | Value
Description | Port Number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Var as Long, Dmy as Integer
Var= 1
Ena.WriteString ":SENS1:CORR:COLL:METH:SHOR " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:SHOR " & Str(Var), True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

See Calibration.

Related Commands

*OPC

Equivalent Softkey

Calibration > Calibrate > Response (Short)|1-Port Cal > Short

Calibration > Calibrate > n-Port Cal > Reflection > Port m Short

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.METHOD.RESPONSE.SHORT


:SENS:CORR:COLL:METH:SOLT1

:SENS<Ch>:CORR:COLL:METH:SOLT1

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:METHod:SOLT1 <Value>

Description

This command sets the calibration type to the 1-port calibration of the specified port.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Dmy as Integer
Ena.WriteString ":SENS1:CORR:COLL:METH:SOLT1 1", True
MsgBox ("Set Open to Port 1, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:OPEN 1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
MsgBox ("Set Short to Port 1, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:SHOR 1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
MsgBox ("Set Load to Port 1, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:LOAD 1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

See Calibration.

Related Commands

:SENS:CORR:COLL:METH:TYPE

Equivalent Softkey

Calibration > Calibrate > 1-Port Cal > Select Port > 1 | 2

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.METHOD.SOLT1


:SENS:CORR:COLL:METH:SOLT2

:SENS<Ch>:CORR:COLL:METH:SOLT2

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:METHod:SOLT2 <Value1>, <value2>

Description

This command sets the calibration type to the full 2-port calibration.

Variable

Parameter | Value1
Description | Specifies a port for full 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Specifies the other port for full 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See Calibration.

Related Commands

:SENS:CORR:COLL:METH:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.METHOD.SOLT2


:SENS:CORR:COLL:METH:THRU

:SENS<Ch>:CORR:COLL:METH:THRU

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:METHod[:RESPonse]:THRU <Value1>, <value2>

Description

This command sets the calibration type to the response calibration (thru) between the specified 2 ports.

Variable

Parameter | Value1
Description | Port number for response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number for stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Dmy as Integer
MsgBox ("Set Thru between Ports 1 and 2, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:METH:THRU 2,1", True
Ena.WriteString ":SENS1:CORR:COLL:THRU 2,1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:METH:THRU 1,2", True
Ena.WriteString ":SENS1:CORR:COLL:THRU 1,2", True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

See Calibration.

Related Commands

:SENS:CORR:COLL:METH:TYPE

Equivalent Softkey

Calibration > Calibrate > Response (Thru) > Select Ports > 2-1 (S21) | 1-2 (S12)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.METHOD.RESPONSE.THRU


:SENS:CORR:COLL:METH:TRL2

:SENS<Ch>:CORR:COLL:METH:TRL2

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:METHod:TRL2 <Value1>, <Value2>

Description

This command sets the calibration type to the TRL 2 port-calibration between the 2 specified ports.

Variable

Parameter | Value1
Description | Specifies a port for TRL 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Specifies the other port for TRL 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Dmy as Integer
MsgBox ("Set Thru/Line tbetween Ports 1 and 2, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:TRLT 2,1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
MsgBox ("Set Short to Port 1, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:TRLR 1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
MsgBox ("Set Short to Port 2, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:TRLR 2", True
.WriteString "*OPC?"
Dmy = .ReadNumber
MsgBox ("Set Line/Match on Ports 1 and 2, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:METH:TRL2 2,1", True
Ena.WriteString ":SENS1:CORR:COLL:TRLL 2,1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:METH:TRL2 1,2", True
Ena.WriteString ":SENS1:CORR:COLL:TRLL 1,2", True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

See Calibration.

Related Commands

:SENS:CORR:COLL:METH:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.METHOD.TRL2


:SENS:CORR:COLL:METH:TYPE

:SENS<Ch>:CORR:COLL:METH:TYPE

Type

Query

Syntax

:SENSe<Ch>:CORRection:COLLect:METHod:TYPE?

Description

This command gets on-going calibration type.
After ":SENS:CORR:COEF:SAVE" command is executed, this returns "None".

To check the applied calibration type (error correction on), use :SENS:CORR:TYPE.

Variable

Parameter | Selection Option
Description | Calibration type
Data Type | Character string type (String)
Range | NONE RESPO: Response calibration (Open) RESPS: Response calibration (Short) RESPT: Response calibration (Thru) SOLT1: 1-port calibration SOLT2: 2-port calibration ERES: Enhanced response calibration TRL2: TRL 2-port calibration AREM: Adapter removal
Preset Value | NONE
Unit | -
Resolution | -

Query Response

{NONE|RESPO|RESPS|RESPT|SOLT1|SOLT2|ERES|TRL2|AREM}<newline><^END>

Examples

Dim Var as String
Ena.WriteString ":SENS1:CORR:COLL:METH:OPEN 1", True
Ena.WriteString ":SENS1:CORR:COLL:METH:TYPE?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:COEF:SAVE

:SENS:CORR:TYPE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.METHOD.TYPE


:SENS:CORR:COLL:OPEN

:SENS<Ch>:CORR:COLL:OPEN

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:OPEN <Value>

Description

This command measures the calibration data of the open standard for the specified port.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Var as Long, Dmy as Integer
Var= 1
Ena.WriteString ":SENS1:CORR:COLL:METH:OPEN " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:OPEN " & Str(Var), True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

See Calibration.

Related Commands

*OPC

Equivalent Softkey

Calibration > Calibrate > Response (Open)|1-Port Cal > Open

Calibration > Calibrate > n-Port Cal > Reflection > Port m Open

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ACQUIRE.OPEN


:SENS:CORR:COLL:PART:SAVE

:SENS<Ch>:CORR:COLL:PART:SAVE

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:PARTial:SAVE

Description

This command, used for partial overwrite, recalculates the calibration coefficients depending on the selected calibration type from the measured calibration data.

Calculating the calibration coefficients clears all calibration data regardless of whether they are used for the calculation and also clears the calibration type selections.

If partial overwrite is executed before selecting the calibration type, an error occurs and the command is ignored.

Examples

Ena.WriteString ":SENS:CORR:COLL:PART:SAVE", True

Related Commands

Equivalent Softkey

Cal > Calibrate > {n-Port Cal} > Overwrite

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.PARTIAL.SAVE


:SENS:CORR:COLL:SAVE

:SENS<Ch>:CORR:COLL:SAVE

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect:SAVE

Description

This command calculates the calibration coefficients depending on the calibration type selection, from the measured calibration data.

Calculating the calibration coefficients clears all the measured calibration data whether or not used for the calculation and also clears the calibration type selection.

If this command is executed before all necessary calibration data for calculating the calibration coefficients is measured, an error occurs and the command is ignored.

Examples

Ena.WriteString ":SENS:CORR:COLL:SAVE", True

See Calibration.

Related Commands

:SENS:CORR:COLL:ISOL

:SENS:CORR:COLL:LOAD

:SENS:CORR:COLL:OPEN

:SENS:CORR:COLL:SHOR

:SENS:CORR:COLL:THRU

:SENS:CORR:COLL:TRLL

:SENS:CORR:COLL:TRLR

:SENS:CORR:COLL:TRLT

Equivalent Softkey

Cal > Calibrate > {Response |n-Port Cal } > Done

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.SAVE


:SENS:CORR:COLL:SHOR

:SENS<Ch>:CORR:COLL:SHOR

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:SHORt <Value>

Description

This command measures the calibration data of the short standard for the specified port.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Var as Long, Dmy as Integer
Var= 1
Ena.WriteString ":SENS1:CORR:COLL:METH:SHOR " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:SHOR " & Str(Var), True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

See Calibration.

Related Commands

*OPC

Equivalent Softkey

Calibration > Calibrate > Response (Short) > Short

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ACQUIRE.SHORT


:SENS:CORR:COLL:SUBC

:SENS<Ch>:CORR:COLL:SUBC

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:SUBClass <Value>

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:SUBClass?

Description

This command sets/gets the subclass which is used for the calibration. For example, if two different subclasses are set in advance, say Thru 1 & Thru 2, which are visible at the calibration softkey, this command can select either Thru1 or Thru2. When performing Thru cal, either Thru 1 or Thru 2 set with this command is used for the calibration.

Variable

Parameter | Value
Description | Active sub class
Data Type | Numeric type (Integer)
Range | 1 ~ 30
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 10
Ena.WriteString ":SENS1:CORR:COLL:SUBC " & Str(Var), True
Ena.WriteString ":SENS1:CORR:COLL:SUBC?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:COLL:CKIT:ORD:SEL

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ACQUIRE.SUBCLASS


:SENS:CORR:COLL:THRU

:SENS<Ch>:CORR:COLL:THRU

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:THRU <Value1>, <Value2>

Description

This command measures the calibration data of the Thru standard from the specified stimulus port to the specified response port.

Variable

Parameter | Value1
Description | Port number for response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number for stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

Dim Dmy as Integer
Ena.WriteString ":SENS1:CORR:COLL:METH:THRU 2,1", True
MsgBox ("Set Thru between Ports 1 and 2, then click [OK] button")
Ena.WriteString ":SENS1:CORR:COLL:THRU 2,1", True
.WriteString "*OPC?"
Dmy = .ReadNumber
Ena.WriteString ":SENS1:CORR:COLL:SAVE", True

See Calibration.

Related Commands

*OPC

Equivalent Softkey

Calibration > Calibrate > Response (Thru) > Thru

Calibration > Calibrate > 2-Port Cal > Transmission > Port m-n Thru

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ACQUIRE.THRU


:SENS:CORR:COLL:TRLL

:SENS<Ch>:CORR:COLL:TRLL

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:TRLLine <Value1>, <Value2>

Description

This command measures the TRL LINE/MATCH standard from the selected calibration kit.

Variable

Parameter | Value1
Description | Port number for response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number for stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See :SENS:CORR:COLL:METH:TRL2 and Calibration.

Related Commands

:SENS:CORR:COLL:METH:TRL2

Equivalent Softkey

Cal > Calibrate > 2-Port TRL Cal > Line/Match > 1-2 Line/Match | 1-2 Fwd (S21) | 1-2 Rvs (S12)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ACQUIRE.TRLLINE


:SENS:CORR:COLL:TRLR

:SENS<Ch>:CORR:COLL:TRLR

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:TRLReflect <Value>

Description

This command measures the TRL REFLECT standard for the selected channel Ch.

Variable

Parameter | Value
Description | Port number
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See :SENS:CORR:COLL:METH:TRL2 and Calibration.

Related Commands

:SENS:CORR:COLL:METH:TRL2

Equivalent Softkey

Cal > Calibrate > 2-Port TRL Cal > Reflect > Port1 Reflect | Port2 Reflect

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ACQUIRE.TRLREFLECT


:SENS:CORR:COLL:TRLT

:SENS<Ch>:CORR:COLL:TRLT

Type

Command

Syntax

:SENSe<Ch>:CORRection:COLLect[:ACQuire]:TRLThru <Value1>, <Value2>

Description

This command measures the TRL THRU/LINE standard from the selected calibration kit.

Variable

Parameter | Value1
Description | Port number for response port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Parameter | Value2
Description | Port number for stimulus port
Data Type | Numeric type (Integer)
Range | 1 ~ 2

Examples

See :SENS:CORR:COLL:METH:TRL2 and Calibration.

Related Commands

:SENS:CORR:COLL:METH:TRL2

Equivalent Softkey

Cal > Calibrate > 2-Port TRL Cal > Thru/Line > 1-2 Thru/Line

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.COLLECT.ACQUIRE.TRLTHRU


:SENS:CORR:EXT

:SENS<Ch>:CORR:EXT

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:CORRection:EXTension[:STATe]?

Description

This command turns on/off port extension.

Variable

Parameter | Selection Option
Description | ON/OFF of the port extension correction
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":SENS1:CORR:EXT " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:AUTO:CONF

:SENS:CORR:EXT:AUTO:DCOF

:SENS:CORR:EXT:AUTO:LOSS

:SENS:CORR:EXT:AUTO:MEAS

:SENS:CORR:EXT:AUTO:PORT

:SENS:CORR:EXT:AUTO:RES

:SENS:CORR:EXT:AUTO:STAR

:SENS:CORR:EXT:AUTO:STOP

:SENS:CORR:EXT:PORT

:SENS:CORR:EXT:PORT:FREQ

:SENS:CORR:EXT:PORT:INCL

:SENS:CORR:EXT:PORT:LDC

:SENS:CORR:EXT:PORT:LOSS

:SENS:CORR:EXT:PORT:WAV:CUT

:SENS:CORR:EXT:PORT:WAV:TIME

Equivalent Softkey

Calibration > Port Extensions > Extensions

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.STATE


:SENS:CORR:EXT:AUTO:CONF

:SENS<Ch>:CORR:EXT:AUTO:CONF

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:AUTO:CONFig {CSPN|AMKR|USPN}

:SENSe<Ch>:CORRection:EXTension:AUTO:CONFig?

Description

This command sets/gets the frequencies used to calculate Automatic Port Extension.

Variable

Parameter | Selection Option
Description | The frequency point to calculate the auto port extension
Data Type | Character string type (String)
Range | CSPN: Current span AMKR: Active marker USPN: User span
Preset Value | CSPN

Query Response

{CSPN|AMKR|USPN}<newline><^END>

Examples

Dim Var as String
Var= "CSPN"
Ena.WriteString ":SENS1:CORR:EXT:AUTO:CONF " & Var, True
Ena.WriteString ":SENS1:CORR:EXT:AUTO:CONF?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:EXT:AUTO:DCOF

:SENS:CORR:EXT:AUTO:LOSS

:SENS:CORR:EXT:AUTO:MEAS

:SENS:CORR:EXT:AUTO:PORT

:SENS:CORR:EXT:AUTO:RES

:SENS:CORR:EXT:AUTO:STAR

:SENS:CORR:EXT:AUTO:STOP

Equivalent Softkey

Calibration > Port Extensions > Auto Port Extension > Method > Current Span

Calibration > Port Extensions > Auto Port Extension > Method > Active Marker

Calibration > Port Extensions > Auto Port Extension > Method > User Span

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.AUTO.CONFIG


:SENS:CORR:EXT:AUTO:DCOF

:SENS<Ch>:CORR:EXT:AUTO:DCOF

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:AUTO:DCOFfset {ON|OFF|1|0}

:SENSe<Ch>:CORRection:EXTension:AUTO:DCOFfset?

Description

This command sets/gets the usage of DC Offset value for the results of the auto port extension.

Variable

Parameter | Selection Option
Description | Status of DC Offset
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SENS1:CORR:EXT:AUTO:DCOF " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:AUTO:DCOF?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:AUTO:CONF

:SENS:CORR:EXT:AUTO:MEAS

:SENS:CORR:EXT:AUTO:PORT

:SENS:CORR:EXT:AUTO:RES

:SENS:CORR:EXT:AUTO:STAR

:SENS:CORR:EXT:AUTO:STOP

Equivalent Softkey

Calibration > Port Extensions > Auto Port Extension > Adjust Mismatch

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.AUTO.DCOFFSET


:SENS:CORR:EXT:AUTO:LOSS

:SENS<Ch>:CORR:EXT:AUTO:LOSS

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:AUTO:LOSS {ON|OFF|1|0}

:SENSe<Ch>:CORRection:EXTension:AUTO:LOSS?

Description

This command sets/gets the loss correction as part of automatic port extension.

Variable

Parameter | Selection Option
Description | Status of loss compensation
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SENS1:CORR:EXT:AUTO:LOSS " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:AUTO:LOSS?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:AUTO:CONF

:SENS:CORR:EXT:AUTO:DCOF

:SENS:CORR:EXT:AUTO:MEAS

:SENS:CORR:EXT:AUTO:PORT

:SENS:CORR:EXT:AUTO:RES

:SENS:CORR:EXT:AUTO:STAR

:SENS:CORR:EXT:AUTO:STOP

Equivalent Softkey

Calibration > Port Extensions > Auto Port Extension > Include Loss

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.AUTO.LOSS


:SENS:CORR:EXT:AUTO:MEAS

:SENS<Ch>:CORR:EXT:AUTO:MEAS

Type

Command

Syntax

:SENSe<Ch>:CORRection:EXTension:AUTO:MEASure {OPEN|SHORt}

Description

This command measures either an OPEN or SHORT standard to set automatic port extensions.

Variable

Parameter | Selection Option
Description | Standard type
Data Type | Character string type (String)
Preset Value | SHORt
Range | OPEN: Measures the calibration data of the OPEN standard SHORt: Measures the calibration data of the SHORT standard

Examples

Dim Var as String
Var= "OPEN"
Ena.WriteString ":SENS1:CORR:EXT:AUTO:MEAS " & Var, True

Related Commands

:SENS:CORR:EXT:AUTO:CONF

:SENS:CORR:EXT:AUTO:DCOF

:SENS:CORR:EXT:AUTO:LOSS

:SENS:CORR:EXT:AUTO:PORT

:SENS:CORR:EXT:AUTO:RES

:SENS:CORR:EXT:AUTO:STAR

:SENS:CORR:EXT:AUTO:STOPEquivalent Softkey

Calibration > Port Extensions > Auto Port Extension > Measure OPEN > All

Calibration > Port Extensions > Auto Port Extension > Measure SHORT > All

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.AUTO.MEASURE


:SENS:CORR:EXT:AUTO:PORT

:SENS<Ch>:CORR:EXT:AUTO:PORT<Pt>

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:AUTO:PORT<Pt> {ON|OFF|1|0}

:SENSe<Ch>:CORRection:EXTension:AUTO:PORT<Pt>?

Description

This command enables and disables automatic port extensions on the specified port.

    • <Pt> = {[1]-2}

Variable

Parameter | Selection Option
Description | Status of port extension
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SENS1:CORR:EXT:AUTO:PORT1 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:AUTO:PORT1?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:AUTO:CONF

:SENS:CORR:EXT:AUTO:DCOF

:SENS:CORR:EXT:AUTO:LOSS

:SENS:CORR:EXT:AUTO:MEAS

:SENS:CORR:EXT:AUTO:RES

:SENS:CORR:EXT:AUTO:STAR

:SENS:CORR:EXT:AUTO:STOP

Equivalent Softkey

Calibration > Port Extensions > Auto Port Extension > Select Ports > Port 1 | Port 2

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.AUTO.PORT(Pt)


:SENS:CORR:EXT:AUTO:RES

:SENS<Ch>:CORR:EXT:AUTO:RES

Type

Command

Syntax

:SENSe<Ch>:CORRection:EXTension:AUTO:RESet

Description

This command clears old auto port extension delay and loss data in preparation for acquiring new data.

Examples

Ena.WriteString ":SENS:CORR:EXT:AUTO:RES", True

Related Commands

:SENS:CORR:EXT:AUTO:CONF

:SENS:CORR:EXT:AUTO:DCOF

:SENS:CORR:EXT:AUTO:LOSS

:SENS:CORR:EXT:AUTO:MEAS

:SENS:CORR:EXT:AUTO:PORT

:SENS:CORR:EXT:AUTO:STOPEquivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.AUTO.RESET


:SENS:CORR:EXT:AUTO:STAR

:SENS<Ch>:CORR:EXT:AUTO:STAR

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:AUTO:STARt <Value>

:SENSe<Ch>:CORRection:EXTension:AUTO:STARt?

Description

This command sets/gets the start frequency for custom user span.

Variable

Parameter | Value
Description | Start frequency
Data Type | Numeric type (Real)
Range | 100k ~ Maximum frequency
Preset Value | 100k
Unit | Hz
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100000
Ena.WriteString ":SENS1:CORR:EXT:AUTO:STAR " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:AUTO:STAR?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:AUTO:CONF

Equivalent Softkey

Calibration > Port Extensions > Auto Port Extension > Method > User Span Start

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.AUTO.START


:SENS:CORR:EXT:AUTO:STOP

:SENS<Ch>:CORR:EXT:AUTO:STOP

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:AUTO:STOP <Value>

:SENSe<Ch>:CORRection:EXTension:AUTO:STOP?

Description

This command sets/gets the stop frequency for custom user span.

Variable

Parameter | Value
Description | Stop frequency
Data Type | Numeric type (Real)
Range | 100k ~ Maximum frequency
Preset Value | Depending on frequency option
Unit | Hz
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100000
Ena.WriteString ":SENS1:CORR:EXT:AUTO:STOP " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:AUTO:STOP?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:AUTO:CONF

Equivalent Softkey

Calibration > Port Extensions > Auto Port Extension > Method > User Span Stop

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.AUTO.STOP


:SENS:CORR:EXT:PORT

:SENS<Ch>:CORR:EXT:PORT<Pt>

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>[:TIME] <Value>

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>[:TIME]?

Description

This command sets/gets the port extension for the specified port number <Pt> (1 or 2).

Variable

Parameter | Value
Description | Delay time
Data Type | Numeric type (Real)
Range | -10 ~ 10
Preset Value | 0
Unit | s
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.1
Ena.WriteString ":SENS1:CORR:EXT:PORT1 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:PORT1?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:PORT:LDC

:SENS:CORR:EXT:PORT:LOSS

:SENS:CORR:EXT:PORT:WAV:CUT

:SENS:CORR:EXT:PORT:WAV:TIME

Equivalent Softkey

Calibration > Port Extensions > {Extension Port n} > Coax. Extension

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.PORT(Pt).TIME


:SENS:CORR:EXT:PORT:FREQ

:SENS<Ch>:CORR:EXT:PORT<Pt>:FREQ<Freq>

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:FREQuency<Frq> <Value>

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:FREQuency<Frq>?

Description

This command sets/gets the frequency for the specified port number <Pt> (1 or 2) and frequency number <Frq> (1 or 2).

Variable

Parameter | Value
Description | Frequency
Data Type | Numeric type (Real)
Range | 100k ~ Maximum frequency
Preset Value | 1G
Unit | Hz
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100000
Ena.WriteString ":SENS1:CORR:EXT:PORT1:FREQ1 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:PORT1:FREQ1?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:PORT:INCL

:SENS:CORR:EXT:PORT:LDC

:SENS:CORR:EXT:PORT:LOSS

:SENS:CORR:EXT:PORT:WAV:CUT

:SENS:CORR:EXT:PORT:WAV:TIME

Equivalent Softkey

Calibration > Port Extensions > {Extension Port n} > Loss > Freq1 | Freq2

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.PORT(Pt).FREQUENCY(Pt)


:SENS:CORR:EXT:PORT:INCL

:SENS<Ch>:CORR:EXT:PORT<Pt>:INCL<Loss>

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:INCLude<Loss>[:STATe] {ON|OFF|1|0}

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:INCLude<Loss>[:STATe]?

Description

This command sets/gets the status for the use of the Loss <Loss> (1 or 2) and Frequency values for the specified port number <Pt> (1 or 2).

Variable

Parameter | Selection Option
Description | Include number
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Ena.WriteString ":SENS1:CORR:EXT:PORT1:INCL1 ON", True
Ena.WriteString ":SENS1:CORR:EXT:PORT1:INCL1?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:PORT:FREQ

:SENS:CORR:EXT:PORT:LDC

:SENS:CORR:EXT:PORT:LOSS

:SENS:CORR:EXT:PORT:WAV:CUT

:SENS:CORR:EXT:PORT:WAV:TIME

Equivalent Softkey

Calibration > Port Extensions > {Extension Port n} > Loss > {Loss n}

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.PORT(Pt).INCLUDE(Loss).STATE


:SENS:CORR:EXT:PORT:LDC

:SENS<Ch>:CORR:EXT:PORT<Pt>:LDC

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:LDC <Value>

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:LDC?

Description

This command sets/gets the Port Loss at DC value for the specified port number <Pt> (1 or 2).

Variable

Parameter | Value
Description | The loss value of DC
Data Type | Numeric type (Real)
Range | -90 ~ 90
Preset Value | 0
Unit | dB
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":SENS1:CORR:EXT:PORT1:LDC " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:PORT1:LDC?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:PORT:FREQ

:SENS:CORR:EXT:PORT:INCL

:SENS:CORR:EXT:PORT:LOSS

:SENS:CORR:EXT:PORT:WAV:CUT

:SENS:CORR:EXT:PORT:WAV:TIME

Equivalent Softkey

Calibration > Port Extensions > {Extension Port n} > Loss > Loss at DC

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.PORT(Pt).LDC


:SENS:CORR:EXT:PORT:LOSS

:SENS<Ch>:CORR:EXT:PORT<Pt>:LOSS<Num>

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:LOSS<Num> <Value>

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:LOSS<Num>?

Description

This command sets/gets the Loss value for the loss number <Num> (1 or 2) for the specified port number <Pt> (1 or 2).

Variable

Parameter | Value
Description | Loss
Data Type | Numeric type (Real)
Range | -90 ~ 90
Preset Value | 0
Unit | dB
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":SENS1:CORR:EXT:PORT1:LOSS1 " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:PORT1:LOSS1?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:PORT:FREQ

:SENS:CORR:EXT:PORT:INCL

:SENS:CORR:EXT:PORT:LDC

:SENS:CORR:EXT:PORT:WAV:CUT

:SENS:CORR:EXT:PORT:WAV:TIME

Equivalent Softkey

Calibration > Port Extensions > {Extension Port n} > Loss > {Loss n}

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.PORT(Pt).LOSS(Num)


:SENS:CORR:EXT:PORT:WAV:CUT

:SENS<Ch>:CORR:EXT:PORT<Pt>:WAV:CUT

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:WAVeguide:CUToff <Value>

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:WAVeguide:CUToff?

Description

This command sets/gets the waveguide cutoff frequency for the specified port number <Pt> (1 or 2).

Variable

Parameter | Value
Description | Waveguide cutoff frequency
Data Type | Numeric type (Real)
Range | 0 ~ Maximum frequency
Preset Value | 0
Unit | Hz
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":SENS1:CORR:EXT:PORT1:WAV:CUT " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:PORT1:WAV:CUT?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:PORT:FREQ

:SENS:CORR:EXT:PORT:INCL

:SENS:CORR:EXT:PORT:LDC

:SENS:CORR:EXT:PORT:LOSS

:SENS:CORR:EXT:PORT:WAV:TIME

Equivalent Softkey

Calibration > Port Extensions > {Extension Port n} > Cutoff Frequency

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.PORT(Pt).WAVEGUIDE.CUTOFF


:SENS:CORR:EXT:PORT:WAV:TIME

:SENS<Ch>:CORR:EXT:PORT<Pt>:WAV:TIME

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:WAVeguide:TIME <Value>

:SENSe<Ch>:CORRection:EXTension:PORT<Pt>:WAVeguide:TIME?

Description

This command sets/gets the port extension of waveguide for the specified port number <Pt> (1 or 2).

Variable

Parameter | Value
Description | Port extension
Data Type | Numeric type (Real)
Range | -10 ~ 10
Preset Value | 0
Unit | s
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":SENS1:CORR:EXT:PORT1:WAV:TIME " & Str(Var), True
Ena.WriteString ":SENS1:CORR:EXT:PORT1:WAV:TIME?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:EXT:PORT:FREQ

:SENS:CORR:EXT:PORT:INCL

:SENS:CORR:EXT:PORT:LDC

:SENS:CORR:EXT:PORT:LOSS

:SENS:CORR:EXT:PORT:WAV:CUT

Equivalent Softkey

Calibration > Port Extensions > Extension Port 1 > Waveguide

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.EXTENSION.PORT(Pt).WAVEGUIDE.TIME


:SENS:CORR:IMP

:SENS<Ch>:CORR:IMP

Type

Command/Query

Syntax

:SENSe:CORRection:IMPedance[:INPut][:MAGNitude] <Value>

:SENSe:CORRection:IMPedance[:INPut][:MAGNitude]?

Description

This command sets/gets the system impedance value.

Variable

Parameter | Value
Description | System Z0 value
Data Type | Numeric type (Real)
Range | 1m ~ 1k
Preset Value | 50
Unit | Ω
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 75
Ena.WriteString ":SENS:CORR:IMP " & Str(Var), True
Ena.WriteString ":SENS:CORR:IMP?", True
Var=Ena.ReadNumber

Equivalent Softkey

Calibration > Set Z0

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.IMPEDANCE.INPUT.MAGNITUDE


:SENS:CORR:PROP

:SENS<Ch>:CORR:PROP

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:PROPerty {ON|OFF|1|0}

:SENSe<Ch>:CORRection:PROPerty?

Description

This command shows/hides calibration property.

Variable

Parameter | Selection Option
Description | Status the display of the calibration property
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":SENS1:CORR:PROP " & Str(Var), True
Ena.WriteString ":SENS1:CORR:PROP?", True
Var=Ena.ReadNumber

Equivalent Softkey

Calibration > Property

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.PROPERTY


:SENS:CORR:RVEL:COAX

:SENS<Ch>:CORR:RVEL:COAX

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:RVELocity:COAX <Value>

:SENSe<Ch>:CORRection:RVELocity:COAX?

Description

This command sets/gets the velocity factor.

Variable

Parameter | Value
Description | Velocity factor
Data Type | Numeric type (Real)
Range | 10m ~ 10
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ena.WriteString ":SENS1:CORR:RVEL:COAX " & Str(Var), True
Ena.WriteString ":SENS1:CORR:RVEL:COAX?", True
Var=Ena.ReadNumber

Related Commands

Equivalent Softkey

Calibration > Velocity Factor

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.RVELOCITY.COAX


:SENS:CORR:STAT

:SENS<Ch>:CORR:STAT

Type

Command/Query

Syntax

:SENSe<Ch>:CORRection:STATe {ON|OFF|1|0}

:SENSe<Ch>:CORRection:STATe?

Description

This command sets/gets the status of Error Correction.

Variable

Parameter | Selection Option
Description | Status of the error correction
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SENS1:CORR:STAT " & Str(Var), True
Ena.WriteString ":SENS1:CORR:STAT?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:TYPE

Equivalent Softkey

Calibration > Correction

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.STATE


:SENS:CORR:TYPE

:SENS<Ch>:CORR:TYPE<Tr>

Type

Query

Syntax

:SENSe<Ch>:CORRection:TYPE<Tr>?

Description

This command returns the type and port numbers of the applied calibration coefficients for the actual error correction.

Variable

Parameter

Value

Description

Indicates 5 array data items (the calibration type and the port information to which the calibration is applied).

Data(0): The calibration type applied. For detail, refer to the Range section.

Data(1): The port number to which the calibration is applied (0 when the calibration type is NONE, GPRO, GPRS, GPRT, or GPS1).

Data(2)": The port number to which the calibration is applied (0 when the calibration type is not SOLT2).

The array index starts from 0.

Range

One of the following is read out as Data(0).

  • "ERES": The enhanced response calibration is applied.

  • "NONE": Nothing is applied.

  • "RESPO": The response calibration (open) is applied.

  • "RESPS": The response calibration (short) is applied.

  • "RESPT": The response calibration (thru) is applied.

  • "SOLT1": The 1-port calibration is applied.

  • "SOLT2": The full 2-port calibration is applied.

  • "TRL2": The TRL 2-port calibration is applied.

  • "AREM": The adapter removal is applied.

Data type

Variant type (Variant)

Query Response

{NONE|RESPO|RESPS|RESPT|SOLT1|SOLT2|ERES|TRL2|AREM}, {numeric 1}, {numeric 2}, {numeric 3}, {numeric 4}<newline><^END>

Calibration Type:

  • None: No calibration

  • RESPO: Response calibration (Open)

  • RESPS: Response calibration (Short)

  • RESPT: Response calibration (Thru)

  • SOLT1: 1-port calibration

  • SOLT2: 2-port calibration

  • ERES: Enhanced response calibration

  • TRL2: TRL 2-port calibration

  • AREM: Adapter removal

{numeric 1}: Port number for response port

{numeric 2}: Port number for stimulus port (0 then the type is either RESPO, RESPS, RESPT or SOLT1.)

{numeric 3}: Always 0

{numeric 4}: Always 0

Examples

Dim Var as Variant, Type as Srting, PortA as Integer, PortB as Integer
Ena.WriteString ":SENS1:CORR:TYPE1?", True
Var=Ena.ReadList
Type=Var(0)
PortA = Var(1)
PortB = Var(2)

Related Commands

:SENS:CORR:COLL:METH:TYPE

:SENS:CORR:STAT

Equivalent Softkey

Trace_Status_Area (For Error Correction, this is not exactly same function)

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).CORRECTION.TYPE(Tr)


:SENS:FREQ:CENT

:SENS<Ch>:FREQ:CENT

Type

Command/Query

Syntax

:SENSe<Ch>:FREQuency:CENTer <Value>

:SENSe<Ch>:FREQuency:CENTer?

Description

This command sets/gets the center frequency.

Variable

Parameter | Value
Description | Center Frequency
Data Type | Numeric type (Real)
Range | See the settable frequency range
Preset Value | Depending on frequency option
Unit | Hz
Resolution | 500m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100000
Ena.WriteString ":SENS1:FREQ:CENT " & Str(Var), True
Ena.WriteString ":SENS1:FREQ:CENT?", True
Var=Ena.ReadNumber

Related Commands

:SENS:FREQ:SPAN

Equivalent Softkey

Center

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.CENTER


:SENS:FREQ:DATA

:SENS<Ch>:FREQ:DATA

Type

Query

Syntax

:SENSe<Ch>:FREQuency:DATA?

Description

This command returns the frequency stimulus data.

Variable

Parameter

Value

Description

Indicates the array data (frequency) of NOP (number of measurement points). Where n is an integer between 1 and NOP.

  • Data(n-1): Frequency at the n-th measurement point

The index of the array starts from 0.

Data Type

Variant type (Variant)

Query Response

{numeric 1}, .... ,{numeric NOP}<newline><^END>

Examples

Dim Var as Variant
Ena.WriteString ":SENS1:FREQ:DATA?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

See Reading/Writing Data

Related Commands

:SENS:SWE:POIN

:CALC:DATA:XAX

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.DATA


:SENS:FREQ:SPAN

:SENS<Ch>:FREQ:SPAN

Type

Command/Query

Syntax

:SENSe<Ch>:FREQuency:SPAN <Value>

:SENSe<Ch>:FREQuency:SPAN?

Description

This command sets/gets the frequency span.

Variable

Parameter | Value
Description | Span frequency
Data Type | Numeric type (Real)
Range | 0 to Settable frequency range span
Preset Value | Depending on frequency option
Unit | Hz
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 200E3
Ena.WriteString ":SENS1:FREQ:SPAN" & Str(Var), True
Ena.WriteString ":SENS1:FREQ:SPAN?", True
Var=Ena.ReadNumber

Related Commands

:SENS:FREQ:CENT

:SENS:FREQ:STAR

:SENS:FREQ:STOP

Equivalent Softkey

Span

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.SPAN


:SENS:FREQ:STAR

:SENS<Ch>:FREQ:STAR

Type

Command/Query

Syntax

:SENSe<Ch>:FREQuency:STARt <Value>

:SENSe<Ch>:FREQuency:STARt?

Description

This command sets/gets the start frequency.

Variable

Parameter | Value
Description | Start frequency
Data Type | Numeric type (Real)
Range | See the settable frequency range
Preset Value | 100k
Unit | Hz
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 50000
Ena.WriteString ":SENS1:FREQ:STAR " & Str(Var), True
Ena.WriteString ":SENS1:FREQ:STAR?", True
Var=Ena.ReadNumber

Related Commands

:SENS:FREQ:STOP

:SENS:FREQ:CENT

:SENS:FREQ:SPAN

Equivalent Softkey

Start

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.START


:SENS:FREQ:STOP

:SENS<Ch>:FREQ:STOP

Type

Command/Query

Syntax

:SENSe<Ch>:FREQuency:STOP <Value>

:SENSe<Ch>:FREQuency:STOP?

Description

This command sets/gets the stop frequency.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | See the settable frequency range
Preset Value | Depending on frequency option
Unit | Hz
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100000
Ena.WriteString ":SENS1:FREQ:STOP " & Str(Var), True
Ena.WriteString ":SENS1:FREQ:STOP?", True
Var=Ena.ReadNumber

Related Commands

:SENS:FREQ:STAR

:SENS:FREQ:CENT

:SENS:FREQ:SPAN

Equivalent Softkey

STOP

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).FREQUENCY.STOP


:SENS:ROSC:SOUR

Type

Query

Syntax

:SENSe:ROSCillator:SOURce?

Description

This command reads whether the external reference signal is inputted to the Ref In connector on the rear panel

Variable

Parameter | Selection Option
Description | Whether the external reference signal is inputted or not
Data Type | Character string type (String)
Range | INTernal: Internal EXTernal: External reference signal is inputted

Query Response

{INT|EXT}<newline><^END>

Examples

Dim Var as String
Ena.WriteString ":SENS:ROSC:SOUR?", True
Var=Ena.ReadString

Equivalent Softkey

Displayed on the instrument status bar (at the bottom of the LCD display).

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).ROSCILLATOR.SOURCE


:SENS:SEGM:DATA

:SENS<Ch>:SEGM:DATA

Type

Command/Query

Syntax

:SENSe<Ch>:SEGMent:DATA <Value>

:SENSe<Ch>:SEGMent:DATA?

Description

This command sets/gets the segment data for segment sweep.

Variable

Parameter

Value

Description

Indicates the array data arranged in the following order (for the segment sweep table); where N is the number of segments (specified with <segm>) and n is an integer between 1 and N.

Data = {<buf>,<stim>,<ifbw>,<pow>,<del>,<time>,<segm>, <star 1>,<stop 1>,<nop 1>,<ifbw 1>,<pow 1>,<del 1>,<time 1>,... , <star n>,<stop n>,<nop n>,<ifbw n>,<pow n>,<del n>,<time n>,.... , <star N>,<stop N>,<nop N>,<ifbw N>,<pow N>,<del N>,<time N>}

Each parameter in the above array data is detailed below:

  • <buf>: Always specify 5.

  • <stim>: Stimulus setting mode

    • 0: Specifies with start/stop values

    • 1: Specifies with center/span values

  • <ifbw>: ON/OFF of the IF bandwidth setting for each segment

    • 0: OFF, 1: ON

  • <pow>: ON/OFF of the power setting for each segment

    • 0: OFF, 1: ON

  • <del>: ON/OFF of the sweep delay time setting for each segment

    • 0: OFF, 1: ON

  • <time>: ON/OFF of the sweep time setting for each segment

    • 0: OFF, 1: ON

  • <segm>: Number of segments

    • Specify an integer ranging 1 to 201.

  • <star n>: Start value/center value of the n-th segment

  • <stop n>: Stop value/span value of the n-th segment

  • <nop n>: Number of measurement points of the n-th segment

  • <ifbw n>: IF bandwidth of the n-th segment is not necessary when the IF bandwidth setting for each segment is OFF (<ifbw>:0).

  • <pow n>: Power of the n-th segment is not necessary when the power setting for each segment is OFF (<pow>:0).

  • <del n>: Sweep delay time of the n-th segment is not necessary when the sweep delay time setting for each segment is OFF (<del>:0).

  • <time n>: Sweep time of the n-th segment is not necessary when the sweep time setting for each segment is OFF (<time>:0).

      • If the necessary amount of array data for the specified number of segments is not available while setting the segment sweep table, an error occurs when its executed and the object is ignored.

      • For <stim>, <ifbw>, <pow>, <del>, and <time>, if the specified value is not the allowable integer, an error occurs when its executed.

      • For <star n>, <stop n>, <nop n>, <ifbw n>, <pow n>, <del n>, and <time n> in the array data, if the specified value is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set

Data Type

Variant type Array (Range)

Preset Value

5,0,0,0,0,0,1,100e3,100e3,2

Query Response

<buf>,<stim>,<ifbw>,<pow>,<del>,<time>,<segm>, <star 1>,<stop 1>,<nop 1>,<ifbw 1>,<pow 1>,<del 1>,<time 1>,... , <star n>,<stop n>,<nop n>,<ifbw n>,<pow n>,<del n>,<time n>,.... , <star N>,<stop N>,<nop N>,<ifbw N>,<pow N>,<del N>,<time N><newline><^END>

Examples

Dim SegData as String

SegData = "5,0,0,0,0,0,3,0.25e6,200.25e6,401,201.25e6,801.25e6,401,810e6,3e9,201"

Ena.WriteString ":SENS1:SEGM:DATA " & SegData, True

See Analyzer Setup and Reading/Writing Error Coefficient.

Related Commands

:SENS:SWE:TYPE

Equivalent Softkey

Sweep Setup > Edit Segment Table

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SEGMENT.DATA


:SENS:SEGM:SWE:POIN

:SENS<Ch>:SEGM:SWE:POIN

Type

Query

Syntax

:SENSe<Ch>:SEGMent:SWEep:POINts?

Description

This command gets total number of points of segment sweep. This should be the same value as the parameter <segm> in :SENS:SEGM:DATA.

Variable

Parameter | Value
Description | Total number of measurement points of all the segments
Data Type | Long integer type (Long)
Preset Value | 2

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SENS1:SEGM:SWE:POIN?", True
Var=Ena.ReadNumber

Related Commands

:SENS:SEGM:DATA

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SEGMENT.SWEEP.POINTS


:SENS:SEGM:SWE:TIME

:SENS<Ch>:SEGM:SWE:TIME

Type

Query

Syntax

:SENSe<Ch>:SEGMent:SWEep:TIME[:DATA]?

Description

This command gets total sweep time of segment sweep for the selected channel Ch.

Variable

Parameter | Value
Description | Total sweep time of all segments
Data Type | Double precision floating point type (Double)

Query Response

{numerix}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":SENS1:SEGM:SWE:TIME?", True
Var=Ena.ReadNumber

Related Commands

:SENS:SEGM:DATA

:SENS:SWE:TIME

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SEGMENT.SWEEP.TIME.DATA


:SENS:SWE:DEL

:SENS<Ch>:SWE:DEL

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:DELay <Value>

:SENSe<Ch>:SWEep:DELay?

Description

This command sets/gets the sweep delay time.

Variable

Parameter | Value
Description | Sweep delay time
Data Type | Numeric type (Real)
Range | 0 ~ 10
Preset Value | 0
Unit | s
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ena.WriteString ":SENS1:SWE:DEL " & Str(Var), True
Ena.WriteString ":SENS1:SWE:DEL?", True
Var=Ena.ReadNumber

Related Commands

:SENS:SWE:TIME

Equivalent Softkey

Sweep Setup > Sweep Delay

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.DELAY


:SENS:SWE:POIN

:SENS<Ch>:SWE:POIN

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:POINts <Value>

:SENSe<Ch>:SWEep:POINts?

Description

This command sets/gets the number of measurement points.

Variable

Parameter | Value
Description | Number of measurement points
Data Type | Numeric type (Integer)
Range | 2 ~ 10001
Preset Value | 201
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 401
Ena.WriteString ":SENS1:SWE:POIN " & Str(Var), True
Ena.WriteString ":SENS1:SWE:POIN?", True
Var=Ena.ReadNumber

Related Commands

:SENS:FREQ:DATA

Equivalent Softkey

Sweep Setup > Points

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.POINTS


:SENS:SWE:TIME

:SENS<Ch>:SWE:TIME

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:TIME[:DATA] <Value>

:SENSe<Ch>:SWEep:TIME[:DATA]?

Description

This command sets/gets the sweep time.

Variable

Parameter | Value
Description | Sweep time
Data Type | Numeric type (Real)
Range | 0 ~ 2M
Preset Value | 24.7228364697 ms
Unit | s
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1
Ena.WriteString ":SENS1:SWE:TIME " & Str(Var), True
Ena.WriteString ":SENS1:SWE:TIME?", True
Var=Ena.ReadNumber

Related Commands

:SENS:SEGM:SWE:TIME

Equivalent Softkey

Sweep Setup > Sweep Time

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.TIME.DATA


:SENS:SWE:TIME:AUTO

:SENS<Ch>:SWE:TIME:AUTO

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:TIME:AUTO {ON|OFF|1|0}

:SENSe<Ch>:SWEep:TIME:AUTO?

Description

This command sets/gets the auto sweep time mode.

Variable

Parameter | Selection Option
Description | Status of the auto sweep time
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SENS1:SWE:TIME:AUTO " & Str(Var), True
Ena.WriteString ":SENS1:SWE:TIME:AUTO?", True
Var=Ena.ReadNumber

Related Commands

:SENS:SWE:TIME

:SENS:SEGM:SWE:TIME

Equivalent Softkey

Sweep Setup > Sweep Time Auto

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.TIME.AUTO


:SENS:SWE:TYPE

:SENS<Ch>:SWE:TYPE

Type

Command/Query

Syntax

:SENSe<Ch>:SWEep:TYPE {LINear|LOGarithmic|SEGMent}

:SENSe<Ch>:SWEep:TYPE?

Description

This command sets/gets the sweep type.

Variable

Parameter | Selection Option
Description | Sweep type
Data Type | Character string type (String)
Range | LINear: Linear sweep LOGarithmic: Log sweep SEGMent: Segment weep
Preset Value | LINear

Query Response

{LIN|LOG|SEGM}<newline><^END>

Examples

Dim Var as String
Var= "LIN"
Ena.WriteString ":SENS1:SWE:TYPE " & Var, True
Ena.WriteString ":SENS1:SWE:TYPE?", True
Var=Ena.ReadString

Related Commands

:SENS:SEGM:DATA

Equivalent Softkey

Sweep Setup > Sweep Type

COM Command Syntax (Internal Control Only)

SCPI.SENSE(Ch).SWEEP.TYPE


:SERV:CHAN:ACT

:SERV:CHAN<Ch>:ACT

Type

Query

Syntax

:SERVice:CHANnel<Ch>:ACTive?

Description

This command gets the active channel number.

Variable

Parameter | Long
Description | Active channel number
Data Type | Long integer type (Long)
Range | 1 to 12

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:CHAN1:ACT?", True
Var=Ena.ReadString

Related Commands

:DISP:WIND:ACT

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).ACTIVE


:SERV:CHAN:COUN

Type

Query

Syntax

:SERVice:CHANnel:COUNt?

Description

This command gets the maximum number of channels. This will always return 12.

Variable

Parameter | Long
Description | Upper limit of the number of channels
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:CHAN:COUN?", True
Var=Ena.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL.COUNT


:SERV:CHAN:DISP:ANN:XAX:MODE:FREQ

:SERV:CHAN<Ch>:DISP:ANN:XAX:MODE:FREQ

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:DISPlay:ANNotation:XAXis:MODE:FREQuency {SSTop|CSPan}

:SERVice:CHANnel<Ch>:DISPlay:ANNotation:XAXis:MODE:FREQuency?

Description

This command sets/gets xaxis annotation mode (Start/Stop or Center/Span).

Variable

Parameter | Selection Option
Description | X-axis annotation mode
Data Type | Character string type (String)
Range | SSTop: Start/Stop CSPan: Center/Span
Preset Value | SSTop

Query Response

{SST|CSP}<newline><^END>

Examples

Dim Var as String
Var= "SSTop"
Ena.WriteString ":SERV:CHAN1:DISP:ANN:XAX:MODE:FREQ" & Var, True
Ena.WriteString ":SERV:CHAN1:DISP:ANN:XAX:MODE:FREQ?", True
Var=Ena.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).DISPLAY.ANNOTATION.XAXIS.MODE.FREQUENCY


:SERV:CHAN:SEGM:DATA

:SERV:CHAN<Ch>:SEGM:DATA

Type

Query

Syntax

:SERVice:CHANnel<Ch>:SEGMent:DATA?

Description

This command gets the number of data for the segment table.

Variable

Parameter | Long
Description | Number of segment data
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:CHAN1:SEGM:DATA?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).SEGMENT.DATA


:SERV:CHAN:SWE:POIN

:SERV:CHAN<Ch>:SWE:POIN

Type

Query

Syntax

:SERVice:CHANnel<Ch>:SWEep:POINts?

Description

This command gets current number of point for active sweep type (SENS:SWE:POIN? or SENS:SEG:SWE:POIN?).

Variable

Parameter | Long
Description | Upper limit of the number of points
Data Type | Long integer type

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:CHAN1:SWE:POIN?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).SWEEP.POINTS


:SERV:CHAN:TRAC:ACT

:SERV:CHAN<Ch>:TRAC:ACT

Type

Query

Syntax

:SERVice:CHANnel<Ch>:TRACe:ACTive?

Description

This command gets the active trace number.

Variable

Parameter | Long
Description | Active trace number
Data Type | Long integer type

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:CHAN1:TRAC1:ACT?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE.ACTIVE


:SERV:CHAN:TRAC:COUN

:SERV:CHAN<Ch>:TRAC:COUN

Type

Query

Syntax

:SERVice:CHANnel<Ch>:TRACe:COUNt?

Description

This command gets the maximum number of traces (one per channel). This will always return 4.

Variable

Parameter | Long
Description | Number of traces per channel
Data Type | Long integer type

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:CHAN1:TRAC:COUN?", True
Var=Ena.ReadNumber

Related Commands

:CALC:PAR:SEL

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE.COUNT


:SERV:CHAN:TRAC:DISP:ANN:XAX:MODE:TRAN

:SERV:CHAN<Ch>:TRAC<Tr>:DISP:ANN:XAX:MODE:TRAN

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:TRACe<Tr>:DISPlay:ANNotation:XAXis:MODE:TRANsform {SSTop|CSPan}

:SERVice:CHANnel<Ch>:TRACe<Tr>:DISPlay:ANNotation:XAXis:MODE:TRANsform?

Description

This command sets/gets xaxis annotation mode (Start/Stop or Center/Span) of transform measurement.

Variable

Parameter | Selection Option
Description | X-axis annotation mode
Data Type | Character string type (String)
Range | SSTop: Start/Stop CSPan: Center/Span
Preset Value | SSTop

Query Response

{SST|CSP}<newline><^END>

Examples

Dim Var as String
Var= "SSTop"
Ena.WriteString ":SERV:CHAN1:TRAC1:DISP:ANN:XAX:MODE:TRAN" & Var, True
Ena.WriteString ":SERV:CHAN1:TRAC1:DISP:ANN:XAX:MODE:TRAN?", True
Var=Ena.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE(Tr).DISPLAY.ANNOTATION.XAXIS.MODE.TRANSFORM


:SERV:CHAN:TRAC:LIM:DATA

:SERV:CHAN<Ch>:TRAC<Tr>:LIM:DATA

Type

Query

Syntax

:SERVice:CHANnel<Ch>:TRACe<Tr>:LIMit:DATA?

Description

This command gets the number of limit data.

Variable

Parameter | Long
Description | Number of array elements
Data Type | Long integer type
Range | 1 to 501

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":SERV:CHAN1:TRAC1:LIM:DATA?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE(Tr).LIMIT.DATA


:SERV:CHAN:TRAC:MARK:ACT

:SERV:CHAN<Ch>:TRAC<Tr>:MARK:ACT

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:TRACe<Tr>:MARKer:ACTive <Value>

:SERVice:CHANnel<Ch>:TRACe<Tr>:MARKer:ACTive?

Description

This command sets/gets active marker number (one per trace). 0 is returned if no marker is activated.

Variable

Parameter | Long
Description | Active marker number of selected trace in selected channel
Data Type | Long integer type
Range | 0 to 10

Query Response

{numeric}<newline><^END>

0: No marker

1-10: Active marker number

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":SERV:CHAN1:TRAC1:MARK:ACT " & Str(Var), True
Ena.WriteString ":SERV:CHAN1:TRAC1:MARK:ACT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:MARK:ACT

Equivalent Softkey

Marker > {Marker n}

Marker > Ref Maker

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE(Tr).MARKER.ACTIVE


:SERV:CHAN:TRAC:MEMV

:SERV:CHAN<Ch>:TRAC<Tr>:MEMV

Type

Command/Query

Syntax

:SERVice:CHANnel<Ch>:TRACe<Tr>:MEMValid {ON|OFF|1|0}

:SERVice:CHANnel<Ch>:TRACe<Tr>:MEMValid?

Description

This command sets/gets the memory trace data valid flag.

Variable

Parameter | Selection Option
Description | Memory trace data
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SERV:CHAN1:TRAC1:MEMV " & Str(Var), True
Ena.WriteString ":SERV:CHAN1:TRAC1:MEMV?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE(Tr).MEMVALID


:SERV:CHAN:TRAC:RLIM:DATA

:SERV:CHAN<Ch>:TRAC<Tr>:RLIM:DATA

Type

Query

Syntax

:SERVice:CHANnel<Ch>:TRACe<Tr>:RLIMit:DATA?

Description

This command gets the number of ripple limit data.

Variable

Parameter | Long
Description | Number of ripple limit data
Data Type | Long integer type
Range | 1 to 49

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:CHAN1:TRAC1:RLIM:DATA?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.CHANNEL(Ch).TRACE(Tr).RLIMIT.DATA


:SERV:LOGG:CLE

Type

Command

Syntax

:SERVice:LOGGing:CLEar

Description

This command clears/deletes all log files.

Examples

Ena.WriteString ":SERV:LOGG:CLE", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.LOGGING.CLEAR


:SERV:PORT:COUN

Type

Query

Syntax

:SERVice:PORT:COUNt?

Description

This command gets number of ports. This will always return 2.

Variable

Parameter | Long
Description | Number of ports
Data Type | Long integer type

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:PORT:COUN?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.PORT.COUNT


:SERV:POW:AC:OVER:DET:STAT

Type

Command/Query

Syntax

:SERVice:POWer:AC:OVERload:DETect:STATe {ON|OFF|1|0}

:SERVice:POWer:AC:OVERload:DETect:STATe?

Description

This command sets/gets overload detection state.

Variable

Parameter | Selection Option
Description | Turns ON/OFF Overload detection/Power Trip function
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SERV:POW:AC:OVER:DET:STAT " & Str(Var), True
Ena.WriteString ":SERV:POW:AC:OVER:DET:STAT?", True
Var=Ena.ReadNumber

Equivalent Softkey

System > Service Menu > Overload Detect

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.POWER.AC.OVERLOAD.DETECT.STATE


:SERV:SREV

Type

Query

Syntax

:SERVice:SREVision?

Description

This command gets system/spec revision.

Variable

Parameter | Long
Description | 0: applying current system specifications
Data Type | Long integer type

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:SREV?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SREVISION


:SERV:SWE:FREQ:MAX

Type

Query

Syntax

:SERVice:SWEep:FREQuency:MAXimum?

Description

This command gets the maximum frequency.

This returns either 1.8E10 (Opt. 2H5), 8E9 (Opt. 285) or 4.5E9 (Opt. 245).

Variable

Parameter | Double
Description | Upper limit of measurement frequency
Data Type | Double precision floating point type

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":SERV:SWE:FREQ:MAX?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SWEEP.FREQUENCY.MAXIMUM


:SERV:SWE:FREQ:MIN

Type

Query

Syntax

:SERVice:SWEep:FREQuency:MINimum?

Description

This command gets the minimum frequency. This will always return +1E5.

Variable

Parameter | Double
Description | Lower limit of measurement frequency
Data Type | Double precision floating point type

Query Response

{numeric} <newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":SERV:SWE:FREQ:MIN?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SWEEP.FREQUENCY.MINIMUM


:SERV:SWE:POIN

Type

Query

Syntax

:SERVice:SWEep:POINts?

Description

This command gets the maximum number of points. This will always return 10001.

Variable

Parameter | Long
Description | Upper limit of the number of points
Data Type | Long integer type

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SERV:SWE:POIN?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SWEEP.POINTS


:SERV:SYST:HDD:REV

Type

Query

Syntax

:SERVice:SYSTem:HDD:REVision?

Description

This command returns the mass storage image revision. The syntax is KAxxx.

Variable

Parameter | String
Description | HDD image revision
Data Type | Character string type (String)
Range | 254 chars

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Ena.WriteString ":SERV:SYST:HDD:REV?", True
Var=Ena.ReadString

Equivalent Softkey

System > Firmware Revision (HDD Image)

COM Command Syntax (Internal Control Only)

SCPI.SERVICE.SYSTEM.HDD.REVISION


:SOUR:POW

:SOUR<Ch>:POW

Type

Command/Query

Syntax

:SOURce<Ch>:POWer[:LEVel][:IMMediate][:AMPLitude] <Value>

:SOURce<Ch>:POWer[:LEVel][:IMMediate][:AMPLitude]?

Description

This command sets/gets the power level.

Variable

Parameter | Value
Description | Power level
Data Type | Numeric type (Real)
Range | -20 ~ 0
Preset Value | -5
Unit | dBm
Resolution | 50 m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -20
Ena.WriteString ":SOUR1:POW " & Str(Var), True
Ena.WriteString ":SOUR1:POW?", True
Var=Ena.ReadNumber

Equivalent Softkey

Sweep Setup > Power > Power

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).POWER.LEVEL.IMMEDIATE.AMPLITUDE


:SOUR:POW:PORT

:SOUR<Ch>:POW:PORT<Pt>

Type

Command/Query

Syntax

:SOURce<Ch>:POWer:PORT<Pt>[:LEVel][:IMMediate][:AMPLitude] <Value>

:SOURce<Ch>:POWer:PORT<Pt>[:LEVel][:IMMediate][:AMPLitude]?

Description

This command sets/gets the power level for each port at the power couple OFF.

Variable

Parameter | Value
Description | Power level
Data Type | Numeric type (Real)
Range | -20 ~ 0
Preset Value | -5
Unit | dBm
Resolution | 50m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ena.WriteString ":SOUR1:POW:PORT1 " & Str(Var), True
Ena.WriteString ":SOUR1:POW:PORT1?", True
Var=Ena.ReadNumber

Related Commands

:SOUR:POW

:SOUR:POW:PORT:COUP

Equivalent Softkey

Sweep Setup > Power > Port Power > Port 1 Power | Port 2 Power

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).POWER.PORT(Pt).LEVEL.IMMEDIATE.AMPLITUDE


:SOUR:POW:PORT:COUP

:SOUR<Ch>:POW:PORT<Pt>:COUP

Type

Command/Query

Syntax

:SOURce<Ch>:POWer:PORT<Pt>:COUPle {ON|OFF|1|0}

:SOURce<Ch>:POWer:PORT<Pt>:COUPle?

Description

This command sets/gets whether to output the same power level for each port.

Variable

Parameter | Selection Option
Description | Status of power couple
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SOUR1:POW:PORT1:COUP " & Str(Var), True
Ena.WriteString ":SOUR1:POW:PORT1:COUP?", True
Var=Ena.ReadNumber

Related Commands

:SOUR:POW:PORT

Equivalent Softkey

Sweep Setup > Power > Port Couple

COM Command Syntax (Internal Control Only)

SCPI.SOURCE(Ch).POWER.PORT(Pt).COUPLE


:STAT:OPER

Type

Query

Syntax

:STATus:OPERation[:EVENt]?

Description

This command gets operation status event register.

      • The bit 0 to 3, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the Operation Status Event Register
Data Type | Numeric type (Integer)
Preset Value | 0

Query Response

{Long}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:OPER?", True
Var=Ena.ReadNumber

Related Commands

*CLS

:STAT:OPER:NTR

:STAT:OPER:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.EVENT


:STAT:OPER:COND

Type

Query

Syntax

:STATus:OPERation:CONDition?

Description

This command reads the value of the Operation Status Condition Register.

Variable

Parameter | Value
Description | Value of the Operation Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:OPER:COND?", True
Var=Ena.ReadNumber

Related Commands

:STAT:OPER:NTR

:STAT:OPER:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.CONDITION


:STAT:OPER:ENAB

Type

Command/Query

Syntax

:STATus:OPERation:ENABle <Value>

:STATus:OPERation:ENABle?

Description

This command sets/gets the value of Operation Status Enable Register.

      • The bit 0 to 3, and bit 6 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the Operation Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":STAT:OPER:ENAB " & Str(Var), True
Ena.WriteString ":STAT:OPER:ENAB?", True
Var=Ena.ReadNumber

Related Commands

*SRE

:STAT:OPER:NTR

:STAT:OPER:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.ENABLE


:STAT:OPER:NTR

Type

Command/Query

Syntax

:STATus:OPERation:NTRansition <Value>

:STATus:OPERation:NTRansition?

Description

This command sets/gets the value of negative transition filter of the Operation Status Register.

    • The bit 0 to 3, and bit 6 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the negative transition filter
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:OPER:NTR " & Str(Var), True
Ena.WriteString ":STAT:OPER:NTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:OPER

:STAT:OPER:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.NTRANSITION


:STAT:OPER:PTR

Type

Command/Query

Syntax

:STATus:OPERation:PTRansition <Value>

:STATus:OPERation:PTRansition?

Description

This command sets/gets the value of positive transition filter of the Operation Status Register.

      • The bit 0 to 3, and bit 6 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the positive transition filter
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 48

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:OPER:PTR" & Str(Var), True
Ena.WriteString ":STAT:OPER:PTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:OPER

:STAT:OPER:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.OPERATION.PTRANSITION


:STAT:PRES

Type

Command

Syntax

:STATus:PRESet

Description

This command initializes all the status registers.

Examples

Ena.WriteString ":STAT:PRE", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.PRESET


:STAT:QUES

Type

Query

Syntax

:STATus:QUEStionable[:EVENt]?

Description

This command reads the value of the Questionable Status Event Register.

Variable

Parameter | Value
Description | Value of the Questionable Status Event Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES?", True
Var=Ena.ReadNumber

Related Commands

*CLS

:STAT:OPER:NTR

:STAT:OPER:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.EVENT


:STAT:QUES:BLIM

Type

Query

Syntax

:STATus:QUEStionable:BLIMit[:EVENt]?

Description

This command reads the value of the Questionable Bandwidth Limit Status Event Register.

Variable

Parameter | Value
Description | Value of the Questionable Bandwidth Limit Status Event Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:BLIM?", True
Var=Ena.ReadNumber

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.EVENT


:STAT:QUES:BLIM:CHAN

:STAT:QUES:BLIM:CHAN<Ch>

Type

Query

Syntax

:STATus:QUEStionable:BLIMit:CHANnel<Ch>[:EVENt]?

Description

This command reads the value of the "Questionable Bandwidth Limit Channel Status Event Register" of the specified channel.

Variable

Parameter | Value
Description | The value of the Questionable Bandwidth Limit Channel Status Event Register
Data Type | Numeric type (Integer)
Preset Value | 0

Query Response

{Long} <newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:BLIM:CHAN1?", True
Var=Ena.ReadNumber

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.CHANNEL(Ch).EVENT


:STAT:QUES:BLIM:CHAN:COND

:STAT:QUES:BLIM:CHAN<Ch>:COND

Type

Query

Syntax

:STATus:QUEStionable:BLIMit:CHANnel<Ch>:CONDition?

Description

This command reads the value of the Questionable Bandwidth Limit Channel Status Condition Register of the specified channel.

Variable

Parameter | Value
Description | The value of the Questionable Bandwidth Limit Channel Extra Status Event Register
Data Type | Numeric type (Integer)
Preset Value | 0

Query Response

{Long} <newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:BLIM:CHAN1:COND?", True
Var=Ena.ReadNumber

Related Commands

:STAT:OPER:NTR

:STAT:OPER:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.CHANNEL(Ch).CONDITION


:STAT:QUES:BLIM:CHAN:ENAB

:STAT:QUES:BLIM:CHAN<Ch>:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:BLIMit:CHANnel<Ch>:ENABle <Value>

:STATus:QUEStionable:BLIMit:CHANnel<Ch>:ENABle?

Description

This command sets/gets the value of the "Questionable Bandwidth Limit Channel Status Enable Register" for the specified channel.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the enable register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{0 ~ 65535}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:BLIM:CHAN1:ENAB" & Str(Var), True
Ena.WriteString ":STAT:QUES:BLIM:CHAN1:ENAB?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:BLIM

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.CHANNEL(Ch).ENABLE


:STAT:QUES:BLIM:CHAN:NTR

:STAT:QUES:BLIM:CHAN<Ch>:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:BLIMit:CHANnel<Ch>:NTRansition <Value>

:STATus:QUEStionable:BLIMit:CHANnel<Ch>:NTRansition?

Description

This command sets/gets the value of the negative transition filter of the "Questionable Bandwidth Limit Channel Status Register" for the specified channel Ch.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the negative transition filter of the Questionable Bandwidth Limit Channel Extra Status Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{0 ~ 65535}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:BLIM:CHAN1:NTR" & Str(Var), True
Ena.WriteString ":STAT:QUES:BLIM:CHAN1:NTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES

:STAT:QUES:BLIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.CHANNEL(Ch).NTRANSITION


:STAT:QUES:BLIM:CHAN:PTR

:STAT:QUES:BLIM:CHAN<Ch>:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:BLIMit:CHANnel<Ch>:PTRansition <Value>

:STATus:QUEStionable:BLIMit:CHANnel<Ch>:PTRansition?

Description

This command sets/gets the value of the positive transition filter of the "Questionable Bandwidth Limit Channel Status Register" for the specified channel Ch.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the positive transition filter of the Questionable Bandwidth Limit Channel Extra Status Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 30

Query Response

{0 ~ 65535}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:BLIM:CHAN1:PTR" & Str(Var), True
Ena.WriteString ":STAT:QUES:BLIM:CHAN1:PTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:BLIM:CHAN

:STAT:QUES:BLIM:CHAN:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.CHANNEL(Ch).PTRANSITION


:STAT:QUES:BLIM:COND

Type

Query

Syntax

:STATus:QUEStionable:BLIMit:CONDition?

Description

This command reads the value of the Questionable Bandwidth Limit Status Condition Register.

Variable

Parameter | Value
Description | The value of the Questionable Bandwidth Limit Status Condition Register.
Data Type | Numeric type (Integer)
Preset Value | 0

Query Response

{Long} <newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:BLIM:COND?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:BLIM:CHAN:NTR

:STAT:QUES:BLIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.CONDITION


:STAT:QUES:BLIM:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:BLIMit:ENABle <Value>

:STATus:QUEStionable:BLIMit:ENABle?

Description

This command sets/gets the value of the Questionable Bandwidth Limit Status Enable Register.

      • The bit 0, and bit 13 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the Questionable Bandwidth Limit Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{0 ~ 65535}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:BLIM:ENAB" & Str(Var), True
Ena.WriteString ":STAT:QUES:BLIM:ENAB?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.ENABLE


:STAT:QUES:BLIM:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:BLIMit:NTRansition <Value>

:STATus:QUEStionable:BLIMit:NTRansition?

Description

This command sets/gets the value of the negative transition filter of the Questionable Bandwidth Limit Status Register.

      • The bit 0, and bit 13 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the negative transition filter of the Questionable Bandwidth Limit Status Register.
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{0 ~ 65535}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:BLIM:NTR" & Str(Var), True
Ena.WriteString ":STAT:QUES:BLIM:NTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:BLIM

:STAT:QUES:BLIM:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.NTRANSITION


:STAT:QUES:BLIM:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:BLIMit:PTRansition <Value>

:STATus:QUEStionable:BLIMit:PTRansition?

Description

This command sets/gets the value of the positive transition filter of the Questionable Bandwidth Limit Status Register.

      • The bit 0, and bit 13 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the positive transition filter of the Questionable Bandwidth Limit Status Register.
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 8190

Query Response

{0 ~ 65535}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:BLIM:PTR" & Str(Var), True
Ena.WriteString ":STAT:QUES:BLIM:PTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:BLIM

:STAT:QUES:BLIM:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.BLIMIT.PTRANSITION


:STAT:QUES:COND

Type

Query

Syntax

:STATus:QUEStionable:CONDition?

Description

This command reads the value of the Questionable Status Condition Register.

Variable

Parameter | Value
Description | Value of the Questionable Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:COND?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:NTR

:STAT:QUES:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.CONDITION


:STAT:QUES:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:ENABle <Value>

:STATus:QUEStionable:ENABle?

Description

This command sets/gets the value of the Questionable Status Enable Register.

Variable

Parameter | Value
Description | Value of the Questionable Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

      • The bit 0 to 7 and bit 11 to 15 cannot be set to 1.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:ENAB" & Str(Var), True
Ena.WriteString ":STAT:QUES:ENAB?", True
Var=Ena.ReadNumber

Related Commands

*SRE

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.ENABLE


:STAT:QUES:LIM

Type

Query

Syntax

:STATus:QUEStionable:LIMit[:EVENt]?

Description

This command reads the value of the Questionable Limit Status Event Register.

Variable

Parameter | Value
Description | Value of the Questionable Limit Status Event Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:LIM?", True
Var=Ena.ReadNumber

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.EVENT


:STAT:QUES:LIM:CHAN

:STAT:QUES:LIM:CHAN<Ch>

Type

Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>[:EVENt]?

Description

This command reads the value of the Questionable Limit Channel Status Event Register.

Variable

Parameter | Value
Description | Value of the Questionable Limit Channel Status Event Register
Data Type | Long integer type (Long)

Query Response

{numerc}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:LIM:CHAN1?", True
Var=Ena.ReadNumber

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).EVENT


:STAT:QUES:LIM:CHAN:COND

:STAT:QUES:LIM:CHAN<Ch>:COND

Type

Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>:CONDition?

Description

This command reads the value of the Questionable Limit Channel Status Condition Register.

Variable

Parameter | Value
Description | Value of the Questionable Limit Channel Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:LIM:CHAN1:COND?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:LIM:CHAN:NTR

:STAT:QUES:LIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).CONDITION


:STAT:QUES:LIM:CHAN:ENAB

:STAT:QUES:LIM:CHAN<Ch>:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>:ENABle <Value>

:STATus:QUEStionable:LIMit:CHANnel<Ch>:ENABle?

Description

This command sets/gets the value of the Questionable Limit Channel Status Enable Register.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the Questionable Limit Channel Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:LIM:CHAN1:ENAB " & Str(Var), True
Ena.WriteString ":STAT:QUES:LIM:CHAN1:ENAB?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:LIM:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).ENABLE


:STAT:QUES:LIM:CHAN:NTR

:STAT:QUES:LIM:CHAN<Ch>:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>:NTRansition <Value>

:STATus:QUEStionable:LIMit:CHANnel<Ch>:NTRansition?

Description

This command sets/gets the value of the negative transition filter of the Questionable Limit Channel Status Register.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the negative transition filter
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:LIM:CHAN1:NTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:LIM:CHAN1:NTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:LIM:CHAN

:STAT:QUES:LIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).NTRANSITION


:STAT:QUES:LIM:CHAN:PTR

:STAT:QUES:LIM:CHAN<Ch>:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:CHANnel<Ch>:PTRansition <Value>

:STATus:QUEStionable:LIMit:CHANnel<Ch>:PTRansition?

Description

This command sets/gets the value of the positive transition filter of the Questionable Limit Channel Status Register .

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the positive transition filter
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 30

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:LIM:CHAN1:PTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:LIM:CHAN1:PTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:LIM:CHAN

:STAT:QUES:LIM:CHAN:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CHANNEL(Ch).PTRANSITION


:STAT:QUES:LIM:COND

Type

Query

Syntax

:STATus:QUEStionable:LIMit:CONDition?

Description

This command reads the value of the Questionable Limit Status Condition Register.

Variable

Parameter | Value
Description | Value of the Questionable Limit Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:LIM:COND?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:LIM:CHAN:NTR

:STAT:QUES:LIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.CONDITION


:STAT:QUES:LIM:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:ENABle <Value>

:STATus:QUEStionable:LIMit:ENABle?

Description

This command sets/gets the value of the Questionable Limit Status Enable Register.

      • The bit 0, and bit 13 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the Questionable Limit Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:LIM:ENAB" & Str(Var), True
Ena.WriteString ":STAT:QUES:LIM:ENAB?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.ENABLE


:STAT:QUES:LIM:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:NTRansition <Value>

:STATus:QUEStionable:LIMit:NTRansition?

Description

This command sets/gets the value of the negative transition filter of the Questionable Limit Status Register.

      • The bit 0, and bit 13 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the negative transition filter
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:LIM:NTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:LIM:NTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:LIM

:STAT:QUES:LIM:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.NTRANSITION


:STAT:QUES:LIM:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:LIMit:PTRansition <Value>

:STATus:QUEStionable:LIMit:PTRansition?

Description

This command sets/gets the value of positive transition filter of the Questionable Limit Status Register.

      • The bit 0, and bit 13 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | Value of the positive transition filter
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 8190

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:LIM:PTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:LIM:PTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:LIM

:STAT:QUES:LIM:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.LIMIT.PTRANSITION


:STAT:QUES:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:NTRansition <Value>

:STATus:QUEStionable:NTRansition?

Description

This command sets/gets the value of negative transition filter of the Questionable Status Register.

Variable

Parameter | Value
Description | Value of the negative transition filter
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

    • The bit 0 to 7 and bit 11 to 15 cannot be set to 1.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:NTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:NTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES

:STAT:QUES:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.NTRANSITION


:STAT:QUES:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:PTRansition <Value>

:STATus:QUEStionable:PTRansition?

Description

This command sets/gets the value of the positive transition filter of the Questionable Status Register.

Variable

Parameter | Value
Description | Value of positive transition filter
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 1792

    • The bit 0 to 7 and bit 11 to 15 cannot be set to 1.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:PTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:PTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES

:STAT:QUES:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.PTRANSITION


:STAT:QUES:RLIM

Type

Query

Syntax

:STATus:QUEStionable:RLIMit[:EVENt]?

Description

This command reads the value of the Questionable Ripple Limit Status Event Register.

Variable

Parameter | Value
Description | Value of the Questionable Ripple Limit Status Event Register.
Data Type | Numeric type (Integer)
Preset Value | 0

Query Response

{Numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:RLIM?", True
Var=Ena.ReadNumber

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.EVENT


:STAT:QUES:RLIM:CHAN

:STAT:QUES:RLIM:CHAN<Ch>

Type

Query

Syntax

:STATus:QUEStionable:RLIMit:CHANnel<Ch>[:EVENt]?

Description

This command reads the value of the Questionable Ripple Limit Channel Status Event Register.

Variable

Parameter | Value
Description | Value of the Questionable Ripple Limit Channel Status Event Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:RLIM:CHAN1?", True
Var=Ena.ReadNumber

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.CHANNEL(Ch).EVENT


:STAT:QUES:RLIM:CHAN:COND

:STAT:QUES:RLIM:CHAN<Ch>:COND

Type

Query

Syntax

:STATus:QUEStionable:RLIMit:CHANnel<Ch>:CONDition?

Description

This command reads the value of the Questionable Ripple Limit Channel Status Condition Register.

Variable

Parameter | Value
Description | Value of the Questionable Ripple Limit Channel Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:RLIM:CHAN1:COND?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:RLIM:CHAN:NTR

:STAT:QUES:RLIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.CHANNEL(Ch).CONDITION


:STAT:QUES:RLIM:CHAN:ENAB

:STAT:QUES:RLIM:CHAN<Ch>:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:RLIMit:CHANnel<Ch>:ENABle <Value>

:STATus:QUEStionable:RLIMit:CHANnel<Ch>:ENABle?

Description

This command sets/gets the value of the Questionable Ripple Limit Channel Status Enable Register.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the Questionable Ripple Limit Channel Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:RLIM:CHAN1:ENAB " & Str(Var), True
Ena.WriteString ":STAT:QUES:RLIM:CHAN1:ENAB?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:RLIM:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.CHANNEL(Ch).ENABLE


:STAT:QUES:RLIM:CHAN:NTR

:STAT:QUES:RLIM:CHAN<Ch>:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:RLIMit:CHANnel<Ch>:NTRansition <Value>

:STATus:QUEStionable:RLIMit:CHANnel<Ch>:NTRansition?

Description

This command sets/gets the value of the negative transition filter of the Questionable Ripple Limit Channel Status Register for the specified channel.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the negative transition filter of the Questionable Ripple Limit Channel Status Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{0 ~ 65535}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:RLIM:CHAN1:NTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:RLIM:CHAN1:NTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:RLIM:CHAN

:STAT:QUES:RLIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.CHANNEL(Ch).NTRANSITION


:STAT:QUES:RLIM:CHAN:PTR

:STAT:QUES:RLIM:CHAN<Ch>:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:RLIMit:CHANnel<Ch>:PTRansition <Value>

:STATus:QUEStionable:RLIMit:CHANnel<Ch>:PTRansition?

Description

This command sets/gets the value of the positive transition filter of the Questionable Ripple Limit Channel Status Register.

      • The bit 0, and bit 5 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the positive transition filter of the Questionable Ripple Limit Channel Status Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 30

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:RLIM:CHAN1:PTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:RLIM:CHAN1:PTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:RLIM:CHAN

:STAT:QUES:RLIM:CHAN:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.CHANNEL(Ch).PTRANSITION


:STAT:QUES:RLIM:COND

Type

Query

Syntax

:STATus:QUEStionable:RLIMit:CONDition?

Description

This command reads the value of the Questionable Ripple Limit Status Condition Register.

Variable

Parameter | Value
Description | Value of the Questionable Ripple Limit Status Condition Register
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":STAT:QUES:RLIM:COND?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:RLIM:CHAN:NTR

:STAT:QUES:RLIM:CHAN:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.CONDITION


:STAT:QUES:RLIM:ENAB

Type

Command/Query

Syntax

:STATus:QUEStionable:RLIMit:ENABle <Value>

:STATus:QUEStionable:RLIMit:ENABle?

Description

This command sets/gets the value of the Questionable Ripple Limit Status Enable Register.

      • The bit 0, and bit 13 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the Questionable Ripple Limit Status Enable Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:RLIM:ENAB " & Str(Var), True
Ena.WriteString ":STAT:QUES:RLIM:ENAB?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:ENAB

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.ENABLE


:STAT:QUES:RLIM:NTR

Type

Command/Query

Syntax

:STATus:QUEStionable:RLIMit:NTRansition <Value>

:STATus:QUEStionable:RLIMit:NTRansition?

Description

This command sets/gets the value of the negative transition filter of the Questionable Ripple Limit Status Register.

      • The bit 0, and bit 13 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the negative transition filter of the Questionable Ripple Limit Status Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:RLIM:NTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:RLIM:NTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:RLIM

:STAT:QUES:RLIM:PTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.NTRANSITION


:STAT:QUES:RLIM:PTR

Type

Command/Query

Syntax

:STATus:QUEStionable:RLIMit:PTRansition <Value>

:STATus:QUEStionable:RLIMit:PTRansition?

Description

This command sets/gets the value of the positive transition filter of the Questionable Ripple Limit Status Register.

      • The bit 0, and bit 13 to 15 cannot be set to 1.

Variable

Parameter | Value
Description | The value of the positive transition filter of the Questionable Ripple Limit Status Register
Data Type | Numeric type (Integer)
Range | 0 ~ 65535
Preset Value | 8190

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":STAT:QUES:RLIM:PTR " & Str(Var), True
Ena.WriteString ":STAT:QUES:RLIM:PTR?", True
Var=Ena.ReadNumber

Related Commands

:STAT:QUES:RLIM

:STAT:QUES:RLIM:NTR

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.STATUS.QUESTIONABLE.RLIMIT.PTRANSITION


:SYST:BACK

Type

Command/Query

Syntax

:SYSTem:BACKlight {ON|OFF|1|0}

:SYSTem:BACKlight?

Description

This command turns ON/OFF or return the status of the backlight of the LCD display.

      • When the backlight is OFF, you cannot read the information on the display.

Variable

Parameter | Selection Option
Description | ON/OFF of the backlight
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:BACK " & Str(Var), True
Ena.WriteString ":SYST:BACK?", True
Var=Ena.ReadNumber

Equivalent Softkey

System > Backlight

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BACKLIGHT


:SYST:BEEP:COMP:IMM

Type

Command

Syntax

:SYSTem:BEEPer:COMPlete:IMMediate

Description

This command sets Beep complete immediate.

Examples

Ena.WriteString ":SYST:BEEP:COMP:IMM", True

Related Commands

:SYST:BEEP:COMP:STAT

:SYST:BEEP:WARN:IMM

Equivalent Softkey

System > Misc Setup > Beeper > Test Beep Complete

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BEEPER.COMPLETE.IMMEDIATE


:SYST:BEEP:COMP:STAT

Type

Command/Query

Syntax

:SYSTem:BEEPer:COMPlete:STATe {ON|OFF|1|0}

:SYSTem:BEEPer:COMPlete:STATe?

Description

This command turns ON/OFF or returns the status of the beeper for the notification of the completion of the operation.

Variable

Parameter | Selection Option
Description | ON/OFF of the beeper for the notification of the completion of the operation
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:BEEP:COMP:STAT " & Str(Var), True
Ena.WriteString ":SYST:BEEP:COMP:STAT?", True
Var=Ena.ReadNumber

Related Commands

:SYST:BEEP:COMP:IMM

:SYST:BEEP:WARN:STAT

Equivalent Softkey

System > Misc Setup > Beeper > Beep Complete

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BEEPER.COMPLETE.STATE


:SYST:BEEP:WARN:IMM

Type

Command

Syntax

:SYSTem:BEEPer:WARNing:IMMediate

Description

This command generates a beep for the notification of warning/limit test results.

Examples

Ena.WriteString ":SYST:BEEP:WARN:IMM", True

Related Commands

:SYST:BEEP:WARN:STAT

:SYST:BEEP:COMP:IMM

Equivalent Softkey

System > Misc Setup > Beeper > Test Beep Warning

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BEEPER.WARNING.IMMEDIATE


:SYST:BEEP:WARN:STAT

Type

Command/Query

Syntax

:SYSTem:BEEPer:WARNing:STATe {ON|OFF|1|0}

:SYSTem:BEEPer:WARNing:STATe?

Description

This command turns ON/OFF or return the status of the beeper for the notification of warning/limit test results.

Variable

Parameter | Selection Option
Description | ON/OFF of the beeper for the notification of warning/limit test result
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:BEEP:WARN:STAT " & Str(Var), True
Ena.WriteString ":SYST:BEEP:WARN:STAT?", True
Var=Ena.ReadNumber

Related Commands

:SYST:BEEP:WARN:IMM

:SYST:BEEP:COMP:STAT

Equivalent Softkey

System > Misc Setup > Beeper > Beep Warning

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.BEEPER.WARNING.STATE


:SYST:COMM:LAN:CONT

Type

Query

Syntax

:SYSTem:COMMunicate:LAN:CONTrol?

Description

This command gets control port number of socket connection.

Variable

Parameter | Long
Description | Control port number of socket
Data Type | Long integer type (Long)

Query Response

{numeric}<newline><^END>

Socket connection control port number

Examples

Dim Var as Long
Ena.WriteString ":SYST:COMM:LAN:CONT?", True
Var=Ena.ReadNumber

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.COMMUNICATE.LAN.CONTROL


:SYST:COMM:SWIT:CAT

Type

Query

Syntax

:SYSTem:COMMunicate:SWITch<Sw>:CATalog?

Description

This command gets list all of the connected USB Switch (<Sw>: 1 or 2).

Variable

Parameter | String
Description | List of connected USB Switch
Data Type | String type (String)

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Ena.WriteString ":SYST:COMM:SWIT1:CAT?", True
Var=Ena.ReadString

Equivalent Softkey

System > USB Switch Setup > USB Switch n (A part of Information is displayed on the label.)

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.COMMUNICATE.SWITCH(Sw).CATALOG


:SYST:COMM:SWIT:DEF

Type

Command/Query

Syntax

:SYSTem:COMMunicate:SWITch<Sw>:DEFine <String>

:SYSTem:COMMunicate:SWITch<Sw>:DEFine?

Description

This command sets/gets the USB switch information (<Sw>: 1 or 2). .

Variable

Parameter | String
Description | USB switch
Data Type | Character string type (String)
Range | 254 chars
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Ena.WriteString ":SYST:COMM:SWIT:DEF " & Var, True
Ena.WriteString ":SYST:COMM:SWIT:DEF?", True
Var=Ena.ReadString

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.COMMUNICATE.SWITCH(Sw).DEFINE


:SYST:COMM:SWIT:DSET

Type

Command/Query

Syntax

:SYSTem:COMMunicate:SWITch<Sw>:DSET <Pt1>, <Pt2>
:SYSTem:COMMunicate:SWITch<Sw>:DSET?

Description

This command sets/gets the USB switch information (<Sw>: 1 or 2) by one command. :SYST:COMM:SWIT:PATH can be set one by one. This function is added at the revision A.2.0x.

Variable

Parameter | Pt1
Description | USB switch port number for Path1
Data Type | Numeric type (Integer)
Range | 0 to 6 (0: Open)

Parameter | Pt2
Description | USB switch port number for path2
Data Type | Numeric type (Integer)
Range | 0 to 6 (0: Open)

Query Response

<Path1>, <Path2><newline><^END>

Examples

Dim Var as Variant
Ena.WriteString ":SYST:COMM:SWIT1:DSET 1,2" & Var, True
Ena.WriteString ":SYST:COMM:SWIT:DEF?", True
Var=Ena.ReadList

Related Commands

:SYST:COMM:SWIT:PATH

Equivalent Softkey

System > USB Switch Setup > USB Switch n > Path n.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.COMMUNICATE.SWITCH(Sw).DSET


:SYST:COMM:SWIT:LOCK

Type

Command/Query

Syntax

:SYSTem:COMMunicate:SWITch<Sw>:LOCK {ON|OFF|1|0}

:SYSTem:COMMunicate:SWITch<Sw>:LOCK?

Description

This command sets/gets Lock USB Switch local control (<Sw>: 1 or 2).

Variable

Parameter | Selection Option
Description | lock USB switch
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:COMM:SWIT:LOCK " & Str(Var), True
Ena.WriteString ":SYST:COMM:SWIT:LOCK?", True
Var=Ena.ReadNumber

Equivalent Softkey

System > USB Switch Setup > USB Switch n > Lock Local Control

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.COMMUNICATE.SWITCH(Sw).LOCK


:SYST:COMM:SWIT:PATH

Type

Command/Query

Syntax

:SYSTem:COMMunicate:SWITch<Sw>:PATH<Ph> <Value>

:SYSTem:COMMunicate:SWITch<Sw>:PATH<Ph>?

Description

This command sets/gets USB switch port number (<Sw>: 1 or 2, <Ph>: 1 or 2).

Variable

Parameter | Value
Description | USB switch port number
Data Type | Numeric type (Integer)
Range | 0 to 6 (0: Open)

Query Response

{0 to 6}<newline><^END>

Examples

Dim Var as Long
Var= 2
Ena.WriteString ":SYST:COMM:SWIT1:PATH1 " & Str(Var), True
Ena.WriteString ":SYST:COMM:SWIT1:PATH1?", True
Var=Ena.ReadNumber

Related Commands

:SYST:COMM:SWIT:DSET

Equivalent Softkey

System > USB Switch Setup > USB Switch n > Path n

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.COMMUNICATE.SWITCH(Sw).PATH


:SYST:CORR

Type

Command/Query

Syntax

:SYSTem:CORRection[:STATe] {ON|OFF|1|0}

:SYSTem:CORRection[:STATe]?

Description

This command turns ON/OFF or returns the status of the system correction.

Variable

Parameter | Selection Option
Description | ON/OFF of the system correction
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:CORR" & Str(Var), True
Ena.WriteString ":SYST:CORR?", True
Var=Ena.ReadNumber

Equivalent Softkey

System > Service Menu > System Correction

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.CORRECTION.STATE


:SYST:DATE

Type

Command/Query

Syntax

:SYSTem:DATE <Value1>, <Value2>, <Value3>

:SYSTem:DATE?

Description

This command sets/gets the date of the clock built in the E5063A. When you logged in the E5063A as standard user, an error occurs.

Variable

Parameter | Value1
Description | Year
Data Type | Numeric type (Integer)
Range | 1980 ~ 2099
Resolution | 1

Parameter | Value2
Description | Month
Data Type | Numeric type (Integer)
Range | 1 to 12
Resolution | 1

Parameter | Value3
Description | Date
Data Type | Numeric type (Integer)
Range | 1 to 31
Resolution | 1

Query Response

{numeric1(year)}, {numerc2(month}, {numerc3(date)}<newline><^END>

Examples

Dim Var as Variant
Ena.WriteString ":SYST:DATE 2013,1,10", True
Ena.WriteString ":SYST:DATE?", True
Var=Ena.ReadList

Related Commands

:SYST:TIME

Equivalent Softkey

System > Misc Setup > Clock Setup > Set Data and Time...

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.DATE


:SYST:ERR

Type

Query

Syntax

:SYSTem:ERRor?

Description

This command reads the oldest error from the list of errors stored in the error queue of the E5063A. The read-out error is deleted from the error queue. The size of the error queue is 100.

Executing *CLS command clears the errors stored in the error queue.

This object can not return an error that occurs by the manual operation or the SCPI command used in controlling the E5063A from the external con-troller.

Variable

Parameter

Variant

Description

Indicates 2-element array data (for error).

  • Err(0) :Error number

  • Err(1) :Error message

The index of the array starts from 0.

Data Type

Variant type (Variant)

Note

If no error is stored in the error queue, 0 and "No error" are read out as the error number and the error message.

Query Response

{numeric (error number)}, {String (error message)}<newline><^END>

Examples

Dim Var As Variant, ErrNo As Long, ErrDesc As String
Ena.WriteString ":SYST:ERR?", True
Var = Ena.ReadList
ErrNo = Var(0)
ErrDesc = Var(1)

Related Commands

*CLS

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.ERROR


:SYST:ISPC

Type

Command/Query

Syntax

:SYSTem:ISPControl[:STATe] {ON|OFF|1|0}

:SYSTem:ISPControl[:STATe]?

Description

This command turns ON/OFF or returns the status of the Initial Source Port Control feature (to switch the stimulus output in the trigger hold state to a test port).

Variable

Parameter | Selection Option
Description | ON/OFF Initial Source Port Control feature
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:ISPC " & Str(Var), True
Ena.WriteString ":SYST:ISPC?", True
Var=Ena.ReadNumber

Related Commands

:SYST:ISPC:PORT

Equivalent Softkey

System > Service Menu > Init Src Ctrl

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.ISPCONTROL.STATE


:SYST:ISPC:PORT

Type

Command/Query

Syntax

:SYSTem:ISPControl:PORT <Value>

:SYSTem:ISPControl:PORT?

Description

This command sets/gets a test port to be selected for stimulus destination when the Initial Source Port Control feature is ON.

Variable

Parameter | Value
Description | Selected Port
Data Type | Numeric type (Integer)
Range | 1 to 2
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":SYST:ISPC:PORT " & Str(Var), True
Ena.WriteString ":SYST:ISPC:PORT?", True
Var=Ena.ReadNumber

Related Commands

:SYST:ISPC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.ISPCONTROL.PORT


:SYST:KLOC:KBD

Type

Command/Query

Syntax

:SYSTem:KLOCk:KBD {ON|OFF|1|0}

:SYSTem:KLOCk:KBD?

Description

This command sets/gets whether to lock the operation of the front panel (key and rotary knob) and keyboard.

Variable

Parameter | Selection Option
Description | ON/OFF of lock
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:KLOC:KBD" & Str(Var), True
Ena.WriteString ":SYST:KLOC:KBD?", True
Var=Ena.ReadNumber

Related Commands

:SYST:KLOC:MOUS

Equivalent Softkey

System > Misc Setup > Key Lock > Front Panel & Keyboard Lock

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.KLOCK.KBD


:SYST:KLOC:MOUS

Type

Command/Query

Syntax

:SYSTem:KLOCk:MOUSe {ON|OFF|1|0}

:SYSTem:KLOCk:MOUSe?

Description

This command sets/gets whether to lock the operation of the mouse and touch screen.

Variable

Parameter | Selection Option
Description | ON/OFF of lock
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:KLOC:MOUS " & Str(Var), True
Ena.WriteString ":SYST:KLOC:MOUS?", True
Var=Ena.ReadNumber

Related Commands

:SYST:KLOC:KBD

Equivalent Softkey

System > Misc Setup > Key Lock > Touch Screen & Mouse Lock

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.KLOCK.MOUSE


:SYST:PCWA

Type

Command/Query

Syntax

:SYSTem:PCWAl[:STATe] {ON|OFF|1|0}

:SYSTem:PCWAitl[:STATe]?

Description

This command turns ON/OFF or returns the status of the wait time at power level change.

Variable

Parameter | Selection Option
Description | ON/OFF wait time feature
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:PCWA " & Str(Var), True
Ena.WriteString ":SYST:PCWA?", True
Var=Ena.ReadNumber

Related Commands

:SYST:PCWA:TIME

Equivalent Softkey

System > Service Menu > Pow. Chg. Wait

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.PCWAIT.STATE


:SYST:PCWA:TIME

Type

Command/Query

Syntax

:SYSTem:PCWAit:TIME <value>

:SYSTem:PCWAit:TIME?

Description

This command sets/gets the wait time at power level change.

Variable

Parameter | Value
Description | Time
Data Type | Numeric type (Real)
Range | 0 ~ 1
Preset Value | 50 m
Unit | s
Resolution | 1 μ

Query Response

<numeric><^END>

Examples

Dim Var as Double
Var= 0.01
Ena.WriteString ":SYST:ISPC " & Str(Var), True
Ena.WriteString ":SYST:ISPC?", True
Var=Ena.ReadNumber

Related Commands

:SYST:PCWA

Equivalent Softkey

System > Service Menu > Pow. Chg. Wait Time

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.PCWAIT.TIME


:SYST:POFF

Type

Command

Syntax

:SYSTem:POFF

Description

This command turns OFF the E5063A.

Examples

Ena.WriteString ":SYST:POFF", True

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.POFF


:SYST:PRES

Type

Command

Syntax

:SYSTem:PRESet

Description

This command presets the setting state of the E5063A to the original factory setting (Default Conditions). This command is different from *RST as the continuous startup mode (:INIT:CONT) of channel 1 is set to ON.

Examples

Ena.WriteString ":SYST:PRES", True

Related Commands

*RST

:SYST:UPR

Equivalent Softkey

Preset (When System > Misc Setup > Preset Setup > State > Factory is selected.)

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.PRESET


:SYST:SEC

Type

Command/Query

Syntax

:SYSTem:SECurity[:LEVel] {NONE|LOW|HIGH}

:SYSTem:SECurity[:LEVel]?

Description

This command sets/gets security level for frequency blanking. Once it becomes HIGH, it cannot be changed.

Variable

Parameter | Selection Option
Description | The security level
Data Type | Character string type (String)
Range | NONE|LOW|HIGH
Preset Value | NONE

Query Response

{NONE|LOW|HIGH}<newline><^END>

Examples

Dim Var as String
Var= "NONE"
Ena.WriteString ":SYST:SEC " & Var, True
Ena.WriteString ":SYST:SEC?", True
Var=Ena.ReadString

Equivalent Softkey

System > Service Menu > Security Level

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.SECURITY.LEVEL


:SYST:SERV

Type

Query

Syntax

:SYSTem:SERVice?

Description

This command reads whether the E5063A is in the service mode or not.

Variable

Parameter | Selection Option
Description | Whether to be in the service mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":SYST:SERV?", True
Var=Ena.ReadNumber

Equivalent Softkey

Displayed on the instrument status bar (at the bottom of the LCD display).

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.SERVICE


:SYST:SET

Type

Command

Syntax

:SYSTem:SET <Value>

Description

This command recalls the state of the instrument when the *LRN? query is executed. The contents to be recalled depends on the contents of the block data.

If the block data contains trace state, the trigger source (:TRIG:SOUR) becomes "MANual". The result of *LRN? query contains ":SYSTem:SET " prefix. Hence, the *LRN? simply executes this command.

This command requires instrument settings by binary block data (same as Save/Recall state file contents).

Variable

Parameter | Value
Description | Command Setup
Data Type | Binary Type

Examples

Dim SETData() As Byte, NoofByte As Double

'*** Recall the State data from the file, State01.sta is a state file saved by E5063A

Open "C:\State01.sta" For Binary As #1

NoofByte = LOF(1)

ReDim SETData(NoofByte)

Get #1, , SETData()

Close

'*** Send the State file data to E5063A

Ena.WriteIEEEBlock ":SYST:SET ", SETData, True

Related Commands

*LRN

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.SET


:SYST:TIME

Type

Command/Query

Syntax

:SYSTem:TIME <Value1>, <Value2>, <Value3>

:SYSTem:TIME?

Description

This command sets/gets the time of the clock built in the E5063A. When you logged in the E5063A as standard user, an error occurs.

Variable

Parameter | Value1
Description | hour
Data Type | Numeric type (Integer)
Range | 0 to 23
Resolution | 1

Parameter | Value2
Description | Minute
Data Type | Numeric type (Integer)
Range | 0 to 59
Resolution | 1

Parameter | Value3
Description | Second
Data Type | Numeric type (Integer)
Range | 0 to 59
Resolution | 1

Query Response

{numeric1(hour)}, {numerc2(minute)}, {numerc3(second)}<newline><^END>

Examples

Dim Var as Variant
Ena.WriteString ":SYST:TIME 10:10:20", True
Ena.WriteString ":SYST:TIME?", True
Var=Ena.ReadList

Related Commands

:SYST:DATE

Equivalent Softkey

System > Misc Setup > Clock Setup > Set Data and Time...

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.TIME


:SYST:UPR

Type

Command

Syntax

:SYSTem:UPReset

Description

This command presets the E5063A with the user settings. The command is executed regardless of the operation mode in preset state.

If you try to specify a file for a preset (D:\UserPreset.sta) that does not exist, a warning message will be displayed and :SYST:PRES will be executed.

Examples

Ena.WriteString ":SYST:UPR", True

Related Commands

*RST

:SYST:PRES

Equivalent Softkey

Preset (When System > Misc Setup > Preset Setup > State > User is selected.)

COM Command Syntax (Internal Control Only)

SCPI.SYSTEM.UPRESET


:TRIG

Type

Command

Syntax

:TRIGger[:SEQuence][:IMMediate]

Description

This command generates a trigger immediately and executes a measurement, regardless of the setting of the trigger mode.

This command is different from :TRIG:SING as the execution of the object finishes at the time of a trigger.

      • If you execute this object when the trigger system is not in the trigger wait state (trigger event detection state), an error occurs when executed and the object is ignored.

Examples

Ena.WriteString ":TRIG", True

Related Commands

:TRIG:SOUR

:TRIG:SING

*TRG

Equivalent Softkey

Trigger > Trigger (This is for manual trigger.)

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.IMMEDIATE


:TRIG:AVER

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:AVERage {ON|OFF|1|0}

:TRIGger[:SEQuence]:AVERage?

Description

This command turns ON/OFF or gets the status of the averaging trigger function.

      • The sweep averaging feature must be set to ON when turning on the averaging trigger feature.

Variable

Parameter | Selection Option
Description | ON/OFF status of the averaging trigger
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":TRIG:AVER " & Str(Var), True
Ena.WriteString ":TRIG:AVER?", True
Var=Ena.ReadNumber

Related Commands

:TRIG:AVER

Equivalent Softkey

Average > Avg Trigger

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.AVERAGE


:TRIG:EXT:DEL

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:EXTernal:DELay <Value>

:TRIGger[:SEQuence]:EXTernal:DELay?

Description

This command sets/gets the time that it takes from receiving the trigger to starting measurement when the trigger source is external.

Variable

Parameter | Value
Description | External trigger delay time
Data Type | Numeric type (Real)
Range | 0 to 10
Preset Value | 0
Unit | s
Resolution | 10u

Query Response

{0 ~ 10}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":TRIG:EXT:DEL" & Str(Var), True
Ena.WriteString ":TRIG:EXT:DEL?", True
Var=Ena.ReadNumber

Related Commands

:TRIG:POIN

Equivalent Softkey

Trigger > Trigger Delay

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.EXTERNAL.DELAY


:TRIG:EXT:SLOP

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:EXTernal:SLOPe {POSitive|NEGative}

:TRIGger[:SEQuence]:EXTernal:SLOPe?

Description

This command sets/gets the polarity of external trigger input.

Variable

Parameter | Selection Option
Description | Polarity of the external input trigger.
Data Type | Character string type (String)
Range | POSitive|NEGative
Preset Value | NEGative

Query Response

{POS|NEG}<newline><^END>

Examples

Dim Var as String
Var= "POSitive"
Ena.WriteString ":TRIG:EXT:SLOP " & Var, True
Ena.WriteString ":TRIG:EXT:SLOP?", True
Var=Ena.ReadString

Related Commands

:TRIG:EXT:DEL

Equivalent Softkey

Trigger > Ext Trig Input

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.EXTERNAL.SLOPE


:TRIG:OUTP

Type

Command/Query

Syntax

:TRIGger:OUTPut[:STATe] {ON|OFF|1|0}

:TRIGger:OUTPut[:STATe]?

Description

This command sets/gets the external trigger output port state.

Variable

Parameter | Selection Option
Description | External trigger output state
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var = 1
Ena.WriteString ":TRIG:OUTP " & Str(Var), True
Ena.WriteString ":TRIG:OUTP?", True
Var=Ena.ReadNumber

Related Commands

:TRIG:OUTP:POL

:TRIG:OUTP:POS

Equivalent Softkey

Trigger > Ext Trig Output

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.OUTPUT.STATE


:TRIG:OUTP:DUR

Type

Command/Query

Syntax

:TRIGger:OUTPut:DURation <Value>

:TRIGger:OUTPut:DURation?

Description

This command sets/gets the pulse width of the output trigger signal.

Variable

Parameter | Value
Description | Trigger output width
Data Type | Numeric type (Real)
Range | 1μ to 1
Preset Value | 1μ
Unit | s
Resolution | 1μ

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.000001
Ena.WriteString ":TRIG:OUTP:DUR " & Str(Var), True
Ena.WriteString ":TRIG:OUTP:DUR?", True
Var=Ena.ReadNumber

Equivalent Softkey

Trigger > Pulse Width

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.OUTPUT.DURATION


:TRIG:OUTP:POL

Type

Command/Query

Syntax

:TRIGger:OUTPut:POLarity {POSitive|NEGative}

:TRIGger:OUTPut:POLarity?

Description

This command sets/gets the polarity of the pulse generated from the external trigger output.

Variable

Parameter | Selection Option
Description | Polarity of the pulse generated by the output trigger
Data Type | Character string type (String)
Range | POSitive|NEGative
Preset Value | POSitive

Query Response

{POS|NEG}<newline><^END>

Examples

Dim Var as String
Var= "POS"
Ena.WriteString ":TRIG:OUTP:POL " & Var, True
Ena.WriteString ":TRIG:OUTP:POL?", True
Var=Ena.ReadString

Related Commands

:TRIG:OUTP

:TRIG:OUTP:POS

Equivalent Softkey

Trigger > Polarity

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.OUTPUT.POLARITY


:TRIG:OUTP:POS

Type

Command/Query

Syntax

:TRIGger:OUTPut:POSition {AFTer|BEFore}

:TRIGger:OUTPut:POSition?

Description

This command sets/gets the position of the (after/before each point) of trigger output.

Variable

Parameter | Selection Option
Description | Position of the output trigger (after or before measurement point)
Data Type | Character string type (String)
Range | AFTer|BEFore
Preset Value | AFTer

Query Response

{AFT|BEF}<newline><^END>

Examples

Dim Var as String
Var= "AFT"
Ena.WriteString ":TRIG:OUTP:POS " & Var, True
Ena.WriteString ":TRIG:OUTP:POS?", True
Var=Ena.ReadString

Related Commands

:TRIG:OUTP

:TRIG:OUTP:POL

Equivalent Softkey

Trigger > Position

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.OUTPUT.POSITION


:TRIG:POIN

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:POINt {ON|OFF|1|0}

:TRIGger[:SEQuence]:POINt?

Description

This command turns ON/OFF or returns the status of the point trigger feature.

      • When the trigger source is set to the internal trigger (Internal), the setting is ignored.

Variable

Parameter | Selection Option
Description | Turns ON/OFF the point trigger
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Integer
Var = 1
Ena.WriteString ":TRIG:POIN " & Str(Var), True
Ena.WriteString ":TRIG:POIN?", True
Var=Ena.ReadNumber

Related Commands

:TRIG:SOUR

Equivalent Softkey

Trigger > Trigger Event

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.POINT


:TRIG:SCOP

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:SCOPe {ALL|ACTive}

:TRIGger[:SEQuence]:SCOPe?

Description

This command sets/gets the effective scope of triggering. When this function is enabled with a value of "ACTive", only active channel is triggered. When this function is enabled with a value of "ALL", all channels of the E5063A are triggered.

For example, if TRIGger.SCOPe value is "ACTive" when :INIT:CONT command is turned ON for all channels, a measurement channel will automatically be changed by switching over the active channel.

Variable

Parameter | Selection Option
Description | Trigger source
Data Type | Character string type (String)
Range | ALL|ACTive
Preset Value | ALL
Unit | -
Resolution | -

Query Response

{ALL|ACT}<newline><^END>

Examples

Dim Var as String
Var= "ALL"
Ena.WriteString ":TRIG:SCOP" & Var, True
Ena.WriteString ":TRIG:SCOP?", True
Var=Ena.ReadString

Equivalent Softkey

Trigger > Trigger Scope

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.SCOPE


:TRIG:SING

Type

Command

Syntax

:TRIGger[:SEQuence]:SINGle

Description

This command generates a trigger immediately and executes a measurement, regardless of the setting of the trigger mode.

This command is different from :TRIG as the execution of the object finishes when the measurement (all of the sweep) initiated with this object is complete. In other words, you can wait for the end of the measurement using the *OPC object.

If you execute this object when the trigger system is not in the trigger wait state (trigger event detection state), an error occurs when executed and the object is ignored.

Examples

Dim Var as Integer

Ena.WriteString ":TRIG:SOUR BUS", True

Ena.WriteString ":INIT1:CONT ON", True

Ena.WriteString ":TRIG:SING", True

Ena.WriteString "*OPC?", True

Var=Ena.ReadNumber

Related Commands

:TRIG

*OPC

Equivalent Softkey

No equivalent key is available on the front panel.

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.SINGLE


:TRIG:SOUR

Type

Command/Query

Syntax

:TRIGger[:SEQuence]:SOURce {INTernal|EXTernal|MANual|BUS}

:TRIGger[:SEQuence]:SOURce?

Description

This command sets/gets the trigger source from the following 4 types:

  • Internal Trigger: Uses the internal trigger to generate continuous triggers automatically.

  • External Trigger: Generates a trigger when the trigger signal is inputted externally via the Ext Trig connector or the handler interface.

  • Manual Trigger: Generates a trigger when the key operation of Trigger > Trigger is executed from the front panel.

  • Bus Trigger: Generates a trigger when the *TRG is executed.

    • When you change the trigger source during sweep, the sweep is aborted.

Variable

Parameter | Selection Option
Description | Trigger source
Data Type | Character string type (String)
Range | INTernal|EXTernal|MANual|BUS
Preset Value | INTernal

Query Response

{INT|EXT|MAN|BUS}<newline><^END>

Examples

Dim Var as String
Var= "BUS"
Ena.WriteString ":TRIG:SOUR " & Var, True
Ena.WriteString ":TRIG:SOUR?", True
Var=Ena.ReadString

Related Commands

:TRIG

:TRIG:SING

Equivalent Softkey

Trigger > Trigger Source

COM Command Syntax (Internal Control Only)

SCPI.TRIGGER.SEQUENCE.SOURCE


Remote Control for Test Wizard

  • Concept of Remote Control

  • Setup and Connection of Test Wizard

  • Sample Program


Concept of Remote Control

Concept of Remote Control in Test Wizard

The Test Wizard can be controlled remotely.

The figure below shows the connection between a PC, E5063A and Test Wizard. VISA application treats both E5063A and Test Wizard as instruments.

As such, VISA application connects to E5063A via GPIB through GPIB0::17:INSTR address. Standard E5063A commands are sent through GPIB to the E5063A. USB and LAN are alternatives to GPIB.

Whereas, VISA application connects to Test Wizard via SICL LAN through TCPIP0::localhost::inst0::INSTR address. The SCPI commands for Test Wizard are sent through SICL LAN to Test Wizard.

Other topics about Remote Control for Test Wizard


Setup and Connection of Test Wizard

  • Installing Test Wizard remote application to PC

  • Connecting Test Wizard with PC

Other topics about Remote Control for Test Wizard

Installing Test Wizard remote application to PC

Installing .Net Framework Version 2.0 and above

  1. Ensure that .Net Framework Version 2.0 and above is installed in the PC. Go to Windows Control Panel > Add or Remove Programs to confirm if it is installed. If it is not installed, go to below URL and download the latest version.

    http://www.microsoft.com/downloads/

Installing Keysight IO Library

  1. Ensure that Keysight IO Library is installed in the PC. If it is not installed, go to below URL and download the latest Keysight IO Libraries Suite executable file:

    http://www.keysight.com/find/iolib

  2. Double-click on the executable file for installation. Follow the instruction of the installation wizard.

Installing Test Wizard Remote Software

  1. Ensure that the Test Wizard software is installed in the PC. Go to Windows Control Panel > Add or Remove Programs to confirm if it is installed. If it is not installed, go to below URL and download the latest version.

    http://www.keysight.com/E5063a/

Connecting Test Wizard with PC

There are 2 options to execute the Test Wizard Remote software.

  • Select Windows Start Menu > Keysight E5063A > E5063A Test Wizard (Remote) OR
  • From Command Line, type the below command:

C:\Program Files\Keysight\E5063\TestWizard

E5063TestWizardRemote.exe <E5063A GPIB Address>

Connecting E5063A-Test Wizard with PC

Below steps are needed to access the instrument remotely.

  1. Connect the E5063A with the PC through either GPIB, LAN or USB.

  2. From Windows Start on your PC, Start > All Programs > Keysight E5063 > E5063 Test Wizard (Remote).

  3. Type the VISA address of E5063A and click OK. (This dialog box is displayed once. The next time Test Wizard Remote is launched, the previous VISA address is used to connect to the instrument.)

  4. E5063A Test Wizard (Remote) window appears. Control the E5063A Test Wizard application with the address in Test Wizard address.

  5. E5063A Test Wizard GUI is closed in the instrument when Test Wizard Remote is launched.

  6. GUI mode can be used in exchange to the Remote mode by clicking Analysis > Start Test Wizard (Firmware is restarted). The Test Wizard can be controlled by using either one of two modes, GUI or Remote mode.

Note for connecting with PC through LAN

  • Turn on SICL-LAN Server.

  • If you specify the timeout time for the E5063A, you need to consider the time out setting for LAN. On Keysight connection expert, you can specify the timeout for LAN and its default is 120 sec. If you specify the timeout longer than 120 sec. The LAN minimum timeout setting for LAN interface should be extended.

Configuring IO Library Setup

This is optional as it needs Keysight Connection Expert.

  1. From Windows Start on your PC, click Start > All Programs > Keysight IO Libraries Suite > Keysight Connection Expert.

  2. Click Refresh All.

  3. Refresh the system. The E5063A is now available under GPIB/USB category.

  4. Click on LAN (TCPIP0).

  5. Select Add Instrument > Add Other > Other LAN Instruments... to connect to E5063A-TW.

  6. Type localhost in Hostname.

  7. Click Test Connection to confirm that the connection is working.

  8. Both E5063A and Test Wizard should be active in Keysight Connection Expert main window as shown below.


Sample Program

  • Overview

  • Sample Program in Excel VBA

Other topics about Sample Programs

Overview

In this test, 2 tests - 1 single ended and 1 differential tests are performed with deskew error correction.

Number of tests - 2 tests, where Test 1: T33 and Test 2: Tdd11.

Sample Program in Excel VBA

Option Explicit

Dim rm As VisaComLib.ResourceManager

Dim TW As VisaComLib.FormattedIO488

Sub Test_Wizard_Program2()

Dim NumDmy As Integer

Dim i As Integer

Dim Result As Integer

Dim CompleteResult As Integer

On Error GoTo errorhandler

Set rm = New VisaComLib.ResourceManager

Set TW = New VisaComLib.FormattedIO488

'Set timeout

Set TW.IO = rm.Open("TCPIP0::localhost::inst0::INSTR")

TW.IO.Timeout = 10000

'Clear Excel Sheet Cells

Range("B8:B9").ClearContents

'Select New Test - System Preset

'Comment this line if past Error Correction is reused.

TW.WriteString ":SYST:PRES", True

'Set DUT Topology - for both tests

'Comment this line if past Error Correction is reused.

TW.WriteString ":SYST:TOP:SWIT 1", True 'Set Switch at Port 1 only

TW.WriteString ":SYST:TOP:DEV D1", True 'Set DIFF1P & SE1P

'Perform Error Correction for both test - Deskew

MsgBox ("Connect the switch and cables on both Ports. Remove all DUT (if any) from both ports"), vbInformation

'The following 3 lines are not necessary.

'CORR:EXT:AUTO:IMM will automatically change the Error Correction method to Deskew.

'Comment this line if past Error Correction is reused.

TW.WriteString ":SENS:CORR:PORT1:METH DESK", True

TW.WriteString ":SENS:CORR:PORT2:METH DESK", True

TW.WriteString ":SENS:CORR:PORT3:METH DESK", True

'Perform Deskew calibration for all the 3 ports.

TW.WriteString ":SENS:CORR:EXT:AUTO:IMM", True

'Setup Test Sequence

'Turn ON the Fail sign

TW.WriteString ":SYST:SEQ:FSIG ON", True

'Setup Edit Measurement

'Test 1

'Set measurement type & parameter

TW.WriteString ":CALC:TRAC:PAR ""TDD11""", True

'Set DUT Length to 880 ps - Setting DUT length is only applicable to Time Domain.

TW.WriteString ":CALC:DLEN:DATA 880E-12", True

'Set Limit Type to Absolute Limit

TW.WriteString ":CALC:TRAC:LIM:MODE ABS", True

'Set Limit Beginning value to 35% & End value to 70%

TW.WriteString ":CALC:TRAC:LIM:RAT:BEG 35", True

TW.WriteString ":CALC:TRAC:LIM:RAT:END 70", True

'Set limit target value to 100 ohm

TW.WriteString ":CALC:TRAC:LIM:TARG 100", True

'Set tolerance ratio to 20%

TW.WriteString ":CALC:TRAC:LIM:TOL:RAT 20", True

'Test 2

'Add new test list

TW.WriteString ":SENS:LIST:DEF", True

'Select test list 2

TW.WriteString ":SENS:LIST:SEL 2", True

'Set measurement type & parameter

TW.WriteString ":CALC:TRAC:PAR ""T33""", True

'Set DUT Length to 880 ps - Setting DUT length is only applicable to Time Domain.

TW.WriteString ":CALC:DLEN:DATA 880E-12", True

'Set Limit Type to Absolute Limit

TW.WriteString ":CALC:TRAC:LIM:MODE ABS", True

'Set Limit Beginning value to 35% & End value to 50%

TW.WriteString ":CALC:TRAC:LIM:RAT:BEG 35", True

TW.WriteString ":CALC:TRAC:LIM:RAT:END 50", True

'Set tolerance to 50 ohm

TW.WriteString ":CALC:TRAC:LIM:TARG 50", True

'Set tolerance ratio to 10%

TW.WriteString ":CALC:TRAC:LIM:TOL:RAT 10", True

'Perform Measurement

'Instruction to perform measurement connection.

MsgBox ("Connect Port 1 (Port 1 on the Switch) to J9 | Port 2 to J10 | Port 3 (Port 2 on the Switch) to J2"), vbInformation

For i = 1 To 2

TW.WriteString ":SENS:LIST:SEL 1", True 'Select First Test List

'Make single trigger

TW.WriteString ":TRIG:SING", True

'Wait till measurement is completed

TW.WriteString "*OPC?", True

NumDmy = TW.ReadNumber

'Check if test condition failed (or passed?), for Test 1. Fail returns 1.

TW.WriteString ":CALC:TRAC:LIM:FAIL?"

Result = TW.ReadNumber

If Result = 1 Then

Range("B8:B8").Value = "Fail"

Else

Range("B8:B8").Value = "Pass"

End If

'Store trace data

TW.WriteString ":MMEM:STOR:FDAT ""C:\work\Test1_" & i & ".csv""", True

TW.WriteString ":SENS:LIST:SEL 2", True

TW.WriteString ":TRIG:SING", True

TW.WriteString "*OPC?", True

NumDmy = TW.ReadNumber

'Check if test condition failed (or passed?), for Test 2. Fail returns 1.

TW.WriteString ":CALC:TRAC:LIM:FAIL?"

Result = TW.ReadNumber

If Result = 1 Then

Range("B8:B8").Value = "Fail"

Else

Range("B8:B8").Value = "Pass"

End If

'Store trace data

TW.WriteString ":MMEM:STOR:FDAT ""C:\work\Test2_" & i & ".csv""", True

'Checking overall pass/fail status of current test sequence

TW.WriteString ":SENS:LIST:RES?", True

CompleteResult = TW.ReadNumber

If CompleteResult = 1 Then

Range("B9:B9").Value = "Pass"

Else

Range("B9:B9").Value = "Fail"

End If

'Store test result of current instance.

TW.WriteString ":MMEM:STOR:RES ""C:\work\TW" & i & ".csv""", True

Next i

Exit Sub

errorhandler:

MsgBox Err.Description, vbExclamation, "Error Occurred", Err.HelpFile, Err.HelpContext

End Sub


Command Reference for Test Wizard

  • Notation Convention

  • Command Finder


:CALC:DEV

Type

Query Only

Syntax

:CALCulate:DEVice?

Description

This command gets DUT topology definition of current test regarding measurement parameter.

Variable

Parameter | Selection Option
Description | DUT topology
Data Type | Character string type (String)
Range | SEND1: Single-Ended 1-Port SEND2: Single-Ended 2-Port DIF1: Deferential 1-Port
Preset Value | SEND1

Query Response

{SEND1|SEND2|DIF1}<newline><^END>

Examples

Dim Var as String
Var= "SEND1"
Ena.WriteString ":CALC:DEV?", True
Var=Ena.ReadString

Equivalent GUI

Edit Test > Instrument Configuration > Modify > Select DUT Topology


:CALC:DLEN:DATA

Type

Command/Query

Syntax

:CALCulate:DLENgth:DATA <Value>

:CALCulate:DLENgth:DATA?

Description

This command gets the DUT length value.

Variable

Parameter | Value
Description | The length of DUT
Data Type | Numeric type (Real)
Range | 0 ~ 1.25u
Preset Value | 6.96 n(18 G), 8.94n(14 G), 14.8n(8.5 G) 19.3n(6.5 G), 27.9n(4.5 G), 41.8n(3 G) 83.5n(1.5 G), 251n(500 M)

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC:DLEN:DATA " & Str(Var), True
Ena.WriteString ":CALC:DLEN:DATA?", True
Var=Ena.ReadNumber

Related Commands

:SENS:DLEN:AUTO:IMM

:SENS:DLEN:DATA

Equivalent GUI

Edit Test > Edit Measurement > DUT Length > the DUT length value


:CALC:TRAC:AMAR:ACT

Type

Command/Query

Syntax

:CALCulate:TRACe:AMARkers:ACTive <Value>

:CALCulate:TRACe:AMARkers:ACTive?

Description

This command sets active marker number.

Variable

Parameter | Value
Description | Marker number to active
Data Type | Numeric type (Integer)
Range | 0 ~ 9
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 0
Ena.WriteString ":CALC:TRAC:AMAR:ACT " & Str(Var), True
Ena.WriteString ":CALC:TRAC:AMAR:ACT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:MARK:FUNC:EXEC

Equivalent GUI

Marker > Select the marker number


:CALC:TRAC:CONV:PEEL:STAT

Type

Command/Query

Syntax

:CALCulate:TRACe:CONVersion:PEELing:STATe {ON|OFF|1|0}

:CALCulate:TRACe:CONVersion:PEELing:STATe?

Description

This command sets state for the peeling function.

Variable

Parameter | Selection Option
Description | Peeling function ON/OFF
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Var=1
Ena.WriteString ":CALC:TRAC:CONV:PEEL:STAT " & Str(Var), True
Ena.WriteString ":CALC:TRAC:CONV:PEEL:STAT?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Edit Measurement > Peeling


:CALC:TRAC:FORM

Type

Command/Query

Syntax

:CALCulate:TRACe:FORMat {IMPedance|RHO|VOLT|MLOGarithmic|MLINear|REAL|IMAGinary|GDELay|SWR|PHASe|UPHase|PPHase|SLINear|SLOGarithmic|SCOMplex|SMITh|SADMittance|PLINear|PLOGarithmic|POLar}

:CALCulate:TRACe:FORMat?

Description

This command sets trace format. This may be changed once measurement domain is changed.

Variable

Parameter | Selection Option
Description | Format for the trace
Data Type | Character string type (String)
Range | IMPedance|RHO|VOLT|MLOGarithmic|MLINear|REAL|IMAGinary|GDELay|SWR|PHASe|UPHase|PPHase|SLINear|SLOGarithmic|SCOMplex|SMITh|SADMittance|PLINear|PLOGarithmic|POLar
Preset Value | Depending on trace

Query Response

{IMP|RHO|VOLT|MLOG|MLIN|REAL|IMAG|GDEL|SWR|PHAS|UPH|PPH|SLIN|SLOG|SCOM|SMIT|SADM|PLIN|PLOG|POL}<newline><^END>

Examples

Dim Var as String
Var= "IMP"
Ena.WriteString ":CALC:TRAC:FORM " & Var, True
Ena.WriteString ":CALC:TRAC:FORM?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAC:PAR

Equivalent GUI

Edit Test > Edit Measurement > Format


:CALC:TRAC:LIM:DATA

Type

Command/Query

Syntax

:CALCulate:TRACe:LIMit:DATA <Value>

:CALCulate:TRACe:LIMit:DATA?

Description

This command sets list for limit test.

Variable

Parameter

Value

Description

Indicates the array data (for limit line) of 1 + Num (number of limit lines)×

5. Where n is an integer between 1 and Num.

Data(0) :The number of limit lines you want to set. Specify an integer ranging 0 to 100. When the number of limit lines is set to 0 (clears the limit table), the variable Data is only required with Data(0).

Data(n×

5-4) :The type of the n-th line.

Specify an integer 0 to 2 as follows.

0: OFF

1: Upper limit line

2: Lower limit line

Data(n×5-3) :The value on the horizontal axis (frequency/power/time) of the start point of the n-th line.

Data(n×5-2) :The value on the horizontal axis (frequency/power/time) of the end point of the n-th line.

Data(n×5-1) :The value on the vertical axis of the start point of the n-th line.

Data(n×5) :The value on the vertical axis of the end point of the n-th line.

The index of the array starts from 0.

Data Type

Variant type Array (Range)

Note

If there is no array data of 1+Num (number of set lines))×5 when setting a formatted memory array, an error occurs when executed and the object is ignored. For Data(n×5-4) in the array data, if you specify an integer other than 0, 1 or 2, an error occurs when executed. For Data(n×5-3), Data(n×5-2), Data(n×5-1), and Data(n×5) in the array data, if the specified value is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric 1}, ... ,{numeric 1+(N×5)}<newline><^END>

Examples

Dim Var as Variant
Ena.WriteString ":CALC:TRAC:LIM:DATA 2, 1, 940E6, 960E6, 0, 0, 2, 940E6, 960E6, -10, -10", True
Ena.WriteString ":CALC:TRAC:LIM:DATA?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Line 1: Start: 940 MHz, Stop: 9600 MHz, Limit of Start: 0, Limit of Stop: 0, Max
Line 2: Start: 940 MHz, Stop: 9600 MHz, Limit of Start: -10, Limit of Stop:-10, Min

Related Commands

:CALC:TRAC:LIM:FAIL

Equivalent GUI

Edit Test > Test Limit > Limit Test


:CALC:TRAC:LIM:FAIL

Type

Query

Syntax

:CALCulate:TRACe:LIMit:FAIL?

Description

This command returns true if limit test failed.

Query Response

{1|0}<newline><^END>

1: The limit test result is FAIL.

0: The limit test result is PASS.

Examples

Dim Var as Long
Ena.WriteString ":CALC:TRAC:LIM:FAIL?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:PAR

Equivalent GUI

No equivalent key is available.


:CALC:TRAC:LIM:MODE

Type

Command/Query

Syntax

:CALCulate:TRACe:LIMit:MODE {ABSolute|AVERage|MULTi}

:CALCulate:TRACe:LIMit:MODE?

Description

This command selects the limit test mode. The mode may be changed once measurement domain is changed.

Variable

Parameter | Selection Option
Description | Limit test mode
Data Type | Character string type (String)
Range | ABSolute : Limit test zone is defined by begin ratio and end ratio AVERage : Similar to Absolute limit mode, but available for averaging MULTi : Multi segment limit where max, min, off, begin stimulus, end stimulus, begin response and end response can be specified for each segment. User can specify up to 128 segments
Preset Value | ABSolute

Query Response

{ABS|AVER|MULT}<newline><^END>

Examples

Dim Var as String
Var= "ABS"
Ena.WriteString ":CALC:TRAC:LIM:MODE " & Var, True
Ena.WriteString ":CALC:TRAC:LIM:MODE?", True
Var=Ena.ReadString

Equivalent GUI

Edit Test > Edit Limit > Limit Test Type


:CALC:TRAC:LIM:RAT:BEG

Type

Command/Query

Syntax

:CALCulate:TRACe:LIMit:RATio:BEGin <Value>

:CALCulate:TRACe:LIMit:RATio:BEGin?

Description

This command sets the ratio of the begin stimulus in marker area.

Variable

Parameter | Value
Description | Ratio of the beginning stimulus
Data Type | Numeric type (Real)
Range | 0 ~ 1k
Preset Value | 30
Unit | %
Resolution | 1u

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC:TRAC:LIM:RAT:BEG " & Str(Var), True
Ena.WriteString ":CALC:TRAC:LIM:RAT:BEG?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Edit Limit > Limit Test Begin


:CALC:TRAC:LIM:RAT:END

Type

Command/Query

Syntax

:CALCulate:TRACe:LIMit:RATio:END <Value>

:CALCulate:TRACe:LIMit:RATio:END?

Description

This command sets the ratio of the end stimulus in marker area.

Variable

Parameter | Value
Description | Ratio of the ending stimulus
Data Type | Numeric type (Real)
Range | 0 ~ 1k
Preset Value | 70
Unit | %
Resolution | 1u

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC:TRAC:LIM:RAT:END " & Str(Var), True
Ena.WriteString ":CALC:TRAC:LIM:RAT:END?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Edit Limit > Limit Test End


:CALC:TRAC:LIM:REP:DATA

Type

Query Only

Syntax

:CALCulate:TRACe:LIMit:REPort:DATA?

Description

This command gets a number or a list of numbers where limit test has failed. if no numbers, return 9.91E37.

Query Response

{numeric 1}, ..., {numeric N}<newline><^END>

{numeric n} : Failed test number

Examples

Dim Var as Variant
Ena.WriteString ":CALC:TRAC:LIM:REP:DATA?", True
Var=Ena.ReadList(ASCIIType_R8, ",")

Equivalent GUI

No equivalent key is available.


:CALC:TRAC:LIM:TARG

Type

Command/Query

Syntax

:CALCulate:TRACe:LIMit:TARGet <Value>

:CALCulate:TRACe:LIMit:TARGet?

Description

This command sets the limit target value (unit depends on format, real only, n/a for complex format).

Variable

Parameter | Value
Description | Limit target value, depending on format
Data Type | Numeric type (Real)
Range | -1p ~ 1T
Preset Value | 50
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC:TRAC:LIM:TARG " & Str(Var), True
Ena.WriteString ":CALC:TRAC:LIM:TARG?", True
Var=Ena.ReadNumber

Equivalent GUI

No equivalent key is available.


:CALC:TRAC:LIM:TIME:BEG

Type

Query Only

Syntax

:CALCulate:TRACe:LIMit:TIME:BEGin?

Description

This command gets X-axis data of the beginning of stimulus and returns zero on multi segment limit.

Variable

Parameter | Value
Description | X-axis data of the beginning of stimulus
Data Type | Numeric type (Real)
Range | -1e+18 ~ 1e+18
Preset Value | (Preset value of :CALC:DLEN:DATA) × 0.6
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC:TRAC:LIM:TIME:BEG?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:LIM:TIME:END

Equivalent GUI

Edit Test > Edit Limit > Limit Test Begin


:CALC:TRAC:LIM:TIME:END

Type

Query Only

Syntax

:CALCulate:TRACe:LIMit:TIME:END?

Description

This command gets X-axis data of the end of stimulus and returns zero on multi segment limit..

Variable

Parameter | Value
Description | X-axis data of the end of stimulus
Data Type | Numeric type (Real)
Range | -1e+18 ~ 1e+18
Preset Value | (Preset value of :CALC:DLEN:DATA) × 1.4
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC:TRAC:LIM:TIME:END?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:LIM:TIME:BEG

Equivalent GUI

Edit Test > Edit Limit > Limit Test End


:CALC:TRAC:LIM:TOL:DIFF

Type

Command/Query

Syntax

:CALCulate:TRACe:LIMit:TOLerance:DIFFerence <Value>

:CALCulate:TRACe:LIMit:TOLerance:DIFFerence?

Description

This command sets the limit tolerance in absolute difference.

Variable

Parameter | Value
Description | Limit tolerance in absolute difference
Data Type | Numeric type (Real)
Range | 0 ~ 1T
Preset Value | 5
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC:TRAC:LIM:TOL:DIFF " & Str(Var), True
Ena.WriteString ":CALC:TRAC:LIM:TOL:DIFF?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:LIM:TOL:MODE

:CALC:TRAC:LIM:TOL:RAT

Equivalent GUI

Edit Test > Edit Limit > Limit Test Tolerance


:CALC:TRAC:LIM:TOL:MODE

Type

Command/Query

Syntax

:CALCulate:TRACe:LIMit:TOLerance:MODE {RATio|DIFFerence}

:CALCulate:TRACe:LIMit:TOLerance:MODE?

Description

This command sets the limit test tolerance mode.

Variable

Parameter | Selection Option
Description | Limit test tolerance mode
Data Type | Character string type (String)
Range | RATio - in percentage DIFFerence - in Ohm
Preset Value | RATio
Unit | -
Resolution | -

Query Response

{RAT|DIFF}<newline><^END>

Examples

Dim Var as String
Var= "RATio"
Ena.WriteString ":CALC:TRAC:LIM:TOL:MODE " & Var, True
Ena.WriteString ":CALC:TRAC:LIM:TOL:MODE?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAC:LIM:TOL:DIFF

:CALC:TRAC:LIM:TOL:RAT

Equivalent GUI

Edit Test > Edit Limit > Limit Test Tolerance


:CALC:TRAC:LIM:TOL:RAT

Type

Command/Query

Syntax

:CALCulate:TRACe:LIMit:TOLerance:RATio <Value>

:CALCulate:TRACe:LIMit:TOLerance:RATio?

Description

This command sets the limit tolerance in ratio.

Variable

Parameter | Value
Description | Limit tolerance in ratio
Data Type | Numeric type (Real)
Range | 0 ~ 1k
Preset Value | 10
Unit | -
Resolution | 1u

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0
Ena.WriteString ":CALC:TRAC:LIM:TOL:RAT " & Str(Var), True
Ena.WriteString ":CALC:TRAC:LIM:TOL:RAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:LIM:TOL:DIFF

:CALC:TRAC:LIM:TOL:MODE

Equivalent GUI

Edit Test > Edit Limit > Limit Test Tolerance


:CALC:TRAC:MARK:FUNC:EXEC

:CALC:TRAC:MARK<Mk>:FUNC:EXEC

Type

Command Only

Syntax

:CALCulate:TRACe:MARKer<Mk>:FUNCtion:EXECute

Description

This command executes marker Max or Min for a selected marker function. This is different than tracking mode because moving the marker to another point, the marker does not point back to Max or Min that is previously set.

Examples

Dim Var as String
Var= "MAX"
Ena.WriteString ":CALC:TRAC:MARK1:FUNC:TYPE " & Var, True
Ena.WriteString ":CALC:TRAC:MARK1:FUNC:EXEC", True

Dim Var as String
Ena.WriteString ":CALC:TRAC:MARK1:FUNC:TYPE?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAC:MARK:FUNC:TRAC

:CALC:TRAC:MARK:FUNC:TYPE

Equivalent GUI

No equivalent key is available.


:CALC:TRAC:MARK:FUNC:TRAC

:CALC:TRAC:MARK<Mk>:FUNC:TRAC

Type

Command/Query

Syntax

:CALCulate:TRACe:MARKer<Mk>:FUNCtion:TRACking {ON|OFF|1|0}

:CALCulate:TRACe:MARKer<Mk>:FUNCtion:TRACking?

Description

This command sets state for the marker tracking mode. Using this command makes the marker constantly pointing to the point whereby the marker is either set to Max or Min and is not able to move to other desire point.

Variable

Parameter | Selection Option
Description | Status for the marker tracking mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF
Unit | -
Resolution | -

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":CALC:TRAC:MARK1:FUNC:TRAC ON", True
Ena.WriteString ":CALC:TRAC:MARK1:FUNC:TRAC?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:MARK:FUNC:EXEC

:CALC:TRAC:MARK:FUNC:TYPE

Equivalent GUI

Marker Search > Max or Min


:CALC:TRAC:MARK:FUNC:TYPE

:CALC:TRAC:MARK<Mk>:FUNC:TYPE

Type

Command/Query

Syntax

:CALCulate:TRACe:MARKer<Mk>:FUNCtion:TYPE {MAXimum|MINimum}

:CALCulate:TRACe:MARKer<Mk>:FUNCtion:TYPE?

Description

This command sets type for the marker function. The equivalent GUI use the tracking mode command. Alternatively, execute command can be used.

Variable

Parameter | Selection Option
Description | Marker function type
Data Type | Character string type (String)
Range | MAXimum: The marker moves to the maximum value of the trace. MINimum: The marker moves to the minimum value of the trace.
Preset Value | MAXimum
Unit | -
Resolution | -

Query Response

{MAX|MIN}<newline><^END>

Examples

Dim Var as String
Var= "MAX"
Ena.WriteString ":CALC:TRAC:MARK1:FUNC:TYPE " & Var, True
Ena.WriteString ":CALC:TRAC:MARK1:FUNC:EXEC", True

Ena.WriteString ":CALC:TRAC:MARK1:FUNC:TYPE?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAC:MARK:FUNC:EXEC

:CALC:TRAC:MARK:FUNC:TRAC

Equivalent GUI

Marker Search > Max or Min


:CALC:TRAC:MARK:STAT

:CALC:TRAC:MARK<Mk>:STAT

Type

Command/Query

Syntax

:CALCulate:TRACe:MARKer<Mk>:STATe {ON|OFF|1|0}

:CALCulate:TRACe:MARKer<Mk>:STATe?

Description

This command sets the state for the marker display.

Variable

Parameter | Selection Option
Description | Status for the marker display
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":CALC:TRAC:MARK1:STAT ON", True
Ena.WriteString ":CALC:TRAC:MARK1:STAT?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Edit Limit > Marker


:CALC:TRAC:MARK:X

:CALC:TRAC:MARK<Mk>:X

Type

Command/Query

Syntax

:CALCulate:TRACe:MARKer<Mk>:X <Value>

:CALCulate:TRACe:MARKer<Mk>:X?

Description

This command sets stimulus value of the marker.

Variable

Parameter | Value
Description | Marker stimulus value (X-Axis)
Data Type | Numeric type (Real)
Range | -1e+18 ~ 1e+18
Preset Value | 0
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1
Ena.WriteString ":CALC:TRAC:MARK1:X " & Str(Var), True
Ena.WriteString ":CALC:TRAC:MARK1:X?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:MARK:Y

Equivalent GUI

Edit Test > Instrument Configuration > Advanced Mode > Marker > Select Marker (Entry box above the graph plot)


:CALC:TRAC:MARK:Y

:CALC:TRAC:MARK<Mk>:Y

Type

Query Only

Syntax

:CALCulate:TRACe:MARKer<Mk>:Y?

Description

This command gets response values of the marker.

Variable

Query Response

{numeric1 (real)}, {numeric2 (imaginary)}<newline><^END>

0 is returned when the parameter has no imaginary part

Examples

Dim Var as Variant
Ena.WriteString ":CALC:TRAC:MARK1:Y?", True
Var=Ena.ReadList

Related Commands

:CALC:TRAC:MARK:X

Equivalent GUI

No equivalent key is available.


:CALC:TRAC:MATH:MEM

Type

Command Only

Syntax

:CALCulate:TRACe:MATH:MEMorize

Description

This command copies measurement data to memory trace.

Examples

Ena.WriteString ":CALC:TRAC:MATH:MEM", True

Equivalent GUI

Edit Test > Test Sequence > Edit Measurement > Data Mem > Data -> Mem


:CALC:TRAC:PAR

Type

Command/Query

Syntax

:CALCulate:TRACe:PARameter <String>

:CALCulate:TRACe:PARameter?

Description

This command sets measurement parameter.

Variable

Parameter

String

Description

Measurement parameter

Data Type

Character string type (String)

Range

For Time Domain

  • Txy

For S-Parameter

  • Sxy

x: 1 to 2

y: 1 to 2

Preset Value

"T11" or "S11"

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "T11"
Ena.WriteString ":CALC:TRAC:PAR " & Var, True
Ena.WriteString ":CALC:TRAC:PAR?", True
Var=Ena.ReadString

Equivalent GUI

Edit Test > Test Sequence > Edit Measurement > Parameter


:CALC:TRAC:SMO:STAT

Type

Command/Query

Syntax

:CALCulate:TRACe:SMOothing:STATe {ON|OFF|1|0}

:CALCulate:TRACe:SMOothing:STATe?

Description

This command sets state for smoothing (under S-Parameter only).

Variable

Parameter | Selection Option
Description | Status for smoothing
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":CALC:TRAC:SMO:STAT ON", True
Ena.WriteString ":CALC:TRAC:SMO:STAT?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Test Sequence > Edit Measurement > Smoothing (only when S-Parameter is selected)


:CALC:TRAC:TIME:STEP:RTIM:COUP

Type

Command/Query

Syntax

:CALCulate:TRACe:TIME:STEP:RTIMe:COUPle {ON|OFF|1|0}

:CALCulate:TRACe:TIME:STEP:RTIMe:COUPle?

Description

This command sets rise time couple mode (one per instrument).

Variable

Parameter | Selection Option
Description | Transform function rise time couple mode value
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":CALC:TRAC:TIME:STEP:RTIM:COUP ON", True
Ena.WriteString ":CALC:TRAC:TIME:STEP:RTIM:COUP?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:TIME:STEP:RTIM:THR

Equivalent GUI

Edit Test > Instrument Configuration > More Functions > Couple Rise Time


:CALC:TRAC:TIME:STEP:RTIM:DATA

Type

Command/Query

Syntax

:CALCulate:TRACe:TIME:STEP:RTIMe:DATA <Value>

:CALCulate:TRACe:TIME:STEP:RTIMe:DATA?

Description

This command sets rise time value for the transform function.

Variable

Parameter | Value
Description | Transform function rise time value
Data Type | Numeric type (Real)
Range | 17.7p (18 G), 22.7p (14 G), 37.3p (8.5 G) 48.8p (6.5 G), 70.5p (4.5 G), 105.7p (3 G), 212p (1.5 G), 634p (500 M) ~ 62.5 n
Preset Value | 38.9p (18 G), 50.0p (14 G), 82.4p (8.5 G), 108p (6.5 G), 156p (4.5 G), 234p (3 G), 467p (1.5 G), 1.4n (500 M)
Unit | s
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 40E-12
Ena.WriteString ":CALC:TRAC:TIME:STEP:RTIM:DATA " & Str(Var), True
Ena.WriteString ":CALC:TRAC:TIME:STEP:RTIM:DATA?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:TIME:STEP:RTIM:THR

Equivalent GUI

No equivalent key is available.


:CALC:TRAC:TIME:STEP:RTIM:THR

Type

Command/Query

Syntax

:CALCulate:TRACe:TIME:STEP:RTIMe:THReshold {T1_9|T2_8}

:CALCulate:TRACe:TIME:STEP:RTIMe:THReshold?

Description

This command sets rise time threshold for the transform function.

Variable

Parameter | Selection Option
Description | Transform function rise time threshold
Data Type | Character string type (String)
Range | T1_9 : 10-90% T2_8 : 20-80%
Preset Value | T1_9
Unit | -
Resolution | -

Query Response

{T1_9|T2_8}<newline><^END>

Examples

Dim Var as String
Var= "T1_9"
Ena.WriteString ":CALC:TRAC:TIME:STEP:RTIM:THR " & Var, True
Ena.WriteString ":CALC:TRAC:TIME:STEP:RTIM:THR?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAC:TIME:STEP:RTIM:DATA

Equivalent GUI

Edit Test > Test Sequence > Edit Measurement > Rise Time > 10-90% or 20-80%


:CALC:TRAC:TIME:UNIT

Type

Command/Query

Syntax

:CALCulate:TRACe:TIME:UNIT {TIME|METers|INCHes}

:CALCulate:TRACe:TIME:UNIT?

Description

This command sets X-axis unit of time domain measurement.

Variable

Parameter | Selection Option
Description | Transform function stimulus type
Data Type | Character string type (String)
Range | TIME - x-axis on time domain METers - x -axis on length domain (length in meters) INCHes - x -axis on length domain (length in inches)
Preset Value | TIME

Query Response

{TIME|MET|INCH}<newline><^END>

Examples

Dim Var as String
Var= "TIME"
Ena.WriteString ":CALC:TRAC:TIME:UNIT " & Var, True
Ena.WriteString ":CALC:TRAC:TIME:UNIT?", True
Var=Ena.ReadString

Equivalent GUI

Edit Test > Instrument Configuration > More Functions > X-Axis Unit > Time|Meters|Inches


:CALC:TRAC:TTIM:DATA

Type

Query Only

Syntax

:CALCulate:TRACe:TTIMe:DATA?

Description

This command returns the transition time result value for marker search. You can get the data even if :CALC:TRAC:TTIM:STAT is OFF.

Variable

Parameter | Value
Description | Value of transition time result.
Data Type | Numeric type (Real)
Range | -1e+18 ~ 1e+18
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC:TRAC:TTIM:DATA?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:TTIM:STAT

:CALC:TRAC:TTIM:THR

Equivalent GUI

No equivalent key is available.


:CALC:TRAC:TTIM:STAT

Type

Command/Query

Syntax

:CALCulate:TRACe:TTIMe:STATe {ON|OFF|1|0}

:CALCulate:TRACe:TTIMe:STATe?

Description

This command sets the state for the transition time function.

Variable

Parameter | Selection Option
Description | Status of display of rise time marker
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":CALC:TRAC:TTIM:STAT ON", True
Ena.WriteString ":CALC:TRAC:TTIM:STAT?", True
Var=Ena.ReadNumber

Related Commands

:CALC:TRAC:TTIM:DATA

:CALC:TRAC:TTIM:MID

Equivalent GUI

Edit Test > Edit Limit > Marker Search > Rise Time (10-90%) or Rise Time (20-80%)


:CALC:TRAC:TTIM:MID

Type

Query Only

Syntax

:CALCulate:TRACe:TTIMe:MID?

Description

This command returns the time of the one way for DUT length (the detected edge by the transition time function).

Variable

Parameter | Value
Description | Vopen/2 time result value
Data Type | Numeric type (Real)
Range | -1e+18 ~ 1e+18
Preset Value | -1.74n
Unit | sec
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":CALC:TRAC:TTIM:MID?", True
Var=Ena.ReadNumber

Equivalent GUI

No equivalent key is available.


:CALC:TRAC:TTIM:THR

Type

Command/Query

Syntax

:CALCulate:TRACe:TTIMe:THReshold {T1_9|T2_8}

:CALCulate:TRACe:TTIMe:THReshold?

Description

This command sets the rise time threshold for the rise time in the marker search function.

Variable

Parameter | Selection Option
Description | Transition time function rise time threshold
Data Type | Character string type (String)
Range | T1_9 : 10-90% T2_8 : 20-80%
Preset Value | T1_9

Query Response

{T1_9|T2_8}<newline><^END>

Examples

Dim Var as String
Var= "T1_9"
Ena.WriteString ":CALC:TRAC:TTIM:THR " & Var, True
Ena.WriteString ":CALC:TRAC:TTIM:THR?", True
Var=Ena.ReadString

Related Commands

:CALC:TRAC:TTIM:DATA

:CALC:TRAC:TTIM:STAT

Equivalent GUI

Marker Search > Rise Time (10-90%) or Rise Time (20-80%)


:DISP:ATR:SCAL:DIV

Type

Command/Query

Syntax

:DISPlay:ATRaces:SCALe:DIVisions <Value>

:DISPlay:ATRaces:SCALe:DIVisions?

Description

This command sets the number of divisions.

Variable

Parameter | Value
Description | Sets the number of divisions
Data Type | Numeric type (Integer)
Range | 4 ~ 30
Preset Value | 10

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 15
Ena.WriteString ":DISP:ATR:SCAL:DIV " & Str(Var), True
Ena.WriteString ":DISP:ATR:SCAL:DIV?", True
Var=Ena.ReadNumber

Related Commands

:DISP:ATR:SCAL:RPOS

Equivalent GUI

No equivalent key is available.


:DISP:ATR:SCAL:RPOS

Type

Command/Query

Syntax

:DISPlay:ATRaces:SCALe:RPOSition {LEFT|CENTer}

:DISPlay:ATRaces:SCALe:RPOSition?

Description

This command sets x-axis reference position.

Variable

Parameter | Selection Option
Description | Sets x-axis reference position
Data Type | Character string type (String)
Range | LEFT: The reference position is left edge CENTer: The reference position is center
Preset Value | LEFT

Query Response

{LEFT|CENT}<newline><^END>

Examples

Dim Var as String
Var= "LEFT"
Ena.WriteString ":DISP:ATR:SCAL:RPOS " & Var, True
Ena.WriteString ":DISP:ATR:SCAL:RPOS?", True
Var=Ena.ReadString

Equivalent GUI

Edit Test > Test Limit > [image] or [image] (Under Horizontal Scale)


:DISP:IMAG

Type

Command/Query

Syntax

:DISPlay:IMAGe {NORMal|INVert}

:DISPlay:IMAGe?

Description

This command changes the background color of screen.

Variable

Parameter | Selection Option
Description | Background color
Data Type | Character string type (String)
Range | NORMal: Black background color INVert: While background color
Preset Value | NORMal

Query Response

{NORM|INV}<newline><^END>

Examples

Dim Var as String
Var= "INV"
Ena.WriteString ":DISP:IMAG " & Var, True
Ena.WriteString ":DISP:IMAG?", True
Var=Ena.ReadString

Related Commands

:MMEM:STOR:IMAG

Equivalent GUI

Edit Test > Edit Measurement/Test Limit > File > Invert Color


:DISP:TRAC:DMEM:TYPE

Type

Command/Query

Syntax

:DISPlay:TRACe:DMEMory:TYPE {OFF|DATA|MEMory|DMEMory}

:DISPlay:TRACe:DMEMory:TYPE?

Description

This command sets type of data/memory display.

Variable

Parameter | Selection Option
Description | Sets the display to off, data type, memory type or data and memory type
Data Type | Character string type (String)
Range | OFF: Nothing is displayed on the graph plot. DATA: Data only is displayed on the graph plot. MEMory: Memory only is displayed on the graph plot. DMEMory: Data and Memory are displayed on the graph plot.
Preset Value | DATA

Query Response

{OFF|DATA|MEM|DMEM}<newline><^END>

Examples

Dim Var as String
Var= "OFF"
Ena.WriteString ":DISP:TRAC:DMEM:TYPE " & Var, True
Ena.WriteString ":DISP:TRAC:DMEM:TYPE?", True
Var=Ena.ReadString

Equivalent GUI

Edit Test > Edit Measurement/Test Limit > Data Mem > Select Data -> Mem, Off, Data, Memory or Data & Memory


:DISP:TRAC:X:SCAL:AUTO

Type

Command Only

Syntax

:DISPlay:TRACe:X:SCALe:AUTO

Description

This command executes x-axis auto scaling.

Examples

Ena.WriteString ":DISP:TRAC:X:SCAL:AUTO", True

Related Commands

:DISP:TRAC:Y:SCAL:AUTO

Equivalent GUI

Auto Scale > X OR

Right-click on the graph plot > Auto Scale X


:DISP:TRAC:X:SCAL:PDIV

Type

Command/Query

Syntax

:DISPlay:TRACe:X:SCALe:PDIVision <Value>

:DISPlay:TRACe:X:SCALe:PDIVision?

Description

This command sets value of x-axis scale per division.

Variable

Parameter | X-axis scale per division
Description | Double precision floating point type (Double)
Data Type | Numeric type (Real)
Range | -1e+18 ~ 1e+18
Preset Value | (Preset value of :CALC:DLEN:DATA) × 0.25

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 2E-9
Ena.WriteString ":DISP:TRAC:X:SCAL:PDIV " & Str(Var), True
Ena.WriteString ":DISP:TRAC:X:SCAL:PDIV?", True
Var=Ena.ReadNumber

Related Commands

:DISP:TRAC:Y:SCAL:PDIV

Equivalent GUI

Edit Test > Test Limit > input box under the left knob (Under Horizontal Scale)


:DISP:TRAC:X:SCAL:RLEV

Type

Command/Query

Syntax

:DISPlay:TRACe:X:SCALe:RLEVel <Value>

:DISPlay:TRACe:X:SCALe:RLEVel?

Description

This command sets value of x-axis reference division line.

Variable

Parameter | Value
Description | Value at X-axis reference line
Data Type | Numeric type (Real)
Range | -1e+18 ~ 1e+18
Preset Value | (Preset value of :CALC:DLEN:DATA) × -0.25
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= -2E-9
Ena.WriteString ":DISP:TRAC:X:SCAL:RLEV " & Str(Var), True
Ena.WriteString ":DISP:TRAC:X:SCAL:RLEV?", True
Var=Ena.ReadNumber

Related Commands

:DISP:TRAC:Y:SCAL:RLEV

Equivalent GUI

Edit Test > Test Limit > > input box under the right knob (Under Horizontal Scale)


:DISP:TRAC:Y:SCAL:AUTO

Type

Command

Syntax

:DISPlay:TRACe:Y:SCALe:AUTO

Description

This command sets execute y-axis auto scaling.

Examples

Ena.WriteString ":DISP:TRAC:Y:SCAL:AUTO", True

Related Commands

:DISP:TRAC:X:SCAL:AUTO

Equivalent GUI

Auto Scale > Y OR

Right-click on the graph plot > Auto Scale Y


:DISP:TRAC:Y:SCAL:PDIV

Type

Command/Query

Syntax

:DISPlay:TRACe:Y:SCALe:PDIVision <Value>

:DISPlay:TRACe:Y:SCALe:PDIVision?

Description

This command sets value of Y-axis scale per division.

Variable

Parameter | Value
Description | Y-axis scale per division value
Data Type | Numeric type (Real)
Range | 1a ~ 100M
Preset Value | 10

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var=20
Ena.WriteString ":DISP:TRAC:Y:SCAL:PDIV " & Str(Var), True
Ena.WriteString ":DISP:TRAC:Y:SCAL:PDIV?", True
Var=Ena.ReadNumber

Related Commands

:DISP:TRAC:X:SCAL:PDIV

Equivalent GUI

Edit Test > Test Limit > input box under the left knob (Under Vertical Scale)


:DISP:TRAC:Y:SCAL:RLEV

Type

Command/Query

Syntax

:DISPlay:TRACe:Y:SCALe:RLEVel <Value>

:DISPlay:TRACe:Y:SCALe:RLEVel?

Description

This command sets value of y-axis reference division line.

Variable

Parameter | Value
Description | Value at Y-axis reference line
Data Type | Numeric type (Real)
Range | -500M ~ 500M
Preset Value | 50

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100
Ena.WriteString ":DISP:TRAC:Y:SCAL:RLEV " & Str(Var), True
Ena.WriteString ":DISP:TRAC:Y:SCAL:RLEV?", True
Var=Ena.ReadNumber

Related Commands

:DISP:TRAC:X:SCAL:RLEV

Equivalent GUI

Edit Test > Test Limit > > input box under the right knob (Under Vertical Scale)


:DISP:TRAC:Y:SCAL:RPOS

Type

Command/Query

Syntax

:DISPlay:TRACe:Y:SCALe:RPOSition <Value>

:DISPlay:TRACe:Y:SCALe:RPOSition?

Description

This command specifies the position of y-axis reference division line.

Variable

Parameter | Value
Description | Position of reference division line
Data Type | Numeric type (Integer)
Range | 0 ~ 30
Preset Value | 5
Unit | Div
Resolution | 1

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var=10
Ena.WriteString ":DISP:TRAC:Y:SCAL:RPOS " & Str(Var), True
Ena.WriteString ":DISP:TRAC:Y:SCAL:RPOS?", True
Var=Ena.ReadNumber

Related Commands

:DISP:TRAC:Y:SCAL:RLEV

:DISP:TRAC:Y:SCAL:PDIV

Equivalent GUI

Edit Test > Test Limit > Scale > Y


*CLS

Type

Command Only

Syntax

*CLS

Description

This command clears the status.

Examples

Ena.WriteString "*CLS", True

Equivalent GUI

No equivalent key is available.


*IDN

Type

Query Only

Syntax

*IDN?

Description

This command returns the product information and revision number of the E5063A Test Wizard application.

Variable

Parameter | String
Description | Product information and revision number
Data Type | Character string type (String)
Preset Value | "Keysight Technologies,Test Wizard,--------,M.00.94.90.00"

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Ena.WriteString "*IDN?", True
Var=Ena.ReadString

Equivalent GUI

E5063A Test Wizard logo at the upper left corner on GUI.


*OPC

Type

Query Only

Syntax

*OPC?

Description

This command detects the operation complete.

Variable

Parameter | Value
Description | Operation complete
Data Type | Numeric type (Integer)
Range | 1 is returned when all pending operations are complete
Preset Value | 1
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString "*OPC?", True
Var=Ena.ReadString

Equivalent GUI

No equivalent key is available.


*OPT

Type

Query Only

Syntax

*OPT?

Description

This command reads the identification numbers of options of the Test Wizard.

Variable

Parameter | String
Description | Identification numbers of installed options
Data Type | Character string type (String)
Preset Value | "2H5"
Note | If there is no installed option, 0 is read out.

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Ena.WriteString "*OPT?", True
Var=Ena.ReadString

Equivalent GUI

No equivalent key is available.


:MMEM:LOAD:STAT

Type

Command Only

Syntax

:MMEMory:LOAD:STATe <String>

Description

This command recalls the specified test wizard state file (file with .twz extension saved with :MMEM:STOR:STAT). The state file is recalled from your local PC in case of remote.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | String
Description | File name of test wizard state (extension ".twz") in your local pc.
Data Type | Character string type (String)
Range | 254 characters or less
Note | If the specified file does not exist, an error occurs when executed and the object is ignored.

Examples

Dim Var as String
Var = "Test.twz"
Ena.WriteString ":MMEM:LOAD:STAT " & Var, True

Related Commands

:MMEM:STOR:STAT

Equivalent GUI

Recall Test

This GUI loads the state file from the E5063A storage.


:MMEM:STOR:FDAT

Type

Command Only

Syntax

:MMEMory:STORe:FDATa <String>

Description

This command saves formatted data. The file is saved in the E5063A storage.

Variable

Parameter | String (File)
Description | File name in which you want to save the formatted data array (extension ".csv"). Specify the file under D: drive of the E5063A storage.
Data Type | Character string type (String)
Range | 254 characters or less
Note | If a file with the same name as the specified file name exists, its contents are overwritten.

Examples

Dim Var as String
Var = "test.csv"
Ena.WriteString ":MMEM:STOR:FDAT " & Var, True

Related Commands

:MMEM:STOR:RES

Equivalent GUI

Edit Test > Edit Measurement/Test Limit > File > Save Trace Data


:MMEM:STOR:IMAG

Type

Command Only

Syntax

:MMEMory:STORe:IMAGe <String>

Description

This command saves the display image on the LCD display at the execution of the object into a file in the portable network graphics (extension ".png") format. The file is saved in the E5063A storage.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | String (File)
Description | File name in which you want to save the display image on the LCD display (extension ".png"). Specify the file under D: drive of the E5063A storage.
Data Type | Character string type (String)
Range | 254 characters or less
Note | If a file with the same name as the specified file name exists, its contents are overwritten.

Examples

Dim Var as String
Var = "image.png"
Ena.WriteString ":MMEM:STOR:IMAG " & Var, True

Equivalent GUI

Edit Test > Edit Measurement/Test Limit > File > Save Image


:MMEM:STOR:RES

Type

Command Only

Syntax

:MMEMory:STORe:RESult <String>

Description

This command stores test result of the current test sequence and clears the test results. The file is saved in the E5063A storage.

Variable

Parameter | String (File)
Description | File name in which you want to save the formatted data array (extension ".csv"). Specify the file under D: drive of the E5063A storage.
Data Type | Character string type (String)
Range | 254 characters or less
Note | If a file with the same name as the specified file name exists, its contents are overwritten.

Examples

Dim Var as String
Var = "test.csv"
Ena.WriteString ":MMEM:STOR:RES " & Var, True

Related Commands

:MMEM:STOR:FDAT

Equivalent GUI

No equivalent key is available.


:MMEM:STOR:SNP

Type

Command Only

Syntax

:MMEMory:STORe:SNP <String>

Description

This command sets store measurement data into a touchstone format file. The file extension should be changed according to the setting of DUT topology.

File Extension | DUT Topology
.s1p | Single Ended 1
.s2p | Single Ended 2, Differential 1

Variable

Parameter | String
Description | File name of touchstone file (.snp). Specify the file under D: drive of the E5063A storage.
Data Type | Character string type (String)
Range | 254 characters or less
Preset Value | If a file with the same name as the specified file name exists, its contents are overwritten.

Examples

Dim Var as String
Var = "test.s1p"
Ena.WriteString ":MMEM:STOR:SNP " & Var, True

Related Commands

:MMEM:STOR:FDAT

Equivalent GUI

File > Save Touchstone


:MMEM:STOR:STAT

Type

Command Only

Syntax

:MMEMory:STORe:STATe <String>

Description

This command stores test. File name must be an absolute path or an UNC.

This command saves test state data (contents to be saved specified with the :MMEM:STOR:STYP object) into a file (file with the .sta extension). The state file is saved into your local PC in case of remote.

      • Specify the file name with the extension. When you use directory names and file name, separate them with "\" (back slash), or "/" (slash).

Variable

Parameter | String (File)
Description | File name to save the instrument state (extension ".sta")
Data Type | Character string type (String)
Range | 254 characters or less
Note | If a file with the same name as the specified file name exists, its contents are overwritten.

Examples

Dim Var as String
Var = "test.sta"
Ena.WriteString ":MMEM:STOR:STAT " & Var, True

Related Commands

:MMEM:STOR:STYP

:MMEM:LOAD:STAT

Equivalent GUI

Save Test or Save Test As

This GUI saves the state file into the E5063A storage.


:MMEM:STOR:STYP

Type

Command/Query+

Syntax

:MMEMory:STORe:STYPe {STATe|CSTate}

:MMEMory:STORe:STYPe?

Description

Selects the contents saved when saving the test state data into a file with the :MMEM:STOR:STAT.

Variable

Parameter | Selection Option
Description | Data of instrument state
Data Type | Character string type (String)
Range | Select from the following. "STATe": Specifies the save of the measurement conditions only. "CSTate":Specifies the save of the measurement conditions and the calibration state.
Preset Value | STATe

Query Response

{STAT|CST}<newline><^END>

Examples

Dim Var as String
Var= "STAT"
Ena.WriteString ":MMEM:STOR:STYP " & Var, True
Ena.WriteString ":MMEM:STOR:STYP?", True
Var=Ena.ReadString

Related Commands

:MMEM:STOR:STAT

Equivalent GUI

Save Test or Save Test As


:SENS:AVER:CLE

Type

Command

Syntax

:SENSe:AVERage:CLEar

Description

This command resets the data count to 0, used for averaging. Measurement data before the execution of this object is not used for averaging.

Examples

Ena.WriteString ":SENS:AVER:CLE", True

Related Commands

:SENS:AVER:COUN

:SENS:AVER:STAT

Equivalent GUI

Edit Test > Test Sequence > Edit Measurement > Averaging > Uncheck


:SENS:AVER:COUN

Type

Command/Query

Syntax

:SENSe:AVERage:COUNt <Value>

:SENSe:AVERage:COUNt?

Description

This command sets the averaging factor.

Variable

Parameter | Value
Description | Averaging factor
Data Type | Numeric type (Integer)
Range | 1 ~ 999
Preset Value | 16
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 10
Ena.WriteString ":SENS:AVER:COUN " & Str(Var), True
Ena.WriteString ":SENS:AVER:COUN?", True
Var=Ena.ReadNumber

Related Commands

:SENS:AVER:CLE

:SENS:AVER:STAT

Equivalent GUI

Edit Test > Test Sequence > Edit Measurement > Averaging > Key in the averaging factor number


:SENS:AVER:STAT

Type

Command/Query

Syntax

:SENSe:AVERage:STATe {ON|OFF|1|0}

:SENSe:AVERage:STATe?

Description

This command sets the average function.

Variable

Parameter | Selection Option
Description | ON/OFF of the averaging function
Data Type | Boolean type (Boolean)
Range | 1 or ON: Turns ON the averaging function. 0 or OFF: Turns OFF the averaging function.
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SENS:AVER:STAT ON", True
Ena.WriteString ":SENS:AVER:STAT?", True
Var=Ena.ReadNumber

Related Commands

:SENS:AVER:CLE

:SENS:AVER:COUN

Equivalent GUI

Edit Test > Test Sequence > Edit Measurement > Averaging > Check


:SENS:BWID

Type

Command/Query

Syntax

:SENSe:BWIDth <Value>

:SENSe:BWIDth?

Description

This command sets the IF Bandwidth.

Variable

Parameter | Value
Description | IF bandwidth
Data Type | Numeric type (Real)
Range | 10 ~ 300k
Preset Value | 70k
Unit | Hz
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 10
Ena.WriteString ":SENS:BWID " & Str(Var), True
Ena.WriteString ":SENS:BWID?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Test Sequence > Edit Measurement > IFBW > Key in the value


:SENS:CORR:AVER:COUN

Type

Command/Query

Syntax

:SENSe:CORRection:AVERage:COUNt <Value>

:SENSe:CORRection:AVERage:COUNt?

Description

This command sets the average count value for error correction measurement.

Variable

Parameter | Value
Description | Average count for error measument
Data Type | Numeric type (Integer)
Range | 1 ~ 999
Preset Value | 1
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 2
Ena.WriteString ":SENS:CORR:AVER:COUN " & Str(Var), True
Ena.WriteString ":SENS:CORR:AVER:COUN?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:BWID

Equivalent GUI

Edit Test > Error Correction > Averaging Factor > Key in the value


:SENS:CORR:BWID

Type

Command/Query

Syntax

:SENSe:CORRection:BWIDth <Value>

:SENSe:CORRection:BWIDth?

Description

This command sets the IF Bandwidth for error correction measurement.

Variable

Parameter | Value
Description | IF Bandwidth for error correction
Data Type | Numeric type (Real)
Range | 10 ~ 300k
Preset Value | 70k
Unit | Hz
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 100
Ena.WriteString ":SENS:CORR:BWID " & Str(Var), True
Ena.WriteString ":SENS:CORR:BWID?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:AVER:COUN

Equivalent GUI

Edit Test > Error Correction > IFBW > Key in the value


:SENS:CORR:COLL:CKIT:STAN:LOAD:Z0

Type

Command/Query

Syntax

:SENSe:CORRection:COLLect:CKIT:STANdard:LOAD:Z0 <Value>

:SENSe:CORRection:COLLect:CKIT:STANdard:LOAD:Z0?

Description

This command sets the impedance of load standard in DLC load measurement.

Variable

Parameter | Value
Description | Impedance (Z0) of load standard
Data Type | Numeric type (Real)
Range | 1p ~ 1T
Preset Value | 50
Unit | Ω
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 75
Ena.WriteString ":SENS:CORR:COLL:CKIT:STAN:LOAD:Z0 " & Str(Var), True
Ena.WriteString ":SENS:CORR:COLL:CKIT:STAN:LOAD:Z0?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Error Correction > Load Impedance > Key in the value


:SENS:CORR:COLL:DLC:LEAV

Type

Command Only

Syntax

:SENSe:CORRection:COLLect:DLComp:LEAVe <Value>

Description

This command aborts the DLC sequence.

Variable

Parameter | Value
Description | DUT port number
Data Type | Numeric type (Integer)
Range | 1 to 4

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":SENS:CORR:COLL:DLC:LEAV " & Str(Var), True

Related Commands

:SENS:CORR:COLL:DLC:LOAD

:SENS:CORR:COLL:DLC:OPEN

:SENS:CORR:COLL:DLC:SAVE

:SENS:CORR:COLL:DLC:THRU

Equivalent GUI

No equivalent key is available.


:SENS:CORR:COLL:DLC:LOAD

Type

Command Only

Syntax

:SENSe:CORRection:COLLect:DLComp:LOAD <Value>

Description

This command executes load measurement, as a part of DLC sequence.

Variable

Parameter | Value
Description | DUT port number
Data Type | Numeric type (Integer)
Range | 1 to 4

Examples

See :SENS:CORR:COLL:DLC:SAVE

Related Commands

:SENS:CORR:COLL:DLC:LEAV

:SENS:CORR:COLL:DLC:OPEN

:SENS:CORR:COLL:DLC:SAVE

:SENS:CORR:COLL:DLC:THRU

:SENS:CORR:PORT:METH

Equivalent GUI

Error Correction Wizard > Measure Load (optional)


:SENS:CORR:COLL:DLC:OPEN

Type

Command Only

Syntax

:SENSe:CORRection:COLLect:DLComp:OPEN <Value>

Description

This command executes open measurement, as a part of DLC sequence.

Variable

Parameter | Value
Description | DUT port number
Data Type | Numeric type (Integer)
Range | 1 ~ 4

Examples

' Set No. of U1810B at 0 and set DUT Topology to S1

Ena.WriteString ":SYST:TOP:SWIT 0", True
Ena.WriteString ":SYST:TOP:DEV S1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

' Error Correction Page (Select Deskew and Loss and Execute)

Ena.WriteString ":SENS:CORR:PORT1:METH DLC", True
Ena.WriteString ":SENS:CORR:PORT2:METH DLC", True

MsgBox "[Deskew & Loss - Deskew] Disconnect the cables from DUT to make open condition on the E5063A Ports 1 and 2", vbOKOnly
Ena.WriteString ":SENS:CORR:EXT:AUTO:IMM:PORT 1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

Ena.WriteString ":SENS:CORR:EXT:AUTO:IMM:PORT 2", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Open] Connect Thru at the end of cables on the E5063A Port 1", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:OPEN 1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Load] Connect Load at the end of cables on the E5063A Port 1", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:LOAD 1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Open] Connect Thru at the end of cables on the E5063A Port 2", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:OPEN 2", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Load] Connect Load at the end of cables on the E5063A Port 2", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:LOAD 2", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

Ena.WriteString ":SENS:CORR:COLL:DLC:SAVE 1", True ' Port 2 data is also stored.

Related Commands

:SENS:CORR:COLL:DLC:LEAV

:SENS:CORR:COLL:DLC:LOAD

:SENS:CORR:COLL:DLC:SAVE

:SENS:CORR:COLL:DLC:THRU

:SENS:CORR:PORT:METH

Equivalent GUI

Error Correction Wizard > Measure Open


:SENS:CORR:COLL:DLC:SAVE

Type

Command Only

Syntax

:SENSe:CORRection:COLLect:DLComp:SAVE <Value>

Description

This command registers Deskew an loss results.

If you execute this for both DUT ports 1 and 2 (3 and 4), only :SENS:CORR:COLL:DLC:SAVE 1 (3) should be executed. Executing:SENS:CORR:COLL:DLC:SAVE 2 (4) causes an error "Invalid calibration method".

In the other words, when you have the DCL correction for both DUT ports 1 and 2 (3 and 4), both ports should be taken at the same time.

Variable

Parameter | Value
Description | DUT port number
Data Type | Numeric type (Integer)
Range | 1 ~ 4

Examples

' Set No. of U1810B at 1 and set DUT Topology to S1
Ena.WriteString ":SYST:TOP:SWIT 1", True
Ena.WriteString ":SYST:TOP:DEV S1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

' Error Correction Page (Select Deskew and Loss and Execute)
Ena.WriteString ":SENS:CORR:PORT1:METH DLC", True
Ena.WriteString ":SENS:CORR:PORT2:METH DLC", True
Ena.WriteString ":SENS:CORR:PORT3:METH DLC", True

MsgBox "[Deskew & Loss - Deskew] Disconnect the cables from DUT to make open condition on the E5063A DUT Ports 1 to 3", vbOKOnly
Ena.WriteString ":SENS:CORR:EXT:AUTO:IMM:PORT 1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

Ena.WriteString ":SENS:CORR:EXT:AUTO:IMM:PORT 2", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

Ena.WriteString ":SENS:CORR:EXT:AUTO:IMM:PORT 3", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Open] Connect Thru at the end of cables on the E5063A DUT Port 1", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:OPEN 1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Load] Connect Load at the end of cables on the E5063A DUT Port 1", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:LOAD 1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Open] Connect Thru at the end of cables on the E5063A DUT Port 2", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:OPEN 2", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Load] Connect Load at the end of cables on the E5063A DUT Port 2", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:LOAD 2", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

Ena.WriteString ":SENS:CORR:COLL:DLC:SAVE 1", True ' Port 2 data is also stored

MsgBox "[Deskew & Loss - Open] Connect Thru at the end of cables on the E5063A DUT Port 3", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:OPEN 3", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Load] Connect Load at the end of cables on the E5063A DUT Port 3", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:LOAD 3", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

Ena.WriteString ":SENS:CORR:COLL:DLC:SAVE 3", True

See also :SENS:CORR:COLL:DLC:THRU and :SENS:CORR:COLL:DLC:OPEN

Related Commands

:SENS :CORR:COLL:DLC:LEAV

:SENS:CORR:COLL:DLC:LOAD

:SENS:CORR:COLL:DLC:OPEN

:SENS:CORR:COLL:DLC:THRU

:SENS:CORR:PORT:METH

Equivalent GUI

Error Correction Wizard > Finish


:SENS:CORR:COLL:DLC:THRU

Type

Command Only

Syntax

:SENSe:CORRection:COLLect:DLComp:THRU {TH12|TH34}

Description

This command executes thru measurement, as a part of DLC sequence.

Variable

Parameter | Selection Option
Description | Thru measurement
Data Type | Character string type (String)
Range | TH12: DUT port number between 1 to 2 TH34: DUT port number between 3 to 4

Examples

' Set No. of U1810B at 0 and set DUT Topology to D1

Ena.WriteString ":SYST:TOP:SWIT 0", True
Ena.WriteString ":SYST:TOP:DEV D1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

' Error Correction Page (Select Deskew and Loss and Execute)

Ena.WriteString ":SENS:CORR:PORT1:METH DLC", True
Ena.WriteString ":SENS:CORR:PORT2:METH DLC", True

MsgBox "[Deskew & Loss - Deskew] Disconnect the cables from DUT to make open condition on the E5063A Ports 1 and 2", vbOKOnly

Ena.WriteString ":SENS:CORR:EXT:AUTO:IMM:PORT 1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

Ena.WriteString ":SENS:CORR:EXT:AUTO:IMM:PORT 2", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Thru] Connect Thru between cables on the E5063A Ports 1 and 2", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:THRU TH12", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Load] Connect Load at the end of cables on the E5063A Port 1", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:LOAD 1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Deskew & Loss - Load] Connect Load at the end of cables on the E5063A Port 2", vbOKOnly
Ena.WriteString ":SENS:CORR:COLL:DLC:LOAD 2", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber
Ena.WriteString ":SENS:CORR:COLL:DLC:SAVE 1", True ' Port 2 data is also stored.

Related Commands

:SENS:CORR:COLL:DLC:LEAV

:SENS:CORR:COLL:DLC:LOAD

:SENS:CORR:COLL:DLC:OPEN

:SENS:CORR:COLL:DLC:SAVE

Equivalent GUI

Error Correction Wizard > Measure Open


:SENS:CORR:COLL:ECAL:FCOM:IMM

Type

Command Only

Syntax

:SENSe:CORRection:COLLect:ECAL:FCOMp:IMMediate[:ALL]

Description

This command executes the fixture compensation after ECal.

Examples

Ena.WriteString ":SENS:CORR:COLL:ECAL:FCOM:IMM", True

See :SENS:CORR:COLL:ECAL:SOLT2.

Related Commands

:SENS:CORR:COLL:ECAL:FCOM:IMM:PORT

:SENS:CORR:COLL:ECAL:SOLT1

:SENS:CORR:COLL:ECAL:SOLT2

Equivalent GUI

Error Correction Wizard > Fixture Compen (Optional)


:SENS:CORR:COLL:ECAL:FCOM:IMM:PORT

Type

Command Only

Syntax

:SENSe:CORRection:COLLect:ECAL:FCOMp:IMMediate:PORT <Value>

Description

This command executes the fixture compensation for a defined port.

Variable

Parameter | Value
Description | DUT port number
Data Type | Numeric type (Integer)
Range | 1 ~ 4
Preset Value | -
Unit | -
Resolution | -

Examples

See :SENS:CORR:COLL:ECAL:SOLT1.

Related Commands

:SENS:CORR:COLL:ECAL:FCOM:IMM

:SENS:CORR:COLL:ECAL:SOLT1

:SENS:CORR:COLL:ECAL:SOLT2

Equivalent GUI

Error Correction Wizard > Fixture Compen (Optional) > Fixture Compen Port <Port Number>


:SENS:CORR:COLL:ECAL:SOLT1

Type

Command/Query

Syntax

:SENSe:CORRection:COLLect:ECAL:SOLT1 <Value>

:SENSe:CORRection:COLLect:ECAL:SOLT1?

Description

This command executes full 1-port calibration of the specified port using the ECal (Electronic Calibration) module.

      • If this command is executed when the ECal module is not connected or when ports are not connected each other appropriately, an error occurs and the command is ignored.

Variable

Parameter | Value
Description | DUT port number
Data Type | Numeric type (Integer)
Range | 1 ~ 4
Preset Value | -
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

EnaEna.WriteString ":SYST:TOP:SWIT 0", True
EnaEna.WriteString ":SYST:TOP:DEV S1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

' Error Correction

Ena.WriteString ":SENS:CORR:PORT1:METH ECAL", True
MsgBox "[ECal] Connect Ecal with the cables from the E5063A Port 1.", vbOKOnly

Ena.WriteString ":SENS:CORR:COLL:ECAL:SOLT1 1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Fixture Compen] Make the end of fixture open.", vbOKOnly

Ena.WriteString ":SENS:CORR:COLL:ECAL:FCOM:IMM:PORT 1", True ' This is optional.
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

Related Commands

:SENS:CORR:COLL:ECAL:SOLT2

:SENS:CORR:PORT:METH

:SENS:CORR:COLL:ECAL:FCOM:IMM

:SENS:CORR:COLL:ECAL:FCOM:IMM:PORT

Equivalent GUI

Error Correction Wizard > ECal > Calibrate Port 1


:SENS:CORR:COLL:ECAL:SOLT2

Type

Command/Query

Syntax

:SENSe:CORRection:COLLect:ECAL:SOLT2 <Value1>, <Value2>

:SENSe:CORRection:COLLect:ECAL:SOLT2?

Description

This command executes full 2-port calibration of the specified port using the ECal (Electronic Calibration) module.

      • If this command is executed when the ECal module is not connected or when ports are not connected each other appropriately, an error occurs and the command is ignored.

Variable

Parameter | Value1
Description | Specifies DUT port number for full 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 4

Parameter | Value
Description | Specifies the other DUT port numberfor full 2-port calibration.
Data Type | Numeric type (Integer)
Range | 1 ~ 4

Query Response

{numeric1}, {numeric2}<newline><^END>

Examples

EnaEna.WriteString ":SYST:TOP:SWIT 0", True
EnaEna.WriteString ":SYST:TOP:DEV D1", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

' Error Correction

Ena.WriteString ":SENS:CORR:PORT1:METH ECAL", True
Ena.WriteString ":SENS:CORR:PORT2:METH ECAL", True

MsgBox "[ECal] Connect Ecal with the cables from the E5063A Ports 1 and 2", vbOKOnly

Ena.WriteString ":SENS:CORR:COLL:ECAL:SOLT2 1,2", True
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

MsgBox "[Fixture Compen] Make the end of fixture open.", vbOKOnly

Ena.WriteString ":SENS:CORR:COLL:ECAL:FCOM:IMM", True ' This is optional.
Ena.WriteString "*OPC?", True
NumDmy = .ReadNumber

Related Commands

:SENS:CORR:COLL:ECAL:SOLT1

:SENS:CORR:PORT:METH

:SENS:CORR:COLL:ECAL:FCOM:IMM

:SENS:CORR:COLL:ECAL:FCOM:IMM:PORT

Equivalent GUI

Error Correction Wizard > ECal > Calibrate Port 1,2


:SENS:CORR:DCON

Type

Command/Query

Syntax

:SENSe:CORRection:DCONstant <Value>

:SENSe:CORRection:DCONstant?

Description

This command sets dielectric constant value.

Variable

Parameter | Value
Description | Double precision floating point type (Double)
Data Type | Numeric type (Real)
Range | 10m ~ 100
Preset Value | 1000m
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 0.01
Ena.WriteString ":SENS:CORR:DCON " & Str(Var), True
Ena.WriteString ":SENS:CORR:DCON?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:RIMP

Equivalent GUI

Edit Test > Instrument Configuration > More Functions > Dielectric Constant

Edit Test > Instrument Configuration > More Functions > Velocity Factor


:SENS:CORR:EXT:AUTO:IMM

Type

Command

Syntax

:SENSe:CORRection:EXTension:AUTO:IMMediate[:ALL]

Description

This command executes the deskew (auto port extension) for all DUT ports.

Examples

Ena.WriteString ":SENS:CORR:PORT1:METH DESK", True
Ena.WriteString ":SENS:CORR:EXT:AUTO:IMM", True

Related Commands

:SENS:CORR:EXT:AUTO:IMM:PORT

:SENS:CORR:PORT:METH

Equivalent GUI

Error Correction > Error Correction Wizard > Select Method > Deskew


:SENS:CORR:EXT:AUTO:IMM:PORT

Type

Command

Syntax

:SENSe:CORRection:EXTension:AUTO:IMMediate:PORT <Value>

Description

This command executes the deskew (auto port extension) for selected DUT port.

Variable

Parameter | Value
Description | DUT Port number
Data Type | Numeric type (Integer)
Range | 1 to 4

Examples

Dim Var as Long
Var= 1
Ena.WriteString ":SENS:CORR:PORT1:METH DESK", True
Ena.WriteString ":SENS:CORR:EXT:AUTO:IMM:PORT " & Str(Var), True

Related Commands

:SENS:CORR:EXT:AUTO:IMM

:SENS:CORR:PORT:METH

Equivalent GUI

Error Correction > Error Correction Wizard > Select Method > Ports(s) (before selecting Deskew)


:SENS:CORR:EXT:PORT

:SENS:CORR:EXT:PORT<DutPt>

Type

Query Only

Syntax

:SENSe:CORRection:EXTension:PORT<DutPt>[:TIME]?

Description

This command gets the delay time of port extension.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":SENS:CORR:EXT:PORT1?", True
Var=Ena.ReadNumber

Equivalent GUI

No equivalent key is available.


:SENS:CORR:PORT:METH

:SENS:CORR:PORT<DutPt>:METH

Type

Command/Query

Syntax

:SENSe:CORRection:PORT<DutPt>:METHod {OFF|DESKew|DLC|ECAL}

:SENSe:CORRection:PORT<DutPt>:METHod?

Description

This command sets the correction method.

Variable

Parameter | Selection Option
Description | Correction method
Data Type | Character string type (String)
Range | OFF: DESKew: Descrew DLC:Descrew and loss ECAL: ECal
Preset Value | OFF

Query Response

{OFF|DESK|DLC|ECAL}<newline><^END>

Examples

Dim Var as String
Var= "DESK"
Ena.WriteString ":SENS:CORR:PORT1:METH " & Var, True
Ena.WriteString ":SENS:CORR:PORT1:METH?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:PORT:STAT

Equivalent GUI

Error Correction > Error Correction Wizard > Select Method > None | Deskew | Deskew & Loss | ECal


:SENS:CORR:PORT:STAT

:SENS:CORR:PORT<DutPt>:STAT

Type

Query Only

Syntax

:SENSe:CORRection:PORT<DutPt>:STATe?

Description

This command gets the status of the correction method.

Query Response

{OFF|DESK|DLC|ECAL|FCOM}<newline><^END>

OFF:

DESK: Descrew

DLC:Descrew and loss

ECAL: ECal

FCOM: Fixture compensation

Examples

Dim Var as String
Ena.WriteString ":SENS:CORR:PORT1:STAT?", True
Var=Ena.ReadString

Related Commands

:SENS:CORR:PORT:METH

Equivalent GUI

No equivalent key is available.


:SENS:CORR:RIMP

Type

Command/Query

Syntax

:SENSe:CORRection:RIMPedance <Value>

:SENSe:CORRection:RIMPedance?

Description

This command sets the reference impedance value.

Variable

Parameter | Value
Description | Reference impedance value
Data Type | Numeric type (Real)
Range | 1m ~ 10M
Preset Value | 50
Unit | Ω
Resolution | 1m

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 75
Ena.WriteString ":SENS:CORR:RIMP " & Str(Var), True
Ena.WriteString ":SENS:CORR:RIMP?", True
Var=Ena.ReadNumber

Related Commands

:SENS:CORR:DCON

Equivalent GUI

Edit Test > Instrument Configuration > More Functions > Reference Impedance


:SENS:DLEN:AUTO:IMM

Type

Command

Syntax

:SENSe:DLENgth:AUTO:IMMediate

Description

This command sets execute auto DUT length setting.

Examples

Ena.WriteString ":SENS:DLEN:AUTO:IMM", True

Related Commands

:SENS:DLEN:DATA

:CALC:DLEN:DATA

Equivalent GUI

Edit Test > Test Sequence > Edit Measurement > DUT Length > Auto


:SENS:DLEN:DATA

Type

Query Only

Syntax

:SENSe:DLENgth:DATA?

Description

This command gets the longest DUT length value.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Ena.WriteString ":SENS:DLEN:DATA?", True
Var=Ena.ReadNumber

Related Commands

:SENS:DLEN:AUTO:IMM

:CALC:DLEN:DATA

Equivalent GUI

No equivalent key is available.


:SENS:FREQ:CENT

Type

Command/Query

Syntax

:SENSe:FREQuency:CENTer <Value>

:SENSe:FREQuency:CENTer?

Description

This command sets the center value of the sweep range in the S-parameter measurement.

Variable

Parameter | Value
Description | Center value
Data Type | Numeric type (Real)
Range | See the settable frequency range
Preset Value | Depending on frequency option.
Unit | Hz (hertz)
Resolution | 500m
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 200000
Ena.WriteString ":SENS:FREQ:CENT " & Str(Var), True
Ena.WriteString ":SENS:FREQ:CENT?", True
Var=Ena.ReadNumber

Related Commands

:SENS:FREQ:SPAN

:SENS:FREQ:STAR

:SENS:FREQ:STOP

Equivalent GUI

Edit Test > Edit Measurement > Measure : S-Parameter > Cent


:SENS:FREQ:SPAN

Type

Command/Query

Syntax

:SENSe:FREQuency:SPAN <Value>

:SENSe:FREQuency:SPAN?

Description

This command sets the span value of the sweep range in the S-parameter measurement.

Variable

Parameter | Value
Description | Span value
Data Type | Numeric type (Real)
Range | 0 to settable frequency range span
Preset Value | Depending on frequency option.
Unit | Hz (hertz)
Resolution | 1000m
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 1000000000
Ena.WriteString ":SENS:FREQ:SPAN " & Str(Var), True
Ena.WriteString ":SENS:FREQ:SPAN?", True
Var=Ena.ReadNumber

Related Commands

:SENS:FREQ:CENT

:SENS:FREQ:STAR

:SENS:FREQ:STOP

Equivalent GUI

Edit Test > Edit Measurement > Measure : S-Parameter > Span


:SENS:FREQ:STAR

Type

Command/Query

Syntax

:SENSe:FREQuency:STARt <Value>

:SENSe:FREQuency:STARt?

Description

This command sets the start value of the sweep range in the S-parameter measurement.

Variable

Parameter | Value
Description | Start value
Data Type | Numeric type (Real)
Range | See the settable frequency range
Preset Value | 100k
Unit | Hz (hertz)
Resolution | 1000m
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 200000
Ena.WriteString ":SENS:FREQ:STAR " & Str(Var), True
Ena.WriteString ":SENS:FREQ:STAR?", True
Var=Ena.ReadNumber

Related Commands

:SENS:FREQ:STOP

:SENS:FREQ:CENT

:SENS:FREQ:SPAN

Equivalent GUI

Edit Test > Edit Measurement > Measure : S-Parameter > Start


:SENS:FREQ:STOP

Type

Command/Query

Syntax

:SENSe:FREQuency:STOP <Value>

:SENSe:FREQuency:STOP?

Description

This command sets the stop value of the sweep range in the S-parameter measurement.

Variable

Parameter | Value
Description | Stop value
Data Type | Numeric type (Real)
Range | See the settable frequency range
Preset Value | Depending on frequency option.
Unit | Hz (hertz)
Resolution | 1000m
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Double
Var= 50000
Ena.WriteString ":SENS:FREQ:STOP " & Str(Var), True
Ena.WriteString ":SENS:FREQ:STOP?", True
Var=Ena.ReadNumber

Related Commands

:SENS:FREQ:STAR

:SENS:FREQ:CENT

:SENS:FREQ:SPAN

Equivalent GUI

Edit Test > Edit Measurement > Measure : S-Parameter > Stop


:SENS:LIST:COUN

Type

Query Only

Syntax

:SENSe:LIST:COUNt?

Description

This command returns the number of defined tests.

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SENS:LIST:COUN?", True
Var=Ena.ReadNumber

Related Commands

:SENS:LIST:DEF

:SENS:LIST:DEL

:SENS:LIST:RES

:SENS:LIST:RES:CLE

:SENS:LIST:SEL

Equivalent GUI

No equivalent key is available.


:SENS:LIST:DEF

Type

Command Only

Syntax

:SENSe:LIST:DEFine

Description

This command adds new test to the test list.

Examples

Ena.WriteString ":SENS:LIST:DEF", True
Ena.WriteString ":SENS:LIST:SEL 2", True
Ena.WriteString ":CALC:TRAC:PAR ""T33""", True

Related Commands

:SENS:LIST:COUN

:SENS:LIST:DEL

:SENS:LIST:RES

:SENS:LIST:RES:CLE

:SENS:LIST:SEL

Equivalent GUI

Edit Test > Test List > Add


:SENS:LIST:DEL

Type

Command only

Syntax

:SENSe:LIST:DELete <Value>

Description

This command deletes a test from the test list.

Variable

Parameter | Value
Description | Test No.
Data Type | Numeric type (Integer)
Range | 1 ~ 128

Examples

Ena.WriteString ":SENS:LIST:DEL 2", True

Related Commands

:SENS:LIST:COUN

:SENS:LIST:DEF

:SENS:LIST:RES

:SENS:LIST:RES:CLE

:SENS:LIST:SEL

Equivalent GUI

Edit Test > Test List > Delete


:SENS:LIST:RES

Type

Query only

Syntax

:SENSe:LIST:RESult[:STATe]?

Description

This command returns overall pass/fail result of current test sequence.

Query Response

{1|0}<newline><^END>

1: Pass

0: Fail

Examples

Dim Var as Long
Ena.WriteString ":SENS:LIST:RES?", True
Var=Ena.ReadNumber

Related Commands

:SENS:LIST:COUN

:SENS:LIST:DEF

:SENS:LIST:DEL

:SENS:LIST:RES:CLE

:SENS:LIST:SEL

Equivalent GUI

No equivalent key is available.


:SENS:LIST:RES:CLE

Type

Command only

Syntax

:SENSe:LIST:RESult:CLEar

Description

This command clears the test result of current test sequence.

Examples

Ena.WriteString ":SENS:LIST:RES:CLE", True

Related Commands

:SENS:LIST:COUN

:SENS:LIST:DEF

:SENS:LIST:DEL

:SENS:LIST:RES

:SENS:LIST:SEL

Equivalent GUI

No equivalent key is available.


:SENS:LIST:SEL

Type

Command/Query

Syntax

:SENSe:LIST:SELect <Value>

:SENSe:LIST:SELect?

Description

This command selects a test in the test list.

Variable

Parameter | Value
Description | Test No.
Data Type | Numeric type (Integer)
Range | 0 ~ 128
Preset Value | 1

Query Response

{numeric}<newline><^END>

Examples

Ena.WriteString ":SENS:LIST:DEF", True
Ena.WriteString ":SENS:LIST:SEL 2", True
Ena.WriteString ":CALC:TRAC:PAR ""T33""", True

Related Commands

:SENS:LIST:COUN

:SENS:LIST:DEF

:SENS:LIST:DEL

:SENS:LIST:RES

:SENS:LIST:RES:CLE

Equivalent GUI

Edit Test > Test List > Selection of Test in the Test List


:SENS:SWE:POIN

Type

Command/Query

Syntax

:SENSe:SWEep:POINts <Value>

:SENSe:SWEep:POINts?

Description

This command sets the number of measurement points.

Variable

Parameter | Value
Description | Number of measurement points
Data Type | Numeric type (Integer)
Range | 2 ~ 10001
Preset Value | 201
Unit | -
Resolution | -

Query Response

{numeric}<newline><^END>

Examples

Dim Var as Long
Var= 2
Ena.WriteString ":SENS:SWE:POIN " & Str(Var), True
Ena.WriteString ":SENS:SWE:POIN?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Instrument Configuration > Advanced Mode > Sweep Setup > Points > Key in the number of points


:SYST:DATA:DESC

Type

Command/Query

Syntax

:SYSTem:DATA:DESCription <String>

:SYSTem:DATA:DESCription?

Description

This command sets the description of current test.

Variable

Parameter | String
Description | Description of current (active) test
Data Type | Character string type (String)
Range | -
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var "Sample 1"
Ena.WriteString ":SYST:DATA:DESC " & Var, True
Ena.WriteString ":SYST:DATA:DESC?", True
Var=Ena.ReadString

Related Commands

:SYST:DATA:INST:MESS

:SYST:DATA:INST:PICT

:SYST:DATA:INST:TYPE

Equivalent GUI

Edit Test > Edit Limit > Edit Measurement > Description


:SYST:DATA:INST:MESS

Type

Command/Query

Syntax

:SYSTem:DATA:INSTruction:MESSage <String>

:SYSTem:DATA:INSTruction:MESSage?

Description

This command sets the instruction message shown to operator when TYPE = TEXT.

Variable

Parameter | String
Description | Instruction message
Data Type | Character string type (String)
Range | -
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "Connect DUT to Port 1."
Ena.WriteString ":SYST:DATA:INST:MESS " & Var, True
Ena.WriteString ":SYST:DATA:INST:MESS?", True
Var=Ena.ReadString

Related Commands

:SYST:DATA:DESC

:SYST:DATA:INST:PICT

:SYST:DATA:INST:TYPE

Equivalent GUI

Edit Test > Edit Limit > Edit Measurement > Operator Instructions > Operator Instruction Setup > Text Message > Type the message


:SYST:DATA:INST:PICT

Type

Command/Query

Syntax

:SYSTem:DATA:INSTruction:PICTure <String>

:SYSTem:DATA:INSTruction:PICTure?

Description

This command sets the instruction picture shown to operator when TYPE = PICT.

Variable

Parameter | String
Description | Instruction image
Data Type | Character string type (String)
Range | -
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "D:\figure1.png"
Ena.WriteString ":SYST:DATA:INST:PICT " & Var, True
Ena.WriteString ":SYST:DATA:INST:PICT?", True
Var=Ena.ReadString

Related Commands

:SYST:DATA:DESC

:SYST:DATA:INST:MESS

:SYST:DATA:INST:TYPE

Equivalent GUI

Edit Test > Edit Limit > Edit Measurement > Operator Instructions > Operator Instruction Setup > Picture > Select the picture image


:SYST:DATA:INST:TYPE

Type

Command/Query

Syntax

:SYSTem:DATA:INSTruction:TYPE {DEFault|TEXT|PICTure}

:SYSTem:DATA:INSTruction:TYPE?

Description

This command sets the instruction message type.

Variable

Parameter | Selection Option
Description | Instruction message type
Data Type | Character string type (String)
Range | DEFault|TEXT|PICTure
Preset Value | DEFault

Query Response

{DEF|TEXT|PICT}<newline><^END>

Examples

Dim Var as String
Var= "DEF"
Ena.WriteString ":SYST:DATA:INST:TYPE " & Var, True
Ena.WriteString ":SYST:DATA:INST:TYPE?", True
Var=Ena.ReadString

Related Commands

:SYST:DATA:DESC

:SYST:DATA:INST:MESS

:SYST:DATA:INST:PICT

Equivalent GUI

Edit Test > Edit Limit > Edit Measurement > Operator Instructions > Operator Instruction Setup > Default | Text Message | Picture


:SYST:DATA:SER

Type

Command/Query

Syntax

:SYSTem:DATA:SERial <String>

:SYSTem:DATA:SERial?

Description

This command sets the serial number of current test sequence (one per test sequence).

Variable

Parameter | String
Description | Serial number of DUT
Data Type | Character string type (String)
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "DUT001"
Ena.WriteString ":SYST:DATA:SER " & Var, True
Ena.WriteString ":SYST:DATA:SER?", True
Var=Ena.ReadString

Equivalent GUI

Execute Test > Finish > Save Test Result > Path to Files > Serial Number


:SYST:ERR

Type

Query Only

Syntax

:SYSTem:ERRor?

Description

This command reads the oldest error from the list of errors stored in the error queue of the E5063A. The read-out error is deleted from the error queue. The size of the error queue is 100.

Executing *CLS command clears the errors stored in the error queue.

This object can not return an error that occurs by the manual operation or the SCPI command used in controlling the E5063A from the external con-troller.

Query Response

{numeric1 (error No.)}, {string (description)}<newline><^END>

Examples

Dim Var As Variant, ErrNo As Long, ErrDesc As String
Ena.WriteString ":SYST:ERR?", True
Var = Ena.ReadList
ErrNo = Var(0)
ErrDesc = Var(1)

Equivalent GUI

No equivalent key is available.


:SYST:PRES

Type

Command only

Syntax

:SYSTem:PRESet

Description

This command presets the Test Wizard state. Calibration data will be lost.

Examples

Ena.WriteString ":SYST:PRES", True

Equivalent GUI

New Test


:SYST:SEC:MODE

Type

Command/Query

Syntax

:SYSTem:SECurity:MODE {OPERator|ADMin}

:SYSTem:SECurity:MODE?

Description

This command sets the System Security mode.

Variable

Parameter | Selection Option
Description | System Security mode
Data Type | Character string type (String)
Range | OPERator - has access to execute test defined in ADMin mode, only. ADMin - has full access to edit the test settings
Preset Value | OPERator

Query Response

{OPER|ADM}<newline><^END>

Examples

Dim Var as String
Var= "OPER"
Ena.WriteString ":SYST:SEC:MODE " & Var, True
Ena.WriteString ":SYST:SEC:MODE?", True
Var=Ena.ReadString

Related Commands

:SYST:SEC:PASS

Equivalent GUI

Edit Test > Test Sequence > System Security > Operator | Administrator


:SYST:SEC:PASS

Type

Command/Query

Syntax

:SYSTem:SECurity:PASSword <String>

:SYSTem:SECurity:PASSword?

Description

This command sets the System Security password.

Variable

Parameter | String
Description | System Security password
Data Type | Character string type (String)
Preset Value | ""

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "AdminPass"
Ena.WriteString ":SYST:SEC:PASS " & Var, True
Ena.WriteString ":SYST:SEC:PASS?", True
Var=Ena.ReadString

Related Commands

:SYST:SEC:MODE

Equivalent GUI

Edit Test > Test Sequence > System Security > Administrator > Key in password


:SYST:SEQ:AUTO:ADV

Type

Command/Query

Syntax

:SYSTem:SEQuence:AUTO:ADVance {ON|PASS|OFF}

:SYSTem:SEQuence:AUTO:ADVance?

Description

This command sets the auto advance mode.

Variable

Parameter | Selection Option
Description | Auto advance mode
Data Type | Character string type (String)
Range | ON OFF PASS: On Pass
Preset Value | OFF

Query Response

{ON|PASS|OFF}<newline><^END>

Examples

Dim Var as String
Var= "ON"
Ena.WriteString ":SYST:SEQ:AUTO:ADV " & Var, True
Ena.WriteString ":SYST:SEQ:AUTO:ADV?", True
Var=Ena.ReadString

Related Commands

:SYST:SEQ:AUTO:SAVE:PATH

:SYST:SEQ:AUTO:SAVE:RES

:SYST:SEQ:AUTO:SAVE:SNP

:SYST:SEQ:AUTO:SAVE:TRAC

Equivalent GUI

Edit Test > Test Sequence > Test Sequence > Auto Advance > On | On Pass | Off


:SYST:SEQ:AUTO:PERM:LIM:RANG

:SYST:SEQ:PERM:LIM:RANG

Type

Command/Query

Syntax

:SYSTem:SEQuence:PERMit:LIMit:RANGe {ON|OFF|1|0}

:SYSTem:SEQuence:PERMit:LIMit:RANGe?

Description

This command turn on the setting of Operation Permission Limit Between Makers in the Edit Test. This function is added at the revision A.2.0x.

Variable

Parameter | Selection Option
Description | Operation Permission Limit Between Markers
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SYST:SEQ:PERM:LIM:RANG ON", True
Ena.WriteString ":SYST:SEQ:PERM:LIM:RANG?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Test Sequence > Test Sequence > Operation Permission > Limit Between Markers


:SYST:SEQ:AUTO:SAVE:IMAG

Type

Command/Query

Syntax

:SYSTem:SEQuence:AUTO:SAVE:IMAGe {ON|OFF|1|0}

:SYSTem:SEQuence:AUTO:SAVE:IMAGe?

Description

This command sets Auto save image. This function is added at the revision A.2.0x.

Variable

Parameter | Selection Option
Description | Auto save trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:IMAG ON", True
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:IMAG?", True
Var=Ena.ReadNumber

Related Commands

:SYST:SEQ:AUTO:SAVE:PATH

:SYST:SEQ:AUTO:SAVE:RES

:SYST:SEQ:AUTO:SAVE:SNP

:SYST:SEQ:AUTO:SAVE:TRAC

Equivalent GUI

Edit Test > Test Sequence > File Output > Auto Save > Image


:SYST:SEQ:AUTO:SAVE:PATH

Type

Command/Query

Syntax

:SYSTem:SEQuence:AUTO:SAVE:PATH <String>

:SYSTem:SEQuence:AUTO:SAVE:PATH?

Description

This command sets the Auto Save path.

Variable

Parameter | String
Description | Auto Save path
Data Type | Character string type (String)
Range | -
Preset Value | "D:\TestWizard\"

Query Response

{String}<newline><^END>

Examples

Dim Var as String
Var = "D:\User\TW\"
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:PATH " & Var, True
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:PATH?", True
Var=Ena.ReadString

Related Commands

:SYST:SEQ:AUTO:ADV

:SYST:SEQ:AUTO:SAVE:RES

:SYST:SEQ:AUTO:SAVE:SNP

:SYST:SEQ:AUTO:SAVE:TRAC

Equivalent GUI

Edit Test > Test Sequence > File Output > Output File Path > Key in the path directory


:SYST:SEQ:AUTO:SAVE:RES

Type

Command/Query

Syntax

:SYSTem:SEQuence:AUTO:SAVE:RESult {ON|OFF|1|0}

:SYSTem:SEQuence:AUTO:SAVE:RESult?

Description

This command sets the Auto save results.

Variable

Parameter | Selection Option
Description | Auto save results
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON
Unit | -
Resolution | -

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:RES ON", True
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:RES?", True
Var=Ena.ReadNumber

Related Commands

:SYST:SEQ:AUTO:SAVE:PATH

:SYST:SEQ:AUTO:SAVE:SNP

:SYST:SEQ:AUTO:SAVE:TRAC

:SYST:SEQ:AUTO:SAVE:IMAG

Equivalent GUI

Edit Test > Test Sequence > File Output > Auto Save > Results


:SYST:SEQ:AUTO:SAVE:SNP

Type

Command/Query

Syntax

:SYSTem:SEQuence:AUTO:SAVE:SNP {ON|OFF|1|0}

:SYSTem:SEQuence:AUTO:SAVE:SNP?

Description

This command sets Auto save touchstone.

Variable

Parameter | Selection Option
Description | Auto save touchstone
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:SNP ON", True
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:SNP?", True
Var=Ena.ReadNumber

Related Commands

:SYST:SEQ:AUTO:SAVE:PATH

:SYST:SEQ:AUTO:SAVE:RES

:SYST:SEQ:AUTO:SAVE:TRAC

:SYST:SEQ:AUTO:SAVE:IMAG

Equivalent GUI

Edit Test > Test Sequence > File Output > Auto Save > Touchstone


:SYST:SEQ:AUTO:SAVE:TRAC

Type

Command/Query

Syntax

:SYSTem:SEQuence:AUTO:SAVE:TRACe {ON|OFF|1|0}

:SYSTem:SEQuence:AUTO:SAVE:TRACe?

Description

This command sets Auto save trace.

Variable

Parameter | Selection Option
Description | Auto save trace
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:TRAC ON", True
Ena.WriteString ":SYST:SEQ:AUTO:SAVE:TRAC?", True
Var=Ena.ReadNumber

Related Commands

:SYST:SEQ:AUTO:SAVE:PATH

:SYST:SEQ:AUTO:SAVE:RES

:SYST:SEQ:AUTO:SAVE:SNP

:SYST:SEQ:AUTO:SAVE:IMAG

Equivalent GUI

Edit Test > Test Sequence > File Output > Auto Save > Trace


:SYST:SEQ:AUTO:SCAL

Type

Command/Query

Syntax

:SYSTem:SEQuence:AUTO:SCALe {ON|OFF|1|0}

:SYSTem:SEQuence:AUTO:SCALe?

Description

This command sets Auto scale.

Variable

Parameter | Selection Option
Description | Auto scale
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SYST:SEQ:AUTO:SCAL ON", True
Ena.WriteString ":SYST:SEQ:AUTO:SCAL?", True
Var=Ena.ReadNumber

Equivalent GUI

Edit Test > Test Sequence > Test Sequence > Auto Scale > On | Off


:SYST:SEQ:BEEP

Type

Command/Query

Syntax

:SYSTem:SEQuence:BEEP {ON|PASS|FAIL|OFF}

:SYSTem:SEQuence:BEEP?

Description

This command sets the beep sound for the test sequence.

Variable

Parameter | Selection Option
Description | Setting the beep sound
Data Type | Character string type (String)
Range | ON|PASS|FAIL|OFF
Preset Value | ON

Query Response

{ON|PASS|FAIL|OFF}<newline><^END>

Examples

Dim Var as String
Var= "PASS"
Ena.WriteString ":SYST:SEQ:BEEP " & Var, True
Ena.WriteString ":SYST:SEQ:BEEP?", True
Var=Ena.ReadString

Related Commands

:SYST:SEQ:FSIG

:SYST:SEQ:INST

Equivalent GUI

Edit Test > Test Sequence > Test Sequence > Beep > On | On Pass | On Fail | Off


:SYST:SEQ:FSIG

Type

Command/Query

Syntax

:SYSTem:SEQuence:FSIGn {ON|OFF|1|0}

:SYSTem:SEQuence:FSIGn?

Description

This command sets the fail sign for the test sequence.

Variable

Parameter | Selection Option
Description | Fail sign
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SYST:SEQ:FSIG ON", True
Ena.WriteString ":SYST:SEQ:FSIG?", True
Var=Ena.ReadNumber

Related Commands

:SYST:SEQ:BEEP

:SYST:SEQ:INST

Equivalent GUI

Edit Test > Test Sequence > Test Sequence > Fail Sign > On | On Pass | On Fail | Off


:SYST:SEQ:INST

Type

Command/Query

Syntax

:SYSTem:SEQuence:INSTruction {ON|OFF|1|0}

:SYSTem:SEQuence:INSTruction?

Description

This command enables or disables the Operator Instruction Window.

Variable

Parameter | Selection Option
Description | Enables Operator Instruction Window
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | ON

Query Response

{1|0}<newline><^END>

Examples

Dim Var as Long
Ena.WriteString ":SYST:SEQ:INST ON", True
Ena.WriteString ":SYST:SEQ:INST?", True
Var=Ena.ReadNumber

Related Commands

:SYST:SEQ:BEEP

:SYST:SEQ:FSIG

Equivalent GUI

Edit Test > Test Sequence > Test Sequence > Operator Instructions Window > On | Off


:SYST:TOP:DEV

Type

Command/Query

Syntax

:SYSTem:TOPology:DEVice {S1|S2|D1|S2S2|D1D1}

:SYSTem:TOPology:DEVice?

Description

This command sets DUT topology.

Variable

Parameter | Selection Option
Description | Sets DUT Topology
Data Type | Character string type (String)
Range | S1 - SingleEnd-1port on all ports S2 - SingleEnd-2ports on all Port 1-2, SingleEnd-1port on other ports (if available) D1 - Differencial-1port on Port 1-2, SingleEnd-1port on other ports (if available) S2S2 - SingleEnd-2p on all ports D1D1 - Differencial-1port on all ports
Preset Value | S1

Query Response

{S1|S2|D1|S2S2|D1D1}<newline><^END>

Examples

Ena.WriteString ":SYST:TOP:SWIT 1", True
Ena.WriteString ":SYST:TOP:DEV S1", True

Number of Switch (:SYST:TOP:SWIT) | DUT Topology | :SYST:TOP:DEV
0 | SE1P | S1
0 | SE2P | S2
0 | DIFF1P | D1
1 | SE1P | S1
1 | SE1P & SE2P | S2
1 | SE1P & DIFF1P | D1
2 | SE1P | S1
2 | SE1P & SE2P | S2
2 | SE1P & DIFF1P | D1
2 | SE2P | S2S2
2 | DIFF1P | D1D1

Related Commands

:SYST:TOP:SWIT

Equivalent GUI

Edit Test > Instrument Configuration > Modify > Select DUT Topology > DUT Topology

.


:SYST:TOP:REFR

Type

Command Only

Syntax

:SYSTem:TOPology:REFResh

Description

This command can refresh the SPDT switch connection. Even if you connect SPDT switch after the test wizard is running, the SPDT switch may not be detected automatically.

This commands can detect the SPDT switch connections.

This function is added at the revision A.2.0x.

Examples

Ena.WriteString ":SYST:TOP:REFR", True

Related Commands

:SYST:TOP:SWIT

Equivalent GUI

No Equivalent GUI


:SYST:TOP:SWIT

Type

Command/Query

Syntax

:SYSTem:TOPology:SWITch <Value>

:SYSTem:TOPology:SWITch?

Description

This command sets the number of SPDT switch in use.

Variable

Parameter | Value
Description | Sets the number of SPDT switch
Data Type | Numeric type (Integer)
Range | 0 ~ 2
Preset Value | 0

Query Response

{numeric}<newline><^END>

Examples

See :SYST:TOP:DEV.

Related Commands

: :SYST:TOP:DEV.

Equivalent GUI

Edit Test > Instrument Configuration > Modify > Select DUT Topology > External Switch Connection


:TRIG:CCH

Type

Command/Query

Syntax

:TRIGger:CCHeck {ON|OFF|1|0}

:TRIGger:CCHeck?

Description

This command sets the contact check mode. This function is added at the revision A.2.0x.

Variable

Parameter | Selection Option
Description | Contact Check Mode
Data Type | Boolean type (Boolean)
Range | ON|OFF|1|0
Preset Value | OFF

Query Response

{1|0}<newline><^END>

Examples

Dim Var as String
Var= "ON"
Ena.WriteString ":TRIG:CCH " & Var, True
Ena.WriteString ":TRIG:CCH?", True
Var=Ena.ReadString

Equivalent GUI

Edit Test > Edit Measurement > Contact Check


:TRIG:MODE

Type

Command/Query

Syntax

:TRIGger:MODE {ON|SINGle|RUN}

:TRIGger:MODE?

Description

This command sets the trigger mode.

HOLD: Condition while Run/Stop button is not pressed.

RUN: Condition while Run/Stop button is pressed.

SING: same as :TRIG:SING

This function is added at the revision A.2.0x.

Examples

Dim Var as String
Var = "SING"
Ena.WriteString ":TRIGger:MODE " & Var, True
Ena.WriteString ":TRIGger:MODE?", True
Var=Ena.ReadString

Equivalent GUI

Edit Test > Edit Measurement > Run/Stop

Edit Test > Edit List > Run/Stop


:TRIG:SING

Type

Command Only

Syntax

:TRIGger:SINGle

Description

This command executes single trigger (Remote-only).

Examples

Ena.WriteString ":TRIG:SING", True

Equivalent GUI

Edit Test > Edit Measurement > Measure

Edit Test > Edit List > Measure


1 port softkey

Softkey | Function
1 | Selects test ports 1.
2 | Selects test ports 2.

An asterisk (*) in the upper-right of the softkey indicates that the existing calibration coefficient will be cleared if you select the test port and execute acquisition of the calibration coefficient (clicking Done).


2 ports softkey

Softkey | Function
1-2 | Selects test ports 1 and 2.

An asterisk (*) in the upper-right of the softkey indicates that the existing calibration coefficient will be cleared if you select the test port and execute acquisition of the calibration coefficient (clicking Done).


About Correction

There are four types of correction factors for the measurement values set in multiplier (start/stop) and offset (start/stop).

The correction factor between the start and stop is linearly interpolated. Examples are given below.

point_begin = 1, point_end = 3

meas(1) = 10

meas(2) = 11

meas(3) = 12

meas_mult_start = 1.1, meas_mult_stop = 1.3

meas_mult(1) = 1.1

meas_mult(2) = 1.2 <- linear interpolation

meas_mult(3) = 1.3

meas_offset_start = 5, meas_offset_stop = 9

meas_offset(1) = 5

meas_offset(2) = 7 <- linear interpolation

meas_offset(3) = 9

meas(1) = 10 * 1.1 + 5

meas(2) = 11 * 1.2 + 7

meas(3) = 12 * 1.3 + 9


Backup_text

The condition of softkey remains even after power off (firmware reboots).


Cal Kit

Softkey | Function
85033E | Selects the calibration kit "85033E"
85033D | Selects the calibration kit "85033D"
85052D | Selects the calibration kit "85052D"
85032F | Selects the calibration kit "85032F"
85032B/E | Selects the calibration kit "85032B"
85036B/E | Selects the calibration kit "85036B/E"
85031B | Selects the calibration kit "85031B"
85050C/D | Selects the calibration kit "85050C/D"
85052C | Selects the calibration kit "85052C"
85038A/F/M | Selects the calibration kit "85038A/F/M"
85054D | Selects the calibration kit "85054D".
85056D | Selects the calibration kit "85056D"
85056K | Selects the calibration kit "85056K"
85039B | Selects the calibration kit "85039B"
K11644A | Selects the calibration kit "K11644A"
P11644A | Selects the calibration kit "P11644A"
X11644A | Selects the calibration kit "X11644A"
85050B | Selects the calibration kit "85050B".
85052B | Selects the calibration kit "85052B"
85054B | Selects the calibration kit "85054B"
85056A | Selects the calibration kit "85056A"
User | Selects the second user-defined calibration kit "User"


CellEditorHardkey

Hardkey | Function
Enter | If you select a cell and then press this key, you enter the mode that allows you to edit the cell character by character. If you change a value and then press this key, the value is entered in the cell.
Up/Down Arrow | Moves up or down in the cell selected in the table. In the character-by-character edit mode, you can select an item or perform a stepped change of data.
Right/Left Arrow | Moves right or left in the cell selected in the table.


CellEditorSoftkey

Softkey | Function
Delete | Deletes the line in which the selected cell is included.
Add | Adds a new line above the line in which the selected cell is included.
Clear Cal Factor Table > OK | Resets the table.


Clear Marker

SoftKey | Function
All OFF | Turns off all the markers on active trace
Marker 1 to 9 | Turns off MarkerN (N=1to 9, depending upon the user choice) on the active trace
Ref Marker | Turns off reference markers on active trace


com ref active trace

When the display format of the active trace is set to one other than log magnitude format (LogMag), linear magnitude format (LinMag), or real-imaginary number format (Real/Imag), the data format is automatically set to “real part -imaginary part.”


com ref log sweep

If you execute this object to try to specify the log sweep when the frequency span condition necessary for the log sweep is not satisfied (the stop frequency is about 4 times or more the start frequency), an error occurs and the object is ignored.


com ref marker

When the reference marker mode is ON ("True" is specified with the :CALC:MARK:REF object), it is the value relative to the reference marker.


com ref peak

To specify the conditions of the peak, use the :CALC:MARK:FUNC:PEXC object and the :CALC:MARK:FUNC:PPOL object.


com ref port T1

If port T1 has already been assigned to port 2 when you try to assign port T1 to port 1, port T2 is automatically assigned to port 2. If port T1 has already been assigned to port 1 when you try to assign port T1 to port 2, port A is automatically assigned to port 1.


com ref range

Specify with the:CALC:MARK:FUNC:DOM:STAR object and the: CALC:MARK:FUNC:DOM:MULT:STOP object.


com ref target

To specify the conditions of the target, use the :CALC:MARK:FUNC:TARG object and the :CALC:MARK:FUNC:TTR object.


ECal Memory Selection

Softkey | Function
Factory | Factory-default characteristic (for normal ECal)
User1 | User characteristic stored at location number 1 in ECal's flash memory
User2 | User characteristic stored at location number 2 in ECal's flash memory
User3 | User characteristic stored at location number 3 in ECal's flash memory
User4 | User characteristic stored at location number 4 in ECal's flash memory
User5 | User characteristic stored at location number 5 in ECal's flash memory


Example

This is an example of a graphical popup windows. Unlike text only popup, it can contain graphics [image] as well.


Executing vba

The signals /PORT A0 through /PORT A7 indicate correct values after the signal /PORT B4 turns active until the start of the next measurement./PORT A0 - /PORT A7 also employ negative logic.


Footnote for cal types table 4

  • ECal, using the internal through, is less accurate than a mechanical through in transmission measurements if the latter is a perfect zero-length through. To improve the accuracy of the ECal through calibration, use Unknown Thru Cal function (Cal > ECal > Unknown Thru > ON).


Marker Search

Softkey | Function
Max | Performs a search for the maximum value
Min | Performs a search for the minimum value


Marker softkey

Softkey | Function
Marker 1 | Turns on marker 1 and activates marker 1
Marker 2 | Turns on marker 2 and activates marker 2
Marker 3 | Turns on marker 3 and activates marker 3
Marker 4 | Turns on marker 4 and activates marker 4
More Markers > Marker 5 | Turns on marker 5 and activates marker 5
More Markers > Marker 6 | Turns on marker 6 and activates marker 6
More Markers > Marker 7 | Turns on marker 7 and activates marker 7
More Markers > Marker 8 | Turns on marker 8 and activates marker 8
More Markers > Marker 9 | Turns on marker 9 and activates marker 9
Ref Marker | Turns on the reference marker and activates reference marker


Measure Standards

Softkey | Function
All | Measures the standards for all ports selected in Selecting a port(s).
Port 1 | Measures the standard for port 1.
Port 2 | Measures the standard for port 2.


MenuofEditLimitTable

Softkey | Function
Delete | Deletes the segment containing the selected cell from the limit table.
Add | Adds a segment before the segment containing the selected cell to the limit table.
Clear Limit Table | Clears all of the limit table data.
Export to CSV File | Exports the limit table to a file in CSV (comma-separated value) format.
Import from CSV File | Imports a limit table saved in CSV (separated-separated value) format.
Return | Exits the Edit Limit Line menu and closes the limit table display.


Moving the Marker

The value in the entry area can be changed by one of the following methods.

  • Enter a numeric value using the ENTRY Block key on the front panel.

  • Turn the rotary knob on the front panel.

  • Press the up or down arrow key on the front panel.

  • Using the mouse, click one of the buttons on the right side of the entry area.

To change the value in the entry area, the figure in the box should be highlighted. If the figure is not highlighted, press the softkey for the marker you are using (marker 1 to marker 9, Ref Marker) or Foc to highlight the figure.

You can move the marker by dragging and dropping either one of the marker position pointers above and below the graph (pressing the button on the object to be moved and releasing the button on the destination). In rectangular display format, you can move a marker itself by dragging and dropping it.


Peak Note

If you cannot move the marker to the desired peak, use Peak Excursion to change the peak deviation and then execute the search again. (Example: Peak Excursion > 0 > . > 1 > x1).


Peak Polarity

Softkey | Function
Positive | Selects Positive as peak polarity
Negative | Selects Negative as peak polarity
Both | Selects Both Positive and Negative as peak polarity


Peak Polarity Options

Softkey | Function
Search Peak | Executes peak search
Search Left | Executes left search
Search Right | Executes right search


ResponseCalPortSoftkey

Softkey display | Function
2-1(S21 S11) | Measure between test ports 1 and 2. selecting port 1 as the output.
1-2(S12 S22) | Measure between test ports 2 and 1. selecting port 2 as the output.

  • An asterisk (*) in the upper right of the softkey indicates that, if you select the test port and execute acquisition of the calibration coefficient (press Done), the existing calibration coefficient will be cleared.


Save_recall_save

Softkey | Function
State Only | Selects saving the state of the E5063A only
State & Cal | Selects saving the state and calibration data of the E5063A
State & Trace | Selects saving the state and traces of the E5063A
All | Selects saving the state, calibration data, and traces of the E5063A


Symbols

 | Times | Ohm | Square Root | Micro | Sigma | Epsilon | Rho | Theta
Verdana | × | Ω | √ | μ | Σ | ε | ρ | θ

 | Division | plus minus | less than | Greater than | Degree | phi |  |
Verdana | ÷ | ± | ≤ | ≥ | ° | Φ | φ | ψ


Target Transition

Softkey | Function
Positive | Selects Positive as transition type
Negative | Selects Negative as transition type
Both | Selects Both Positive and Negative as transition type


Target Transition Options

Softkey | Function
Search Target | Executes target search
Search Left | Executes left search
Search Right | Executes right search


ThruCalPortSoftkey

Softkey | Function
2-1 (S21) | Selects test port 2 (input) and test port 1 (output); Corresponds to the determination of S21
1-2 (S12) | Selects test port 1 (input) and test port 2 (output); Corresponds to the determination of S12

  • An asterisk (*) in the upper right of the softkey indicates that the existing calibration coefficient will be cleared if you select the test port and execute acquisition of the calibration coefficient (clicking Done).


To open control panel

The following procedure makes Windows control panel open.

  • In Windows, click Start, then click Control Panel.

  • In E5063A, press System > Misc Setup > Control Panel.


Default Conditions

  • Analysis

  • Avg

  • Cal

  • Center

  • Display

  • Format

  • Macro Setup

  • Marker Fctn

  • Marker Search

  • Marker

  • Meas

  • Save/Recall

  • Scale

  • Span

  • Start

  • Stop

  • Sweep Setup

  • System

  • Trigger

Convention used for Preset, *RST and Save/Recall

Symbol | Description
← | Setup is same as that in the box to the left
√ | Save/Recall can be performed


Command Finder (Analysis)

Softkey under Analysis key |  |  | SCPI command
Fixture Simulator
Fixture Simulator |  |  | :CALC:FSIM:STAT
Topology | Device | Bal | :CALC:FSIM:BAL:TOP:BAL
 | Port x (se|bal) | See Analysis > Fixture Simulator > Topology > Device
 | Property |  | :CALC:FSIM:BAL:TOP:PROP:STAT
BalUn |  |  | :CALC:FSIM:BAL:PAR:STAT
Balun OFF ALL Trace |  |  | None
Balun ON ALL Trace |  |  | None
Measurement |  |  | See Meas key
Port Matching | Port Matching |  | :CALC:FSIM:SEND:PMC:STAT
 | Select Port |  | :CALC:FSIM:SEND:PMC:PORT
 | Select Circuit |  | :CALC:FSIM:SEND:PMC:PORT
 | C |  | :CALC:FSIM:SEND:PMC:PORT:PAR:C
 | G |  | :CALC:FSIM:SEND:PMC:PORT:PAR:G
 | L |  | :CALC:FSIM:SEND:PMC:PORT:PAR:L
 | R |  | :CALC:FSIM:SEND:PMC:PORT:PAR:R
 | C2 |  | :CALC:FSIM:SEND:PMC:PORT:PAR:C2
 | G2 |  | :CALC:FSIM:SEND:PMC:PORT:PAR:G2
 | L2 |  | :CALC:FSIM:SEND:PMC:PORT:PAR:L2
 | R2 |  | :CALC:FSIM:SEND:PMC:PORT:PAR:R2
 | User File |  | :CALC:FSIM:SEND:PMC:PORT:USER:FIL
Port ZConversion | Port ZConversion |  | :CALC:FSIM:SEND:ZCON:PORT:Z0
 | Port x Z0 Real |  | :CALC:FSIM:SEND:ZCON:PORT:REAL
 | Port x Z0 Imag |  | :CALC:FSIM:SEND:ZCON:PORT:IMAG
De-Embedding | De-Embedding |  | :CALC:FSIM:SEND:DEEM:STAT
 | Select Port |  | :CALC:FSIM:SEND:DEEM:PORT
 | Select Type |  | :CALC:FSIM:SEND:DEEM:PORT
 | User File |  | :CALC:FSIM:SEND:DEEM:PORT:USER:FIL
Diff Matching | Diff. Matching |  | :CALC:FSIM:BAL:DMC:STAT
 | Select Bal Port |  | :CALC:FSIM:BAL:DMC:BPOR
 | Select Circuit |  | :CALC:FSIM:BAL:DMC:BPOR
 | C |  | :CALC:FSIM:BAL:DMC:BPOR:PAR:C
 | G |  | :CALC:FSIM:BAL:DMC:BPOR:PAR:G
 | L |  | :CALC:FSIM:BAL:DMC:BPOR:PAR:L
 | R |  | :CALC:FSIM:BAL:DMC:BPOR:PAR:R
 | User File |  | :CALC:FSIM:BAL:DMC:BPOR:USER:FIL
Diff ZConversion | Diff ZConversion |  | :CALC:FSIM:SEND:ZCON:STAT
 | Port1 (bal) Real |  | :CALC:FSIM:SEND:ZCON:PORT:REAL
 | Port1 (bal) Imag |  | :CALC:FSIM:SEND:ZCON:PORT:IMAG
Cmn ZConversion | Diff ZConversion |  | :CALC:FSIM:BAL:DZC:STAT
 | Port1 (bal) Real |  | :CALC:FSIM:BAL:DZC:BPOR:REAL
 | Port1 (bal) Imag |  | :CALC:FSIM:BAL:DZC:BPOR:IMAG
Gating
Gating |  |  | :CALC:FILT:TIME:STAT :CALC:FILT:GATE:DIST:STAT
Start |  |  | :CALC:FILT:TIME:STAR :CALC:FILT:GATE:DIST:STAR
Stop |  |  | :CALC:FILT:TIME:STOP :CALC:FILT:GATE:DIST:STOP
Center |  |  | :CALC:FILT:TIME:CENT :CALC:FILT:GATE:DIST:CENT
Span |  |  | :CALC:FILT:TIME:SPAN :CALC:FILT:GATE:DIST:SPAN
Type |  |  | :CALC:FILT:TIME :CALC:FILT:GATE:DIST TYPE
Shape | Maximum |  | :CALC:FILT:TIME:SHAP MAX :CALC:FILT:GATE:DIST:SHAP MAX
 | Wide |  | :CALC:FILT:TIME:SHAP WIDE :CALC:FILT:GATE:DIST:SHAP MAX
 | Normal |  | :CALC:FILT:TIME:SHAP NORM :CALC:FILT:GATE:DIST:SHAP NORM
 | Minimum |  | :CALC:FILT:TIME:SHAP MIN :CALC:FILT:GATE:DIST:SHAP MIN
Unit | Seconds |  | :CALC:FILT:GATE:METH TIME
 | Meters |  | :CALC:FILT:GATE:METH DIST :CALC:FILT:GATE:DIST:UNIT MET
 | Feet |  | :CALC:FILT:GATE:METH DIST :CALC:FILT:DIST:UNIT
Transform
Transform |  |  | :CALC:TRAN:TIME
Start |  |  | :CALC:TRAN:TIME:STAR
Stop |  |  | :CALC:TRAN:TIME:STOP
Center |  |  | :CALC:TRAN:TIME:CENT
Span |  |  | :CALC:TRAN:TIME:SPAN
Set Frequency Low Pass |  |  | :CALC:TRAN:TIME:LPFR
Type | Bandpass |  | :CALC:TRAN:TIME BPAS
 | Lowpass Step |  | :CALC:TRAN:TIME LPAS
 | Lowpass Imp |  | :CALC:TRAN:TIME LPAS
Window | Maximum |  | :CALC:TRAN:TIME:KBES 13
 | Normal |  | :CALC:TRAN:TIME:KBES 6
 | Minimum |  | :CALC:TRAN:TIME:KBES 0
 | Impulse Width |  | :CALC:TRAN:TIME:IMP:WIDT
 | Step Rise |  | :CALC:TRAN:TIME:STEP:RTIM
 | Kaiser Beta |  | :CALC:TRAN:TIME:KBES
Unit | Seconds |  | :CALC:TRAN:METH TIME
 | Meters |  | :CALC:TRAN:DIST:UNIT MET
 | Feet |  | :CALC:TRAN:DIST:UNIT FEET
 | Inches |  | :CALC:TRAN:DIST:UNIT INCH
Start Test Wizard
Start Test Wizard |  |  | None
Conversion
Conversion |  |  | :CALC:CONV
Function | Z:Reflection |  | :CALC:CONV:FUNC ZREF
 | Z:Transmission |  | :CALC:CONV:FUNC ZTR
 | Z:Trans-Shunt |  | :CALC:CONV:FUNC ZTSH
 | Y:Reflection |  | :CALC:CONV:FUNC YREF
 | Y:Transmission |  | :CALC:CONV:FUNC YTR
 | Y:Trans-Shunt |  | :CALC:CONV:FUNC YTSH
 | 1 / S |  | :CALC:CONV:FUNC INV
 | Conjugation |  | :CALC:CONV:FUNC CONJ
Limit Test
Limit Test |  |  | :CALC:LIM
Limit Line |  |  | :CALC:LIM:DISP
Edit Limit Line | Delete |  | :CALC:LIM:DATA
 | Add |  | :CALC:LIM:DATA
 | Clear Limit Table | OK | :CALC:LIM:DATA
 | Export to CSV File |  | :MMEM:STOR:LIM
 | Import from CSV File |  | :MMEM:LOAD:LIM
Limit Line Offset | Stimulus Offset |  | :CALC:LIM:OFFS:STIM
 | Amplitude Offset |  | :CALC:LIM:OFFS:AMPL
 | Marker -> Amplitude Offset |  | :CALC:LIM:OFFS:MARK
Fail Sign |  |  | :DISP:FSIG
Ripple Limit
Ripple Limit Test |  |  | :CALC:RLIM
Ripple Limit |  |  | :CALC:RLIM:DISP:LINE
Ripple Value | Off |  | :CALC:RLIM:DISP:VAL OFF
 | Absolute |  | :CALC:RLIM:DISP:VAL ABS
 | Margin |  | :CALC:RLIM:DISP:VAL MARG
Ripple Band | X (X=1 to 12) |  | :CALC:RLIM:DISP:SEL
Edit Ripple Limit | Delete |  | :CALC:RLIM:DATA
 | Add |  | :CALC:RLIM:DATA
 | Clear Ripple Limit Table | OK | :CALC:RLIM:DATA
 | Export to CSV File |  | :MMEM:STOR:RLIM
 | Import from CSV File |  | :MMEM:LOAD:RLIM
Fail Sign |  |  | :DISP:FSIG
Bandwidth Limit
BW Test |  |  | :CALC:BLIM
BW Display |  |  | :CALC:BLIM:DISP:VAL
BW Marker |  |  | :CALC:BLIM:DISP:MARK
N dB Points |  |  | :CALC:BLIM:DB
Min Bandwidth |  |  | :CALC:BLIM:MIN
Max Bandwidth |  |  | :CALC:BLIM:MAX
Fail Sign |  |  | :DISP:FSIG


Command Finder (Average)

Softkey under Avg key | SCPI command
Averaging Restart | :SENS:AVER:CLE
Avg Factor | :SENS:AVER:COUN
Averaging | :SENS:AVER
Avg Trigger | :TRIG:AVER
Smo Aperture | :CALC:SMO:APER
Smoothing | :CALC:SMO
IF Bandwidth | :SENS:BAND or :SENS:BWID
IFBW Auto | :SENS:BWA
IFBW Auto Limit | :SENS:BWA:LIM


Command Finder (Calibration)

Softkey under Cal key |  |  |  | SCPI command
Correction |  |  |  | :SENS:CORR:STAT
Calibrate | Response (Open) | Select Port | 1 | :SENS:CORR:COLL:METH:OPEN 1
 |  |  | 2 | :SENS:CORR:COLL:METH:OPEN 2
 |  | Open |  | :SENS:CORR:COLL:OPEN
 |  | Load (Optional) |  | :SENS:CORR:COLL:LOAD
 |  | Done |  | :SENS:CORR:COLL:SAVE
 |  | Cancel | OK | :SENS:CORR:COLL:CLE
 | Response (Short) | Select Port | 1 | :SENS:CORR:COLL:METH:SHOR 1
 |  |  | 2 | :SENS:CORR:COLL:METH:SHOR 2
 |  | Short |  | :SENS:CORR:COLL:SHOR
 |  | Load (Optional) |  | :SENS:CORR:COLL:LOAD
 |  | Done |  | :SENS:CORR:COLL:SAVE
 |  | Cancel | OK | :SENS:CORR:COLL:CLE
 | Response (Thru) | Select Ports | 2-1 (S21) | :SENS:CORR:COLL:METH:THRU 2,1
 |  |  | 1-2 (S12) | :SENS:CORR:COLL:METH:THRU 1,2
 |  | Thru |  | :SENS:CORR:COLL:THRU
 |  | Isolation (Optional) |  | :SENS:CORR:COLL:ISOL
 |  | Done |  | :SENS:CORR:COLL:SAVE
 |  | Cancel | OK | :SENS:CORR:COLL:CLE
 | Enhanced Response | Select Port | 2-1 (S21 S11) | :SENS:CORR:COLL:METH:ERES 2,1
 |  |  | 1-2 (S12 S22) | :SENS:CORR:COLL:METH:ERES 1,2
 |  | Open |  | :SENS:CORR:COLL:OPEN
 |  | Short |  | :SENS:CORR:COLL:SHOR
 |  | Load |  | :SENS:CORR:COLL:LOAD
 |  | Thru |  | :SENS:CORR:COLL:THRU
 |  | Isolation (Optional) |  | :SENS:CORR:COLL:ISOL
 |  | Done |  | :SENS:CORR:COLL:SAVE
 |  | Cancel | OK | :SENS:CORR:COLL:CLE
 | 1-Port Cal | Select Port | 1 | :SENS:CORR:COLL:METH:SOLT1 1
 |  |  | 2 | :SENS:CORR:COLL:METH:SOLT1 2
 |  | Open |  | :SENS:CORR:COLL:OPEN
 |  | Short |  | :SENS:CORR:COLL:SHOR
 |  | Load |  | :SENS:CORR:COLL:LOAD
 |  | Done |  | :SENS:CORR:COLL:SAVE
 |  | Cancel | OK | :SENS:CORR:COLL:CLE
 | 2-Port Cal | Reflection | Port 1 Open | :SENS:CORR:COLL:METH:SOLT2 2,1 :SENS:CORR:COLL:OPEN 1
 |  |  | Port 1 Short | :SENS:CORR:COLL:METH:SOLT2 2,1 :SENS:CORR:COLL:METH:SHOR 1
 |  |  | Port 1 Load | :SENS:CORR:COLL:METH:SOLT2 2,1 :SENS:CORR:COLL:LOAD 1
 |  |  | Port 2 Open | :SENS:CORR:COLL:METH:SOLT2 2,1 :SENS:CORR:COLL:OPEN 2
 |  |  | Port 2 Short | :SENS:CORR:COLL:METH:SOLT2 2,1 :SENS:CORR:COLL:METH:SHOR 2
 |  |  | Port 2 Load | :SENS:CORR:COLL:METH:SOLT2 2,1 :SENS:CORR:COLL:LOAD 2
 |  | Transmission | Port 1-2 Thru | :SENS:CORR:COLL:METH:SOLT2 2,1 :SENS:CORR:COLL:METH:THRU 1,2 :SENS:CORR:COLL:METH:THRU 2,1
 |  | Isolation (Optional) | Port 1-2 Isol | :SENS:CORR:COLL:METH:SOLT2 2,1 :SENS:CORR:COLL:ISOL 1,2 :SENS:CORR:COLL:ISOL 2,1
 |  | Done |  | :SENS:CORR:COLL:SAVE
 |  | Overwrite |  | :SENS:CORR:COLL:PART:SAVE
 |  | Cancel | OK | :SENS:CORR:COLL:CLE
 | 2-Port TRL Cal | Thru/Line | 1-2 Thru/Line | :SENS:CORR:COLL:TRLT
 |  | Reflect | Port1 Reflect | :SENS:CORR:COLL:TRLR 1
 |  |  | Port2 Reflect | :SENS:CORR:COLL:TRLR 2
 |  | Line/Match | 1-2 Line/Match | :SENS:CORR:COLL:TRLL
 |  |  | 1-2 Fwd (S21) | :SENS:CORR:COLL:TRLL 2,1
 |  |  | 1-2 Rvs (S12) | :SENS:CORR:COLL:TRLL 1,2
 | Adapter Removal | Port 1 | Open | :SENS: CORR:COLL:METH:ADAP:REM 1 :SENS:CORR:COLL:OPEN 1
 |  |  | Short | :SENS: CORR:COLL:METH:ADAP:REM 1 :SENS:CORR:COLL:METH:SHOR 1
 |  |  | Load | :SENS:CORR:COLL:METH:ADAP:REM 1 :SENS:CORR:COLL:LOAD 1
 |  |  | Length | :SENS:CORR:COLL:ADAP1:LENG
 |  |  | Done | :SENS:CORR:COLL:SAVE
 |  |  | Cancel -> OK | :SENS:CORR:COLL:CLE
 |  |  | Rotate Adapter | :SENS:CORR:COLL:ADAP1:ROT
 |  | Port 2 | Open | :SENS:CORR:COLL:METH:ADAP:REM 2 :SENS:CORR:COLL:OPEN 2
 |  |  | Short | :SENS:CORR:COLL:METH:ADAP:REM 2 :SENS:CORR:COLL:METH:SHOR 2
 |  |  | Load | :SENS:CORR:COLL:METH:ADAP:REM 2 :SENS:CORR:COLL:LOAD 2
 |  |  | Length | :SENS:CORR:COLL:ADAP2:LENG
 |  |  | Done | :SENS:CORR:COLL:SAVE
 |  |  | Cancel -> OK | :SENS:CORR:COLL:CLE
 |  |  | Rotate Adapter | :SENS:CORR:COLL:ADAP2:ROT
 |  | Cal Kit | XXXXX (XXXXX=Cal Kit Name | :SENS:CORR:COLL:CKIT
ECal | 1-Port Cal | Port 1 |  | :SENS:CORR:COLL:ECAL:SOLT1 1
 |  | Port 2 |  | :SENS:CORR:COLL:ECAL:SOLT1 2
 | 2-Port Cal |  |  | :SENS:CORR:COLL:ECAL:SOLT2 1,2
 | Thru Cal | 2-1(S21) |  | :SENS:CORR:COLL:ECAL:THRU 2,1
 |  | 1-2(S12) |  | :SENS:CORR:COLL:ECAL:THRU 1,2
 | Enhanced Response | 2-1(S21 S11) |  | :SENS:CORR:COLL:ECAL:ERES 2,1
 |  | 1-2(S12 S22) |  | :SENS:CORR:COLL:ECAL:ERES 1,2
 | Unknown Thru |  |  | :SENS:CORR:COLL:ECAL:UTHR
 | Characterization | Factory |  | :SENS:CORR:COLL:ECAL:UCH CHAR0
 |  | User X (X=1 to 5) |  | :SENS:CORR:COLL:ECAL:UCH {CHAR0 - CHAR5}
 | Characterization Info |  |  | None
 | Confidence Check |  |  | :SENS:CORR:COLL:ECAL:CCH
 | Orientation | Orientation |  | :SENS:CORR:COLL:ECAL:ORI
 |  | Port 1 | None | :SENS:CORR:COLL:ECAL:PATH 1,0
 |  |  | A | :SENS:CORR:COLL:ECAL:PATH 1,1
 |  |  | B | :SENS:CORR:COLL:ECAL:PATH 1,2
 |  |  | C | :SENS:CORR:COLL:ECAL:PATH 1,3
 |  |  | D | :SENS:CORR:COLL:ECAL:PATH 1,4
 |  | Port 2 | None | :SENS:CORR:COLL:ECAL:PATH 2,0
 |  |  | A | :SENS:CORR:COLL:ECAL:PATH 2,1
 |  |  | B | :SENS:CORR:COLL:ECAL:PATH 2,2
 |  |  | C | :SENS:CORR:COLL:ECAL:PATH 2,3
 |  |  | D | :SENS:CORR:COLL:ECAL:PATH 2,4
Clear | OK |  |  | :SENS:CORR:CLE
Property |  |  |  | :SENS:CORR:PROP
Cal Kit | {Calkit Name} |  |  | :SENS:CORR:COLL:CKIT
Modify Cal Kit | Define STDs | n. (Std Name) | Label | :SENS:CORR:COLL:CKIT:STAN:LAB
 |  |  | STD Type | :SENS:CORR:COLL:CKIT:STAN:TYPE
 |  |  | C0 | :SENS:CORR:COLL:CKIT:STAN:C0
 |  |  | C1 | :SENS:CORR:COLL:CKIT:STAN:C1
 |  |  | C2 | :SENS:CORR:COLL:CKIT:STAN:C2
 |  |  | C3 | :SENS:CORR:COLL:CKIT:STAN:C3
 |  |  | L0 | :SENS:CORR:COLL:CKIT:STAN:L0
 |  |  | L1 | :SENS:CORR:COLL:CKIT:STAN:L1
 |  |  | L2 | :SENS:CORR:COLL:CKIT:STAN:L2
 |  |  | L3 | :SENS:CORR:COLL:CKIT:STAN:L3
 |  |  | Offset Delay | :SENS:CORR:COLL:CKIT:STAN:DEL
 |  |  | Offset Z0 | :SENS:CORR:COLL:CKIT:STAN:Z0
 |  |  | Offset Loss | :SENS:CORR:COLL:CKIT:STAN:LOSS
 |  |  | Arb. Impedance | :SENS:CORR:COLL:CKIT:STAN:ARB
 |  |  | Min Frequency | :SENS:CORR:COLL:CKIT:STAN:FMIN
 |  |  | Max Frequency | :SENS:CORR:COLL:CKIT:STAN:FMAX
 |  |  | Media | None
 | Specify CLSs | Open | Set All | :SENS:CORR:COLL:CKIT:ORD:OPEN
 |  |  | Port 1 | :SENS:CORR:COLL:CKIT:ORD:OPEN
 |  |  | Port 2 | :SENS:CORR:COLL:CKIT:ORD:OPEN
 |  | Short | Set All | :SENS:CORR:COLL:CKIT:ORD:SHOR
 |  |  | Port 1 | :SENS:CORR:COLL:CKIT:ORD:SHOR
 |  |  | Port 2 | :SENS:CORR:COLL:CKIT:ORD:SHOR
 |  | Load | Set All | :SENS:CORR:COLL:CKIT:ORD:LOAD
 |  |  | Port 1 | :SENS:CORR:COLL:CKIT:ORD:LOAD
 |  |  | Port 2 | :SENS:CORR:COLL:CKIT:ORD:LOAD
 |  | Thru | Set All | :SENS:CORR:COLL:CKIT:ORD:THRU
 |  |  | Port 1-2 | :SENS:CORR:COLL:CKIT:ORD:THRU
 | Label Kit |  |  | :SENS:CORR:COLL:CKIT:LAB
 | Restore Cal Kit | OK |  | :SENS:CORR:COLL:CKIT:RES
Port Extensions | Extensions |  |  | :SENS:CORR:EXT
 | Auto Port Extension | Select Ports | Port 1 | :SENS:CORR:EXT:PORT 1
 |  |  | Port 2 | :SENS:CORR:EXT:PORT 2
 |  | Meaure OPEN | All | :SENS:CORR:EXT:AUTO:MEAS OPEN
 |  |  | Port 1 | :SENS:CORR:EXT:AUTO:MEAS OPEN
 |  |  | Port 2 | :SENS:CORR:EXT:AUTO:MEAS OPEN
 |  | Meaure SHORT | All | :SENS:CORR:EXT:AUTO:MEAS SHOR
 |  |  | Port 1 | :SENS:CORR:EXT:AUTO:MEAS SHOR
 |  |  | Port 2 | :SENS:CORR:EXT:AUTO:MEAS SHOR
 |  | Method | Current Span | :SENS:CORR:EXT:AUTO:CONF CSPN
 |  |  | Active Marker The marker on a trace that can be repositioned either by front panel controls or by programming commands | :SENS:CORR:EXT:AUTO:CONF AMKR
 |  |  | User Span | :SENS:CORR:EXT:AUTO:CONF USPN
 |  |  | User Span Start | :SENS:CORR:EXT:AUTO:STAR
 |  |  | User Span Stop | :SENS:CORR:EXT:AUTO:STOP
 |  | Include Loss |  | :SENS:CORR:EXT:AUTO:LOSS
 |  | Adjust Mismatch |  | :SENS:CORR:EXT:AUTO:DCOF
 | Extension Port 1 | Extension |  | :SENS:CORR:EXT:AUTO:PORT1
 |  | Loss | Loss1 | :SENS:CORR:EXT:PORT1:INCL1
 |  |  | Loss1 | :SENS:CORR:EXT:PORT1:LOSS1
 |  |  | Freq1 | :SENS:CORR:EXT:PORT1:FREQ1
 |  |  | Loss2 | :SENS:CORR:EXT:PORT1:INCL2
 |  |  | Loss2 | :SENS:CORR:EXT:PORT1:LOSS2
 |  |  | Freq2 | :SENS:CORR:EXT:PORT1:FREQ2
 |  |  | Loss at DC | :SENS:CORR:EXT:PORT1:LDC
 | Extension Port 2 | Extension |  | :SENS:CORR:EXT:PORT2
 |  | Loss | Loss1 | :SENS:CORR:EXT:PORT2:INCL1
 |  |  | Loss1 | :SENS:CORR:EXT:PORT2:LOSS1
 |  |  | Freq1 | :SENS:CORR:EXT:PORT2:FREQ1
 |  |  | Loss2 | :SENS:CORR:EXT:PORT2:INCL2
 |  |  | Loss2 | :SENS:CORR:EXT:PORT2:LOSS2
 |  |  | Freq2 | :SENS:CORR:EXT:PORT2:FREQ2
 |  |  | Loss at DC | :SENS:CORR:EXT:PORT2:LDC
Velocity Factor |  |  |  | :SENS:CORR:RVEL:COAX
Set Z0 |  |  |  | :SENS:CORR:IMP


Command Finder (Display)

Softkey under Display key |  | SCPI command
Allocate Channels | Various keys to screen separation | :DISP:SPL
Number of Traces | 1 | :CALC:PAR:COUN 1
 | 2 | :CALC:PAR:COUN 2
 | 3 | :CALC:PAR:COUN 3
 | 4 | :CALC:PAR:COUN 4
Allocate Traces | Various keys to screen separation | :DISP:WIND:SPL
Display | Data | :DISP:WIND:TRAC:STAT
 | Mem | :DISP:WIND:TRAC:MEM
 | Data & Mem | :DISP:WIND:TRAC:MEM :DISP:WIND:TRAC:STAT
 | OFF | :DISP:WIND:TRAC:MEM :DISP:WIND:TRAC:STAT
Data -> Mem |  | :CALC:MATH:MEM
Data Math | OFF | :CALC:MATH:FUNC NORM
 | Data / Mem | :CALC:MATH:FUNC DIV
 | Data * Mem | :CALC:MATH:FUNC MULT
 | Data - Mem | :CALC:MATH:FUNC SUBT
 | Data + Mem | :CALC:MATH:FUNC ADD
Data Hlod | OFF, Minimum, Maximum | :CALC:HOLD
 | Restart | :CALC:HOLD:CLE
Equation Editor |  | :CALC:EQU:TEXT :CALC:EQU:VAL
Equation |  | :CALC:EQU:STAT
Edit Title Label |  | :DISP:WIND:TITL:DATA
Title Label |  | :DISP:WIND:TITL
Graticule Label |  | :DISP:WIND:LAB
Invert Color |  | :DISP:IMAG
Frequency |  | :DISP:ANN:FREQ
Update |  | :DISP:ENAB


Command Finder (Format)

Softkey under Format key |  | SCPI command
Log Mag |  | :CALC:FORM MLOG
Phase |  | :CALC:FORM PHAS
Group Delay |  | :CALC:FORM GDEL
Smith | Lin / Phase | :CALC:FORM SLIN
 | Log / Phase | :CALC:FORM SLOG
 | Real / Imag | :CALC:FORM SCOM
 | R + jX | :CALC:FORM SMIT
 | G + jB | :CALC:FORM SMGB
Polar | Lin / Phase | :CALC:FORM PLIN
 | Log / Phase | :CALC:FORM PLOG
 | Real / Imag | :CALC:FORM POL
Lin Mag |  | :CALC:FORM MLIN
SWR |  | :CALC:FORM SWR
Real |  | :CALC:FORM REAL
Imaginary |  | :CALC:FORM IMAG
Expand Phase |  | :CALC:FORM UPH
Positive Phase |  | :CALC:FORM PPH


Command Finder (Marker)

Softkey under Marker key |  | SCPI command
Marker X (X=1 to 4) |  | :CALC:MARK :CALC:MARK:ACT :CALC:MARK:X
More Markers | Marker X (X=5 to 9)
Ref Marker |  | :CALC:MARK :CALC:MARK:ACT :CALC:MARK:X
Clear Marker Menu | All OFF | None
 | Marker X (X=1 to 9) | :CALC:MARK
 | Ref Marker | :CALC(ch):MARK10
Marker -> Ref Marker |  | None
Ref Marker Mode |  | :CALC:MARK:REF


Command Finder (Marker Search)

Softkey under Marker Search key |  |  | SCPI command
Max |  |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE MAX
Min |  |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE MIN
Peak | Search Peak |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE PEAK
 | Search Left |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE LPE
 | Search Right |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE RPE
 | Peak Excursion |  | :CALC:MARK:FUNC:PEXC
 | Peak Polarity | Positive | :CALC:MARK:FUNC:PPOL POS
 |  | Negative | :CALC:MARK:FUNC:PPOL NEG
 |  | Both | :CALC:MARK:FUNC:PPOL BOTH
Target | Search Target |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE TARG
 | Search Left |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE LTAR
 | Search Right |  | :CALC:MARK:FUNC:EXEC :CALC:MARK:FUNC:TYPE RTAR
 | Target Value |  | :CALC:MARK:FUNC:TARG
 | Target Transition | Positive | :CALC:MARK:FUNC:TTR POS
 |  | Negative | :CALC:MARK:FUNC:TTR NEG
 |  | Both | :CALC:MARK:FUNC:TTR BOTH
Multi Peak | Search Multi Peak |  | :CALC:MARK:FUNC:MULT:TYPE
 | Search Major Peak |  | :CALC:MARK:FUNC:MULT:TYPE
 | Peak Excursion |  | :CALC:MARK:FUNC:MULT:PEXC
 | Peak Polarity |  | :CALC:MARK:FUNC:MULT:PPOL
Multi Target | Search Multi Target |  | :CALC:MARK:FUNC:MULT:TARG
 | Target Value |  | :CALC:MARK:FUNC:MULT:TARG
 | Target Transition |  | :CALC:MARK:FUNC:MULT:TTR
Tracking |  |  | :CALC:MARK:FUNC:TRAC :CALC:MARK:FUNC:MULT:TRAC
Search Range | Search Range |  | :CALC:MARK:FUNC:DOM
 | Start |  | :CALC:MARK:FUNC:DOM:STAR
 | Stop |  | :CALC:MARK:FUNC:DOM:STOP
 | Couple |  | :CALC:MARK:FUNC:DOM:COUP
Bandwidth |  |  | :CALC:MARK:BWID
Bandwidth Value |  |  | :CALC:MARK:BWID:THR
Notch |  |  | :CALC:MARK:NOTC
Notch Value |  |  | :CALC:MARK:NOTC:THR


Command Finder (Marker Function)

Softkey under Marker Function key |  | SCPI Command
Marker -> Start |  | :CALC:MARK:SET STAR
Marker -> Stop |  | :CALC:MARK:SET STOP
Marker -> Center |  | :CALC:MARK:SET CENT
Marker -> Reference |  | :CALC:MARK:SET RLEV
Marker -> Delay |  | :CALC:MARK:SET DEL
Discrete |  | :CALC:MARK:DISC
Couple |  | :CALC:MARK:COUP
Marker Table |  | :DISP:TABL :DISP:TABL:TYPE MARK
Statistics |  | -
Annotation Options | Marker Info X Pos | :DISP:WIND:TRAC:ANN:MARK:POS:X
 | Marker Info Y Pos | :DISP:WIND:TRAC:ANN:MARK:POS:Y
 | Align | :DISP:WIND:ANN:MARK:ALIG
 | Active Only | :DISP:WIND:ANN:MARK:SING


Command Finder (Meas)

Softkey under Meas key |  | SCPI command
S11 |  | :CALC:PAR:DEF S11
S21 |  | :CALC:PAR:DEF S21
S12 |  | :CALC:PAR:DEF S12
S22 |  | :CALC:PAR:DEF S22
Absolute | A (1) | :CALC:PAR:DEF A :CALC:PAR:SPOR 1
 | A (2) | :CALC:PAR:DEF A :CALC:PAR:SPOR 2
 | B (1) | :CALC:PAR:DEF B :CALC:PAR:SPOR 1
 | B (2) | :CALC:PAR:DEF B :CALC:PAR:SPOR 2
 | R1 (1) | :CALC:PAR:DEF R1 :CALC:PAR:SPOR 1
 | R1 (2) | :CALC:PAR:DEF R2 :CALC:PAR:SPOR 2
 | R2 (1) | :CALC:PAR:DEF R2 :CALC:PAR:SPOR 1
 | R2 (2) | :CALC:PAR:DEF R2 :CALC:PAR:SPOR 2


Command Finder (Preset)

Softkey under Preset key | SCPI command
OK | :SYST:PRES


Command Finder (Save/Recall)

Softkey under Save/Recall key |  |  | SCPI command
Save State | StateXX (X=01 to 08) |  | :MMEM:STOR {"State01.sta"-"State08.sta"}
 | Autorec |  | :MMEM:STOR "Autorec.sta"
 | UserPres |  | :MMEM:STOR "UserPres.sta"
 | File Dialog... |  | :MMEM:STOR
Recall State | StateXX (XX=01 to 08) |  | :MMEM:LOAD {"State01.sta"-"State08.sta"}
 | Autorec |  | :MMEM:LOAD "Autorec.sta"
 | UserPres |  | :MMEM:LOAD "UserPres.sta"
 | File Dialog... |  | :MMEM:LOAD
Recall by File Name |  |  | :MMEM:LOAD
Save Channel | State & Cal A |  | :MMEM:STOR:CHAN A
 | State & Cal B |  | :MMEM:STOR:CHAN B
 | State & Cal C |  | :MMEM:STOR:CHAN C
 | State & Cal D |  | :MMEM:STOR:CHAN D
 | Clear States | OK | :MMEM:STOR:CHAN:CLE
Recall Channel | State & Cal A |  | :MMEM:LOAD:CHAN A
 | State & Cal B |  | :MMEM:LOAD:CHAN B
 | State & Cal C |  | :MMEM:LOAD:CHAN C
 | State & Cal D |  | :MMEM:LOAD:CHAN D
Save Type | State Only |  | :MMEM:STOR:STYP STAT
 | State & Cal |  | :MMEM:STOR:STYP CST
 | State & Trace |  | :MMEM:STOR:STYP DST
 | All |  | :MMEM:STOR:STYP CDST
Channel/Trace | Disp Only |  | :MMEM:STOR:SALL OFF
 | All |  | :MMEM:STOR:SALL ON
Save Trace Data... |  |  | :MMEM:STOR:FDAT
Save SnP | SnP Format | Auto | :MMEM:STOR:SNP:FORM AUTO
 |  | LinMag/Angle | :MMEM:STOR:SNP:FORM MA
 |  | LogMag/Angle | :MMEM:STOR:SNP:FORM DB
 |  | Real/Imaginary | :MMEM:STOR:SNP:FORM RI
 | s1p | [1]... | :MMEM:STOR:SNP:TYPE:S1P 1 :MMEM:STOR:SNP
 |  | [2]... | :MMEM:STOR:SNP:TYPE:S1P 2 :MMEM:STOR:SNP
 | s2p | [1-2]... | :MMEM:STOR:SNP:TYPE:S2P 1,2 :MMEM:STOR:SNP
Explorer... |  |  | None


Command Finder (Scale)

Softkey under Scale key | SCPI command
Auto Scale | :DISP:WIND:TRAC:Y:AUTO
Auto Scale All | None
Divisions | :DISP:WIND:Y:DIV
Scale/Div | :DISP:WIND:TRAC:Y:PDIV
Reference Position | :DISP:WIND:TRAC:Y:RPOS
Reference Value | :DISP:WIND:TRAC:Y:RLEV
Marker -> Reference | :CALC:MARK:SET RLEV
Electrical Delay | :CALC:CORR:EDEL:TIME
Phase Offset | :CALC:CORR:OFFS:PHAS


Command Finder (Stimulus)

Softkey | SCPI command
Start | :SENS:FREQ:STAR
Stop | :SENS:FREQ:STOP
Center | :SENS:FREQ:CENT
Span | :SENS:FREQ:SPAN


Command Finder (Sweep Setup)

Softkey under Sweep Setup key |  |  | SCPI command
Power | Power |  | :SOUR:POW
 | Port Couple |  | :SOUR:POW:PORT:COUP
 | Port Power | Port 1 Power | :SOUR:POW:PORT1
 |  | Port 2 Power | :SOUR:POW:PORT2
 | RF Out |  | :OUTP
Sweep Time Auto |  |  | :SENS:SWE:TIME:AUTO
Sweep Time |  |  | :SENS:SWE:TIME
Sweep Delay |  |  | :SENS:SWE:DEL
Points |  |  | :SENS:SWE:POIN
Sweep Type | Lin Freq |  | :SENS:SWE:TYPE LIN
 | Log Freq |  | :SENS:SWE:TYPE LOG
 | Segment |  | :SENS:SWE:TYPE SEGM
Edit Segment Table | Freq Mode | Start/Stop | :SENS:SEGM:DATA
 |  | Center/Span | :SENS:SEGM:DATA
 | List IFBW |  | :SENS:SEGM:DATA
 | List Power |  | :SENS:SEGM:DATA
 | List Delay |  | :SENS:SEGM:DATA
 | List Time |  | :SENS:SEGM:DATA
 | Delete |  | None
 | Add |  | None
 | Clear Segment Table | OK | None
 | Export to CSV File |  | :MMEM:STOR:SEGM
 | Import from CSV File |  | :MMEM:LOAD:SEGM
Segment Display | Freq Base |  | :DISP:WIND:X:SPAC LIN
 | Order Base |  | :DISP:WIND:X:SPAC OBAS


Command Finder (System)

Softkey under System key |  |  |  | SCPI command
Print |  |  |  | :HCOP
Printer Setup... |  |  |  | None
Invert Image |  |  |  | :HCOP:IMAG
Dump Screen Image... |  |  |  | :MMEM:STOR:IMAG
USB Switch Setup
USB Switch 1/2 | USB Switch 1/2 |  |  | :SYST:COMM:SWIT:DEF :SYST:COMM:SWIT:CAT
 | Path |  |  | :SYST:COMM:SWIT:CAT
 | Lock Local Control |  |  | :SYST:COMM:SWIT:LOCK
 | Switching Cycle |  |  | None
Misc Setup
Beeper | Beep Complete |  |  | :SYST:BEEP:COMP:STAT
 | Test Beep Complete |  |  | :SYST:BEEP:COMP:IMM
 | Beep Warning |  |  | :SYST:BEEP:WARN:STAT
 | Test Beep Warning |  |  | :SYST:BEEP:WARN:IMM
GPIB Setup | Talker/Listener Address |  |  | None
 | System Controller Configuration |  |  | None
Network Setup | Enable |  |  | None
 | Mode |  |  | None
 | VNC Server Configuration... |  |  | None
 | Network Identification... |  |  | None
 | Network Configuration... |  |  | None
 | LAN Dialog... | ON |  | :LXI:IDEN ON
 |  | OFF |  | :LXI:IDEN OFF
Clock Setup | Set Date and Time... |  |  | :SYST:DATE :SYST:TIME
 | Show Clock |  |  | :DISP:CLOC
Key Lock | Front Panel & Keyboard Lock |  |  | :SYST:KLOC:KBD
 | Touch Screen & Mouse Lock |  |  | :SYST:KLOC:MOUS
Display Setup | Color Setup | Normal | Data Trace X (X=1 to 4) | :DISP:COL:TRAC:DATA
 |  |  | Mem Trace X (X=1 to 4) | :DISP:COL:TRAC:MEM
 |  |  | Graticule Main | :DISP:COL1:GRAT1
 |  |  | Graticule Sub | :DISP:COL1:GRAT2
 |  |  | Limit Fail | :DISP:COL1:LIM1
 |  |  | Limit Line | :DISP:COL1:LIM2
 |  |  | Background | :DISP:COL1:BACK
 |  |  | Reset Color -> OK | :DISP:COL1:RES
 |  | Invert | Data Trace X (X=1 to 4) | :DISP:COL2:TRAC:DATA
 |  |  | Mem Trace X (X=1 to 4) | :DISP:COL2:TRAC:MEM
 |  |  | Graticule Main | :DISP:COL2:GRAT1
 |  |  | Graticule Sub | :DISP:COL2:GRAT2
 |  |  | Limit Fail | :DISP:COL2:LIM1
 |  |  | Limit Line | :DISP:COL2:LIM2
 |  |  | Background | :DISP:COL2:BACK
 |  |  | Reset Color -> OK | :DISP:COL2:RES
 | Magnification | Small |  | None
 |  | Normal |  | None
 |  | Large |  | None
Preset Setup | State | Factory |  | None
 |  | User |  | None
 | Confirm |  |  | None
Control Panel... |  |  |  | None
Backlight |  |  |  | :SYST:BACK
Firmware Revision |  |  |  | *IDN? :SERV:SYST:HDD:REV
Service Menu
Test Menu | Power On Test |  |  | None
 | Display |  |  | None
 | Front Panel |  |  | None
 | Diagnostic Test |  |  | None
 | Adjust Touch Screen |  |  | None
Init Src Ctrl |  |  |  | :SYST:ISPC
Init Src Port |  |  |  | :SYST:ISPC:PORT
Pow. Chg. Wait |  |  |  | :SYST:PCWA
Pow. Chg. Wait Time |  |  |  | :SYST:PCWA:TIME
Overload Detect |  |  |  | None
Security Level | None |  |  | :SYST:SEC:LEV NONE
 | Low |  |  | :SYST:SEC:LEV LOW
 | High |  |  | :SYST:SEC:LEV HIGH
Enable Options |  |  |  | None
Restart Firmware |  |  |  | None
Service Functions |  |  |  | None
Exit |  |  |  | None
Help |  |  |  | None


Command Finder (Trigger)

Softkey under Trigger key |  | SCPI command
Hold |  | :INIT:CONT
Single |  | :INIT
Continuous |  | :INIT:CONT
Hold All Channels |  | None
Continuous Disp Channels |  | None
Trigger Source | Internal | :TRIG:SOUR INT
 | External | :TRIG:SOUR EXT
 | Manual | :TRIG:SOUR MAN
 | Bus | :TRIG:SOUR BUS
Trigger Event |  | :TRIG:POIN
Trigger Scope |  | :TRIG:SCOP
Restart |  | :ABOR
Trigger |  | :TRIG
Ext Trig Input |  | :TRIG::EXT:SLOP
Trigger Delay |  | :TRIG::EXT:DEL
Ext Trig Output |  | :TRIG:OUTP:STAT
Polarity |  | :TRIG:OUTP:POL
Position |  | :TRIG:OUTP:POS
Pulse Width |  | :TRIG:OUTP:DUR


Val_Ch

Parameter | Ch
Description | Channel number
Data Type | Long integer type (Long)
Range | 1 to 4
Preset Value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val_Ch_for_Status

Parameter | Ch
Description | Channel number
Data Type | Long integer type (Long)
Range | 1 to 4
Preset Value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed. Status Register for Limit/Bandwidth Limit/Ripple Limit Test is available up to 16 channel.


Val_Ckit

Parameter | Ckit
Description | Number of calibration kit
Data type | Long integer type (Long)
Range | 1 to 10
Preset value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val_Cpt

Parameter | Cpt
Description | Port number
Data type | Long integer type (Long)
Range | 1 to 2
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.

  • Since the variable (Cpt) has no preset value, you cannot omit it. If you omit the variable (Cpt), an error occurs when executed.


Val_Cpt_m Cpt_n

Parameter | Cpt_m, Cpt_n
Description | Port number
Data type | Long integer type (Long)
Range | 1 to 2
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.

  • Since the variables (Cpt_m and Cpt_n) have no preset value, you cannot omit them. If you omit the variables (Cpt_m and Cpt_n) or if you specify the same port number to 2 port numbers, an error occurs when executed. Notice that when you specify 2 ports with the variables (Cpt_m and Cpt_n), the order of the 2 port numbers is arbitrary.


Val_Dnum

Parameter | Dnum
Description | The number of display mode 1: normal display 2: inverted display
Data type | Long integer type (Long)
Range | 1 to 2
Preset value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val_Gnum

Parameter | Gnum
Description | The number of item 1: The outer frame line of the graph 2: The color of the grid line of the graph
Data type | Long integer type (Long)
Range | 1 to 2
Preset value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val II

Parameter | Value
Description | The loss value of DC.
Data type | Double precision floating point type (Double)
Range | -90 to 90
Preset value | 0
Unit | dBm
Note | If the specified variable is out of the allowable setup range, the minimum value (if the lower limit of the range is not reached) or the maximum value (if the upper limit of the range is exceeded) is set.


Val_Lnum

Parameter | Lnum
Description | The number of item 1: The limit test result 2: The limit line
Data type | Long integer type (Long)
Range | 1 to 2
Preset value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val_Mk

Parameter | Mk
Description | Marker number
Data type | Long integer type (Long)
Range | 1 to 10 Notice that 10 is for the reference marker.
Preset value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val NWK

Parameter | Nwk
Description | Number of network
Data type | Long integer type (Long)
Range | 1 to 2
Preset value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val Port

Parameter | Port
Description | Port number
Data type | Long integer type (Long)
Range | 1 to 2
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val_Pt

Parameter | Pt
Description | Port number
Data type | Long integer type (Long)
Range | 1 to 2
Preset value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val Std

Parameter | Std
Description | Standard number
Data type | Long integer type (Long)
Range | 1 to 21
Preset value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed.


Val_Tr

Parameter | Tr
Description | Trace number
Data type | Long integer type (Long)
Range | 1 to 4
Preset value | 1
Note | If the specified variable is out of the allowable setup range, an error occurs when executed. The maximum number of trace can be set by :CALC:PAR:COUN.


Notation Convention

This section describes the notational conventions used for the description of Test Wizard commands reference.

Type

Object type describes different types of E5063A SCPI commands. The E5063A provides properties and methods as SCPI commands. SCPI commands which set (send)/read (return) the state of the E5063A using variables are defined as property and SCPI commands which does other processing are defined as method.

SCPI commands used to read the state of the E5063A are indicated with "Query Only" and ones used only to set the state of the E5063A are indicated by "Command Only" . SCPI commands that can both read and write data to the E5063A are indicated by 'Command/Query'.

Syntax

Syntax describes the syntax for sending an SCPI command from the controller (PC) to the E5063A. The syntax consists of two parts: the object part and the set part, with a space " " inserted between them. As for query, the syntax consists of object part followed by a question mark, with no space in between them.

Description

Description describes how to use the SCPI commands or the operation when executed.

Parameters

Parameters provide description about different parameters that can be used with the SCPI commands. It gives the description, data type, allowable range, preset value, unit, resolution, and notes (if any).

The data types of the E5063A SCPI commands include 3 types as shown in the following table.

Data type | Name | Consumed memory | Range
Value | Numeric type | 4 bytes | -2,147,483,648 to 2,147,483,647
String | Character string type | 1 byte / alphanumeric character | Up to approximately 2 billion characters
Selection Option | Boolean type | 2 bytes | ON or OFF

Examples

Examples provides a sample example of using the object through coding with the VBA language.

Related Commands

Related commands provide information about other commands that are similar/related with the command.

Equivalent GUI

Equivalent GUI shows the operational procedure by using the E5063A graphic user interface that has the same effect as the object.


absolute_segment

Absolute Limit
Limit Type | :CALC:TRAC:LIM:MODE
Absolute/Average Begin Stimulus Ratio | :CALC:TRAC:LIM:RAT:BEG
Absolute/Average End Stimulus Ratio | :CALC:TRAC:LIM:RAT:END
Center Impedance | :CALC:TRAC:LIM:TOL:RAT
Tolerance Type | :CALC:TRAC:LIM:TOL:MODE
Tolerance (Ratio) | :CALC:TRAC:LIM:TOL:RAT
Tolerance (Impedance) | :CALC:TRAC:LIM:TOL:MODE
Segment Limit
Add Segment | :CALC:TRAC:LIM:DATA
Delete Segment | :CALC:TRAC:LIM:DATA
Export Segment List | -
Import Segment List | -


auto_scale

Auto Scale X | :DISP:TRAC:X:SCAL:AUTO
Auto Scale Y | :DISP:TRAC:Y:SCAL:AUTO
Auto Scale X & Y | :DISP:TRAC:X:SCAL:AUTO :DISP:TRAC:Y:SCAL:AUTO


data_mem

Data -> Mem | :CALC:TRAC:MATH:MEM
Off | :DISP:TRAC:DMEM:TYPE
Data | :DISP:TRAC:DMEM:TYPE
Memory | :DISP:TRAC:DMEM:TYPE
Data & Memory | :DISP:TRAC:DMEM:TYPE


file

Save Trace Data | :MMEM:STOR:FDAT
Save Touchstone | :MMEM:STOR:SNP
Save Image | :MMEM:STOR:IMAG


Instruction

Command Finder helps you to find the command easily. Click the GUI figure to show the equivalent command.


marker

Active Marker | :CALC:TRAC:AMAR:ACT
Marker State | :CALC:TRAC:MARK:STAT


marker_search

Rise Time (10-90%) | :CALC:TRAC:TTIM:STAT :CALC:TRAC:TTIM:THR
Rise Time (20-80%) | :CALC:TRAC:TTIM:STAT :CALC:TRAC:TTIM:THR
Max | :CALC:TRAC:MARK:FUNC:TYPE :CALC:TRAC:MARK:FUNC:EXEC
Min | :CALC:TRAC:MARK:FUNC:TYPE :CALC:TRAC:MARK:FUNC:EXEC


No Equivalent Command

There is no equivalent command for this GUI.


operator_instrument

Instrument Type | :SYST:DATA:INST:TYPE
Text Message | :SYST:DATA:INST:MESS
Picture | :SYST:DATA:INST:PICT


save_test_results

Overall Results | :SENS:LIST:RES
Serial Number | :SYST:DATA:SER
File name > Save | :MMEM:STOR:RES


timedomain_frequencydomain

Time Domain
DUT Length | :CALC:DLEN:DATA
DUT Length Auto/Wizard - Measure | :SENS:DLEN:AUTO:IMM
Rise Time | :CALC:TRAC:TIME:STEP:RTIM:DATA
Rise Time Threshold | :CALC:TRAC:TIME:STEP:RTIM:THR
Peeling | :CALC:TRAC:CONV:PEEL:STAT
Frequency Domain
Start | :SENS:FREQ:STAR
Stop | :SENS:FREQ:STOP
Center | :SENS:FREQ:CENT
Span | :SENS:FREQ:SPAN
# Points | :SENS:SWE:POIN
Center/Span | -
Smoothing | :CALC:TRAC:SMO:STAT


Introduction

Instruction

Test Wizard Screen Navigation helps you to find the description for the GUI. Click the GUI figure.